#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2023
#define LARGE_STATE_COUNT 463
#define SYMBOL_COUNT 360
#define ALIAS_COUNT 3
#define TOKEN_COUNT 161
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 39
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 133

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym___attribute = 47,
  anon_sym_COLON_COLON = 48,
  anon_sym_LBRACK_LBRACK = 49,
  anon_sym_RBRACK_RBRACK = 50,
  anon_sym___declspec = 51,
  anon_sym___based = 52,
  anon_sym___cdecl = 53,
  anon_sym___clrcall = 54,
  anon_sym___stdcall = 55,
  anon_sym___fastcall = 56,
  anon_sym___thiscall = 57,
  anon_sym___vectorcall = 58,
  sym_ms_restrict_modifier = 59,
  sym_ms_unsigned_ptr_modifier = 60,
  sym_ms_signed_ptr_modifier = 61,
  anon_sym__unaligned = 62,
  anon_sym___unaligned = 63,
  anon_sym_LBRACE = 64,
  anon_sym_RBRACE = 65,
  anon_sym_signed = 66,
  anon_sym_unsigned = 67,
  anon_sym_long = 68,
  anon_sym_short = 69,
  anon_sym_LBRACK = 70,
  anon_sym_static = 71,
  anon_sym_RBRACK = 72,
  anon_sym_EQ = 73,
  anon_sym_auto = 74,
  anon_sym_register = 75,
  anon_sym_inline = 76,
  anon_sym___inline = 77,
  anon_sym___inline__ = 78,
  anon_sym___forceinline = 79,
  anon_sym_thread_local = 80,
  anon_sym___thread = 81,
  anon_sym_const = 82,
  anon_sym_constexpr = 83,
  anon_sym_volatile = 84,
  anon_sym_restrict = 85,
  anon_sym___restrict__ = 86,
  anon_sym__Atomic = 87,
  anon_sym__Noreturn = 88,
  anon_sym_noreturn = 89,
  anon_sym__Nonnull = 90,
  anon_sym_alignas = 91,
  anon_sym__Alignas = 92,
  sym_primitive_type = 93,
  anon_sym_enum = 94,
  anon_sym_COLON = 95,
  anon_sym_struct = 96,
  anon_sym_union = 97,
  anon_sym_if = 98,
  anon_sym_else = 99,
  anon_sym_switch = 100,
  anon_sym_case = 101,
  anon_sym_default = 102,
  anon_sym_while = 103,
  anon_sym_do = 104,
  anon_sym_for = 105,
  anon_sym_return = 106,
  anon_sym_break = 107,
  anon_sym_continue = 108,
  anon_sym_goto = 109,
  anon_sym___try = 110,
  anon_sym___except = 111,
  anon_sym___finally = 112,
  anon_sym___leave = 113,
  anon_sym_QMARK = 114,
  anon_sym_STAR_EQ = 115,
  anon_sym_SLASH_EQ = 116,
  anon_sym_PERCENT_EQ = 117,
  anon_sym_PLUS_EQ = 118,
  anon_sym_DASH_EQ = 119,
  anon_sym_LT_LT_EQ = 120,
  anon_sym_GT_GT_EQ = 121,
  anon_sym_AMP_EQ = 122,
  anon_sym_CARET_EQ = 123,
  anon_sym_PIPE_EQ = 124,
  anon_sym_DASH_DASH = 125,
  anon_sym_PLUS_PLUS = 126,
  anon_sym_sizeof = 127,
  anon_sym___alignof__ = 128,
  anon_sym___alignof = 129,
  anon_sym__alignof = 130,
  anon_sym_alignof = 131,
  anon_sym__Alignof = 132,
  anon_sym_offsetof = 133,
  anon_sym__Generic = 134,
  anon_sym_asm = 135,
  anon_sym___asm__ = 136,
  anon_sym___asm = 137,
  anon_sym___volatile__ = 138,
  anon_sym_DOT = 139,
  anon_sym_DASH_GT = 140,
  sym_number_literal = 141,
  anon_sym_L_SQUOTE = 142,
  anon_sym_u_SQUOTE = 143,
  anon_sym_U_SQUOTE = 144,
  anon_sym_u8_SQUOTE = 145,
  anon_sym_SQUOTE = 146,
  aux_sym_char_literal_token1 = 147,
  anon_sym_L_DQUOTE = 148,
  anon_sym_u_DQUOTE = 149,
  anon_sym_U_DQUOTE = 150,
  anon_sym_u8_DQUOTE = 151,
  anon_sym_DQUOTE = 152,
  aux_sym_string_literal_token1 = 153,
  sym_escape_sequence = 154,
  sym_system_lib_string = 155,
  sym_true = 156,
  sym_false = 157,
  anon_sym_NULL = 158,
  anon_sym_nullptr = 159,
  sym_comment = 160,
  sym_translation_unit = 161,
  sym__top_level_item = 162,
  sym__block_item = 163,
  sym_preproc_include = 164,
  sym_preproc_def = 165,
  sym_preproc_function_def = 166,
  sym_preproc_params = 167,
  sym_preproc_call = 168,
  sym_preproc_if = 169,
  sym_preproc_ifdef = 170,
  sym_preproc_else = 171,
  sym_preproc_elif = 172,
  sym_preproc_elifdef = 173,
  sym_preproc_if_in_field_declaration_list = 174,
  sym_preproc_ifdef_in_field_declaration_list = 175,
  sym_preproc_else_in_field_declaration_list = 176,
  sym_preproc_elif_in_field_declaration_list = 177,
  sym_preproc_elifdef_in_field_declaration_list = 178,
  sym_preproc_if_in_enumerator_list = 179,
  sym_preproc_ifdef_in_enumerator_list = 180,
  sym_preproc_else_in_enumerator_list = 181,
  sym_preproc_elif_in_enumerator_list = 182,
  sym_preproc_elifdef_in_enumerator_list = 183,
  sym_preproc_if_in_enumerator_list_no_comma = 184,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 185,
  sym_preproc_else_in_enumerator_list_no_comma = 186,
  sym_preproc_elif_in_enumerator_list_no_comma = 187,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 188,
  sym__preproc_expression = 189,
  sym_preproc_parenthesized_expression = 190,
  sym_preproc_defined = 191,
  sym_preproc_unary_expression = 192,
  sym_preproc_call_expression = 193,
  sym_preproc_argument_list = 194,
  sym_preproc_binary_expression = 195,
  sym_function_definition = 196,
  sym__old_style_function_definition = 197,
  sym_declaration = 198,
  sym_type_definition = 199,
  sym__type_definition_type = 200,
  sym__type_definition_declarators = 201,
  sym__declaration_modifiers = 202,
  sym__declaration_specifiers = 203,
  sym_linkage_specification = 204,
  sym_attribute_specifier = 205,
  sym_attribute = 206,
  sym_attribute_declaration = 207,
  sym_ms_declspec_modifier = 208,
  sym_ms_based_modifier = 209,
  sym_ms_call_modifier = 210,
  sym_ms_unaligned_ptr_modifier = 211,
  sym_ms_pointer_modifier = 212,
  sym_declaration_list = 213,
  sym__declarator = 214,
  sym__declaration_declarator = 215,
  sym__field_declarator = 216,
  sym__type_declarator = 217,
  sym__abstract_declarator = 218,
  sym_parenthesized_declarator = 219,
  sym_parenthesized_field_declarator = 220,
  sym_parenthesized_type_declarator = 221,
  sym_abstract_parenthesized_declarator = 222,
  sym_attributed_declarator = 223,
  sym_attributed_field_declarator = 224,
  sym_attributed_type_declarator = 225,
  sym_pointer_declarator = 226,
  sym_pointer_field_declarator = 227,
  sym_pointer_type_declarator = 228,
  sym_abstract_pointer_declarator = 229,
  sym_function_declarator = 230,
  sym__function_declaration_declarator = 231,
  sym_function_field_declarator = 232,
  sym_function_type_declarator = 233,
  sym_abstract_function_declarator = 234,
  sym__old_style_function_declarator = 235,
  sym_array_declarator = 236,
  sym_array_field_declarator = 237,
  sym_array_type_declarator = 238,
  sym_abstract_array_declarator = 239,
  sym_init_declarator = 240,
  sym_compound_statement = 241,
  sym_storage_class_specifier = 242,
  sym_type_qualifier = 243,
  sym_alignas_qualifier = 244,
  sym_type_specifier = 245,
  sym_sized_type_specifier = 246,
  sym_enum_specifier = 247,
  sym_enumerator_list = 248,
  sym_struct_specifier = 249,
  sym_union_specifier = 250,
  sym_field_declaration_list = 251,
  sym__field_declaration_list_item = 252,
  sym_field_declaration = 253,
  sym__field_declaration_declarator = 254,
  sym_bitfield_clause = 255,
  sym_enumerator = 256,
  sym_variadic_parameter = 257,
  sym_parameter_list = 258,
  sym__old_style_parameter_list = 259,
  sym_parameter_declaration = 260,
  sym_attributed_statement = 261,
  sym_statement = 262,
  sym__top_level_statement = 263,
  sym_labeled_statement = 264,
  sym__top_level_expression_statement = 265,
  sym_expression_statement = 266,
  sym_if_statement = 267,
  sym_else_clause = 268,
  sym_switch_statement = 269,
  sym_case_statement = 270,
  sym_while_statement = 271,
  sym_do_statement = 272,
  sym_for_statement = 273,
  sym__for_statement_body = 274,
  sym_return_statement = 275,
  sym_break_statement = 276,
  sym_continue_statement = 277,
  sym_goto_statement = 278,
  sym_seh_try_statement = 279,
  sym_seh_except_clause = 280,
  sym_seh_finally_clause = 281,
  sym_seh_leave_statement = 282,
  sym_expression = 283,
  sym__string = 284,
  sym_comma_expression = 285,
  sym_conditional_expression = 286,
  sym_assignment_expression = 287,
  sym_pointer_expression = 288,
  sym_unary_expression = 289,
  sym_binary_expression = 290,
  sym_update_expression = 291,
  sym_cast_expression = 292,
  sym_type_descriptor = 293,
  sym_sizeof_expression = 294,
  sym_alignof_expression = 295,
  sym_offsetof_expression = 296,
  sym_generic_expression = 297,
  sym_subscript_expression = 298,
  sym_call_expression = 299,
  sym_gnu_asm_expression = 300,
  sym_gnu_asm_qualifier = 301,
  sym_gnu_asm_output_operand_list = 302,
  sym_gnu_asm_output_operand = 303,
  sym_gnu_asm_input_operand_list = 304,
  sym_gnu_asm_input_operand = 305,
  sym_gnu_asm_clobber_list = 306,
  sym_gnu_asm_goto_list = 307,
  sym_extension_expression = 308,
  sym_argument_list = 309,
  sym_field_expression = 310,
  sym_compound_literal_expression = 311,
  sym_parenthesized_expression = 312,
  sym_initializer_list = 313,
  sym_initializer_pair = 314,
  sym_subscript_designator = 315,
  sym_subscript_range_designator = 316,
  sym_field_designator = 317,
  sym_char_literal = 318,
  sym_concatenated_string = 319,
  sym_string_literal = 320,
  sym_null = 321,
  sym__empty_declaration = 322,
  sym_macro_type_specifier = 323,
  aux_sym_translation_unit_repeat1 = 324,
  aux_sym_preproc_params_repeat1 = 325,
  aux_sym_preproc_if_repeat1 = 326,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 327,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 328,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 329,
  aux_sym_preproc_argument_list_repeat1 = 330,
  aux_sym__old_style_function_definition_repeat1 = 331,
  aux_sym_declaration_repeat1 = 332,
  aux_sym_type_definition_repeat1 = 333,
  aux_sym__type_definition_type_repeat1 = 334,
  aux_sym__type_definition_declarators_repeat1 = 335,
  aux_sym__declaration_specifiers_repeat1 = 336,
  aux_sym_attribute_declaration_repeat1 = 337,
  aux_sym_attributed_declarator_repeat1 = 338,
  aux_sym_pointer_declarator_repeat1 = 339,
  aux_sym_function_declarator_repeat1 = 340,
  aux_sym_array_declarator_repeat1 = 341,
  aux_sym_sized_type_specifier_repeat1 = 342,
  aux_sym_enumerator_list_repeat1 = 343,
  aux_sym__field_declaration_declarator_repeat1 = 344,
  aux_sym_parameter_list_repeat1 = 345,
  aux_sym__old_style_parameter_list_repeat1 = 346,
  aux_sym_case_statement_repeat1 = 347,
  aux_sym_generic_expression_repeat1 = 348,
  aux_sym_gnu_asm_expression_repeat1 = 349,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 350,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 351,
  aux_sym_gnu_asm_clobber_list_repeat1 = 352,
  aux_sym_gnu_asm_goto_list_repeat1 = 353,
  aux_sym_argument_list_repeat1 = 354,
  aux_sym_initializer_list_repeat1 = 355,
  aux_sym_initializer_pair_repeat1 = 356,
  aux_sym_char_literal_repeat1 = 357,
  aux_sym_concatenated_string_repeat1 = 358,
  aux_sym_string_literal_repeat1 = 359,
  alias_sym_field_identifier = 360,
  alias_sym_statement_identifier = 361,
  alias_sym_type_identifier = 362,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym___attribute] = "__attribute",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym__function_declaration_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym___attribute] = anon_sym___attribute,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym__function_declaration_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_end = 13,
  field_field = 14,
  field_filter = 15,
  field_function = 16,
  field_goto_labels = 17,
  field_index = 18,
  field_initializer = 19,
  field_input_operands = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_operand = 25,
  field_operator = 26,
  field_output_operands = 27,
  field_parameters = 28,
  field_path = 29,
  field_prefix = 30,
  field_register = 31,
  field_right = 32,
  field_size = 33,
  field_start = 34,
  field_symbol = 35,
  field_type = 36,
  field_underlying_type = 37,
  field_update = 38,
  field_value = 39,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 8, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 1},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 3},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 1},
  [33] = {.index = 41, .length = 3},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 2},
  [36] = {.index = 48, .length = 5},
  [37] = {.index = 53, .length = 3},
  [38] = {.index = 56, .length = 1},
  [39] = {.index = 56, .length = 1},
  [40] = {.index = 57, .length = 2},
  [41] = {.index = 59, .length = 2},
  [42] = {.index = 61, .length = 1},
  [43] = {.index = 62, .length = 2},
  [44] = {.index = 64, .length = 1},
  [45] = {.index = 65, .length = 2},
  [46] = {.index = 67, .length = 2},
  [47] = {.index = 69, .length = 2},
  [48] = {.index = 71, .length = 2},
  [49] = {.index = 73, .length = 2},
  [50] = {.index = 75, .length = 2},
  [51] = {.index = 77, .length = 2},
  [52] = {.index = 79, .length = 2},
  [54] = {.index = 81, .length = 2},
  [55] = {.index = 83, .length = 1},
  [56] = {.index = 84, .length = 1},
  [57] = {.index = 85, .length = 3},
  [58] = {.index = 88, .length = 1},
  [59] = {.index = 89, .length = 1},
  [60] = {.index = 90, .length = 2},
  [61] = {.index = 92, .length = 1},
  [62] = {.index = 93, .length = 3},
  [63] = {.index = 96, .length = 3},
  [64] = {.index = 99, .length = 2},
  [65] = {.index = 101, .length = 3},
  [66] = {.index = 104, .length = 2},
  [67] = {.index = 106, .length = 5},
  [68] = {.index = 111, .length = 3},
  [69] = {.index = 114, .length = 5},
  [70] = {.index = 119, .length = 2},
  [71] = {.index = 121, .length = 2},
  [72] = {.index = 123, .length = 3},
  [73] = {.index = 126, .length = 2},
  [74] = {.index = 128, .length = 2},
  [75] = {.index = 130, .length = 1},
  [76] = {.index = 131, .length = 2},
  [77] = {.index = 133, .length = 2},
  [78] = {.index = 135, .length = 2},
  [79] = {.index = 137, .length = 3},
  [80] = {.index = 140, .length = 2},
  [81] = {.index = 142, .length = 2},
  [82] = {.index = 144, .length = 2},
  [83] = {.index = 146, .length = 1},
  [84] = {.index = 147, .length = 2},
  [85] = {.index = 149, .length = 2},
  [86] = {.index = 151, .length = 4},
  [87] = {.index = 155, .length = 1},
  [88] = {.index = 156, .length = 2},
  [89] = {.index = 158, .length = 1},
  [90] = {.index = 159, .length = 1},
  [91] = {.index = 160, .length = 4},
  [92] = {.index = 164, .length = 4},
  [93] = {.index = 168, .length = 2},
  [94] = {.index = 170, .length = 2},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 5},
  [97] = {.index = 180, .length = 3},
  [98] = {.index = 183, .length = 2},
  [99] = {.index = 185, .length = 1},
  [101] = {.index = 186, .length = 2},
  [102] = {.index = 188, .length = 2},
  [103] = {.index = 190, .length = 2},
  [104] = {.index = 192, .length = 3},
  [105] = {.index = 195, .length = 2},
  [106] = {.index = 197, .length = 2},
  [107] = {.index = 199, .length = 2},
  [108] = {.index = 201, .length = 2},
  [109] = {.index = 203, .length = 3},
  [110] = {.index = 206, .length = 2},
  [111] = {.index = 208, .length = 1},
  [112] = {.index = 209, .length = 5},
  [113] = {.index = 214, .length = 2},
  [114] = {.index = 216, .length = 3},
  [115] = {.index = 219, .length = 2},
  [116] = {.index = 219, .length = 2},
  [117] = {.index = 221, .length = 3},
  [118] = {.index = 224, .length = 2},
  [119] = {.index = 226, .length = 1},
  [120] = {.index = 227, .length = 4},
  [121] = {.index = 231, .length = 3},
  [122] = {.index = 234, .length = 2},
  [123] = {.index = 236, .length = 2},
  [124] = {.index = 35, .length = 1},
  [125] = {.index = 238, .length = 5},
  [126] = {.index = 243, .length = 4},
  [127] = {.index = 247, .length = 2},
  [128] = {.index = 249, .length = 2},
  [129] = {.index = 251, .length = 2},
  [130] = {.index = 253, .length = 5},
  [131] = {.index = 258, .length = 2},
  [132] = {.index = 260, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_value, 1},
  [11] =
    {field_declarator, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
  [13] =
    {field_argument, 0},
    {field_operator, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_path, 1},
  [19] =
    {field_argument, 1},
    {field_directive, 0},
  [21] =
    {field_declarator, 1},
    {field_type, 0},
  [23] =
    {field_parameters, 0},
  [24] =
    {field_declarator, 0},
  [25] =
    {field_body, 2},
    {field_value, 1},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_name, 2},
  [30] =
    {field_body, 2},
  [31] =
    {field_condition, 1},
    {field_consequence, 2},
  [33] =
    {field_body, 2},
    {field_condition, 1},
  [35] =
    {field_label, 1},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [39] =
    {field_label, 0},
  [40] =
    {field_declarator, 1},
  [41] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [44] =
    {field_declarator, 0},
    {field_parameters, 1},
  [46] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [48] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [53] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [56] =
    {field_type, 2},
  [57] =
    {field_name, 1},
    {field_value, 2},
  [59] =
    {field_name, 1},
    {field_parameters, 2},
  [61] =
    {field_condition, 1},
  [62] =
    {field_alternative, 2},
    {field_name, 1},
  [64] =
    {field_type, 0, .inherited = true},
  [65] =
    {field_declarator, 2},
    {field_type, 0},
  [67] =
    {field_left, 0},
    {field_right, 2},
  [69] =
    {field_type, 1},
    {field_value, 3},
  [71] =
    {field_declarator, 2},
    {field_type, 1},
  [73] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [75] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [77] =
    {field_name, 2},
    {field_prefix, 0},
  [79] =
    {field_name, 1},
    {field_underlying_type, 3},
  [81] =
    {field_body, 3},
    {field_name, 2},
  [83] =
    {field_name, 3},
  [84] =
    {field_body, 3},
  [85] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [88] =
    {field_initializer, 0},
  [89] =
    {field_assembly_code, 2},
  [90] =
    {field_name, 0},
    {field_type, 2},
  [92] =
    {field_declarator, 2},
  [93] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [96] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [99] =
    {field_declarator, 0},
    {field_value, 2},
  [101] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [104] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [106] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [111] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [114] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [119] =
    {field_argument, 0},
    {field_index, 2},
  [121] =
    {field_alternative, 3},
    {field_condition, 0},
  [123] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [126] =
    {field_alternative, 3},
    {field_condition, 1},
  [128] =
    {field_alternative, 3},
    {field_name, 1},
  [130] =
    {field_size, 1},
  [131] =
    {field_declarator, 3},
    {field_type, 1},
  [133] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [135] =
    {field_name, 0},
    {field_value, 2},
  [137] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [140] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [142] =
    {field_body, 4},
    {field_name, 3},
  [144] =
    {field_body, 1},
    {field_condition, 3},
  [146] =
    {field_update, 2},
  [147] =
    {field_initializer, 0},
    {field_update, 2},
  [149] =
    {field_condition, 1},
    {field_initializer, 0},
  [151] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [155] =
    {field_operand, 1},
  [156] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [158] =
    {field_assembly_code, 3},
  [159] =
    {field_declarator, 3},
  [160] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [164] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_size, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
  [172] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [175] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [180] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [183] =
    {field_alternative, 4},
    {field_condition, 1},
  [185] =
    {field_size, 2},
  [186] =
    {field_body, 2},
    {field_filter, 1},
  [188] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [190] =
    {field_condition, 1},
    {field_update, 3},
  [192] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [195] =
    {field_initializer, 0},
    {field_update, 3},
  [197] =
    {field_condition, 2},
    {field_initializer, 0},
  [199] =
    {field_member, 4},
    {field_type, 2},
  [201] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [203] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [206] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [208] =
    {field_declarator, 4},
  [209] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [214] =
    {field_declarator, 0},
    {field_size, 3},
  [216] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [219] =
    {field_designator, 0},
    {field_value, 2},
  [221] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [224] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [226] =
    {field_register, 1},
  [227] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [231] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [234] =
    {field_constraint, 0},
    {field_value, 2},
  [236] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [238] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [243] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [247] =
    {field_end, 3},
    {field_start, 1},
  [249] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [251] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [253] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [258] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [260] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_primitive_type,
  },
  [24] = {
    [1] = alias_sym_type_identifier,
  },
  [25] = {
    [2] = alias_sym_type_identifier,
  },
  [29] = {
    [1] = alias_sym_statement_identifier,
  },
  [31] = {
    [0] = alias_sym_statement_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [39] = {
    [2] = alias_sym_type_identifier,
  },
  [52] = {
    [1] = alias_sym_type_identifier,
  },
  [53] = {
    [0] = alias_sym_field_identifier,
  },
  [54] = {
    [2] = alias_sym_type_identifier,
  },
  [55] = {
    [3] = alias_sym_type_identifier,
  },
  [79] = {
    [1] = alias_sym_type_identifier,
  },
  [81] = {
    [3] = alias_sym_type_identifier,
  },
  [100] = {
    [1] = alias_sym_field_identifier,
  },
  [107] = {
    [4] = alias_sym_field_identifier,
  },
  [115] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 3,
  [9] = 9,
  [10] = 3,
  [11] = 7,
  [12] = 3,
  [13] = 9,
  [14] = 14,
  [15] = 7,
  [16] = 7,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 9,
  [21] = 9,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 24,
  [26] = 26,
  [27] = 27,
  [28] = 23,
  [29] = 22,
  [30] = 30,
  [31] = 31,
  [32] = 22,
  [33] = 31,
  [34] = 23,
  [35] = 24,
  [36] = 27,
  [37] = 24,
  [38] = 31,
  [39] = 27,
  [40] = 23,
  [41] = 27,
  [42] = 31,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 46,
  [51] = 49,
  [52] = 49,
  [53] = 48,
  [54] = 47,
  [55] = 45,
  [56] = 46,
  [57] = 45,
  [58] = 48,
  [59] = 47,
  [60] = 48,
  [61] = 47,
  [62] = 45,
  [63] = 49,
  [64] = 46,
  [65] = 47,
  [66] = 66,
  [67] = 66,
  [68] = 66,
  [69] = 66,
  [70] = 49,
  [71] = 45,
  [72] = 46,
  [73] = 66,
  [74] = 48,
  [75] = 75,
  [76] = 75,
  [77] = 75,
  [78] = 75,
  [79] = 75,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 90,
  [100] = 88,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 80,
  [149] = 80,
  [150] = 80,
  [151] = 107,
  [152] = 91,
  [153] = 84,
  [154] = 118,
  [155] = 117,
  [156] = 116,
  [157] = 115,
  [158] = 113,
  [159] = 109,
  [160] = 85,
  [161] = 83,
  [162] = 81,
  [163] = 108,
  [164] = 111,
  [165] = 109,
  [166] = 113,
  [167] = 115,
  [168] = 116,
  [169] = 101,
  [170] = 83,
  [171] = 102,
  [172] = 117,
  [173] = 118,
  [174] = 85,
  [175] = 87,
  [176] = 104,
  [177] = 114,
  [178] = 107,
  [179] = 82,
  [180] = 84,
  [181] = 106,
  [182] = 103,
  [183] = 95,
  [184] = 95,
  [185] = 94,
  [186] = 91,
  [187] = 97,
  [188] = 92,
  [189] = 86,
  [190] = 110,
  [191] = 105,
  [192] = 105,
  [193] = 103,
  [194] = 102,
  [195] = 101,
  [196] = 118,
  [197] = 104,
  [198] = 114,
  [199] = 117,
  [200] = 107,
  [201] = 82,
  [202] = 116,
  [203] = 115,
  [204] = 104,
  [205] = 113,
  [206] = 88,
  [207] = 109,
  [208] = 112,
  [209] = 96,
  [210] = 95,
  [211] = 94,
  [212] = 92,
  [213] = 110,
  [214] = 86,
  [215] = 106,
  [216] = 98,
  [217] = 97,
  [218] = 81,
  [219] = 87,
  [220] = 111,
  [221] = 93,
  [222] = 90,
  [223] = 108,
  [224] = 84,
  [225] = 89,
  [226] = 108,
  [227] = 81,
  [228] = 94,
  [229] = 111,
  [230] = 105,
  [231] = 103,
  [232] = 102,
  [233] = 83,
  [234] = 85,
  [235] = 101,
  [236] = 86,
  [237] = 92,
  [238] = 87,
  [239] = 98,
  [240] = 89,
  [241] = 90,
  [242] = 93,
  [243] = 97,
  [244] = 98,
  [245] = 106,
  [246] = 110,
  [247] = 96,
  [248] = 112,
  [249] = 93,
  [250] = 88,
  [251] = 96,
  [252] = 112,
  [253] = 91,
  [254] = 82,
  [255] = 89,
  [256] = 114,
  [257] = 141,
  [258] = 122,
  [259] = 123,
  [260] = 125,
  [261] = 129,
  [262] = 119,
  [263] = 131,
  [264] = 127,
  [265] = 142,
  [266] = 133,
  [267] = 147,
  [268] = 135,
  [269] = 146,
  [270] = 129,
  [271] = 145,
  [272] = 143,
  [273] = 141,
  [274] = 139,
  [275] = 138,
  [276] = 131,
  [277] = 137,
  [278] = 133,
  [279] = 125,
  [280] = 280,
  [281] = 120,
  [282] = 119,
  [283] = 142,
  [284] = 143,
  [285] = 147,
  [286] = 146,
  [287] = 136,
  [288] = 132,
  [289] = 134,
  [290] = 130,
  [291] = 139,
  [292] = 135,
  [293] = 126,
  [294] = 124,
  [295] = 138,
  [296] = 137,
  [297] = 120,
  [298] = 136,
  [299] = 134,
  [300] = 127,
  [301] = 132,
  [302] = 130,
  [303] = 126,
  [304] = 124,
  [305] = 122,
  [306] = 144,
  [307] = 140,
  [308] = 128,
  [309] = 121,
  [310] = 128,
  [311] = 140,
  [312] = 144,
  [313] = 142,
  [314] = 123,
  [315] = 129,
  [316] = 121,
  [317] = 145,
  [318] = 280,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 120,
  [323] = 323,
  [324] = 136,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 133,
  [329] = 326,
  [330] = 330,
  [331] = 134,
  [332] = 330,
  [333] = 130,
  [334] = 135,
  [335] = 126,
  [336] = 124,
  [337] = 138,
  [338] = 147,
  [339] = 325,
  [340] = 325,
  [341] = 122,
  [342] = 123,
  [343] = 121,
  [344] = 330,
  [345] = 321,
  [346] = 146,
  [347] = 347,
  [348] = 327,
  [349] = 125,
  [350] = 330,
  [351] = 326,
  [352] = 141,
  [353] = 319,
  [354] = 354,
  [355] = 128,
  [356] = 140,
  [357] = 144,
  [358] = 321,
  [359] = 327,
  [360] = 137,
  [361] = 330,
  [362] = 327,
  [363] = 354,
  [364] = 354,
  [365] = 319,
  [366] = 366,
  [367] = 321,
  [368] = 327,
  [369] = 354,
  [370] = 326,
  [371] = 319,
  [372] = 326,
  [373] = 354,
  [374] = 319,
  [375] = 119,
  [376] = 131,
  [377] = 143,
  [378] = 321,
  [379] = 139,
  [380] = 325,
  [381] = 145,
  [382] = 382,
  [383] = 382,
  [384] = 382,
  [385] = 382,
  [386] = 280,
  [387] = 387,
  [388] = 387,
  [389] = 387,
  [390] = 390,
  [391] = 391,
  [392] = 391,
  [393] = 391,
  [394] = 387,
  [395] = 391,
  [396] = 391,
  [397] = 387,
  [398] = 391,
  [399] = 387,
  [400] = 400,
  [401] = 400,
  [402] = 402,
  [403] = 403,
  [404] = 280,
  [405] = 280,
  [406] = 80,
  [407] = 407,
  [408] = 408,
  [409] = 408,
  [410] = 408,
  [411] = 408,
  [412] = 408,
  [413] = 408,
  [414] = 408,
  [415] = 408,
  [416] = 280,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 390,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 433,
  [435] = 435,
  [436] = 433,
  [437] = 437,
  [438] = 438,
  [439] = 432,
  [440] = 432,
  [441] = 441,
  [442] = 435,
  [443] = 438,
  [444] = 438,
  [445] = 435,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 452,
  [455] = 455,
  [456] = 456,
  [457] = 452,
  [458] = 458,
  [459] = 459,
  [460] = 459,
  [461] = 461,
  [462] = 461,
  [463] = 463,
  [464] = 464,
  [465] = 463,
  [466] = 466,
  [467] = 467,
  [468] = 463,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 463,
  [478] = 476,
  [479] = 479,
  [480] = 463,
  [481] = 476,
  [482] = 476,
  [483] = 463,
  [484] = 484,
  [485] = 485,
  [486] = 476,
  [487] = 476,
  [488] = 488,
  [489] = 469,
  [490] = 469,
  [491] = 469,
  [492] = 492,
  [493] = 493,
  [494] = 493,
  [495] = 493,
  [496] = 496,
  [497] = 497,
  [498] = 493,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 514,
  [518] = 518,
  [519] = 511,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 515,
  [525] = 525,
  [526] = 520,
  [527] = 513,
  [528] = 528,
  [529] = 529,
  [530] = 512,
  [531] = 508,
  [532] = 516,
  [533] = 512,
  [534] = 534,
  [535] = 535,
  [536] = 534,
  [537] = 510,
  [538] = 507,
  [539] = 525,
  [540] = 523,
  [541] = 509,
  [542] = 520,
  [543] = 514,
  [544] = 534,
  [545] = 511,
  [546] = 546,
  [547] = 516,
  [548] = 548,
  [549] = 515,
  [550] = 550,
  [551] = 551,
  [552] = 548,
  [553] = 510,
  [554] = 417,
  [555] = 528,
  [556] = 534,
  [557] = 509,
  [558] = 523,
  [559] = 534,
  [560] = 515,
  [561] = 561,
  [562] = 508,
  [563] = 546,
  [564] = 564,
  [565] = 516,
  [566] = 515,
  [567] = 528,
  [568] = 508,
  [569] = 511,
  [570] = 548,
  [571] = 551,
  [572] = 525,
  [573] = 516,
  [574] = 548,
  [575] = 520,
  [576] = 507,
  [577] = 515,
  [578] = 528,
  [579] = 528,
  [580] = 548,
  [581] = 550,
  [582] = 508,
  [583] = 513,
  [584] = 512,
  [585] = 512,
  [586] = 520,
  [587] = 511,
  [588] = 535,
  [589] = 514,
  [590] = 550,
  [591] = 510,
  [592] = 592,
  [593] = 535,
  [594] = 509,
  [595] = 507,
  [596] = 507,
  [597] = 523,
  [598] = 598,
  [599] = 525,
  [600] = 534,
  [601] = 523,
  [602] = 509,
  [603] = 603,
  [604] = 604,
  [605] = 508,
  [606] = 525,
  [607] = 514,
  [608] = 525,
  [609] = 550,
  [610] = 516,
  [611] = 507,
  [612] = 510,
  [613] = 511,
  [614] = 614,
  [615] = 520,
  [616] = 535,
  [617] = 548,
  [618] = 535,
  [619] = 514,
  [620] = 528,
  [621] = 535,
  [622] = 551,
  [623] = 550,
  [624] = 509,
  [625] = 523,
  [626] = 510,
  [627] = 512,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 648,
  [652] = 647,
  [653] = 649,
  [654] = 648,
  [655] = 647,
  [656] = 647,
  [657] = 648,
  [658] = 649,
  [659] = 650,
  [660] = 649,
  [661] = 650,
  [662] = 650,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 402,
  [670] = 403,
  [671] = 671,
  [672] = 672,
  [673] = 667,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 675,
  [681] = 681,
  [682] = 682,
  [683] = 675,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 684,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 684,
  [696] = 675,
  [697] = 684,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 703,
  [712] = 708,
  [713] = 713,
  [714] = 714,
  [715] = 672,
  [716] = 716,
  [717] = 633,
  [718] = 718,
  [719] = 719,
  [720] = 633,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 402,
  [728] = 728,
  [729] = 729,
  [730] = 403,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 135,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 788,
  [790] = 787,
  [791] = 788,
  [792] = 792,
  [793] = 793,
  [794] = 788,
  [795] = 795,
  [796] = 796,
  [797] = 788,
  [798] = 798,
  [799] = 799,
  [800] = 787,
  [801] = 129,
  [802] = 123,
  [803] = 142,
  [804] = 145,
  [805] = 805,
  [806] = 787,
  [807] = 143,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 813,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 816,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 821,
  [830] = 820,
  [831] = 827,
  [832] = 828,
  [833] = 833,
  [834] = 814,
  [835] = 826,
  [836] = 823,
  [837] = 822,
  [838] = 838,
  [839] = 817,
  [840] = 818,
  [841] = 838,
  [842] = 633,
  [843] = 679,
  [844] = 679,
  [845] = 845,
  [846] = 645,
  [847] = 783,
  [848] = 646,
  [849] = 798,
  [850] = 145,
  [851] = 135,
  [852] = 811,
  [853] = 853,
  [854] = 809,
  [855] = 786,
  [856] = 810,
  [857] = 853,
  [858] = 858,
  [859] = 811,
  [860] = 143,
  [861] = 809,
  [862] = 786,
  [863] = 805,
  [864] = 129,
  [865] = 123,
  [866] = 792,
  [867] = 142,
  [868] = 792,
  [869] = 869,
  [870] = 853,
  [871] = 812,
  [872] = 799,
  [873] = 143,
  [874] = 145,
  [875] = 135,
  [876] = 853,
  [877] = 793,
  [878] = 795,
  [879] = 129,
  [880] = 123,
  [881] = 796,
  [882] = 795,
  [883] = 799,
  [884] = 784,
  [885] = 142,
  [886] = 793,
  [887] = 796,
  [888] = 810,
  [889] = 784,
  [890] = 890,
  [891] = 812,
  [892] = 805,
  [893] = 700,
  [894] = 704,
  [895] = 895,
  [896] = 827,
  [897] = 705,
  [898] = 816,
  [899] = 817,
  [900] = 838,
  [901] = 901,
  [902] = 902,
  [903] = 813,
  [904] = 904,
  [905] = 823,
  [906] = 826,
  [907] = 814,
  [908] = 707,
  [909] = 818,
  [910] = 820,
  [911] = 821,
  [912] = 912,
  [913] = 828,
  [914] = 706,
  [915] = 822,
  [916] = 710,
  [917] = 917,
  [918] = 101,
  [919] = 108,
  [920] = 102,
  [921] = 679,
  [922] = 709,
  [923] = 86,
  [924] = 84,
  [925] = 925,
  [926] = 926,
  [927] = 105,
  [928] = 81,
  [929] = 87,
  [930] = 111,
  [931] = 699,
  [932] = 702,
  [933] = 103,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 87,
  [938] = 111,
  [939] = 105,
  [940] = 84,
  [941] = 108,
  [942] = 81,
  [943] = 943,
  [944] = 944,
  [945] = 86,
  [946] = 101,
  [947] = 102,
  [948] = 948,
  [949] = 103,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 936,
  [956] = 935,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 959,
  [961] = 961,
  [962] = 962,
  [963] = 953,
  [964] = 964,
  [965] = 962,
  [966] = 961,
  [967] = 817,
  [968] = 828,
  [969] = 817,
  [970] = 816,
  [971] = 827,
  [972] = 838,
  [973] = 813,
  [974] = 823,
  [975] = 826,
  [976] = 814,
  [977] = 822,
  [978] = 816,
  [979] = 818,
  [980] = 827,
  [981] = 828,
  [982] = 822,
  [983] = 820,
  [984] = 821,
  [985] = 838,
  [986] = 820,
  [987] = 818,
  [988] = 814,
  [989] = 826,
  [990] = 823,
  [991] = 813,
  [992] = 821,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 994,
  [1001] = 1001,
  [1002] = 998,
  [1003] = 994,
  [1004] = 998,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 994,
  [1011] = 998,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1013,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 845,
  [1020] = 1020,
  [1021] = 819,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1024,
  [1027] = 1027,
  [1028] = 828,
  [1029] = 858,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 823,
  [1034] = 1034,
  [1035] = 1034,
  [1036] = 826,
  [1037] = 1037,
  [1038] = 814,
  [1039] = 1039,
  [1040] = 818,
  [1041] = 1041,
  [1042] = 719,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1034,
  [1047] = 820,
  [1048] = 1034,
  [1049] = 869,
  [1050] = 1050,
  [1051] = 827,
  [1052] = 993,
  [1053] = 838,
  [1054] = 821,
  [1055] = 1055,
  [1056] = 813,
  [1057] = 817,
  [1058] = 1058,
  [1059] = 714,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 890,
  [1064] = 1027,
  [1065] = 1050,
  [1066] = 816,
  [1067] = 1034,
  [1068] = 822,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1027,
  [1072] = 1034,
  [1073] = 1073,
  [1074] = 1061,
  [1075] = 1027,
  [1076] = 1050,
  [1077] = 1077,
  [1078] = 1050,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1085,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1085,
  [1096] = 1085,
  [1097] = 1085,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1079,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1112,
  [1114] = 1110,
  [1115] = 1115,
  [1116] = 1111,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 714,
  [1121] = 719,
  [1122] = 776,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 748,
  [1131] = 780,
  [1132] = 776,
  [1133] = 1133,
  [1134] = 756,
  [1135] = 1129,
  [1136] = 766,
  [1137] = 760,
  [1138] = 782,
  [1139] = 779,
  [1140] = 757,
  [1141] = 755,
  [1142] = 769,
  [1143] = 770,
  [1144] = 742,
  [1145] = 1129,
  [1146] = 752,
  [1147] = 1129,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1148,
  [1151] = 1151,
  [1152] = 1149,
  [1153] = 1148,
  [1154] = 1133,
  [1155] = 819,
  [1156] = 1156,
  [1157] = 1156,
  [1158] = 1151,
  [1159] = 1148,
  [1160] = 1151,
  [1161] = 1149,
  [1162] = 1156,
  [1163] = 1148,
  [1164] = 1148,
  [1165] = 1165,
  [1166] = 1149,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1174,
  [1183] = 1175,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1186,
  [1188] = 1174,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1185,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1167,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 687,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1189,
  [1208] = 1190,
  [1209] = 1175,
  [1210] = 1192,
  [1211] = 1193,
  [1212] = 1212,
  [1213] = 1194,
  [1214] = 1196,
  [1215] = 1195,
  [1216] = 1216,
  [1217] = 1200,
  [1218] = 1199,
  [1219] = 1219,
  [1220] = 1174,
  [1221] = 1221,
  [1222] = 1180,
  [1223] = 1223,
  [1224] = 997,
  [1225] = 1225,
  [1226] = 1223,
  [1227] = 1008,
  [1228] = 1179,
  [1229] = 1178,
  [1230] = 1177,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1176,
  [1234] = 1171,
  [1235] = 1170,
  [1236] = 1169,
  [1237] = 1212,
  [1238] = 1181,
  [1239] = 1239,
  [1240] = 1232,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1242,
  [1245] = 1205,
  [1246] = 1231,
  [1247] = 1206,
  [1248] = 1231,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1007,
  [1252] = 1252,
  [1253] = 687,
  [1254] = 1223,
  [1255] = 1203,
  [1256] = 1223,
  [1257] = 1231,
  [1258] = 1012,
  [1259] = 1204,
  [1260] = 1232,
  [1261] = 1261,
  [1262] = 1261,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1261,
  [1268] = 1261,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1270,
  [1274] = 1270,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1271,
  [1278] = 1278,
  [1279] = 1270,
  [1280] = 1271,
  [1281] = 1271,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1284,
  [1286] = 1286,
  [1287] = 1284,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1263,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1305,
  [1307] = 1305,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1303,
  [1312] = 1312,
  [1313] = 1305,
  [1314] = 1303,
  [1315] = 1305,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1303,
  [1324] = 1305,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1282,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1332,
  [1349] = 1275,
  [1350] = 1332,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1278,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1332,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1301,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1363,
  [1368] = 1368,
  [1369] = 1300,
  [1370] = 1363,
  [1371] = 1363,
  [1372] = 1372,
  [1373] = 1299,
  [1374] = 1302,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1378,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1383,
  [1390] = 1378,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1392,
  [1394] = 1394,
  [1395] = 1383,
  [1396] = 1396,
  [1397] = 1383,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1378,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1392,
  [1404] = 1392,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1411,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1416,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1415,
  [1424] = 1416,
  [1425] = 1425,
  [1426] = 1415,
  [1427] = 1415,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1411,
  [1431] = 1411,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1416,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1436,
  [1442] = 1439,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1436,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1436,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1439,
  [1457] = 1436,
  [1458] = 1458,
  [1459] = 1436,
  [1460] = 1460,
  [1461] = 1439,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1439,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1439,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1499,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1504,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1506,
  [1511] = 1506,
  [1512] = 1512,
  [1513] = 1499,
  [1514] = 1499,
  [1515] = 1515,
  [1516] = 1504,
  [1517] = 1517,
  [1518] = 1506,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1503,
  [1523] = 1503,
  [1524] = 1503,
  [1525] = 1504,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1530,
  [1533] = 1529,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1530,
  [1537] = 1530,
  [1538] = 1530,
  [1539] = 1529,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1540,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1541,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1530,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1530,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1552,
  [1561] = 1529,
  [1562] = 1534,
  [1563] = 1541,
  [1564] = 1534,
  [1565] = 1565,
  [1566] = 1540,
  [1567] = 1567,
  [1568] = 1529,
  [1569] = 1569,
  [1570] = 1552,
  [1571] = 1571,
  [1572] = 1571,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1571,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1579,
  [1585] = 1571,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1583,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1592,
  [1596] = 1587,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1593,
  [1602] = 1592,
  [1603] = 1571,
  [1604] = 1579,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1583,
  [1609] = 1580,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1582,
  [1613] = 1574,
  [1614] = 1417,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1574,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1574,
  [1621] = 1581,
  [1622] = 1622,
  [1623] = 1590,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1593,
  [1627] = 1587,
  [1628] = 1628,
  [1629] = 1580,
  [1630] = 1598,
  [1631] = 1592,
  [1632] = 1571,
  [1633] = 1579,
  [1634] = 1581,
  [1635] = 1583,
  [1636] = 1636,
  [1637] = 1582,
  [1638] = 1593,
  [1639] = 1587,
  [1640] = 1587,
  [1641] = 1592,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1590,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1645,
  [1650] = 1582,
  [1651] = 1651,
  [1652] = 1590,
  [1653] = 1653,
  [1654] = 1645,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1605,
  [1658] = 1658,
  [1659] = 1598,
  [1660] = 1574,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1587,
  [1667] = 1592,
  [1668] = 1593,
  [1669] = 1594,
  [1670] = 1574,
  [1671] = 1591,
  [1672] = 1593,
  [1673] = 1579,
  [1674] = 1583,
  [1675] = 1675,
  [1676] = 1583,
  [1677] = 1579,
  [1678] = 1594,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1582,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1582,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1691,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1693,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1687,
  [1702] = 1702,
  [1703] = 1689,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1693,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1688,
  [1712] = 1700,
  [1713] = 1702,
  [1714] = 1688,
  [1715] = 1700,
  [1716] = 1710,
  [1717] = 1707,
  [1718] = 1687,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1719,
  [1722] = 1722,
  [1723] = 1708,
  [1724] = 1702,
  [1725] = 1725,
  [1726] = 1690,
  [1727] = 1690,
  [1728] = 1691,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1700,
  [1732] = 1689,
  [1733] = 1710,
  [1734] = 1734,
  [1735] = 1719,
  [1736] = 1719,
  [1737] = 1737,
  [1738] = 1688,
  [1739] = 1739,
  [1740] = 1708,
  [1741] = 1705,
  [1742] = 1742,
  [1743] = 1719,
  [1744] = 1708,
  [1745] = 1702,
  [1746] = 1687,
  [1747] = 1690,
  [1748] = 1748,
  [1749] = 1691,
  [1750] = 1750,
  [1751] = 1689,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1691,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1702,
  [1759] = 1693,
  [1760] = 1707,
  [1761] = 1761,
  [1762] = 1719,
  [1763] = 1693,
  [1764] = 1764,
  [1765] = 1700,
  [1766] = 1766,
  [1767] = 1687,
  [1768] = 1710,
  [1769] = 1708,
  [1770] = 1710,
  [1771] = 1708,
  [1772] = 1772,
  [1773] = 1708,
  [1774] = 1719,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1776,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 645,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1779,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1791,
  [1796] = 1791,
  [1797] = 1790,
  [1798] = 1798,
  [1799] = 1790,
  [1800] = 1794,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1802,
  [1804] = 1784,
  [1805] = 1805,
  [1806] = 1788,
  [1807] = 1788,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1791,
  [1814] = 1776,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1784,
  [1820] = 1784,
  [1821] = 1788,
  [1822] = 1791,
  [1823] = 1791,
  [1824] = 1788,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 646,
  [1829] = 1829,
  [1830] = 1785,
  [1831] = 1794,
  [1832] = 1832,
  [1833] = 1827,
  [1834] = 1786,
  [1835] = 1779,
  [1836] = 1008,
  [1837] = 1781,
  [1838] = 1838,
  [1839] = 1815,
  [1840] = 1818,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1781,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1007,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1780,
  [1864] = 1860,
  [1865] = 1862,
  [1866] = 1789,
  [1867] = 1811,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1792,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1780,
  [1875] = 1782,
  [1876] = 1790,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1808,
  [1880] = 1880,
  [1881] = 1809,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1815,
  [1885] = 1885,
  [1886] = 1792,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1853,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1809,
  [1896] = 1811,
  [1897] = 1808,
  [1898] = 1898,
  [1899] = 1775,
  [1900] = 1779,
  [1901] = 1818,
  [1902] = 1775,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1784,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1815,
  [1913] = 1913,
  [1914] = 1790,
  [1915] = 1825,
  [1916] = 1826,
  [1917] = 1832,
  [1918] = 1918,
  [1919] = 1794,
  [1920] = 1791,
  [1921] = 1921,
  [1922] = 1815,
  [1923] = 1789,
  [1924] = 1786,
  [1925] = 1925,
  [1926] = 1829,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1860,
  [1931] = 1862,
  [1932] = 1782,
  [1933] = 1790,
  [1934] = 1832,
  [1935] = 1853,
  [1936] = 1873,
  [1937] = 1782,
  [1938] = 1782,
  [1939] = 1827,
  [1940] = 1873,
  [1941] = 1941,
  [1942] = 1861,
  [1943] = 1781,
  [1944] = 1829,
  [1945] = 1802,
  [1946] = 1825,
  [1947] = 1826,
  [1948] = 1948,
  [1949] = 1898,
  [1950] = 1788,
  [1951] = 1951,
  [1952] = 1786,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1777,
  [1963] = 1808,
  [1964] = 1809,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1825,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1825,
  [1972] = 1825,
  [1973] = 1811,
  [1974] = 1974,
  [1975] = 1802,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1948,
  [1979] = 1848,
  [1980] = 1980,
  [1981] = 1792,
  [1982] = 1776,
  [1983] = 1784,
  [1984] = 1818,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 997,
  [1988] = 1818,
  [1989] = 1893,
  [1990] = 1990,
  [1991] = 1784,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1788,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1815,
  [1999] = 1780,
  [2000] = 1829,
  [2001] = 1848,
  [2002] = 1907,
  [2003] = 2003,
  [2004] = 1893,
  [2005] = 1832,
  [2006] = 1827,
  [2007] = 2007,
  [2008] = 1868,
  [2009] = 1781,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 1893,
  [2013] = 2013,
  [2014] = 1012,
  [2015] = 1818,
  [2016] = 1861,
  [2017] = 1848,
  [2018] = 2018,
  [2019] = 1826,
  [2020] = 1848,
  [2021] = 1993,
  [2022] = 1825,
};

static TSCharacterRange sym_number_literal_character_set_13[] = {
  {'0', '9'}, {'B', 'B'}, {'D', 'D'}, {'F', 'F'}, {'L', 'L'}, {'U', 'U'}, {'W', 'W'}, {'b', 'b'},
  {'d', 'd'}, {'f', 'f'}, {'l', 'l'}, {'u', 'u'}, {'w', 'w'},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(121);
      ADVANCE_MAP(
        '!', 188,
        '"', 287,
        '#', 75,
        '%', 205,
        '&', 214,
        '\'', 278,
        '(', 125,
        ')', 128,
        '*', 201,
        '+', 196,
        ',', 127,
        '-', 191,
        '.', 254,
        '/', 203,
        '0', 260,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        'L', 302,
        'U', 304,
        '[', 234,
        '\\', 2,
        ']', 235,
        '^', 211,
        'u', 306,
        '{', 231,
        '|', 208,
        '}', 232,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(43);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(43);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(46);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(46);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(45);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(47);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(47);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(49);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(49);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(53);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(53);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(52);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(52);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(50);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(51);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(48);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(25);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(25);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '\n', 130,
        '!', 68,
        '%', 204,
        '&', 213,
        '(', 186,
        '*', 200,
        '+', 195,
        '-', 190,
        '/', 202,
        '<', 222,
        '=', 69,
        '>', 218,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '^') ADVANCE(210);
      if (lookahead == '|') ADVANCE(209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(56);
      if (lookahead == '\r') SKIP(26);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(54);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(54);
      if (lookahead == '\r') SKIP(28);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 30:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '\r') ADVANCE(34);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == '/') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(146);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '\r') ADVANCE(34);
      if (lookahead == '/') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(146);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '\r') ADVANCE(33);
      if (lookahead == '(') ADVANCE(186);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '(') ADVANCE(186);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 34:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '/') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(55);
      if (lookahead == '"') ADVANCE(287);
      if (lookahead == '/') ADVANCE(288);
      if (lookahead == '\\') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(291);
      if (lookahead != 0) ADVANCE(292);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '\r') ADVANCE(293);
      if (lookahead == 'U') ADVANCE(117);
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(296);
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '/') ADVANCE(281);
      if (lookahead == '\\') ADVANCE(280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(282);
      if (lookahead != 0) ADVANCE(279);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(59);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(59);
      if (lookahead == '\r') SKIP(38);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(44);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(44);
      if (lookahead == '\r') SKIP(40);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 42:
      if (lookahead == '\r') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(317);
      if (lookahead != 0) ADVANCE(322);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 188,
        '"', 287,
        '#', 75,
        '%', 205,
        '&', 214,
        '\'', 278,
        '(', 186,
        ')', 128,
        '*', 201,
        '+', 196,
        ',', 127,
        '-', 191,
        '.', 254,
        '/', 203,
        '0', 260,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        'L', 302,
        'U', 304,
        '[', 234,
        '\\', 2,
        ']', 235,
        '^', 211,
        'u', 306,
        '{', 231,
        '|', 208,
        '}', 232,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 188,
        '"', 287,
        '#', 83,
        '%', 205,
        '&', 214,
        '\'', 278,
        '(', 186,
        ')', 128,
        '*', 201,
        '+', 196,
        ',', 127,
        '-', 191,
        '.', 254,
        '/', 203,
        '0', 260,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        'L', 302,
        'U', 304,
        '[', 233,
        '\\', 41,
        ']', 235,
        '^', 211,
        'u', 306,
        '{', 231,
        '|', 208,
        '}', 232,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 187,
        '"', 287,
        '#', 75,
        '&', 212,
        '\'', 278,
        '(', 186,
        '*', 200,
        '+', 197,
        ',', 127,
        '-', 192,
        '.', 96,
        '/', 60,
        '0', 260,
        ':', 67,
        ';', 227,
        'L', 302,
        'U', 304,
        '[', 73,
        '\\', 6,
        ']', 74,
        'u', 306,
        '{', 231,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 187,
        '"', 287,
        '#', 79,
        '&', 212,
        '\'', 278,
        '(', 186,
        ')', 128,
        '*', 200,
        '+', 197,
        ',', 127,
        '-', 192,
        '.', 255,
        '/', 60,
        '0', 260,
        ':', 238,
        ';', 227,
        '=', 236,
        'L', 302,
        'U', 304,
        '[', 234,
        '\\', 4,
        ']', 235,
        'u', 306,
        '{', 231,
        '}', 232,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 187,
        '"', 287,
        '#', 77,
        '&', 212,
        '\'', 278,
        '(', 186,
        '*', 200,
        '+', 197,
        '-', 192,
        '.', 96,
        '/', 60,
        '0', 260,
        ';', 227,
        'L', 302,
        'U', 304,
        '[', 73,
        '\\', 8,
        'u', 306,
        '{', 231,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 187,
        '\'', 278,
        '(', 186,
        ')', 128,
        '+', 199,
        '-', 194,
        '.', 96,
        '/', 60,
        '0', 260,
        'L', 310,
        'U', 311,
        '\\', 22,
        'u', 312,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 68,
        '"', 287,
        '#', 83,
        '%', 205,
        '&', 214,
        '(', 186,
        ')', 128,
        '*', 201,
        '+', 198,
        ',', 127,
        '-', 193,
        '.', 253,
        '/', 203,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        'L', 303,
        'U', 305,
        '[', 234,
        '\\', 10,
        ']', 235,
        '^', 211,
        'u', 307,
        '|', 208,
        '}', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 205,
        '&', 214,
        '(', 186,
        ')', 128,
        '*', 201,
        '+', 198,
        ',', 127,
        '-', 193,
        '.', 253,
        '/', 203,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        '[', 234,
        '\\', 18,
        ']', 235,
        '^', 211,
        '{', 231,
        '|', 208,
        '}', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 205,
        '&', 214,
        '(', 186,
        ')', 128,
        '*', 201,
        '+', 198,
        ',', 127,
        '-', 193,
        '.', 252,
        '/', 203,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        '[', 233,
        '\\', 20,
        ']', 74,
        '^', 211,
        '|', 208,
        '}', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 68,
        '#', 80,
        '%', 204,
        '&', 213,
        '(', 186,
        ')', 128,
        '*', 200,
        '+', 195,
        ',', 127,
        '-', 190,
        '/', 202,
        ';', 227,
        '<', 222,
        '=', 237,
        '>', 218,
        '[', 234,
        '\\', 14,
        '^', 210,
        '{', 231,
        '|', 209,
        '}', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 68,
        '#', 76,
        '%', 205,
        '&', 214,
        '(', 186,
        ')', 128,
        '*', 201,
        '+', 198,
        ',', 127,
        '-', 193,
        '.', 253,
        '/', 203,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        '[', 234,
        '\\', 12,
        '^', 211,
        '{', 231,
        '|', 208,
        '}', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(287);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '<') ADVANCE(70);
      if (lookahead == 'L') ADVANCE(303);
      if (lookahead == 'U') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == 'u') ADVANCE(307);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(287);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      END_STATE();
    case 56:
      if (lookahead == '#') ADVANCE(93);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '}') ADVANCE(232);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 57:
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 58:
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      END_STATE();
    case 59:
      if (lookahead == '(') ADVANCE(186);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 60:
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(322);
      END_STATE();
    case 61:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 63:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(258);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(268);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(126);
      END_STATE();
    case 66:
      if (lookahead == '/') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(146);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 67:
      if (lookahead == ':') ADVANCE(228);
      END_STATE();
    case 68:
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 69:
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 70:
      if (lookahead == '>') ADVANCE(300);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '>') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 73:
      if (lookahead == '[') ADVANCE(229);
      END_STATE();
    case 74:
      if (lookahead == ']') ADVANCE(230);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'e') ADVANCE(180);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'e') ADVANCE(180);
      if (lookahead == 'i') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'e') ADVANCE(182);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 78:
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'e') ADVANCE(182);
      if (lookahead == 'i') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'i') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 81:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(86);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(94);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(83);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 87:
      if (lookahead == 'f') ADVANCE(137);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 89:
      if (lookahead == 'f') ADVANCE(139);
      END_STATE();
    case 90:
      if (lookahead == 'f') ADVANCE(141);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(169);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(257);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(268);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(265);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(268);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(263);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(299);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 109:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 111:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 112:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 113:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 114:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 118:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(153);
      END_STATE();
    case 119:
      if (eof) ADVANCE(121);
      ADVANCE_MAP(
        '!', 188,
        '"', 287,
        '#', 75,
        '%', 205,
        '&', 214,
        '\'', 278,
        '(', 186,
        ')', 128,
        '*', 201,
        '+', 196,
        ',', 127,
        '-', 191,
        '.', 254,
        '/', 203,
        '0', 260,
        ':', 238,
        ';', 227,
        '<', 221,
        '=', 237,
        '>', 217,
        '?', 239,
        'L', 302,
        'U', 304,
        '[', 234,
        '\\', 2,
        ']', 235,
        '^', 211,
        'u', 306,
        '{', 231,
        '|', 208,
        '}', 232,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 120:
      if (eof) ADVANCE(121);
      ADVANCE_MAP(
        '!', 187,
        '"', 287,
        '#', 79,
        '&', 212,
        '\'', 278,
        '(', 186,
        ')', 128,
        '*', 200,
        '+', 197,
        ',', 127,
        '-', 192,
        '.', 255,
        '/', 60,
        '0', 260,
        ':', 238,
        ';', 227,
        '=', 236,
        'L', 302,
        'U', 304,
        '[', 234,
        '\\', 4,
        ']', 235,
        'u', 306,
        '{', 231,
        '}', 232,
        '~', 189,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(314);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(164);
      if (lookahead == 'n') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(85);
      if (lookahead == 'n') ADVANCE(82);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(166);
      if (lookahead == 'n') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(143);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(143);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(322);
      if (lookahead == '\r') ADVANCE(316);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead != 0) ADVANCE(320);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '\r') ADVANCE(147);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(154);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '*') ADVANCE(143);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(321);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead != 0) ADVANCE(320);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(144);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(153);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(143);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(129);
      if (lookahead == 'n') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(171);
      if (lookahead == 's') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(178);
      if (lookahead == 'n') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == '>') ADVANCE(256);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(250);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == '>') ADVANCE(256);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(251);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (lookahead == '=') ADVANCE(243);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(251);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(251);
      if (lookahead == '=') ADVANCE(243);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(240);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(322);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(322);
      if (lookahead == '=') ADVANCE(241);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(242);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(249);
      if (lookahead == '|') ADVANCE(206);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(206);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(248);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(207);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(207);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(219);
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(219);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(224);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(229);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(257);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(257);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(96);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(257);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(273);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 271,
        'B', 267,
        'b', 267,
        'E', 266,
        'e', 266,
        'P', 270,
        'p', 270,
        'X', 100,
        'x', 100,
        'A', 268,
        'C', 268,
        'a', 268,
        'c', 268,
        'D', 268,
        'F', 268,
        'd', 268,
        'f', 268,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 271,
        'E', 266,
        'e', 266,
        'P', 270,
        'p', 270,
        'A', 268,
        'C', 268,
        'a', 268,
        'c', 268,
        'B', 268,
        'D', 268,
        'F', 268,
        'b', 268,
        'd', 268,
        'f', 268,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 271,
        'B', 269,
        'b', 269,
        'X', 64,
        'x', 64,
        'E', 270,
        'P', 270,
        'e', 270,
        'p', 270,
        'D', 273,
        'F', 273,
        'L', 273,
        'U', 273,
        'W', 273,
        'd', 273,
        'f', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 271,
        'B', 272,
        'b', 272,
        'X', 100,
        'x', 100,
        'E', 270,
        'P', 270,
        'e', 270,
        'p', 270,
        'D', 273,
        'F', 273,
        'L', 273,
        'U', 273,
        'W', 273,
        'd', 273,
        'f', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(262);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(95);
      if (lookahead == '.') ADVANCE(271);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(273);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 101,
        'B', 263,
        'D', 263,
        'F', 263,
        'b', 263,
        'd', 263,
        'f', 263,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        '+', 101,
        '-', 101,
        'E', 264,
        'e', 264,
        'P', 270,
        'p', 270,
        'B', 265,
        'D', 265,
        'F', 265,
        'b', 265,
        'd', 265,
        'f', 265,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(265);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        'E', 264,
        'e', 264,
        'P', 270,
        'p', 270,
        'B', 265,
        'D', 265,
        'F', 265,
        'b', 265,
        'd', 265,
        'f', 265,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(265);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 271,
        '+', 101,
        '-', 101,
        'E', 266,
        'e', 266,
        'P', 270,
        'p', 270,
        'B', 268,
        'D', 268,
        'F', 268,
        'b', 268,
        'd', 268,
        'f', 268,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(268);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 271,
        'E', 266,
        'e', 266,
        'P', 270,
        'p', 270,
        'A', 268,
        'C', 268,
        'a', 268,
        'c', 268,
        'B', 268,
        'D', 268,
        'F', 268,
        'b', 268,
        'd', 268,
        'f', 268,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(259);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 271,
        'E', 266,
        'e', 266,
        'P', 270,
        'p', 270,
        'B', 268,
        'D', 268,
        'F', 268,
        'b', 268,
        'd', 268,
        'f', 268,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(261);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(273);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '+', 101,
        '-', 101,
        'B', 263,
        'D', 263,
        'F', 263,
        'b', 263,
        'd', 263,
        'f', 263,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(263);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'E', 264,
        'e', 264,
        'P', 270,
        'p', 270,
        'B', 265,
        'D', 265,
        'F', 265,
        'b', 265,
        'd', 265,
        'f', 265,
        'L', 273,
        'U', 273,
        'W', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(265);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(262);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(273);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 273,
        'D', 273,
        'F', 273,
        'L', 273,
        'U', 273,
        'W', 273,
        'b', 273,
        'd', 273,
        'f', 273,
        'l', 273,
        'u', 273,
        'w', 273,
      );
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '\r') ADVANCE(293);
      if (lookahead == 'U') ADVANCE(117);
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(296);
      if (lookahead != 0) ADVANCE(293);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(322);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(36);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(290);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(292);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(289);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(290);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(289);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(288);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(291);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(292);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(36);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(293);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(297);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(298);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(300);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '8') ADVANCE(308);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '8') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '8') ADVANCE(313);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(314);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(322);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead != 0) ADVANCE(320);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(317);
      if (lookahead != 0) ADVANCE(322);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(321);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead != 0) ADVANCE(320);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(320);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(320);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(150);
      if (lookahead != 0) ADVANCE(320);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(322);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0) ADVANCE(322);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(28);
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'h') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        'a', 80,
        'b', 81,
        'c', 82,
        'd', 83,
        'e', 84,
        'f', 85,
        'i', 86,
        'l', 87,
        'r', 88,
        's', 89,
        't', 90,
        'u', 91,
        'v', 92,
      );
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(124);
      if (lookahead == 'z') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 's') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'L') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 'E') ADVANCE(141);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 79:
      if (lookahead == 'n') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(147);
      if (lookahead == 's') ADVANCE(148);
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(151);
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 84:
      if (lookahead == 'x') ADVANCE(154);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(155);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'o') ADVANCE(157);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(160);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(161);
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(163);
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(165);
      if (lookahead == 'p') ADVANCE(166);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(167);
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(170);
      END_STATE();
    case 95:
      if (lookahead == 'g') ADVANCE(171);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 97:
      if (lookahead == 'o') ADVANCE(172);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(173);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(174);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(176);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(177);
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(180);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(181);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 106:
      if (lookahead == 'm') ADVANCE(183);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(185);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(186);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(189);
      if (lookahead == '3') ADVANCE(190);
      if (lookahead == '6') ADVANCE(191);
      if (lookahead == '8') ADVANCE(192);
      if (lookahead == 'p') ADVANCE(193);
      END_STATE();
    case 114:
      if (lookahead == 'g') ADVANCE(194);
      END_STATE();
    case 115:
      if (lookahead == '_') ADVANCE(195);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(199);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(202);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(203);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 126:
      if (lookahead == 'z') ADVANCE(206);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(208);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(212);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(213);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(214);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(173);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(216);
      END_STATE();
    case 139:
      if (lookahead == 'E') ADVANCE(217);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(218);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(219);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 145:
      if (lookahead == 'n') ADVANCE(221);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(222);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(223);
      END_STATE();
    case 148:
      if (lookahead == 'm') ADVANCE(224);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(225);
      END_STATE();
    case 150:
      if (lookahead == 's') ADVANCE(226);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 152:
      if (lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(229);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(230);
      if (lookahead == 't') ADVANCE(231);
      END_STATE();
    case 155:
      if (lookahead == 's') ADVANCE(232);
      END_STATE();
    case 156:
      if (lookahead == 'n') ADVANCE(233);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(235);
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 160:
      if (lookahead == 's') ADVANCE(237);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 162:
      if (lookahead == 'd') ADVANCE(239);
      END_STATE();
    case 163:
      if (lookahead == 'i') ADVANCE(240);
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 164:
      if (lookahead == 'y') ADVANCE(242);
      END_STATE();
    case 165:
      if (lookahead == 'a') ADVANCE(243);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(244);
      END_STATE();
    case 167:
      if (lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(246);
      END_STATE();
    case 169:
      if (lookahead == 'g') ADVANCE(247);
      END_STATE();
    case 170:
      if (lookahead == 'l') ADVANCE(248);
      END_STATE();
    case 171:
      if (lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 174:
      if (lookahead == 'k') ADVANCE(250);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(251);
      if (lookahead == '3') ADVANCE(252);
      if (lookahead == '6') ADVANCE(253);
      if (lookahead == '8') ADVANCE(254);
      if (lookahead == 'p') ADVANCE(255);
      END_STATE();
    case 177:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 178:
      if (lookahead == 'i') ADVANCE(257);
      END_STATE();
    case 179:
      if (lookahead == 'u') ADVANCE(258);
      END_STATE();
    case 180:
      if (lookahead == 'n') ADVANCE(259);
      END_STATE();
    case 181:
      if (lookahead == 'l') ADVANCE(260);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 184:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(262);
      END_STATE();
    case 189:
      if (lookahead == '6') ADVANCE(263);
      END_STATE();
    case 190:
      if (lookahead == '2') ADVANCE(264);
      END_STATE();
    case 191:
      if (lookahead == '4') ADVANCE(265);
      END_STATE();
    case 192:
      if (lookahead == '_') ADVANCE(266);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(268);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 197:
      if (lookahead == 'p') ADVANCE(270);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(271);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(272);
      END_STATE();
    case 200:
      if (lookahead == 's') ADVANCE(273);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 202:
      if (lookahead == 'r') ADVANCE(275);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(277);
      END_STATE();
    case 205:
      if (lookahead == '_') ADVANCE(278);
      if (lookahead == 'o') ADVANCE(279);
      END_STATE();
    case 206:
      if (lookahead == 'e') ADVANCE(280);
      END_STATE();
    case 207:
      if (lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 208:
      if (lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 210:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 211:
      if (lookahead == 'd') ADVANCE(285);
      END_STATE();
    case 212:
      if (lookahead == '1') ADVANCE(286);
      if (lookahead == '3') ADVANCE(287);
      if (lookahead == '6') ADVANCE(288);
      if (lookahead == '8') ADVANCE(289);
      if (lookahead == 'p') ADVANCE(290);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 214:
      if (lookahead == 'g') ADVANCE(292);
      END_STATE();
    case 215:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 218:
      if (lookahead == 'n') ADVANCE(295);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 220:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 221:
      if (lookahead == 'u') ADVANCE(298);
      END_STATE();
    case 222:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 223:
      if (lookahead == 'g') ADVANCE(300);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(301);
      END_STATE();
    case 225:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 227:
      if (lookahead == 'c') ADVANCE(304);
      END_STATE();
    case 228:
      if (lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(306);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 232:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 233:
      if (lookahead == 'a') ADVANCE(310);
      END_STATE();
    case 234:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 235:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 236:
      if (lookahead == 'v') ADVANCE(313);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 238:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(316);
      END_STATE();
    case 240:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 241:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 243:
      if (lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 244:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 245:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 246:
      if (lookahead == 'a') ADVANCE(322);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 248:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 249:
      if (lookahead == 'a') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(326);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 251:
      if (lookahead == '6') ADVANCE(327);
      END_STATE();
    case 252:
      if (lookahead == '2') ADVANCE(328);
      END_STATE();
    case 253:
      if (lookahead == '4') ADVANCE(329);
      END_STATE();
    case 254:
      if (lookahead == '_') ADVANCE(330);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(331);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 258:
      if (lookahead == 'l') ADVANCE(334);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 261:
      if (lookahead == 'n') ADVANCE(336);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 263:
      if (lookahead == '_') ADVANCE(338);
      END_STATE();
    case 264:
      if (lookahead == '_') ADVANCE(339);
      END_STATE();
    case 265:
      if (lookahead == '_') ADVANCE(340);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 267:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 268:
      if (lookahead == 'l') ADVANCE(342);
      END_STATE();
    case 269:
      if (lookahead == 'u') ADVANCE(343);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(344);
      END_STATE();
    case 271:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 272:
      if (lookahead == 'f') ADVANCE(346);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 274:
      if (lookahead == 'i') ADVANCE(348);
      END_STATE();
    case 275:
      if (lookahead == 'n') ADVANCE(349);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 277:
      if (lookahead == 'd') ADVANCE(350);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 279:
      if (lookahead == 'f') ADVANCE(351);
      END_STATE();
    case 280:
      if (lookahead == '_') ADVANCE(352);
      END_STATE();
    case 281:
      if (lookahead == 'c') ADVANCE(353);
      END_STATE();
    case 282:
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 283:
      if (lookahead == 'h') ADVANCE(355);
      END_STATE();
    case 284:
      if (lookahead == 'd') ADVANCE(356);
      END_STATE();
    case 285:
      if (lookahead == 'e') ADVANCE(357);
      END_STATE();
    case 286:
      if (lookahead == '6') ADVANCE(358);
      END_STATE();
    case 287:
      if (lookahead == '2') ADVANCE(359);
      END_STATE();
    case 288:
      if (lookahead == '4') ADVANCE(360);
      END_STATE();
    case 289:
      if (lookahead == '_') ADVANCE(361);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(362);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(363);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 295:
      if (lookahead == 'a') ADVANCE(365);
      if (lookahead == 'o') ADVANCE(366);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(367);
      END_STATE();
    case 297:
      if (lookahead == 'i') ADVANCE(368);
      END_STATE();
    case 298:
      if (lookahead == 'l') ADVANCE(369);
      END_STATE();
    case 299:
      if (lookahead == 'u') ADVANCE(370);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(371);
      END_STATE();
    case 301:
      if (lookahead == '_') ADVANCE(372);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(373);
      END_STATE();
    case 303:
      if (lookahead == 'd') ADVANCE(374);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(375);
      END_STATE();
    case 305:
      if (lookahead == 'a') ADVANCE(376);
      END_STATE();
    case 306:
      if (lookahead == 's') ADVANCE(377);
      END_STATE();
    case 307:
      if (lookahead == 'p') ADVANCE(378);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(379);
      END_STATE();
    case 309:
      if (lookahead == 'c') ADVANCE(380);
      END_STATE();
    case 310:
      if (lookahead == 'l') ADVANCE(381);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 314:
      if (lookahead == 'r') ADVANCE(385);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 316:
      if (lookahead == 'a') ADVANCE(386);
      END_STATE();
    case 317:
      if (lookahead == 'c') ADVANCE(387);
      END_STATE();
    case 318:
      if (lookahead == 'a') ADVANCE(388);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 321:
      if (lookahead == 'o') ADVANCE(390);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 323:
      if (lookahead == 'o') ADVANCE(392);
      END_STATE();
    case 324:
      if (lookahead == 'g') ADVANCE(393);
      END_STATE();
    case 325:
      if (lookahead == 's') ADVANCE(394);
      END_STATE();
    case 326:
      if (lookahead == 'f') ADVANCE(395);
      END_STATE();
    case 327:
      if (lookahead == '_') ADVANCE(396);
      END_STATE();
    case 328:
      if (lookahead == '_') ADVANCE(397);
      END_STATE();
    case 329:
      if (lookahead == '_') ADVANCE(398);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 332:
      if (lookahead == 'x') ADVANCE(400);
      END_STATE();
    case 333:
      if (lookahead == 'u') ADVANCE(401);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(402);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(403);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 339:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 341:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 342:
      if (lookahead == 'i') ADVANCE(405);
      END_STATE();
    case 343:
      if (lookahead == 'r') ADVANCE(406);
      END_STATE();
    case 344:
      if (lookahead == 'r') ADVANCE(407);
      END_STATE();
    case 345:
      if (lookahead == 'o') ADVANCE(408);
      END_STATE();
    case 346:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(410);
      END_STATE();
    case 348:
      if (lookahead == 'c') ADVANCE(411);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 352:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 356:
      if (lookahead == '_') ADVANCE(412);
      END_STATE();
    case 357:
      if (lookahead == 'f') ADVANCE(413);
      END_STATE();
    case 358:
      if (lookahead == '_') ADVANCE(414);
      END_STATE();
    case 359:
      if (lookahead == '_') ADVANCE(415);
      END_STATE();
    case 360:
      if (lookahead == '_') ADVANCE(416);
      END_STATE();
    case 361:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 362:
      if (lookahead == 'r') ADVANCE(417);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(418);
      END_STATE();
    case 364:
      if (lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 365:
      if (lookahead == 's') ADVANCE(420);
      END_STATE();
    case 366:
      if (lookahead == 'f') ADVANCE(421);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 368:
      if (lookahead == 'c') ADVANCE(422);
      END_STATE();
    case 369:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 370:
      if (lookahead == 'r') ADVANCE(424);
      END_STATE();
    case 371:
      if (lookahead == 'o') ADVANCE(425);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 373:
      if (lookahead == 'b') ADVANCE(426);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 376:
      if (lookahead == 'l') ADVANCE(427);
      END_STATE();
    case 377:
      if (lookahead == 'p') ADVANCE(428);
      END_STATE();
    case 378:
      if (lookahead == 't') ADVANCE(429);
      END_STATE();
    case 379:
      if (lookahead == 's') ADVANCE(430);
      END_STATE();
    case 380:
      if (lookahead == 'a') ADVANCE(431);
      END_STATE();
    case 381:
      if (lookahead == 'l') ADVANCE(432);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(433);
      END_STATE();
    case 383:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 385:
      if (lookahead == 'i') ADVANCE(435);
      END_STATE();
    case 386:
      if (lookahead == 'l') ADVANCE(436);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(437);
      END_STATE();
    case 388:
      if (lookahead == 'd') ADVANCE(438);
      END_STATE();
    case 389:
      if (lookahead == 'g') ADVANCE(439);
      END_STATE();
    case 390:
      if (lookahead == 'r') ADVANCE(440);
      END_STATE();
    case 391:
      if (lookahead == 'i') ADVANCE(441);
      END_STATE();
    case 392:
      if (lookahead == 'f') ADVANCE(442);
      END_STATE();
    case 393:
      if (lookahead == 'n') ADVANCE(443);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 399:
      if (lookahead == '_') ADVANCE(444);
      END_STATE();
    case 400:
      if (lookahead == 'p') ADVANCE(445);
      END_STATE();
    case 401:
      if (lookahead == 'e') ADVANCE(446);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 405:
      if (lookahead == 'g') ADVANCE(447);
      END_STATE();
    case 406:
      if (lookahead == 'n') ADVANCE(448);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(449);
      END_STATE();
    case 408:
      if (lookahead == 'f') ADVANCE(450);
      END_STATE();
    case 409:
      if (lookahead == '_') ADVANCE(451);
      END_STATE();
    case 410:
      if (lookahead == 'r') ADVANCE(452);
      END_STATE();
    case 411:
      if (lookahead == 't') ADVANCE(453);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(454);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 414:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 415:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 416:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 417:
      if (lookahead == '_') ADVANCE(455);
      END_STATE();
    case 418:
      if (lookahead == 'd') ADVANCE(456);
      END_STATE();
    case 419:
      if (lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 424:
      if (lookahead == 'n') ADVANCE(458);
      END_STATE();
    case 425:
      if (lookahead == 'f') ADVANCE(459);
      END_STATE();
    case 426:
      if (lookahead == 'u') ADVANCE(460);
      END_STATE();
    case 427:
      if (lookahead == 'l') ADVANCE(461);
      END_STATE();
    case 428:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(463);
      END_STATE();
    case 431:
      if (lookahead == 'l') ADVANCE(464);
      END_STATE();
    case 432:
      if (lookahead == 'y') ADVANCE(465);
      END_STATE();
    case 433:
      if (lookahead == 'n') ADVANCE(466);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(467);
      END_STATE();
    case 435:
      if (lookahead == 'c') ADVANCE(468);
      END_STATE();
    case 436:
      if (lookahead == 'l') ADVANCE(469);
      END_STATE();
    case 437:
      if (lookahead == 'l') ADVANCE(470);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 439:
      if (lookahead == 'n') ADVANCE(471);
      END_STATE();
    case 440:
      if (lookahead == 'c') ADVANCE(472);
      END_STATE();
    case 441:
      if (lookahead == 'l') ADVANCE(473);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 443:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 444:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 445:
      if (lookahead == 'r') ADVANCE(475);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 447:
      if (lookahead == 'n') ADVANCE(476);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 449:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 451:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 454:
      if (lookahead == 'o') ADVANCE(477);
      END_STATE();
    case 455:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(478);
      END_STATE();
    case 460:
      if (lookahead == 't') ADVANCE(479);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 462:
      if (lookahead == 'c') ADVANCE(480);
      END_STATE();
    case 463:
      if (lookahead == 'o') ADVANCE(481);
      END_STATE();
    case 464:
      if (lookahead == 'l') ADVANCE(482);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 466:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 467:
      if (lookahead == '_') ADVANCE(484);
      END_STATE();
    case 468:
      if (lookahead == 't') ADVANCE(485);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 471:
      if (lookahead == 'e') ADVANCE(487);
      END_STATE();
    case 472:
      if (lookahead == 'a') ADVANCE(488);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(489);
      END_STATE();
    case 474:
      if (lookahead == 'd') ADVANCE(490);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 476:
      if (lookahead == '_') ADVANCE(491);
      END_STATE();
    case 477:
      if (lookahead == 'c') ADVANCE(492);
      END_STATE();
    case 478:
      if (lookahead == '_') ADVANCE(493);
      END_STATE();
    case 479:
      if (lookahead == 'e') ADVANCE(494);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 481:
      if (lookahead == 'n') ADVANCE(495);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 483:
      if (lookahead == 'i') ADVANCE(496);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(497);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 487:
      if (lookahead == 'd') ADVANCE(498);
      END_STATE();
    case 488:
      if (lookahead == 'l') ADVANCE(499);
      END_STATE();
    case 489:
      if (lookahead == '_') ADVANCE(500);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 491:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 492:
      if (lookahead == 'a') ADVANCE(501);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym___attribute);
      if (lookahead == '_') ADVANCE(502);
      END_STATE();
    case 495:
      if (lookahead == '_') ADVANCE(503);
      END_STATE();
    case 496:
      if (lookahead == 'n') ADVANCE(504);
      END_STATE();
    case 497:
      if (lookahead == '_') ADVANCE(505);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 499:
      if (lookahead == 'l') ADVANCE(506);
      END_STATE();
    case 500:
      if (lookahead == '_') ADVANCE(507);
      END_STATE();
    case 501:
      if (lookahead == 'l') ADVANCE(508);
      END_STATE();
    case 502:
      if (lookahead == '_') ADVANCE(509);
      END_STATE();
    case 503:
      if (lookahead == '_') ADVANCE(510);
      END_STATE();
    case 504:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 120},
  [2] = {.lex_state = 45},
  [3] = {.lex_state = 45},
  [4] = {.lex_state = 45},
  [5] = {.lex_state = 45},
  [6] = {.lex_state = 45},
  [7] = {.lex_state = 45},
  [8] = {.lex_state = 45},
  [9] = {.lex_state = 45},
  [10] = {.lex_state = 45},
  [11] = {.lex_state = 45},
  [12] = {.lex_state = 45},
  [13] = {.lex_state = 45},
  [14] = {.lex_state = 45},
  [15] = {.lex_state = 45},
  [16] = {.lex_state = 45},
  [17] = {.lex_state = 45},
  [18] = {.lex_state = 45},
  [19] = {.lex_state = 45},
  [20] = {.lex_state = 45},
  [21] = {.lex_state = 45},
  [22] = {.lex_state = 45},
  [23] = {.lex_state = 120},
  [24] = {.lex_state = 120},
  [25] = {.lex_state = 120},
  [26] = {.lex_state = 47},
  [27] = {.lex_state = 120},
  [28] = {.lex_state = 120},
  [29] = {.lex_state = 47},
  [30] = {.lex_state = 47},
  [31] = {.lex_state = 120},
  [32] = {.lex_state = 120},
  [33] = {.lex_state = 120},
  [34] = {.lex_state = 120},
  [35] = {.lex_state = 120},
  [36] = {.lex_state = 120},
  [37] = {.lex_state = 120},
  [38] = {.lex_state = 120},
  [39] = {.lex_state = 120},
  [40] = {.lex_state = 120},
  [41] = {.lex_state = 120},
  [42] = {.lex_state = 120},
  [43] = {.lex_state = 120},
  [44] = {.lex_state = 120},
  [45] = {.lex_state = 45},
  [46] = {.lex_state = 45},
  [47] = {.lex_state = 45},
  [48] = {.lex_state = 45},
  [49] = {.lex_state = 45},
  [50] = {.lex_state = 47},
  [51] = {.lex_state = 120},
  [52] = {.lex_state = 120},
  [53] = {.lex_state = 47},
  [54] = {.lex_state = 47},
  [55] = {.lex_state = 120},
  [56] = {.lex_state = 120},
  [57] = {.lex_state = 47},
  [58] = {.lex_state = 120},
  [59] = {.lex_state = 120},
  [60] = {.lex_state = 120},
  [61] = {.lex_state = 120},
  [62] = {.lex_state = 120},
  [63] = {.lex_state = 47},
  [64] = {.lex_state = 120},
  [65] = {.lex_state = 120},
  [66] = {.lex_state = 120},
  [67] = {.lex_state = 120},
  [68] = {.lex_state = 120},
  [69] = {.lex_state = 120},
  [70] = {.lex_state = 120},
  [71] = {.lex_state = 120},
  [72] = {.lex_state = 120},
  [73] = {.lex_state = 120},
  [74] = {.lex_state = 120},
  [75] = {.lex_state = 120},
  [76] = {.lex_state = 120},
  [77] = {.lex_state = 120},
  [78] = {.lex_state = 120},
  [79] = {.lex_state = 120},
  [80] = {.lex_state = 45},
  [81] = {.lex_state = 45},
  [82] = {.lex_state = 45},
  [83] = {.lex_state = 45},
  [84] = {.lex_state = 45},
  [85] = {.lex_state = 45},
  [86] = {.lex_state = 45},
  [87] = {.lex_state = 45},
  [88] = {.lex_state = 45},
  [89] = {.lex_state = 45},
  [90] = {.lex_state = 45},
  [91] = {.lex_state = 45},
  [92] = {.lex_state = 45},
  [93] = {.lex_state = 45},
  [94] = {.lex_state = 45},
  [95] = {.lex_state = 45},
  [96] = {.lex_state = 45},
  [97] = {.lex_state = 45},
  [98] = {.lex_state = 45},
  [99] = {.lex_state = 120},
  [100] = {.lex_state = 120},
  [101] = {.lex_state = 45},
  [102] = {.lex_state = 45},
  [103] = {.lex_state = 45},
  [104] = {.lex_state = 45},
  [105] = {.lex_state = 45},
  [106] = {.lex_state = 45},
  [107] = {.lex_state = 45},
  [108] = {.lex_state = 45},
  [109] = {.lex_state = 45},
  [110] = {.lex_state = 45},
  [111] = {.lex_state = 45},
  [112] = {.lex_state = 45},
  [113] = {.lex_state = 45},
  [114] = {.lex_state = 45},
  [115] = {.lex_state = 45},
  [116] = {.lex_state = 45},
  [117] = {.lex_state = 45},
  [118] = {.lex_state = 45},
  [119] = {.lex_state = 45},
  [120] = {.lex_state = 45},
  [121] = {.lex_state = 45},
  [122] = {.lex_state = 45},
  [123] = {.lex_state = 45},
  [124] = {.lex_state = 45},
  [125] = {.lex_state = 45},
  [126] = {.lex_state = 45},
  [127] = {.lex_state = 45},
  [128] = {.lex_state = 45},
  [129] = {.lex_state = 45},
  [130] = {.lex_state = 45},
  [131] = {.lex_state = 45},
  [132] = {.lex_state = 45},
  [133] = {.lex_state = 45},
  [134] = {.lex_state = 45},
  [135] = {.lex_state = 45},
  [136] = {.lex_state = 45},
  [137] = {.lex_state = 45},
  [138] = {.lex_state = 45},
  [139] = {.lex_state = 45},
  [140] = {.lex_state = 45},
  [141] = {.lex_state = 45},
  [142] = {.lex_state = 45},
  [143] = {.lex_state = 45},
  [144] = {.lex_state = 45},
  [145] = {.lex_state = 45},
  [146] = {.lex_state = 45},
  [147] = {.lex_state = 45},
  [148] = {.lex_state = 120},
  [149] = {.lex_state = 47},
  [150] = {.lex_state = 120},
  [151] = {.lex_state = 120},
  [152] = {.lex_state = 47},
  [153] = {.lex_state = 47},
  [154] = {.lex_state = 120},
  [155] = {.lex_state = 120},
  [156] = {.lex_state = 120},
  [157] = {.lex_state = 120},
  [158] = {.lex_state = 120},
  [159] = {.lex_state = 120},
  [160] = {.lex_state = 47},
  [161] = {.lex_state = 47},
  [162] = {.lex_state = 120},
  [163] = {.lex_state = 120},
  [164] = {.lex_state = 120},
  [165] = {.lex_state = 47},
  [166] = {.lex_state = 47},
  [167] = {.lex_state = 47},
  [168] = {.lex_state = 47},
  [169] = {.lex_state = 120},
  [170] = {.lex_state = 120},
  [171] = {.lex_state = 120},
  [172] = {.lex_state = 47},
  [173] = {.lex_state = 47},
  [174] = {.lex_state = 120},
  [175] = {.lex_state = 120},
  [176] = {.lex_state = 120},
  [177] = {.lex_state = 120},
  [178] = {.lex_state = 120},
  [179] = {.lex_state = 120},
  [180] = {.lex_state = 120},
  [181] = {.lex_state = 120},
  [182] = {.lex_state = 120},
  [183] = {.lex_state = 120},
  [184] = {.lex_state = 47},
  [185] = {.lex_state = 47},
  [186] = {.lex_state = 120},
  [187] = {.lex_state = 120},
  [188] = {.lex_state = 47},
  [189] = {.lex_state = 120},
  [190] = {.lex_state = 120},
  [191] = {.lex_state = 120},
  [192] = {.lex_state = 120},
  [193] = {.lex_state = 120},
  [194] = {.lex_state = 120},
  [195] = {.lex_state = 120},
  [196] = {.lex_state = 120},
  [197] = {.lex_state = 47},
  [198] = {.lex_state = 47},
  [199] = {.lex_state = 120},
  [200] = {.lex_state = 47},
  [201] = {.lex_state = 47},
  [202] = {.lex_state = 120},
  [203] = {.lex_state = 120},
  [204] = {.lex_state = 120},
  [205] = {.lex_state = 120},
  [206] = {.lex_state = 47},
  [207] = {.lex_state = 120},
  [208] = {.lex_state = 47},
  [209] = {.lex_state = 47},
  [210] = {.lex_state = 120},
  [211] = {.lex_state = 120},
  [212] = {.lex_state = 120},
  [213] = {.lex_state = 47},
  [214] = {.lex_state = 120},
  [215] = {.lex_state = 47},
  [216] = {.lex_state = 47},
  [217] = {.lex_state = 47},
  [218] = {.lex_state = 120},
  [219] = {.lex_state = 47},
  [220] = {.lex_state = 47},
  [221] = {.lex_state = 47},
  [222] = {.lex_state = 47},
  [223] = {.lex_state = 47},
  [224] = {.lex_state = 120},
  [225] = {.lex_state = 47},
  [226] = {.lex_state = 120},
  [227] = {.lex_state = 47},
  [228] = {.lex_state = 120},
  [229] = {.lex_state = 120},
  [230] = {.lex_state = 47},
  [231] = {.lex_state = 47},
  [232] = {.lex_state = 47},
  [233] = {.lex_state = 120},
  [234] = {.lex_state = 120},
  [235] = {.lex_state = 47},
  [236] = {.lex_state = 47},
  [237] = {.lex_state = 120},
  [238] = {.lex_state = 120},
  [239] = {.lex_state = 120},
  [240] = {.lex_state = 120},
  [241] = {.lex_state = 120},
  [242] = {.lex_state = 120},
  [243] = {.lex_state = 120},
  [244] = {.lex_state = 120},
  [245] = {.lex_state = 120},
  [246] = {.lex_state = 120},
  [247] = {.lex_state = 120},
  [248] = {.lex_state = 120},
  [249] = {.lex_state = 120},
  [250] = {.lex_state = 120},
  [251] = {.lex_state = 120},
  [252] = {.lex_state = 120},
  [253] = {.lex_state = 120},
  [254] = {.lex_state = 120},
  [255] = {.lex_state = 120},
  [256] = {.lex_state = 120},
  [257] = {.lex_state = 47},
  [258] = {.lex_state = 120},
  [259] = {.lex_state = 120},
  [260] = {.lex_state = 120},
  [261] = {.lex_state = 120},
  [262] = {.lex_state = 120},
  [263] = {.lex_state = 120},
  [264] = {.lex_state = 120},
  [265] = {.lex_state = 120},
  [266] = {.lex_state = 120},
  [267] = {.lex_state = 120},
  [268] = {.lex_state = 47},
  [269] = {.lex_state = 120},
  [270] = {.lex_state = 120},
  [271] = {.lex_state = 120},
  [272] = {.lex_state = 120},
  [273] = {.lex_state = 120},
  [274] = {.lex_state = 120},
  [275] = {.lex_state = 120},
  [276] = {.lex_state = 47},
  [277] = {.lex_state = 120},
  [278] = {.lex_state = 47},
  [279] = {.lex_state = 47},
  [280] = {.lex_state = 44},
  [281] = {.lex_state = 120},
  [282] = {.lex_state = 47},
  [283] = {.lex_state = 120},
  [284] = {.lex_state = 47},
  [285] = {.lex_state = 47},
  [286] = {.lex_state = 47},
  [287] = {.lex_state = 120},
  [288] = {.lex_state = 120},
  [289] = {.lex_state = 120},
  [290] = {.lex_state = 120},
  [291] = {.lex_state = 47},
  [292] = {.lex_state = 120},
  [293] = {.lex_state = 120},
  [294] = {.lex_state = 120},
  [295] = {.lex_state = 47},
  [296] = {.lex_state = 47},
  [297] = {.lex_state = 47},
  [298] = {.lex_state = 47},
  [299] = {.lex_state = 47},
  [300] = {.lex_state = 47},
  [301] = {.lex_state = 47},
  [302] = {.lex_state = 47},
  [303] = {.lex_state = 47},
  [304] = {.lex_state = 47},
  [305] = {.lex_state = 47},
  [306] = {.lex_state = 120},
  [307] = {.lex_state = 120},
  [308] = {.lex_state = 120},
  [309] = {.lex_state = 47},
  [310] = {.lex_state = 47},
  [311] = {.lex_state = 47},
  [312] = {.lex_state = 47},
  [313] = {.lex_state = 47},
  [314] = {.lex_state = 47},
  [315] = {.lex_state = 47},
  [316] = {.lex_state = 120},
  [317] = {.lex_state = 47},
  [318] = {.lex_state = 44},
  [319] = {.lex_state = 120},
  [320] = {.lex_state = 120},
  [321] = {.lex_state = 120},
  [322] = {.lex_state = 120},
  [323] = {.lex_state = 120},
  [324] = {.lex_state = 120},
  [325] = {.lex_state = 120},
  [326] = {.lex_state = 120},
  [327] = {.lex_state = 120},
  [328] = {.lex_state = 120},
  [329] = {.lex_state = 120},
  [330] = {.lex_state = 120},
  [331] = {.lex_state = 120},
  [332] = {.lex_state = 120},
  [333] = {.lex_state = 120},
  [334] = {.lex_state = 120},
  [335] = {.lex_state = 120},
  [336] = {.lex_state = 120},
  [337] = {.lex_state = 120},
  [338] = {.lex_state = 120},
  [339] = {.lex_state = 120},
  [340] = {.lex_state = 120},
  [341] = {.lex_state = 120},
  [342] = {.lex_state = 120},
  [343] = {.lex_state = 120},
  [344] = {.lex_state = 120},
  [345] = {.lex_state = 120},
  [346] = {.lex_state = 120},
  [347] = {.lex_state = 120},
  [348] = {.lex_state = 120},
  [349] = {.lex_state = 120},
  [350] = {.lex_state = 120},
  [351] = {.lex_state = 120},
  [352] = {.lex_state = 120},
  [353] = {.lex_state = 120},
  [354] = {.lex_state = 120},
  [355] = {.lex_state = 120},
  [356] = {.lex_state = 120},
  [357] = {.lex_state = 120},
  [358] = {.lex_state = 120},
  [359] = {.lex_state = 120},
  [360] = {.lex_state = 120},
  [361] = {.lex_state = 120},
  [362] = {.lex_state = 120},
  [363] = {.lex_state = 120},
  [364] = {.lex_state = 120},
  [365] = {.lex_state = 120},
  [366] = {.lex_state = 120},
  [367] = {.lex_state = 120},
  [368] = {.lex_state = 120},
  [369] = {.lex_state = 120},
  [370] = {.lex_state = 120},
  [371] = {.lex_state = 120},
  [372] = {.lex_state = 120},
  [373] = {.lex_state = 120},
  [374] = {.lex_state = 120},
  [375] = {.lex_state = 120},
  [376] = {.lex_state = 120},
  [377] = {.lex_state = 120},
  [378] = {.lex_state = 120},
  [379] = {.lex_state = 120},
  [380] = {.lex_state = 120},
  [381] = {.lex_state = 120},
  [382] = {.lex_state = 120},
  [383] = {.lex_state = 120},
  [384] = {.lex_state = 120},
  [385] = {.lex_state = 120},
  [386] = {.lex_state = 44},
  [387] = {.lex_state = 120},
  [388] = {.lex_state = 120},
  [389] = {.lex_state = 120},
  [390] = {.lex_state = 120},
  [391] = {.lex_state = 120},
  [392] = {.lex_state = 120},
  [393] = {.lex_state = 120},
  [394] = {.lex_state = 120},
  [395] = {.lex_state = 120},
  [396] = {.lex_state = 120},
  [397] = {.lex_state = 120},
  [398] = {.lex_state = 120},
  [399] = {.lex_state = 120},
  [400] = {.lex_state = 120},
  [401] = {.lex_state = 120},
  [402] = {.lex_state = 120},
  [403] = {.lex_state = 120},
  [404] = {.lex_state = 44},
  [405] = {.lex_state = 44},
  [406] = {.lex_state = 120},
  [407] = {.lex_state = 120},
  [408] = {.lex_state = 49},
  [409] = {.lex_state = 49},
  [410] = {.lex_state = 49},
  [411] = {.lex_state = 49},
  [412] = {.lex_state = 49},
  [413] = {.lex_state = 49},
  [414] = {.lex_state = 49},
  [415] = {.lex_state = 49},
  [416] = {.lex_state = 44},
  [417] = {.lex_state = 49},
  [418] = {.lex_state = 49},
  [419] = {.lex_state = 53},
  [420] = {.lex_state = 120},
  [421] = {.lex_state = 120},
  [422] = {.lex_state = 120},
  [423] = {.lex_state = 120},
  [424] = {.lex_state = 120},
  [425] = {.lex_state = 120},
  [426] = {.lex_state = 120},
  [427] = {.lex_state = 120},
  [428] = {.lex_state = 120},
  [429] = {.lex_state = 120},
  [430] = {.lex_state = 120},
  [431] = {.lex_state = 53},
  [432] = {.lex_state = 53},
  [433] = {.lex_state = 53},
  [434] = {.lex_state = 53},
  [435] = {.lex_state = 53},
  [436] = {.lex_state = 53},
  [437] = {.lex_state = 53},
  [438] = {.lex_state = 53},
  [439] = {.lex_state = 53},
  [440] = {.lex_state = 53},
  [441] = {.lex_state = 53},
  [442] = {.lex_state = 53},
  [443] = {.lex_state = 53},
  [444] = {.lex_state = 53},
  [445] = {.lex_state = 53},
  [446] = {.lex_state = 53},
  [447] = {.lex_state = 53},
  [448] = {.lex_state = 120},
  [449] = {.lex_state = 120},
  [450] = {.lex_state = 120},
  [451] = {.lex_state = 120},
  [452] = {.lex_state = 53},
  [453] = {.lex_state = 52},
  [454] = {.lex_state = 57},
  [455] = {.lex_state = 52},
  [456] = {.lex_state = 57},
  [457] = {.lex_state = 52},
  [458] = {.lex_state = 57},
  [459] = {.lex_state = 120},
  [460] = {.lex_state = 120},
  [461] = {.lex_state = 120},
  [462] = {.lex_state = 120},
  [463] = {.lex_state = 120},
  [464] = {.lex_state = 120},
  [465] = {.lex_state = 120},
  [466] = {.lex_state = 120},
  [467] = {.lex_state = 120},
  [468] = {.lex_state = 120},
  [469] = {.lex_state = 120},
  [470] = {.lex_state = 120},
  [471] = {.lex_state = 120},
  [472] = {.lex_state = 120},
  [473] = {.lex_state = 120},
  [474] = {.lex_state = 120},
  [475] = {.lex_state = 120},
  [476] = {.lex_state = 120},
  [477] = {.lex_state = 120},
  [478] = {.lex_state = 120},
  [479] = {.lex_state = 120},
  [480] = {.lex_state = 120},
  [481] = {.lex_state = 120},
  [482] = {.lex_state = 120},
  [483] = {.lex_state = 120},
  [484] = {.lex_state = 120},
  [485] = {.lex_state = 120},
  [486] = {.lex_state = 120},
  [487] = {.lex_state = 120},
  [488] = {.lex_state = 120},
  [489] = {.lex_state = 120},
  [490] = {.lex_state = 120},
  [491] = {.lex_state = 120},
  [492] = {.lex_state = 120},
  [493] = {.lex_state = 53},
  [494] = {.lex_state = 53},
  [495] = {.lex_state = 53},
  [496] = {.lex_state = 120},
  [497] = {.lex_state = 120},
  [498] = {.lex_state = 53},
  [499] = {.lex_state = 120},
  [500] = {.lex_state = 120},
  [501] = {.lex_state = 120},
  [502] = {.lex_state = 120},
  [503] = {.lex_state = 120},
  [504] = {.lex_state = 120},
  [505] = {.lex_state = 120},
  [506] = {.lex_state = 120},
  [507] = {.lex_state = 120},
  [508] = {.lex_state = 120},
  [509] = {.lex_state = 120},
  [510] = {.lex_state = 120},
  [511] = {.lex_state = 120},
  [512] = {.lex_state = 120},
  [513] = {.lex_state = 120},
  [514] = {.lex_state = 120},
  [515] = {.lex_state = 120},
  [516] = {.lex_state = 120},
  [517] = {.lex_state = 120},
  [518] = {.lex_state = 120},
  [519] = {.lex_state = 120},
  [520] = {.lex_state = 120},
  [521] = {.lex_state = 120},
  [522] = {.lex_state = 120},
  [523] = {.lex_state = 120},
  [524] = {.lex_state = 120},
  [525] = {.lex_state = 120},
  [526] = {.lex_state = 120},
  [527] = {.lex_state = 120},
  [528] = {.lex_state = 120},
  [529] = {.lex_state = 120},
  [530] = {.lex_state = 120},
  [531] = {.lex_state = 120},
  [532] = {.lex_state = 120},
  [533] = {.lex_state = 120},
  [534] = {.lex_state = 120},
  [535] = {.lex_state = 120},
  [536] = {.lex_state = 120},
  [537] = {.lex_state = 120},
  [538] = {.lex_state = 120},
  [539] = {.lex_state = 120},
  [540] = {.lex_state = 120},
  [541] = {.lex_state = 120},
  [542] = {.lex_state = 120},
  [543] = {.lex_state = 120},
  [544] = {.lex_state = 120},
  [545] = {.lex_state = 120},
  [546] = {.lex_state = 120},
  [547] = {.lex_state = 120},
  [548] = {.lex_state = 120},
  [549] = {.lex_state = 120},
  [550] = {.lex_state = 120},
  [551] = {.lex_state = 120},
  [552] = {.lex_state = 120},
  [553] = {.lex_state = 120},
  [554] = {.lex_state = 49},
  [555] = {.lex_state = 120},
  [556] = {.lex_state = 120},
  [557] = {.lex_state = 120},
  [558] = {.lex_state = 120},
  [559] = {.lex_state = 120},
  [560] = {.lex_state = 120},
  [561] = {.lex_state = 120},
  [562] = {.lex_state = 120},
  [563] = {.lex_state = 120},
  [564] = {.lex_state = 120},
  [565] = {.lex_state = 120},
  [566] = {.lex_state = 120},
  [567] = {.lex_state = 120},
  [568] = {.lex_state = 120},
  [569] = {.lex_state = 120},
  [570] = {.lex_state = 120},
  [571] = {.lex_state = 120},
  [572] = {.lex_state = 120},
  [573] = {.lex_state = 120},
  [574] = {.lex_state = 120},
  [575] = {.lex_state = 120},
  [576] = {.lex_state = 120},
  [577] = {.lex_state = 120},
  [578] = {.lex_state = 120},
  [579] = {.lex_state = 120},
  [580] = {.lex_state = 120},
  [581] = {.lex_state = 120},
  [582] = {.lex_state = 120},
  [583] = {.lex_state = 120},
  [584] = {.lex_state = 120},
  [585] = {.lex_state = 120},
  [586] = {.lex_state = 120},
  [587] = {.lex_state = 120},
  [588] = {.lex_state = 120},
  [589] = {.lex_state = 120},
  [590] = {.lex_state = 120},
  [591] = {.lex_state = 120},
  [592] = {.lex_state = 120},
  [593] = {.lex_state = 120},
  [594] = {.lex_state = 120},
  [595] = {.lex_state = 120},
  [596] = {.lex_state = 120},
  [597] = {.lex_state = 120},
  [598] = {.lex_state = 120},
  [599] = {.lex_state = 120},
  [600] = {.lex_state = 120},
  [601] = {.lex_state = 120},
  [602] = {.lex_state = 120},
  [603] = {.lex_state = 120},
  [604] = {.lex_state = 120},
  [605] = {.lex_state = 120},
  [606] = {.lex_state = 120},
  [607] = {.lex_state = 120},
  [608] = {.lex_state = 120},
  [609] = {.lex_state = 120},
  [610] = {.lex_state = 120},
  [611] = {.lex_state = 120},
  [612] = {.lex_state = 120},
  [613] = {.lex_state = 120},
  [614] = {.lex_state = 120},
  [615] = {.lex_state = 120},
  [616] = {.lex_state = 120},
  [617] = {.lex_state = 120},
  [618] = {.lex_state = 120},
  [619] = {.lex_state = 120},
  [620] = {.lex_state = 120},
  [621] = {.lex_state = 120},
  [622] = {.lex_state = 120},
  [623] = {.lex_state = 120},
  [624] = {.lex_state = 120},
  [625] = {.lex_state = 120},
  [626] = {.lex_state = 120},
  [627] = {.lex_state = 120},
  [628] = {.lex_state = 49},
  [629] = {.lex_state = 49},
  [630] = {.lex_state = 49},
  [631] = {.lex_state = 53},
  [632] = {.lex_state = 53},
  [633] = {.lex_state = 49},
  [634] = {.lex_state = 50},
  [635] = {.lex_state = 50},
  [636] = {.lex_state = 50},
  [637] = {.lex_state = 53},
  [638] = {.lex_state = 50},
  [639] = {.lex_state = 50},
  [640] = {.lex_state = 50},
  [641] = {.lex_state = 50},
  [642] = {.lex_state = 50},
  [643] = {.lex_state = 50},
  [644] = {.lex_state = 50},
  [645] = {.lex_state = 49},
  [646] = {.lex_state = 49},
  [647] = {.lex_state = 53},
  [648] = {.lex_state = 53},
  [649] = {.lex_state = 53},
  [650] = {.lex_state = 53},
  [651] = {.lex_state = 53},
  [652] = {.lex_state = 53},
  [653] = {.lex_state = 53},
  [654] = {.lex_state = 53},
  [655] = {.lex_state = 53},
  [656] = {.lex_state = 53},
  [657] = {.lex_state = 53},
  [658] = {.lex_state = 53},
  [659] = {.lex_state = 53},
  [660] = {.lex_state = 53},
  [661] = {.lex_state = 53},
  [662] = {.lex_state = 53},
  [663] = {.lex_state = 53},
  [664] = {.lex_state = 53},
  [665] = {.lex_state = 53},
  [666] = {.lex_state = 53},
  [667] = {.lex_state = 120},
  [668] = {.lex_state = 120},
  [669] = {.lex_state = 120},
  [670] = {.lex_state = 120},
  [671] = {.lex_state = 53},
  [672] = {.lex_state = 49},
  [673] = {.lex_state = 50},
  [674] = {.lex_state = 50},
  [675] = {.lex_state = 53},
  [676] = {.lex_state = 50},
  [677] = {.lex_state = 50},
  [678] = {.lex_state = 50},
  [679] = {.lex_state = 50},
  [680] = {.lex_state = 53},
  [681] = {.lex_state = 50},
  [682] = {.lex_state = 50},
  [683] = {.lex_state = 53},
  [684] = {.lex_state = 53},
  [685] = {.lex_state = 50},
  [686] = {.lex_state = 50},
  [687] = {.lex_state = 50},
  [688] = {.lex_state = 50},
  [689] = {.lex_state = 50},
  [690] = {.lex_state = 53},
  [691] = {.lex_state = 50},
  [692] = {.lex_state = 50},
  [693] = {.lex_state = 50},
  [694] = {.lex_state = 50},
  [695] = {.lex_state = 53},
  [696] = {.lex_state = 53},
  [697] = {.lex_state = 53},
  [698] = {.lex_state = 50},
  [699] = {.lex_state = 51},
  [700] = {.lex_state = 50},
  [701] = {.lex_state = 53},
  [702] = {.lex_state = 51},
  [703] = {.lex_state = 120},
  [704] = {.lex_state = 50},
  [705] = {.lex_state = 50},
  [706] = {.lex_state = 50},
  [707] = {.lex_state = 50},
  [708] = {.lex_state = 120},
  [709] = {.lex_state = 51},
  [710] = {.lex_state = 50},
  [711] = {.lex_state = 53},
  [712] = {.lex_state = 53},
  [713] = {.lex_state = 53},
  [714] = {.lex_state = 53},
  [715] = {.lex_state = 49},
  [716] = {.lex_state = 53},
  [717] = {.lex_state = 49},
  [718] = {.lex_state = 53},
  [719] = {.lex_state = 53},
  [720] = {.lex_state = 49},
  [721] = {.lex_state = 53},
  [722] = {.lex_state = 53},
  [723] = {.lex_state = 53},
  [724] = {.lex_state = 53},
  [725] = {.lex_state = 53},
  [726] = {.lex_state = 53},
  [727] = {.lex_state = 53},
  [728] = {.lex_state = 53},
  [729] = {.lex_state = 53},
  [730] = {.lex_state = 53},
  [731] = {.lex_state = 53},
  [732] = {.lex_state = 53},
  [733] = {.lex_state = 53},
  [734] = {.lex_state = 53},
  [735] = {.lex_state = 53},
  [736] = {.lex_state = 53},
  [737] = {.lex_state = 53},
  [738] = {.lex_state = 53},
  [739] = {.lex_state = 53},
  [740] = {.lex_state = 53},
  [741] = {.lex_state = 53},
  [742] = {.lex_state = 53},
  [743] = {.lex_state = 53},
  [744] = {.lex_state = 53},
  [745] = {.lex_state = 53},
  [746] = {.lex_state = 53},
  [747] = {.lex_state = 53},
  [748] = {.lex_state = 53},
  [749] = {.lex_state = 53},
  [750] = {.lex_state = 53},
  [751] = {.lex_state = 53},
  [752] = {.lex_state = 53},
  [753] = {.lex_state = 53},
  [754] = {.lex_state = 53},
  [755] = {.lex_state = 53},
  [756] = {.lex_state = 53},
  [757] = {.lex_state = 53},
  [758] = {.lex_state = 53},
  [759] = {.lex_state = 53},
  [760] = {.lex_state = 53},
  [761] = {.lex_state = 53},
  [762] = {.lex_state = 53},
  [763] = {.lex_state = 53},
  [764] = {.lex_state = 53},
  [765] = {.lex_state = 53},
  [766] = {.lex_state = 53},
  [767] = {.lex_state = 53},
  [768] = {.lex_state = 53},
  [769] = {.lex_state = 53},
  [770] = {.lex_state = 53},
  [771] = {.lex_state = 53},
  [772] = {.lex_state = 53},
  [773] = {.lex_state = 53},
  [774] = {.lex_state = 53},
  [775] = {.lex_state = 53},
  [776] = {.lex_state = 53},
  [777] = {.lex_state = 53},
  [778] = {.lex_state = 53},
  [779] = {.lex_state = 53},
  [780] = {.lex_state = 53},
  [781] = {.lex_state = 53},
  [782] = {.lex_state = 53},
  [783] = {.lex_state = 53},
  [784] = {.lex_state = 53},
  [785] = {.lex_state = 53},
  [786] = {.lex_state = 53},
  [787] = {.lex_state = 53},
  [788] = {.lex_state = 49},
  [789] = {.lex_state = 49},
  [790] = {.lex_state = 53},
  [791] = {.lex_state = 49},
  [792] = {.lex_state = 53},
  [793] = {.lex_state = 53},
  [794] = {.lex_state = 49},
  [795] = {.lex_state = 53},
  [796] = {.lex_state = 53},
  [797] = {.lex_state = 49},
  [798] = {.lex_state = 53},
  [799] = {.lex_state = 53},
  [800] = {.lex_state = 53},
  [801] = {.lex_state = 53},
  [802] = {.lex_state = 53},
  [803] = {.lex_state = 53},
  [804] = {.lex_state = 53},
  [805] = {.lex_state = 53},
  [806] = {.lex_state = 53},
  [807] = {.lex_state = 53},
  [808] = {.lex_state = 49},
  [809] = {.lex_state = 53},
  [810] = {.lex_state = 53},
  [811] = {.lex_state = 53},
  [812] = {.lex_state = 53},
  [813] = {.lex_state = 53},
  [814] = {.lex_state = 50},
  [815] = {.lex_state = 50},
  [816] = {.lex_state = 50},
  [817] = {.lex_state = 53},
  [818] = {.lex_state = 53},
  [819] = {.lex_state = 53},
  [820] = {.lex_state = 50},
  [821] = {.lex_state = 50},
  [822] = {.lex_state = 53},
  [823] = {.lex_state = 50},
  [824] = {.lex_state = 53},
  [825] = {.lex_state = 53},
  [826] = {.lex_state = 50},
  [827] = {.lex_state = 53},
  [828] = {.lex_state = 53},
  [829] = {.lex_state = 53},
  [830] = {.lex_state = 53},
  [831] = {.lex_state = 50},
  [832] = {.lex_state = 50},
  [833] = {.lex_state = 53},
  [834] = {.lex_state = 53},
  [835] = {.lex_state = 53},
  [836] = {.lex_state = 53},
  [837] = {.lex_state = 50},
  [838] = {.lex_state = 50},
  [839] = {.lex_state = 50},
  [840] = {.lex_state = 50},
  [841] = {.lex_state = 53},
  [842] = {.lex_state = 49},
  [843] = {.lex_state = 50},
  [844] = {.lex_state = 53},
  [845] = {.lex_state = 53},
  [846] = {.lex_state = 53},
  [847] = {.lex_state = 53},
  [848] = {.lex_state = 53},
  [849] = {.lex_state = 53},
  [850] = {.lex_state = 52},
  [851] = {.lex_state = 57},
  [852] = {.lex_state = 57},
  [853] = {.lex_state = 49},
  [854] = {.lex_state = 57},
  [855] = {.lex_state = 52},
  [856] = {.lex_state = 57},
  [857] = {.lex_state = 49},
  [858] = {.lex_state = 53},
  [859] = {.lex_state = 52},
  [860] = {.lex_state = 52},
  [861] = {.lex_state = 52},
  [862] = {.lex_state = 57},
  [863] = {.lex_state = 52},
  [864] = {.lex_state = 52},
  [865] = {.lex_state = 52},
  [866] = {.lex_state = 52},
  [867] = {.lex_state = 52},
  [868] = {.lex_state = 57},
  [869] = {.lex_state = 53},
  [870] = {.lex_state = 49},
  [871] = {.lex_state = 57},
  [872] = {.lex_state = 57},
  [873] = {.lex_state = 57},
  [874] = {.lex_state = 57},
  [875] = {.lex_state = 52},
  [876] = {.lex_state = 49},
  [877] = {.lex_state = 57},
  [878] = {.lex_state = 57},
  [879] = {.lex_state = 57},
  [880] = {.lex_state = 57},
  [881] = {.lex_state = 52},
  [882] = {.lex_state = 52},
  [883] = {.lex_state = 52},
  [884] = {.lex_state = 52},
  [885] = {.lex_state = 57},
  [886] = {.lex_state = 52},
  [887] = {.lex_state = 57},
  [888] = {.lex_state = 52},
  [889] = {.lex_state = 57},
  [890] = {.lex_state = 53},
  [891] = {.lex_state = 52},
  [892] = {.lex_state = 57},
  [893] = {.lex_state = 49},
  [894] = {.lex_state = 49},
  [895] = {.lex_state = 53},
  [896] = {.lex_state = 49},
  [897] = {.lex_state = 49},
  [898] = {.lex_state = 49},
  [899] = {.lex_state = 49},
  [900] = {.lex_state = 49},
  [901] = {.lex_state = 53},
  [902] = {.lex_state = 53},
  [903] = {.lex_state = 49},
  [904] = {.lex_state = 53},
  [905] = {.lex_state = 49},
  [906] = {.lex_state = 49},
  [907] = {.lex_state = 49},
  [908] = {.lex_state = 49},
  [909] = {.lex_state = 49},
  [910] = {.lex_state = 49},
  [911] = {.lex_state = 49},
  [912] = {.lex_state = 53},
  [913] = {.lex_state = 49},
  [914] = {.lex_state = 49},
  [915] = {.lex_state = 49},
  [916] = {.lex_state = 49},
  [917] = {.lex_state = 53},
  [918] = {.lex_state = 120},
  [919] = {.lex_state = 120},
  [920] = {.lex_state = 120},
  [921] = {.lex_state = 49},
  [922] = {.lex_state = 49},
  [923] = {.lex_state = 120},
  [924] = {.lex_state = 120},
  [925] = {.lex_state = 53},
  [926] = {.lex_state = 53},
  [927] = {.lex_state = 120},
  [928] = {.lex_state = 120},
  [929] = {.lex_state = 120},
  [930] = {.lex_state = 120},
  [931] = {.lex_state = 49},
  [932] = {.lex_state = 49},
  [933] = {.lex_state = 120},
  [934] = {.lex_state = 49},
  [935] = {.lex_state = 53},
  [936] = {.lex_state = 53},
  [937] = {.lex_state = 53},
  [938] = {.lex_state = 53},
  [939] = {.lex_state = 53},
  [940] = {.lex_state = 53},
  [941] = {.lex_state = 53},
  [942] = {.lex_state = 53},
  [943] = {.lex_state = 53},
  [944] = {.lex_state = 53},
  [945] = {.lex_state = 53},
  [946] = {.lex_state = 53},
  [947] = {.lex_state = 53},
  [948] = {.lex_state = 53},
  [949] = {.lex_state = 53},
  [950] = {.lex_state = 53},
  [951] = {.lex_state = 53},
  [952] = {.lex_state = 53},
  [953] = {.lex_state = 53},
  [954] = {.lex_state = 53},
  [955] = {.lex_state = 53},
  [956] = {.lex_state = 53},
  [957] = {.lex_state = 53},
  [958] = {.lex_state = 53},
  [959] = {.lex_state = 53},
  [960] = {.lex_state = 53},
  [961] = {.lex_state = 53},
  [962] = {.lex_state = 53},
  [963] = {.lex_state = 53},
  [964] = {.lex_state = 53},
  [965] = {.lex_state = 53},
  [966] = {.lex_state = 53},
  [967] = {.lex_state = 53},
  [968] = {.lex_state = 50},
  [969] = {.lex_state = 50},
  [970] = {.lex_state = 53},
  [971] = {.lex_state = 53},
  [972] = {.lex_state = 50},
  [973] = {.lex_state = 50},
  [974] = {.lex_state = 50},
  [975] = {.lex_state = 50},
  [976] = {.lex_state = 50},
  [977] = {.lex_state = 53},
  [978] = {.lex_state = 50},
  [979] = {.lex_state = 50},
  [980] = {.lex_state = 50},
  [981] = {.lex_state = 53},
  [982] = {.lex_state = 50},
  [983] = {.lex_state = 50},
  [984] = {.lex_state = 53},
  [985] = {.lex_state = 53},
  [986] = {.lex_state = 53},
  [987] = {.lex_state = 53},
  [988] = {.lex_state = 53},
  [989] = {.lex_state = 53},
  [990] = {.lex_state = 53},
  [991] = {.lex_state = 53},
  [992] = {.lex_state = 50},
  [993] = {.lex_state = 50},
  [994] = {.lex_state = 53},
  [995] = {.lex_state = 53},
  [996] = {.lex_state = 53},
  [997] = {.lex_state = 52},
  [998] = {.lex_state = 53},
  [999] = {.lex_state = 53},
  [1000] = {.lex_state = 53},
  [1001] = {.lex_state = 53},
  [1002] = {.lex_state = 53},
  [1003] = {.lex_state = 53},
  [1004] = {.lex_state = 53},
  [1005] = {.lex_state = 53},
  [1006] = {.lex_state = 53},
  [1007] = {.lex_state = 52},
  [1008] = {.lex_state = 52},
  [1009] = {.lex_state = 53},
  [1010] = {.lex_state = 53},
  [1011] = {.lex_state = 53},
  [1012] = {.lex_state = 52},
  [1013] = {.lex_state = 53},
  [1014] = {.lex_state = 53},
  [1015] = {.lex_state = 53},
  [1016] = {.lex_state = 53},
  [1017] = {.lex_state = 53},
  [1018] = {.lex_state = 53},
  [1019] = {.lex_state = 53},
  [1020] = {.lex_state = 49},
  [1021] = {.lex_state = 53},
  [1022] = {.lex_state = 53},
  [1023] = {.lex_state = 49},
  [1024] = {.lex_state = 49},
  [1025] = {.lex_state = 49},
  [1026] = {.lex_state = 49},
  [1027] = {.lex_state = 49},
  [1028] = {.lex_state = 49},
  [1029] = {.lex_state = 53},
  [1030] = {.lex_state = 49},
  [1031] = {.lex_state = 49},
  [1032] = {.lex_state = 49},
  [1033] = {.lex_state = 49},
  [1034] = {.lex_state = 49},
  [1035] = {.lex_state = 49},
  [1036] = {.lex_state = 49},
  [1037] = {.lex_state = 49},
  [1038] = {.lex_state = 49},
  [1039] = {.lex_state = 49},
  [1040] = {.lex_state = 49},
  [1041] = {.lex_state = 49},
  [1042] = {.lex_state = 53},
  [1043] = {.lex_state = 49},
  [1044] = {.lex_state = 49},
  [1045] = {.lex_state = 49},
  [1046] = {.lex_state = 49},
  [1047] = {.lex_state = 49},
  [1048] = {.lex_state = 49},
  [1049] = {.lex_state = 53},
  [1050] = {.lex_state = 49},
  [1051] = {.lex_state = 49},
  [1052] = {.lex_state = 49},
  [1053] = {.lex_state = 49},
  [1054] = {.lex_state = 49},
  [1055] = {.lex_state = 49},
  [1056] = {.lex_state = 49},
  [1057] = {.lex_state = 49},
  [1058] = {.lex_state = 49},
  [1059] = {.lex_state = 53},
  [1060] = {.lex_state = 49},
  [1061] = {.lex_state = 49},
  [1062] = {.lex_state = 49},
  [1063] = {.lex_state = 53},
  [1064] = {.lex_state = 49},
  [1065] = {.lex_state = 49},
  [1066] = {.lex_state = 49},
  [1067] = {.lex_state = 49},
  [1068] = {.lex_state = 49},
  [1069] = {.lex_state = 49},
  [1070] = {.lex_state = 49},
  [1071] = {.lex_state = 49},
  [1072] = {.lex_state = 49},
  [1073] = {.lex_state = 49},
  [1074] = {.lex_state = 49},
  [1075] = {.lex_state = 49},
  [1076] = {.lex_state = 49},
  [1077] = {.lex_state = 49},
  [1078] = {.lex_state = 49},
  [1079] = {.lex_state = 49},
  [1080] = {.lex_state = 49},
  [1081] = {.lex_state = 49},
  [1082] = {.lex_state = 49},
  [1083] = {.lex_state = 49},
  [1084] = {.lex_state = 49},
  [1085] = {.lex_state = 49},
  [1086] = {.lex_state = 49},
  [1087] = {.lex_state = 49},
  [1088] = {.lex_state = 49},
  [1089] = {.lex_state = 53},
  [1090] = {.lex_state = 49},
  [1091] = {.lex_state = 49},
  [1092] = {.lex_state = 49},
  [1093] = {.lex_state = 53},
  [1094] = {.lex_state = 49},
  [1095] = {.lex_state = 49},
  [1096] = {.lex_state = 49},
  [1097] = {.lex_state = 49},
  [1098] = {.lex_state = 53},
  [1099] = {.lex_state = 49},
  [1100] = {.lex_state = 53},
  [1101] = {.lex_state = 53},
  [1102] = {.lex_state = 49},
  [1103] = {.lex_state = 49},
  [1104] = {.lex_state = 49},
  [1105] = {.lex_state = 49},
  [1106] = {.lex_state = 49},
  [1107] = {.lex_state = 49},
  [1108] = {.lex_state = 53},
  [1109] = {.lex_state = 53},
  [1110] = {.lex_state = 53},
  [1111] = {.lex_state = 53},
  [1112] = {.lex_state = 53},
  [1113] = {.lex_state = 53},
  [1114] = {.lex_state = 53},
  [1115] = {.lex_state = 53},
  [1116] = {.lex_state = 53},
  [1117] = {.lex_state = 53},
  [1118] = {.lex_state = 49},
  [1119] = {.lex_state = 49},
  [1120] = {.lex_state = 53},
  [1121] = {.lex_state = 53},
  [1122] = {.lex_state = 53},
  [1123] = {.lex_state = 53},
  [1124] = {.lex_state = 53},
  [1125] = {.lex_state = 53},
  [1126] = {.lex_state = 53},
  [1127] = {.lex_state = 53},
  [1128] = {.lex_state = 53},
  [1129] = {.lex_state = 53},
  [1130] = {.lex_state = 53},
  [1131] = {.lex_state = 53},
  [1132] = {.lex_state = 53},
  [1133] = {.lex_state = 52},
  [1134] = {.lex_state = 53},
  [1135] = {.lex_state = 53},
  [1136] = {.lex_state = 53},
  [1137] = {.lex_state = 53},
  [1138] = {.lex_state = 53},
  [1139] = {.lex_state = 53},
  [1140] = {.lex_state = 53},
  [1141] = {.lex_state = 53},
  [1142] = {.lex_state = 53},
  [1143] = {.lex_state = 53},
  [1144] = {.lex_state = 53},
  [1145] = {.lex_state = 53},
  [1146] = {.lex_state = 53},
  [1147] = {.lex_state = 53},
  [1148] = {.lex_state = 53},
  [1149] = {.lex_state = 53},
  [1150] = {.lex_state = 53},
  [1151] = {.lex_state = 48},
  [1152] = {.lex_state = 53},
  [1153] = {.lex_state = 53},
  [1154] = {.lex_state = 25},
  [1155] = {.lex_state = 53},
  [1156] = {.lex_state = 52},
  [1157] = {.lex_state = 52},
  [1158] = {.lex_state = 48},
  [1159] = {.lex_state = 53},
  [1160] = {.lex_state = 48},
  [1161] = {.lex_state = 53},
  [1162] = {.lex_state = 52},
  [1163] = {.lex_state = 53},
  [1164] = {.lex_state = 53},
  [1165] = {.lex_state = 53},
  [1166] = {.lex_state = 53},
  [1167] = {.lex_state = 48},
  [1168] = {.lex_state = 48},
  [1169] = {.lex_state = 52},
  [1170] = {.lex_state = 52},
  [1171] = {.lex_state = 52},
  [1172] = {.lex_state = 48},
  [1173] = {.lex_state = 48},
  [1174] = {.lex_state = 48},
  [1175] = {.lex_state = 48},
  [1176] = {.lex_state = 52},
  [1177] = {.lex_state = 52},
  [1178] = {.lex_state = 52},
  [1179] = {.lex_state = 52},
  [1180] = {.lex_state = 52},
  [1181] = {.lex_state = 52},
  [1182] = {.lex_state = 48},
  [1183] = {.lex_state = 48},
  [1184] = {.lex_state = 48},
  [1185] = {.lex_state = 48},
  [1186] = {.lex_state = 48},
  [1187] = {.lex_state = 48},
  [1188] = {.lex_state = 48},
  [1189] = {.lex_state = 48},
  [1190] = {.lex_state = 48},
  [1191] = {.lex_state = 48},
  [1192] = {.lex_state = 48},
  [1193] = {.lex_state = 48},
  [1194] = {.lex_state = 48},
  [1195] = {.lex_state = 48},
  [1196] = {.lex_state = 48},
  [1197] = {.lex_state = 52},
  [1198] = {.lex_state = 48},
  [1199] = {.lex_state = 48},
  [1200] = {.lex_state = 48},
  [1201] = {.lex_state = 52},
  [1202] = {.lex_state = 48},
  [1203] = {.lex_state = 52},
  [1204] = {.lex_state = 52},
  [1205] = {.lex_state = 52},
  [1206] = {.lex_state = 52},
  [1207] = {.lex_state = 48},
  [1208] = {.lex_state = 48},
  [1209] = {.lex_state = 48},
  [1210] = {.lex_state = 48},
  [1211] = {.lex_state = 48},
  [1212] = {.lex_state = 52},
  [1213] = {.lex_state = 48},
  [1214] = {.lex_state = 48},
  [1215] = {.lex_state = 48},
  [1216] = {.lex_state = 48},
  [1217] = {.lex_state = 48},
  [1218] = {.lex_state = 48},
  [1219] = {.lex_state = 48},
  [1220] = {.lex_state = 48},
  [1221] = {.lex_state = 48},
  [1222] = {.lex_state = 25},
  [1223] = {.lex_state = 53},
  [1224] = {.lex_state = 25},
  [1225] = {.lex_state = 25},
  [1226] = {.lex_state = 53},
  [1227] = {.lex_state = 25},
  [1228] = {.lex_state = 25},
  [1229] = {.lex_state = 25},
  [1230] = {.lex_state = 25},
  [1231] = {.lex_state = 25},
  [1232] = {.lex_state = 25},
  [1233] = {.lex_state = 25},
  [1234] = {.lex_state = 25},
  [1235] = {.lex_state = 25},
  [1236] = {.lex_state = 25},
  [1237] = {.lex_state = 25},
  [1238] = {.lex_state = 25},
  [1239] = {.lex_state = 25},
  [1240] = {.lex_state = 25},
  [1241] = {.lex_state = 25},
  [1242] = {.lex_state = 52},
  [1243] = {.lex_state = 25},
  [1244] = {.lex_state = 52},
  [1245] = {.lex_state = 25},
  [1246] = {.lex_state = 25},
  [1247] = {.lex_state = 25},
  [1248] = {.lex_state = 25},
  [1249] = {.lex_state = 25},
  [1250] = {.lex_state = 25},
  [1251] = {.lex_state = 25},
  [1252] = {.lex_state = 25},
  [1253] = {.lex_state = 25},
  [1254] = {.lex_state = 53},
  [1255] = {.lex_state = 25},
  [1256] = {.lex_state = 53},
  [1257] = {.lex_state = 25},
  [1258] = {.lex_state = 25},
  [1259] = {.lex_state = 25},
  [1260] = {.lex_state = 25},
  [1261] = {.lex_state = 53},
  [1262] = {.lex_state = 53},
  [1263] = {.lex_state = 53},
  [1264] = {.lex_state = 53},
  [1265] = {.lex_state = 53},
  [1266] = {.lex_state = 53},
  [1267] = {.lex_state = 53},
  [1268] = {.lex_state = 53},
  [1269] = {.lex_state = 53},
  [1270] = {.lex_state = 53},
  [1271] = {.lex_state = 53},
  [1272] = {.lex_state = 53},
  [1273] = {.lex_state = 53},
  [1274] = {.lex_state = 53},
  [1275] = {.lex_state = 53},
  [1276] = {.lex_state = 53},
  [1277] = {.lex_state = 53},
  [1278] = {.lex_state = 53},
  [1279] = {.lex_state = 53},
  [1280] = {.lex_state = 53},
  [1281] = {.lex_state = 53},
  [1282] = {.lex_state = 53},
  [1283] = {.lex_state = 53},
  [1284] = {.lex_state = 53},
  [1285] = {.lex_state = 53},
  [1286] = {.lex_state = 53},
  [1287] = {.lex_state = 53},
  [1288] = {.lex_state = 53},
  [1289] = {.lex_state = 53},
  [1290] = {.lex_state = 50},
  [1291] = {.lex_state = 53},
  [1292] = {.lex_state = 53},
  [1293] = {.lex_state = 53},
  [1294] = {.lex_state = 53},
  [1295] = {.lex_state = 50},
  [1296] = {.lex_state = 50},
  [1297] = {.lex_state = 53},
  [1298] = {.lex_state = 50},
  [1299] = {.lex_state = 53},
  [1300] = {.lex_state = 53},
  [1301] = {.lex_state = 53},
  [1302] = {.lex_state = 53},
  [1303] = {.lex_state = 53},
  [1304] = {.lex_state = 56},
  [1305] = {.lex_state = 53},
  [1306] = {.lex_state = 53},
  [1307] = {.lex_state = 53},
  [1308] = {.lex_state = 53},
  [1309] = {.lex_state = 53},
  [1310] = {.lex_state = 53},
  [1311] = {.lex_state = 53},
  [1312] = {.lex_state = 53},
  [1313] = {.lex_state = 53},
  [1314] = {.lex_state = 53},
  [1315] = {.lex_state = 53},
  [1316] = {.lex_state = 53},
  [1317] = {.lex_state = 53},
  [1318] = {.lex_state = 53},
  [1319] = {.lex_state = 53},
  [1320] = {.lex_state = 53},
  [1321] = {.lex_state = 53},
  [1322] = {.lex_state = 56},
  [1323] = {.lex_state = 53},
  [1324] = {.lex_state = 53},
  [1325] = {.lex_state = 53},
  [1326] = {.lex_state = 53},
  [1327] = {.lex_state = 53},
  [1328] = {.lex_state = 53},
  [1329] = {.lex_state = 53},
  [1330] = {.lex_state = 53},
  [1331] = {.lex_state = 50},
  [1332] = {.lex_state = 53},
  [1333] = {.lex_state = 50},
  [1334] = {.lex_state = 49},
  [1335] = {.lex_state = 53},
  [1336] = {.lex_state = 50},
  [1337] = {.lex_state = 50},
  [1338] = {.lex_state = 53},
  [1339] = {.lex_state = 56},
  [1340] = {.lex_state = 50},
  [1341] = {.lex_state = 50},
  [1342] = {.lex_state = 50},
  [1343] = {.lex_state = 53},
  [1344] = {.lex_state = 53},
  [1345] = {.lex_state = 50},
  [1346] = {.lex_state = 53},
  [1347] = {.lex_state = 53},
  [1348] = {.lex_state = 53},
  [1349] = {.lex_state = 53},
  [1350] = {.lex_state = 53},
  [1351] = {.lex_state = 53},
  [1352] = {.lex_state = 50},
  [1353] = {.lex_state = 50},
  [1354] = {.lex_state = 53},
  [1355] = {.lex_state = 53},
  [1356] = {.lex_state = 50},
  [1357] = {.lex_state = 53},
  [1358] = {.lex_state = 53},
  [1359] = {.lex_state = 50},
  [1360] = {.lex_state = 50},
  [1361] = {.lex_state = 50},
  [1362] = {.lex_state = 53},
  [1363] = {.lex_state = 120},
  [1364] = {.lex_state = 53},
  [1365] = {.lex_state = 53},
  [1366] = {.lex_state = 53},
  [1367] = {.lex_state = 120},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 53},
  [1370] = {.lex_state = 120},
  [1371] = {.lex_state = 120},
  [1372] = {.lex_state = 53},
  [1373] = {.lex_state = 53},
  [1374] = {.lex_state = 53},
  [1375] = {.lex_state = 53},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 120},
  [1378] = {.lex_state = 120},
  [1379] = {.lex_state = 53},
  [1380] = {.lex_state = 53},
  [1381] = {.lex_state = 53},
  [1382] = {.lex_state = 53},
  [1383] = {.lex_state = 120},
  [1384] = {.lex_state = 120},
  [1385] = {.lex_state = 49},
  [1386] = {.lex_state = 49},
  [1387] = {.lex_state = 53},
  [1388] = {.lex_state = 53},
  [1389] = {.lex_state = 120},
  [1390] = {.lex_state = 120},
  [1391] = {.lex_state = 53},
  [1392] = {.lex_state = 54},
  [1393] = {.lex_state = 54},
  [1394] = {.lex_state = 53},
  [1395] = {.lex_state = 120},
  [1396] = {.lex_state = 53},
  [1397] = {.lex_state = 120},
  [1398] = {.lex_state = 53},
  [1399] = {.lex_state = 53},
  [1400] = {.lex_state = 120},
  [1401] = {.lex_state = 53},
  [1402] = {.lex_state = 49},
  [1403] = {.lex_state = 54},
  [1404] = {.lex_state = 54},
  [1405] = {.lex_state = 53},
  [1406] = {.lex_state = 53},
  [1407] = {.lex_state = 50},
  [1408] = {.lex_state = 50},
  [1409] = {.lex_state = 53},
  [1410] = {.lex_state = 53},
  [1411] = {.lex_state = 120},
  [1412] = {.lex_state = 120},
  [1413] = {.lex_state = 53},
  [1414] = {.lex_state = 53},
  [1415] = {.lex_state = 120},
  [1416] = {.lex_state = 120},
  [1417] = {.lex_state = 50},
  [1418] = {.lex_state = 120},
  [1419] = {.lex_state = 53},
  [1420] = {.lex_state = 53},
  [1421] = {.lex_state = 53},
  [1422] = {.lex_state = 53},
  [1423] = {.lex_state = 120},
  [1424] = {.lex_state = 120},
  [1425] = {.lex_state = 0},
  [1426] = {.lex_state = 120},
  [1427] = {.lex_state = 120},
  [1428] = {.lex_state = 53},
  [1429] = {.lex_state = 53},
  [1430] = {.lex_state = 120},
  [1431] = {.lex_state = 120},
  [1432] = {.lex_state = 53},
  [1433] = {.lex_state = 53},
  [1434] = {.lex_state = 120},
  [1435] = {.lex_state = 0},
  [1436] = {.lex_state = 53},
  [1437] = {.lex_state = 53},
  [1438] = {.lex_state = 53},
  [1439] = {.lex_state = 53},
  [1440] = {.lex_state = 53},
  [1441] = {.lex_state = 53},
  [1442] = {.lex_state = 53},
  [1443] = {.lex_state = 53},
  [1444] = {.lex_state = 53},
  [1445] = {.lex_state = 53},
  [1446] = {.lex_state = 53},
  [1447] = {.lex_state = 53},
  [1448] = {.lex_state = 53},
  [1449] = {.lex_state = 53},
  [1450] = {.lex_state = 120},
  [1451] = {.lex_state = 53},
  [1452] = {.lex_state = 53},
  [1453] = {.lex_state = 53},
  [1454] = {.lex_state = 120},
  [1455] = {.lex_state = 50},
  [1456] = {.lex_state = 53},
  [1457] = {.lex_state = 53},
  [1458] = {.lex_state = 0},
  [1459] = {.lex_state = 53},
  [1460] = {.lex_state = 120},
  [1461] = {.lex_state = 53},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 53},
  [1464] = {.lex_state = 53},
  [1465] = {.lex_state = 53},
  [1466] = {.lex_state = 120},
  [1467] = {.lex_state = 53},
  [1468] = {.lex_state = 120},
  [1469] = {.lex_state = 120},
  [1470] = {.lex_state = 120},
  [1471] = {.lex_state = 53},
  [1472] = {.lex_state = 53},
  [1473] = {.lex_state = 53},
  [1474] = {.lex_state = 53},
  [1475] = {.lex_state = 56},
  [1476] = {.lex_state = 50},
  [1477] = {.lex_state = 56},
  [1478] = {.lex_state = 120},
  [1479] = {.lex_state = 53},
  [1480] = {.lex_state = 0},
  [1481] = {.lex_state = 56},
  [1482] = {.lex_state = 56},
  [1483] = {.lex_state = 56},
  [1484] = {.lex_state = 56},
  [1485] = {.lex_state = 120},
  [1486] = {.lex_state = 56},
  [1487] = {.lex_state = 53},
  [1488] = {.lex_state = 56},
  [1489] = {.lex_state = 56},
  [1490] = {.lex_state = 120},
  [1491] = {.lex_state = 120},
  [1492] = {.lex_state = 120},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 56},
  [1495] = {.lex_state = 53},
  [1496] = {.lex_state = 53},
  [1497] = {.lex_state = 56},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 53},
  [1500] = {.lex_state = 45},
  [1501] = {.lex_state = 53},
  [1502] = {.lex_state = 53},
  [1503] = {.lex_state = 53},
  [1504] = {.lex_state = 53},
  [1505] = {.lex_state = 53},
  [1506] = {.lex_state = 53},
  [1507] = {.lex_state = 53},
  [1508] = {.lex_state = 53},
  [1509] = {.lex_state = 53},
  [1510] = {.lex_state = 53},
  [1511] = {.lex_state = 53},
  [1512] = {.lex_state = 53},
  [1513] = {.lex_state = 53},
  [1514] = {.lex_state = 53},
  [1515] = {.lex_state = 53},
  [1516] = {.lex_state = 53},
  [1517] = {.lex_state = 50},
  [1518] = {.lex_state = 53},
  [1519] = {.lex_state = 53},
  [1520] = {.lex_state = 53},
  [1521] = {.lex_state = 53},
  [1522] = {.lex_state = 53},
  [1523] = {.lex_state = 53},
  [1524] = {.lex_state = 53},
  [1525] = {.lex_state = 53},
  [1526] = {.lex_state = 53},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 53},
  [1530] = {.lex_state = 30},
  [1531] = {.lex_state = 50},
  [1532] = {.lex_state = 30},
  [1533] = {.lex_state = 53},
  [1534] = {.lex_state = 53},
  [1535] = {.lex_state = 50},
  [1536] = {.lex_state = 30},
  [1537] = {.lex_state = 30},
  [1538] = {.lex_state = 30},
  [1539] = {.lex_state = 53},
  [1540] = {.lex_state = 35},
  [1541] = {.lex_state = 37},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 35},
  [1544] = {.lex_state = 35},
  [1545] = {.lex_state = 37},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 37},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 50},
  [1550] = {.lex_state = 30},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 35},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 30},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 45},
  [1558] = {.lex_state = 50},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 35},
  [1561] = {.lex_state = 53},
  [1562] = {.lex_state = 53},
  [1563] = {.lex_state = 37},
  [1564] = {.lex_state = 53},
  [1565] = {.lex_state = 53},
  [1566] = {.lex_state = 35},
  [1567] = {.lex_state = 120},
  [1568] = {.lex_state = 53},
  [1569] = {.lex_state = 120},
  [1570] = {.lex_state = 35},
  [1571] = {.lex_state = 0},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 53},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 45},
  [1581] = {.lex_state = 53},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 32},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 45},
  [1599] = {.lex_state = 53},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 45},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 53},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 32},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 45},
  [1630] = {.lex_state = 45},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 53},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 32},
  [1645] = {.lex_state = 37},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 37},
  [1650] = {.lex_state = 0},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 32},
  [1653] = {.lex_state = 53},
  [1654] = {.lex_state = 37},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 45},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 45},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 0},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 0},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 0},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 53},
  [1681] = {.lex_state = 53},
  [1682] = {.lex_state = 0},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 120},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 120},
  [1691] = {.lex_state = 120},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 120},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 31},
  [1700] = {.lex_state = 120},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 45},
  [1705] = {.lex_state = 53},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 53},
  [1708] = {.lex_state = 31},
  [1709] = {.lex_state = 0},
  [1710] = {.lex_state = 120},
  [1711] = {.lex_state = 120},
  [1712] = {.lex_state = 120},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 120},
  [1715] = {.lex_state = 120},
  [1716] = {.lex_state = 120},
  [1717] = {.lex_state = 53},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 31},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 31},
  [1722] = {.lex_state = 45},
  [1723] = {.lex_state = 31},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 120},
  [1727] = {.lex_state = 120},
  [1728] = {.lex_state = 120},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 120},
  [1731] = {.lex_state = 120},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 120},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 31},
  [1736] = {.lex_state = 31},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 120},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 31},
  [1741] = {.lex_state = 53},
  [1742] = {.lex_state = 31},
  [1743] = {.lex_state = 31},
  [1744] = {.lex_state = 31},
  [1745] = {.lex_state = 0},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 120},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 120},
  [1750] = {.lex_state = 53},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 45},
  [1753] = {.lex_state = 53},
  [1754] = {.lex_state = 120},
  [1755] = {.lex_state = 31},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 53},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 53},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 31},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 120},
  [1765] = {.lex_state = 120},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 120},
  [1769] = {.lex_state = 31},
  [1770] = {.lex_state = 120},
  [1771] = {.lex_state = 31},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 31},
  [1774] = {.lex_state = 31},
  [1775] = {.lex_state = 44},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 44},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 32},
  [1784] = {.lex_state = 32},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 53},
  [1787] = {.lex_state = 44},
  [1788] = {.lex_state = 32},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 32},
  [1792] = {.lex_state = 44},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 44},
  [1795] = {.lex_state = 32},
  [1796] = {.lex_state = 32},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 44},
  [1801] = {.lex_state = 120},
  [1802] = {.lex_state = 44},
  [1803] = {.lex_state = 44},
  [1804] = {.lex_state = 32},
  [1805] = {.lex_state = 120},
  [1806] = {.lex_state = 32},
  [1807] = {.lex_state = 32},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 120},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 53},
  [1813] = {.lex_state = 32},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 44},
  [1817] = {.lex_state = 44},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 32},
  [1820] = {.lex_state = 32},
  [1821] = {.lex_state = 32},
  [1822] = {.lex_state = 32},
  [1823] = {.lex_state = 32},
  [1824] = {.lex_state = 32},
  [1825] = {.lex_state = 53},
  [1826] = {.lex_state = 53},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 32},
  [1829] = {.lex_state = 32},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 44},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 53},
  [1835] = {.lex_state = 44},
  [1836] = {.lex_state = 32},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 120},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 44},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 44},
  [1846] = {.lex_state = 53},
  [1847] = {.lex_state = 44},
  [1848] = {.lex_state = 120},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 44},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 53},
  [1855] = {.lex_state = 32},
  [1856] = {.lex_state = 44},
  [1857] = {.lex_state = 44},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 44},
  [1860] = {.lex_state = 44},
  [1861] = {.lex_state = 44},
  [1862] = {.lex_state = 44},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 44},
  [1865] = {.lex_state = 44},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 53},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 44},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 53},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 0},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 120},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 53},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 0},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 44},
  [1887] = {.lex_state = 0},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 53},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 53},
  [1899] = {.lex_state = 44},
  [1900] = {.lex_state = 44},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 44},
  [1903] = {.lex_state = 53},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 53},
  [1906] = {.lex_state = 0},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 32},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 53},
  [1911] = {.lex_state = 44},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 44},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 53},
  [1916] = {.lex_state = 53},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 53},
  [1919] = {.lex_state = 44},
  [1920] = {.lex_state = 32},
  [1921] = {.lex_state = 0},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 53},
  [1925] = {.lex_state = 53},
  [1926] = {.lex_state = 32},
  [1927] = {.lex_state = 120},
  [1928] = {.lex_state = 120},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 44},
  [1931] = {.lex_state = 44},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 53},
  [1937] = {.lex_state = 0},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 0},
  [1940] = {.lex_state = 53},
  [1941] = {.lex_state = 44},
  [1942] = {.lex_state = 44},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 32},
  [1945] = {.lex_state = 44},
  [1946] = {.lex_state = 53},
  [1947] = {.lex_state = 53},
  [1948] = {.lex_state = 120},
  [1949] = {.lex_state = 53},
  [1950] = {.lex_state = 32},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 53},
  [1953] = {.lex_state = 44},
  [1954] = {.lex_state = 44},
  [1955] = {.lex_state = 44},
  [1956] = {.lex_state = 44},
  [1957] = {.lex_state = 44},
  [1958] = {.lex_state = 53},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 53},
  [1961] = {.lex_state = 44},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 0},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 53},
  [1968] = {.lex_state = 53},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 53},
  [1972] = {.lex_state = 53},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 44},
  [1976] = {.lex_state = 53},
  [1977] = {.lex_state = 44},
  [1978] = {.lex_state = 120},
  [1979] = {.lex_state = 120},
  [1980] = {.lex_state = 44},
  [1981] = {.lex_state = 44},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 32},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 44},
  [1987] = {.lex_state = 32},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 53},
  [1990] = {.lex_state = 120},
  [1991] = {.lex_state = 32},
  [1992] = {.lex_state = 44},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 120},
  [1995] = {.lex_state = 32},
  [1996] = {.lex_state = 53},
  [1997] = {.lex_state = 53},
  [1998] = {.lex_state = 0},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 32},
  [2001] = {.lex_state = 120},
  [2002] = {.lex_state = 0},
  [2003] = {.lex_state = 44},
  [2004] = {.lex_state = 53},
  [2005] = {.lex_state = 0},
  [2006] = {.lex_state = 0},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 53},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 0},
  [2011] = {.lex_state = 0},
  [2012] = {.lex_state = 53},
  [2013] = {.lex_state = 0},
  [2014] = {.lex_state = 32},
  [2015] = {.lex_state = 0},
  [2016] = {.lex_state = 44},
  [2017] = {.lex_state = 120},
  [2018] = {.lex_state = 44},
  [2019] = {.lex_state = 53},
  [2020] = {.lex_state = 120},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 53},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym___attribute] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(1858),
    [sym__top_level_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(323),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(680),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(806),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(347),
    [sym__top_level_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_expression] = STATE(1119),
    [sym__string] = STATE(1118),
    [sym_conditional_expression] = STATE(1118),
    [sym_assignment_expression] = STATE(1118),
    [sym_pointer_expression] = STATE(934),
    [sym_unary_expression] = STATE(1118),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(1118),
    [sym_cast_expression] = STATE(1118),
    [sym_sizeof_expression] = STATE(1118),
    [sym_alignof_expression] = STATE(1118),
    [sym_offsetof_expression] = STATE(1118),
    [sym_generic_expression] = STATE(1118),
    [sym_subscript_expression] = STATE(934),
    [sym_call_expression] = STATE(934),
    [sym_gnu_asm_expression] = STATE(1118),
    [sym_extension_expression] = STATE(1118),
    [sym_field_expression] = STATE(934),
    [sym_compound_literal_expression] = STATE(1118),
    [sym_parenthesized_expression] = STATE(934),
    [sym_char_literal] = STATE(1118),
    [sym_concatenated_string] = STATE(1118),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(1118),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(33),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(95),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1886),
    [sym_preproc_elif] = STATE(1886),
    [sym_preproc_elifdef] = STATE(1886),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1800),
    [sym_preproc_elif] = STATE(1800),
    [sym_preproc_elifdef] = STATE(1800),
    [sym_function_definition] = STATE(17),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__block_item] = STATE(6),
    [sym_preproc_include] = STATE(6),
    [sym_preproc_def] = STATE(6),
    [sym_preproc_function_def] = STATE(6),
    [sym_preproc_call] = STATE(6),
    [sym_preproc_if] = STATE(6),
    [sym_preproc_ifdef] = STATE(6),
    [sym_preproc_else] = STATE(1845),
    [sym_preproc_elif] = STATE(1845),
    [sym_preproc_elifdef] = STATE(1845),
    [sym_function_definition] = STATE(6),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(6),
    [sym_type_definition] = STATE(6),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(6),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(6),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(6),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(6),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1843),
    [sym_preproc_elif] = STATE(1843),
    [sym_preproc_elifdef] = STATE(1843),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1941),
    [sym_preproc_elif] = STATE(1941),
    [sym_preproc_elifdef] = STATE(1941),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__block_item] = STATE(9),
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(1803),
    [sym_preproc_elif] = STATE(1803),
    [sym_preproc_elifdef] = STATE(1803),
    [sym_function_definition] = STATE(9),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(9),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__block_item] = STATE(2),
    [sym_preproc_include] = STATE(2),
    [sym_preproc_def] = STATE(2),
    [sym_preproc_function_def] = STATE(2),
    [sym_preproc_call] = STATE(2),
    [sym_preproc_if] = STATE(2),
    [sym_preproc_ifdef] = STATE(2),
    [sym_preproc_else] = STATE(1831),
    [sym_preproc_elif] = STATE(1831),
    [sym_preproc_elifdef] = STATE(1831),
    [sym_function_definition] = STATE(2),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(2),
    [sym_type_definition] = STATE(2),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(2),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(2),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(2),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(2),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1835),
    [sym_preproc_elif] = STATE(1835),
    [sym_preproc_elifdef] = STATE(1835),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(1794),
    [sym_preproc_elif] = STATE(1794),
    [sym_preproc_elifdef] = STATE(1794),
    [sym_function_definition] = STATE(19),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(19),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__block_item] = STATE(20),
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(1945),
    [sym_preproc_elif] = STATE(1945),
    [sym_preproc_elifdef] = STATE(1945),
    [sym_function_definition] = STATE(20),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(20),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(20),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__block_item] = STATE(18),
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(1919),
    [sym_preproc_elif] = STATE(1919),
    [sym_preproc_elifdef] = STATE(1919),
    [sym_function_definition] = STATE(18),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(18),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(18),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1787),
    [sym_preproc_elif] = STATE(1787),
    [sym_preproc_elifdef] = STATE(1787),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__block_item] = STATE(5),
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(1980),
    [sym_preproc_elif] = STATE(1980),
    [sym_preproc_elifdef] = STATE(1980),
    [sym_function_definition] = STATE(5),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(5),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__block_item] = STATE(13),
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(1975),
    [sym_preproc_elif] = STATE(1975),
    [sym_preproc_elifdef] = STATE(1975),
    [sym_function_definition] = STATE(13),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(13),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(13),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(1802),
    [sym_preproc_elif] = STATE(1802),
    [sym_preproc_elifdef] = STATE(1802),
    [sym_function_definition] = STATE(21),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1981),
    [sym_preproc_elif] = STATE(1981),
    [sym_preproc_elifdef] = STATE(1981),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1871),
    [sym_preproc_elif] = STATE(1871),
    [sym_preproc_elifdef] = STATE(1871),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1792),
    [sym_preproc_elif] = STATE(1792),
    [sym_preproc_elifdef] = STATE(1792),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1900),
    [sym_preproc_elif] = STATE(1900),
    [sym_preproc_elifdef] = STATE(1900),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1779),
    [sym_preproc_elif] = STATE(1779),
    [sym_preproc_elifdef] = STATE(1779),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(105),
    [aux_sym_preproc_include_token1] = ACTIONS(107),
    [aux_sym_preproc_def_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token1] = ACTIONS(111),
    [aux_sym_preproc_if_token2] = ACTIONS(201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(115),
    [aux_sym_preproc_else_token1] = ACTIONS(117),
    [aux_sym_preproc_elif_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(121),
    [sym_preproc_directive] = ACTIONS(123),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(131),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(132),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1147),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(696),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(127),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(203),
    [aux_sym_preproc_include_token1] = ACTIONS(206),
    [aux_sym_preproc_def_token1] = ACTIONS(209),
    [aux_sym_preproc_if_token1] = ACTIONS(212),
    [aux_sym_preproc_if_token2] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(217),
    [aux_sym_preproc_else_token1] = ACTIONS(215),
    [aux_sym_preproc_elif_token1] = ACTIONS(215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(215),
    [sym_preproc_directive] = ACTIONS(220),
    [anon_sym_LPAREN2] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(226),
    [anon_sym_TILDE] = ACTIONS(226),
    [anon_sym_DASH] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(229),
    [anon_sym_STAR] = ACTIONS(232),
    [anon_sym_AMP] = ACTIONS(232),
    [anon_sym_SEMI] = ACTIONS(235),
    [anon_sym___extension__] = ACTIONS(238),
    [anon_sym_typedef] = ACTIONS(241),
    [anon_sym_extern] = ACTIONS(244),
    [anon_sym___attribute__] = ACTIONS(247),
    [anon_sym___attribute] = ACTIONS(247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(250),
    [anon_sym___declspec] = ACTIONS(253),
    [anon_sym___cdecl] = ACTIONS(256),
    [anon_sym___clrcall] = ACTIONS(256),
    [anon_sym___stdcall] = ACTIONS(256),
    [anon_sym___fastcall] = ACTIONS(256),
    [anon_sym___thiscall] = ACTIONS(256),
    [anon_sym___vectorcall] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(262),
    [anon_sym_unsigned] = ACTIONS(262),
    [anon_sym_long] = ACTIONS(262),
    [anon_sym_short] = ACTIONS(262),
    [anon_sym_static] = ACTIONS(265),
    [anon_sym_auto] = ACTIONS(265),
    [anon_sym_register] = ACTIONS(265),
    [anon_sym_inline] = ACTIONS(265),
    [anon_sym___inline] = ACTIONS(265),
    [anon_sym___inline__] = ACTIONS(265),
    [anon_sym___forceinline] = ACTIONS(265),
    [anon_sym_thread_local] = ACTIONS(265),
    [anon_sym___thread] = ACTIONS(265),
    [anon_sym_const] = ACTIONS(268),
    [anon_sym_constexpr] = ACTIONS(268),
    [anon_sym_volatile] = ACTIONS(268),
    [anon_sym_restrict] = ACTIONS(268),
    [anon_sym___restrict__] = ACTIONS(268),
    [anon_sym__Atomic] = ACTIONS(268),
    [anon_sym__Noreturn] = ACTIONS(268),
    [anon_sym_noreturn] = ACTIONS(268),
    [anon_sym__Nonnull] = ACTIONS(268),
    [anon_sym_alignas] = ACTIONS(271),
    [anon_sym__Alignas] = ACTIONS(271),
    [sym_primitive_type] = ACTIONS(274),
    [anon_sym_enum] = ACTIONS(277),
    [anon_sym_struct] = ACTIONS(280),
    [anon_sym_union] = ACTIONS(283),
    [anon_sym_if] = ACTIONS(286),
    [anon_sym_switch] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_default] = ACTIONS(295),
    [anon_sym_while] = ACTIONS(298),
    [anon_sym_do] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(307),
    [anon_sym_break] = ACTIONS(310),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(316),
    [anon_sym___try] = ACTIONS(319),
    [anon_sym___leave] = ACTIONS(322),
    [anon_sym_DASH_DASH] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(325),
    [anon_sym_sizeof] = ACTIONS(328),
    [anon_sym___alignof__] = ACTIONS(331),
    [anon_sym___alignof] = ACTIONS(331),
    [anon_sym__alignof] = ACTIONS(331),
    [anon_sym_alignof] = ACTIONS(331),
    [anon_sym__Alignof] = ACTIONS(331),
    [anon_sym_offsetof] = ACTIONS(334),
    [anon_sym__Generic] = ACTIONS(337),
    [anon_sym_asm] = ACTIONS(340),
    [anon_sym___asm__] = ACTIONS(340),
    [anon_sym___asm] = ACTIONS(340),
    [sym_number_literal] = ACTIONS(343),
    [anon_sym_L_SQUOTE] = ACTIONS(346),
    [anon_sym_u_SQUOTE] = ACTIONS(346),
    [anon_sym_U_SQUOTE] = ACTIONS(346),
    [anon_sym_u8_SQUOTE] = ACTIONS(346),
    [anon_sym_SQUOTE] = ACTIONS(346),
    [anon_sym_L_DQUOTE] = ACTIONS(349),
    [anon_sym_u_DQUOTE] = ACTIONS(349),
    [anon_sym_U_DQUOTE] = ACTIONS(349),
    [anon_sym_u8_DQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_true] = ACTIONS(352),
    [sym_false] = ACTIONS(352),
    [anon_sym_NULL] = ACTIONS(355),
    [anon_sym_nullptr] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(380),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(408),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__block_item] = STATE(28),
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(28),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(28),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(410),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(301),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1145),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(675),
    [sym_compound_statement] = STATE(221),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(800),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(300),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(412),
    [aux_sym_preproc_include_token1] = ACTIONS(414),
    [aux_sym_preproc_def_token1] = ACTIONS(416),
    [aux_sym_preproc_if_token1] = ACTIONS(418),
    [aux_sym_preproc_if_token2] = ACTIONS(420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(422),
    [sym_preproc_directive] = ACTIONS(424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(432),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(33),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(301),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1145),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(675),
    [sym_compound_statement] = STATE(221),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(800),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(300),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(466),
    [aux_sym_preproc_include_token1] = ACTIONS(469),
    [aux_sym_preproc_def_token1] = ACTIONS(472),
    [aux_sym_preproc_if_token1] = ACTIONS(475),
    [aux_sym_preproc_if_token2] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(478),
    [sym_preproc_directive] = ACTIONS(481),
    [anon_sym_LPAREN2] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(226),
    [anon_sym_TILDE] = ACTIONS(226),
    [anon_sym_DASH] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(229),
    [anon_sym_STAR] = ACTIONS(232),
    [anon_sym_AMP] = ACTIONS(232),
    [anon_sym_SEMI] = ACTIONS(484),
    [anon_sym___extension__] = ACTIONS(487),
    [anon_sym_typedef] = ACTIONS(490),
    [anon_sym_extern] = ACTIONS(493),
    [anon_sym___attribute__] = ACTIONS(247),
    [anon_sym___attribute] = ACTIONS(247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(250),
    [anon_sym___declspec] = ACTIONS(253),
    [anon_sym___cdecl] = ACTIONS(256),
    [anon_sym___clrcall] = ACTIONS(256),
    [anon_sym___stdcall] = ACTIONS(256),
    [anon_sym___fastcall] = ACTIONS(256),
    [anon_sym___thiscall] = ACTIONS(256),
    [anon_sym___vectorcall] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_signed] = ACTIONS(262),
    [anon_sym_unsigned] = ACTIONS(262),
    [anon_sym_long] = ACTIONS(262),
    [anon_sym_short] = ACTIONS(262),
    [anon_sym_static] = ACTIONS(265),
    [anon_sym_auto] = ACTIONS(265),
    [anon_sym_register] = ACTIONS(265),
    [anon_sym_inline] = ACTIONS(265),
    [anon_sym___inline] = ACTIONS(265),
    [anon_sym___inline__] = ACTIONS(265),
    [anon_sym___forceinline] = ACTIONS(265),
    [anon_sym_thread_local] = ACTIONS(265),
    [anon_sym___thread] = ACTIONS(265),
    [anon_sym_const] = ACTIONS(268),
    [anon_sym_constexpr] = ACTIONS(268),
    [anon_sym_volatile] = ACTIONS(268),
    [anon_sym_restrict] = ACTIONS(268),
    [anon_sym___restrict__] = ACTIONS(268),
    [anon_sym__Atomic] = ACTIONS(268),
    [anon_sym__Noreturn] = ACTIONS(268),
    [anon_sym_noreturn] = ACTIONS(268),
    [anon_sym__Nonnull] = ACTIONS(268),
    [anon_sym_alignas] = ACTIONS(271),
    [anon_sym__Alignas] = ACTIONS(271),
    [sym_primitive_type] = ACTIONS(274),
    [anon_sym_enum] = ACTIONS(277),
    [anon_sym_struct] = ACTIONS(280),
    [anon_sym_union] = ACTIONS(283),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_switch] = ACTIONS(502),
    [anon_sym_case] = ACTIONS(505),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(514),
    [anon_sym_for] = ACTIONS(517),
    [anon_sym_return] = ACTIONS(520),
    [anon_sym_break] = ACTIONS(523),
    [anon_sym_continue] = ACTIONS(526),
    [anon_sym_goto] = ACTIONS(529),
    [anon_sym___try] = ACTIONS(532),
    [anon_sym___leave] = ACTIONS(535),
    [anon_sym_DASH_DASH] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(325),
    [anon_sym_sizeof] = ACTIONS(328),
    [anon_sym___alignof__] = ACTIONS(331),
    [anon_sym___alignof] = ACTIONS(331),
    [anon_sym__alignof] = ACTIONS(331),
    [anon_sym_alignof] = ACTIONS(331),
    [anon_sym__Alignof] = ACTIONS(331),
    [anon_sym_offsetof] = ACTIONS(334),
    [anon_sym__Generic] = ACTIONS(337),
    [anon_sym_asm] = ACTIONS(340),
    [anon_sym___asm__] = ACTIONS(340),
    [anon_sym___asm] = ACTIONS(340),
    [sym_number_literal] = ACTIONS(343),
    [anon_sym_L_SQUOTE] = ACTIONS(346),
    [anon_sym_u_SQUOTE] = ACTIONS(346),
    [anon_sym_U_SQUOTE] = ACTIONS(346),
    [anon_sym_u8_SQUOTE] = ACTIONS(346),
    [anon_sym_SQUOTE] = ACTIONS(346),
    [anon_sym_L_DQUOTE] = ACTIONS(349),
    [anon_sym_u_DQUOTE] = ACTIONS(349),
    [anon_sym_U_DQUOTE] = ACTIONS(349),
    [anon_sym_u8_DQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_true] = ACTIONS(352),
    [sym_false] = ACTIONS(352),
    [anon_sym_NULL] = ACTIONS(355),
    [anon_sym_nullptr] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(301),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1145),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(675),
    [sym_compound_statement] = STATE(221),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(800),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(300),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(412),
    [aux_sym_preproc_include_token1] = ACTIONS(414),
    [aux_sym_preproc_def_token1] = ACTIONS(416),
    [aux_sym_preproc_if_token1] = ACTIONS(418),
    [aux_sym_preproc_if_token2] = ACTIONS(538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(422),
    [sym_preproc_directive] = ACTIONS(424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(432),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(542),
    [aux_sym_preproc_include_token1] = ACTIONS(545),
    [aux_sym_preproc_def_token1] = ACTIONS(548),
    [aux_sym_preproc_if_token1] = ACTIONS(551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(554),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(554),
    [sym_preproc_directive] = ACTIONS(557),
    [anon_sym_LPAREN2] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(226),
    [anon_sym_TILDE] = ACTIONS(226),
    [anon_sym_DASH] = ACTIONS(229),
    [anon_sym_PLUS] = ACTIONS(229),
    [anon_sym_STAR] = ACTIONS(232),
    [anon_sym_AMP] = ACTIONS(232),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym___extension__] = ACTIONS(563),
    [anon_sym_typedef] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(569),
    [anon_sym___attribute__] = ACTIONS(247),
    [anon_sym___attribute] = ACTIONS(247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(250),
    [anon_sym___declspec] = ACTIONS(253),
    [anon_sym___cdecl] = ACTIONS(256),
    [anon_sym___clrcall] = ACTIONS(256),
    [anon_sym___stdcall] = ACTIONS(256),
    [anon_sym___fastcall] = ACTIONS(256),
    [anon_sym___thiscall] = ACTIONS(256),
    [anon_sym___vectorcall] = ACTIONS(256),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_signed] = ACTIONS(262),
    [anon_sym_unsigned] = ACTIONS(262),
    [anon_sym_long] = ACTIONS(262),
    [anon_sym_short] = ACTIONS(262),
    [anon_sym_static] = ACTIONS(265),
    [anon_sym_auto] = ACTIONS(265),
    [anon_sym_register] = ACTIONS(265),
    [anon_sym_inline] = ACTIONS(265),
    [anon_sym___inline] = ACTIONS(265),
    [anon_sym___inline__] = ACTIONS(265),
    [anon_sym___forceinline] = ACTIONS(265),
    [anon_sym_thread_local] = ACTIONS(265),
    [anon_sym___thread] = ACTIONS(265),
    [anon_sym_const] = ACTIONS(268),
    [anon_sym_constexpr] = ACTIONS(268),
    [anon_sym_volatile] = ACTIONS(268),
    [anon_sym_restrict] = ACTIONS(268),
    [anon_sym___restrict__] = ACTIONS(268),
    [anon_sym__Atomic] = ACTIONS(268),
    [anon_sym__Noreturn] = ACTIONS(268),
    [anon_sym_noreturn] = ACTIONS(268),
    [anon_sym__Nonnull] = ACTIONS(268),
    [anon_sym_alignas] = ACTIONS(271),
    [anon_sym__Alignas] = ACTIONS(271),
    [sym_primitive_type] = ACTIONS(274),
    [anon_sym_enum] = ACTIONS(277),
    [anon_sym_struct] = ACTIONS(280),
    [anon_sym_union] = ACTIONS(283),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_case] = ACTIONS(583),
    [anon_sym_default] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_do] = ACTIONS(592),
    [anon_sym_for] = ACTIONS(595),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_break] = ACTIONS(601),
    [anon_sym_continue] = ACTIONS(604),
    [anon_sym_goto] = ACTIONS(607),
    [anon_sym___try] = ACTIONS(610),
    [anon_sym___leave] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(325),
    [anon_sym_sizeof] = ACTIONS(328),
    [anon_sym___alignof__] = ACTIONS(331),
    [anon_sym___alignof] = ACTIONS(331),
    [anon_sym__alignof] = ACTIONS(331),
    [anon_sym_alignof] = ACTIONS(331),
    [anon_sym__Alignof] = ACTIONS(331),
    [anon_sym_offsetof] = ACTIONS(334),
    [anon_sym__Generic] = ACTIONS(337),
    [anon_sym_asm] = ACTIONS(340),
    [anon_sym___asm__] = ACTIONS(340),
    [anon_sym___asm] = ACTIONS(340),
    [sym_number_literal] = ACTIONS(343),
    [anon_sym_L_SQUOTE] = ACTIONS(346),
    [anon_sym_u_SQUOTE] = ACTIONS(346),
    [anon_sym_U_SQUOTE] = ACTIONS(346),
    [anon_sym_u8_SQUOTE] = ACTIONS(346),
    [anon_sym_SQUOTE] = ACTIONS(346),
    [anon_sym_L_DQUOTE] = ACTIONS(349),
    [anon_sym_u_DQUOTE] = ACTIONS(349),
    [anon_sym_U_DQUOTE] = ACTIONS(349),
    [anon_sym_u8_DQUOTE] = ACTIONS(349),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_true] = ACTIONS(352),
    [sym_false] = ACTIONS(352),
    [anon_sym_NULL] = ACTIONS(355),
    [anon_sym_nullptr] = ACTIONS(355),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__block_item] = STATE(23),
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_function_definition] = STATE(23),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(23),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(626),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(42),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(288),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1135),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(683),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(790),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(264),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(358),
    [aux_sym_preproc_include_token1] = ACTIONS(360),
    [aux_sym_preproc_def_token1] = ACTIONS(362),
    [aux_sym_preproc_if_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(366),
    [sym_preproc_directive] = ACTIONS(368),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(376),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(634),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__top_level_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym__old_style_function_definition] = STATE(323),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(680),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(806),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(347),
    [sym__top_level_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym__top_level_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_expression] = STATE(1119),
    [sym__string] = STATE(1118),
    [sym_conditional_expression] = STATE(1118),
    [sym_assignment_expression] = STATE(1118),
    [sym_pointer_expression] = STATE(934),
    [sym_unary_expression] = STATE(1118),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(1118),
    [sym_cast_expression] = STATE(1118),
    [sym_sizeof_expression] = STATE(1118),
    [sym_alignof_expression] = STATE(1118),
    [sym_offsetof_expression] = STATE(1118),
    [sym_generic_expression] = STATE(1118),
    [sym_subscript_expression] = STATE(934),
    [sym_call_expression] = STATE(934),
    [sym_gnu_asm_expression] = STATE(1118),
    [sym_extension_expression] = STATE(1118),
    [sym_field_expression] = STATE(934),
    [sym_compound_literal_expression] = STATE(1118),
    [sym_parenthesized_expression] = STATE(934),
    [sym_char_literal] = STATE(1118),
    [sym_concatenated_string] = STATE(1118),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(1118),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [ts_builtin_sym_end] = ACTIONS(636),
    [sym_identifier] = ACTIONS(638),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(644),
    [aux_sym_preproc_if_token1] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(650),
    [sym_preproc_directive] = ACTIONS(653),
    [anon_sym_LPAREN2] = ACTIONS(656),
    [anon_sym_BANG] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(665),
    [anon_sym_SEMI] = ACTIONS(668),
    [anon_sym___extension__] = ACTIONS(671),
    [anon_sym_typedef] = ACTIONS(674),
    [anon_sym_extern] = ACTIONS(677),
    [anon_sym___attribute__] = ACTIONS(680),
    [anon_sym___attribute] = ACTIONS(680),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(683),
    [anon_sym___declspec] = ACTIONS(686),
    [anon_sym___cdecl] = ACTIONS(689),
    [anon_sym___clrcall] = ACTIONS(689),
    [anon_sym___stdcall] = ACTIONS(689),
    [anon_sym___fastcall] = ACTIONS(689),
    [anon_sym___thiscall] = ACTIONS(689),
    [anon_sym___vectorcall] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_signed] = ACTIONS(695),
    [anon_sym_unsigned] = ACTIONS(695),
    [anon_sym_long] = ACTIONS(695),
    [anon_sym_short] = ACTIONS(695),
    [anon_sym_static] = ACTIONS(698),
    [anon_sym_auto] = ACTIONS(698),
    [anon_sym_register] = ACTIONS(698),
    [anon_sym_inline] = ACTIONS(698),
    [anon_sym___inline] = ACTIONS(698),
    [anon_sym___inline__] = ACTIONS(698),
    [anon_sym___forceinline] = ACTIONS(698),
    [anon_sym_thread_local] = ACTIONS(698),
    [anon_sym___thread] = ACTIONS(698),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_constexpr] = ACTIONS(701),
    [anon_sym_volatile] = ACTIONS(701),
    [anon_sym_restrict] = ACTIONS(701),
    [anon_sym___restrict__] = ACTIONS(701),
    [anon_sym__Atomic] = ACTIONS(701),
    [anon_sym__Noreturn] = ACTIONS(701),
    [anon_sym_noreturn] = ACTIONS(701),
    [anon_sym__Nonnull] = ACTIONS(701),
    [anon_sym_alignas] = ACTIONS(704),
    [anon_sym__Alignas] = ACTIONS(704),
    [sym_primitive_type] = ACTIONS(707),
    [anon_sym_enum] = ACTIONS(710),
    [anon_sym_struct] = ACTIONS(713),
    [anon_sym_union] = ACTIONS(716),
    [anon_sym_if] = ACTIONS(719),
    [anon_sym_switch] = ACTIONS(722),
    [anon_sym_case] = ACTIONS(725),
    [anon_sym_default] = ACTIONS(728),
    [anon_sym_while] = ACTIONS(731),
    [anon_sym_do] = ACTIONS(734),
    [anon_sym_for] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(743),
    [anon_sym_continue] = ACTIONS(746),
    [anon_sym_goto] = ACTIONS(749),
    [anon_sym_DASH_DASH] = ACTIONS(752),
    [anon_sym_PLUS_PLUS] = ACTIONS(752),
    [anon_sym_sizeof] = ACTIONS(755),
    [anon_sym___alignof__] = ACTIONS(758),
    [anon_sym___alignof] = ACTIONS(758),
    [anon_sym__alignof] = ACTIONS(758),
    [anon_sym_alignof] = ACTIONS(758),
    [anon_sym__Alignof] = ACTIONS(758),
    [anon_sym_offsetof] = ACTIONS(761),
    [anon_sym__Generic] = ACTIONS(764),
    [anon_sym_asm] = ACTIONS(767),
    [anon_sym___asm__] = ACTIONS(767),
    [anon_sym___asm] = ACTIONS(767),
    [sym_number_literal] = ACTIONS(770),
    [anon_sym_L_SQUOTE] = ACTIONS(773),
    [anon_sym_u_SQUOTE] = ACTIONS(773),
    [anon_sym_U_SQUOTE] = ACTIONS(773),
    [anon_sym_u8_SQUOTE] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(773),
    [anon_sym_L_DQUOTE] = ACTIONS(776),
    [anon_sym_u_DQUOTE] = ACTIONS(776),
    [anon_sym_U_DQUOTE] = ACTIONS(776),
    [anon_sym_u8_DQUOTE] = ACTIONS(776),
    [anon_sym_DQUOTE] = ACTIONS(776),
    [sym_true] = ACTIONS(779),
    [sym_false] = ACTIONS(779),
    [anon_sym_NULL] = ACTIONS(782),
    [anon_sym_nullptr] = ACTIONS(782),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__top_level_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym__old_style_function_definition] = STATE(323),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1129),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(680),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(806),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(347),
    [sym__top_level_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym__top_level_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_expression] = STATE(1119),
    [sym__string] = STATE(1118),
    [sym_conditional_expression] = STATE(1118),
    [sym_assignment_expression] = STATE(1118),
    [sym_pointer_expression] = STATE(934),
    [sym_unary_expression] = STATE(1118),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(1118),
    [sym_cast_expression] = STATE(1118),
    [sym_sizeof_expression] = STATE(1118),
    [sym_alignof_expression] = STATE(1118),
    [sym_offsetof_expression] = STATE(1118),
    [sym_generic_expression] = STATE(1118),
    [sym_subscript_expression] = STATE(934),
    [sym_call_expression] = STATE(934),
    [sym_gnu_asm_expression] = STATE(1118),
    [sym_extension_expression] = STATE(1118),
    [sym_field_expression] = STATE(934),
    [sym_compound_literal_expression] = STATE(1118),
    [sym_parenthesized_expression] = STATE(934),
    [sym_char_literal] = STATE(1118),
    [sym_concatenated_string] = STATE(1118),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(1118),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [ts_builtin_sym_end] = ACTIONS(785),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(27),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(33),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(95),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(101),
    [sym_false] = ACTIONS(101),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(787),
    [aux_sym_preproc_include_token1] = ACTIONS(790),
    [aux_sym_preproc_def_token1] = ACTIONS(790),
    [aux_sym_preproc_if_token1] = ACTIONS(790),
    [aux_sym_preproc_if_token2] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(790),
    [aux_sym_preproc_else_token1] = ACTIONS(790),
    [aux_sym_preproc_elif_token1] = ACTIONS(790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(790),
    [sym_preproc_directive] = ACTIONS(790),
    [anon_sym_LPAREN2] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(804),
    [anon_sym___extension__] = ACTIONS(807),
    [anon_sym_typedef] = ACTIONS(810),
    [anon_sym_extern] = ACTIONS(813),
    [anon_sym___attribute__] = ACTIONS(816),
    [anon_sym___attribute] = ACTIONS(816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(819),
    [anon_sym___declspec] = ACTIONS(822),
    [anon_sym___cdecl] = ACTIONS(790),
    [anon_sym___clrcall] = ACTIONS(790),
    [anon_sym___stdcall] = ACTIONS(790),
    [anon_sym___fastcall] = ACTIONS(790),
    [anon_sym___thiscall] = ACTIONS(790),
    [anon_sym___vectorcall] = ACTIONS(790),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_signed] = ACTIONS(828),
    [anon_sym_unsigned] = ACTIONS(828),
    [anon_sym_long] = ACTIONS(828),
    [anon_sym_short] = ACTIONS(828),
    [anon_sym_static] = ACTIONS(813),
    [anon_sym_auto] = ACTIONS(813),
    [anon_sym_register] = ACTIONS(813),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym___inline] = ACTIONS(813),
    [anon_sym___inline__] = ACTIONS(813),
    [anon_sym___forceinline] = ACTIONS(813),
    [anon_sym_thread_local] = ACTIONS(813),
    [anon_sym___thread] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_constexpr] = ACTIONS(831),
    [anon_sym_volatile] = ACTIONS(831),
    [anon_sym_restrict] = ACTIONS(831),
    [anon_sym___restrict__] = ACTIONS(831),
    [anon_sym__Atomic] = ACTIONS(831),
    [anon_sym__Noreturn] = ACTIONS(831),
    [anon_sym_noreturn] = ACTIONS(831),
    [anon_sym__Nonnull] = ACTIONS(831),
    [anon_sym_alignas] = ACTIONS(834),
    [anon_sym__Alignas] = ACTIONS(834),
    [sym_primitive_type] = ACTIONS(837),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_struct] = ACTIONS(843),
    [anon_sym_union] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(849),
    [anon_sym_else] = ACTIONS(790),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(790),
    [anon_sym_default] = ACTIONS(790),
    [anon_sym_while] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(858),
    [anon_sym_for] = ACTIONS(861),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(867),
    [anon_sym_continue] = ACTIONS(870),
    [anon_sym_goto] = ACTIONS(873),
    [anon_sym___try] = ACTIONS(876),
    [anon_sym___leave] = ACTIONS(879),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_sizeof] = ACTIONS(885),
    [anon_sym___alignof__] = ACTIONS(888),
    [anon_sym___alignof] = ACTIONS(888),
    [anon_sym__alignof] = ACTIONS(888),
    [anon_sym_alignof] = ACTIONS(888),
    [anon_sym__Alignof] = ACTIONS(888),
    [anon_sym_offsetof] = ACTIONS(891),
    [anon_sym__Generic] = ACTIONS(894),
    [anon_sym_asm] = ACTIONS(897),
    [anon_sym___asm__] = ACTIONS(897),
    [anon_sym___asm] = ACTIONS(897),
    [sym_number_literal] = ACTIONS(900),
    [anon_sym_L_SQUOTE] = ACTIONS(903),
    [anon_sym_u_SQUOTE] = ACTIONS(903),
    [anon_sym_U_SQUOTE] = ACTIONS(903),
    [anon_sym_u8_SQUOTE] = ACTIONS(903),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_L_DQUOTE] = ACTIONS(906),
    [anon_sym_u_DQUOTE] = ACTIONS(906),
    [anon_sym_U_DQUOTE] = ACTIONS(906),
    [anon_sym_u8_DQUOTE] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [sym_true] = ACTIONS(909),
    [sym_false] = ACTIONS(909),
    [anon_sym_NULL] = ACTIONS(912),
    [anon_sym_nullptr] = ACTIONS(912),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(915),
    [aux_sym_preproc_include_token1] = ACTIONS(917),
    [aux_sym_preproc_def_token1] = ACTIONS(917),
    [aux_sym_preproc_if_token1] = ACTIONS(917),
    [aux_sym_preproc_if_token2] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(917),
    [aux_sym_preproc_else_token1] = ACTIONS(917),
    [aux_sym_preproc_elif_token1] = ACTIONS(917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(917),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(917),
    [anon_sym___clrcall] = ACTIONS(917),
    [anon_sym___stdcall] = ACTIONS(917),
    [anon_sym___fastcall] = ACTIONS(917),
    [anon_sym___thiscall] = ACTIONS(917),
    [anon_sym___vectorcall] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(46),
    [sym_identifier] = ACTIONS(915),
    [aux_sym_preproc_include_token1] = ACTIONS(919),
    [aux_sym_preproc_def_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(919),
    [aux_sym_preproc_else_token1] = ACTIONS(919),
    [aux_sym_preproc_elif_token1] = ACTIONS(919),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(919),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(919),
    [sym_preproc_directive] = ACTIONS(919),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(919),
    [anon_sym___clrcall] = ACTIONS(919),
    [anon_sym___stdcall] = ACTIONS(919),
    [anon_sym___fastcall] = ACTIONS(919),
    [anon_sym___thiscall] = ACTIONS(919),
    [anon_sym___vectorcall] = ACTIONS(919),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(919),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(919),
    [anon_sym_default] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(915),
    [aux_sym_preproc_include_token1] = ACTIONS(921),
    [aux_sym_preproc_def_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token2] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(921),
    [aux_sym_preproc_else_token1] = ACTIONS(921),
    [aux_sym_preproc_elif_token1] = ACTIONS(921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(921),
    [sym_preproc_directive] = ACTIONS(921),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(921),
    [anon_sym___clrcall] = ACTIONS(921),
    [anon_sym___stdcall] = ACTIONS(921),
    [anon_sym___fastcall] = ACTIONS(921),
    [anon_sym___thiscall] = ACTIONS(921),
    [anon_sym___vectorcall] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(48),
    [sym_identifier] = ACTIONS(915),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token2] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [aux_sym_preproc_else_token1] = ACTIONS(923),
    [aux_sym_preproc_elif_token1] = ACTIONS(923),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(127),
    [anon_sym_typedef] = ACTIONS(129),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1153),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(925),
    [aux_sym_preproc_include_token1] = ACTIONS(917),
    [aux_sym_preproc_def_token1] = ACTIONS(917),
    [aux_sym_preproc_if_token1] = ACTIONS(917),
    [aux_sym_preproc_if_token2] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(917),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(917),
    [anon_sym___clrcall] = ACTIONS(917),
    [anon_sym___stdcall] = ACTIONS(917),
    [anon_sym___fastcall] = ACTIONS(917),
    [anon_sym___thiscall] = ACTIONS(917),
    [anon_sym___vectorcall] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(929),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1163),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(937),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1153),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(925),
    [aux_sym_preproc_include_token1] = ACTIONS(921),
    [aux_sym_preproc_def_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token2] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(921),
    [sym_preproc_directive] = ACTIONS(921),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(921),
    [anon_sym___clrcall] = ACTIONS(921),
    [anon_sym___stdcall] = ACTIONS(921),
    [anon_sym___fastcall] = ACTIONS(921),
    [anon_sym___thiscall] = ACTIONS(921),
    [anon_sym___vectorcall] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1153),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(50),
    [sym_identifier] = ACTIONS(925),
    [aux_sym_preproc_include_token1] = ACTIONS(919),
    [aux_sym_preproc_def_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token2] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(919),
    [sym_preproc_directive] = ACTIONS(919),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(919),
    [anon_sym___clrcall] = ACTIONS(919),
    [anon_sym___stdcall] = ACTIONS(919),
    [anon_sym___fastcall] = ACTIONS(919),
    [anon_sym___thiscall] = ACTIONS(919),
    [anon_sym___vectorcall] = ACTIONS(919),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(919),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(919),
    [anon_sym_default] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1163),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(939),
    [aux_sym_preproc_include_token1] = ACTIONS(790),
    [aux_sym_preproc_def_token1] = ACTIONS(790),
    [aux_sym_preproc_if_token1] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(790),
    [sym_preproc_directive] = ACTIONS(790),
    [anon_sym_LPAREN2] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym___extension__] = ACTIONS(945),
    [anon_sym_typedef] = ACTIONS(948),
    [anon_sym_extern] = ACTIONS(813),
    [anon_sym___attribute__] = ACTIONS(816),
    [anon_sym___attribute] = ACTIONS(816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(819),
    [anon_sym___declspec] = ACTIONS(822),
    [anon_sym___cdecl] = ACTIONS(790),
    [anon_sym___clrcall] = ACTIONS(790),
    [anon_sym___stdcall] = ACTIONS(790),
    [anon_sym___fastcall] = ACTIONS(790),
    [anon_sym___thiscall] = ACTIONS(790),
    [anon_sym___vectorcall] = ACTIONS(790),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_signed] = ACTIONS(828),
    [anon_sym_unsigned] = ACTIONS(828),
    [anon_sym_long] = ACTIONS(828),
    [anon_sym_short] = ACTIONS(828),
    [anon_sym_static] = ACTIONS(813),
    [anon_sym_auto] = ACTIONS(813),
    [anon_sym_register] = ACTIONS(813),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym___inline] = ACTIONS(813),
    [anon_sym___inline__] = ACTIONS(813),
    [anon_sym___forceinline] = ACTIONS(813),
    [anon_sym_thread_local] = ACTIONS(813),
    [anon_sym___thread] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_constexpr] = ACTIONS(831),
    [anon_sym_volatile] = ACTIONS(831),
    [anon_sym_restrict] = ACTIONS(831),
    [anon_sym___restrict__] = ACTIONS(831),
    [anon_sym__Atomic] = ACTIONS(831),
    [anon_sym__Noreturn] = ACTIONS(831),
    [anon_sym_noreturn] = ACTIONS(831),
    [anon_sym__Nonnull] = ACTIONS(831),
    [anon_sym_alignas] = ACTIONS(834),
    [anon_sym__Alignas] = ACTIONS(834),
    [sym_primitive_type] = ACTIONS(837),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_struct] = ACTIONS(843),
    [anon_sym_union] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(956),
    [anon_sym_else] = ACTIONS(790),
    [anon_sym_switch] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(790),
    [anon_sym_default] = ACTIONS(790),
    [anon_sym_while] = ACTIONS(962),
    [anon_sym_do] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_return] = ACTIONS(971),
    [anon_sym_break] = ACTIONS(974),
    [anon_sym_continue] = ACTIONS(977),
    [anon_sym_goto] = ACTIONS(980),
    [anon_sym___try] = ACTIONS(983),
    [anon_sym___leave] = ACTIONS(986),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_sizeof] = ACTIONS(885),
    [anon_sym___alignof__] = ACTIONS(888),
    [anon_sym___alignof] = ACTIONS(888),
    [anon_sym__alignof] = ACTIONS(888),
    [anon_sym_alignof] = ACTIONS(888),
    [anon_sym__Alignof] = ACTIONS(888),
    [anon_sym_offsetof] = ACTIONS(891),
    [anon_sym__Generic] = ACTIONS(894),
    [anon_sym_asm] = ACTIONS(897),
    [anon_sym___asm__] = ACTIONS(897),
    [anon_sym___asm] = ACTIONS(897),
    [sym_number_literal] = ACTIONS(900),
    [anon_sym_L_SQUOTE] = ACTIONS(903),
    [anon_sym_u_SQUOTE] = ACTIONS(903),
    [anon_sym_U_SQUOTE] = ACTIONS(903),
    [anon_sym_u8_SQUOTE] = ACTIONS(903),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_L_DQUOTE] = ACTIONS(906),
    [anon_sym_u_DQUOTE] = ACTIONS(906),
    [anon_sym_U_DQUOTE] = ACTIONS(906),
    [anon_sym_u8_DQUOTE] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [sym_true] = ACTIONS(909),
    [sym_false] = ACTIONS(909),
    [anon_sym_NULL] = ACTIONS(912),
    [anon_sym_nullptr] = ACTIONS(912),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1163),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(937),
    [aux_sym_preproc_include_token1] = ACTIONS(917),
    [aux_sym_preproc_def_token1] = ACTIONS(917),
    [aux_sym_preproc_if_token1] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(917),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(917),
    [anon_sym___clrcall] = ACTIONS(917),
    [anon_sym___stdcall] = ACTIONS(917),
    [anon_sym___fastcall] = ACTIONS(917),
    [anon_sym___thiscall] = ACTIONS(917),
    [anon_sym___vectorcall] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1153),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(991),
    [aux_sym_preproc_include_token1] = ACTIONS(790),
    [aux_sym_preproc_def_token1] = ACTIONS(790),
    [aux_sym_preproc_if_token1] = ACTIONS(790),
    [aux_sym_preproc_if_token2] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(790),
    [sym_preproc_directive] = ACTIONS(790),
    [anon_sym_LPAREN2] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(994),
    [anon_sym___extension__] = ACTIONS(997),
    [anon_sym_typedef] = ACTIONS(1000),
    [anon_sym_extern] = ACTIONS(813),
    [anon_sym___attribute__] = ACTIONS(816),
    [anon_sym___attribute] = ACTIONS(816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(819),
    [anon_sym___declspec] = ACTIONS(822),
    [anon_sym___cdecl] = ACTIONS(790),
    [anon_sym___clrcall] = ACTIONS(790),
    [anon_sym___stdcall] = ACTIONS(790),
    [anon_sym___fastcall] = ACTIONS(790),
    [anon_sym___thiscall] = ACTIONS(790),
    [anon_sym___vectorcall] = ACTIONS(790),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_signed] = ACTIONS(828),
    [anon_sym_unsigned] = ACTIONS(828),
    [anon_sym_long] = ACTIONS(828),
    [anon_sym_short] = ACTIONS(828),
    [anon_sym_static] = ACTIONS(813),
    [anon_sym_auto] = ACTIONS(813),
    [anon_sym_register] = ACTIONS(813),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym___inline] = ACTIONS(813),
    [anon_sym___inline__] = ACTIONS(813),
    [anon_sym___forceinline] = ACTIONS(813),
    [anon_sym_thread_local] = ACTIONS(813),
    [anon_sym___thread] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_constexpr] = ACTIONS(831),
    [anon_sym_volatile] = ACTIONS(831),
    [anon_sym_restrict] = ACTIONS(831),
    [anon_sym___restrict__] = ACTIONS(831),
    [anon_sym__Atomic] = ACTIONS(831),
    [anon_sym__Noreturn] = ACTIONS(831),
    [anon_sym_noreturn] = ACTIONS(831),
    [anon_sym__Nonnull] = ACTIONS(831),
    [anon_sym_alignas] = ACTIONS(834),
    [anon_sym__Alignas] = ACTIONS(834),
    [sym_primitive_type] = ACTIONS(837),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_struct] = ACTIONS(843),
    [anon_sym_union] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(1006),
    [anon_sym_else] = ACTIONS(790),
    [anon_sym_switch] = ACTIONS(1009),
    [anon_sym_case] = ACTIONS(790),
    [anon_sym_default] = ACTIONS(790),
    [anon_sym_while] = ACTIONS(1012),
    [anon_sym_do] = ACTIONS(1015),
    [anon_sym_for] = ACTIONS(1018),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1024),
    [anon_sym_continue] = ACTIONS(1027),
    [anon_sym_goto] = ACTIONS(1030),
    [anon_sym___try] = ACTIONS(1033),
    [anon_sym___leave] = ACTIONS(1036),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_sizeof] = ACTIONS(885),
    [anon_sym___alignof__] = ACTIONS(888),
    [anon_sym___alignof] = ACTIONS(888),
    [anon_sym__alignof] = ACTIONS(888),
    [anon_sym_alignof] = ACTIONS(888),
    [anon_sym__Alignof] = ACTIONS(888),
    [anon_sym_offsetof] = ACTIONS(891),
    [anon_sym__Generic] = ACTIONS(894),
    [anon_sym_asm] = ACTIONS(897),
    [anon_sym___asm__] = ACTIONS(897),
    [anon_sym___asm] = ACTIONS(897),
    [sym_number_literal] = ACTIONS(900),
    [anon_sym_L_SQUOTE] = ACTIONS(903),
    [anon_sym_u_SQUOTE] = ACTIONS(903),
    [anon_sym_U_SQUOTE] = ACTIONS(903),
    [anon_sym_u8_SQUOTE] = ACTIONS(903),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_L_DQUOTE] = ACTIONS(906),
    [anon_sym_u_DQUOTE] = ACTIONS(906),
    [anon_sym_U_DQUOTE] = ACTIONS(906),
    [anon_sym_u8_DQUOTE] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [sym_true] = ACTIONS(909),
    [sym_false] = ACTIONS(909),
    [anon_sym_NULL] = ACTIONS(912),
    [anon_sym_nullptr] = ACTIONS(912),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym_identifier] = ACTIONS(929),
    [aux_sym_preproc_include_token1] = ACTIONS(921),
    [aux_sym_preproc_def_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token1] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(921),
    [sym_preproc_directive] = ACTIONS(921),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(921),
    [anon_sym___clrcall] = ACTIONS(921),
    [anon_sym___stdcall] = ACTIONS(921),
    [anon_sym___fastcall] = ACTIONS(921),
    [anon_sym___thiscall] = ACTIONS(921),
    [anon_sym___vectorcall] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_identifier] = ACTIONS(929),
    [aux_sym_preproc_include_token1] = ACTIONS(919),
    [aux_sym_preproc_def_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token1] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(919),
    [sym_preproc_directive] = ACTIONS(919),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(919),
    [anon_sym___clrcall] = ACTIONS(919),
    [anon_sym___stdcall] = ACTIONS(919),
    [anon_sym___fastcall] = ACTIONS(919),
    [anon_sym___thiscall] = ACTIONS(919),
    [anon_sym___vectorcall] = ACTIONS(919),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_else] = ACTIONS(919),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(919),
    [anon_sym_default] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1163),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(937),
    [aux_sym_preproc_include_token1] = ACTIONS(921),
    [aux_sym_preproc_def_token1] = ACTIONS(921),
    [aux_sym_preproc_if_token1] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(921),
    [sym_preproc_directive] = ACTIONS(921),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(921),
    [anon_sym___clrcall] = ACTIONS(921),
    [anon_sym___stdcall] = ACTIONS(921),
    [anon_sym___fastcall] = ACTIONS(921),
    [anon_sym___thiscall] = ACTIONS(921),
    [anon_sym___vectorcall] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1163),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(937),
    [aux_sym_preproc_include_token1] = ACTIONS(919),
    [aux_sym_preproc_def_token1] = ACTIONS(919),
    [aux_sym_preproc_if_token1] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(919),
    [sym_preproc_directive] = ACTIONS(919),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(372),
    [anon_sym_typedef] = ACTIONS(374),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(919),
    [anon_sym___clrcall] = ACTIONS(919),
    [anon_sym___stdcall] = ACTIONS(919),
    [anon_sym___fastcall] = ACTIONS(919),
    [anon_sym___thiscall] = ACTIONS(919),
    [anon_sym___vectorcall] = ACTIONS(919),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_else] = ACTIONS(919),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(919),
    [anon_sym_default] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [ts_builtin_sym_end] = ACTIONS(954),
    [sym_identifier] = ACTIONS(1043),
    [aux_sym_preproc_include_token1] = ACTIONS(790),
    [aux_sym_preproc_def_token1] = ACTIONS(790),
    [aux_sym_preproc_if_token1] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(790),
    [sym_preproc_directive] = ACTIONS(790),
    [anon_sym_LPAREN2] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym___extension__] = ACTIONS(1049),
    [anon_sym_typedef] = ACTIONS(1052),
    [anon_sym_extern] = ACTIONS(813),
    [anon_sym___attribute__] = ACTIONS(816),
    [anon_sym___attribute] = ACTIONS(816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(819),
    [anon_sym___declspec] = ACTIONS(822),
    [anon_sym___cdecl] = ACTIONS(790),
    [anon_sym___clrcall] = ACTIONS(790),
    [anon_sym___stdcall] = ACTIONS(790),
    [anon_sym___fastcall] = ACTIONS(790),
    [anon_sym___thiscall] = ACTIONS(790),
    [anon_sym___vectorcall] = ACTIONS(790),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_signed] = ACTIONS(828),
    [anon_sym_unsigned] = ACTIONS(828),
    [anon_sym_long] = ACTIONS(828),
    [anon_sym_short] = ACTIONS(828),
    [anon_sym_static] = ACTIONS(813),
    [anon_sym_auto] = ACTIONS(813),
    [anon_sym_register] = ACTIONS(813),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym___inline] = ACTIONS(813),
    [anon_sym___inline__] = ACTIONS(813),
    [anon_sym___forceinline] = ACTIONS(813),
    [anon_sym_thread_local] = ACTIONS(813),
    [anon_sym___thread] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_constexpr] = ACTIONS(831),
    [anon_sym_volatile] = ACTIONS(831),
    [anon_sym_restrict] = ACTIONS(831),
    [anon_sym___restrict__] = ACTIONS(831),
    [anon_sym__Atomic] = ACTIONS(831),
    [anon_sym__Noreturn] = ACTIONS(831),
    [anon_sym_noreturn] = ACTIONS(831),
    [anon_sym__Nonnull] = ACTIONS(831),
    [anon_sym_alignas] = ACTIONS(834),
    [anon_sym__Alignas] = ACTIONS(834),
    [sym_primitive_type] = ACTIONS(837),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_struct] = ACTIONS(843),
    [anon_sym_union] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(1058),
    [anon_sym_else] = ACTIONS(790),
    [anon_sym_switch] = ACTIONS(1061),
    [anon_sym_case] = ACTIONS(790),
    [anon_sym_default] = ACTIONS(790),
    [anon_sym_while] = ACTIONS(1064),
    [anon_sym_do] = ACTIONS(1067),
    [anon_sym_for] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1073),
    [anon_sym_break] = ACTIONS(1076),
    [anon_sym_continue] = ACTIONS(1079),
    [anon_sym_goto] = ACTIONS(1082),
    [anon_sym___try] = ACTIONS(1085),
    [anon_sym___leave] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_sizeof] = ACTIONS(885),
    [anon_sym___alignof__] = ACTIONS(888),
    [anon_sym___alignof] = ACTIONS(888),
    [anon_sym__alignof] = ACTIONS(888),
    [anon_sym_alignof] = ACTIONS(888),
    [anon_sym__Alignof] = ACTIONS(888),
    [anon_sym_offsetof] = ACTIONS(891),
    [anon_sym__Generic] = ACTIONS(894),
    [anon_sym_asm] = ACTIONS(897),
    [anon_sym___asm__] = ACTIONS(897),
    [anon_sym___asm] = ACTIONS(897),
    [sym_number_literal] = ACTIONS(900),
    [anon_sym_L_SQUOTE] = ACTIONS(903),
    [anon_sym_u_SQUOTE] = ACTIONS(903),
    [anon_sym_U_SQUOTE] = ACTIONS(903),
    [anon_sym_u8_SQUOTE] = ACTIONS(903),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_L_DQUOTE] = ACTIONS(906),
    [anon_sym_u_DQUOTE] = ACTIONS(906),
    [anon_sym_U_DQUOTE] = ACTIONS(906),
    [anon_sym_u8_DQUOTE] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [sym_true] = ACTIONS(909),
    [sym_false] = ACTIONS(909),
    [anon_sym_NULL] = ACTIONS(912),
    [anon_sym_nullptr] = ACTIONS(912),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1153),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(53),
    [sym_identifier] = ACTIONS(925),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token2] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(430),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_identifier] = ACTIONS(929),
    [aux_sym_preproc_include_token1] = ACTIONS(917),
    [aux_sym_preproc_def_token1] = ACTIONS(917),
    [aux_sym_preproc_if_token1] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(917),
    [sym_preproc_directive] = ACTIONS(917),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(917),
    [anon_sym___clrcall] = ACTIONS(917),
    [anon_sym___stdcall] = ACTIONS(917),
    [anon_sym___fastcall] = ACTIONS(917),
    [anon_sym___thiscall] = ACTIONS(917),
    [anon_sym___vectorcall] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(72),
    [sym_identifier] = ACTIONS(1091),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(919),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(176),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(242),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(176),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(197),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1153),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(221),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(221),
    [sym_statement] = STATE(197),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(104),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1150),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(93),
    [sym_statement] = STATE(104),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(915),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(204),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1163),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(204),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(1091),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_LPAREN2] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym___extension__] = ACTIONS(1049),
    [anon_sym_typedef] = ACTIONS(1052),
    [anon_sym_extern] = ACTIONS(813),
    [anon_sym___attribute__] = ACTIONS(816),
    [anon_sym___attribute] = ACTIONS(816),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(819),
    [anon_sym___declspec] = ACTIONS(822),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_signed] = ACTIONS(828),
    [anon_sym_unsigned] = ACTIONS(828),
    [anon_sym_long] = ACTIONS(828),
    [anon_sym_short] = ACTIONS(828),
    [anon_sym_static] = ACTIONS(813),
    [anon_sym_auto] = ACTIONS(813),
    [anon_sym_register] = ACTIONS(813),
    [anon_sym_inline] = ACTIONS(813),
    [anon_sym___inline] = ACTIONS(813),
    [anon_sym___inline__] = ACTIONS(813),
    [anon_sym___forceinline] = ACTIONS(813),
    [anon_sym_thread_local] = ACTIONS(813),
    [anon_sym___thread] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(831),
    [anon_sym_constexpr] = ACTIONS(831),
    [anon_sym_volatile] = ACTIONS(831),
    [anon_sym_restrict] = ACTIONS(831),
    [anon_sym___restrict__] = ACTIONS(831),
    [anon_sym__Atomic] = ACTIONS(831),
    [anon_sym__Noreturn] = ACTIONS(831),
    [anon_sym_noreturn] = ACTIONS(831),
    [anon_sym__Nonnull] = ACTIONS(831),
    [anon_sym_alignas] = ACTIONS(834),
    [anon_sym__Alignas] = ACTIONS(834),
    [sym_primitive_type] = ACTIONS(837),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_struct] = ACTIONS(843),
    [anon_sym_union] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(790),
    [anon_sym_switch] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(1109),
    [anon_sym_do] = ACTIONS(1067),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1073),
    [anon_sym_break] = ACTIONS(1076),
    [anon_sym_continue] = ACTIONS(1079),
    [anon_sym_goto] = ACTIONS(1082),
    [anon_sym___try] = ACTIONS(1115),
    [anon_sym___leave] = ACTIONS(986),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_sizeof] = ACTIONS(885),
    [anon_sym___alignof__] = ACTIONS(888),
    [anon_sym___alignof] = ACTIONS(888),
    [anon_sym__alignof] = ACTIONS(888),
    [anon_sym_alignof] = ACTIONS(888),
    [anon_sym__Alignof] = ACTIONS(888),
    [anon_sym_offsetof] = ACTIONS(891),
    [anon_sym__Generic] = ACTIONS(894),
    [anon_sym_asm] = ACTIONS(897),
    [anon_sym___asm__] = ACTIONS(897),
    [anon_sym___asm] = ACTIONS(897),
    [sym_number_literal] = ACTIONS(900),
    [anon_sym_L_SQUOTE] = ACTIONS(903),
    [anon_sym_u_SQUOTE] = ACTIONS(903),
    [anon_sym_U_SQUOTE] = ACTIONS(903),
    [anon_sym_u8_SQUOTE] = ACTIONS(903),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_L_DQUOTE] = ACTIONS(906),
    [anon_sym_u_DQUOTE] = ACTIONS(906),
    [anon_sym_U_DQUOTE] = ACTIONS(906),
    [anon_sym_u8_DQUOTE] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(906),
    [sym_true] = ACTIONS(909),
    [sym_false] = ACTIONS(909),
    [anon_sym_NULL] = ACTIONS(912),
    [anon_sym_nullptr] = ACTIONS(912),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [sym_identifier] = ACTIONS(1091),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(176),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(249),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(176),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1091),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1164),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(407),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [sym_identifier] = ACTIONS(1091),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(29),
    [anon_sym_typedef] = ACTIONS(31),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(37),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_declaration] = STATE(475),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1159),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__for_statement_body] = STATE(1875),
    [sym_expression] = STATE(1062),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1124),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_declaration] = STATE(475),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1159),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__for_statement_body] = STATE(1937),
    [sym_expression] = STATE(1062),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1124),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_declaration] = STATE(475),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1159),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__for_statement_body] = STATE(1782),
    [sym_expression] = STATE(1062),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1124),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_declaration] = STATE(475),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1159),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__for_statement_body] = STATE(1932),
    [sym_expression] = STATE(1062),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1124),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_declaration] = STATE(475),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1159),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__for_statement_body] = STATE(1938),
    [sym_expression] = STATE(1062),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1929),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1124),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_else_clause] = STATE(95),
    [sym_identifier] = ACTIONS(1128),
    [aux_sym_preproc_include_token1] = ACTIONS(1128),
    [aux_sym_preproc_def_token1] = ACTIONS(1128),
    [aux_sym_preproc_if_token1] = ACTIONS(1128),
    [aux_sym_preproc_if_token2] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1128),
    [aux_sym_preproc_else_token1] = ACTIONS(1128),
    [aux_sym_preproc_elif_token1] = ACTIONS(1128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1128),
    [sym_preproc_directive] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym___extension__] = ACTIONS(1128),
    [anon_sym_typedef] = ACTIONS(1128),
    [anon_sym_extern] = ACTIONS(1128),
    [anon_sym___attribute__] = ACTIONS(1128),
    [anon_sym___attribute] = ACTIONS(1128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1130),
    [anon_sym___declspec] = ACTIONS(1128),
    [anon_sym___cdecl] = ACTIONS(1128),
    [anon_sym___clrcall] = ACTIONS(1128),
    [anon_sym___stdcall] = ACTIONS(1128),
    [anon_sym___fastcall] = ACTIONS(1128),
    [anon_sym___thiscall] = ACTIONS(1128),
    [anon_sym___vectorcall] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_signed] = ACTIONS(1128),
    [anon_sym_unsigned] = ACTIONS(1128),
    [anon_sym_long] = ACTIONS(1128),
    [anon_sym_short] = ACTIONS(1128),
    [anon_sym_static] = ACTIONS(1128),
    [anon_sym_auto] = ACTIONS(1128),
    [anon_sym_register] = ACTIONS(1128),
    [anon_sym_inline] = ACTIONS(1128),
    [anon_sym___inline] = ACTIONS(1128),
    [anon_sym___inline__] = ACTIONS(1128),
    [anon_sym___forceinline] = ACTIONS(1128),
    [anon_sym_thread_local] = ACTIONS(1128),
    [anon_sym___thread] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_constexpr] = ACTIONS(1128),
    [anon_sym_volatile] = ACTIONS(1128),
    [anon_sym_restrict] = ACTIONS(1128),
    [anon_sym___restrict__] = ACTIONS(1128),
    [anon_sym__Atomic] = ACTIONS(1128),
    [anon_sym__Noreturn] = ACTIONS(1128),
    [anon_sym_noreturn] = ACTIONS(1128),
    [anon_sym__Nonnull] = ACTIONS(1128),
    [anon_sym_alignas] = ACTIONS(1128),
    [anon_sym__Alignas] = ACTIONS(1128),
    [sym_primitive_type] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_struct] = ACTIONS(1128),
    [anon_sym_union] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1128),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_do] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym___try] = ACTIONS(1128),
    [anon_sym___leave] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_sizeof] = ACTIONS(1128),
    [anon_sym___alignof__] = ACTIONS(1128),
    [anon_sym___alignof] = ACTIONS(1128),
    [anon_sym__alignof] = ACTIONS(1128),
    [anon_sym_alignof] = ACTIONS(1128),
    [anon_sym__Alignof] = ACTIONS(1128),
    [anon_sym_offsetof] = ACTIONS(1128),
    [anon_sym__Generic] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym___asm__] = ACTIONS(1128),
    [anon_sym___asm] = ACTIONS(1128),
    [sym_number_literal] = ACTIONS(1130),
    [anon_sym_L_SQUOTE] = ACTIONS(1130),
    [anon_sym_u_SQUOTE] = ACTIONS(1130),
    [anon_sym_U_SQUOTE] = ACTIONS(1130),
    [anon_sym_u8_SQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_L_DQUOTE] = ACTIONS(1130),
    [anon_sym_u_DQUOTE] = ACTIONS(1130),
    [anon_sym_U_DQUOTE] = ACTIONS(1130),
    [anon_sym_u8_DQUOTE] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_NULL] = ACTIONS(1128),
    [anon_sym_nullptr] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_identifier] = ACTIONS(1134),
    [aux_sym_preproc_include_token1] = ACTIONS(1134),
    [aux_sym_preproc_def_token1] = ACTIONS(1134),
    [aux_sym_preproc_if_token1] = ACTIONS(1134),
    [aux_sym_preproc_if_token2] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1134),
    [aux_sym_preproc_else_token1] = ACTIONS(1134),
    [aux_sym_preproc_elif_token1] = ACTIONS(1134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1134),
    [sym_preproc_directive] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1136),
    [anon_sym___extension__] = ACTIONS(1134),
    [anon_sym_typedef] = ACTIONS(1134),
    [anon_sym_extern] = ACTIONS(1134),
    [anon_sym___attribute__] = ACTIONS(1134),
    [anon_sym___attribute] = ACTIONS(1134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1136),
    [anon_sym___declspec] = ACTIONS(1134),
    [anon_sym___cdecl] = ACTIONS(1134),
    [anon_sym___clrcall] = ACTIONS(1134),
    [anon_sym___stdcall] = ACTIONS(1134),
    [anon_sym___fastcall] = ACTIONS(1134),
    [anon_sym___thiscall] = ACTIONS(1134),
    [anon_sym___vectorcall] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(1134),
    [anon_sym_unsigned] = ACTIONS(1134),
    [anon_sym_long] = ACTIONS(1134),
    [anon_sym_short] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(1134),
    [anon_sym_auto] = ACTIONS(1134),
    [anon_sym_register] = ACTIONS(1134),
    [anon_sym_inline] = ACTIONS(1134),
    [anon_sym___inline] = ACTIONS(1134),
    [anon_sym___inline__] = ACTIONS(1134),
    [anon_sym___forceinline] = ACTIONS(1134),
    [anon_sym_thread_local] = ACTIONS(1134),
    [anon_sym___thread] = ACTIONS(1134),
    [anon_sym_const] = ACTIONS(1134),
    [anon_sym_constexpr] = ACTIONS(1134),
    [anon_sym_volatile] = ACTIONS(1134),
    [anon_sym_restrict] = ACTIONS(1134),
    [anon_sym___restrict__] = ACTIONS(1134),
    [anon_sym__Atomic] = ACTIONS(1134),
    [anon_sym__Noreturn] = ACTIONS(1134),
    [anon_sym_noreturn] = ACTIONS(1134),
    [anon_sym__Nonnull] = ACTIONS(1134),
    [anon_sym_alignas] = ACTIONS(1134),
    [anon_sym__Alignas] = ACTIONS(1134),
    [sym_primitive_type] = ACTIONS(1134),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_struct] = ACTIONS(1134),
    [anon_sym_union] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_else] = ACTIONS(1134),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_default] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_break] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_goto] = ACTIONS(1134),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_sizeof] = ACTIONS(1134),
    [anon_sym___alignof__] = ACTIONS(1134),
    [anon_sym___alignof] = ACTIONS(1134),
    [anon_sym__alignof] = ACTIONS(1134),
    [anon_sym_alignof] = ACTIONS(1134),
    [anon_sym__Alignof] = ACTIONS(1134),
    [anon_sym_offsetof] = ACTIONS(1134),
    [anon_sym__Generic] = ACTIONS(1134),
    [anon_sym_asm] = ACTIONS(1134),
    [anon_sym___asm__] = ACTIONS(1134),
    [anon_sym___asm] = ACTIONS(1134),
    [sym_number_literal] = ACTIONS(1136),
    [anon_sym_L_SQUOTE] = ACTIONS(1136),
    [anon_sym_u_SQUOTE] = ACTIONS(1136),
    [anon_sym_U_SQUOTE] = ACTIONS(1136),
    [anon_sym_u8_SQUOTE] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_L_DQUOTE] = ACTIONS(1136),
    [anon_sym_u_DQUOTE] = ACTIONS(1136),
    [anon_sym_U_DQUOTE] = ACTIONS(1136),
    [anon_sym_u8_DQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [sym_true] = ACTIONS(1134),
    [sym_false] = ACTIONS(1134),
    [anon_sym_NULL] = ACTIONS(1134),
    [anon_sym_nullptr] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1138),
    [aux_sym_preproc_def_token1] = ACTIONS(1138),
    [aux_sym_preproc_if_token1] = ACTIONS(1138),
    [aux_sym_preproc_if_token2] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1138),
    [aux_sym_preproc_else_token1] = ACTIONS(1138),
    [aux_sym_preproc_elif_token1] = ACTIONS(1138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1138),
    [sym_preproc_directive] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1140),
    [anon_sym___extension__] = ACTIONS(1138),
    [anon_sym_typedef] = ACTIONS(1138),
    [anon_sym_extern] = ACTIONS(1138),
    [anon_sym___attribute__] = ACTIONS(1138),
    [anon_sym___attribute] = ACTIONS(1138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1140),
    [anon_sym___declspec] = ACTIONS(1138),
    [anon_sym___cdecl] = ACTIONS(1138),
    [anon_sym___clrcall] = ACTIONS(1138),
    [anon_sym___stdcall] = ACTIONS(1138),
    [anon_sym___fastcall] = ACTIONS(1138),
    [anon_sym___thiscall] = ACTIONS(1138),
    [anon_sym___vectorcall] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_signed] = ACTIONS(1138),
    [anon_sym_unsigned] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_auto] = ACTIONS(1138),
    [anon_sym_register] = ACTIONS(1138),
    [anon_sym_inline] = ACTIONS(1138),
    [anon_sym___inline] = ACTIONS(1138),
    [anon_sym___inline__] = ACTIONS(1138),
    [anon_sym___forceinline] = ACTIONS(1138),
    [anon_sym_thread_local] = ACTIONS(1138),
    [anon_sym___thread] = ACTIONS(1138),
    [anon_sym_const] = ACTIONS(1138),
    [anon_sym_constexpr] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_restrict] = ACTIONS(1138),
    [anon_sym___restrict__] = ACTIONS(1138),
    [anon_sym__Atomic] = ACTIONS(1138),
    [anon_sym__Noreturn] = ACTIONS(1138),
    [anon_sym_noreturn] = ACTIONS(1138),
    [anon_sym__Nonnull] = ACTIONS(1138),
    [anon_sym_alignas] = ACTIONS(1138),
    [anon_sym__Alignas] = ACTIONS(1138),
    [sym_primitive_type] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_struct] = ACTIONS(1138),
    [anon_sym_union] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_else] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1138),
    [anon_sym_default] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_goto] = ACTIONS(1138),
    [anon_sym___try] = ACTIONS(1138),
    [anon_sym___leave] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_sizeof] = ACTIONS(1138),
    [anon_sym___alignof__] = ACTIONS(1138),
    [anon_sym___alignof] = ACTIONS(1138),
    [anon_sym__alignof] = ACTIONS(1138),
    [anon_sym_alignof] = ACTIONS(1138),
    [anon_sym__Alignof] = ACTIONS(1138),
    [anon_sym_offsetof] = ACTIONS(1138),
    [anon_sym__Generic] = ACTIONS(1138),
    [anon_sym_asm] = ACTIONS(1138),
    [anon_sym___asm__] = ACTIONS(1138),
    [anon_sym___asm] = ACTIONS(1138),
    [sym_number_literal] = ACTIONS(1140),
    [anon_sym_L_SQUOTE] = ACTIONS(1140),
    [anon_sym_u_SQUOTE] = ACTIONS(1140),
    [anon_sym_U_SQUOTE] = ACTIONS(1140),
    [anon_sym_u8_SQUOTE] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_L_DQUOTE] = ACTIONS(1140),
    [anon_sym_u_DQUOTE] = ACTIONS(1140),
    [anon_sym_U_DQUOTE] = ACTIONS(1140),
    [anon_sym_u8_DQUOTE] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [anon_sym_NULL] = ACTIONS(1138),
    [anon_sym_nullptr] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_identifier] = ACTIONS(1142),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token2] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [aux_sym_preproc_else_token1] = ACTIONS(1142),
    [aux_sym_preproc_elif_token1] = ACTIONS(1142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym___extension__] = ACTIONS(1142),
    [anon_sym_typedef] = ACTIONS(1142),
    [anon_sym_extern] = ACTIONS(1142),
    [anon_sym___attribute__] = ACTIONS(1142),
    [anon_sym___attribute] = ACTIONS(1142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1144),
    [anon_sym___declspec] = ACTIONS(1142),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_signed] = ACTIONS(1142),
    [anon_sym_unsigned] = ACTIONS(1142),
    [anon_sym_long] = ACTIONS(1142),
    [anon_sym_short] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1142),
    [anon_sym_auto] = ACTIONS(1142),
    [anon_sym_register] = ACTIONS(1142),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym___inline] = ACTIONS(1142),
    [anon_sym___inline__] = ACTIONS(1142),
    [anon_sym___forceinline] = ACTIONS(1142),
    [anon_sym_thread_local] = ACTIONS(1142),
    [anon_sym___thread] = ACTIONS(1142),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_constexpr] = ACTIONS(1142),
    [anon_sym_volatile] = ACTIONS(1142),
    [anon_sym_restrict] = ACTIONS(1142),
    [anon_sym___restrict__] = ACTIONS(1142),
    [anon_sym__Atomic] = ACTIONS(1142),
    [anon_sym__Noreturn] = ACTIONS(1142),
    [anon_sym_noreturn] = ACTIONS(1142),
    [anon_sym__Nonnull] = ACTIONS(1142),
    [anon_sym_alignas] = ACTIONS(1142),
    [anon_sym__Alignas] = ACTIONS(1142),
    [sym_primitive_type] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_struct] = ACTIONS(1142),
    [anon_sym_union] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_goto] = ACTIONS(1142),
    [anon_sym___try] = ACTIONS(1142),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_sizeof] = ACTIONS(1142),
    [anon_sym___alignof__] = ACTIONS(1142),
    [anon_sym___alignof] = ACTIONS(1142),
    [anon_sym__alignof] = ACTIONS(1142),
    [anon_sym_alignof] = ACTIONS(1142),
    [anon_sym__Alignof] = ACTIONS(1142),
    [anon_sym_offsetof] = ACTIONS(1142),
    [anon_sym__Generic] = ACTIONS(1142),
    [anon_sym_asm] = ACTIONS(1142),
    [anon_sym___asm__] = ACTIONS(1142),
    [anon_sym___asm] = ACTIONS(1142),
    [sym_number_literal] = ACTIONS(1144),
    [anon_sym_L_SQUOTE] = ACTIONS(1144),
    [anon_sym_u_SQUOTE] = ACTIONS(1144),
    [anon_sym_U_SQUOTE] = ACTIONS(1144),
    [anon_sym_u8_SQUOTE] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_L_DQUOTE] = ACTIONS(1144),
    [anon_sym_u_DQUOTE] = ACTIONS(1144),
    [anon_sym_U_DQUOTE] = ACTIONS(1144),
    [anon_sym_u8_DQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [anon_sym_NULL] = ACTIONS(1142),
    [anon_sym_nullptr] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token2] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [aux_sym_preproc_else_token1] = ACTIONS(1146),
    [aux_sym_preproc_elif_token1] = ACTIONS(1146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_identifier] = ACTIONS(1150),
    [aux_sym_preproc_include_token1] = ACTIONS(1150),
    [aux_sym_preproc_def_token1] = ACTIONS(1150),
    [aux_sym_preproc_if_token1] = ACTIONS(1150),
    [aux_sym_preproc_if_token2] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1150),
    [aux_sym_preproc_else_token1] = ACTIONS(1150),
    [aux_sym_preproc_elif_token1] = ACTIONS(1150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1150),
    [sym_preproc_directive] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(1152),
    [anon_sym_AMP] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1152),
    [anon_sym___extension__] = ACTIONS(1150),
    [anon_sym_typedef] = ACTIONS(1150),
    [anon_sym_extern] = ACTIONS(1150),
    [anon_sym___attribute__] = ACTIONS(1150),
    [anon_sym___attribute] = ACTIONS(1150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1152),
    [anon_sym___declspec] = ACTIONS(1150),
    [anon_sym___cdecl] = ACTIONS(1150),
    [anon_sym___clrcall] = ACTIONS(1150),
    [anon_sym___stdcall] = ACTIONS(1150),
    [anon_sym___fastcall] = ACTIONS(1150),
    [anon_sym___thiscall] = ACTIONS(1150),
    [anon_sym___vectorcall] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_signed] = ACTIONS(1150),
    [anon_sym_unsigned] = ACTIONS(1150),
    [anon_sym_long] = ACTIONS(1150),
    [anon_sym_short] = ACTIONS(1150),
    [anon_sym_static] = ACTIONS(1150),
    [anon_sym_auto] = ACTIONS(1150),
    [anon_sym_register] = ACTIONS(1150),
    [anon_sym_inline] = ACTIONS(1150),
    [anon_sym___inline] = ACTIONS(1150),
    [anon_sym___inline__] = ACTIONS(1150),
    [anon_sym___forceinline] = ACTIONS(1150),
    [anon_sym_thread_local] = ACTIONS(1150),
    [anon_sym___thread] = ACTIONS(1150),
    [anon_sym_const] = ACTIONS(1150),
    [anon_sym_constexpr] = ACTIONS(1150),
    [anon_sym_volatile] = ACTIONS(1150),
    [anon_sym_restrict] = ACTIONS(1150),
    [anon_sym___restrict__] = ACTIONS(1150),
    [anon_sym__Atomic] = ACTIONS(1150),
    [anon_sym__Noreturn] = ACTIONS(1150),
    [anon_sym_noreturn] = ACTIONS(1150),
    [anon_sym__Nonnull] = ACTIONS(1150),
    [anon_sym_alignas] = ACTIONS(1150),
    [anon_sym__Alignas] = ACTIONS(1150),
    [sym_primitive_type] = ACTIONS(1150),
    [anon_sym_enum] = ACTIONS(1150),
    [anon_sym_struct] = ACTIONS(1150),
    [anon_sym_union] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym_default] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_break] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_goto] = ACTIONS(1150),
    [anon_sym___try] = ACTIONS(1150),
    [anon_sym___leave] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [anon_sym_sizeof] = ACTIONS(1150),
    [anon_sym___alignof__] = ACTIONS(1150),
    [anon_sym___alignof] = ACTIONS(1150),
    [anon_sym__alignof] = ACTIONS(1150),
    [anon_sym_alignof] = ACTIONS(1150),
    [anon_sym__Alignof] = ACTIONS(1150),
    [anon_sym_offsetof] = ACTIONS(1150),
    [anon_sym__Generic] = ACTIONS(1150),
    [anon_sym_asm] = ACTIONS(1150),
    [anon_sym___asm__] = ACTIONS(1150),
    [anon_sym___asm] = ACTIONS(1150),
    [sym_number_literal] = ACTIONS(1152),
    [anon_sym_L_SQUOTE] = ACTIONS(1152),
    [anon_sym_u_SQUOTE] = ACTIONS(1152),
    [anon_sym_U_SQUOTE] = ACTIONS(1152),
    [anon_sym_u8_SQUOTE] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_L_DQUOTE] = ACTIONS(1152),
    [anon_sym_u_DQUOTE] = ACTIONS(1152),
    [anon_sym_U_DQUOTE] = ACTIONS(1152),
    [anon_sym_u8_DQUOTE] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [sym_true] = ACTIONS(1150),
    [sym_false] = ACTIONS(1150),
    [anon_sym_NULL] = ACTIONS(1150),
    [anon_sym_nullptr] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token2] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [aux_sym_preproc_else_token1] = ACTIONS(1146),
    [aux_sym_preproc_elif_token1] = ACTIONS(1146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_identifier] = ACTIONS(1154),
    [aux_sym_preproc_include_token1] = ACTIONS(1154),
    [aux_sym_preproc_def_token1] = ACTIONS(1154),
    [aux_sym_preproc_if_token1] = ACTIONS(1154),
    [aux_sym_preproc_if_token2] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1154),
    [aux_sym_preproc_else_token1] = ACTIONS(1154),
    [aux_sym_preproc_elif_token1] = ACTIONS(1154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1154),
    [sym_preproc_directive] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_STAR] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1156),
    [anon_sym___extension__] = ACTIONS(1154),
    [anon_sym_typedef] = ACTIONS(1154),
    [anon_sym_extern] = ACTIONS(1154),
    [anon_sym___attribute__] = ACTIONS(1154),
    [anon_sym___attribute] = ACTIONS(1154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1156),
    [anon_sym___declspec] = ACTIONS(1154),
    [anon_sym___cdecl] = ACTIONS(1154),
    [anon_sym___clrcall] = ACTIONS(1154),
    [anon_sym___stdcall] = ACTIONS(1154),
    [anon_sym___fastcall] = ACTIONS(1154),
    [anon_sym___thiscall] = ACTIONS(1154),
    [anon_sym___vectorcall] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_signed] = ACTIONS(1154),
    [anon_sym_unsigned] = ACTIONS(1154),
    [anon_sym_long] = ACTIONS(1154),
    [anon_sym_short] = ACTIONS(1154),
    [anon_sym_static] = ACTIONS(1154),
    [anon_sym_auto] = ACTIONS(1154),
    [anon_sym_register] = ACTIONS(1154),
    [anon_sym_inline] = ACTIONS(1154),
    [anon_sym___inline] = ACTIONS(1154),
    [anon_sym___inline__] = ACTIONS(1154),
    [anon_sym___forceinline] = ACTIONS(1154),
    [anon_sym_thread_local] = ACTIONS(1154),
    [anon_sym___thread] = ACTIONS(1154),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_constexpr] = ACTIONS(1154),
    [anon_sym_volatile] = ACTIONS(1154),
    [anon_sym_restrict] = ACTIONS(1154),
    [anon_sym___restrict__] = ACTIONS(1154),
    [anon_sym__Atomic] = ACTIONS(1154),
    [anon_sym__Noreturn] = ACTIONS(1154),
    [anon_sym_noreturn] = ACTIONS(1154),
    [anon_sym__Nonnull] = ACTIONS(1154),
    [anon_sym_alignas] = ACTIONS(1154),
    [anon_sym__Alignas] = ACTIONS(1154),
    [sym_primitive_type] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(1154),
    [anon_sym_union] = ACTIONS(1154),
    [anon_sym_if] = ACTIONS(1154),
    [anon_sym_else] = ACTIONS(1154),
    [anon_sym_switch] = ACTIONS(1154),
    [anon_sym_case] = ACTIONS(1154),
    [anon_sym_default] = ACTIONS(1154),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_do] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1154),
    [anon_sym_continue] = ACTIONS(1154),
    [anon_sym_goto] = ACTIONS(1154),
    [anon_sym___try] = ACTIONS(1154),
    [anon_sym___leave] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [anon_sym_sizeof] = ACTIONS(1154),
    [anon_sym___alignof__] = ACTIONS(1154),
    [anon_sym___alignof] = ACTIONS(1154),
    [anon_sym__alignof] = ACTIONS(1154),
    [anon_sym_alignof] = ACTIONS(1154),
    [anon_sym__Alignof] = ACTIONS(1154),
    [anon_sym_offsetof] = ACTIONS(1154),
    [anon_sym__Generic] = ACTIONS(1154),
    [anon_sym_asm] = ACTIONS(1154),
    [anon_sym___asm__] = ACTIONS(1154),
    [anon_sym___asm] = ACTIONS(1154),
    [sym_number_literal] = ACTIONS(1156),
    [anon_sym_L_SQUOTE] = ACTIONS(1156),
    [anon_sym_u_SQUOTE] = ACTIONS(1156),
    [anon_sym_U_SQUOTE] = ACTIONS(1156),
    [anon_sym_u8_SQUOTE] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_L_DQUOTE] = ACTIONS(1156),
    [anon_sym_u_DQUOTE] = ACTIONS(1156),
    [anon_sym_U_DQUOTE] = ACTIONS(1156),
    [anon_sym_u8_DQUOTE] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [anon_sym_NULL] = ACTIONS(1154),
    [anon_sym_nullptr] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_identifier] = ACTIONS(1158),
    [aux_sym_preproc_include_token1] = ACTIONS(1158),
    [aux_sym_preproc_def_token1] = ACTIONS(1158),
    [aux_sym_preproc_if_token1] = ACTIONS(1158),
    [aux_sym_preproc_if_token2] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1158),
    [aux_sym_preproc_else_token1] = ACTIONS(1158),
    [aux_sym_preproc_elif_token1] = ACTIONS(1158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1158),
    [sym_preproc_directive] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(1160),
    [anon_sym_AMP] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym___extension__] = ACTIONS(1158),
    [anon_sym_typedef] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(1158),
    [anon_sym___attribute__] = ACTIONS(1158),
    [anon_sym___attribute] = ACTIONS(1158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(1158),
    [anon_sym___cdecl] = ACTIONS(1158),
    [anon_sym___clrcall] = ACTIONS(1158),
    [anon_sym___stdcall] = ACTIONS(1158),
    [anon_sym___fastcall] = ACTIONS(1158),
    [anon_sym___thiscall] = ACTIONS(1158),
    [anon_sym___vectorcall] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_signed] = ACTIONS(1158),
    [anon_sym_unsigned] = ACTIONS(1158),
    [anon_sym_long] = ACTIONS(1158),
    [anon_sym_short] = ACTIONS(1158),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_auto] = ACTIONS(1158),
    [anon_sym_register] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(1158),
    [anon_sym___inline] = ACTIONS(1158),
    [anon_sym___inline__] = ACTIONS(1158),
    [anon_sym___forceinline] = ACTIONS(1158),
    [anon_sym_thread_local] = ACTIONS(1158),
    [anon_sym___thread] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(1158),
    [anon_sym_constexpr] = ACTIONS(1158),
    [anon_sym_volatile] = ACTIONS(1158),
    [anon_sym_restrict] = ACTIONS(1158),
    [anon_sym___restrict__] = ACTIONS(1158),
    [anon_sym__Atomic] = ACTIONS(1158),
    [anon_sym__Noreturn] = ACTIONS(1158),
    [anon_sym_noreturn] = ACTIONS(1158),
    [anon_sym__Nonnull] = ACTIONS(1158),
    [anon_sym_alignas] = ACTIONS(1158),
    [anon_sym__Alignas] = ACTIONS(1158),
    [sym_primitive_type] = ACTIONS(1158),
    [anon_sym_enum] = ACTIONS(1158),
    [anon_sym_struct] = ACTIONS(1158),
    [anon_sym_union] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_else] = ACTIONS(1158),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [anon_sym_do] = ACTIONS(1158),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_break] = ACTIONS(1158),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1158),
    [anon_sym___try] = ACTIONS(1158),
    [anon_sym___leave] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_sizeof] = ACTIONS(1158),
    [anon_sym___alignof__] = ACTIONS(1158),
    [anon_sym___alignof] = ACTIONS(1158),
    [anon_sym__alignof] = ACTIONS(1158),
    [anon_sym_alignof] = ACTIONS(1158),
    [anon_sym__Alignof] = ACTIONS(1158),
    [anon_sym_offsetof] = ACTIONS(1158),
    [anon_sym__Generic] = ACTIONS(1158),
    [anon_sym_asm] = ACTIONS(1158),
    [anon_sym___asm__] = ACTIONS(1158),
    [anon_sym___asm] = ACTIONS(1158),
    [sym_number_literal] = ACTIONS(1160),
    [anon_sym_L_SQUOTE] = ACTIONS(1160),
    [anon_sym_u_SQUOTE] = ACTIONS(1160),
    [anon_sym_U_SQUOTE] = ACTIONS(1160),
    [anon_sym_u8_SQUOTE] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_L_DQUOTE] = ACTIONS(1160),
    [anon_sym_u_DQUOTE] = ACTIONS(1160),
    [anon_sym_U_DQUOTE] = ACTIONS(1160),
    [anon_sym_u8_DQUOTE] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [sym_true] = ACTIONS(1158),
    [sym_false] = ACTIONS(1158),
    [anon_sym_NULL] = ACTIONS(1158),
    [anon_sym_nullptr] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_identifier] = ACTIONS(1162),
    [aux_sym_preproc_include_token1] = ACTIONS(1162),
    [aux_sym_preproc_def_token1] = ACTIONS(1162),
    [aux_sym_preproc_if_token1] = ACTIONS(1162),
    [aux_sym_preproc_if_token2] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1162),
    [aux_sym_preproc_else_token1] = ACTIONS(1162),
    [aux_sym_preproc_elif_token1] = ACTIONS(1162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1162),
    [sym_preproc_directive] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym___extension__] = ACTIONS(1162),
    [anon_sym_typedef] = ACTIONS(1162),
    [anon_sym_extern] = ACTIONS(1162),
    [anon_sym___attribute__] = ACTIONS(1162),
    [anon_sym___attribute] = ACTIONS(1162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1164),
    [anon_sym___declspec] = ACTIONS(1162),
    [anon_sym___cdecl] = ACTIONS(1162),
    [anon_sym___clrcall] = ACTIONS(1162),
    [anon_sym___stdcall] = ACTIONS(1162),
    [anon_sym___fastcall] = ACTIONS(1162),
    [anon_sym___thiscall] = ACTIONS(1162),
    [anon_sym___vectorcall] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_signed] = ACTIONS(1162),
    [anon_sym_unsigned] = ACTIONS(1162),
    [anon_sym_long] = ACTIONS(1162),
    [anon_sym_short] = ACTIONS(1162),
    [anon_sym_static] = ACTIONS(1162),
    [anon_sym_auto] = ACTIONS(1162),
    [anon_sym_register] = ACTIONS(1162),
    [anon_sym_inline] = ACTIONS(1162),
    [anon_sym___inline] = ACTIONS(1162),
    [anon_sym___inline__] = ACTIONS(1162),
    [anon_sym___forceinline] = ACTIONS(1162),
    [anon_sym_thread_local] = ACTIONS(1162),
    [anon_sym___thread] = ACTIONS(1162),
    [anon_sym_const] = ACTIONS(1162),
    [anon_sym_constexpr] = ACTIONS(1162),
    [anon_sym_volatile] = ACTIONS(1162),
    [anon_sym_restrict] = ACTIONS(1162),
    [anon_sym___restrict__] = ACTIONS(1162),
    [anon_sym__Atomic] = ACTIONS(1162),
    [anon_sym__Noreturn] = ACTIONS(1162),
    [anon_sym_noreturn] = ACTIONS(1162),
    [anon_sym__Nonnull] = ACTIONS(1162),
    [anon_sym_alignas] = ACTIONS(1162),
    [anon_sym__Alignas] = ACTIONS(1162),
    [sym_primitive_type] = ACTIONS(1162),
    [anon_sym_enum] = ACTIONS(1162),
    [anon_sym_struct] = ACTIONS(1162),
    [anon_sym_union] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_case] = ACTIONS(1162),
    [anon_sym_default] = ACTIONS(1162),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_do] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_break] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [anon_sym_goto] = ACTIONS(1162),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_sizeof] = ACTIONS(1162),
    [anon_sym___alignof__] = ACTIONS(1162),
    [anon_sym___alignof] = ACTIONS(1162),
    [anon_sym__alignof] = ACTIONS(1162),
    [anon_sym_alignof] = ACTIONS(1162),
    [anon_sym__Alignof] = ACTIONS(1162),
    [anon_sym_offsetof] = ACTIONS(1162),
    [anon_sym__Generic] = ACTIONS(1162),
    [anon_sym_asm] = ACTIONS(1162),
    [anon_sym___asm__] = ACTIONS(1162),
    [anon_sym___asm] = ACTIONS(1162),
    [sym_number_literal] = ACTIONS(1164),
    [anon_sym_L_SQUOTE] = ACTIONS(1164),
    [anon_sym_u_SQUOTE] = ACTIONS(1164),
    [anon_sym_U_SQUOTE] = ACTIONS(1164),
    [anon_sym_u8_SQUOTE] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_L_DQUOTE] = ACTIONS(1164),
    [anon_sym_u_DQUOTE] = ACTIONS(1164),
    [anon_sym_U_DQUOTE] = ACTIONS(1164),
    [anon_sym_u8_DQUOTE] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [anon_sym_NULL] = ACTIONS(1162),
    [anon_sym_nullptr] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_identifier] = ACTIONS(1166),
    [aux_sym_preproc_include_token1] = ACTIONS(1166),
    [aux_sym_preproc_def_token1] = ACTIONS(1166),
    [aux_sym_preproc_if_token1] = ACTIONS(1166),
    [aux_sym_preproc_if_token2] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1166),
    [aux_sym_preproc_else_token1] = ACTIONS(1166),
    [aux_sym_preproc_elif_token1] = ACTIONS(1166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1166),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1166),
    [sym_preproc_directive] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1168),
    [anon_sym_AMP] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym___extension__] = ACTIONS(1166),
    [anon_sym_typedef] = ACTIONS(1166),
    [anon_sym_extern] = ACTIONS(1166),
    [anon_sym___attribute__] = ACTIONS(1166),
    [anon_sym___attribute] = ACTIONS(1166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1168),
    [anon_sym___declspec] = ACTIONS(1166),
    [anon_sym___cdecl] = ACTIONS(1166),
    [anon_sym___clrcall] = ACTIONS(1166),
    [anon_sym___stdcall] = ACTIONS(1166),
    [anon_sym___fastcall] = ACTIONS(1166),
    [anon_sym___thiscall] = ACTIONS(1166),
    [anon_sym___vectorcall] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(1166),
    [anon_sym_unsigned] = ACTIONS(1166),
    [anon_sym_long] = ACTIONS(1166),
    [anon_sym_short] = ACTIONS(1166),
    [anon_sym_static] = ACTIONS(1166),
    [anon_sym_auto] = ACTIONS(1166),
    [anon_sym_register] = ACTIONS(1166),
    [anon_sym_inline] = ACTIONS(1166),
    [anon_sym___inline] = ACTIONS(1166),
    [anon_sym___inline__] = ACTIONS(1166),
    [anon_sym___forceinline] = ACTIONS(1166),
    [anon_sym_thread_local] = ACTIONS(1166),
    [anon_sym___thread] = ACTIONS(1166),
    [anon_sym_const] = ACTIONS(1166),
    [anon_sym_constexpr] = ACTIONS(1166),
    [anon_sym_volatile] = ACTIONS(1166),
    [anon_sym_restrict] = ACTIONS(1166),
    [anon_sym___restrict__] = ACTIONS(1166),
    [anon_sym__Atomic] = ACTIONS(1166),
    [anon_sym__Noreturn] = ACTIONS(1166),
    [anon_sym_noreturn] = ACTIONS(1166),
    [anon_sym__Nonnull] = ACTIONS(1166),
    [anon_sym_alignas] = ACTIONS(1166),
    [anon_sym__Alignas] = ACTIONS(1166),
    [sym_primitive_type] = ACTIONS(1166),
    [anon_sym_enum] = ACTIONS(1166),
    [anon_sym_struct] = ACTIONS(1166),
    [anon_sym_union] = ACTIONS(1166),
    [anon_sym_if] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1166),
    [anon_sym_switch] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1166),
    [anon_sym_default] = ACTIONS(1166),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1166),
    [anon_sym_for] = ACTIONS(1166),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_break] = ACTIONS(1166),
    [anon_sym_continue] = ACTIONS(1166),
    [anon_sym_goto] = ACTIONS(1166),
    [anon_sym___try] = ACTIONS(1166),
    [anon_sym___leave] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_sizeof] = ACTIONS(1166),
    [anon_sym___alignof__] = ACTIONS(1166),
    [anon_sym___alignof] = ACTIONS(1166),
    [anon_sym__alignof] = ACTIONS(1166),
    [anon_sym_alignof] = ACTIONS(1166),
    [anon_sym__Alignof] = ACTIONS(1166),
    [anon_sym_offsetof] = ACTIONS(1166),
    [anon_sym__Generic] = ACTIONS(1166),
    [anon_sym_asm] = ACTIONS(1166),
    [anon_sym___asm__] = ACTIONS(1166),
    [anon_sym___asm] = ACTIONS(1166),
    [sym_number_literal] = ACTIONS(1168),
    [anon_sym_L_SQUOTE] = ACTIONS(1168),
    [anon_sym_u_SQUOTE] = ACTIONS(1168),
    [anon_sym_U_SQUOTE] = ACTIONS(1168),
    [anon_sym_u8_SQUOTE] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_L_DQUOTE] = ACTIONS(1168),
    [anon_sym_u_DQUOTE] = ACTIONS(1168),
    [anon_sym_U_DQUOTE] = ACTIONS(1168),
    [anon_sym_u8_DQUOTE] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [sym_true] = ACTIONS(1166),
    [sym_false] = ACTIONS(1166),
    [anon_sym_NULL] = ACTIONS(1166),
    [anon_sym_nullptr] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1170),
    [aux_sym_preproc_include_token1] = ACTIONS(1170),
    [aux_sym_preproc_def_token1] = ACTIONS(1170),
    [aux_sym_preproc_if_token1] = ACTIONS(1170),
    [aux_sym_preproc_if_token2] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1170),
    [aux_sym_preproc_else_token1] = ACTIONS(1170),
    [aux_sym_preproc_elif_token1] = ACTIONS(1170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1170),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1170),
    [sym_preproc_directive] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_STAR] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___extension__] = ACTIONS(1170),
    [anon_sym_typedef] = ACTIONS(1170),
    [anon_sym_extern] = ACTIONS(1170),
    [anon_sym___attribute__] = ACTIONS(1170),
    [anon_sym___attribute] = ACTIONS(1170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1172),
    [anon_sym___declspec] = ACTIONS(1170),
    [anon_sym___cdecl] = ACTIONS(1170),
    [anon_sym___clrcall] = ACTIONS(1170),
    [anon_sym___stdcall] = ACTIONS(1170),
    [anon_sym___fastcall] = ACTIONS(1170),
    [anon_sym___thiscall] = ACTIONS(1170),
    [anon_sym___vectorcall] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_signed] = ACTIONS(1170),
    [anon_sym_unsigned] = ACTIONS(1170),
    [anon_sym_long] = ACTIONS(1170),
    [anon_sym_short] = ACTIONS(1170),
    [anon_sym_static] = ACTIONS(1170),
    [anon_sym_auto] = ACTIONS(1170),
    [anon_sym_register] = ACTIONS(1170),
    [anon_sym_inline] = ACTIONS(1170),
    [anon_sym___inline] = ACTIONS(1170),
    [anon_sym___inline__] = ACTIONS(1170),
    [anon_sym___forceinline] = ACTIONS(1170),
    [anon_sym_thread_local] = ACTIONS(1170),
    [anon_sym___thread] = ACTIONS(1170),
    [anon_sym_const] = ACTIONS(1170),
    [anon_sym_constexpr] = ACTIONS(1170),
    [anon_sym_volatile] = ACTIONS(1170),
    [anon_sym_restrict] = ACTIONS(1170),
    [anon_sym___restrict__] = ACTIONS(1170),
    [anon_sym__Atomic] = ACTIONS(1170),
    [anon_sym__Noreturn] = ACTIONS(1170),
    [anon_sym_noreturn] = ACTIONS(1170),
    [anon_sym__Nonnull] = ACTIONS(1170),
    [anon_sym_alignas] = ACTIONS(1170),
    [anon_sym__Alignas] = ACTIONS(1170),
    [sym_primitive_type] = ACTIONS(1170),
    [anon_sym_enum] = ACTIONS(1170),
    [anon_sym_struct] = ACTIONS(1170),
    [anon_sym_union] = ACTIONS(1170),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_else] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_case] = ACTIONS(1170),
    [anon_sym_default] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_break] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [anon_sym_goto] = ACTIONS(1170),
    [anon_sym___try] = ACTIONS(1170),
    [anon_sym___leave] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_sizeof] = ACTIONS(1170),
    [anon_sym___alignof__] = ACTIONS(1170),
    [anon_sym___alignof] = ACTIONS(1170),
    [anon_sym__alignof] = ACTIONS(1170),
    [anon_sym_alignof] = ACTIONS(1170),
    [anon_sym__Alignof] = ACTIONS(1170),
    [anon_sym_offsetof] = ACTIONS(1170),
    [anon_sym__Generic] = ACTIONS(1170),
    [anon_sym_asm] = ACTIONS(1170),
    [anon_sym___asm__] = ACTIONS(1170),
    [anon_sym___asm] = ACTIONS(1170),
    [sym_number_literal] = ACTIONS(1172),
    [anon_sym_L_SQUOTE] = ACTIONS(1172),
    [anon_sym_u_SQUOTE] = ACTIONS(1172),
    [anon_sym_U_SQUOTE] = ACTIONS(1172),
    [anon_sym_u8_SQUOTE] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_L_DQUOTE] = ACTIONS(1172),
    [anon_sym_u_DQUOTE] = ACTIONS(1172),
    [anon_sym_U_DQUOTE] = ACTIONS(1172),
    [anon_sym_u8_DQUOTE] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [sym_true] = ACTIONS(1170),
    [sym_false] = ACTIONS(1170),
    [anon_sym_NULL] = ACTIONS(1170),
    [anon_sym_nullptr] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1174),
    [aux_sym_preproc_include_token1] = ACTIONS(1174),
    [aux_sym_preproc_def_token1] = ACTIONS(1174),
    [aux_sym_preproc_if_token1] = ACTIONS(1174),
    [aux_sym_preproc_if_token2] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1174),
    [aux_sym_preproc_else_token1] = ACTIONS(1174),
    [aux_sym_preproc_elif_token1] = ACTIONS(1174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1174),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1174),
    [sym_preproc_directive] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_AMP] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1176),
    [anon_sym___extension__] = ACTIONS(1174),
    [anon_sym_typedef] = ACTIONS(1174),
    [anon_sym_extern] = ACTIONS(1174),
    [anon_sym___attribute__] = ACTIONS(1174),
    [anon_sym___attribute] = ACTIONS(1174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1176),
    [anon_sym___declspec] = ACTIONS(1174),
    [anon_sym___cdecl] = ACTIONS(1174),
    [anon_sym___clrcall] = ACTIONS(1174),
    [anon_sym___stdcall] = ACTIONS(1174),
    [anon_sym___fastcall] = ACTIONS(1174),
    [anon_sym___thiscall] = ACTIONS(1174),
    [anon_sym___vectorcall] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(1174),
    [anon_sym_unsigned] = ACTIONS(1174),
    [anon_sym_long] = ACTIONS(1174),
    [anon_sym_short] = ACTIONS(1174),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_auto] = ACTIONS(1174),
    [anon_sym_register] = ACTIONS(1174),
    [anon_sym_inline] = ACTIONS(1174),
    [anon_sym___inline] = ACTIONS(1174),
    [anon_sym___inline__] = ACTIONS(1174),
    [anon_sym___forceinline] = ACTIONS(1174),
    [anon_sym_thread_local] = ACTIONS(1174),
    [anon_sym___thread] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(1174),
    [anon_sym_constexpr] = ACTIONS(1174),
    [anon_sym_volatile] = ACTIONS(1174),
    [anon_sym_restrict] = ACTIONS(1174),
    [anon_sym___restrict__] = ACTIONS(1174),
    [anon_sym__Atomic] = ACTIONS(1174),
    [anon_sym__Noreturn] = ACTIONS(1174),
    [anon_sym_noreturn] = ACTIONS(1174),
    [anon_sym__Nonnull] = ACTIONS(1174),
    [anon_sym_alignas] = ACTIONS(1174),
    [anon_sym__Alignas] = ACTIONS(1174),
    [sym_primitive_type] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1174),
    [anon_sym_struct] = ACTIONS(1174),
    [anon_sym_union] = ACTIONS(1174),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_else] = ACTIONS(1174),
    [anon_sym_switch] = ACTIONS(1174),
    [anon_sym_case] = ACTIONS(1174),
    [anon_sym_default] = ACTIONS(1174),
    [anon_sym_while] = ACTIONS(1174),
    [anon_sym_do] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym___try] = ACTIONS(1174),
    [anon_sym___leave] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [anon_sym_sizeof] = ACTIONS(1174),
    [anon_sym___alignof__] = ACTIONS(1174),
    [anon_sym___alignof] = ACTIONS(1174),
    [anon_sym__alignof] = ACTIONS(1174),
    [anon_sym_alignof] = ACTIONS(1174),
    [anon_sym__Alignof] = ACTIONS(1174),
    [anon_sym_offsetof] = ACTIONS(1174),
    [anon_sym__Generic] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym___asm__] = ACTIONS(1174),
    [anon_sym___asm] = ACTIONS(1174),
    [sym_number_literal] = ACTIONS(1176),
    [anon_sym_L_SQUOTE] = ACTIONS(1176),
    [anon_sym_u_SQUOTE] = ACTIONS(1176),
    [anon_sym_U_SQUOTE] = ACTIONS(1176),
    [anon_sym_u8_SQUOTE] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_L_DQUOTE] = ACTIONS(1176),
    [anon_sym_u_DQUOTE] = ACTIONS(1176),
    [anon_sym_U_DQUOTE] = ACTIONS(1176),
    [anon_sym_u8_DQUOTE] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_NULL] = ACTIONS(1174),
    [anon_sym_nullptr] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1178),
    [aux_sym_preproc_include_token1] = ACTIONS(1178),
    [aux_sym_preproc_def_token1] = ACTIONS(1178),
    [aux_sym_preproc_if_token1] = ACTIONS(1178),
    [aux_sym_preproc_if_token2] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1178),
    [aux_sym_preproc_else_token1] = ACTIONS(1178),
    [aux_sym_preproc_elif_token1] = ACTIONS(1178),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1178),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1178),
    [sym_preproc_directive] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [anon_sym___extension__] = ACTIONS(1178),
    [anon_sym_typedef] = ACTIONS(1178),
    [anon_sym_extern] = ACTIONS(1178),
    [anon_sym___attribute__] = ACTIONS(1178),
    [anon_sym___attribute] = ACTIONS(1178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1180),
    [anon_sym___declspec] = ACTIONS(1178),
    [anon_sym___cdecl] = ACTIONS(1178),
    [anon_sym___clrcall] = ACTIONS(1178),
    [anon_sym___stdcall] = ACTIONS(1178),
    [anon_sym___fastcall] = ACTIONS(1178),
    [anon_sym___thiscall] = ACTIONS(1178),
    [anon_sym___vectorcall] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_signed] = ACTIONS(1178),
    [anon_sym_unsigned] = ACTIONS(1178),
    [anon_sym_long] = ACTIONS(1178),
    [anon_sym_short] = ACTIONS(1178),
    [anon_sym_static] = ACTIONS(1178),
    [anon_sym_auto] = ACTIONS(1178),
    [anon_sym_register] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1178),
    [anon_sym___inline] = ACTIONS(1178),
    [anon_sym___inline__] = ACTIONS(1178),
    [anon_sym___forceinline] = ACTIONS(1178),
    [anon_sym_thread_local] = ACTIONS(1178),
    [anon_sym___thread] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_constexpr] = ACTIONS(1178),
    [anon_sym_volatile] = ACTIONS(1178),
    [anon_sym_restrict] = ACTIONS(1178),
    [anon_sym___restrict__] = ACTIONS(1178),
    [anon_sym__Atomic] = ACTIONS(1178),
    [anon_sym__Noreturn] = ACTIONS(1178),
    [anon_sym_noreturn] = ACTIONS(1178),
    [anon_sym__Nonnull] = ACTIONS(1178),
    [anon_sym_alignas] = ACTIONS(1178),
    [anon_sym__Alignas] = ACTIONS(1178),
    [sym_primitive_type] = ACTIONS(1178),
    [anon_sym_enum] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_union] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(1178),
    [anon_sym_else] = ACTIONS(1178),
    [anon_sym_switch] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1178),
    [anon_sym_default] = ACTIONS(1178),
    [anon_sym_while] = ACTIONS(1178),
    [anon_sym_do] = ACTIONS(1178),
    [anon_sym_for] = ACTIONS(1178),
    [anon_sym_return] = ACTIONS(1178),
    [anon_sym_break] = ACTIONS(1178),
    [anon_sym_continue] = ACTIONS(1178),
    [anon_sym_goto] = ACTIONS(1178),
    [anon_sym___try] = ACTIONS(1178),
    [anon_sym___leave] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_sizeof] = ACTIONS(1178),
    [anon_sym___alignof__] = ACTIONS(1178),
    [anon_sym___alignof] = ACTIONS(1178),
    [anon_sym__alignof] = ACTIONS(1178),
    [anon_sym_alignof] = ACTIONS(1178),
    [anon_sym__Alignof] = ACTIONS(1178),
    [anon_sym_offsetof] = ACTIONS(1178),
    [anon_sym__Generic] = ACTIONS(1178),
    [anon_sym_asm] = ACTIONS(1178),
    [anon_sym___asm__] = ACTIONS(1178),
    [anon_sym___asm] = ACTIONS(1178),
    [sym_number_literal] = ACTIONS(1180),
    [anon_sym_L_SQUOTE] = ACTIONS(1180),
    [anon_sym_u_SQUOTE] = ACTIONS(1180),
    [anon_sym_U_SQUOTE] = ACTIONS(1180),
    [anon_sym_u8_SQUOTE] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_L_DQUOTE] = ACTIONS(1180),
    [anon_sym_u_DQUOTE] = ACTIONS(1180),
    [anon_sym_U_DQUOTE] = ACTIONS(1180),
    [anon_sym_u8_DQUOTE] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [sym_true] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
    [anon_sym_NULL] = ACTIONS(1178),
    [anon_sym_nullptr] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1182),
    [aux_sym_preproc_include_token1] = ACTIONS(1182),
    [aux_sym_preproc_def_token1] = ACTIONS(1182),
    [aux_sym_preproc_if_token1] = ACTIONS(1182),
    [aux_sym_preproc_if_token2] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1182),
    [aux_sym_preproc_else_token1] = ACTIONS(1182),
    [aux_sym_preproc_elif_token1] = ACTIONS(1182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1182),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1182),
    [sym_preproc_directive] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym___extension__] = ACTIONS(1182),
    [anon_sym_typedef] = ACTIONS(1182),
    [anon_sym_extern] = ACTIONS(1182),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym___attribute] = ACTIONS(1182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1184),
    [anon_sym___declspec] = ACTIONS(1182),
    [anon_sym___cdecl] = ACTIONS(1182),
    [anon_sym___clrcall] = ACTIONS(1182),
    [anon_sym___stdcall] = ACTIONS(1182),
    [anon_sym___fastcall] = ACTIONS(1182),
    [anon_sym___thiscall] = ACTIONS(1182),
    [anon_sym___vectorcall] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_signed] = ACTIONS(1182),
    [anon_sym_unsigned] = ACTIONS(1182),
    [anon_sym_long] = ACTIONS(1182),
    [anon_sym_short] = ACTIONS(1182),
    [anon_sym_static] = ACTIONS(1182),
    [anon_sym_auto] = ACTIONS(1182),
    [anon_sym_register] = ACTIONS(1182),
    [anon_sym_inline] = ACTIONS(1182),
    [anon_sym___inline] = ACTIONS(1182),
    [anon_sym___inline__] = ACTIONS(1182),
    [anon_sym___forceinline] = ACTIONS(1182),
    [anon_sym_thread_local] = ACTIONS(1182),
    [anon_sym___thread] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_constexpr] = ACTIONS(1182),
    [anon_sym_volatile] = ACTIONS(1182),
    [anon_sym_restrict] = ACTIONS(1182),
    [anon_sym___restrict__] = ACTIONS(1182),
    [anon_sym__Atomic] = ACTIONS(1182),
    [anon_sym__Noreturn] = ACTIONS(1182),
    [anon_sym_noreturn] = ACTIONS(1182),
    [anon_sym__Nonnull] = ACTIONS(1182),
    [anon_sym_alignas] = ACTIONS(1182),
    [anon_sym__Alignas] = ACTIONS(1182),
    [sym_primitive_type] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1182),
    [anon_sym_struct] = ACTIONS(1182),
    [anon_sym_union] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_else] = ACTIONS(1182),
    [anon_sym_switch] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1182),
    [anon_sym_default] = ACTIONS(1182),
    [anon_sym_while] = ACTIONS(1182),
    [anon_sym_do] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym___try] = ACTIONS(1182),
    [anon_sym___leave] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_sizeof] = ACTIONS(1182),
    [anon_sym___alignof__] = ACTIONS(1182),
    [anon_sym___alignof] = ACTIONS(1182),
    [anon_sym__alignof] = ACTIONS(1182),
    [anon_sym_alignof] = ACTIONS(1182),
    [anon_sym__Alignof] = ACTIONS(1182),
    [anon_sym_offsetof] = ACTIONS(1182),
    [anon_sym__Generic] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym___asm__] = ACTIONS(1182),
    [anon_sym___asm] = ACTIONS(1182),
    [sym_number_literal] = ACTIONS(1184),
    [anon_sym_L_SQUOTE] = ACTIONS(1184),
    [anon_sym_u_SQUOTE] = ACTIONS(1184),
    [anon_sym_U_SQUOTE] = ACTIONS(1184),
    [anon_sym_u8_SQUOTE] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_L_DQUOTE] = ACTIONS(1184),
    [anon_sym_u_DQUOTE] = ACTIONS(1184),
    [anon_sym_U_DQUOTE] = ACTIONS(1184),
    [anon_sym_u8_DQUOTE] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_NULL] = ACTIONS(1182),
    [anon_sym_nullptr] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1186),
    [aux_sym_preproc_include_token1] = ACTIONS(1186),
    [aux_sym_preproc_def_token1] = ACTIONS(1186),
    [aux_sym_preproc_if_token1] = ACTIONS(1186),
    [aux_sym_preproc_if_token2] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1186),
    [aux_sym_preproc_else_token1] = ACTIONS(1186),
    [aux_sym_preproc_elif_token1] = ACTIONS(1186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1186),
    [sym_preproc_directive] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1188),
    [anon_sym___extension__] = ACTIONS(1186),
    [anon_sym_typedef] = ACTIONS(1186),
    [anon_sym_extern] = ACTIONS(1186),
    [anon_sym___attribute__] = ACTIONS(1186),
    [anon_sym___attribute] = ACTIONS(1186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1188),
    [anon_sym___declspec] = ACTIONS(1186),
    [anon_sym___cdecl] = ACTIONS(1186),
    [anon_sym___clrcall] = ACTIONS(1186),
    [anon_sym___stdcall] = ACTIONS(1186),
    [anon_sym___fastcall] = ACTIONS(1186),
    [anon_sym___thiscall] = ACTIONS(1186),
    [anon_sym___vectorcall] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_signed] = ACTIONS(1186),
    [anon_sym_unsigned] = ACTIONS(1186),
    [anon_sym_long] = ACTIONS(1186),
    [anon_sym_short] = ACTIONS(1186),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_auto] = ACTIONS(1186),
    [anon_sym_register] = ACTIONS(1186),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym___inline] = ACTIONS(1186),
    [anon_sym___inline__] = ACTIONS(1186),
    [anon_sym___forceinline] = ACTIONS(1186),
    [anon_sym_thread_local] = ACTIONS(1186),
    [anon_sym___thread] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_constexpr] = ACTIONS(1186),
    [anon_sym_volatile] = ACTIONS(1186),
    [anon_sym_restrict] = ACTIONS(1186),
    [anon_sym___restrict__] = ACTIONS(1186),
    [anon_sym__Atomic] = ACTIONS(1186),
    [anon_sym__Noreturn] = ACTIONS(1186),
    [anon_sym_noreturn] = ACTIONS(1186),
    [anon_sym__Nonnull] = ACTIONS(1186),
    [anon_sym_alignas] = ACTIONS(1186),
    [anon_sym__Alignas] = ACTIONS(1186),
    [sym_primitive_type] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_else] = ACTIONS(1186),
    [anon_sym_switch] = ACTIONS(1186),
    [anon_sym_case] = ACTIONS(1186),
    [anon_sym_default] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym___try] = ACTIONS(1186),
    [anon_sym___leave] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_sizeof] = ACTIONS(1186),
    [anon_sym___alignof__] = ACTIONS(1186),
    [anon_sym___alignof] = ACTIONS(1186),
    [anon_sym__alignof] = ACTIONS(1186),
    [anon_sym_alignof] = ACTIONS(1186),
    [anon_sym__Alignof] = ACTIONS(1186),
    [anon_sym_offsetof] = ACTIONS(1186),
    [anon_sym__Generic] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym___asm__] = ACTIONS(1186),
    [anon_sym___asm] = ACTIONS(1186),
    [sym_number_literal] = ACTIONS(1188),
    [anon_sym_L_SQUOTE] = ACTIONS(1188),
    [anon_sym_u_SQUOTE] = ACTIONS(1188),
    [anon_sym_U_SQUOTE] = ACTIONS(1188),
    [anon_sym_u8_SQUOTE] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_L_DQUOTE] = ACTIONS(1188),
    [anon_sym_u_DQUOTE] = ACTIONS(1188),
    [anon_sym_U_DQUOTE] = ACTIONS(1188),
    [anon_sym_u8_DQUOTE] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_NULL] = ACTIONS(1186),
    [anon_sym_nullptr] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [aux_sym_preproc_else_token1] = ACTIONS(1190),
    [aux_sym_preproc_elif_token1] = ACTIONS(1190),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym___extension__] = ACTIONS(1190),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym___attribute] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym___inline] = ACTIONS(1190),
    [anon_sym___inline__] = ACTIONS(1190),
    [anon_sym___forceinline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym___thread] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym__Nonnull] = ACTIONS(1190),
    [anon_sym_alignas] = ACTIONS(1190),
    [anon_sym__Alignas] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym___try] = ACTIONS(1190),
    [anon_sym___leave] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym___alignof__] = ACTIONS(1190),
    [anon_sym___alignof] = ACTIONS(1190),
    [anon_sym__alignof] = ACTIONS(1190),
    [anon_sym_alignof] = ACTIONS(1190),
    [anon_sym__Alignof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [anon_sym___asm] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1194),
    [aux_sym_preproc_include_token1] = ACTIONS(1194),
    [aux_sym_preproc_def_token1] = ACTIONS(1194),
    [aux_sym_preproc_if_token1] = ACTIONS(1194),
    [aux_sym_preproc_if_token2] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1194),
    [aux_sym_preproc_else_token1] = ACTIONS(1194),
    [aux_sym_preproc_elif_token1] = ACTIONS(1194),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1194),
    [sym_preproc_directive] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym___extension__] = ACTIONS(1194),
    [anon_sym_typedef] = ACTIONS(1194),
    [anon_sym_extern] = ACTIONS(1194),
    [anon_sym___attribute__] = ACTIONS(1194),
    [anon_sym___attribute] = ACTIONS(1194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1196),
    [anon_sym___declspec] = ACTIONS(1194),
    [anon_sym___cdecl] = ACTIONS(1194),
    [anon_sym___clrcall] = ACTIONS(1194),
    [anon_sym___stdcall] = ACTIONS(1194),
    [anon_sym___fastcall] = ACTIONS(1194),
    [anon_sym___thiscall] = ACTIONS(1194),
    [anon_sym___vectorcall] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1194),
    [anon_sym_unsigned] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_auto] = ACTIONS(1194),
    [anon_sym_register] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1194),
    [anon_sym___inline] = ACTIONS(1194),
    [anon_sym___inline__] = ACTIONS(1194),
    [anon_sym___forceinline] = ACTIONS(1194),
    [anon_sym_thread_local] = ACTIONS(1194),
    [anon_sym___thread] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_constexpr] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_restrict] = ACTIONS(1194),
    [anon_sym___restrict__] = ACTIONS(1194),
    [anon_sym__Atomic] = ACTIONS(1194),
    [anon_sym__Noreturn] = ACTIONS(1194),
    [anon_sym_noreturn] = ACTIONS(1194),
    [anon_sym__Nonnull] = ACTIONS(1194),
    [anon_sym_alignas] = ACTIONS(1194),
    [anon_sym__Alignas] = ACTIONS(1194),
    [sym_primitive_type] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(1194),
    [anon_sym_default] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym___try] = ACTIONS(1194),
    [anon_sym___leave] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_sizeof] = ACTIONS(1194),
    [anon_sym___alignof__] = ACTIONS(1194),
    [anon_sym___alignof] = ACTIONS(1194),
    [anon_sym__alignof] = ACTIONS(1194),
    [anon_sym_alignof] = ACTIONS(1194),
    [anon_sym__Alignof] = ACTIONS(1194),
    [anon_sym_offsetof] = ACTIONS(1194),
    [anon_sym__Generic] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym___asm__] = ACTIONS(1194),
    [anon_sym___asm] = ACTIONS(1194),
    [sym_number_literal] = ACTIONS(1196),
    [anon_sym_L_SQUOTE] = ACTIONS(1196),
    [anon_sym_u_SQUOTE] = ACTIONS(1196),
    [anon_sym_U_SQUOTE] = ACTIONS(1196),
    [anon_sym_u8_SQUOTE] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_L_DQUOTE] = ACTIONS(1196),
    [anon_sym_u_DQUOTE] = ACTIONS(1196),
    [anon_sym_U_DQUOTE] = ACTIONS(1196),
    [anon_sym_u8_DQUOTE] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_NULL] = ACTIONS(1194),
    [anon_sym_nullptr] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1198),
    [aux_sym_preproc_include_token1] = ACTIONS(1198),
    [aux_sym_preproc_def_token1] = ACTIONS(1198),
    [aux_sym_preproc_if_token1] = ACTIONS(1198),
    [aux_sym_preproc_if_token2] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1198),
    [aux_sym_preproc_else_token1] = ACTIONS(1198),
    [aux_sym_preproc_elif_token1] = ACTIONS(1198),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1198),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1198),
    [sym_preproc_directive] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym___extension__] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1198),
    [anon_sym_extern] = ACTIONS(1198),
    [anon_sym___attribute__] = ACTIONS(1198),
    [anon_sym___attribute] = ACTIONS(1198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1200),
    [anon_sym___declspec] = ACTIONS(1198),
    [anon_sym___cdecl] = ACTIONS(1198),
    [anon_sym___clrcall] = ACTIONS(1198),
    [anon_sym___stdcall] = ACTIONS(1198),
    [anon_sym___fastcall] = ACTIONS(1198),
    [anon_sym___thiscall] = ACTIONS(1198),
    [anon_sym___vectorcall] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1198),
    [anon_sym_unsigned] = ACTIONS(1198),
    [anon_sym_long] = ACTIONS(1198),
    [anon_sym_short] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1198),
    [anon_sym_auto] = ACTIONS(1198),
    [anon_sym_register] = ACTIONS(1198),
    [anon_sym_inline] = ACTIONS(1198),
    [anon_sym___inline] = ACTIONS(1198),
    [anon_sym___inline__] = ACTIONS(1198),
    [anon_sym___forceinline] = ACTIONS(1198),
    [anon_sym_thread_local] = ACTIONS(1198),
    [anon_sym___thread] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_constexpr] = ACTIONS(1198),
    [anon_sym_volatile] = ACTIONS(1198),
    [anon_sym_restrict] = ACTIONS(1198),
    [anon_sym___restrict__] = ACTIONS(1198),
    [anon_sym__Atomic] = ACTIONS(1198),
    [anon_sym__Noreturn] = ACTIONS(1198),
    [anon_sym_noreturn] = ACTIONS(1198),
    [anon_sym__Nonnull] = ACTIONS(1198),
    [anon_sym_alignas] = ACTIONS(1198),
    [anon_sym__Alignas] = ACTIONS(1198),
    [sym_primitive_type] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_else] = ACTIONS(1198),
    [anon_sym_switch] = ACTIONS(1198),
    [anon_sym_case] = ACTIONS(1198),
    [anon_sym_default] = ACTIONS(1198),
    [anon_sym_while] = ACTIONS(1198),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym___try] = ACTIONS(1198),
    [anon_sym___leave] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_sizeof] = ACTIONS(1198),
    [anon_sym___alignof__] = ACTIONS(1198),
    [anon_sym___alignof] = ACTIONS(1198),
    [anon_sym__alignof] = ACTIONS(1198),
    [anon_sym_alignof] = ACTIONS(1198),
    [anon_sym__Alignof] = ACTIONS(1198),
    [anon_sym_offsetof] = ACTIONS(1198),
    [anon_sym__Generic] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym___asm__] = ACTIONS(1198),
    [anon_sym___asm] = ACTIONS(1198),
    [sym_number_literal] = ACTIONS(1200),
    [anon_sym_L_SQUOTE] = ACTIONS(1200),
    [anon_sym_u_SQUOTE] = ACTIONS(1200),
    [anon_sym_U_SQUOTE] = ACTIONS(1200),
    [anon_sym_u8_SQUOTE] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_L_DQUOTE] = ACTIONS(1200),
    [anon_sym_u_DQUOTE] = ACTIONS(1200),
    [anon_sym_U_DQUOTE] = ACTIONS(1200),
    [anon_sym_u8_DQUOTE] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_NULL] = ACTIONS(1198),
    [anon_sym_nullptr] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_identifier] = ACTIONS(1166),
    [aux_sym_preproc_include_token1] = ACTIONS(1166),
    [aux_sym_preproc_def_token1] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1168),
    [anon_sym_RPAREN] = ACTIONS(1168),
    [aux_sym_preproc_if_token1] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1166),
    [sym_preproc_directive] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1168),
    [anon_sym_AMP] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym___extension__] = ACTIONS(1166),
    [anon_sym_typedef] = ACTIONS(1166),
    [anon_sym_extern] = ACTIONS(1166),
    [anon_sym___attribute__] = ACTIONS(1166),
    [anon_sym___attribute] = ACTIONS(1166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1168),
    [anon_sym___declspec] = ACTIONS(1166),
    [anon_sym___cdecl] = ACTIONS(1166),
    [anon_sym___clrcall] = ACTIONS(1166),
    [anon_sym___stdcall] = ACTIONS(1166),
    [anon_sym___fastcall] = ACTIONS(1166),
    [anon_sym___thiscall] = ACTIONS(1166),
    [anon_sym___vectorcall] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(1166),
    [anon_sym_unsigned] = ACTIONS(1166),
    [anon_sym_long] = ACTIONS(1166),
    [anon_sym_short] = ACTIONS(1166),
    [anon_sym_static] = ACTIONS(1166),
    [anon_sym_auto] = ACTIONS(1166),
    [anon_sym_register] = ACTIONS(1166),
    [anon_sym_inline] = ACTIONS(1166),
    [anon_sym___inline] = ACTIONS(1166),
    [anon_sym___inline__] = ACTIONS(1166),
    [anon_sym___forceinline] = ACTIONS(1166),
    [anon_sym_thread_local] = ACTIONS(1166),
    [anon_sym___thread] = ACTIONS(1166),
    [anon_sym_const] = ACTIONS(1166),
    [anon_sym_constexpr] = ACTIONS(1166),
    [anon_sym_volatile] = ACTIONS(1166),
    [anon_sym_restrict] = ACTIONS(1166),
    [anon_sym___restrict__] = ACTIONS(1166),
    [anon_sym__Atomic] = ACTIONS(1166),
    [anon_sym__Noreturn] = ACTIONS(1166),
    [anon_sym_noreturn] = ACTIONS(1166),
    [anon_sym__Nonnull] = ACTIONS(1166),
    [anon_sym_alignas] = ACTIONS(1166),
    [anon_sym__Alignas] = ACTIONS(1166),
    [sym_primitive_type] = ACTIONS(1166),
    [anon_sym_enum] = ACTIONS(1166),
    [anon_sym_struct] = ACTIONS(1166),
    [anon_sym_union] = ACTIONS(1166),
    [anon_sym_if] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1166),
    [anon_sym_switch] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1166),
    [anon_sym_default] = ACTIONS(1166),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1166),
    [anon_sym_for] = ACTIONS(1166),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_break] = ACTIONS(1166),
    [anon_sym_continue] = ACTIONS(1166),
    [anon_sym_goto] = ACTIONS(1166),
    [anon_sym___try] = ACTIONS(1166),
    [anon_sym___except] = ACTIONS(1166),
    [anon_sym___finally] = ACTIONS(1166),
    [anon_sym___leave] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_sizeof] = ACTIONS(1166),
    [anon_sym___alignof__] = ACTIONS(1166),
    [anon_sym___alignof] = ACTIONS(1166),
    [anon_sym__alignof] = ACTIONS(1166),
    [anon_sym_alignof] = ACTIONS(1166),
    [anon_sym__Alignof] = ACTIONS(1166),
    [anon_sym_offsetof] = ACTIONS(1166),
    [anon_sym__Generic] = ACTIONS(1166),
    [anon_sym_asm] = ACTIONS(1166),
    [anon_sym___asm__] = ACTIONS(1166),
    [anon_sym___asm] = ACTIONS(1166),
    [sym_number_literal] = ACTIONS(1168),
    [anon_sym_L_SQUOTE] = ACTIONS(1168),
    [anon_sym_u_SQUOTE] = ACTIONS(1168),
    [anon_sym_U_SQUOTE] = ACTIONS(1168),
    [anon_sym_u8_SQUOTE] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_L_DQUOTE] = ACTIONS(1168),
    [anon_sym_u_DQUOTE] = ACTIONS(1168),
    [anon_sym_U_DQUOTE] = ACTIONS(1168),
    [anon_sym_u8_DQUOTE] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [sym_true] = ACTIONS(1166),
    [sym_false] = ACTIONS(1166),
    [anon_sym_NULL] = ACTIONS(1166),
    [anon_sym_nullptr] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_identifier] = ACTIONS(1158),
    [aux_sym_preproc_include_token1] = ACTIONS(1158),
    [aux_sym_preproc_def_token1] = ACTIONS(1158),
    [anon_sym_COMMA] = ACTIONS(1160),
    [anon_sym_RPAREN] = ACTIONS(1160),
    [aux_sym_preproc_if_token1] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1158),
    [sym_preproc_directive] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(1160),
    [anon_sym_AMP] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym___extension__] = ACTIONS(1158),
    [anon_sym_typedef] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(1158),
    [anon_sym___attribute__] = ACTIONS(1158),
    [anon_sym___attribute] = ACTIONS(1158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(1158),
    [anon_sym___cdecl] = ACTIONS(1158),
    [anon_sym___clrcall] = ACTIONS(1158),
    [anon_sym___stdcall] = ACTIONS(1158),
    [anon_sym___fastcall] = ACTIONS(1158),
    [anon_sym___thiscall] = ACTIONS(1158),
    [anon_sym___vectorcall] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_signed] = ACTIONS(1158),
    [anon_sym_unsigned] = ACTIONS(1158),
    [anon_sym_long] = ACTIONS(1158),
    [anon_sym_short] = ACTIONS(1158),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_auto] = ACTIONS(1158),
    [anon_sym_register] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(1158),
    [anon_sym___inline] = ACTIONS(1158),
    [anon_sym___inline__] = ACTIONS(1158),
    [anon_sym___forceinline] = ACTIONS(1158),
    [anon_sym_thread_local] = ACTIONS(1158),
    [anon_sym___thread] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(1158),
    [anon_sym_constexpr] = ACTIONS(1158),
    [anon_sym_volatile] = ACTIONS(1158),
    [anon_sym_restrict] = ACTIONS(1158),
    [anon_sym___restrict__] = ACTIONS(1158),
    [anon_sym__Atomic] = ACTIONS(1158),
    [anon_sym__Noreturn] = ACTIONS(1158),
    [anon_sym_noreturn] = ACTIONS(1158),
    [anon_sym__Nonnull] = ACTIONS(1158),
    [anon_sym_alignas] = ACTIONS(1158),
    [anon_sym__Alignas] = ACTIONS(1158),
    [sym_primitive_type] = ACTIONS(1158),
    [anon_sym_enum] = ACTIONS(1158),
    [anon_sym_struct] = ACTIONS(1158),
    [anon_sym_union] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_else] = ACTIONS(1158),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [anon_sym_do] = ACTIONS(1158),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_break] = ACTIONS(1158),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1158),
    [anon_sym___try] = ACTIONS(1158),
    [anon_sym___except] = ACTIONS(1158),
    [anon_sym___finally] = ACTIONS(1158),
    [anon_sym___leave] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_sizeof] = ACTIONS(1158),
    [anon_sym___alignof__] = ACTIONS(1158),
    [anon_sym___alignof] = ACTIONS(1158),
    [anon_sym__alignof] = ACTIONS(1158),
    [anon_sym_alignof] = ACTIONS(1158),
    [anon_sym__Alignof] = ACTIONS(1158),
    [anon_sym_offsetof] = ACTIONS(1158),
    [anon_sym__Generic] = ACTIONS(1158),
    [anon_sym_asm] = ACTIONS(1158),
    [anon_sym___asm__] = ACTIONS(1158),
    [anon_sym___asm] = ACTIONS(1158),
    [sym_number_literal] = ACTIONS(1160),
    [anon_sym_L_SQUOTE] = ACTIONS(1160),
    [anon_sym_u_SQUOTE] = ACTIONS(1160),
    [anon_sym_U_SQUOTE] = ACTIONS(1160),
    [anon_sym_u8_SQUOTE] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_L_DQUOTE] = ACTIONS(1160),
    [anon_sym_u_DQUOTE] = ACTIONS(1160),
    [anon_sym_U_DQUOTE] = ACTIONS(1160),
    [anon_sym_u8_DQUOTE] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [sym_true] = ACTIONS(1158),
    [sym_false] = ACTIONS(1158),
    [anon_sym_NULL] = ACTIONS(1158),
    [anon_sym_nullptr] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token2] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [aux_sym_preproc_else_token1] = ACTIONS(1202),
    [aux_sym_preproc_elif_token1] = ACTIONS(1202),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token2] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [aux_sym_preproc_else_token1] = ACTIONS(1202),
    [aux_sym_preproc_elif_token1] = ACTIONS(1202),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token2] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [aux_sym_preproc_else_token1] = ACTIONS(1206),
    [aux_sym_preproc_elif_token1] = ACTIONS(1206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1210),
    [aux_sym_preproc_def_token1] = ACTIONS(1210),
    [aux_sym_preproc_if_token1] = ACTIONS(1210),
    [aux_sym_preproc_if_token2] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1210),
    [aux_sym_preproc_else_token1] = ACTIONS(1210),
    [aux_sym_preproc_elif_token1] = ACTIONS(1210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1210),
    [sym_preproc_directive] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [anon_sym___extension__] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1210),
    [anon_sym_extern] = ACTIONS(1210),
    [anon_sym___attribute__] = ACTIONS(1210),
    [anon_sym___attribute] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1212),
    [anon_sym___declspec] = ACTIONS(1210),
    [anon_sym___cdecl] = ACTIONS(1210),
    [anon_sym___clrcall] = ACTIONS(1210),
    [anon_sym___stdcall] = ACTIONS(1210),
    [anon_sym___fastcall] = ACTIONS(1210),
    [anon_sym___thiscall] = ACTIONS(1210),
    [anon_sym___vectorcall] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1210),
    [anon_sym_unsigned] = ACTIONS(1210),
    [anon_sym_long] = ACTIONS(1210),
    [anon_sym_short] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_auto] = ACTIONS(1210),
    [anon_sym_register] = ACTIONS(1210),
    [anon_sym_inline] = ACTIONS(1210),
    [anon_sym___inline] = ACTIONS(1210),
    [anon_sym___inline__] = ACTIONS(1210),
    [anon_sym___forceinline] = ACTIONS(1210),
    [anon_sym_thread_local] = ACTIONS(1210),
    [anon_sym___thread] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(1210),
    [anon_sym_constexpr] = ACTIONS(1210),
    [anon_sym_volatile] = ACTIONS(1210),
    [anon_sym_restrict] = ACTIONS(1210),
    [anon_sym___restrict__] = ACTIONS(1210),
    [anon_sym__Atomic] = ACTIONS(1210),
    [anon_sym__Noreturn] = ACTIONS(1210),
    [anon_sym_noreturn] = ACTIONS(1210),
    [anon_sym__Nonnull] = ACTIONS(1210),
    [anon_sym_alignas] = ACTIONS(1210),
    [anon_sym__Alignas] = ACTIONS(1210),
    [sym_primitive_type] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_struct] = ACTIONS(1210),
    [anon_sym_union] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_else] = ACTIONS(1210),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_case] = ACTIONS(1210),
    [anon_sym_default] = ACTIONS(1210),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_do] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym___try] = ACTIONS(1210),
    [anon_sym___leave] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_sizeof] = ACTIONS(1210),
    [anon_sym___alignof__] = ACTIONS(1210),
    [anon_sym___alignof] = ACTIONS(1210),
    [anon_sym__alignof] = ACTIONS(1210),
    [anon_sym_alignof] = ACTIONS(1210),
    [anon_sym__Alignof] = ACTIONS(1210),
    [anon_sym_offsetof] = ACTIONS(1210),
    [anon_sym__Generic] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym___asm__] = ACTIONS(1210),
    [anon_sym___asm] = ACTIONS(1210),
    [sym_number_literal] = ACTIONS(1212),
    [anon_sym_L_SQUOTE] = ACTIONS(1212),
    [anon_sym_u_SQUOTE] = ACTIONS(1212),
    [anon_sym_U_SQUOTE] = ACTIONS(1212),
    [anon_sym_u8_SQUOTE] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_L_DQUOTE] = ACTIONS(1212),
    [anon_sym_u_DQUOTE] = ACTIONS(1212),
    [anon_sym_U_DQUOTE] = ACTIONS(1212),
    [anon_sym_u8_DQUOTE] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_NULL] = ACTIONS(1210),
    [anon_sym_nullptr] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token2] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [aux_sym_preproc_else_token1] = ACTIONS(1206),
    [aux_sym_preproc_elif_token1] = ACTIONS(1206),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1214),
    [aux_sym_preproc_include_token1] = ACTIONS(1214),
    [aux_sym_preproc_def_token1] = ACTIONS(1214),
    [aux_sym_preproc_if_token1] = ACTIONS(1214),
    [aux_sym_preproc_if_token2] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1214),
    [aux_sym_preproc_else_token1] = ACTIONS(1214),
    [aux_sym_preproc_elif_token1] = ACTIONS(1214),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1214),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1214),
    [sym_preproc_directive] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1214),
    [anon_sym_extern] = ACTIONS(1214),
    [anon_sym___attribute__] = ACTIONS(1214),
    [anon_sym___attribute] = ACTIONS(1214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1216),
    [anon_sym___declspec] = ACTIONS(1214),
    [anon_sym___cdecl] = ACTIONS(1214),
    [anon_sym___clrcall] = ACTIONS(1214),
    [anon_sym___stdcall] = ACTIONS(1214),
    [anon_sym___fastcall] = ACTIONS(1214),
    [anon_sym___thiscall] = ACTIONS(1214),
    [anon_sym___vectorcall] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1214),
    [anon_sym_unsigned] = ACTIONS(1214),
    [anon_sym_long] = ACTIONS(1214),
    [anon_sym_short] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1214),
    [anon_sym_auto] = ACTIONS(1214),
    [anon_sym_register] = ACTIONS(1214),
    [anon_sym_inline] = ACTIONS(1214),
    [anon_sym___inline] = ACTIONS(1214),
    [anon_sym___inline__] = ACTIONS(1214),
    [anon_sym___forceinline] = ACTIONS(1214),
    [anon_sym_thread_local] = ACTIONS(1214),
    [anon_sym___thread] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_constexpr] = ACTIONS(1214),
    [anon_sym_volatile] = ACTIONS(1214),
    [anon_sym_restrict] = ACTIONS(1214),
    [anon_sym___restrict__] = ACTIONS(1214),
    [anon_sym__Atomic] = ACTIONS(1214),
    [anon_sym__Noreturn] = ACTIONS(1214),
    [anon_sym_noreturn] = ACTIONS(1214),
    [anon_sym__Nonnull] = ACTIONS(1214),
    [anon_sym_alignas] = ACTIONS(1214),
    [anon_sym__Alignas] = ACTIONS(1214),
    [sym_primitive_type] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_else] = ACTIONS(1214),
    [anon_sym_switch] = ACTIONS(1214),
    [anon_sym_case] = ACTIONS(1214),
    [anon_sym_default] = ACTIONS(1214),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_do] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym___try] = ACTIONS(1214),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_sizeof] = ACTIONS(1214),
    [anon_sym___alignof__] = ACTIONS(1214),
    [anon_sym___alignof] = ACTIONS(1214),
    [anon_sym__alignof] = ACTIONS(1214),
    [anon_sym_alignof] = ACTIONS(1214),
    [anon_sym__Alignof] = ACTIONS(1214),
    [anon_sym_offsetof] = ACTIONS(1214),
    [anon_sym__Generic] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym___asm__] = ACTIONS(1214),
    [anon_sym___asm] = ACTIONS(1214),
    [sym_number_literal] = ACTIONS(1216),
    [anon_sym_L_SQUOTE] = ACTIONS(1216),
    [anon_sym_u_SQUOTE] = ACTIONS(1216),
    [anon_sym_U_SQUOTE] = ACTIONS(1216),
    [anon_sym_u8_SQUOTE] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_L_DQUOTE] = ACTIONS(1216),
    [anon_sym_u_DQUOTE] = ACTIONS(1216),
    [anon_sym_U_DQUOTE] = ACTIONS(1216),
    [anon_sym_u8_DQUOTE] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_NULL] = ACTIONS(1214),
    [anon_sym_nullptr] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1218),
    [aux_sym_preproc_include_token1] = ACTIONS(1218),
    [aux_sym_preproc_def_token1] = ACTIONS(1218),
    [aux_sym_preproc_if_token1] = ACTIONS(1218),
    [aux_sym_preproc_if_token2] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1218),
    [aux_sym_preproc_else_token1] = ACTIONS(1218),
    [aux_sym_preproc_elif_token1] = ACTIONS(1218),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1218),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1218),
    [sym_preproc_directive] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym___extension__] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1218),
    [anon_sym_extern] = ACTIONS(1218),
    [anon_sym___attribute__] = ACTIONS(1218),
    [anon_sym___attribute] = ACTIONS(1218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1220),
    [anon_sym___declspec] = ACTIONS(1218),
    [anon_sym___cdecl] = ACTIONS(1218),
    [anon_sym___clrcall] = ACTIONS(1218),
    [anon_sym___stdcall] = ACTIONS(1218),
    [anon_sym___fastcall] = ACTIONS(1218),
    [anon_sym___thiscall] = ACTIONS(1218),
    [anon_sym___vectorcall] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1218),
    [anon_sym_unsigned] = ACTIONS(1218),
    [anon_sym_long] = ACTIONS(1218),
    [anon_sym_short] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_auto] = ACTIONS(1218),
    [anon_sym_register] = ACTIONS(1218),
    [anon_sym_inline] = ACTIONS(1218),
    [anon_sym___inline] = ACTIONS(1218),
    [anon_sym___inline__] = ACTIONS(1218),
    [anon_sym___forceinline] = ACTIONS(1218),
    [anon_sym_thread_local] = ACTIONS(1218),
    [anon_sym___thread] = ACTIONS(1218),
    [anon_sym_const] = ACTIONS(1218),
    [anon_sym_constexpr] = ACTIONS(1218),
    [anon_sym_volatile] = ACTIONS(1218),
    [anon_sym_restrict] = ACTIONS(1218),
    [anon_sym___restrict__] = ACTIONS(1218),
    [anon_sym__Atomic] = ACTIONS(1218),
    [anon_sym__Noreturn] = ACTIONS(1218),
    [anon_sym_noreturn] = ACTIONS(1218),
    [anon_sym__Nonnull] = ACTIONS(1218),
    [anon_sym_alignas] = ACTIONS(1218),
    [anon_sym__Alignas] = ACTIONS(1218),
    [sym_primitive_type] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_struct] = ACTIONS(1218),
    [anon_sym_union] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_else] = ACTIONS(1218),
    [anon_sym_switch] = ACTIONS(1218),
    [anon_sym_case] = ACTIONS(1218),
    [anon_sym_default] = ACTIONS(1218),
    [anon_sym_while] = ACTIONS(1218),
    [anon_sym_do] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym___try] = ACTIONS(1218),
    [anon_sym___leave] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_sizeof] = ACTIONS(1218),
    [anon_sym___alignof__] = ACTIONS(1218),
    [anon_sym___alignof] = ACTIONS(1218),
    [anon_sym__alignof] = ACTIONS(1218),
    [anon_sym_alignof] = ACTIONS(1218),
    [anon_sym__Alignof] = ACTIONS(1218),
    [anon_sym_offsetof] = ACTIONS(1218),
    [anon_sym__Generic] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym___asm__] = ACTIONS(1218),
    [anon_sym___asm] = ACTIONS(1218),
    [sym_number_literal] = ACTIONS(1220),
    [anon_sym_L_SQUOTE] = ACTIONS(1220),
    [anon_sym_u_SQUOTE] = ACTIONS(1220),
    [anon_sym_U_SQUOTE] = ACTIONS(1220),
    [anon_sym_u8_SQUOTE] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_L_DQUOTE] = ACTIONS(1220),
    [anon_sym_u_DQUOTE] = ACTIONS(1220),
    [anon_sym_U_DQUOTE] = ACTIONS(1220),
    [anon_sym_u8_DQUOTE] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_NULL] = ACTIONS(1218),
    [anon_sym_nullptr] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token2] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [aux_sym_preproc_else_token1] = ACTIONS(1222),
    [aux_sym_preproc_elif_token1] = ACTIONS(1222),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1226),
    [aux_sym_preproc_include_token1] = ACTIONS(1226),
    [aux_sym_preproc_def_token1] = ACTIONS(1226),
    [aux_sym_preproc_if_token1] = ACTIONS(1226),
    [aux_sym_preproc_if_token2] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1226),
    [aux_sym_preproc_else_token1] = ACTIONS(1226),
    [aux_sym_preproc_elif_token1] = ACTIONS(1226),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1226),
    [sym_preproc_directive] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym___extension__] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1226),
    [anon_sym_extern] = ACTIONS(1226),
    [anon_sym___attribute__] = ACTIONS(1226),
    [anon_sym___attribute] = ACTIONS(1226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1228),
    [anon_sym___declspec] = ACTIONS(1226),
    [anon_sym___cdecl] = ACTIONS(1226),
    [anon_sym___clrcall] = ACTIONS(1226),
    [anon_sym___stdcall] = ACTIONS(1226),
    [anon_sym___fastcall] = ACTIONS(1226),
    [anon_sym___thiscall] = ACTIONS(1226),
    [anon_sym___vectorcall] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1226),
    [anon_sym_unsigned] = ACTIONS(1226),
    [anon_sym_long] = ACTIONS(1226),
    [anon_sym_short] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_auto] = ACTIONS(1226),
    [anon_sym_register] = ACTIONS(1226),
    [anon_sym_inline] = ACTIONS(1226),
    [anon_sym___inline] = ACTIONS(1226),
    [anon_sym___inline__] = ACTIONS(1226),
    [anon_sym___forceinline] = ACTIONS(1226),
    [anon_sym_thread_local] = ACTIONS(1226),
    [anon_sym___thread] = ACTIONS(1226),
    [anon_sym_const] = ACTIONS(1226),
    [anon_sym_constexpr] = ACTIONS(1226),
    [anon_sym_volatile] = ACTIONS(1226),
    [anon_sym_restrict] = ACTIONS(1226),
    [anon_sym___restrict__] = ACTIONS(1226),
    [anon_sym__Atomic] = ACTIONS(1226),
    [anon_sym__Noreturn] = ACTIONS(1226),
    [anon_sym_noreturn] = ACTIONS(1226),
    [anon_sym__Nonnull] = ACTIONS(1226),
    [anon_sym_alignas] = ACTIONS(1226),
    [anon_sym__Alignas] = ACTIONS(1226),
    [sym_primitive_type] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1226),
    [anon_sym_struct] = ACTIONS(1226),
    [anon_sym_union] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_else] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_case] = ACTIONS(1226),
    [anon_sym_default] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_goto] = ACTIONS(1226),
    [anon_sym___try] = ACTIONS(1226),
    [anon_sym___leave] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_sizeof] = ACTIONS(1226),
    [anon_sym___alignof__] = ACTIONS(1226),
    [anon_sym___alignof] = ACTIONS(1226),
    [anon_sym__alignof] = ACTIONS(1226),
    [anon_sym_alignof] = ACTIONS(1226),
    [anon_sym__Alignof] = ACTIONS(1226),
    [anon_sym_offsetof] = ACTIONS(1226),
    [anon_sym__Generic] = ACTIONS(1226),
    [anon_sym_asm] = ACTIONS(1226),
    [anon_sym___asm__] = ACTIONS(1226),
    [anon_sym___asm] = ACTIONS(1226),
    [sym_number_literal] = ACTIONS(1228),
    [anon_sym_L_SQUOTE] = ACTIONS(1228),
    [anon_sym_u_SQUOTE] = ACTIONS(1228),
    [anon_sym_U_SQUOTE] = ACTIONS(1228),
    [anon_sym_u8_SQUOTE] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_L_DQUOTE] = ACTIONS(1228),
    [anon_sym_u_DQUOTE] = ACTIONS(1228),
    [anon_sym_U_DQUOTE] = ACTIONS(1228),
    [anon_sym_u8_DQUOTE] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [sym_true] = ACTIONS(1226),
    [sym_false] = ACTIONS(1226),
    [anon_sym_NULL] = ACTIONS(1226),
    [anon_sym_nullptr] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1230),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token2] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [aux_sym_preproc_else_token1] = ACTIONS(1230),
    [aux_sym_preproc_elif_token1] = ACTIONS(1230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym___extension__] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1230),
    [anon_sym_extern] = ACTIONS(1230),
    [anon_sym___attribute__] = ACTIONS(1230),
    [anon_sym___attribute] = ACTIONS(1230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1232),
    [anon_sym___declspec] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1230),
    [anon_sym_unsigned] = ACTIONS(1230),
    [anon_sym_long] = ACTIONS(1230),
    [anon_sym_short] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_auto] = ACTIONS(1230),
    [anon_sym_register] = ACTIONS(1230),
    [anon_sym_inline] = ACTIONS(1230),
    [anon_sym___inline] = ACTIONS(1230),
    [anon_sym___inline__] = ACTIONS(1230),
    [anon_sym___forceinline] = ACTIONS(1230),
    [anon_sym_thread_local] = ACTIONS(1230),
    [anon_sym___thread] = ACTIONS(1230),
    [anon_sym_const] = ACTIONS(1230),
    [anon_sym_constexpr] = ACTIONS(1230),
    [anon_sym_volatile] = ACTIONS(1230),
    [anon_sym_restrict] = ACTIONS(1230),
    [anon_sym___restrict__] = ACTIONS(1230),
    [anon_sym__Atomic] = ACTIONS(1230),
    [anon_sym__Noreturn] = ACTIONS(1230),
    [anon_sym_noreturn] = ACTIONS(1230),
    [anon_sym__Nonnull] = ACTIONS(1230),
    [anon_sym_alignas] = ACTIONS(1230),
    [anon_sym__Alignas] = ACTIONS(1230),
    [sym_primitive_type] = ACTIONS(1230),
    [anon_sym_enum] = ACTIONS(1230),
    [anon_sym_struct] = ACTIONS(1230),
    [anon_sym_union] = ACTIONS(1230),
    [anon_sym_if] = ACTIONS(1230),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(1230),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(1230),
    [anon_sym_do] = ACTIONS(1230),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_return] = ACTIONS(1230),
    [anon_sym_break] = ACTIONS(1230),
    [anon_sym_continue] = ACTIONS(1230),
    [anon_sym_goto] = ACTIONS(1230),
    [anon_sym___try] = ACTIONS(1230),
    [anon_sym___leave] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_sizeof] = ACTIONS(1230),
    [anon_sym___alignof__] = ACTIONS(1230),
    [anon_sym___alignof] = ACTIONS(1230),
    [anon_sym__alignof] = ACTIONS(1230),
    [anon_sym_alignof] = ACTIONS(1230),
    [anon_sym__Alignof] = ACTIONS(1230),
    [anon_sym_offsetof] = ACTIONS(1230),
    [anon_sym__Generic] = ACTIONS(1230),
    [anon_sym_asm] = ACTIONS(1230),
    [anon_sym___asm__] = ACTIONS(1230),
    [anon_sym___asm] = ACTIONS(1230),
    [sym_number_literal] = ACTIONS(1232),
    [anon_sym_L_SQUOTE] = ACTIONS(1232),
    [anon_sym_u_SQUOTE] = ACTIONS(1232),
    [anon_sym_U_SQUOTE] = ACTIONS(1232),
    [anon_sym_u8_SQUOTE] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_L_DQUOTE] = ACTIONS(1232),
    [anon_sym_u_DQUOTE] = ACTIONS(1232),
    [anon_sym_U_DQUOTE] = ACTIONS(1232),
    [anon_sym_u8_DQUOTE] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [sym_true] = ACTIONS(1230),
    [sym_false] = ACTIONS(1230),
    [anon_sym_NULL] = ACTIONS(1230),
    [anon_sym_nullptr] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token2] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [aux_sym_preproc_else_token1] = ACTIONS(1222),
    [aux_sym_preproc_elif_token1] = ACTIONS(1222),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1234),
    [aux_sym_preproc_include_token1] = ACTIONS(1234),
    [aux_sym_preproc_def_token1] = ACTIONS(1234),
    [aux_sym_preproc_if_token1] = ACTIONS(1234),
    [aux_sym_preproc_if_token2] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1234),
    [aux_sym_preproc_else_token1] = ACTIONS(1234),
    [aux_sym_preproc_elif_token1] = ACTIONS(1234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1234),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1234),
    [sym_preproc_directive] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym___extension__] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1234),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym___attribute__] = ACTIONS(1234),
    [anon_sym___attribute] = ACTIONS(1234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(1234),
    [anon_sym___cdecl] = ACTIONS(1234),
    [anon_sym___clrcall] = ACTIONS(1234),
    [anon_sym___stdcall] = ACTIONS(1234),
    [anon_sym___fastcall] = ACTIONS(1234),
    [anon_sym___thiscall] = ACTIONS(1234),
    [anon_sym___vectorcall] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1234),
    [anon_sym_unsigned] = ACTIONS(1234),
    [anon_sym_long] = ACTIONS(1234),
    [anon_sym_short] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1234),
    [anon_sym_auto] = ACTIONS(1234),
    [anon_sym_register] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1234),
    [anon_sym___inline] = ACTIONS(1234),
    [anon_sym___inline__] = ACTIONS(1234),
    [anon_sym___forceinline] = ACTIONS(1234),
    [anon_sym_thread_local] = ACTIONS(1234),
    [anon_sym___thread] = ACTIONS(1234),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_constexpr] = ACTIONS(1234),
    [anon_sym_volatile] = ACTIONS(1234),
    [anon_sym_restrict] = ACTIONS(1234),
    [anon_sym___restrict__] = ACTIONS(1234),
    [anon_sym__Atomic] = ACTIONS(1234),
    [anon_sym__Noreturn] = ACTIONS(1234),
    [anon_sym_noreturn] = ACTIONS(1234),
    [anon_sym__Nonnull] = ACTIONS(1234),
    [anon_sym_alignas] = ACTIONS(1234),
    [anon_sym__Alignas] = ACTIONS(1234),
    [sym_primitive_type] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_struct] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_else] = ACTIONS(1234),
    [anon_sym_switch] = ACTIONS(1234),
    [anon_sym_case] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_do] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_break] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_goto] = ACTIONS(1234),
    [anon_sym___try] = ACTIONS(1234),
    [anon_sym___leave] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_sizeof] = ACTIONS(1234),
    [anon_sym___alignof__] = ACTIONS(1234),
    [anon_sym___alignof] = ACTIONS(1234),
    [anon_sym__alignof] = ACTIONS(1234),
    [anon_sym_alignof] = ACTIONS(1234),
    [anon_sym__Alignof] = ACTIONS(1234),
    [anon_sym_offsetof] = ACTIONS(1234),
    [anon_sym__Generic] = ACTIONS(1234),
    [anon_sym_asm] = ACTIONS(1234),
    [anon_sym___asm__] = ACTIONS(1234),
    [anon_sym___asm] = ACTIONS(1234),
    [sym_number_literal] = ACTIONS(1236),
    [anon_sym_L_SQUOTE] = ACTIONS(1236),
    [anon_sym_u_SQUOTE] = ACTIONS(1236),
    [anon_sym_U_SQUOTE] = ACTIONS(1236),
    [anon_sym_u8_SQUOTE] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_L_DQUOTE] = ACTIONS(1236),
    [anon_sym_u_DQUOTE] = ACTIONS(1236),
    [anon_sym_U_DQUOTE] = ACTIONS(1236),
    [anon_sym_u8_DQUOTE] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [sym_true] = ACTIONS(1234),
    [sym_false] = ACTIONS(1234),
    [anon_sym_NULL] = ACTIONS(1234),
    [anon_sym_nullptr] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token2] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [aux_sym_preproc_else_token1] = ACTIONS(1238),
    [aux_sym_preproc_elif_token1] = ACTIONS(1238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1238),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1242),
    [aux_sym_preproc_include_token1] = ACTIONS(1242),
    [aux_sym_preproc_def_token1] = ACTIONS(1242),
    [aux_sym_preproc_if_token1] = ACTIONS(1242),
    [aux_sym_preproc_if_token2] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1242),
    [aux_sym_preproc_else_token1] = ACTIONS(1242),
    [aux_sym_preproc_elif_token1] = ACTIONS(1242),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1242),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1242),
    [sym_preproc_directive] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1242),
    [anon_sym_extern] = ACTIONS(1242),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym___attribute] = ACTIONS(1242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1244),
    [anon_sym___declspec] = ACTIONS(1242),
    [anon_sym___cdecl] = ACTIONS(1242),
    [anon_sym___clrcall] = ACTIONS(1242),
    [anon_sym___stdcall] = ACTIONS(1242),
    [anon_sym___fastcall] = ACTIONS(1242),
    [anon_sym___thiscall] = ACTIONS(1242),
    [anon_sym___vectorcall] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1242),
    [anon_sym_unsigned] = ACTIONS(1242),
    [anon_sym_long] = ACTIONS(1242),
    [anon_sym_short] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1242),
    [anon_sym_auto] = ACTIONS(1242),
    [anon_sym_register] = ACTIONS(1242),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym___inline] = ACTIONS(1242),
    [anon_sym___inline__] = ACTIONS(1242),
    [anon_sym___forceinline] = ACTIONS(1242),
    [anon_sym_thread_local] = ACTIONS(1242),
    [anon_sym___thread] = ACTIONS(1242),
    [anon_sym_const] = ACTIONS(1242),
    [anon_sym_constexpr] = ACTIONS(1242),
    [anon_sym_volatile] = ACTIONS(1242),
    [anon_sym_restrict] = ACTIONS(1242),
    [anon_sym___restrict__] = ACTIONS(1242),
    [anon_sym__Atomic] = ACTIONS(1242),
    [anon_sym__Noreturn] = ACTIONS(1242),
    [anon_sym_noreturn] = ACTIONS(1242),
    [anon_sym__Nonnull] = ACTIONS(1242),
    [anon_sym_alignas] = ACTIONS(1242),
    [anon_sym__Alignas] = ACTIONS(1242),
    [sym_primitive_type] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_case] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_goto] = ACTIONS(1242),
    [anon_sym___try] = ACTIONS(1242),
    [anon_sym___leave] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_sizeof] = ACTIONS(1242),
    [anon_sym___alignof__] = ACTIONS(1242),
    [anon_sym___alignof] = ACTIONS(1242),
    [anon_sym__alignof] = ACTIONS(1242),
    [anon_sym_alignof] = ACTIONS(1242),
    [anon_sym__Alignof] = ACTIONS(1242),
    [anon_sym_offsetof] = ACTIONS(1242),
    [anon_sym__Generic] = ACTIONS(1242),
    [anon_sym_asm] = ACTIONS(1242),
    [anon_sym___asm__] = ACTIONS(1242),
    [anon_sym___asm] = ACTIONS(1242),
    [sym_number_literal] = ACTIONS(1244),
    [anon_sym_L_SQUOTE] = ACTIONS(1244),
    [anon_sym_u_SQUOTE] = ACTIONS(1244),
    [anon_sym_U_SQUOTE] = ACTIONS(1244),
    [anon_sym_u8_SQUOTE] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_L_DQUOTE] = ACTIONS(1244),
    [anon_sym_u_DQUOTE] = ACTIONS(1244),
    [anon_sym_U_DQUOTE] = ACTIONS(1244),
    [anon_sym_u8_DQUOTE] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [sym_true] = ACTIONS(1242),
    [sym_false] = ACTIONS(1242),
    [anon_sym_NULL] = ACTIONS(1242),
    [anon_sym_nullptr] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1246),
    [aux_sym_preproc_include_token1] = ACTIONS(1246),
    [aux_sym_preproc_def_token1] = ACTIONS(1246),
    [aux_sym_preproc_if_token1] = ACTIONS(1246),
    [aux_sym_preproc_if_token2] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1246),
    [aux_sym_preproc_else_token1] = ACTIONS(1246),
    [aux_sym_preproc_elif_token1] = ACTIONS(1246),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1246),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1246),
    [sym_preproc_directive] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1246),
    [anon_sym_extern] = ACTIONS(1246),
    [anon_sym___attribute__] = ACTIONS(1246),
    [anon_sym___attribute] = ACTIONS(1246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1246),
    [anon_sym___cdecl] = ACTIONS(1246),
    [anon_sym___clrcall] = ACTIONS(1246),
    [anon_sym___stdcall] = ACTIONS(1246),
    [anon_sym___fastcall] = ACTIONS(1246),
    [anon_sym___thiscall] = ACTIONS(1246),
    [anon_sym___vectorcall] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1246),
    [anon_sym_unsigned] = ACTIONS(1246),
    [anon_sym_long] = ACTIONS(1246),
    [anon_sym_short] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_auto] = ACTIONS(1246),
    [anon_sym_register] = ACTIONS(1246),
    [anon_sym_inline] = ACTIONS(1246),
    [anon_sym___inline] = ACTIONS(1246),
    [anon_sym___inline__] = ACTIONS(1246),
    [anon_sym___forceinline] = ACTIONS(1246),
    [anon_sym_thread_local] = ACTIONS(1246),
    [anon_sym___thread] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_constexpr] = ACTIONS(1246),
    [anon_sym_volatile] = ACTIONS(1246),
    [anon_sym_restrict] = ACTIONS(1246),
    [anon_sym___restrict__] = ACTIONS(1246),
    [anon_sym__Atomic] = ACTIONS(1246),
    [anon_sym__Noreturn] = ACTIONS(1246),
    [anon_sym_noreturn] = ACTIONS(1246),
    [anon_sym__Nonnull] = ACTIONS(1246),
    [anon_sym_alignas] = ACTIONS(1246),
    [anon_sym__Alignas] = ACTIONS(1246),
    [sym_primitive_type] = ACTIONS(1246),
    [anon_sym_enum] = ACTIONS(1246),
    [anon_sym_struct] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_goto] = ACTIONS(1246),
    [anon_sym___try] = ACTIONS(1246),
    [anon_sym___leave] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_sizeof] = ACTIONS(1246),
    [anon_sym___alignof__] = ACTIONS(1246),
    [anon_sym___alignof] = ACTIONS(1246),
    [anon_sym__alignof] = ACTIONS(1246),
    [anon_sym_alignof] = ACTIONS(1246),
    [anon_sym__Alignof] = ACTIONS(1246),
    [anon_sym_offsetof] = ACTIONS(1246),
    [anon_sym__Generic] = ACTIONS(1246),
    [anon_sym_asm] = ACTIONS(1246),
    [anon_sym___asm__] = ACTIONS(1246),
    [anon_sym___asm] = ACTIONS(1246),
    [sym_number_literal] = ACTIONS(1248),
    [anon_sym_L_SQUOTE] = ACTIONS(1248),
    [anon_sym_u_SQUOTE] = ACTIONS(1248),
    [anon_sym_U_SQUOTE] = ACTIONS(1248),
    [anon_sym_u8_SQUOTE] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_L_DQUOTE] = ACTIONS(1248),
    [anon_sym_u_DQUOTE] = ACTIONS(1248),
    [anon_sym_U_DQUOTE] = ACTIONS(1248),
    [anon_sym_u8_DQUOTE] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [sym_true] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [anon_sym_NULL] = ACTIONS(1246),
    [anon_sym_nullptr] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1250),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token2] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [aux_sym_preproc_else_token1] = ACTIONS(1250),
    [aux_sym_preproc_elif_token1] = ACTIONS(1250),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1250),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1250),
    [anon_sym___attribute] = ACTIONS(1250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1252),
    [anon_sym___declspec] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1250),
    [anon_sym_unsigned] = ACTIONS(1250),
    [anon_sym_long] = ACTIONS(1250),
    [anon_sym_short] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_auto] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_constexpr] = ACTIONS(1250),
    [anon_sym_volatile] = ACTIONS(1250),
    [anon_sym_restrict] = ACTIONS(1250),
    [anon_sym___restrict__] = ACTIONS(1250),
    [anon_sym__Atomic] = ACTIONS(1250),
    [anon_sym__Noreturn] = ACTIONS(1250),
    [anon_sym_noreturn] = ACTIONS(1250),
    [anon_sym__Nonnull] = ACTIONS(1250),
    [anon_sym_alignas] = ACTIONS(1250),
    [anon_sym__Alignas] = ACTIONS(1250),
    [sym_primitive_type] = ACTIONS(1250),
    [anon_sym_enum] = ACTIONS(1250),
    [anon_sym_struct] = ACTIONS(1250),
    [anon_sym_union] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1250),
    [anon_sym_do] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym___try] = ACTIONS(1250),
    [anon_sym___leave] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_sizeof] = ACTIONS(1250),
    [anon_sym___alignof__] = ACTIONS(1250),
    [anon_sym___alignof] = ACTIONS(1250),
    [anon_sym__alignof] = ACTIONS(1250),
    [anon_sym_alignof] = ACTIONS(1250),
    [anon_sym__Alignof] = ACTIONS(1250),
    [anon_sym_offsetof] = ACTIONS(1250),
    [anon_sym__Generic] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym___asm__] = ACTIONS(1250),
    [anon_sym___asm] = ACTIONS(1250),
    [sym_number_literal] = ACTIONS(1252),
    [anon_sym_L_SQUOTE] = ACTIONS(1252),
    [anon_sym_u_SQUOTE] = ACTIONS(1252),
    [anon_sym_U_SQUOTE] = ACTIONS(1252),
    [anon_sym_u8_SQUOTE] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_L_DQUOTE] = ACTIONS(1252),
    [anon_sym_u_DQUOTE] = ACTIONS(1252),
    [anon_sym_U_DQUOTE] = ACTIONS(1252),
    [anon_sym_u8_DQUOTE] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_NULL] = ACTIONS(1250),
    [anon_sym_nullptr] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1254),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1254),
    [aux_sym_preproc_if_token1] = ACTIONS(1254),
    [aux_sym_preproc_if_token2] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1254),
    [aux_sym_preproc_else_token1] = ACTIONS(1254),
    [aux_sym_preproc_elif_token1] = ACTIONS(1254),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1254),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1254),
    [sym_preproc_directive] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1254),
    [anon_sym_extern] = ACTIONS(1254),
    [anon_sym___attribute__] = ACTIONS(1254),
    [anon_sym___attribute] = ACTIONS(1254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1256),
    [anon_sym___declspec] = ACTIONS(1254),
    [anon_sym___cdecl] = ACTIONS(1254),
    [anon_sym___clrcall] = ACTIONS(1254),
    [anon_sym___stdcall] = ACTIONS(1254),
    [anon_sym___fastcall] = ACTIONS(1254),
    [anon_sym___thiscall] = ACTIONS(1254),
    [anon_sym___vectorcall] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1254),
    [anon_sym_unsigned] = ACTIONS(1254),
    [anon_sym_long] = ACTIONS(1254),
    [anon_sym_short] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1254),
    [anon_sym_auto] = ACTIONS(1254),
    [anon_sym_register] = ACTIONS(1254),
    [anon_sym_inline] = ACTIONS(1254),
    [anon_sym___inline] = ACTIONS(1254),
    [anon_sym___inline__] = ACTIONS(1254),
    [anon_sym___forceinline] = ACTIONS(1254),
    [anon_sym_thread_local] = ACTIONS(1254),
    [anon_sym___thread] = ACTIONS(1254),
    [anon_sym_const] = ACTIONS(1254),
    [anon_sym_constexpr] = ACTIONS(1254),
    [anon_sym_volatile] = ACTIONS(1254),
    [anon_sym_restrict] = ACTIONS(1254),
    [anon_sym___restrict__] = ACTIONS(1254),
    [anon_sym__Atomic] = ACTIONS(1254),
    [anon_sym__Noreturn] = ACTIONS(1254),
    [anon_sym_noreturn] = ACTIONS(1254),
    [anon_sym__Nonnull] = ACTIONS(1254),
    [anon_sym_alignas] = ACTIONS(1254),
    [anon_sym__Alignas] = ACTIONS(1254),
    [sym_primitive_type] = ACTIONS(1254),
    [anon_sym_enum] = ACTIONS(1254),
    [anon_sym_struct] = ACTIONS(1254),
    [anon_sym_union] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_else] = ACTIONS(1254),
    [anon_sym_switch] = ACTIONS(1254),
    [anon_sym_case] = ACTIONS(1254),
    [anon_sym_default] = ACTIONS(1254),
    [anon_sym_while] = ACTIONS(1254),
    [anon_sym_do] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym___try] = ACTIONS(1254),
    [anon_sym___leave] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_sizeof] = ACTIONS(1254),
    [anon_sym___alignof__] = ACTIONS(1254),
    [anon_sym___alignof] = ACTIONS(1254),
    [anon_sym__alignof] = ACTIONS(1254),
    [anon_sym_alignof] = ACTIONS(1254),
    [anon_sym__Alignof] = ACTIONS(1254),
    [anon_sym_offsetof] = ACTIONS(1254),
    [anon_sym__Generic] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym___asm__] = ACTIONS(1254),
    [anon_sym___asm] = ACTIONS(1254),
    [sym_number_literal] = ACTIONS(1256),
    [anon_sym_L_SQUOTE] = ACTIONS(1256),
    [anon_sym_u_SQUOTE] = ACTIONS(1256),
    [anon_sym_U_SQUOTE] = ACTIONS(1256),
    [anon_sym_u8_SQUOTE] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_L_DQUOTE] = ACTIONS(1256),
    [anon_sym_u_DQUOTE] = ACTIONS(1256),
    [anon_sym_U_DQUOTE] = ACTIONS(1256),
    [anon_sym_u8_DQUOTE] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_NULL] = ACTIONS(1254),
    [anon_sym_nullptr] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1258),
    [aux_sym_preproc_include_token1] = ACTIONS(1258),
    [aux_sym_preproc_def_token1] = ACTIONS(1258),
    [aux_sym_preproc_if_token1] = ACTIONS(1258),
    [aux_sym_preproc_if_token2] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1258),
    [aux_sym_preproc_else_token1] = ACTIONS(1258),
    [aux_sym_preproc_elif_token1] = ACTIONS(1258),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1258),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1258),
    [sym_preproc_directive] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1258),
    [anon_sym_extern] = ACTIONS(1258),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1260),
    [anon_sym___declspec] = ACTIONS(1258),
    [anon_sym___cdecl] = ACTIONS(1258),
    [anon_sym___clrcall] = ACTIONS(1258),
    [anon_sym___stdcall] = ACTIONS(1258),
    [anon_sym___fastcall] = ACTIONS(1258),
    [anon_sym___thiscall] = ACTIONS(1258),
    [anon_sym___vectorcall] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1258),
    [anon_sym_unsigned] = ACTIONS(1258),
    [anon_sym_long] = ACTIONS(1258),
    [anon_sym_short] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1258),
    [anon_sym_auto] = ACTIONS(1258),
    [anon_sym_register] = ACTIONS(1258),
    [anon_sym_inline] = ACTIONS(1258),
    [anon_sym___inline] = ACTIONS(1258),
    [anon_sym___inline__] = ACTIONS(1258),
    [anon_sym___forceinline] = ACTIONS(1258),
    [anon_sym_thread_local] = ACTIONS(1258),
    [anon_sym___thread] = ACTIONS(1258),
    [anon_sym_const] = ACTIONS(1258),
    [anon_sym_constexpr] = ACTIONS(1258),
    [anon_sym_volatile] = ACTIONS(1258),
    [anon_sym_restrict] = ACTIONS(1258),
    [anon_sym___restrict__] = ACTIONS(1258),
    [anon_sym__Atomic] = ACTIONS(1258),
    [anon_sym__Noreturn] = ACTIONS(1258),
    [anon_sym_noreturn] = ACTIONS(1258),
    [anon_sym__Nonnull] = ACTIONS(1258),
    [anon_sym_alignas] = ACTIONS(1258),
    [anon_sym__Alignas] = ACTIONS(1258),
    [sym_primitive_type] = ACTIONS(1258),
    [anon_sym_enum] = ACTIONS(1258),
    [anon_sym_struct] = ACTIONS(1258),
    [anon_sym_union] = ACTIONS(1258),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_else] = ACTIONS(1258),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_case] = ACTIONS(1258),
    [anon_sym_default] = ACTIONS(1258),
    [anon_sym_while] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1258),
    [anon_sym_return] = ACTIONS(1258),
    [anon_sym_break] = ACTIONS(1258),
    [anon_sym_continue] = ACTIONS(1258),
    [anon_sym_goto] = ACTIONS(1258),
    [anon_sym___try] = ACTIONS(1258),
    [anon_sym___leave] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_sizeof] = ACTIONS(1258),
    [anon_sym___alignof__] = ACTIONS(1258),
    [anon_sym___alignof] = ACTIONS(1258),
    [anon_sym__alignof] = ACTIONS(1258),
    [anon_sym_alignof] = ACTIONS(1258),
    [anon_sym__Alignof] = ACTIONS(1258),
    [anon_sym_offsetof] = ACTIONS(1258),
    [anon_sym__Generic] = ACTIONS(1258),
    [anon_sym_asm] = ACTIONS(1258),
    [anon_sym___asm__] = ACTIONS(1258),
    [anon_sym___asm] = ACTIONS(1258),
    [sym_number_literal] = ACTIONS(1260),
    [anon_sym_L_SQUOTE] = ACTIONS(1260),
    [anon_sym_u_SQUOTE] = ACTIONS(1260),
    [anon_sym_U_SQUOTE] = ACTIONS(1260),
    [anon_sym_u8_SQUOTE] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_L_DQUOTE] = ACTIONS(1260),
    [anon_sym_u_DQUOTE] = ACTIONS(1260),
    [anon_sym_U_DQUOTE] = ACTIONS(1260),
    [anon_sym_u8_DQUOTE] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [sym_true] = ACTIONS(1258),
    [sym_false] = ACTIONS(1258),
    [anon_sym_NULL] = ACTIONS(1258),
    [anon_sym_nullptr] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1262),
    [aux_sym_preproc_include_token1] = ACTIONS(1262),
    [aux_sym_preproc_def_token1] = ACTIONS(1262),
    [aux_sym_preproc_if_token1] = ACTIONS(1262),
    [aux_sym_preproc_if_token2] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1262),
    [aux_sym_preproc_else_token1] = ACTIONS(1262),
    [aux_sym_preproc_elif_token1] = ACTIONS(1262),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1262),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1262),
    [sym_preproc_directive] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1262),
    [anon_sym_extern] = ACTIONS(1262),
    [anon_sym___attribute__] = ACTIONS(1262),
    [anon_sym___attribute] = ACTIONS(1262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___cdecl] = ACTIONS(1262),
    [anon_sym___clrcall] = ACTIONS(1262),
    [anon_sym___stdcall] = ACTIONS(1262),
    [anon_sym___fastcall] = ACTIONS(1262),
    [anon_sym___thiscall] = ACTIONS(1262),
    [anon_sym___vectorcall] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1262),
    [anon_sym_unsigned] = ACTIONS(1262),
    [anon_sym_long] = ACTIONS(1262),
    [anon_sym_short] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1262),
    [anon_sym_auto] = ACTIONS(1262),
    [anon_sym_register] = ACTIONS(1262),
    [anon_sym_inline] = ACTIONS(1262),
    [anon_sym___inline] = ACTIONS(1262),
    [anon_sym___inline__] = ACTIONS(1262),
    [anon_sym___forceinline] = ACTIONS(1262),
    [anon_sym_thread_local] = ACTIONS(1262),
    [anon_sym___thread] = ACTIONS(1262),
    [anon_sym_const] = ACTIONS(1262),
    [anon_sym_constexpr] = ACTIONS(1262),
    [anon_sym_volatile] = ACTIONS(1262),
    [anon_sym_restrict] = ACTIONS(1262),
    [anon_sym___restrict__] = ACTIONS(1262),
    [anon_sym__Atomic] = ACTIONS(1262),
    [anon_sym__Noreturn] = ACTIONS(1262),
    [anon_sym_noreturn] = ACTIONS(1262),
    [anon_sym__Nonnull] = ACTIONS(1262),
    [anon_sym_alignas] = ACTIONS(1262),
    [anon_sym__Alignas] = ACTIONS(1262),
    [sym_primitive_type] = ACTIONS(1262),
    [anon_sym_enum] = ACTIONS(1262),
    [anon_sym_struct] = ACTIONS(1262),
    [anon_sym_union] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_switch] = ACTIONS(1262),
    [anon_sym_case] = ACTIONS(1262),
    [anon_sym_default] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_do] = ACTIONS(1262),
    [anon_sym_for] = ACTIONS(1262),
    [anon_sym_return] = ACTIONS(1262),
    [anon_sym_break] = ACTIONS(1262),
    [anon_sym_continue] = ACTIONS(1262),
    [anon_sym_goto] = ACTIONS(1262),
    [anon_sym___try] = ACTIONS(1262),
    [anon_sym___leave] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_sizeof] = ACTIONS(1262),
    [anon_sym___alignof__] = ACTIONS(1262),
    [anon_sym___alignof] = ACTIONS(1262),
    [anon_sym__alignof] = ACTIONS(1262),
    [anon_sym_alignof] = ACTIONS(1262),
    [anon_sym__Alignof] = ACTIONS(1262),
    [anon_sym_offsetof] = ACTIONS(1262),
    [anon_sym__Generic] = ACTIONS(1262),
    [anon_sym_asm] = ACTIONS(1262),
    [anon_sym___asm__] = ACTIONS(1262),
    [anon_sym___asm] = ACTIONS(1262),
    [sym_number_literal] = ACTIONS(1264),
    [anon_sym_L_SQUOTE] = ACTIONS(1264),
    [anon_sym_u_SQUOTE] = ACTIONS(1264),
    [anon_sym_U_SQUOTE] = ACTIONS(1264),
    [anon_sym_u8_SQUOTE] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_L_DQUOTE] = ACTIONS(1264),
    [anon_sym_u_DQUOTE] = ACTIONS(1264),
    [anon_sym_U_DQUOTE] = ACTIONS(1264),
    [anon_sym_u8_DQUOTE] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [sym_true] = ACTIONS(1262),
    [sym_false] = ACTIONS(1262),
    [anon_sym_NULL] = ACTIONS(1262),
    [anon_sym_nullptr] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1266),
    [aux_sym_preproc_include_token1] = ACTIONS(1266),
    [aux_sym_preproc_def_token1] = ACTIONS(1266),
    [aux_sym_preproc_if_token1] = ACTIONS(1266),
    [aux_sym_preproc_if_token2] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1266),
    [aux_sym_preproc_else_token1] = ACTIONS(1266),
    [aux_sym_preproc_elif_token1] = ACTIONS(1266),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1266),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1266),
    [sym_preproc_directive] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1266),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1266),
    [anon_sym___attribute] = ACTIONS(1266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1268),
    [anon_sym___declspec] = ACTIONS(1266),
    [anon_sym___cdecl] = ACTIONS(1266),
    [anon_sym___clrcall] = ACTIONS(1266),
    [anon_sym___stdcall] = ACTIONS(1266),
    [anon_sym___fastcall] = ACTIONS(1266),
    [anon_sym___thiscall] = ACTIONS(1266),
    [anon_sym___vectorcall] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1266),
    [anon_sym_unsigned] = ACTIONS(1266),
    [anon_sym_long] = ACTIONS(1266),
    [anon_sym_short] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_auto] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1266),
    [anon_sym_constexpr] = ACTIONS(1266),
    [anon_sym_volatile] = ACTIONS(1266),
    [anon_sym_restrict] = ACTIONS(1266),
    [anon_sym___restrict__] = ACTIONS(1266),
    [anon_sym__Atomic] = ACTIONS(1266),
    [anon_sym__Noreturn] = ACTIONS(1266),
    [anon_sym_noreturn] = ACTIONS(1266),
    [anon_sym__Nonnull] = ACTIONS(1266),
    [anon_sym_alignas] = ACTIONS(1266),
    [anon_sym__Alignas] = ACTIONS(1266),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1266),
    [anon_sym_struct] = ACTIONS(1266),
    [anon_sym_union] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_switch] = ACTIONS(1266),
    [anon_sym_case] = ACTIONS(1266),
    [anon_sym_default] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_do] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_break] = ACTIONS(1266),
    [anon_sym_continue] = ACTIONS(1266),
    [anon_sym_goto] = ACTIONS(1266),
    [anon_sym___try] = ACTIONS(1266),
    [anon_sym___leave] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_sizeof] = ACTIONS(1266),
    [anon_sym___alignof__] = ACTIONS(1266),
    [anon_sym___alignof] = ACTIONS(1266),
    [anon_sym__alignof] = ACTIONS(1266),
    [anon_sym_alignof] = ACTIONS(1266),
    [anon_sym__Alignof] = ACTIONS(1266),
    [anon_sym_offsetof] = ACTIONS(1266),
    [anon_sym__Generic] = ACTIONS(1266),
    [anon_sym_asm] = ACTIONS(1266),
    [anon_sym___asm__] = ACTIONS(1266),
    [anon_sym___asm] = ACTIONS(1266),
    [sym_number_literal] = ACTIONS(1268),
    [anon_sym_L_SQUOTE] = ACTIONS(1268),
    [anon_sym_u_SQUOTE] = ACTIONS(1268),
    [anon_sym_U_SQUOTE] = ACTIONS(1268),
    [anon_sym_u8_SQUOTE] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_L_DQUOTE] = ACTIONS(1268),
    [anon_sym_u_DQUOTE] = ACTIONS(1268),
    [anon_sym_U_DQUOTE] = ACTIONS(1268),
    [anon_sym_u8_DQUOTE] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [anon_sym_NULL] = ACTIONS(1266),
    [anon_sym_nullptr] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1270),
    [aux_sym_preproc_include_token1] = ACTIONS(1270),
    [aux_sym_preproc_def_token1] = ACTIONS(1270),
    [aux_sym_preproc_if_token1] = ACTIONS(1270),
    [aux_sym_preproc_if_token2] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1270),
    [aux_sym_preproc_else_token1] = ACTIONS(1270),
    [aux_sym_preproc_elif_token1] = ACTIONS(1270),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1270),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1270),
    [sym_preproc_directive] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1270),
    [anon_sym_extern] = ACTIONS(1270),
    [anon_sym___attribute__] = ACTIONS(1270),
    [anon_sym___attribute] = ACTIONS(1270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1272),
    [anon_sym___declspec] = ACTIONS(1270),
    [anon_sym___cdecl] = ACTIONS(1270),
    [anon_sym___clrcall] = ACTIONS(1270),
    [anon_sym___stdcall] = ACTIONS(1270),
    [anon_sym___fastcall] = ACTIONS(1270),
    [anon_sym___thiscall] = ACTIONS(1270),
    [anon_sym___vectorcall] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1270),
    [anon_sym_unsigned] = ACTIONS(1270),
    [anon_sym_long] = ACTIONS(1270),
    [anon_sym_short] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_auto] = ACTIONS(1270),
    [anon_sym_register] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(1270),
    [anon_sym___inline] = ACTIONS(1270),
    [anon_sym___inline__] = ACTIONS(1270),
    [anon_sym___forceinline] = ACTIONS(1270),
    [anon_sym_thread_local] = ACTIONS(1270),
    [anon_sym___thread] = ACTIONS(1270),
    [anon_sym_const] = ACTIONS(1270),
    [anon_sym_constexpr] = ACTIONS(1270),
    [anon_sym_volatile] = ACTIONS(1270),
    [anon_sym_restrict] = ACTIONS(1270),
    [anon_sym___restrict__] = ACTIONS(1270),
    [anon_sym__Atomic] = ACTIONS(1270),
    [anon_sym__Noreturn] = ACTIONS(1270),
    [anon_sym_noreturn] = ACTIONS(1270),
    [anon_sym__Nonnull] = ACTIONS(1270),
    [anon_sym_alignas] = ACTIONS(1270),
    [anon_sym__Alignas] = ACTIONS(1270),
    [sym_primitive_type] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(1270),
    [anon_sym_struct] = ACTIONS(1270),
    [anon_sym_union] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1270),
    [anon_sym_switch] = ACTIONS(1270),
    [anon_sym_case] = ACTIONS(1270),
    [anon_sym_default] = ACTIONS(1270),
    [anon_sym_while] = ACTIONS(1270),
    [anon_sym_do] = ACTIONS(1270),
    [anon_sym_for] = ACTIONS(1270),
    [anon_sym_return] = ACTIONS(1270),
    [anon_sym_break] = ACTIONS(1270),
    [anon_sym_continue] = ACTIONS(1270),
    [anon_sym_goto] = ACTIONS(1270),
    [anon_sym___try] = ACTIONS(1270),
    [anon_sym___leave] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_sizeof] = ACTIONS(1270),
    [anon_sym___alignof__] = ACTIONS(1270),
    [anon_sym___alignof] = ACTIONS(1270),
    [anon_sym__alignof] = ACTIONS(1270),
    [anon_sym_alignof] = ACTIONS(1270),
    [anon_sym__Alignof] = ACTIONS(1270),
    [anon_sym_offsetof] = ACTIONS(1270),
    [anon_sym__Generic] = ACTIONS(1270),
    [anon_sym_asm] = ACTIONS(1270),
    [anon_sym___asm__] = ACTIONS(1270),
    [anon_sym___asm] = ACTIONS(1270),
    [sym_number_literal] = ACTIONS(1272),
    [anon_sym_L_SQUOTE] = ACTIONS(1272),
    [anon_sym_u_SQUOTE] = ACTIONS(1272),
    [anon_sym_U_SQUOTE] = ACTIONS(1272),
    [anon_sym_u8_SQUOTE] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_L_DQUOTE] = ACTIONS(1272),
    [anon_sym_u_DQUOTE] = ACTIONS(1272),
    [anon_sym_U_DQUOTE] = ACTIONS(1272),
    [anon_sym_u8_DQUOTE] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [sym_true] = ACTIONS(1270),
    [sym_false] = ACTIONS(1270),
    [anon_sym_NULL] = ACTIONS(1270),
    [anon_sym_nullptr] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1274),
    [aux_sym_preproc_include_token1] = ACTIONS(1274),
    [aux_sym_preproc_def_token1] = ACTIONS(1274),
    [aux_sym_preproc_if_token1] = ACTIONS(1274),
    [aux_sym_preproc_if_token2] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1274),
    [aux_sym_preproc_else_token1] = ACTIONS(1274),
    [aux_sym_preproc_elif_token1] = ACTIONS(1274),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1274),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1274),
    [sym_preproc_directive] = ACTIONS(1274),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1274),
    [anon_sym_extern] = ACTIONS(1274),
    [anon_sym___attribute__] = ACTIONS(1274),
    [anon_sym___attribute] = ACTIONS(1274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1276),
    [anon_sym___declspec] = ACTIONS(1274),
    [anon_sym___cdecl] = ACTIONS(1274),
    [anon_sym___clrcall] = ACTIONS(1274),
    [anon_sym___stdcall] = ACTIONS(1274),
    [anon_sym___fastcall] = ACTIONS(1274),
    [anon_sym___thiscall] = ACTIONS(1274),
    [anon_sym___vectorcall] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1274),
    [anon_sym_unsigned] = ACTIONS(1274),
    [anon_sym_long] = ACTIONS(1274),
    [anon_sym_short] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1274),
    [anon_sym_auto] = ACTIONS(1274),
    [anon_sym_register] = ACTIONS(1274),
    [anon_sym_inline] = ACTIONS(1274),
    [anon_sym___inline] = ACTIONS(1274),
    [anon_sym___inline__] = ACTIONS(1274),
    [anon_sym___forceinline] = ACTIONS(1274),
    [anon_sym_thread_local] = ACTIONS(1274),
    [anon_sym___thread] = ACTIONS(1274),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1274),
    [anon_sym__Alignas] = ACTIONS(1274),
    [sym_primitive_type] = ACTIONS(1274),
    [anon_sym_enum] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1274),
    [anon_sym_union] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_switch] = ACTIONS(1274),
    [anon_sym_case] = ACTIONS(1274),
    [anon_sym_default] = ACTIONS(1274),
    [anon_sym_while] = ACTIONS(1274),
    [anon_sym_do] = ACTIONS(1274),
    [anon_sym_for] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_break] = ACTIONS(1274),
    [anon_sym_continue] = ACTIONS(1274),
    [anon_sym_goto] = ACTIONS(1274),
    [anon_sym___try] = ACTIONS(1274),
    [anon_sym___leave] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_sizeof] = ACTIONS(1274),
    [anon_sym___alignof__] = ACTIONS(1274),
    [anon_sym___alignof] = ACTIONS(1274),
    [anon_sym__alignof] = ACTIONS(1274),
    [anon_sym_alignof] = ACTIONS(1274),
    [anon_sym__Alignof] = ACTIONS(1274),
    [anon_sym_offsetof] = ACTIONS(1274),
    [anon_sym__Generic] = ACTIONS(1274),
    [anon_sym_asm] = ACTIONS(1274),
    [anon_sym___asm__] = ACTIONS(1274),
    [anon_sym___asm] = ACTIONS(1274),
    [sym_number_literal] = ACTIONS(1276),
    [anon_sym_L_SQUOTE] = ACTIONS(1276),
    [anon_sym_u_SQUOTE] = ACTIONS(1276),
    [anon_sym_U_SQUOTE] = ACTIONS(1276),
    [anon_sym_u8_SQUOTE] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_L_DQUOTE] = ACTIONS(1276),
    [anon_sym_u_DQUOTE] = ACTIONS(1276),
    [anon_sym_U_DQUOTE] = ACTIONS(1276),
    [anon_sym_u8_DQUOTE] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [sym_true] = ACTIONS(1274),
    [sym_false] = ACTIONS(1274),
    [anon_sym_NULL] = ACTIONS(1274),
    [anon_sym_nullptr] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1278),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [aux_sym_preproc_else_token1] = ACTIONS(1278),
    [aux_sym_preproc_elif_token1] = ACTIONS(1278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1278),
    [anon_sym___attribute] = ACTIONS(1278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1280),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1278),
    [anon_sym_unsigned] = ACTIONS(1278),
    [anon_sym_long] = ACTIONS(1278),
    [anon_sym_short] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_auto] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1278),
    [anon_sym_constexpr] = ACTIONS(1278),
    [anon_sym_volatile] = ACTIONS(1278),
    [anon_sym_restrict] = ACTIONS(1278),
    [anon_sym___restrict__] = ACTIONS(1278),
    [anon_sym__Atomic] = ACTIONS(1278),
    [anon_sym__Noreturn] = ACTIONS(1278),
    [anon_sym_noreturn] = ACTIONS(1278),
    [anon_sym__Nonnull] = ACTIONS(1278),
    [anon_sym_alignas] = ACTIONS(1278),
    [anon_sym__Alignas] = ACTIONS(1278),
    [sym_primitive_type] = ACTIONS(1278),
    [anon_sym_enum] = ACTIONS(1278),
    [anon_sym_struct] = ACTIONS(1278),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1278),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1278),
    [anon_sym_do] = ACTIONS(1278),
    [anon_sym_for] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1278),
    [anon_sym_break] = ACTIONS(1278),
    [anon_sym_continue] = ACTIONS(1278),
    [anon_sym_goto] = ACTIONS(1278),
    [anon_sym___try] = ACTIONS(1278),
    [anon_sym___leave] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_sizeof] = ACTIONS(1278),
    [anon_sym___alignof__] = ACTIONS(1278),
    [anon_sym___alignof] = ACTIONS(1278),
    [anon_sym__alignof] = ACTIONS(1278),
    [anon_sym_alignof] = ACTIONS(1278),
    [anon_sym__Alignof] = ACTIONS(1278),
    [anon_sym_offsetof] = ACTIONS(1278),
    [anon_sym__Generic] = ACTIONS(1278),
    [anon_sym_asm] = ACTIONS(1278),
    [anon_sym___asm__] = ACTIONS(1278),
    [anon_sym___asm] = ACTIONS(1278),
    [sym_number_literal] = ACTIONS(1280),
    [anon_sym_L_SQUOTE] = ACTIONS(1280),
    [anon_sym_u_SQUOTE] = ACTIONS(1280),
    [anon_sym_U_SQUOTE] = ACTIONS(1280),
    [anon_sym_u8_SQUOTE] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_L_DQUOTE] = ACTIONS(1280),
    [anon_sym_u_DQUOTE] = ACTIONS(1280),
    [anon_sym_U_DQUOTE] = ACTIONS(1280),
    [anon_sym_u8_DQUOTE] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [sym_true] = ACTIONS(1278),
    [sym_false] = ACTIONS(1278),
    [anon_sym_NULL] = ACTIONS(1278),
    [anon_sym_nullptr] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1282),
    [aux_sym_preproc_include_token1] = ACTIONS(1282),
    [aux_sym_preproc_def_token1] = ACTIONS(1282),
    [aux_sym_preproc_if_token1] = ACTIONS(1282),
    [aux_sym_preproc_if_token2] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1282),
    [aux_sym_preproc_else_token1] = ACTIONS(1282),
    [aux_sym_preproc_elif_token1] = ACTIONS(1282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1282),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1282),
    [sym_preproc_directive] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1282),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1284),
    [anon_sym___declspec] = ACTIONS(1282),
    [anon_sym___cdecl] = ACTIONS(1282),
    [anon_sym___clrcall] = ACTIONS(1282),
    [anon_sym___stdcall] = ACTIONS(1282),
    [anon_sym___fastcall] = ACTIONS(1282),
    [anon_sym___thiscall] = ACTIONS(1282),
    [anon_sym___vectorcall] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1282),
    [anon_sym_unsigned] = ACTIONS(1282),
    [anon_sym_long] = ACTIONS(1282),
    [anon_sym_short] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_auto] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1282),
    [anon_sym_constexpr] = ACTIONS(1282),
    [anon_sym_volatile] = ACTIONS(1282),
    [anon_sym_restrict] = ACTIONS(1282),
    [anon_sym___restrict__] = ACTIONS(1282),
    [anon_sym__Atomic] = ACTIONS(1282),
    [anon_sym__Noreturn] = ACTIONS(1282),
    [anon_sym_noreturn] = ACTIONS(1282),
    [anon_sym__Nonnull] = ACTIONS(1282),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [sym_primitive_type] = ACTIONS(1282),
    [anon_sym_enum] = ACTIONS(1282),
    [anon_sym_struct] = ACTIONS(1282),
    [anon_sym_union] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1282),
    [anon_sym_switch] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(1282),
    [anon_sym_default] = ACTIONS(1282),
    [anon_sym_while] = ACTIONS(1282),
    [anon_sym_do] = ACTIONS(1282),
    [anon_sym_for] = ACTIONS(1282),
    [anon_sym_return] = ACTIONS(1282),
    [anon_sym_break] = ACTIONS(1282),
    [anon_sym_continue] = ACTIONS(1282),
    [anon_sym_goto] = ACTIONS(1282),
    [anon_sym___try] = ACTIONS(1282),
    [anon_sym___leave] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_sizeof] = ACTIONS(1282),
    [anon_sym___alignof__] = ACTIONS(1282),
    [anon_sym___alignof] = ACTIONS(1282),
    [anon_sym__alignof] = ACTIONS(1282),
    [anon_sym_alignof] = ACTIONS(1282),
    [anon_sym__Alignof] = ACTIONS(1282),
    [anon_sym_offsetof] = ACTIONS(1282),
    [anon_sym__Generic] = ACTIONS(1282),
    [anon_sym_asm] = ACTIONS(1282),
    [anon_sym___asm__] = ACTIONS(1282),
    [anon_sym___asm] = ACTIONS(1282),
    [sym_number_literal] = ACTIONS(1284),
    [anon_sym_L_SQUOTE] = ACTIONS(1284),
    [anon_sym_u_SQUOTE] = ACTIONS(1284),
    [anon_sym_U_SQUOTE] = ACTIONS(1284),
    [anon_sym_u8_SQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_L_DQUOTE] = ACTIONS(1284),
    [anon_sym_u_DQUOTE] = ACTIONS(1284),
    [anon_sym_U_DQUOTE] = ACTIONS(1284),
    [anon_sym_u8_DQUOTE] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [sym_true] = ACTIONS(1282),
    [sym_false] = ACTIONS(1282),
    [anon_sym_NULL] = ACTIONS(1282),
    [anon_sym_nullptr] = ACTIONS(1282),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1286),
    [aux_sym_preproc_include_token1] = ACTIONS(1286),
    [aux_sym_preproc_def_token1] = ACTIONS(1286),
    [aux_sym_preproc_if_token1] = ACTIONS(1286),
    [aux_sym_preproc_if_token2] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1286),
    [aux_sym_preproc_else_token1] = ACTIONS(1286),
    [aux_sym_preproc_elif_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1286),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1286),
    [sym_preproc_directive] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1286),
    [anon_sym_extern] = ACTIONS(1286),
    [anon_sym___attribute__] = ACTIONS(1286),
    [anon_sym___attribute] = ACTIONS(1286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1286),
    [anon_sym___cdecl] = ACTIONS(1286),
    [anon_sym___clrcall] = ACTIONS(1286),
    [anon_sym___stdcall] = ACTIONS(1286),
    [anon_sym___fastcall] = ACTIONS(1286),
    [anon_sym___thiscall] = ACTIONS(1286),
    [anon_sym___vectorcall] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1286),
    [anon_sym_unsigned] = ACTIONS(1286),
    [anon_sym_long] = ACTIONS(1286),
    [anon_sym_short] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_auto] = ACTIONS(1286),
    [anon_sym_register] = ACTIONS(1286),
    [anon_sym_inline] = ACTIONS(1286),
    [anon_sym___inline] = ACTIONS(1286),
    [anon_sym___inline__] = ACTIONS(1286),
    [anon_sym___forceinline] = ACTIONS(1286),
    [anon_sym_thread_local] = ACTIONS(1286),
    [anon_sym___thread] = ACTIONS(1286),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_constexpr] = ACTIONS(1286),
    [anon_sym_volatile] = ACTIONS(1286),
    [anon_sym_restrict] = ACTIONS(1286),
    [anon_sym___restrict__] = ACTIONS(1286),
    [anon_sym__Atomic] = ACTIONS(1286),
    [anon_sym__Noreturn] = ACTIONS(1286),
    [anon_sym_noreturn] = ACTIONS(1286),
    [anon_sym__Nonnull] = ACTIONS(1286),
    [anon_sym_alignas] = ACTIONS(1286),
    [anon_sym__Alignas] = ACTIONS(1286),
    [sym_primitive_type] = ACTIONS(1286),
    [anon_sym_enum] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1286),
    [anon_sym_union] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_switch] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1286),
    [anon_sym_while] = ACTIONS(1286),
    [anon_sym_do] = ACTIONS(1286),
    [anon_sym_for] = ACTIONS(1286),
    [anon_sym_return] = ACTIONS(1286),
    [anon_sym_break] = ACTIONS(1286),
    [anon_sym_continue] = ACTIONS(1286),
    [anon_sym_goto] = ACTIONS(1286),
    [anon_sym___try] = ACTIONS(1286),
    [anon_sym___leave] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_sizeof] = ACTIONS(1286),
    [anon_sym___alignof__] = ACTIONS(1286),
    [anon_sym___alignof] = ACTIONS(1286),
    [anon_sym__alignof] = ACTIONS(1286),
    [anon_sym_alignof] = ACTIONS(1286),
    [anon_sym__Alignof] = ACTIONS(1286),
    [anon_sym_offsetof] = ACTIONS(1286),
    [anon_sym__Generic] = ACTIONS(1286),
    [anon_sym_asm] = ACTIONS(1286),
    [anon_sym___asm__] = ACTIONS(1286),
    [anon_sym___asm] = ACTIONS(1286),
    [sym_number_literal] = ACTIONS(1288),
    [anon_sym_L_SQUOTE] = ACTIONS(1288),
    [anon_sym_u_SQUOTE] = ACTIONS(1288),
    [anon_sym_U_SQUOTE] = ACTIONS(1288),
    [anon_sym_u8_SQUOTE] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_L_DQUOTE] = ACTIONS(1288),
    [anon_sym_u_DQUOTE] = ACTIONS(1288),
    [anon_sym_U_DQUOTE] = ACTIONS(1288),
    [anon_sym_u8_DQUOTE] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [sym_true] = ACTIONS(1286),
    [sym_false] = ACTIONS(1286),
    [anon_sym_NULL] = ACTIONS(1286),
    [anon_sym_nullptr] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1290),
    [aux_sym_preproc_include_token1] = ACTIONS(1290),
    [aux_sym_preproc_def_token1] = ACTIONS(1290),
    [aux_sym_preproc_if_token1] = ACTIONS(1290),
    [aux_sym_preproc_if_token2] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1290),
    [aux_sym_preproc_else_token1] = ACTIONS(1290),
    [aux_sym_preproc_elif_token1] = ACTIONS(1290),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1290),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1290),
    [sym_preproc_directive] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1290),
    [anon_sym_extern] = ACTIONS(1290),
    [anon_sym___attribute__] = ACTIONS(1290),
    [anon_sym___attribute] = ACTIONS(1290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1292),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___cdecl] = ACTIONS(1290),
    [anon_sym___clrcall] = ACTIONS(1290),
    [anon_sym___stdcall] = ACTIONS(1290),
    [anon_sym___fastcall] = ACTIONS(1290),
    [anon_sym___thiscall] = ACTIONS(1290),
    [anon_sym___vectorcall] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1290),
    [anon_sym_unsigned] = ACTIONS(1290),
    [anon_sym_long] = ACTIONS(1290),
    [anon_sym_short] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1290),
    [anon_sym_auto] = ACTIONS(1290),
    [anon_sym_register] = ACTIONS(1290),
    [anon_sym_inline] = ACTIONS(1290),
    [anon_sym___inline] = ACTIONS(1290),
    [anon_sym___inline__] = ACTIONS(1290),
    [anon_sym___forceinline] = ACTIONS(1290),
    [anon_sym_thread_local] = ACTIONS(1290),
    [anon_sym___thread] = ACTIONS(1290),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1290),
    [anon_sym__Alignas] = ACTIONS(1290),
    [sym_primitive_type] = ACTIONS(1290),
    [anon_sym_enum] = ACTIONS(1290),
    [anon_sym_struct] = ACTIONS(1290),
    [anon_sym_union] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1290),
    [anon_sym_switch] = ACTIONS(1290),
    [anon_sym_case] = ACTIONS(1290),
    [anon_sym_default] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1290),
    [anon_sym_do] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_return] = ACTIONS(1290),
    [anon_sym_break] = ACTIONS(1290),
    [anon_sym_continue] = ACTIONS(1290),
    [anon_sym_goto] = ACTIONS(1290),
    [anon_sym___try] = ACTIONS(1290),
    [anon_sym___leave] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_sizeof] = ACTIONS(1290),
    [anon_sym___alignof__] = ACTIONS(1290),
    [anon_sym___alignof] = ACTIONS(1290),
    [anon_sym__alignof] = ACTIONS(1290),
    [anon_sym_alignof] = ACTIONS(1290),
    [anon_sym__Alignof] = ACTIONS(1290),
    [anon_sym_offsetof] = ACTIONS(1290),
    [anon_sym__Generic] = ACTIONS(1290),
    [anon_sym_asm] = ACTIONS(1290),
    [anon_sym___asm__] = ACTIONS(1290),
    [anon_sym___asm] = ACTIONS(1290),
    [sym_number_literal] = ACTIONS(1292),
    [anon_sym_L_SQUOTE] = ACTIONS(1292),
    [anon_sym_u_SQUOTE] = ACTIONS(1292),
    [anon_sym_U_SQUOTE] = ACTIONS(1292),
    [anon_sym_u8_SQUOTE] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_L_DQUOTE] = ACTIONS(1292),
    [anon_sym_u_DQUOTE] = ACTIONS(1292),
    [anon_sym_U_DQUOTE] = ACTIONS(1292),
    [anon_sym_u8_DQUOTE] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [sym_true] = ACTIONS(1290),
    [sym_false] = ACTIONS(1290),
    [anon_sym_NULL] = ACTIONS(1290),
    [anon_sym_nullptr] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1294),
    [aux_sym_preproc_include_token1] = ACTIONS(1294),
    [aux_sym_preproc_def_token1] = ACTIONS(1294),
    [aux_sym_preproc_if_token1] = ACTIONS(1294),
    [aux_sym_preproc_if_token2] = ACTIONS(1294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1294),
    [aux_sym_preproc_else_token1] = ACTIONS(1294),
    [aux_sym_preproc_elif_token1] = ACTIONS(1294),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1294),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1294),
    [sym_preproc_directive] = ACTIONS(1294),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1294),
    [anon_sym_extern] = ACTIONS(1294),
    [anon_sym___attribute__] = ACTIONS(1294),
    [anon_sym___attribute] = ACTIONS(1294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___cdecl] = ACTIONS(1294),
    [anon_sym___clrcall] = ACTIONS(1294),
    [anon_sym___stdcall] = ACTIONS(1294),
    [anon_sym___fastcall] = ACTIONS(1294),
    [anon_sym___thiscall] = ACTIONS(1294),
    [anon_sym___vectorcall] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1294),
    [anon_sym_unsigned] = ACTIONS(1294),
    [anon_sym_long] = ACTIONS(1294),
    [anon_sym_short] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1294),
    [anon_sym_auto] = ACTIONS(1294),
    [anon_sym_register] = ACTIONS(1294),
    [anon_sym_inline] = ACTIONS(1294),
    [anon_sym___inline] = ACTIONS(1294),
    [anon_sym___inline__] = ACTIONS(1294),
    [anon_sym___forceinline] = ACTIONS(1294),
    [anon_sym_thread_local] = ACTIONS(1294),
    [anon_sym___thread] = ACTIONS(1294),
    [anon_sym_const] = ACTIONS(1294),
    [anon_sym_constexpr] = ACTIONS(1294),
    [anon_sym_volatile] = ACTIONS(1294),
    [anon_sym_restrict] = ACTIONS(1294),
    [anon_sym___restrict__] = ACTIONS(1294),
    [anon_sym__Atomic] = ACTIONS(1294),
    [anon_sym__Noreturn] = ACTIONS(1294),
    [anon_sym_noreturn] = ACTIONS(1294),
    [anon_sym__Nonnull] = ACTIONS(1294),
    [anon_sym_alignas] = ACTIONS(1294),
    [anon_sym__Alignas] = ACTIONS(1294),
    [sym_primitive_type] = ACTIONS(1294),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1294),
    [anon_sym_switch] = ACTIONS(1294),
    [anon_sym_case] = ACTIONS(1294),
    [anon_sym_default] = ACTIONS(1294),
    [anon_sym_while] = ACTIONS(1294),
    [anon_sym_do] = ACTIONS(1294),
    [anon_sym_for] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_continue] = ACTIONS(1294),
    [anon_sym_goto] = ACTIONS(1294),
    [anon_sym___try] = ACTIONS(1294),
    [anon_sym___leave] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1294),
    [anon_sym___alignof__] = ACTIONS(1294),
    [anon_sym___alignof] = ACTIONS(1294),
    [anon_sym__alignof] = ACTIONS(1294),
    [anon_sym_alignof] = ACTIONS(1294),
    [anon_sym__Alignof] = ACTIONS(1294),
    [anon_sym_offsetof] = ACTIONS(1294),
    [anon_sym__Generic] = ACTIONS(1294),
    [anon_sym_asm] = ACTIONS(1294),
    [anon_sym___asm__] = ACTIONS(1294),
    [anon_sym___asm] = ACTIONS(1294),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1294),
    [sym_false] = ACTIONS(1294),
    [anon_sym_NULL] = ACTIONS(1294),
    [anon_sym_nullptr] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [aux_sym_preproc_else_token1] = ACTIONS(1300),
    [aux_sym_preproc_elif_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [aux_sym_preproc_else_token1] = ACTIONS(1304),
    [aux_sym_preproc_elif_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [aux_sym_preproc_else_token1] = ACTIONS(1308),
    [aux_sym_preproc_elif_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [aux_sym_preproc_else_token1] = ACTIONS(1320),
    [aux_sym_preproc_elif_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [aux_sym_preproc_else_token1] = ACTIONS(1324),
    [aux_sym_preproc_elif_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [aux_sym_preproc_else_token1] = ACTIONS(1328),
    [aux_sym_preproc_elif_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [aux_sym_preproc_else_token1] = ACTIONS(1332),
    [aux_sym_preproc_elif_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [aux_sym_preproc_else_token1] = ACTIONS(1336),
    [aux_sym_preproc_elif_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [aux_sym_preproc_else_token1] = ACTIONS(1340),
    [aux_sym_preproc_elif_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [aux_sym_preproc_else_token1] = ACTIONS(1344),
    [aux_sym_preproc_elif_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [aux_sym_preproc_else_token1] = ACTIONS(1348),
    [aux_sym_preproc_elif_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [aux_sym_preproc_else_token1] = ACTIONS(1356),
    [aux_sym_preproc_elif_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym___try] = ACTIONS(1356),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [aux_sym_preproc_else_token1] = ACTIONS(1360),
    [aux_sym_preproc_elif_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym___try] = ACTIONS(1360),
    [anon_sym___leave] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [aux_sym_preproc_else_token1] = ACTIONS(1364),
    [aux_sym_preproc_elif_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym___try] = ACTIONS(1364),
    [anon_sym___leave] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [aux_sym_preproc_else_token1] = ACTIONS(1368),
    [aux_sym_preproc_elif_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym___try] = ACTIONS(1368),
    [anon_sym___leave] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [aux_sym_preproc_else_token1] = ACTIONS(1372),
    [aux_sym_preproc_elif_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym___try] = ACTIONS(1372),
    [anon_sym___leave] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [aux_sym_preproc_else_token1] = ACTIONS(1376),
    [aux_sym_preproc_elif_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym___try] = ACTIONS(1376),
    [anon_sym___leave] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_else_clause] = STATE(210),
    [sym_identifier] = ACTIONS(1128),
    [aux_sym_preproc_include_token1] = ACTIONS(1128),
    [aux_sym_preproc_def_token1] = ACTIONS(1128),
    [aux_sym_preproc_if_token1] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1128),
    [sym_preproc_directive] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym___extension__] = ACTIONS(1128),
    [anon_sym_typedef] = ACTIONS(1128),
    [anon_sym_extern] = ACTIONS(1128),
    [anon_sym___attribute__] = ACTIONS(1128),
    [anon_sym___attribute] = ACTIONS(1128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1130),
    [anon_sym___declspec] = ACTIONS(1128),
    [anon_sym___cdecl] = ACTIONS(1128),
    [anon_sym___clrcall] = ACTIONS(1128),
    [anon_sym___stdcall] = ACTIONS(1128),
    [anon_sym___fastcall] = ACTIONS(1128),
    [anon_sym___thiscall] = ACTIONS(1128),
    [anon_sym___vectorcall] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_signed] = ACTIONS(1128),
    [anon_sym_unsigned] = ACTIONS(1128),
    [anon_sym_long] = ACTIONS(1128),
    [anon_sym_short] = ACTIONS(1128),
    [anon_sym_static] = ACTIONS(1128),
    [anon_sym_auto] = ACTIONS(1128),
    [anon_sym_register] = ACTIONS(1128),
    [anon_sym_inline] = ACTIONS(1128),
    [anon_sym___inline] = ACTIONS(1128),
    [anon_sym___inline__] = ACTIONS(1128),
    [anon_sym___forceinline] = ACTIONS(1128),
    [anon_sym_thread_local] = ACTIONS(1128),
    [anon_sym___thread] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_constexpr] = ACTIONS(1128),
    [anon_sym_volatile] = ACTIONS(1128),
    [anon_sym_restrict] = ACTIONS(1128),
    [anon_sym___restrict__] = ACTIONS(1128),
    [anon_sym__Atomic] = ACTIONS(1128),
    [anon_sym__Noreturn] = ACTIONS(1128),
    [anon_sym_noreturn] = ACTIONS(1128),
    [anon_sym__Nonnull] = ACTIONS(1128),
    [anon_sym_alignas] = ACTIONS(1128),
    [anon_sym__Alignas] = ACTIONS(1128),
    [sym_primitive_type] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_struct] = ACTIONS(1128),
    [anon_sym_union] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(1380),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1128),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_do] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym___try] = ACTIONS(1128),
    [anon_sym___leave] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_sizeof] = ACTIONS(1128),
    [anon_sym___alignof__] = ACTIONS(1128),
    [anon_sym___alignof] = ACTIONS(1128),
    [anon_sym__alignof] = ACTIONS(1128),
    [anon_sym_alignof] = ACTIONS(1128),
    [anon_sym__Alignof] = ACTIONS(1128),
    [anon_sym_offsetof] = ACTIONS(1128),
    [anon_sym__Generic] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym___asm__] = ACTIONS(1128),
    [anon_sym___asm] = ACTIONS(1128),
    [sym_number_literal] = ACTIONS(1130),
    [anon_sym_L_SQUOTE] = ACTIONS(1130),
    [anon_sym_u_SQUOTE] = ACTIONS(1130),
    [anon_sym_U_SQUOTE] = ACTIONS(1130),
    [anon_sym_u8_SQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_L_DQUOTE] = ACTIONS(1130),
    [anon_sym_u_DQUOTE] = ACTIONS(1130),
    [anon_sym_U_DQUOTE] = ACTIONS(1130),
    [anon_sym_u8_DQUOTE] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_NULL] = ACTIONS(1128),
    [anon_sym_nullptr] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_else_clause] = STATE(184),
    [sym_identifier] = ACTIONS(1128),
    [aux_sym_preproc_include_token1] = ACTIONS(1128),
    [aux_sym_preproc_def_token1] = ACTIONS(1128),
    [aux_sym_preproc_if_token1] = ACTIONS(1128),
    [aux_sym_preproc_if_token2] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1128),
    [sym_preproc_directive] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym___extension__] = ACTIONS(1128),
    [anon_sym_typedef] = ACTIONS(1128),
    [anon_sym_extern] = ACTIONS(1128),
    [anon_sym___attribute__] = ACTIONS(1128),
    [anon_sym___attribute] = ACTIONS(1128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1130),
    [anon_sym___declspec] = ACTIONS(1128),
    [anon_sym___cdecl] = ACTIONS(1128),
    [anon_sym___clrcall] = ACTIONS(1128),
    [anon_sym___stdcall] = ACTIONS(1128),
    [anon_sym___fastcall] = ACTIONS(1128),
    [anon_sym___thiscall] = ACTIONS(1128),
    [anon_sym___vectorcall] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_signed] = ACTIONS(1128),
    [anon_sym_unsigned] = ACTIONS(1128),
    [anon_sym_long] = ACTIONS(1128),
    [anon_sym_short] = ACTIONS(1128),
    [anon_sym_static] = ACTIONS(1128),
    [anon_sym_auto] = ACTIONS(1128),
    [anon_sym_register] = ACTIONS(1128),
    [anon_sym_inline] = ACTIONS(1128),
    [anon_sym___inline] = ACTIONS(1128),
    [anon_sym___inline__] = ACTIONS(1128),
    [anon_sym___forceinline] = ACTIONS(1128),
    [anon_sym_thread_local] = ACTIONS(1128),
    [anon_sym___thread] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_constexpr] = ACTIONS(1128),
    [anon_sym_volatile] = ACTIONS(1128),
    [anon_sym_restrict] = ACTIONS(1128),
    [anon_sym___restrict__] = ACTIONS(1128),
    [anon_sym__Atomic] = ACTIONS(1128),
    [anon_sym__Noreturn] = ACTIONS(1128),
    [anon_sym_noreturn] = ACTIONS(1128),
    [anon_sym__Nonnull] = ACTIONS(1128),
    [anon_sym_alignas] = ACTIONS(1128),
    [anon_sym__Alignas] = ACTIONS(1128),
    [sym_primitive_type] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_struct] = ACTIONS(1128),
    [anon_sym_union] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1128),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_do] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym___try] = ACTIONS(1128),
    [anon_sym___leave] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_sizeof] = ACTIONS(1128),
    [anon_sym___alignof__] = ACTIONS(1128),
    [anon_sym___alignof] = ACTIONS(1128),
    [anon_sym__alignof] = ACTIONS(1128),
    [anon_sym_alignof] = ACTIONS(1128),
    [anon_sym__Alignof] = ACTIONS(1128),
    [anon_sym_offsetof] = ACTIONS(1128),
    [anon_sym__Generic] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym___asm__] = ACTIONS(1128),
    [anon_sym___asm] = ACTIONS(1128),
    [sym_number_literal] = ACTIONS(1130),
    [anon_sym_L_SQUOTE] = ACTIONS(1130),
    [anon_sym_u_SQUOTE] = ACTIONS(1130),
    [anon_sym_U_SQUOTE] = ACTIONS(1130),
    [anon_sym_u8_SQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_L_DQUOTE] = ACTIONS(1130),
    [anon_sym_u_DQUOTE] = ACTIONS(1130),
    [anon_sym_U_DQUOTE] = ACTIONS(1130),
    [anon_sym_u8_DQUOTE] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_NULL] = ACTIONS(1128),
    [anon_sym_nullptr] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_else_clause] = STATE(183),
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_identifier] = ACTIONS(1128),
    [aux_sym_preproc_include_token1] = ACTIONS(1128),
    [aux_sym_preproc_def_token1] = ACTIONS(1128),
    [aux_sym_preproc_if_token1] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1128),
    [sym_preproc_directive] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym___extension__] = ACTIONS(1128),
    [anon_sym_typedef] = ACTIONS(1128),
    [anon_sym_extern] = ACTIONS(1128),
    [anon_sym___attribute__] = ACTIONS(1128),
    [anon_sym___attribute] = ACTIONS(1128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1130),
    [anon_sym___declspec] = ACTIONS(1128),
    [anon_sym___cdecl] = ACTIONS(1128),
    [anon_sym___clrcall] = ACTIONS(1128),
    [anon_sym___stdcall] = ACTIONS(1128),
    [anon_sym___fastcall] = ACTIONS(1128),
    [anon_sym___thiscall] = ACTIONS(1128),
    [anon_sym___vectorcall] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_signed] = ACTIONS(1128),
    [anon_sym_unsigned] = ACTIONS(1128),
    [anon_sym_long] = ACTIONS(1128),
    [anon_sym_short] = ACTIONS(1128),
    [anon_sym_static] = ACTIONS(1128),
    [anon_sym_auto] = ACTIONS(1128),
    [anon_sym_register] = ACTIONS(1128),
    [anon_sym_inline] = ACTIONS(1128),
    [anon_sym___inline] = ACTIONS(1128),
    [anon_sym___inline__] = ACTIONS(1128),
    [anon_sym___forceinline] = ACTIONS(1128),
    [anon_sym_thread_local] = ACTIONS(1128),
    [anon_sym___thread] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_constexpr] = ACTIONS(1128),
    [anon_sym_volatile] = ACTIONS(1128),
    [anon_sym_restrict] = ACTIONS(1128),
    [anon_sym___restrict__] = ACTIONS(1128),
    [anon_sym__Atomic] = ACTIONS(1128),
    [anon_sym__Noreturn] = ACTIONS(1128),
    [anon_sym_noreturn] = ACTIONS(1128),
    [anon_sym__Nonnull] = ACTIONS(1128),
    [anon_sym_alignas] = ACTIONS(1128),
    [anon_sym__Alignas] = ACTIONS(1128),
    [sym_primitive_type] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_struct] = ACTIONS(1128),
    [anon_sym_union] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(1384),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1128),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_do] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym___try] = ACTIONS(1128),
    [anon_sym___leave] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_sizeof] = ACTIONS(1128),
    [anon_sym___alignof__] = ACTIONS(1128),
    [anon_sym___alignof] = ACTIONS(1128),
    [anon_sym__alignof] = ACTIONS(1128),
    [anon_sym_alignof] = ACTIONS(1128),
    [anon_sym__Alignof] = ACTIONS(1128),
    [anon_sym_offsetof] = ACTIONS(1128),
    [anon_sym__Generic] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym___asm__] = ACTIONS(1128),
    [anon_sym___asm] = ACTIONS(1128),
    [sym_number_literal] = ACTIONS(1130),
    [anon_sym_L_SQUOTE] = ACTIONS(1130),
    [anon_sym_u_SQUOTE] = ACTIONS(1130),
    [anon_sym_U_SQUOTE] = ACTIONS(1130),
    [anon_sym_u8_SQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_L_DQUOTE] = ACTIONS(1130),
    [anon_sym_u_DQUOTE] = ACTIONS(1130),
    [anon_sym_U_DQUOTE] = ACTIONS(1130),
    [anon_sym_u8_DQUOTE] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_NULL] = ACTIONS(1128),
    [anon_sym_nullptr] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1218),
    [aux_sym_preproc_include_token1] = ACTIONS(1218),
    [aux_sym_preproc_def_token1] = ACTIONS(1218),
    [aux_sym_preproc_if_token1] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1218),
    [sym_preproc_directive] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym___extension__] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1218),
    [anon_sym_extern] = ACTIONS(1218),
    [anon_sym___attribute__] = ACTIONS(1218),
    [anon_sym___attribute] = ACTIONS(1218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1220),
    [anon_sym___declspec] = ACTIONS(1218),
    [anon_sym___cdecl] = ACTIONS(1218),
    [anon_sym___clrcall] = ACTIONS(1218),
    [anon_sym___stdcall] = ACTIONS(1218),
    [anon_sym___fastcall] = ACTIONS(1218),
    [anon_sym___thiscall] = ACTIONS(1218),
    [anon_sym___vectorcall] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1218),
    [anon_sym_unsigned] = ACTIONS(1218),
    [anon_sym_long] = ACTIONS(1218),
    [anon_sym_short] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_auto] = ACTIONS(1218),
    [anon_sym_register] = ACTIONS(1218),
    [anon_sym_inline] = ACTIONS(1218),
    [anon_sym___inline] = ACTIONS(1218),
    [anon_sym___inline__] = ACTIONS(1218),
    [anon_sym___forceinline] = ACTIONS(1218),
    [anon_sym_thread_local] = ACTIONS(1218),
    [anon_sym___thread] = ACTIONS(1218),
    [anon_sym_const] = ACTIONS(1218),
    [anon_sym_constexpr] = ACTIONS(1218),
    [anon_sym_volatile] = ACTIONS(1218),
    [anon_sym_restrict] = ACTIONS(1218),
    [anon_sym___restrict__] = ACTIONS(1218),
    [anon_sym__Atomic] = ACTIONS(1218),
    [anon_sym__Noreturn] = ACTIONS(1218),
    [anon_sym_noreturn] = ACTIONS(1218),
    [anon_sym__Nonnull] = ACTIONS(1218),
    [anon_sym_alignas] = ACTIONS(1218),
    [anon_sym__Alignas] = ACTIONS(1218),
    [sym_primitive_type] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_struct] = ACTIONS(1218),
    [anon_sym_union] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_else] = ACTIONS(1218),
    [anon_sym_switch] = ACTIONS(1218),
    [anon_sym_case] = ACTIONS(1218),
    [anon_sym_default] = ACTIONS(1218),
    [anon_sym_while] = ACTIONS(1218),
    [anon_sym_do] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym___try] = ACTIONS(1218),
    [anon_sym___leave] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_sizeof] = ACTIONS(1218),
    [anon_sym___alignof__] = ACTIONS(1218),
    [anon_sym___alignof] = ACTIONS(1218),
    [anon_sym__alignof] = ACTIONS(1218),
    [anon_sym_alignof] = ACTIONS(1218),
    [anon_sym__Alignof] = ACTIONS(1218),
    [anon_sym_offsetof] = ACTIONS(1218),
    [anon_sym__Generic] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym___asm__] = ACTIONS(1218),
    [anon_sym___asm] = ACTIONS(1218),
    [sym_number_literal] = ACTIONS(1220),
    [anon_sym_L_SQUOTE] = ACTIONS(1220),
    [anon_sym_u_SQUOTE] = ACTIONS(1220),
    [anon_sym_U_SQUOTE] = ACTIONS(1220),
    [anon_sym_u8_SQUOTE] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_L_DQUOTE] = ACTIONS(1220),
    [anon_sym_u_DQUOTE] = ACTIONS(1220),
    [anon_sym_U_DQUOTE] = ACTIONS(1220),
    [anon_sym_u8_DQUOTE] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_NULL] = ACTIONS(1218),
    [anon_sym_nullptr] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1170),
    [aux_sym_preproc_include_token1] = ACTIONS(1170),
    [aux_sym_preproc_def_token1] = ACTIONS(1170),
    [aux_sym_preproc_if_token1] = ACTIONS(1170),
    [aux_sym_preproc_if_token2] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1170),
    [sym_preproc_directive] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_STAR] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___extension__] = ACTIONS(1170),
    [anon_sym_typedef] = ACTIONS(1170),
    [anon_sym_extern] = ACTIONS(1170),
    [anon_sym___attribute__] = ACTIONS(1170),
    [anon_sym___attribute] = ACTIONS(1170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1172),
    [anon_sym___declspec] = ACTIONS(1170),
    [anon_sym___cdecl] = ACTIONS(1170),
    [anon_sym___clrcall] = ACTIONS(1170),
    [anon_sym___stdcall] = ACTIONS(1170),
    [anon_sym___fastcall] = ACTIONS(1170),
    [anon_sym___thiscall] = ACTIONS(1170),
    [anon_sym___vectorcall] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_signed] = ACTIONS(1170),
    [anon_sym_unsigned] = ACTIONS(1170),
    [anon_sym_long] = ACTIONS(1170),
    [anon_sym_short] = ACTIONS(1170),
    [anon_sym_static] = ACTIONS(1170),
    [anon_sym_auto] = ACTIONS(1170),
    [anon_sym_register] = ACTIONS(1170),
    [anon_sym_inline] = ACTIONS(1170),
    [anon_sym___inline] = ACTIONS(1170),
    [anon_sym___inline__] = ACTIONS(1170),
    [anon_sym___forceinline] = ACTIONS(1170),
    [anon_sym_thread_local] = ACTIONS(1170),
    [anon_sym___thread] = ACTIONS(1170),
    [anon_sym_const] = ACTIONS(1170),
    [anon_sym_constexpr] = ACTIONS(1170),
    [anon_sym_volatile] = ACTIONS(1170),
    [anon_sym_restrict] = ACTIONS(1170),
    [anon_sym___restrict__] = ACTIONS(1170),
    [anon_sym__Atomic] = ACTIONS(1170),
    [anon_sym__Noreturn] = ACTIONS(1170),
    [anon_sym_noreturn] = ACTIONS(1170),
    [anon_sym__Nonnull] = ACTIONS(1170),
    [anon_sym_alignas] = ACTIONS(1170),
    [anon_sym__Alignas] = ACTIONS(1170),
    [sym_primitive_type] = ACTIONS(1170),
    [anon_sym_enum] = ACTIONS(1170),
    [anon_sym_struct] = ACTIONS(1170),
    [anon_sym_union] = ACTIONS(1170),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_else] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_case] = ACTIONS(1170),
    [anon_sym_default] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_break] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [anon_sym_goto] = ACTIONS(1170),
    [anon_sym___try] = ACTIONS(1170),
    [anon_sym___leave] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_sizeof] = ACTIONS(1170),
    [anon_sym___alignof__] = ACTIONS(1170),
    [anon_sym___alignof] = ACTIONS(1170),
    [anon_sym__alignof] = ACTIONS(1170),
    [anon_sym_alignof] = ACTIONS(1170),
    [anon_sym__Alignof] = ACTIONS(1170),
    [anon_sym_offsetof] = ACTIONS(1170),
    [anon_sym__Generic] = ACTIONS(1170),
    [anon_sym_asm] = ACTIONS(1170),
    [anon_sym___asm__] = ACTIONS(1170),
    [anon_sym___asm] = ACTIONS(1170),
    [sym_number_literal] = ACTIONS(1172),
    [anon_sym_L_SQUOTE] = ACTIONS(1172),
    [anon_sym_u_SQUOTE] = ACTIONS(1172),
    [anon_sym_U_SQUOTE] = ACTIONS(1172),
    [anon_sym_u8_SQUOTE] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_L_DQUOTE] = ACTIONS(1172),
    [anon_sym_u_DQUOTE] = ACTIONS(1172),
    [anon_sym_U_DQUOTE] = ACTIONS(1172),
    [anon_sym_u8_DQUOTE] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [sym_true] = ACTIONS(1170),
    [sym_false] = ACTIONS(1170),
    [anon_sym_NULL] = ACTIONS(1170),
    [anon_sym_nullptr] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token2] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1258),
    [aux_sym_preproc_include_token1] = ACTIONS(1258),
    [aux_sym_preproc_def_token1] = ACTIONS(1258),
    [aux_sym_preproc_if_token1] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1258),
    [sym_preproc_directive] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1258),
    [anon_sym_extern] = ACTIONS(1258),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1260),
    [anon_sym___declspec] = ACTIONS(1258),
    [anon_sym___cdecl] = ACTIONS(1258),
    [anon_sym___clrcall] = ACTIONS(1258),
    [anon_sym___stdcall] = ACTIONS(1258),
    [anon_sym___fastcall] = ACTIONS(1258),
    [anon_sym___thiscall] = ACTIONS(1258),
    [anon_sym___vectorcall] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1258),
    [anon_sym_unsigned] = ACTIONS(1258),
    [anon_sym_long] = ACTIONS(1258),
    [anon_sym_short] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1258),
    [anon_sym_auto] = ACTIONS(1258),
    [anon_sym_register] = ACTIONS(1258),
    [anon_sym_inline] = ACTIONS(1258),
    [anon_sym___inline] = ACTIONS(1258),
    [anon_sym___inline__] = ACTIONS(1258),
    [anon_sym___forceinline] = ACTIONS(1258),
    [anon_sym_thread_local] = ACTIONS(1258),
    [anon_sym___thread] = ACTIONS(1258),
    [anon_sym_const] = ACTIONS(1258),
    [anon_sym_constexpr] = ACTIONS(1258),
    [anon_sym_volatile] = ACTIONS(1258),
    [anon_sym_restrict] = ACTIONS(1258),
    [anon_sym___restrict__] = ACTIONS(1258),
    [anon_sym__Atomic] = ACTIONS(1258),
    [anon_sym__Noreturn] = ACTIONS(1258),
    [anon_sym_noreturn] = ACTIONS(1258),
    [anon_sym__Nonnull] = ACTIONS(1258),
    [anon_sym_alignas] = ACTIONS(1258),
    [anon_sym__Alignas] = ACTIONS(1258),
    [sym_primitive_type] = ACTIONS(1258),
    [anon_sym_enum] = ACTIONS(1258),
    [anon_sym_struct] = ACTIONS(1258),
    [anon_sym_union] = ACTIONS(1258),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_else] = ACTIONS(1258),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_case] = ACTIONS(1258),
    [anon_sym_default] = ACTIONS(1258),
    [anon_sym_while] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1258),
    [anon_sym_return] = ACTIONS(1258),
    [anon_sym_break] = ACTIONS(1258),
    [anon_sym_continue] = ACTIONS(1258),
    [anon_sym_goto] = ACTIONS(1258),
    [anon_sym___try] = ACTIONS(1258),
    [anon_sym___leave] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_sizeof] = ACTIONS(1258),
    [anon_sym___alignof__] = ACTIONS(1258),
    [anon_sym___alignof] = ACTIONS(1258),
    [anon_sym__alignof] = ACTIONS(1258),
    [anon_sym_alignof] = ACTIONS(1258),
    [anon_sym__Alignof] = ACTIONS(1258),
    [anon_sym_offsetof] = ACTIONS(1258),
    [anon_sym__Generic] = ACTIONS(1258),
    [anon_sym_asm] = ACTIONS(1258),
    [anon_sym___asm__] = ACTIONS(1258),
    [anon_sym___asm] = ACTIONS(1258),
    [sym_number_literal] = ACTIONS(1260),
    [anon_sym_L_SQUOTE] = ACTIONS(1260),
    [anon_sym_u_SQUOTE] = ACTIONS(1260),
    [anon_sym_U_SQUOTE] = ACTIONS(1260),
    [anon_sym_u8_SQUOTE] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_L_DQUOTE] = ACTIONS(1260),
    [anon_sym_u_DQUOTE] = ACTIONS(1260),
    [anon_sym_U_DQUOTE] = ACTIONS(1260),
    [anon_sym_u8_DQUOTE] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [sym_true] = ACTIONS(1258),
    [sym_false] = ACTIONS(1258),
    [anon_sym_NULL] = ACTIONS(1258),
    [anon_sym_nullptr] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1254),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1254),
    [aux_sym_preproc_if_token1] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1254),
    [sym_preproc_directive] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1254),
    [anon_sym_extern] = ACTIONS(1254),
    [anon_sym___attribute__] = ACTIONS(1254),
    [anon_sym___attribute] = ACTIONS(1254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1256),
    [anon_sym___declspec] = ACTIONS(1254),
    [anon_sym___cdecl] = ACTIONS(1254),
    [anon_sym___clrcall] = ACTIONS(1254),
    [anon_sym___stdcall] = ACTIONS(1254),
    [anon_sym___fastcall] = ACTIONS(1254),
    [anon_sym___thiscall] = ACTIONS(1254),
    [anon_sym___vectorcall] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1254),
    [anon_sym_unsigned] = ACTIONS(1254),
    [anon_sym_long] = ACTIONS(1254),
    [anon_sym_short] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1254),
    [anon_sym_auto] = ACTIONS(1254),
    [anon_sym_register] = ACTIONS(1254),
    [anon_sym_inline] = ACTIONS(1254),
    [anon_sym___inline] = ACTIONS(1254),
    [anon_sym___inline__] = ACTIONS(1254),
    [anon_sym___forceinline] = ACTIONS(1254),
    [anon_sym_thread_local] = ACTIONS(1254),
    [anon_sym___thread] = ACTIONS(1254),
    [anon_sym_const] = ACTIONS(1254),
    [anon_sym_constexpr] = ACTIONS(1254),
    [anon_sym_volatile] = ACTIONS(1254),
    [anon_sym_restrict] = ACTIONS(1254),
    [anon_sym___restrict__] = ACTIONS(1254),
    [anon_sym__Atomic] = ACTIONS(1254),
    [anon_sym__Noreturn] = ACTIONS(1254),
    [anon_sym_noreturn] = ACTIONS(1254),
    [anon_sym__Nonnull] = ACTIONS(1254),
    [anon_sym_alignas] = ACTIONS(1254),
    [anon_sym__Alignas] = ACTIONS(1254),
    [sym_primitive_type] = ACTIONS(1254),
    [anon_sym_enum] = ACTIONS(1254),
    [anon_sym_struct] = ACTIONS(1254),
    [anon_sym_union] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_else] = ACTIONS(1254),
    [anon_sym_switch] = ACTIONS(1254),
    [anon_sym_case] = ACTIONS(1254),
    [anon_sym_default] = ACTIONS(1254),
    [anon_sym_while] = ACTIONS(1254),
    [anon_sym_do] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym___try] = ACTIONS(1254),
    [anon_sym___leave] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_sizeof] = ACTIONS(1254),
    [anon_sym___alignof__] = ACTIONS(1254),
    [anon_sym___alignof] = ACTIONS(1254),
    [anon_sym__alignof] = ACTIONS(1254),
    [anon_sym_alignof] = ACTIONS(1254),
    [anon_sym__Alignof] = ACTIONS(1254),
    [anon_sym_offsetof] = ACTIONS(1254),
    [anon_sym__Generic] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym___asm__] = ACTIONS(1254),
    [anon_sym___asm] = ACTIONS(1254),
    [sym_number_literal] = ACTIONS(1256),
    [anon_sym_L_SQUOTE] = ACTIONS(1256),
    [anon_sym_u_SQUOTE] = ACTIONS(1256),
    [anon_sym_U_SQUOTE] = ACTIONS(1256),
    [anon_sym_u8_SQUOTE] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_L_DQUOTE] = ACTIONS(1256),
    [anon_sym_u_DQUOTE] = ACTIONS(1256),
    [anon_sym_U_DQUOTE] = ACTIONS(1256),
    [anon_sym_u8_DQUOTE] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_NULL] = ACTIONS(1254),
    [anon_sym_nullptr] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_identifier] = ACTIONS(1250),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1250),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1250),
    [anon_sym___attribute] = ACTIONS(1250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1252),
    [anon_sym___declspec] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1250),
    [anon_sym_unsigned] = ACTIONS(1250),
    [anon_sym_long] = ACTIONS(1250),
    [anon_sym_short] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_auto] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_constexpr] = ACTIONS(1250),
    [anon_sym_volatile] = ACTIONS(1250),
    [anon_sym_restrict] = ACTIONS(1250),
    [anon_sym___restrict__] = ACTIONS(1250),
    [anon_sym__Atomic] = ACTIONS(1250),
    [anon_sym__Noreturn] = ACTIONS(1250),
    [anon_sym_noreturn] = ACTIONS(1250),
    [anon_sym__Nonnull] = ACTIONS(1250),
    [anon_sym_alignas] = ACTIONS(1250),
    [anon_sym__Alignas] = ACTIONS(1250),
    [sym_primitive_type] = ACTIONS(1250),
    [anon_sym_enum] = ACTIONS(1250),
    [anon_sym_struct] = ACTIONS(1250),
    [anon_sym_union] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1250),
    [anon_sym_do] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym___try] = ACTIONS(1250),
    [anon_sym___leave] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_sizeof] = ACTIONS(1250),
    [anon_sym___alignof__] = ACTIONS(1250),
    [anon_sym___alignof] = ACTIONS(1250),
    [anon_sym__alignof] = ACTIONS(1250),
    [anon_sym_alignof] = ACTIONS(1250),
    [anon_sym__Alignof] = ACTIONS(1250),
    [anon_sym_offsetof] = ACTIONS(1250),
    [anon_sym__Generic] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym___asm__] = ACTIONS(1250),
    [anon_sym___asm] = ACTIONS(1250),
    [sym_number_literal] = ACTIONS(1252),
    [anon_sym_L_SQUOTE] = ACTIONS(1252),
    [anon_sym_u_SQUOTE] = ACTIONS(1252),
    [anon_sym_U_SQUOTE] = ACTIONS(1252),
    [anon_sym_u8_SQUOTE] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_L_DQUOTE] = ACTIONS(1252),
    [anon_sym_u_DQUOTE] = ACTIONS(1252),
    [anon_sym_U_DQUOTE] = ACTIONS(1252),
    [anon_sym_u8_DQUOTE] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_NULL] = ACTIONS(1250),
    [anon_sym_nullptr] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1246),
    [aux_sym_preproc_include_token1] = ACTIONS(1246),
    [aux_sym_preproc_def_token1] = ACTIONS(1246),
    [aux_sym_preproc_if_token1] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1246),
    [sym_preproc_directive] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1246),
    [anon_sym_extern] = ACTIONS(1246),
    [anon_sym___attribute__] = ACTIONS(1246),
    [anon_sym___attribute] = ACTIONS(1246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1246),
    [anon_sym___cdecl] = ACTIONS(1246),
    [anon_sym___clrcall] = ACTIONS(1246),
    [anon_sym___stdcall] = ACTIONS(1246),
    [anon_sym___fastcall] = ACTIONS(1246),
    [anon_sym___thiscall] = ACTIONS(1246),
    [anon_sym___vectorcall] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1246),
    [anon_sym_unsigned] = ACTIONS(1246),
    [anon_sym_long] = ACTIONS(1246),
    [anon_sym_short] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_auto] = ACTIONS(1246),
    [anon_sym_register] = ACTIONS(1246),
    [anon_sym_inline] = ACTIONS(1246),
    [anon_sym___inline] = ACTIONS(1246),
    [anon_sym___inline__] = ACTIONS(1246),
    [anon_sym___forceinline] = ACTIONS(1246),
    [anon_sym_thread_local] = ACTIONS(1246),
    [anon_sym___thread] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_constexpr] = ACTIONS(1246),
    [anon_sym_volatile] = ACTIONS(1246),
    [anon_sym_restrict] = ACTIONS(1246),
    [anon_sym___restrict__] = ACTIONS(1246),
    [anon_sym__Atomic] = ACTIONS(1246),
    [anon_sym__Noreturn] = ACTIONS(1246),
    [anon_sym_noreturn] = ACTIONS(1246),
    [anon_sym__Nonnull] = ACTIONS(1246),
    [anon_sym_alignas] = ACTIONS(1246),
    [anon_sym__Alignas] = ACTIONS(1246),
    [sym_primitive_type] = ACTIONS(1246),
    [anon_sym_enum] = ACTIONS(1246),
    [anon_sym_struct] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_goto] = ACTIONS(1246),
    [anon_sym___try] = ACTIONS(1246),
    [anon_sym___leave] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_sizeof] = ACTIONS(1246),
    [anon_sym___alignof__] = ACTIONS(1246),
    [anon_sym___alignof] = ACTIONS(1246),
    [anon_sym__alignof] = ACTIONS(1246),
    [anon_sym_alignof] = ACTIONS(1246),
    [anon_sym__Alignof] = ACTIONS(1246),
    [anon_sym_offsetof] = ACTIONS(1246),
    [anon_sym__Generic] = ACTIONS(1246),
    [anon_sym_asm] = ACTIONS(1246),
    [anon_sym___asm__] = ACTIONS(1246),
    [anon_sym___asm] = ACTIONS(1246),
    [sym_number_literal] = ACTIONS(1248),
    [anon_sym_L_SQUOTE] = ACTIONS(1248),
    [anon_sym_u_SQUOTE] = ACTIONS(1248),
    [anon_sym_U_SQUOTE] = ACTIONS(1248),
    [anon_sym_u8_SQUOTE] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_L_DQUOTE] = ACTIONS(1248),
    [anon_sym_u_DQUOTE] = ACTIONS(1248),
    [anon_sym_U_DQUOTE] = ACTIONS(1248),
    [anon_sym_u8_DQUOTE] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [sym_true] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [anon_sym_NULL] = ACTIONS(1246),
    [anon_sym_nullptr] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1238),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1226),
    [aux_sym_preproc_include_token1] = ACTIONS(1226),
    [aux_sym_preproc_def_token1] = ACTIONS(1226),
    [aux_sym_preproc_if_token1] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1226),
    [sym_preproc_directive] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym___extension__] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1226),
    [anon_sym_extern] = ACTIONS(1226),
    [anon_sym___attribute__] = ACTIONS(1226),
    [anon_sym___attribute] = ACTIONS(1226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1228),
    [anon_sym___declspec] = ACTIONS(1226),
    [anon_sym___cdecl] = ACTIONS(1226),
    [anon_sym___clrcall] = ACTIONS(1226),
    [anon_sym___stdcall] = ACTIONS(1226),
    [anon_sym___fastcall] = ACTIONS(1226),
    [anon_sym___thiscall] = ACTIONS(1226),
    [anon_sym___vectorcall] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1226),
    [anon_sym_unsigned] = ACTIONS(1226),
    [anon_sym_long] = ACTIONS(1226),
    [anon_sym_short] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_auto] = ACTIONS(1226),
    [anon_sym_register] = ACTIONS(1226),
    [anon_sym_inline] = ACTIONS(1226),
    [anon_sym___inline] = ACTIONS(1226),
    [anon_sym___inline__] = ACTIONS(1226),
    [anon_sym___forceinline] = ACTIONS(1226),
    [anon_sym_thread_local] = ACTIONS(1226),
    [anon_sym___thread] = ACTIONS(1226),
    [anon_sym_const] = ACTIONS(1226),
    [anon_sym_constexpr] = ACTIONS(1226),
    [anon_sym_volatile] = ACTIONS(1226),
    [anon_sym_restrict] = ACTIONS(1226),
    [anon_sym___restrict__] = ACTIONS(1226),
    [anon_sym__Atomic] = ACTIONS(1226),
    [anon_sym__Noreturn] = ACTIONS(1226),
    [anon_sym_noreturn] = ACTIONS(1226),
    [anon_sym__Nonnull] = ACTIONS(1226),
    [anon_sym_alignas] = ACTIONS(1226),
    [anon_sym__Alignas] = ACTIONS(1226),
    [sym_primitive_type] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1226),
    [anon_sym_struct] = ACTIONS(1226),
    [anon_sym_union] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_else] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_case] = ACTIONS(1226),
    [anon_sym_default] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_goto] = ACTIONS(1226),
    [anon_sym___try] = ACTIONS(1226),
    [anon_sym___leave] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_sizeof] = ACTIONS(1226),
    [anon_sym___alignof__] = ACTIONS(1226),
    [anon_sym___alignof] = ACTIONS(1226),
    [anon_sym__alignof] = ACTIONS(1226),
    [anon_sym_alignof] = ACTIONS(1226),
    [anon_sym__Alignof] = ACTIONS(1226),
    [anon_sym_offsetof] = ACTIONS(1226),
    [anon_sym__Generic] = ACTIONS(1226),
    [anon_sym_asm] = ACTIONS(1226),
    [anon_sym___asm__] = ACTIONS(1226),
    [anon_sym___asm] = ACTIONS(1226),
    [sym_number_literal] = ACTIONS(1228),
    [anon_sym_L_SQUOTE] = ACTIONS(1228),
    [anon_sym_u_SQUOTE] = ACTIONS(1228),
    [anon_sym_U_SQUOTE] = ACTIONS(1228),
    [anon_sym_u8_SQUOTE] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_L_DQUOTE] = ACTIONS(1228),
    [anon_sym_u_DQUOTE] = ACTIONS(1228),
    [anon_sym_U_DQUOTE] = ACTIONS(1228),
    [anon_sym_u8_DQUOTE] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [sym_true] = ACTIONS(1226),
    [sym_false] = ACTIONS(1226),
    [anon_sym_NULL] = ACTIONS(1226),
    [anon_sym_nullptr] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1150),
    [aux_sym_preproc_include_token1] = ACTIONS(1150),
    [aux_sym_preproc_def_token1] = ACTIONS(1150),
    [aux_sym_preproc_if_token1] = ACTIONS(1150),
    [aux_sym_preproc_if_token2] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1150),
    [sym_preproc_directive] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(1152),
    [anon_sym_AMP] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1152),
    [anon_sym___extension__] = ACTIONS(1150),
    [anon_sym_typedef] = ACTIONS(1150),
    [anon_sym_extern] = ACTIONS(1150),
    [anon_sym___attribute__] = ACTIONS(1150),
    [anon_sym___attribute] = ACTIONS(1150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1152),
    [anon_sym___declspec] = ACTIONS(1150),
    [anon_sym___cdecl] = ACTIONS(1150),
    [anon_sym___clrcall] = ACTIONS(1150),
    [anon_sym___stdcall] = ACTIONS(1150),
    [anon_sym___fastcall] = ACTIONS(1150),
    [anon_sym___thiscall] = ACTIONS(1150),
    [anon_sym___vectorcall] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_signed] = ACTIONS(1150),
    [anon_sym_unsigned] = ACTIONS(1150),
    [anon_sym_long] = ACTIONS(1150),
    [anon_sym_short] = ACTIONS(1150),
    [anon_sym_static] = ACTIONS(1150),
    [anon_sym_auto] = ACTIONS(1150),
    [anon_sym_register] = ACTIONS(1150),
    [anon_sym_inline] = ACTIONS(1150),
    [anon_sym___inline] = ACTIONS(1150),
    [anon_sym___inline__] = ACTIONS(1150),
    [anon_sym___forceinline] = ACTIONS(1150),
    [anon_sym_thread_local] = ACTIONS(1150),
    [anon_sym___thread] = ACTIONS(1150),
    [anon_sym_const] = ACTIONS(1150),
    [anon_sym_constexpr] = ACTIONS(1150),
    [anon_sym_volatile] = ACTIONS(1150),
    [anon_sym_restrict] = ACTIONS(1150),
    [anon_sym___restrict__] = ACTIONS(1150),
    [anon_sym__Atomic] = ACTIONS(1150),
    [anon_sym__Noreturn] = ACTIONS(1150),
    [anon_sym_noreturn] = ACTIONS(1150),
    [anon_sym__Nonnull] = ACTIONS(1150),
    [anon_sym_alignas] = ACTIONS(1150),
    [anon_sym__Alignas] = ACTIONS(1150),
    [sym_primitive_type] = ACTIONS(1150),
    [anon_sym_enum] = ACTIONS(1150),
    [anon_sym_struct] = ACTIONS(1150),
    [anon_sym_union] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym_default] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_break] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_goto] = ACTIONS(1150),
    [anon_sym___try] = ACTIONS(1150),
    [anon_sym___leave] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [anon_sym_sizeof] = ACTIONS(1150),
    [anon_sym___alignof__] = ACTIONS(1150),
    [anon_sym___alignof] = ACTIONS(1150),
    [anon_sym__alignof] = ACTIONS(1150),
    [anon_sym_alignof] = ACTIONS(1150),
    [anon_sym__Alignof] = ACTIONS(1150),
    [anon_sym_offsetof] = ACTIONS(1150),
    [anon_sym__Generic] = ACTIONS(1150),
    [anon_sym_asm] = ACTIONS(1150),
    [anon_sym___asm__] = ACTIONS(1150),
    [anon_sym___asm] = ACTIONS(1150),
    [sym_number_literal] = ACTIONS(1152),
    [anon_sym_L_SQUOTE] = ACTIONS(1152),
    [anon_sym_u_SQUOTE] = ACTIONS(1152),
    [anon_sym_U_SQUOTE] = ACTIONS(1152),
    [anon_sym_u8_SQUOTE] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_L_DQUOTE] = ACTIONS(1152),
    [anon_sym_u_DQUOTE] = ACTIONS(1152),
    [anon_sym_U_DQUOTE] = ACTIONS(1152),
    [anon_sym_u8_DQUOTE] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [sym_true] = ACTIONS(1150),
    [sym_false] = ACTIONS(1150),
    [anon_sym_NULL] = ACTIONS(1150),
    [anon_sym_nullptr] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1142),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token2] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym___extension__] = ACTIONS(1142),
    [anon_sym_typedef] = ACTIONS(1142),
    [anon_sym_extern] = ACTIONS(1142),
    [anon_sym___attribute__] = ACTIONS(1142),
    [anon_sym___attribute] = ACTIONS(1142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1144),
    [anon_sym___declspec] = ACTIONS(1142),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_signed] = ACTIONS(1142),
    [anon_sym_unsigned] = ACTIONS(1142),
    [anon_sym_long] = ACTIONS(1142),
    [anon_sym_short] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1142),
    [anon_sym_auto] = ACTIONS(1142),
    [anon_sym_register] = ACTIONS(1142),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym___inline] = ACTIONS(1142),
    [anon_sym___inline__] = ACTIONS(1142),
    [anon_sym___forceinline] = ACTIONS(1142),
    [anon_sym_thread_local] = ACTIONS(1142),
    [anon_sym___thread] = ACTIONS(1142),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_constexpr] = ACTIONS(1142),
    [anon_sym_volatile] = ACTIONS(1142),
    [anon_sym_restrict] = ACTIONS(1142),
    [anon_sym___restrict__] = ACTIONS(1142),
    [anon_sym__Atomic] = ACTIONS(1142),
    [anon_sym__Noreturn] = ACTIONS(1142),
    [anon_sym_noreturn] = ACTIONS(1142),
    [anon_sym__Nonnull] = ACTIONS(1142),
    [anon_sym_alignas] = ACTIONS(1142),
    [anon_sym__Alignas] = ACTIONS(1142),
    [sym_primitive_type] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_struct] = ACTIONS(1142),
    [anon_sym_union] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_goto] = ACTIONS(1142),
    [anon_sym___try] = ACTIONS(1142),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_sizeof] = ACTIONS(1142),
    [anon_sym___alignof__] = ACTIONS(1142),
    [anon_sym___alignof] = ACTIONS(1142),
    [anon_sym__alignof] = ACTIONS(1142),
    [anon_sym_alignof] = ACTIONS(1142),
    [anon_sym__Alignof] = ACTIONS(1142),
    [anon_sym_offsetof] = ACTIONS(1142),
    [anon_sym__Generic] = ACTIONS(1142),
    [anon_sym_asm] = ACTIONS(1142),
    [anon_sym___asm__] = ACTIONS(1142),
    [anon_sym___asm] = ACTIONS(1142),
    [sym_number_literal] = ACTIONS(1144),
    [anon_sym_L_SQUOTE] = ACTIONS(1144),
    [anon_sym_u_SQUOTE] = ACTIONS(1144),
    [anon_sym_U_SQUOTE] = ACTIONS(1144),
    [anon_sym_u8_SQUOTE] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_L_DQUOTE] = ACTIONS(1144),
    [anon_sym_u_DQUOTE] = ACTIONS(1144),
    [anon_sym_U_DQUOTE] = ACTIONS(1144),
    [anon_sym_u8_DQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [anon_sym_NULL] = ACTIONS(1142),
    [anon_sym_nullptr] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1134),
    [aux_sym_preproc_include_token1] = ACTIONS(1134),
    [aux_sym_preproc_def_token1] = ACTIONS(1134),
    [aux_sym_preproc_if_token1] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1134),
    [sym_preproc_directive] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1136),
    [anon_sym___extension__] = ACTIONS(1134),
    [anon_sym_typedef] = ACTIONS(1134),
    [anon_sym_extern] = ACTIONS(1134),
    [anon_sym___attribute__] = ACTIONS(1134),
    [anon_sym___attribute] = ACTIONS(1134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1136),
    [anon_sym___declspec] = ACTIONS(1134),
    [anon_sym___cdecl] = ACTIONS(1134),
    [anon_sym___clrcall] = ACTIONS(1134),
    [anon_sym___stdcall] = ACTIONS(1134),
    [anon_sym___fastcall] = ACTIONS(1134),
    [anon_sym___thiscall] = ACTIONS(1134),
    [anon_sym___vectorcall] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(1134),
    [anon_sym_unsigned] = ACTIONS(1134),
    [anon_sym_long] = ACTIONS(1134),
    [anon_sym_short] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(1134),
    [anon_sym_auto] = ACTIONS(1134),
    [anon_sym_register] = ACTIONS(1134),
    [anon_sym_inline] = ACTIONS(1134),
    [anon_sym___inline] = ACTIONS(1134),
    [anon_sym___inline__] = ACTIONS(1134),
    [anon_sym___forceinline] = ACTIONS(1134),
    [anon_sym_thread_local] = ACTIONS(1134),
    [anon_sym___thread] = ACTIONS(1134),
    [anon_sym_const] = ACTIONS(1134),
    [anon_sym_constexpr] = ACTIONS(1134),
    [anon_sym_volatile] = ACTIONS(1134),
    [anon_sym_restrict] = ACTIONS(1134),
    [anon_sym___restrict__] = ACTIONS(1134),
    [anon_sym__Atomic] = ACTIONS(1134),
    [anon_sym__Noreturn] = ACTIONS(1134),
    [anon_sym_noreturn] = ACTIONS(1134),
    [anon_sym__Nonnull] = ACTIONS(1134),
    [anon_sym_alignas] = ACTIONS(1134),
    [anon_sym__Alignas] = ACTIONS(1134),
    [sym_primitive_type] = ACTIONS(1134),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_struct] = ACTIONS(1134),
    [anon_sym_union] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_else] = ACTIONS(1134),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_default] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_break] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_goto] = ACTIONS(1134),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_sizeof] = ACTIONS(1134),
    [anon_sym___alignof__] = ACTIONS(1134),
    [anon_sym___alignof] = ACTIONS(1134),
    [anon_sym__alignof] = ACTIONS(1134),
    [anon_sym_alignof] = ACTIONS(1134),
    [anon_sym__Alignof] = ACTIONS(1134),
    [anon_sym_offsetof] = ACTIONS(1134),
    [anon_sym__Generic] = ACTIONS(1134),
    [anon_sym_asm] = ACTIONS(1134),
    [anon_sym___asm__] = ACTIONS(1134),
    [anon_sym___asm] = ACTIONS(1134),
    [sym_number_literal] = ACTIONS(1136),
    [anon_sym_L_SQUOTE] = ACTIONS(1136),
    [anon_sym_u_SQUOTE] = ACTIONS(1136),
    [anon_sym_U_SQUOTE] = ACTIONS(1136),
    [anon_sym_u8_SQUOTE] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_L_DQUOTE] = ACTIONS(1136),
    [anon_sym_u_DQUOTE] = ACTIONS(1136),
    [anon_sym_U_DQUOTE] = ACTIONS(1136),
    [anon_sym_u8_DQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [sym_true] = ACTIONS(1134),
    [sym_false] = ACTIONS(1134),
    [anon_sym_NULL] = ACTIONS(1134),
    [anon_sym_nullptr] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1226),
    [aux_sym_preproc_include_token1] = ACTIONS(1226),
    [aux_sym_preproc_def_token1] = ACTIONS(1226),
    [aux_sym_preproc_if_token1] = ACTIONS(1226),
    [aux_sym_preproc_if_token2] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1226),
    [sym_preproc_directive] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym___extension__] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1226),
    [anon_sym_extern] = ACTIONS(1226),
    [anon_sym___attribute__] = ACTIONS(1226),
    [anon_sym___attribute] = ACTIONS(1226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1228),
    [anon_sym___declspec] = ACTIONS(1226),
    [anon_sym___cdecl] = ACTIONS(1226),
    [anon_sym___clrcall] = ACTIONS(1226),
    [anon_sym___stdcall] = ACTIONS(1226),
    [anon_sym___fastcall] = ACTIONS(1226),
    [anon_sym___thiscall] = ACTIONS(1226),
    [anon_sym___vectorcall] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1226),
    [anon_sym_unsigned] = ACTIONS(1226),
    [anon_sym_long] = ACTIONS(1226),
    [anon_sym_short] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_auto] = ACTIONS(1226),
    [anon_sym_register] = ACTIONS(1226),
    [anon_sym_inline] = ACTIONS(1226),
    [anon_sym___inline] = ACTIONS(1226),
    [anon_sym___inline__] = ACTIONS(1226),
    [anon_sym___forceinline] = ACTIONS(1226),
    [anon_sym_thread_local] = ACTIONS(1226),
    [anon_sym___thread] = ACTIONS(1226),
    [anon_sym_const] = ACTIONS(1226),
    [anon_sym_constexpr] = ACTIONS(1226),
    [anon_sym_volatile] = ACTIONS(1226),
    [anon_sym_restrict] = ACTIONS(1226),
    [anon_sym___restrict__] = ACTIONS(1226),
    [anon_sym__Atomic] = ACTIONS(1226),
    [anon_sym__Noreturn] = ACTIONS(1226),
    [anon_sym_noreturn] = ACTIONS(1226),
    [anon_sym__Nonnull] = ACTIONS(1226),
    [anon_sym_alignas] = ACTIONS(1226),
    [anon_sym__Alignas] = ACTIONS(1226),
    [sym_primitive_type] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1226),
    [anon_sym_struct] = ACTIONS(1226),
    [anon_sym_union] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_else] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_case] = ACTIONS(1226),
    [anon_sym_default] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_goto] = ACTIONS(1226),
    [anon_sym___try] = ACTIONS(1226),
    [anon_sym___leave] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_sizeof] = ACTIONS(1226),
    [anon_sym___alignof__] = ACTIONS(1226),
    [anon_sym___alignof] = ACTIONS(1226),
    [anon_sym__alignof] = ACTIONS(1226),
    [anon_sym_alignof] = ACTIONS(1226),
    [anon_sym__Alignof] = ACTIONS(1226),
    [anon_sym_offsetof] = ACTIONS(1226),
    [anon_sym__Generic] = ACTIONS(1226),
    [anon_sym_asm] = ACTIONS(1226),
    [anon_sym___asm__] = ACTIONS(1226),
    [anon_sym___asm] = ACTIONS(1226),
    [sym_number_literal] = ACTIONS(1228),
    [anon_sym_L_SQUOTE] = ACTIONS(1228),
    [anon_sym_u_SQUOTE] = ACTIONS(1228),
    [anon_sym_U_SQUOTE] = ACTIONS(1228),
    [anon_sym_u8_SQUOTE] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_L_DQUOTE] = ACTIONS(1228),
    [anon_sym_u_DQUOTE] = ACTIONS(1228),
    [anon_sym_U_DQUOTE] = ACTIONS(1228),
    [anon_sym_u8_DQUOTE] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [sym_true] = ACTIONS(1226),
    [sym_false] = ACTIONS(1226),
    [anon_sym_NULL] = ACTIONS(1226),
    [anon_sym_nullptr] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token2] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1238),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1246),
    [aux_sym_preproc_include_token1] = ACTIONS(1246),
    [aux_sym_preproc_def_token1] = ACTIONS(1246),
    [aux_sym_preproc_if_token1] = ACTIONS(1246),
    [aux_sym_preproc_if_token2] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1246),
    [sym_preproc_directive] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1246),
    [anon_sym_extern] = ACTIONS(1246),
    [anon_sym___attribute__] = ACTIONS(1246),
    [anon_sym___attribute] = ACTIONS(1246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1246),
    [anon_sym___cdecl] = ACTIONS(1246),
    [anon_sym___clrcall] = ACTIONS(1246),
    [anon_sym___stdcall] = ACTIONS(1246),
    [anon_sym___fastcall] = ACTIONS(1246),
    [anon_sym___thiscall] = ACTIONS(1246),
    [anon_sym___vectorcall] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1246),
    [anon_sym_unsigned] = ACTIONS(1246),
    [anon_sym_long] = ACTIONS(1246),
    [anon_sym_short] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_auto] = ACTIONS(1246),
    [anon_sym_register] = ACTIONS(1246),
    [anon_sym_inline] = ACTIONS(1246),
    [anon_sym___inline] = ACTIONS(1246),
    [anon_sym___inline__] = ACTIONS(1246),
    [anon_sym___forceinline] = ACTIONS(1246),
    [anon_sym_thread_local] = ACTIONS(1246),
    [anon_sym___thread] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_constexpr] = ACTIONS(1246),
    [anon_sym_volatile] = ACTIONS(1246),
    [anon_sym_restrict] = ACTIONS(1246),
    [anon_sym___restrict__] = ACTIONS(1246),
    [anon_sym__Atomic] = ACTIONS(1246),
    [anon_sym__Noreturn] = ACTIONS(1246),
    [anon_sym_noreturn] = ACTIONS(1246),
    [anon_sym__Nonnull] = ACTIONS(1246),
    [anon_sym_alignas] = ACTIONS(1246),
    [anon_sym__Alignas] = ACTIONS(1246),
    [sym_primitive_type] = ACTIONS(1246),
    [anon_sym_enum] = ACTIONS(1246),
    [anon_sym_struct] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_goto] = ACTIONS(1246),
    [anon_sym___try] = ACTIONS(1246),
    [anon_sym___leave] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_sizeof] = ACTIONS(1246),
    [anon_sym___alignof__] = ACTIONS(1246),
    [anon_sym___alignof] = ACTIONS(1246),
    [anon_sym__alignof] = ACTIONS(1246),
    [anon_sym_alignof] = ACTIONS(1246),
    [anon_sym__Alignof] = ACTIONS(1246),
    [anon_sym_offsetof] = ACTIONS(1246),
    [anon_sym__Generic] = ACTIONS(1246),
    [anon_sym_asm] = ACTIONS(1246),
    [anon_sym___asm__] = ACTIONS(1246),
    [anon_sym___asm] = ACTIONS(1246),
    [sym_number_literal] = ACTIONS(1248),
    [anon_sym_L_SQUOTE] = ACTIONS(1248),
    [anon_sym_u_SQUOTE] = ACTIONS(1248),
    [anon_sym_U_SQUOTE] = ACTIONS(1248),
    [anon_sym_u8_SQUOTE] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_L_DQUOTE] = ACTIONS(1248),
    [anon_sym_u_DQUOTE] = ACTIONS(1248),
    [anon_sym_U_DQUOTE] = ACTIONS(1248),
    [anon_sym_u8_DQUOTE] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [sym_true] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [anon_sym_NULL] = ACTIONS(1246),
    [anon_sym_nullptr] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1250),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token2] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1250),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1250),
    [anon_sym___attribute] = ACTIONS(1250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1252),
    [anon_sym___declspec] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1250),
    [anon_sym_unsigned] = ACTIONS(1250),
    [anon_sym_long] = ACTIONS(1250),
    [anon_sym_short] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_auto] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_constexpr] = ACTIONS(1250),
    [anon_sym_volatile] = ACTIONS(1250),
    [anon_sym_restrict] = ACTIONS(1250),
    [anon_sym___restrict__] = ACTIONS(1250),
    [anon_sym__Atomic] = ACTIONS(1250),
    [anon_sym__Noreturn] = ACTIONS(1250),
    [anon_sym_noreturn] = ACTIONS(1250),
    [anon_sym__Nonnull] = ACTIONS(1250),
    [anon_sym_alignas] = ACTIONS(1250),
    [anon_sym__Alignas] = ACTIONS(1250),
    [sym_primitive_type] = ACTIONS(1250),
    [anon_sym_enum] = ACTIONS(1250),
    [anon_sym_struct] = ACTIONS(1250),
    [anon_sym_union] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1250),
    [anon_sym_do] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym___try] = ACTIONS(1250),
    [anon_sym___leave] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_sizeof] = ACTIONS(1250),
    [anon_sym___alignof__] = ACTIONS(1250),
    [anon_sym___alignof] = ACTIONS(1250),
    [anon_sym__alignof] = ACTIONS(1250),
    [anon_sym_alignof] = ACTIONS(1250),
    [anon_sym__Alignof] = ACTIONS(1250),
    [anon_sym_offsetof] = ACTIONS(1250),
    [anon_sym__Generic] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym___asm__] = ACTIONS(1250),
    [anon_sym___asm] = ACTIONS(1250),
    [sym_number_literal] = ACTIONS(1252),
    [anon_sym_L_SQUOTE] = ACTIONS(1252),
    [anon_sym_u_SQUOTE] = ACTIONS(1252),
    [anon_sym_U_SQUOTE] = ACTIONS(1252),
    [anon_sym_u8_SQUOTE] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_L_DQUOTE] = ACTIONS(1252),
    [anon_sym_u_DQUOTE] = ACTIONS(1252),
    [anon_sym_U_DQUOTE] = ACTIONS(1252),
    [anon_sym_u8_DQUOTE] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_NULL] = ACTIONS(1250),
    [anon_sym_nullptr] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1142),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym___extension__] = ACTIONS(1142),
    [anon_sym_typedef] = ACTIONS(1142),
    [anon_sym_extern] = ACTIONS(1142),
    [anon_sym___attribute__] = ACTIONS(1142),
    [anon_sym___attribute] = ACTIONS(1142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1144),
    [anon_sym___declspec] = ACTIONS(1142),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [anon_sym_signed] = ACTIONS(1142),
    [anon_sym_unsigned] = ACTIONS(1142),
    [anon_sym_long] = ACTIONS(1142),
    [anon_sym_short] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1142),
    [anon_sym_auto] = ACTIONS(1142),
    [anon_sym_register] = ACTIONS(1142),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym___inline] = ACTIONS(1142),
    [anon_sym___inline__] = ACTIONS(1142),
    [anon_sym___forceinline] = ACTIONS(1142),
    [anon_sym_thread_local] = ACTIONS(1142),
    [anon_sym___thread] = ACTIONS(1142),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_constexpr] = ACTIONS(1142),
    [anon_sym_volatile] = ACTIONS(1142),
    [anon_sym_restrict] = ACTIONS(1142),
    [anon_sym___restrict__] = ACTIONS(1142),
    [anon_sym__Atomic] = ACTIONS(1142),
    [anon_sym__Noreturn] = ACTIONS(1142),
    [anon_sym_noreturn] = ACTIONS(1142),
    [anon_sym__Nonnull] = ACTIONS(1142),
    [anon_sym_alignas] = ACTIONS(1142),
    [anon_sym__Alignas] = ACTIONS(1142),
    [sym_primitive_type] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_struct] = ACTIONS(1142),
    [anon_sym_union] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_goto] = ACTIONS(1142),
    [anon_sym___try] = ACTIONS(1142),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_sizeof] = ACTIONS(1142),
    [anon_sym___alignof__] = ACTIONS(1142),
    [anon_sym___alignof] = ACTIONS(1142),
    [anon_sym__alignof] = ACTIONS(1142),
    [anon_sym_alignof] = ACTIONS(1142),
    [anon_sym__Alignof] = ACTIONS(1142),
    [anon_sym_offsetof] = ACTIONS(1142),
    [anon_sym__Generic] = ACTIONS(1142),
    [anon_sym_asm] = ACTIONS(1142),
    [anon_sym___asm__] = ACTIONS(1142),
    [anon_sym___asm] = ACTIONS(1142),
    [sym_number_literal] = ACTIONS(1144),
    [anon_sym_L_SQUOTE] = ACTIONS(1144),
    [anon_sym_u_SQUOTE] = ACTIONS(1144),
    [anon_sym_U_SQUOTE] = ACTIONS(1144),
    [anon_sym_u8_SQUOTE] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_L_DQUOTE] = ACTIONS(1144),
    [anon_sym_u_DQUOTE] = ACTIONS(1144),
    [anon_sym_U_DQUOTE] = ACTIONS(1144),
    [anon_sym_u8_DQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [anon_sym_NULL] = ACTIONS(1142),
    [anon_sym_nullptr] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1254),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1254),
    [aux_sym_preproc_if_token1] = ACTIONS(1254),
    [aux_sym_preproc_if_token2] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1254),
    [sym_preproc_directive] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1254),
    [anon_sym_extern] = ACTIONS(1254),
    [anon_sym___attribute__] = ACTIONS(1254),
    [anon_sym___attribute] = ACTIONS(1254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1256),
    [anon_sym___declspec] = ACTIONS(1254),
    [anon_sym___cdecl] = ACTIONS(1254),
    [anon_sym___clrcall] = ACTIONS(1254),
    [anon_sym___stdcall] = ACTIONS(1254),
    [anon_sym___fastcall] = ACTIONS(1254),
    [anon_sym___thiscall] = ACTIONS(1254),
    [anon_sym___vectorcall] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1254),
    [anon_sym_unsigned] = ACTIONS(1254),
    [anon_sym_long] = ACTIONS(1254),
    [anon_sym_short] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1254),
    [anon_sym_auto] = ACTIONS(1254),
    [anon_sym_register] = ACTIONS(1254),
    [anon_sym_inline] = ACTIONS(1254),
    [anon_sym___inline] = ACTIONS(1254),
    [anon_sym___inline__] = ACTIONS(1254),
    [anon_sym___forceinline] = ACTIONS(1254),
    [anon_sym_thread_local] = ACTIONS(1254),
    [anon_sym___thread] = ACTIONS(1254),
    [anon_sym_const] = ACTIONS(1254),
    [anon_sym_constexpr] = ACTIONS(1254),
    [anon_sym_volatile] = ACTIONS(1254),
    [anon_sym_restrict] = ACTIONS(1254),
    [anon_sym___restrict__] = ACTIONS(1254),
    [anon_sym__Atomic] = ACTIONS(1254),
    [anon_sym__Noreturn] = ACTIONS(1254),
    [anon_sym_noreturn] = ACTIONS(1254),
    [anon_sym__Nonnull] = ACTIONS(1254),
    [anon_sym_alignas] = ACTIONS(1254),
    [anon_sym__Alignas] = ACTIONS(1254),
    [sym_primitive_type] = ACTIONS(1254),
    [anon_sym_enum] = ACTIONS(1254),
    [anon_sym_struct] = ACTIONS(1254),
    [anon_sym_union] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_else] = ACTIONS(1254),
    [anon_sym_switch] = ACTIONS(1254),
    [anon_sym_case] = ACTIONS(1254),
    [anon_sym_default] = ACTIONS(1254),
    [anon_sym_while] = ACTIONS(1254),
    [anon_sym_do] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym___try] = ACTIONS(1254),
    [anon_sym___leave] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_sizeof] = ACTIONS(1254),
    [anon_sym___alignof__] = ACTIONS(1254),
    [anon_sym___alignof] = ACTIONS(1254),
    [anon_sym__alignof] = ACTIONS(1254),
    [anon_sym_alignof] = ACTIONS(1254),
    [anon_sym__Alignof] = ACTIONS(1254),
    [anon_sym_offsetof] = ACTIONS(1254),
    [anon_sym__Generic] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym___asm__] = ACTIONS(1254),
    [anon_sym___asm] = ACTIONS(1254),
    [sym_number_literal] = ACTIONS(1256),
    [anon_sym_L_SQUOTE] = ACTIONS(1256),
    [anon_sym_u_SQUOTE] = ACTIONS(1256),
    [anon_sym_U_SQUOTE] = ACTIONS(1256),
    [anon_sym_u8_SQUOTE] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_L_DQUOTE] = ACTIONS(1256),
    [anon_sym_u_DQUOTE] = ACTIONS(1256),
    [anon_sym_U_DQUOTE] = ACTIONS(1256),
    [anon_sym_u8_DQUOTE] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_NULL] = ACTIONS(1254),
    [anon_sym_nullptr] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1258),
    [aux_sym_preproc_include_token1] = ACTIONS(1258),
    [aux_sym_preproc_def_token1] = ACTIONS(1258),
    [aux_sym_preproc_if_token1] = ACTIONS(1258),
    [aux_sym_preproc_if_token2] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1258),
    [sym_preproc_directive] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1258),
    [anon_sym_extern] = ACTIONS(1258),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1260),
    [anon_sym___declspec] = ACTIONS(1258),
    [anon_sym___cdecl] = ACTIONS(1258),
    [anon_sym___clrcall] = ACTIONS(1258),
    [anon_sym___stdcall] = ACTIONS(1258),
    [anon_sym___fastcall] = ACTIONS(1258),
    [anon_sym___thiscall] = ACTIONS(1258),
    [anon_sym___vectorcall] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1258),
    [anon_sym_unsigned] = ACTIONS(1258),
    [anon_sym_long] = ACTIONS(1258),
    [anon_sym_short] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1258),
    [anon_sym_auto] = ACTIONS(1258),
    [anon_sym_register] = ACTIONS(1258),
    [anon_sym_inline] = ACTIONS(1258),
    [anon_sym___inline] = ACTIONS(1258),
    [anon_sym___inline__] = ACTIONS(1258),
    [anon_sym___forceinline] = ACTIONS(1258),
    [anon_sym_thread_local] = ACTIONS(1258),
    [anon_sym___thread] = ACTIONS(1258),
    [anon_sym_const] = ACTIONS(1258),
    [anon_sym_constexpr] = ACTIONS(1258),
    [anon_sym_volatile] = ACTIONS(1258),
    [anon_sym_restrict] = ACTIONS(1258),
    [anon_sym___restrict__] = ACTIONS(1258),
    [anon_sym__Atomic] = ACTIONS(1258),
    [anon_sym__Noreturn] = ACTIONS(1258),
    [anon_sym_noreturn] = ACTIONS(1258),
    [anon_sym__Nonnull] = ACTIONS(1258),
    [anon_sym_alignas] = ACTIONS(1258),
    [anon_sym__Alignas] = ACTIONS(1258),
    [sym_primitive_type] = ACTIONS(1258),
    [anon_sym_enum] = ACTIONS(1258),
    [anon_sym_struct] = ACTIONS(1258),
    [anon_sym_union] = ACTIONS(1258),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_else] = ACTIONS(1258),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_case] = ACTIONS(1258),
    [anon_sym_default] = ACTIONS(1258),
    [anon_sym_while] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1258),
    [anon_sym_return] = ACTIONS(1258),
    [anon_sym_break] = ACTIONS(1258),
    [anon_sym_continue] = ACTIONS(1258),
    [anon_sym_goto] = ACTIONS(1258),
    [anon_sym___try] = ACTIONS(1258),
    [anon_sym___leave] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_sizeof] = ACTIONS(1258),
    [anon_sym___alignof__] = ACTIONS(1258),
    [anon_sym___alignof] = ACTIONS(1258),
    [anon_sym__alignof] = ACTIONS(1258),
    [anon_sym_alignof] = ACTIONS(1258),
    [anon_sym__Alignof] = ACTIONS(1258),
    [anon_sym_offsetof] = ACTIONS(1258),
    [anon_sym__Generic] = ACTIONS(1258),
    [anon_sym_asm] = ACTIONS(1258),
    [anon_sym___asm__] = ACTIONS(1258),
    [anon_sym___asm] = ACTIONS(1258),
    [sym_number_literal] = ACTIONS(1260),
    [anon_sym_L_SQUOTE] = ACTIONS(1260),
    [anon_sym_u_SQUOTE] = ACTIONS(1260),
    [anon_sym_U_SQUOTE] = ACTIONS(1260),
    [anon_sym_u8_SQUOTE] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_L_DQUOTE] = ACTIONS(1260),
    [anon_sym_u_DQUOTE] = ACTIONS(1260),
    [anon_sym_U_DQUOTE] = ACTIONS(1260),
    [anon_sym_u8_DQUOTE] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [sym_true] = ACTIONS(1258),
    [sym_false] = ACTIONS(1258),
    [anon_sym_NULL] = ACTIONS(1258),
    [anon_sym_nullptr] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_identifier] = ACTIONS(1150),
    [aux_sym_preproc_include_token1] = ACTIONS(1150),
    [aux_sym_preproc_def_token1] = ACTIONS(1150),
    [aux_sym_preproc_if_token1] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1150),
    [sym_preproc_directive] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(1152),
    [anon_sym_AMP] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1152),
    [anon_sym___extension__] = ACTIONS(1150),
    [anon_sym_typedef] = ACTIONS(1150),
    [anon_sym_extern] = ACTIONS(1150),
    [anon_sym___attribute__] = ACTIONS(1150),
    [anon_sym___attribute] = ACTIONS(1150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1152),
    [anon_sym___declspec] = ACTIONS(1150),
    [anon_sym___cdecl] = ACTIONS(1150),
    [anon_sym___clrcall] = ACTIONS(1150),
    [anon_sym___stdcall] = ACTIONS(1150),
    [anon_sym___fastcall] = ACTIONS(1150),
    [anon_sym___thiscall] = ACTIONS(1150),
    [anon_sym___vectorcall] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_signed] = ACTIONS(1150),
    [anon_sym_unsigned] = ACTIONS(1150),
    [anon_sym_long] = ACTIONS(1150),
    [anon_sym_short] = ACTIONS(1150),
    [anon_sym_static] = ACTIONS(1150),
    [anon_sym_auto] = ACTIONS(1150),
    [anon_sym_register] = ACTIONS(1150),
    [anon_sym_inline] = ACTIONS(1150),
    [anon_sym___inline] = ACTIONS(1150),
    [anon_sym___inline__] = ACTIONS(1150),
    [anon_sym___forceinline] = ACTIONS(1150),
    [anon_sym_thread_local] = ACTIONS(1150),
    [anon_sym___thread] = ACTIONS(1150),
    [anon_sym_const] = ACTIONS(1150),
    [anon_sym_constexpr] = ACTIONS(1150),
    [anon_sym_volatile] = ACTIONS(1150),
    [anon_sym_restrict] = ACTIONS(1150),
    [anon_sym___restrict__] = ACTIONS(1150),
    [anon_sym__Atomic] = ACTIONS(1150),
    [anon_sym__Noreturn] = ACTIONS(1150),
    [anon_sym_noreturn] = ACTIONS(1150),
    [anon_sym__Nonnull] = ACTIONS(1150),
    [anon_sym_alignas] = ACTIONS(1150),
    [anon_sym__Alignas] = ACTIONS(1150),
    [sym_primitive_type] = ACTIONS(1150),
    [anon_sym_enum] = ACTIONS(1150),
    [anon_sym_struct] = ACTIONS(1150),
    [anon_sym_union] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym_default] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_break] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_goto] = ACTIONS(1150),
    [anon_sym___try] = ACTIONS(1150),
    [anon_sym___leave] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [anon_sym_sizeof] = ACTIONS(1150),
    [anon_sym___alignof__] = ACTIONS(1150),
    [anon_sym___alignof] = ACTIONS(1150),
    [anon_sym__alignof] = ACTIONS(1150),
    [anon_sym_alignof] = ACTIONS(1150),
    [anon_sym__Alignof] = ACTIONS(1150),
    [anon_sym_offsetof] = ACTIONS(1150),
    [anon_sym__Generic] = ACTIONS(1150),
    [anon_sym_asm] = ACTIONS(1150),
    [anon_sym___asm__] = ACTIONS(1150),
    [anon_sym___asm] = ACTIONS(1150),
    [sym_number_literal] = ACTIONS(1152),
    [anon_sym_L_SQUOTE] = ACTIONS(1152),
    [anon_sym_u_SQUOTE] = ACTIONS(1152),
    [anon_sym_U_SQUOTE] = ACTIONS(1152),
    [anon_sym_u8_SQUOTE] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_L_DQUOTE] = ACTIONS(1152),
    [anon_sym_u_DQUOTE] = ACTIONS(1152),
    [anon_sym_U_DQUOTE] = ACTIONS(1152),
    [anon_sym_u8_DQUOTE] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [sym_true] = ACTIONS(1150),
    [sym_false] = ACTIONS(1150),
    [anon_sym_NULL] = ACTIONS(1150),
    [anon_sym_nullptr] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1154),
    [aux_sym_preproc_include_token1] = ACTIONS(1154),
    [aux_sym_preproc_def_token1] = ACTIONS(1154),
    [aux_sym_preproc_if_token1] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1154),
    [sym_preproc_directive] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_STAR] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1156),
    [anon_sym___extension__] = ACTIONS(1154),
    [anon_sym_typedef] = ACTIONS(1154),
    [anon_sym_extern] = ACTIONS(1154),
    [anon_sym___attribute__] = ACTIONS(1154),
    [anon_sym___attribute] = ACTIONS(1154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1156),
    [anon_sym___declspec] = ACTIONS(1154),
    [anon_sym___cdecl] = ACTIONS(1154),
    [anon_sym___clrcall] = ACTIONS(1154),
    [anon_sym___stdcall] = ACTIONS(1154),
    [anon_sym___fastcall] = ACTIONS(1154),
    [anon_sym___thiscall] = ACTIONS(1154),
    [anon_sym___vectorcall] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [anon_sym_signed] = ACTIONS(1154),
    [anon_sym_unsigned] = ACTIONS(1154),
    [anon_sym_long] = ACTIONS(1154),
    [anon_sym_short] = ACTIONS(1154),
    [anon_sym_static] = ACTIONS(1154),
    [anon_sym_auto] = ACTIONS(1154),
    [anon_sym_register] = ACTIONS(1154),
    [anon_sym_inline] = ACTIONS(1154),
    [anon_sym___inline] = ACTIONS(1154),
    [anon_sym___inline__] = ACTIONS(1154),
    [anon_sym___forceinline] = ACTIONS(1154),
    [anon_sym_thread_local] = ACTIONS(1154),
    [anon_sym___thread] = ACTIONS(1154),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_constexpr] = ACTIONS(1154),
    [anon_sym_volatile] = ACTIONS(1154),
    [anon_sym_restrict] = ACTIONS(1154),
    [anon_sym___restrict__] = ACTIONS(1154),
    [anon_sym__Atomic] = ACTIONS(1154),
    [anon_sym__Noreturn] = ACTIONS(1154),
    [anon_sym_noreturn] = ACTIONS(1154),
    [anon_sym__Nonnull] = ACTIONS(1154),
    [anon_sym_alignas] = ACTIONS(1154),
    [anon_sym__Alignas] = ACTIONS(1154),
    [sym_primitive_type] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(1154),
    [anon_sym_union] = ACTIONS(1154),
    [anon_sym_if] = ACTIONS(1154),
    [anon_sym_else] = ACTIONS(1154),
    [anon_sym_switch] = ACTIONS(1154),
    [anon_sym_case] = ACTIONS(1154),
    [anon_sym_default] = ACTIONS(1154),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_do] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1154),
    [anon_sym_continue] = ACTIONS(1154),
    [anon_sym_goto] = ACTIONS(1154),
    [anon_sym___try] = ACTIONS(1154),
    [anon_sym___leave] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [anon_sym_sizeof] = ACTIONS(1154),
    [anon_sym___alignof__] = ACTIONS(1154),
    [anon_sym___alignof] = ACTIONS(1154),
    [anon_sym__alignof] = ACTIONS(1154),
    [anon_sym_alignof] = ACTIONS(1154),
    [anon_sym__Alignof] = ACTIONS(1154),
    [anon_sym_offsetof] = ACTIONS(1154),
    [anon_sym__Generic] = ACTIONS(1154),
    [anon_sym_asm] = ACTIONS(1154),
    [anon_sym___asm__] = ACTIONS(1154),
    [anon_sym___asm] = ACTIONS(1154),
    [sym_number_literal] = ACTIONS(1156),
    [anon_sym_L_SQUOTE] = ACTIONS(1156),
    [anon_sym_u_SQUOTE] = ACTIONS(1156),
    [anon_sym_U_SQUOTE] = ACTIONS(1156),
    [anon_sym_u8_SQUOTE] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_L_DQUOTE] = ACTIONS(1156),
    [anon_sym_u_DQUOTE] = ACTIONS(1156),
    [anon_sym_U_DQUOTE] = ACTIONS(1156),
    [anon_sym_u8_DQUOTE] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [anon_sym_NULL] = ACTIONS(1154),
    [anon_sym_nullptr] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1210),
    [aux_sym_preproc_def_token1] = ACTIONS(1210),
    [aux_sym_preproc_if_token1] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1210),
    [sym_preproc_directive] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [anon_sym___extension__] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1210),
    [anon_sym_extern] = ACTIONS(1210),
    [anon_sym___attribute__] = ACTIONS(1210),
    [anon_sym___attribute] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1212),
    [anon_sym___declspec] = ACTIONS(1210),
    [anon_sym___cdecl] = ACTIONS(1210),
    [anon_sym___clrcall] = ACTIONS(1210),
    [anon_sym___stdcall] = ACTIONS(1210),
    [anon_sym___fastcall] = ACTIONS(1210),
    [anon_sym___thiscall] = ACTIONS(1210),
    [anon_sym___vectorcall] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1210),
    [anon_sym_unsigned] = ACTIONS(1210),
    [anon_sym_long] = ACTIONS(1210),
    [anon_sym_short] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_auto] = ACTIONS(1210),
    [anon_sym_register] = ACTIONS(1210),
    [anon_sym_inline] = ACTIONS(1210),
    [anon_sym___inline] = ACTIONS(1210),
    [anon_sym___inline__] = ACTIONS(1210),
    [anon_sym___forceinline] = ACTIONS(1210),
    [anon_sym_thread_local] = ACTIONS(1210),
    [anon_sym___thread] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(1210),
    [anon_sym_constexpr] = ACTIONS(1210),
    [anon_sym_volatile] = ACTIONS(1210),
    [anon_sym_restrict] = ACTIONS(1210),
    [anon_sym___restrict__] = ACTIONS(1210),
    [anon_sym__Atomic] = ACTIONS(1210),
    [anon_sym__Noreturn] = ACTIONS(1210),
    [anon_sym_noreturn] = ACTIONS(1210),
    [anon_sym__Nonnull] = ACTIONS(1210),
    [anon_sym_alignas] = ACTIONS(1210),
    [anon_sym__Alignas] = ACTIONS(1210),
    [sym_primitive_type] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_struct] = ACTIONS(1210),
    [anon_sym_union] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_else] = ACTIONS(1210),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_case] = ACTIONS(1210),
    [anon_sym_default] = ACTIONS(1210),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_do] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym___try] = ACTIONS(1210),
    [anon_sym___leave] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_sizeof] = ACTIONS(1210),
    [anon_sym___alignof__] = ACTIONS(1210),
    [anon_sym___alignof] = ACTIONS(1210),
    [anon_sym__alignof] = ACTIONS(1210),
    [anon_sym_alignof] = ACTIONS(1210),
    [anon_sym__Alignof] = ACTIONS(1210),
    [anon_sym_offsetof] = ACTIONS(1210),
    [anon_sym__Generic] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym___asm__] = ACTIONS(1210),
    [anon_sym___asm] = ACTIONS(1210),
    [sym_number_literal] = ACTIONS(1212),
    [anon_sym_L_SQUOTE] = ACTIONS(1212),
    [anon_sym_u_SQUOTE] = ACTIONS(1212),
    [anon_sym_U_SQUOTE] = ACTIONS(1212),
    [anon_sym_u8_SQUOTE] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_L_DQUOTE] = ACTIONS(1212),
    [anon_sym_u_DQUOTE] = ACTIONS(1212),
    [anon_sym_U_DQUOTE] = ACTIONS(1212),
    [anon_sym_u8_DQUOTE] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_NULL] = ACTIONS(1210),
    [anon_sym_nullptr] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_identifier] = ACTIONS(1242),
    [aux_sym_preproc_include_token1] = ACTIONS(1242),
    [aux_sym_preproc_def_token1] = ACTIONS(1242),
    [aux_sym_preproc_if_token1] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1242),
    [sym_preproc_directive] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1242),
    [anon_sym_extern] = ACTIONS(1242),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym___attribute] = ACTIONS(1242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1244),
    [anon_sym___declspec] = ACTIONS(1242),
    [anon_sym___cdecl] = ACTIONS(1242),
    [anon_sym___clrcall] = ACTIONS(1242),
    [anon_sym___stdcall] = ACTIONS(1242),
    [anon_sym___fastcall] = ACTIONS(1242),
    [anon_sym___thiscall] = ACTIONS(1242),
    [anon_sym___vectorcall] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1242),
    [anon_sym_unsigned] = ACTIONS(1242),
    [anon_sym_long] = ACTIONS(1242),
    [anon_sym_short] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1242),
    [anon_sym_auto] = ACTIONS(1242),
    [anon_sym_register] = ACTIONS(1242),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym___inline] = ACTIONS(1242),
    [anon_sym___inline__] = ACTIONS(1242),
    [anon_sym___forceinline] = ACTIONS(1242),
    [anon_sym_thread_local] = ACTIONS(1242),
    [anon_sym___thread] = ACTIONS(1242),
    [anon_sym_const] = ACTIONS(1242),
    [anon_sym_constexpr] = ACTIONS(1242),
    [anon_sym_volatile] = ACTIONS(1242),
    [anon_sym_restrict] = ACTIONS(1242),
    [anon_sym___restrict__] = ACTIONS(1242),
    [anon_sym__Atomic] = ACTIONS(1242),
    [anon_sym__Noreturn] = ACTIONS(1242),
    [anon_sym_noreturn] = ACTIONS(1242),
    [anon_sym__Nonnull] = ACTIONS(1242),
    [anon_sym_alignas] = ACTIONS(1242),
    [anon_sym__Alignas] = ACTIONS(1242),
    [sym_primitive_type] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_case] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_goto] = ACTIONS(1242),
    [anon_sym___try] = ACTIONS(1242),
    [anon_sym___leave] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_sizeof] = ACTIONS(1242),
    [anon_sym___alignof__] = ACTIONS(1242),
    [anon_sym___alignof] = ACTIONS(1242),
    [anon_sym__alignof] = ACTIONS(1242),
    [anon_sym_alignof] = ACTIONS(1242),
    [anon_sym__Alignof] = ACTIONS(1242),
    [anon_sym_offsetof] = ACTIONS(1242),
    [anon_sym__Generic] = ACTIONS(1242),
    [anon_sym_asm] = ACTIONS(1242),
    [anon_sym___asm__] = ACTIONS(1242),
    [anon_sym___asm] = ACTIONS(1242),
    [sym_number_literal] = ACTIONS(1244),
    [anon_sym_L_SQUOTE] = ACTIONS(1244),
    [anon_sym_u_SQUOTE] = ACTIONS(1244),
    [anon_sym_U_SQUOTE] = ACTIONS(1244),
    [anon_sym_u8_SQUOTE] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_L_DQUOTE] = ACTIONS(1244),
    [anon_sym_u_DQUOTE] = ACTIONS(1244),
    [anon_sym_U_DQUOTE] = ACTIONS(1244),
    [anon_sym_u8_DQUOTE] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [sym_true] = ACTIONS(1242),
    [sym_false] = ACTIONS(1242),
    [anon_sym_NULL] = ACTIONS(1242),
    [anon_sym_nullptr] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_identifier] = ACTIONS(1218),
    [aux_sym_preproc_include_token1] = ACTIONS(1218),
    [aux_sym_preproc_def_token1] = ACTIONS(1218),
    [aux_sym_preproc_if_token1] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1218),
    [sym_preproc_directive] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym___extension__] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1218),
    [anon_sym_extern] = ACTIONS(1218),
    [anon_sym___attribute__] = ACTIONS(1218),
    [anon_sym___attribute] = ACTIONS(1218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1220),
    [anon_sym___declspec] = ACTIONS(1218),
    [anon_sym___cdecl] = ACTIONS(1218),
    [anon_sym___clrcall] = ACTIONS(1218),
    [anon_sym___stdcall] = ACTIONS(1218),
    [anon_sym___fastcall] = ACTIONS(1218),
    [anon_sym___thiscall] = ACTIONS(1218),
    [anon_sym___vectorcall] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1218),
    [anon_sym_unsigned] = ACTIONS(1218),
    [anon_sym_long] = ACTIONS(1218),
    [anon_sym_short] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_auto] = ACTIONS(1218),
    [anon_sym_register] = ACTIONS(1218),
    [anon_sym_inline] = ACTIONS(1218),
    [anon_sym___inline] = ACTIONS(1218),
    [anon_sym___inline__] = ACTIONS(1218),
    [anon_sym___forceinline] = ACTIONS(1218),
    [anon_sym_thread_local] = ACTIONS(1218),
    [anon_sym___thread] = ACTIONS(1218),
    [anon_sym_const] = ACTIONS(1218),
    [anon_sym_constexpr] = ACTIONS(1218),
    [anon_sym_volatile] = ACTIONS(1218),
    [anon_sym_restrict] = ACTIONS(1218),
    [anon_sym___restrict__] = ACTIONS(1218),
    [anon_sym__Atomic] = ACTIONS(1218),
    [anon_sym__Noreturn] = ACTIONS(1218),
    [anon_sym_noreturn] = ACTIONS(1218),
    [anon_sym__Nonnull] = ACTIONS(1218),
    [anon_sym_alignas] = ACTIONS(1218),
    [anon_sym__Alignas] = ACTIONS(1218),
    [sym_primitive_type] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_struct] = ACTIONS(1218),
    [anon_sym_union] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_else] = ACTIONS(1218),
    [anon_sym_switch] = ACTIONS(1218),
    [anon_sym_case] = ACTIONS(1218),
    [anon_sym_default] = ACTIONS(1218),
    [anon_sym_while] = ACTIONS(1218),
    [anon_sym_do] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym___try] = ACTIONS(1218),
    [anon_sym___leave] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_sizeof] = ACTIONS(1218),
    [anon_sym___alignof__] = ACTIONS(1218),
    [anon_sym___alignof] = ACTIONS(1218),
    [anon_sym__alignof] = ACTIONS(1218),
    [anon_sym_alignof] = ACTIONS(1218),
    [anon_sym__Alignof] = ACTIONS(1218),
    [anon_sym_offsetof] = ACTIONS(1218),
    [anon_sym__Generic] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym___asm__] = ACTIONS(1218),
    [anon_sym___asm] = ACTIONS(1218),
    [sym_number_literal] = ACTIONS(1220),
    [anon_sym_L_SQUOTE] = ACTIONS(1220),
    [anon_sym_u_SQUOTE] = ACTIONS(1220),
    [anon_sym_U_SQUOTE] = ACTIONS(1220),
    [anon_sym_u8_SQUOTE] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_L_DQUOTE] = ACTIONS(1220),
    [anon_sym_u_DQUOTE] = ACTIONS(1220),
    [anon_sym_U_DQUOTE] = ACTIONS(1220),
    [anon_sym_u8_DQUOTE] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_NULL] = ACTIONS(1218),
    [anon_sym_nullptr] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1138),
    [aux_sym_preproc_def_token1] = ACTIONS(1138),
    [aux_sym_preproc_if_token1] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1138),
    [sym_preproc_directive] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1140),
    [anon_sym___extension__] = ACTIONS(1138),
    [anon_sym_typedef] = ACTIONS(1138),
    [anon_sym_extern] = ACTIONS(1138),
    [anon_sym___attribute__] = ACTIONS(1138),
    [anon_sym___attribute] = ACTIONS(1138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1140),
    [anon_sym___declspec] = ACTIONS(1138),
    [anon_sym___cdecl] = ACTIONS(1138),
    [anon_sym___clrcall] = ACTIONS(1138),
    [anon_sym___stdcall] = ACTIONS(1138),
    [anon_sym___fastcall] = ACTIONS(1138),
    [anon_sym___thiscall] = ACTIONS(1138),
    [anon_sym___vectorcall] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_signed] = ACTIONS(1138),
    [anon_sym_unsigned] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_auto] = ACTIONS(1138),
    [anon_sym_register] = ACTIONS(1138),
    [anon_sym_inline] = ACTIONS(1138),
    [anon_sym___inline] = ACTIONS(1138),
    [anon_sym___inline__] = ACTIONS(1138),
    [anon_sym___forceinline] = ACTIONS(1138),
    [anon_sym_thread_local] = ACTIONS(1138),
    [anon_sym___thread] = ACTIONS(1138),
    [anon_sym_const] = ACTIONS(1138),
    [anon_sym_constexpr] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_restrict] = ACTIONS(1138),
    [anon_sym___restrict__] = ACTIONS(1138),
    [anon_sym__Atomic] = ACTIONS(1138),
    [anon_sym__Noreturn] = ACTIONS(1138),
    [anon_sym_noreturn] = ACTIONS(1138),
    [anon_sym__Nonnull] = ACTIONS(1138),
    [anon_sym_alignas] = ACTIONS(1138),
    [anon_sym__Alignas] = ACTIONS(1138),
    [sym_primitive_type] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_struct] = ACTIONS(1138),
    [anon_sym_union] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_else] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1138),
    [anon_sym_default] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_goto] = ACTIONS(1138),
    [anon_sym___try] = ACTIONS(1138),
    [anon_sym___leave] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_sizeof] = ACTIONS(1138),
    [anon_sym___alignof__] = ACTIONS(1138),
    [anon_sym___alignof] = ACTIONS(1138),
    [anon_sym__alignof] = ACTIONS(1138),
    [anon_sym_alignof] = ACTIONS(1138),
    [anon_sym__Alignof] = ACTIONS(1138),
    [anon_sym_offsetof] = ACTIONS(1138),
    [anon_sym__Generic] = ACTIONS(1138),
    [anon_sym_asm] = ACTIONS(1138),
    [anon_sym___asm__] = ACTIONS(1138),
    [anon_sym___asm] = ACTIONS(1138),
    [sym_number_literal] = ACTIONS(1140),
    [anon_sym_L_SQUOTE] = ACTIONS(1140),
    [anon_sym_u_SQUOTE] = ACTIONS(1140),
    [anon_sym_U_SQUOTE] = ACTIONS(1140),
    [anon_sym_u8_SQUOTE] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_L_DQUOTE] = ACTIONS(1140),
    [anon_sym_u_DQUOTE] = ACTIONS(1140),
    [anon_sym_U_DQUOTE] = ACTIONS(1140),
    [anon_sym_u8_DQUOTE] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [anon_sym_NULL] = ACTIONS(1138),
    [anon_sym_nullptr] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_identifier] = ACTIONS(1214),
    [aux_sym_preproc_include_token1] = ACTIONS(1214),
    [aux_sym_preproc_def_token1] = ACTIONS(1214),
    [aux_sym_preproc_if_token1] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1214),
    [sym_preproc_directive] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1214),
    [anon_sym_extern] = ACTIONS(1214),
    [anon_sym___attribute__] = ACTIONS(1214),
    [anon_sym___attribute] = ACTIONS(1214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1216),
    [anon_sym___declspec] = ACTIONS(1214),
    [anon_sym___cdecl] = ACTIONS(1214),
    [anon_sym___clrcall] = ACTIONS(1214),
    [anon_sym___stdcall] = ACTIONS(1214),
    [anon_sym___fastcall] = ACTIONS(1214),
    [anon_sym___thiscall] = ACTIONS(1214),
    [anon_sym___vectorcall] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1214),
    [anon_sym_unsigned] = ACTIONS(1214),
    [anon_sym_long] = ACTIONS(1214),
    [anon_sym_short] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1214),
    [anon_sym_auto] = ACTIONS(1214),
    [anon_sym_register] = ACTIONS(1214),
    [anon_sym_inline] = ACTIONS(1214),
    [anon_sym___inline] = ACTIONS(1214),
    [anon_sym___inline__] = ACTIONS(1214),
    [anon_sym___forceinline] = ACTIONS(1214),
    [anon_sym_thread_local] = ACTIONS(1214),
    [anon_sym___thread] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_constexpr] = ACTIONS(1214),
    [anon_sym_volatile] = ACTIONS(1214),
    [anon_sym_restrict] = ACTIONS(1214),
    [anon_sym___restrict__] = ACTIONS(1214),
    [anon_sym__Atomic] = ACTIONS(1214),
    [anon_sym__Noreturn] = ACTIONS(1214),
    [anon_sym_noreturn] = ACTIONS(1214),
    [anon_sym__Nonnull] = ACTIONS(1214),
    [anon_sym_alignas] = ACTIONS(1214),
    [anon_sym__Alignas] = ACTIONS(1214),
    [sym_primitive_type] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_else] = ACTIONS(1214),
    [anon_sym_switch] = ACTIONS(1214),
    [anon_sym_case] = ACTIONS(1214),
    [anon_sym_default] = ACTIONS(1214),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_do] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym___try] = ACTIONS(1214),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_sizeof] = ACTIONS(1214),
    [anon_sym___alignof__] = ACTIONS(1214),
    [anon_sym___alignof] = ACTIONS(1214),
    [anon_sym__alignof] = ACTIONS(1214),
    [anon_sym_alignof] = ACTIONS(1214),
    [anon_sym__Alignof] = ACTIONS(1214),
    [anon_sym_offsetof] = ACTIONS(1214),
    [anon_sym__Generic] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym___asm__] = ACTIONS(1214),
    [anon_sym___asm] = ACTIONS(1214),
    [sym_number_literal] = ACTIONS(1216),
    [anon_sym_L_SQUOTE] = ACTIONS(1216),
    [anon_sym_u_SQUOTE] = ACTIONS(1216),
    [anon_sym_U_SQUOTE] = ACTIONS(1216),
    [anon_sym_u8_SQUOTE] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_L_DQUOTE] = ACTIONS(1216),
    [anon_sym_u_DQUOTE] = ACTIONS(1216),
    [anon_sym_U_DQUOTE] = ACTIONS(1216),
    [anon_sym_u8_DQUOTE] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_NULL] = ACTIONS(1214),
    [anon_sym_nullptr] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_identifier] = ACTIONS(1186),
    [aux_sym_preproc_include_token1] = ACTIONS(1186),
    [aux_sym_preproc_def_token1] = ACTIONS(1186),
    [aux_sym_preproc_if_token1] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1186),
    [sym_preproc_directive] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1188),
    [anon_sym___extension__] = ACTIONS(1186),
    [anon_sym_typedef] = ACTIONS(1186),
    [anon_sym_extern] = ACTIONS(1186),
    [anon_sym___attribute__] = ACTIONS(1186),
    [anon_sym___attribute] = ACTIONS(1186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1188),
    [anon_sym___declspec] = ACTIONS(1186),
    [anon_sym___cdecl] = ACTIONS(1186),
    [anon_sym___clrcall] = ACTIONS(1186),
    [anon_sym___stdcall] = ACTIONS(1186),
    [anon_sym___fastcall] = ACTIONS(1186),
    [anon_sym___thiscall] = ACTIONS(1186),
    [anon_sym___vectorcall] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_signed] = ACTIONS(1186),
    [anon_sym_unsigned] = ACTIONS(1186),
    [anon_sym_long] = ACTIONS(1186),
    [anon_sym_short] = ACTIONS(1186),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_auto] = ACTIONS(1186),
    [anon_sym_register] = ACTIONS(1186),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym___inline] = ACTIONS(1186),
    [anon_sym___inline__] = ACTIONS(1186),
    [anon_sym___forceinline] = ACTIONS(1186),
    [anon_sym_thread_local] = ACTIONS(1186),
    [anon_sym___thread] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_constexpr] = ACTIONS(1186),
    [anon_sym_volatile] = ACTIONS(1186),
    [anon_sym_restrict] = ACTIONS(1186),
    [anon_sym___restrict__] = ACTIONS(1186),
    [anon_sym__Atomic] = ACTIONS(1186),
    [anon_sym__Noreturn] = ACTIONS(1186),
    [anon_sym_noreturn] = ACTIONS(1186),
    [anon_sym__Nonnull] = ACTIONS(1186),
    [anon_sym_alignas] = ACTIONS(1186),
    [anon_sym__Alignas] = ACTIONS(1186),
    [sym_primitive_type] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_else] = ACTIONS(1186),
    [anon_sym_switch] = ACTIONS(1186),
    [anon_sym_case] = ACTIONS(1186),
    [anon_sym_default] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym___try] = ACTIONS(1186),
    [anon_sym___leave] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_sizeof] = ACTIONS(1186),
    [anon_sym___alignof__] = ACTIONS(1186),
    [anon_sym___alignof] = ACTIONS(1186),
    [anon_sym__alignof] = ACTIONS(1186),
    [anon_sym_alignof] = ACTIONS(1186),
    [anon_sym__Alignof] = ACTIONS(1186),
    [anon_sym_offsetof] = ACTIONS(1186),
    [anon_sym__Generic] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym___asm__] = ACTIONS(1186),
    [anon_sym___asm] = ACTIONS(1186),
    [sym_number_literal] = ACTIONS(1188),
    [anon_sym_L_SQUOTE] = ACTIONS(1188),
    [anon_sym_u_SQUOTE] = ACTIONS(1188),
    [anon_sym_U_SQUOTE] = ACTIONS(1188),
    [anon_sym_u8_SQUOTE] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_L_DQUOTE] = ACTIONS(1188),
    [anon_sym_u_DQUOTE] = ACTIONS(1188),
    [anon_sym_U_DQUOTE] = ACTIONS(1188),
    [anon_sym_u8_DQUOTE] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_NULL] = ACTIONS(1186),
    [anon_sym_nullptr] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1186),
    [aux_sym_preproc_include_token1] = ACTIONS(1186),
    [aux_sym_preproc_def_token1] = ACTIONS(1186),
    [aux_sym_preproc_if_token1] = ACTIONS(1186),
    [aux_sym_preproc_if_token2] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1186),
    [sym_preproc_directive] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1188),
    [anon_sym___extension__] = ACTIONS(1186),
    [anon_sym_typedef] = ACTIONS(1186),
    [anon_sym_extern] = ACTIONS(1186),
    [anon_sym___attribute__] = ACTIONS(1186),
    [anon_sym___attribute] = ACTIONS(1186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1188),
    [anon_sym___declspec] = ACTIONS(1186),
    [anon_sym___cdecl] = ACTIONS(1186),
    [anon_sym___clrcall] = ACTIONS(1186),
    [anon_sym___stdcall] = ACTIONS(1186),
    [anon_sym___fastcall] = ACTIONS(1186),
    [anon_sym___thiscall] = ACTIONS(1186),
    [anon_sym___vectorcall] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_signed] = ACTIONS(1186),
    [anon_sym_unsigned] = ACTIONS(1186),
    [anon_sym_long] = ACTIONS(1186),
    [anon_sym_short] = ACTIONS(1186),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_auto] = ACTIONS(1186),
    [anon_sym_register] = ACTIONS(1186),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym___inline] = ACTIONS(1186),
    [anon_sym___inline__] = ACTIONS(1186),
    [anon_sym___forceinline] = ACTIONS(1186),
    [anon_sym_thread_local] = ACTIONS(1186),
    [anon_sym___thread] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_constexpr] = ACTIONS(1186),
    [anon_sym_volatile] = ACTIONS(1186),
    [anon_sym_restrict] = ACTIONS(1186),
    [anon_sym___restrict__] = ACTIONS(1186),
    [anon_sym__Atomic] = ACTIONS(1186),
    [anon_sym__Noreturn] = ACTIONS(1186),
    [anon_sym_noreturn] = ACTIONS(1186),
    [anon_sym__Nonnull] = ACTIONS(1186),
    [anon_sym_alignas] = ACTIONS(1186),
    [anon_sym__Alignas] = ACTIONS(1186),
    [sym_primitive_type] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_else] = ACTIONS(1186),
    [anon_sym_switch] = ACTIONS(1186),
    [anon_sym_case] = ACTIONS(1186),
    [anon_sym_default] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym___try] = ACTIONS(1186),
    [anon_sym___leave] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_sizeof] = ACTIONS(1186),
    [anon_sym___alignof__] = ACTIONS(1186),
    [anon_sym___alignof] = ACTIONS(1186),
    [anon_sym__alignof] = ACTIONS(1186),
    [anon_sym_alignof] = ACTIONS(1186),
    [anon_sym__Alignof] = ACTIONS(1186),
    [anon_sym_offsetof] = ACTIONS(1186),
    [anon_sym__Generic] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym___asm__] = ACTIONS(1186),
    [anon_sym___asm] = ACTIONS(1186),
    [sym_number_literal] = ACTIONS(1188),
    [anon_sym_L_SQUOTE] = ACTIONS(1188),
    [anon_sym_u_SQUOTE] = ACTIONS(1188),
    [anon_sym_U_SQUOTE] = ACTIONS(1188),
    [anon_sym_u8_SQUOTE] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_L_DQUOTE] = ACTIONS(1188),
    [anon_sym_u_DQUOTE] = ACTIONS(1188),
    [anon_sym_U_DQUOTE] = ACTIONS(1188),
    [anon_sym_u8_DQUOTE] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_NULL] = ACTIONS(1186),
    [anon_sym_nullptr] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1182),
    [aux_sym_preproc_include_token1] = ACTIONS(1182),
    [aux_sym_preproc_def_token1] = ACTIONS(1182),
    [aux_sym_preproc_if_token1] = ACTIONS(1182),
    [aux_sym_preproc_if_token2] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1182),
    [sym_preproc_directive] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym___extension__] = ACTIONS(1182),
    [anon_sym_typedef] = ACTIONS(1182),
    [anon_sym_extern] = ACTIONS(1182),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym___attribute] = ACTIONS(1182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1184),
    [anon_sym___declspec] = ACTIONS(1182),
    [anon_sym___cdecl] = ACTIONS(1182),
    [anon_sym___clrcall] = ACTIONS(1182),
    [anon_sym___stdcall] = ACTIONS(1182),
    [anon_sym___fastcall] = ACTIONS(1182),
    [anon_sym___thiscall] = ACTIONS(1182),
    [anon_sym___vectorcall] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_signed] = ACTIONS(1182),
    [anon_sym_unsigned] = ACTIONS(1182),
    [anon_sym_long] = ACTIONS(1182),
    [anon_sym_short] = ACTIONS(1182),
    [anon_sym_static] = ACTIONS(1182),
    [anon_sym_auto] = ACTIONS(1182),
    [anon_sym_register] = ACTIONS(1182),
    [anon_sym_inline] = ACTIONS(1182),
    [anon_sym___inline] = ACTIONS(1182),
    [anon_sym___inline__] = ACTIONS(1182),
    [anon_sym___forceinline] = ACTIONS(1182),
    [anon_sym_thread_local] = ACTIONS(1182),
    [anon_sym___thread] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_constexpr] = ACTIONS(1182),
    [anon_sym_volatile] = ACTIONS(1182),
    [anon_sym_restrict] = ACTIONS(1182),
    [anon_sym___restrict__] = ACTIONS(1182),
    [anon_sym__Atomic] = ACTIONS(1182),
    [anon_sym__Noreturn] = ACTIONS(1182),
    [anon_sym_noreturn] = ACTIONS(1182),
    [anon_sym__Nonnull] = ACTIONS(1182),
    [anon_sym_alignas] = ACTIONS(1182),
    [anon_sym__Alignas] = ACTIONS(1182),
    [sym_primitive_type] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1182),
    [anon_sym_struct] = ACTIONS(1182),
    [anon_sym_union] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_else] = ACTIONS(1182),
    [anon_sym_switch] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1182),
    [anon_sym_default] = ACTIONS(1182),
    [anon_sym_while] = ACTIONS(1182),
    [anon_sym_do] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym___try] = ACTIONS(1182),
    [anon_sym___leave] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_sizeof] = ACTIONS(1182),
    [anon_sym___alignof__] = ACTIONS(1182),
    [anon_sym___alignof] = ACTIONS(1182),
    [anon_sym__alignof] = ACTIONS(1182),
    [anon_sym_alignof] = ACTIONS(1182),
    [anon_sym__Alignof] = ACTIONS(1182),
    [anon_sym_offsetof] = ACTIONS(1182),
    [anon_sym__Generic] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym___asm__] = ACTIONS(1182),
    [anon_sym___asm] = ACTIONS(1182),
    [sym_number_literal] = ACTIONS(1184),
    [anon_sym_L_SQUOTE] = ACTIONS(1184),
    [anon_sym_u_SQUOTE] = ACTIONS(1184),
    [anon_sym_U_SQUOTE] = ACTIONS(1184),
    [anon_sym_u8_SQUOTE] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_L_DQUOTE] = ACTIONS(1184),
    [anon_sym_u_DQUOTE] = ACTIONS(1184),
    [anon_sym_U_DQUOTE] = ACTIONS(1184),
    [anon_sym_u8_DQUOTE] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_NULL] = ACTIONS(1182),
    [anon_sym_nullptr] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_identifier] = ACTIONS(1170),
    [aux_sym_preproc_include_token1] = ACTIONS(1170),
    [aux_sym_preproc_def_token1] = ACTIONS(1170),
    [aux_sym_preproc_if_token1] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1170),
    [sym_preproc_directive] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_STAR] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___extension__] = ACTIONS(1170),
    [anon_sym_typedef] = ACTIONS(1170),
    [anon_sym_extern] = ACTIONS(1170),
    [anon_sym___attribute__] = ACTIONS(1170),
    [anon_sym___attribute] = ACTIONS(1170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1172),
    [anon_sym___declspec] = ACTIONS(1170),
    [anon_sym___cdecl] = ACTIONS(1170),
    [anon_sym___clrcall] = ACTIONS(1170),
    [anon_sym___stdcall] = ACTIONS(1170),
    [anon_sym___fastcall] = ACTIONS(1170),
    [anon_sym___thiscall] = ACTIONS(1170),
    [anon_sym___vectorcall] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_signed] = ACTIONS(1170),
    [anon_sym_unsigned] = ACTIONS(1170),
    [anon_sym_long] = ACTIONS(1170),
    [anon_sym_short] = ACTIONS(1170),
    [anon_sym_static] = ACTIONS(1170),
    [anon_sym_auto] = ACTIONS(1170),
    [anon_sym_register] = ACTIONS(1170),
    [anon_sym_inline] = ACTIONS(1170),
    [anon_sym___inline] = ACTIONS(1170),
    [anon_sym___inline__] = ACTIONS(1170),
    [anon_sym___forceinline] = ACTIONS(1170),
    [anon_sym_thread_local] = ACTIONS(1170),
    [anon_sym___thread] = ACTIONS(1170),
    [anon_sym_const] = ACTIONS(1170),
    [anon_sym_constexpr] = ACTIONS(1170),
    [anon_sym_volatile] = ACTIONS(1170),
    [anon_sym_restrict] = ACTIONS(1170),
    [anon_sym___restrict__] = ACTIONS(1170),
    [anon_sym__Atomic] = ACTIONS(1170),
    [anon_sym__Noreturn] = ACTIONS(1170),
    [anon_sym_noreturn] = ACTIONS(1170),
    [anon_sym__Nonnull] = ACTIONS(1170),
    [anon_sym_alignas] = ACTIONS(1170),
    [anon_sym__Alignas] = ACTIONS(1170),
    [sym_primitive_type] = ACTIONS(1170),
    [anon_sym_enum] = ACTIONS(1170),
    [anon_sym_struct] = ACTIONS(1170),
    [anon_sym_union] = ACTIONS(1170),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_else] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_case] = ACTIONS(1170),
    [anon_sym_default] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_break] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [anon_sym_goto] = ACTIONS(1170),
    [anon_sym___try] = ACTIONS(1170),
    [anon_sym___leave] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_sizeof] = ACTIONS(1170),
    [anon_sym___alignof__] = ACTIONS(1170),
    [anon_sym___alignof] = ACTIONS(1170),
    [anon_sym__alignof] = ACTIONS(1170),
    [anon_sym_alignof] = ACTIONS(1170),
    [anon_sym__Alignof] = ACTIONS(1170),
    [anon_sym_offsetof] = ACTIONS(1170),
    [anon_sym__Generic] = ACTIONS(1170),
    [anon_sym_asm] = ACTIONS(1170),
    [anon_sym___asm__] = ACTIONS(1170),
    [anon_sym___asm] = ACTIONS(1170),
    [sym_number_literal] = ACTIONS(1172),
    [anon_sym_L_SQUOTE] = ACTIONS(1172),
    [anon_sym_u_SQUOTE] = ACTIONS(1172),
    [anon_sym_U_SQUOTE] = ACTIONS(1172),
    [anon_sym_u8_SQUOTE] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_L_DQUOTE] = ACTIONS(1172),
    [anon_sym_u_DQUOTE] = ACTIONS(1172),
    [anon_sym_U_DQUOTE] = ACTIONS(1172),
    [anon_sym_u8_DQUOTE] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [sym_true] = ACTIONS(1170),
    [sym_false] = ACTIONS(1170),
    [anon_sym_NULL] = ACTIONS(1170),
    [anon_sym_nullptr] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1194),
    [aux_sym_preproc_include_token1] = ACTIONS(1194),
    [aux_sym_preproc_def_token1] = ACTIONS(1194),
    [aux_sym_preproc_if_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1194),
    [sym_preproc_directive] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym___extension__] = ACTIONS(1194),
    [anon_sym_typedef] = ACTIONS(1194),
    [anon_sym_extern] = ACTIONS(1194),
    [anon_sym___attribute__] = ACTIONS(1194),
    [anon_sym___attribute] = ACTIONS(1194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1196),
    [anon_sym___declspec] = ACTIONS(1194),
    [anon_sym___cdecl] = ACTIONS(1194),
    [anon_sym___clrcall] = ACTIONS(1194),
    [anon_sym___stdcall] = ACTIONS(1194),
    [anon_sym___fastcall] = ACTIONS(1194),
    [anon_sym___thiscall] = ACTIONS(1194),
    [anon_sym___vectorcall] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1194),
    [anon_sym_unsigned] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_auto] = ACTIONS(1194),
    [anon_sym_register] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1194),
    [anon_sym___inline] = ACTIONS(1194),
    [anon_sym___inline__] = ACTIONS(1194),
    [anon_sym___forceinline] = ACTIONS(1194),
    [anon_sym_thread_local] = ACTIONS(1194),
    [anon_sym___thread] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_constexpr] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_restrict] = ACTIONS(1194),
    [anon_sym___restrict__] = ACTIONS(1194),
    [anon_sym__Atomic] = ACTIONS(1194),
    [anon_sym__Noreturn] = ACTIONS(1194),
    [anon_sym_noreturn] = ACTIONS(1194),
    [anon_sym__Nonnull] = ACTIONS(1194),
    [anon_sym_alignas] = ACTIONS(1194),
    [anon_sym__Alignas] = ACTIONS(1194),
    [sym_primitive_type] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(1194),
    [anon_sym_default] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym___try] = ACTIONS(1194),
    [anon_sym___leave] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_sizeof] = ACTIONS(1194),
    [anon_sym___alignof__] = ACTIONS(1194),
    [anon_sym___alignof] = ACTIONS(1194),
    [anon_sym__alignof] = ACTIONS(1194),
    [anon_sym_alignof] = ACTIONS(1194),
    [anon_sym__Alignof] = ACTIONS(1194),
    [anon_sym_offsetof] = ACTIONS(1194),
    [anon_sym__Generic] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym___asm__] = ACTIONS(1194),
    [anon_sym___asm] = ACTIONS(1194),
    [sym_number_literal] = ACTIONS(1196),
    [anon_sym_L_SQUOTE] = ACTIONS(1196),
    [anon_sym_u_SQUOTE] = ACTIONS(1196),
    [anon_sym_U_SQUOTE] = ACTIONS(1196),
    [anon_sym_u8_SQUOTE] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_L_DQUOTE] = ACTIONS(1196),
    [anon_sym_u_DQUOTE] = ACTIONS(1196),
    [anon_sym_U_DQUOTE] = ACTIONS(1196),
    [anon_sym_u8_DQUOTE] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_NULL] = ACTIONS(1194),
    [anon_sym_nullptr] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1174),
    [aux_sym_preproc_include_token1] = ACTIONS(1174),
    [aux_sym_preproc_def_token1] = ACTIONS(1174),
    [aux_sym_preproc_if_token1] = ACTIONS(1174),
    [aux_sym_preproc_if_token2] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1174),
    [sym_preproc_directive] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_AMP] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1176),
    [anon_sym___extension__] = ACTIONS(1174),
    [anon_sym_typedef] = ACTIONS(1174),
    [anon_sym_extern] = ACTIONS(1174),
    [anon_sym___attribute__] = ACTIONS(1174),
    [anon_sym___attribute] = ACTIONS(1174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1176),
    [anon_sym___declspec] = ACTIONS(1174),
    [anon_sym___cdecl] = ACTIONS(1174),
    [anon_sym___clrcall] = ACTIONS(1174),
    [anon_sym___stdcall] = ACTIONS(1174),
    [anon_sym___fastcall] = ACTIONS(1174),
    [anon_sym___thiscall] = ACTIONS(1174),
    [anon_sym___vectorcall] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(1174),
    [anon_sym_unsigned] = ACTIONS(1174),
    [anon_sym_long] = ACTIONS(1174),
    [anon_sym_short] = ACTIONS(1174),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_auto] = ACTIONS(1174),
    [anon_sym_register] = ACTIONS(1174),
    [anon_sym_inline] = ACTIONS(1174),
    [anon_sym___inline] = ACTIONS(1174),
    [anon_sym___inline__] = ACTIONS(1174),
    [anon_sym___forceinline] = ACTIONS(1174),
    [anon_sym_thread_local] = ACTIONS(1174),
    [anon_sym___thread] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(1174),
    [anon_sym_constexpr] = ACTIONS(1174),
    [anon_sym_volatile] = ACTIONS(1174),
    [anon_sym_restrict] = ACTIONS(1174),
    [anon_sym___restrict__] = ACTIONS(1174),
    [anon_sym__Atomic] = ACTIONS(1174),
    [anon_sym__Noreturn] = ACTIONS(1174),
    [anon_sym_noreturn] = ACTIONS(1174),
    [anon_sym__Nonnull] = ACTIONS(1174),
    [anon_sym_alignas] = ACTIONS(1174),
    [anon_sym__Alignas] = ACTIONS(1174),
    [sym_primitive_type] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1174),
    [anon_sym_struct] = ACTIONS(1174),
    [anon_sym_union] = ACTIONS(1174),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_else] = ACTIONS(1174),
    [anon_sym_switch] = ACTIONS(1174),
    [anon_sym_case] = ACTIONS(1174),
    [anon_sym_default] = ACTIONS(1174),
    [anon_sym_while] = ACTIONS(1174),
    [anon_sym_do] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym___try] = ACTIONS(1174),
    [anon_sym___leave] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [anon_sym_sizeof] = ACTIONS(1174),
    [anon_sym___alignof__] = ACTIONS(1174),
    [anon_sym___alignof] = ACTIONS(1174),
    [anon_sym__alignof] = ACTIONS(1174),
    [anon_sym_alignof] = ACTIONS(1174),
    [anon_sym__Alignof] = ACTIONS(1174),
    [anon_sym_offsetof] = ACTIONS(1174),
    [anon_sym__Generic] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym___asm__] = ACTIONS(1174),
    [anon_sym___asm] = ACTIONS(1174),
    [sym_number_literal] = ACTIONS(1176),
    [anon_sym_L_SQUOTE] = ACTIONS(1176),
    [anon_sym_u_SQUOTE] = ACTIONS(1176),
    [anon_sym_U_SQUOTE] = ACTIONS(1176),
    [anon_sym_u8_SQUOTE] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_L_DQUOTE] = ACTIONS(1176),
    [anon_sym_u_DQUOTE] = ACTIONS(1176),
    [anon_sym_U_DQUOTE] = ACTIONS(1176),
    [anon_sym_u8_DQUOTE] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_NULL] = ACTIONS(1174),
    [anon_sym_nullptr] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1230),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym___extension__] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1230),
    [anon_sym_extern] = ACTIONS(1230),
    [anon_sym___attribute__] = ACTIONS(1230),
    [anon_sym___attribute] = ACTIONS(1230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1232),
    [anon_sym___declspec] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1230),
    [anon_sym_unsigned] = ACTIONS(1230),
    [anon_sym_long] = ACTIONS(1230),
    [anon_sym_short] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_auto] = ACTIONS(1230),
    [anon_sym_register] = ACTIONS(1230),
    [anon_sym_inline] = ACTIONS(1230),
    [anon_sym___inline] = ACTIONS(1230),
    [anon_sym___inline__] = ACTIONS(1230),
    [anon_sym___forceinline] = ACTIONS(1230),
    [anon_sym_thread_local] = ACTIONS(1230),
    [anon_sym___thread] = ACTIONS(1230),
    [anon_sym_const] = ACTIONS(1230),
    [anon_sym_constexpr] = ACTIONS(1230),
    [anon_sym_volatile] = ACTIONS(1230),
    [anon_sym_restrict] = ACTIONS(1230),
    [anon_sym___restrict__] = ACTIONS(1230),
    [anon_sym__Atomic] = ACTIONS(1230),
    [anon_sym__Noreturn] = ACTIONS(1230),
    [anon_sym_noreturn] = ACTIONS(1230),
    [anon_sym__Nonnull] = ACTIONS(1230),
    [anon_sym_alignas] = ACTIONS(1230),
    [anon_sym__Alignas] = ACTIONS(1230),
    [sym_primitive_type] = ACTIONS(1230),
    [anon_sym_enum] = ACTIONS(1230),
    [anon_sym_struct] = ACTIONS(1230),
    [anon_sym_union] = ACTIONS(1230),
    [anon_sym_if] = ACTIONS(1230),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(1230),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(1230),
    [anon_sym_do] = ACTIONS(1230),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_return] = ACTIONS(1230),
    [anon_sym_break] = ACTIONS(1230),
    [anon_sym_continue] = ACTIONS(1230),
    [anon_sym_goto] = ACTIONS(1230),
    [anon_sym___try] = ACTIONS(1230),
    [anon_sym___leave] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_sizeof] = ACTIONS(1230),
    [anon_sym___alignof__] = ACTIONS(1230),
    [anon_sym___alignof] = ACTIONS(1230),
    [anon_sym__alignof] = ACTIONS(1230),
    [anon_sym_alignof] = ACTIONS(1230),
    [anon_sym__Alignof] = ACTIONS(1230),
    [anon_sym_offsetof] = ACTIONS(1230),
    [anon_sym__Generic] = ACTIONS(1230),
    [anon_sym_asm] = ACTIONS(1230),
    [anon_sym___asm__] = ACTIONS(1230),
    [anon_sym___asm] = ACTIONS(1230),
    [sym_number_literal] = ACTIONS(1232),
    [anon_sym_L_SQUOTE] = ACTIONS(1232),
    [anon_sym_u_SQUOTE] = ACTIONS(1232),
    [anon_sym_U_SQUOTE] = ACTIONS(1232),
    [anon_sym_u8_SQUOTE] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_L_DQUOTE] = ACTIONS(1232),
    [anon_sym_u_DQUOTE] = ACTIONS(1232),
    [anon_sym_U_DQUOTE] = ACTIONS(1232),
    [anon_sym_u8_DQUOTE] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [sym_true] = ACTIONS(1230),
    [sym_false] = ACTIONS(1230),
    [anon_sym_NULL] = ACTIONS(1230),
    [anon_sym_nullptr] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_identifier] = ACTIONS(1258),
    [aux_sym_preproc_include_token1] = ACTIONS(1258),
    [aux_sym_preproc_def_token1] = ACTIONS(1258),
    [aux_sym_preproc_if_token1] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1258),
    [sym_preproc_directive] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [anon_sym___extension__] = ACTIONS(1258),
    [anon_sym_typedef] = ACTIONS(1258),
    [anon_sym_extern] = ACTIONS(1258),
    [anon_sym___attribute__] = ACTIONS(1258),
    [anon_sym___attribute] = ACTIONS(1258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1260),
    [anon_sym___declspec] = ACTIONS(1258),
    [anon_sym___cdecl] = ACTIONS(1258),
    [anon_sym___clrcall] = ACTIONS(1258),
    [anon_sym___stdcall] = ACTIONS(1258),
    [anon_sym___fastcall] = ACTIONS(1258),
    [anon_sym___thiscall] = ACTIONS(1258),
    [anon_sym___vectorcall] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_signed] = ACTIONS(1258),
    [anon_sym_unsigned] = ACTIONS(1258),
    [anon_sym_long] = ACTIONS(1258),
    [anon_sym_short] = ACTIONS(1258),
    [anon_sym_static] = ACTIONS(1258),
    [anon_sym_auto] = ACTIONS(1258),
    [anon_sym_register] = ACTIONS(1258),
    [anon_sym_inline] = ACTIONS(1258),
    [anon_sym___inline] = ACTIONS(1258),
    [anon_sym___inline__] = ACTIONS(1258),
    [anon_sym___forceinline] = ACTIONS(1258),
    [anon_sym_thread_local] = ACTIONS(1258),
    [anon_sym___thread] = ACTIONS(1258),
    [anon_sym_const] = ACTIONS(1258),
    [anon_sym_constexpr] = ACTIONS(1258),
    [anon_sym_volatile] = ACTIONS(1258),
    [anon_sym_restrict] = ACTIONS(1258),
    [anon_sym___restrict__] = ACTIONS(1258),
    [anon_sym__Atomic] = ACTIONS(1258),
    [anon_sym__Noreturn] = ACTIONS(1258),
    [anon_sym_noreturn] = ACTIONS(1258),
    [anon_sym__Nonnull] = ACTIONS(1258),
    [anon_sym_alignas] = ACTIONS(1258),
    [anon_sym__Alignas] = ACTIONS(1258),
    [sym_primitive_type] = ACTIONS(1258),
    [anon_sym_enum] = ACTIONS(1258),
    [anon_sym_struct] = ACTIONS(1258),
    [anon_sym_union] = ACTIONS(1258),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_else] = ACTIONS(1258),
    [anon_sym_switch] = ACTIONS(1258),
    [anon_sym_case] = ACTIONS(1258),
    [anon_sym_default] = ACTIONS(1258),
    [anon_sym_while] = ACTIONS(1258),
    [anon_sym_do] = ACTIONS(1258),
    [anon_sym_for] = ACTIONS(1258),
    [anon_sym_return] = ACTIONS(1258),
    [anon_sym_break] = ACTIONS(1258),
    [anon_sym_continue] = ACTIONS(1258),
    [anon_sym_goto] = ACTIONS(1258),
    [anon_sym___try] = ACTIONS(1258),
    [anon_sym___leave] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_sizeof] = ACTIONS(1258),
    [anon_sym___alignof__] = ACTIONS(1258),
    [anon_sym___alignof] = ACTIONS(1258),
    [anon_sym__alignof] = ACTIONS(1258),
    [anon_sym_alignof] = ACTIONS(1258),
    [anon_sym__Alignof] = ACTIONS(1258),
    [anon_sym_offsetof] = ACTIONS(1258),
    [anon_sym__Generic] = ACTIONS(1258),
    [anon_sym_asm] = ACTIONS(1258),
    [anon_sym___asm__] = ACTIONS(1258),
    [anon_sym___asm] = ACTIONS(1258),
    [sym_number_literal] = ACTIONS(1260),
    [anon_sym_L_SQUOTE] = ACTIONS(1260),
    [anon_sym_u_SQUOTE] = ACTIONS(1260),
    [anon_sym_U_SQUOTE] = ACTIONS(1260),
    [anon_sym_u8_SQUOTE] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_L_DQUOTE] = ACTIONS(1260),
    [anon_sym_u_DQUOTE] = ACTIONS(1260),
    [anon_sym_U_DQUOTE] = ACTIONS(1260),
    [anon_sym_u8_DQUOTE] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [sym_true] = ACTIONS(1258),
    [sym_false] = ACTIONS(1258),
    [anon_sym_NULL] = ACTIONS(1258),
    [anon_sym_nullptr] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1210),
    [aux_sym_preproc_def_token1] = ACTIONS(1210),
    [aux_sym_preproc_if_token1] = ACTIONS(1210),
    [aux_sym_preproc_if_token2] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1210),
    [sym_preproc_directive] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [anon_sym___extension__] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1210),
    [anon_sym_extern] = ACTIONS(1210),
    [anon_sym___attribute__] = ACTIONS(1210),
    [anon_sym___attribute] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1212),
    [anon_sym___declspec] = ACTIONS(1210),
    [anon_sym___cdecl] = ACTIONS(1210),
    [anon_sym___clrcall] = ACTIONS(1210),
    [anon_sym___stdcall] = ACTIONS(1210),
    [anon_sym___fastcall] = ACTIONS(1210),
    [anon_sym___thiscall] = ACTIONS(1210),
    [anon_sym___vectorcall] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1210),
    [anon_sym_unsigned] = ACTIONS(1210),
    [anon_sym_long] = ACTIONS(1210),
    [anon_sym_short] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_auto] = ACTIONS(1210),
    [anon_sym_register] = ACTIONS(1210),
    [anon_sym_inline] = ACTIONS(1210),
    [anon_sym___inline] = ACTIONS(1210),
    [anon_sym___inline__] = ACTIONS(1210),
    [anon_sym___forceinline] = ACTIONS(1210),
    [anon_sym_thread_local] = ACTIONS(1210),
    [anon_sym___thread] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(1210),
    [anon_sym_constexpr] = ACTIONS(1210),
    [anon_sym_volatile] = ACTIONS(1210),
    [anon_sym_restrict] = ACTIONS(1210),
    [anon_sym___restrict__] = ACTIONS(1210),
    [anon_sym__Atomic] = ACTIONS(1210),
    [anon_sym__Noreturn] = ACTIONS(1210),
    [anon_sym_noreturn] = ACTIONS(1210),
    [anon_sym__Nonnull] = ACTIONS(1210),
    [anon_sym_alignas] = ACTIONS(1210),
    [anon_sym__Alignas] = ACTIONS(1210),
    [sym_primitive_type] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_struct] = ACTIONS(1210),
    [anon_sym_union] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_else] = ACTIONS(1210),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_case] = ACTIONS(1210),
    [anon_sym_default] = ACTIONS(1210),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_do] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym___try] = ACTIONS(1210),
    [anon_sym___leave] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_sizeof] = ACTIONS(1210),
    [anon_sym___alignof__] = ACTIONS(1210),
    [anon_sym___alignof] = ACTIONS(1210),
    [anon_sym__alignof] = ACTIONS(1210),
    [anon_sym_alignof] = ACTIONS(1210),
    [anon_sym__Alignof] = ACTIONS(1210),
    [anon_sym_offsetof] = ACTIONS(1210),
    [anon_sym__Generic] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym___asm__] = ACTIONS(1210),
    [anon_sym___asm] = ACTIONS(1210),
    [sym_number_literal] = ACTIONS(1212),
    [anon_sym_L_SQUOTE] = ACTIONS(1212),
    [anon_sym_u_SQUOTE] = ACTIONS(1212),
    [anon_sym_U_SQUOTE] = ACTIONS(1212),
    [anon_sym_u8_SQUOTE] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_L_DQUOTE] = ACTIONS(1212),
    [anon_sym_u_DQUOTE] = ACTIONS(1212),
    [anon_sym_U_DQUOTE] = ACTIONS(1212),
    [anon_sym_u8_DQUOTE] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_NULL] = ACTIONS(1210),
    [anon_sym_nullptr] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1242),
    [aux_sym_preproc_include_token1] = ACTIONS(1242),
    [aux_sym_preproc_def_token1] = ACTIONS(1242),
    [aux_sym_preproc_if_token1] = ACTIONS(1242),
    [aux_sym_preproc_if_token2] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1242),
    [sym_preproc_directive] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1242),
    [anon_sym_extern] = ACTIONS(1242),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym___attribute] = ACTIONS(1242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1244),
    [anon_sym___declspec] = ACTIONS(1242),
    [anon_sym___cdecl] = ACTIONS(1242),
    [anon_sym___clrcall] = ACTIONS(1242),
    [anon_sym___stdcall] = ACTIONS(1242),
    [anon_sym___fastcall] = ACTIONS(1242),
    [anon_sym___thiscall] = ACTIONS(1242),
    [anon_sym___vectorcall] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1242),
    [anon_sym_unsigned] = ACTIONS(1242),
    [anon_sym_long] = ACTIONS(1242),
    [anon_sym_short] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1242),
    [anon_sym_auto] = ACTIONS(1242),
    [anon_sym_register] = ACTIONS(1242),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym___inline] = ACTIONS(1242),
    [anon_sym___inline__] = ACTIONS(1242),
    [anon_sym___forceinline] = ACTIONS(1242),
    [anon_sym_thread_local] = ACTIONS(1242),
    [anon_sym___thread] = ACTIONS(1242),
    [anon_sym_const] = ACTIONS(1242),
    [anon_sym_constexpr] = ACTIONS(1242),
    [anon_sym_volatile] = ACTIONS(1242),
    [anon_sym_restrict] = ACTIONS(1242),
    [anon_sym___restrict__] = ACTIONS(1242),
    [anon_sym__Atomic] = ACTIONS(1242),
    [anon_sym__Noreturn] = ACTIONS(1242),
    [anon_sym_noreturn] = ACTIONS(1242),
    [anon_sym__Nonnull] = ACTIONS(1242),
    [anon_sym_alignas] = ACTIONS(1242),
    [anon_sym__Alignas] = ACTIONS(1242),
    [sym_primitive_type] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_case] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_goto] = ACTIONS(1242),
    [anon_sym___try] = ACTIONS(1242),
    [anon_sym___leave] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_sizeof] = ACTIONS(1242),
    [anon_sym___alignof__] = ACTIONS(1242),
    [anon_sym___alignof] = ACTIONS(1242),
    [anon_sym__alignof] = ACTIONS(1242),
    [anon_sym_alignof] = ACTIONS(1242),
    [anon_sym__Alignof] = ACTIONS(1242),
    [anon_sym_offsetof] = ACTIONS(1242),
    [anon_sym__Generic] = ACTIONS(1242),
    [anon_sym_asm] = ACTIONS(1242),
    [anon_sym___asm__] = ACTIONS(1242),
    [anon_sym___asm] = ACTIONS(1242),
    [sym_number_literal] = ACTIONS(1244),
    [anon_sym_L_SQUOTE] = ACTIONS(1244),
    [anon_sym_u_SQUOTE] = ACTIONS(1244),
    [anon_sym_U_SQUOTE] = ACTIONS(1244),
    [anon_sym_u8_SQUOTE] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_L_DQUOTE] = ACTIONS(1244),
    [anon_sym_u_DQUOTE] = ACTIONS(1244),
    [anon_sym_U_DQUOTE] = ACTIONS(1244),
    [anon_sym_u8_DQUOTE] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [sym_true] = ACTIONS(1242),
    [sym_false] = ACTIONS(1242),
    [anon_sym_NULL] = ACTIONS(1242),
    [anon_sym_nullptr] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_identifier] = ACTIONS(1254),
    [aux_sym_preproc_include_token1] = ACTIONS(1254),
    [aux_sym_preproc_def_token1] = ACTIONS(1254),
    [aux_sym_preproc_if_token1] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1254),
    [sym_preproc_directive] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym___extension__] = ACTIONS(1254),
    [anon_sym_typedef] = ACTIONS(1254),
    [anon_sym_extern] = ACTIONS(1254),
    [anon_sym___attribute__] = ACTIONS(1254),
    [anon_sym___attribute] = ACTIONS(1254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1256),
    [anon_sym___declspec] = ACTIONS(1254),
    [anon_sym___cdecl] = ACTIONS(1254),
    [anon_sym___clrcall] = ACTIONS(1254),
    [anon_sym___stdcall] = ACTIONS(1254),
    [anon_sym___fastcall] = ACTIONS(1254),
    [anon_sym___thiscall] = ACTIONS(1254),
    [anon_sym___vectorcall] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_signed] = ACTIONS(1254),
    [anon_sym_unsigned] = ACTIONS(1254),
    [anon_sym_long] = ACTIONS(1254),
    [anon_sym_short] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1254),
    [anon_sym_auto] = ACTIONS(1254),
    [anon_sym_register] = ACTIONS(1254),
    [anon_sym_inline] = ACTIONS(1254),
    [anon_sym___inline] = ACTIONS(1254),
    [anon_sym___inline__] = ACTIONS(1254),
    [anon_sym___forceinline] = ACTIONS(1254),
    [anon_sym_thread_local] = ACTIONS(1254),
    [anon_sym___thread] = ACTIONS(1254),
    [anon_sym_const] = ACTIONS(1254),
    [anon_sym_constexpr] = ACTIONS(1254),
    [anon_sym_volatile] = ACTIONS(1254),
    [anon_sym_restrict] = ACTIONS(1254),
    [anon_sym___restrict__] = ACTIONS(1254),
    [anon_sym__Atomic] = ACTIONS(1254),
    [anon_sym__Noreturn] = ACTIONS(1254),
    [anon_sym_noreturn] = ACTIONS(1254),
    [anon_sym__Nonnull] = ACTIONS(1254),
    [anon_sym_alignas] = ACTIONS(1254),
    [anon_sym__Alignas] = ACTIONS(1254),
    [sym_primitive_type] = ACTIONS(1254),
    [anon_sym_enum] = ACTIONS(1254),
    [anon_sym_struct] = ACTIONS(1254),
    [anon_sym_union] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1254),
    [anon_sym_else] = ACTIONS(1254),
    [anon_sym_switch] = ACTIONS(1254),
    [anon_sym_case] = ACTIONS(1254),
    [anon_sym_default] = ACTIONS(1254),
    [anon_sym_while] = ACTIONS(1254),
    [anon_sym_do] = ACTIONS(1254),
    [anon_sym_for] = ACTIONS(1254),
    [anon_sym_return] = ACTIONS(1254),
    [anon_sym_break] = ACTIONS(1254),
    [anon_sym_continue] = ACTIONS(1254),
    [anon_sym_goto] = ACTIONS(1254),
    [anon_sym___try] = ACTIONS(1254),
    [anon_sym___leave] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_sizeof] = ACTIONS(1254),
    [anon_sym___alignof__] = ACTIONS(1254),
    [anon_sym___alignof] = ACTIONS(1254),
    [anon_sym__alignof] = ACTIONS(1254),
    [anon_sym_alignof] = ACTIONS(1254),
    [anon_sym__Alignof] = ACTIONS(1254),
    [anon_sym_offsetof] = ACTIONS(1254),
    [anon_sym__Generic] = ACTIONS(1254),
    [anon_sym_asm] = ACTIONS(1254),
    [anon_sym___asm__] = ACTIONS(1254),
    [anon_sym___asm] = ACTIONS(1254),
    [sym_number_literal] = ACTIONS(1256),
    [anon_sym_L_SQUOTE] = ACTIONS(1256),
    [anon_sym_u_SQUOTE] = ACTIONS(1256),
    [anon_sym_U_SQUOTE] = ACTIONS(1256),
    [anon_sym_u8_SQUOTE] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_L_DQUOTE] = ACTIONS(1256),
    [anon_sym_u_DQUOTE] = ACTIONS(1256),
    [anon_sym_U_DQUOTE] = ACTIONS(1256),
    [anon_sym_u8_DQUOTE] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [sym_true] = ACTIONS(1254),
    [sym_false] = ACTIONS(1254),
    [anon_sym_NULL] = ACTIONS(1254),
    [anon_sym_nullptr] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1218),
    [aux_sym_preproc_include_token1] = ACTIONS(1218),
    [aux_sym_preproc_def_token1] = ACTIONS(1218),
    [aux_sym_preproc_if_token1] = ACTIONS(1218),
    [aux_sym_preproc_if_token2] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1218),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1218),
    [sym_preproc_directive] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym___extension__] = ACTIONS(1218),
    [anon_sym_typedef] = ACTIONS(1218),
    [anon_sym_extern] = ACTIONS(1218),
    [anon_sym___attribute__] = ACTIONS(1218),
    [anon_sym___attribute] = ACTIONS(1218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1220),
    [anon_sym___declspec] = ACTIONS(1218),
    [anon_sym___cdecl] = ACTIONS(1218),
    [anon_sym___clrcall] = ACTIONS(1218),
    [anon_sym___stdcall] = ACTIONS(1218),
    [anon_sym___fastcall] = ACTIONS(1218),
    [anon_sym___thiscall] = ACTIONS(1218),
    [anon_sym___vectorcall] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_signed] = ACTIONS(1218),
    [anon_sym_unsigned] = ACTIONS(1218),
    [anon_sym_long] = ACTIONS(1218),
    [anon_sym_short] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_auto] = ACTIONS(1218),
    [anon_sym_register] = ACTIONS(1218),
    [anon_sym_inline] = ACTIONS(1218),
    [anon_sym___inline] = ACTIONS(1218),
    [anon_sym___inline__] = ACTIONS(1218),
    [anon_sym___forceinline] = ACTIONS(1218),
    [anon_sym_thread_local] = ACTIONS(1218),
    [anon_sym___thread] = ACTIONS(1218),
    [anon_sym_const] = ACTIONS(1218),
    [anon_sym_constexpr] = ACTIONS(1218),
    [anon_sym_volatile] = ACTIONS(1218),
    [anon_sym_restrict] = ACTIONS(1218),
    [anon_sym___restrict__] = ACTIONS(1218),
    [anon_sym__Atomic] = ACTIONS(1218),
    [anon_sym__Noreturn] = ACTIONS(1218),
    [anon_sym_noreturn] = ACTIONS(1218),
    [anon_sym__Nonnull] = ACTIONS(1218),
    [anon_sym_alignas] = ACTIONS(1218),
    [anon_sym__Alignas] = ACTIONS(1218),
    [sym_primitive_type] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_struct] = ACTIONS(1218),
    [anon_sym_union] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_else] = ACTIONS(1218),
    [anon_sym_switch] = ACTIONS(1218),
    [anon_sym_case] = ACTIONS(1218),
    [anon_sym_default] = ACTIONS(1218),
    [anon_sym_while] = ACTIONS(1218),
    [anon_sym_do] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_goto] = ACTIONS(1218),
    [anon_sym___try] = ACTIONS(1218),
    [anon_sym___leave] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_sizeof] = ACTIONS(1218),
    [anon_sym___alignof__] = ACTIONS(1218),
    [anon_sym___alignof] = ACTIONS(1218),
    [anon_sym__alignof] = ACTIONS(1218),
    [anon_sym_alignof] = ACTIONS(1218),
    [anon_sym__Alignof] = ACTIONS(1218),
    [anon_sym_offsetof] = ACTIONS(1218),
    [anon_sym__Generic] = ACTIONS(1218),
    [anon_sym_asm] = ACTIONS(1218),
    [anon_sym___asm__] = ACTIONS(1218),
    [anon_sym___asm] = ACTIONS(1218),
    [sym_number_literal] = ACTIONS(1220),
    [anon_sym_L_SQUOTE] = ACTIONS(1220),
    [anon_sym_u_SQUOTE] = ACTIONS(1220),
    [anon_sym_U_SQUOTE] = ACTIONS(1220),
    [anon_sym_u8_SQUOTE] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_L_DQUOTE] = ACTIONS(1220),
    [anon_sym_u_DQUOTE] = ACTIONS(1220),
    [anon_sym_U_DQUOTE] = ACTIONS(1220),
    [anon_sym_u8_DQUOTE] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [anon_sym_NULL] = ACTIONS(1218),
    [anon_sym_nullptr] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1138),
    [aux_sym_preproc_def_token1] = ACTIONS(1138),
    [aux_sym_preproc_if_token1] = ACTIONS(1138),
    [aux_sym_preproc_if_token2] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1138),
    [sym_preproc_directive] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1140),
    [anon_sym___extension__] = ACTIONS(1138),
    [anon_sym_typedef] = ACTIONS(1138),
    [anon_sym_extern] = ACTIONS(1138),
    [anon_sym___attribute__] = ACTIONS(1138),
    [anon_sym___attribute] = ACTIONS(1138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1140),
    [anon_sym___declspec] = ACTIONS(1138),
    [anon_sym___cdecl] = ACTIONS(1138),
    [anon_sym___clrcall] = ACTIONS(1138),
    [anon_sym___stdcall] = ACTIONS(1138),
    [anon_sym___fastcall] = ACTIONS(1138),
    [anon_sym___thiscall] = ACTIONS(1138),
    [anon_sym___vectorcall] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_signed] = ACTIONS(1138),
    [anon_sym_unsigned] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_auto] = ACTIONS(1138),
    [anon_sym_register] = ACTIONS(1138),
    [anon_sym_inline] = ACTIONS(1138),
    [anon_sym___inline] = ACTIONS(1138),
    [anon_sym___inline__] = ACTIONS(1138),
    [anon_sym___forceinline] = ACTIONS(1138),
    [anon_sym_thread_local] = ACTIONS(1138),
    [anon_sym___thread] = ACTIONS(1138),
    [anon_sym_const] = ACTIONS(1138),
    [anon_sym_constexpr] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_restrict] = ACTIONS(1138),
    [anon_sym___restrict__] = ACTIONS(1138),
    [anon_sym__Atomic] = ACTIONS(1138),
    [anon_sym__Noreturn] = ACTIONS(1138),
    [anon_sym_noreturn] = ACTIONS(1138),
    [anon_sym__Nonnull] = ACTIONS(1138),
    [anon_sym_alignas] = ACTIONS(1138),
    [anon_sym__Alignas] = ACTIONS(1138),
    [sym_primitive_type] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_struct] = ACTIONS(1138),
    [anon_sym_union] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_else] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1138),
    [anon_sym_default] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_goto] = ACTIONS(1138),
    [anon_sym___try] = ACTIONS(1138),
    [anon_sym___leave] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_sizeof] = ACTIONS(1138),
    [anon_sym___alignof__] = ACTIONS(1138),
    [anon_sym___alignof] = ACTIONS(1138),
    [anon_sym__alignof] = ACTIONS(1138),
    [anon_sym_alignof] = ACTIONS(1138),
    [anon_sym__Alignof] = ACTIONS(1138),
    [anon_sym_offsetof] = ACTIONS(1138),
    [anon_sym__Generic] = ACTIONS(1138),
    [anon_sym_asm] = ACTIONS(1138),
    [anon_sym___asm__] = ACTIONS(1138),
    [anon_sym___asm] = ACTIONS(1138),
    [sym_number_literal] = ACTIONS(1140),
    [anon_sym_L_SQUOTE] = ACTIONS(1140),
    [anon_sym_u_SQUOTE] = ACTIONS(1140),
    [anon_sym_U_SQUOTE] = ACTIONS(1140),
    [anon_sym_u8_SQUOTE] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_L_DQUOTE] = ACTIONS(1140),
    [anon_sym_u_DQUOTE] = ACTIONS(1140),
    [anon_sym_U_DQUOTE] = ACTIONS(1140),
    [anon_sym_u8_DQUOTE] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [anon_sym_NULL] = ACTIONS(1138),
    [anon_sym_nullptr] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1250),
    [aux_sym_preproc_include_token1] = ACTIONS(1250),
    [aux_sym_preproc_def_token1] = ACTIONS(1250),
    [aux_sym_preproc_if_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1250),
    [sym_preproc_directive] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym___extension__] = ACTIONS(1250),
    [anon_sym_typedef] = ACTIONS(1250),
    [anon_sym_extern] = ACTIONS(1250),
    [anon_sym___attribute__] = ACTIONS(1250),
    [anon_sym___attribute] = ACTIONS(1250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1252),
    [anon_sym___declspec] = ACTIONS(1250),
    [anon_sym___cdecl] = ACTIONS(1250),
    [anon_sym___clrcall] = ACTIONS(1250),
    [anon_sym___stdcall] = ACTIONS(1250),
    [anon_sym___fastcall] = ACTIONS(1250),
    [anon_sym___thiscall] = ACTIONS(1250),
    [anon_sym___vectorcall] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [anon_sym_signed] = ACTIONS(1250),
    [anon_sym_unsigned] = ACTIONS(1250),
    [anon_sym_long] = ACTIONS(1250),
    [anon_sym_short] = ACTIONS(1250),
    [anon_sym_static] = ACTIONS(1250),
    [anon_sym_auto] = ACTIONS(1250),
    [anon_sym_register] = ACTIONS(1250),
    [anon_sym_inline] = ACTIONS(1250),
    [anon_sym___inline] = ACTIONS(1250),
    [anon_sym___inline__] = ACTIONS(1250),
    [anon_sym___forceinline] = ACTIONS(1250),
    [anon_sym_thread_local] = ACTIONS(1250),
    [anon_sym___thread] = ACTIONS(1250),
    [anon_sym_const] = ACTIONS(1250),
    [anon_sym_constexpr] = ACTIONS(1250),
    [anon_sym_volatile] = ACTIONS(1250),
    [anon_sym_restrict] = ACTIONS(1250),
    [anon_sym___restrict__] = ACTIONS(1250),
    [anon_sym__Atomic] = ACTIONS(1250),
    [anon_sym__Noreturn] = ACTIONS(1250),
    [anon_sym_noreturn] = ACTIONS(1250),
    [anon_sym__Nonnull] = ACTIONS(1250),
    [anon_sym_alignas] = ACTIONS(1250),
    [anon_sym__Alignas] = ACTIONS(1250),
    [sym_primitive_type] = ACTIONS(1250),
    [anon_sym_enum] = ACTIONS(1250),
    [anon_sym_struct] = ACTIONS(1250),
    [anon_sym_union] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1250),
    [anon_sym_case] = ACTIONS(1250),
    [anon_sym_default] = ACTIONS(1250),
    [anon_sym_while] = ACTIONS(1250),
    [anon_sym_do] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [anon_sym_goto] = ACTIONS(1250),
    [anon_sym___try] = ACTIONS(1250),
    [anon_sym___leave] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_sizeof] = ACTIONS(1250),
    [anon_sym___alignof__] = ACTIONS(1250),
    [anon_sym___alignof] = ACTIONS(1250),
    [anon_sym__alignof] = ACTIONS(1250),
    [anon_sym_alignof] = ACTIONS(1250),
    [anon_sym__Alignof] = ACTIONS(1250),
    [anon_sym_offsetof] = ACTIONS(1250),
    [anon_sym__Generic] = ACTIONS(1250),
    [anon_sym_asm] = ACTIONS(1250),
    [anon_sym___asm__] = ACTIONS(1250),
    [anon_sym___asm] = ACTIONS(1250),
    [sym_number_literal] = ACTIONS(1252),
    [anon_sym_L_SQUOTE] = ACTIONS(1252),
    [anon_sym_u_SQUOTE] = ACTIONS(1252),
    [anon_sym_U_SQUOTE] = ACTIONS(1252),
    [anon_sym_u8_SQUOTE] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_L_DQUOTE] = ACTIONS(1252),
    [anon_sym_u_DQUOTE] = ACTIONS(1252),
    [anon_sym_U_DQUOTE] = ACTIONS(1252),
    [anon_sym_u8_DQUOTE] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [anon_sym_NULL] = ACTIONS(1250),
    [anon_sym_nullptr] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_identifier] = ACTIONS(1246),
    [aux_sym_preproc_include_token1] = ACTIONS(1246),
    [aux_sym_preproc_def_token1] = ACTIONS(1246),
    [aux_sym_preproc_if_token1] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1246),
    [sym_preproc_directive] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym___extension__] = ACTIONS(1246),
    [anon_sym_typedef] = ACTIONS(1246),
    [anon_sym_extern] = ACTIONS(1246),
    [anon_sym___attribute__] = ACTIONS(1246),
    [anon_sym___attribute] = ACTIONS(1246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1248),
    [anon_sym___declspec] = ACTIONS(1246),
    [anon_sym___cdecl] = ACTIONS(1246),
    [anon_sym___clrcall] = ACTIONS(1246),
    [anon_sym___stdcall] = ACTIONS(1246),
    [anon_sym___fastcall] = ACTIONS(1246),
    [anon_sym___thiscall] = ACTIONS(1246),
    [anon_sym___vectorcall] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1246),
    [anon_sym_unsigned] = ACTIONS(1246),
    [anon_sym_long] = ACTIONS(1246),
    [anon_sym_short] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_auto] = ACTIONS(1246),
    [anon_sym_register] = ACTIONS(1246),
    [anon_sym_inline] = ACTIONS(1246),
    [anon_sym___inline] = ACTIONS(1246),
    [anon_sym___inline__] = ACTIONS(1246),
    [anon_sym___forceinline] = ACTIONS(1246),
    [anon_sym_thread_local] = ACTIONS(1246),
    [anon_sym___thread] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_constexpr] = ACTIONS(1246),
    [anon_sym_volatile] = ACTIONS(1246),
    [anon_sym_restrict] = ACTIONS(1246),
    [anon_sym___restrict__] = ACTIONS(1246),
    [anon_sym__Atomic] = ACTIONS(1246),
    [anon_sym__Noreturn] = ACTIONS(1246),
    [anon_sym_noreturn] = ACTIONS(1246),
    [anon_sym__Nonnull] = ACTIONS(1246),
    [anon_sym_alignas] = ACTIONS(1246),
    [anon_sym__Alignas] = ACTIONS(1246),
    [sym_primitive_type] = ACTIONS(1246),
    [anon_sym_enum] = ACTIONS(1246),
    [anon_sym_struct] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_goto] = ACTIONS(1246),
    [anon_sym___try] = ACTIONS(1246),
    [anon_sym___leave] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_sizeof] = ACTIONS(1246),
    [anon_sym___alignof__] = ACTIONS(1246),
    [anon_sym___alignof] = ACTIONS(1246),
    [anon_sym__alignof] = ACTIONS(1246),
    [anon_sym_alignof] = ACTIONS(1246),
    [anon_sym__Alignof] = ACTIONS(1246),
    [anon_sym_offsetof] = ACTIONS(1246),
    [anon_sym__Generic] = ACTIONS(1246),
    [anon_sym_asm] = ACTIONS(1246),
    [anon_sym___asm__] = ACTIONS(1246),
    [anon_sym___asm] = ACTIONS(1246),
    [sym_number_literal] = ACTIONS(1248),
    [anon_sym_L_SQUOTE] = ACTIONS(1248),
    [anon_sym_u_SQUOTE] = ACTIONS(1248),
    [anon_sym_U_SQUOTE] = ACTIONS(1248),
    [anon_sym_u8_SQUOTE] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_L_DQUOTE] = ACTIONS(1248),
    [anon_sym_u_DQUOTE] = ACTIONS(1248),
    [anon_sym_U_DQUOTE] = ACTIONS(1248),
    [anon_sym_u8_DQUOTE] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [sym_true] = ACTIONS(1246),
    [sym_false] = ACTIONS(1246),
    [anon_sym_NULL] = ACTIONS(1246),
    [anon_sym_nullptr] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1210),
    [aux_sym_preproc_include_token1] = ACTIONS(1210),
    [aux_sym_preproc_def_token1] = ACTIONS(1210),
    [aux_sym_preproc_if_token1] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1210),
    [sym_preproc_directive] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [anon_sym___extension__] = ACTIONS(1210),
    [anon_sym_typedef] = ACTIONS(1210),
    [anon_sym_extern] = ACTIONS(1210),
    [anon_sym___attribute__] = ACTIONS(1210),
    [anon_sym___attribute] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1212),
    [anon_sym___declspec] = ACTIONS(1210),
    [anon_sym___cdecl] = ACTIONS(1210),
    [anon_sym___clrcall] = ACTIONS(1210),
    [anon_sym___stdcall] = ACTIONS(1210),
    [anon_sym___fastcall] = ACTIONS(1210),
    [anon_sym___thiscall] = ACTIONS(1210),
    [anon_sym___vectorcall] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [anon_sym_signed] = ACTIONS(1210),
    [anon_sym_unsigned] = ACTIONS(1210),
    [anon_sym_long] = ACTIONS(1210),
    [anon_sym_short] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_auto] = ACTIONS(1210),
    [anon_sym_register] = ACTIONS(1210),
    [anon_sym_inline] = ACTIONS(1210),
    [anon_sym___inline] = ACTIONS(1210),
    [anon_sym___inline__] = ACTIONS(1210),
    [anon_sym___forceinline] = ACTIONS(1210),
    [anon_sym_thread_local] = ACTIONS(1210),
    [anon_sym___thread] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(1210),
    [anon_sym_constexpr] = ACTIONS(1210),
    [anon_sym_volatile] = ACTIONS(1210),
    [anon_sym_restrict] = ACTIONS(1210),
    [anon_sym___restrict__] = ACTIONS(1210),
    [anon_sym__Atomic] = ACTIONS(1210),
    [anon_sym__Noreturn] = ACTIONS(1210),
    [anon_sym_noreturn] = ACTIONS(1210),
    [anon_sym__Nonnull] = ACTIONS(1210),
    [anon_sym_alignas] = ACTIONS(1210),
    [anon_sym__Alignas] = ACTIONS(1210),
    [sym_primitive_type] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_struct] = ACTIONS(1210),
    [anon_sym_union] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_else] = ACTIONS(1210),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_case] = ACTIONS(1210),
    [anon_sym_default] = ACTIONS(1210),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_do] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1210),
    [anon_sym___try] = ACTIONS(1210),
    [anon_sym___leave] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_sizeof] = ACTIONS(1210),
    [anon_sym___alignof__] = ACTIONS(1210),
    [anon_sym___alignof] = ACTIONS(1210),
    [anon_sym__alignof] = ACTIONS(1210),
    [anon_sym_alignof] = ACTIONS(1210),
    [anon_sym__Alignof] = ACTIONS(1210),
    [anon_sym_offsetof] = ACTIONS(1210),
    [anon_sym__Generic] = ACTIONS(1210),
    [anon_sym_asm] = ACTIONS(1210),
    [anon_sym___asm__] = ACTIONS(1210),
    [anon_sym___asm] = ACTIONS(1210),
    [sym_number_literal] = ACTIONS(1212),
    [anon_sym_L_SQUOTE] = ACTIONS(1212),
    [anon_sym_u_SQUOTE] = ACTIONS(1212),
    [anon_sym_U_SQUOTE] = ACTIONS(1212),
    [anon_sym_u8_SQUOTE] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_L_DQUOTE] = ACTIONS(1212),
    [anon_sym_u_DQUOTE] = ACTIONS(1212),
    [anon_sym_U_DQUOTE] = ACTIONS(1212),
    [anon_sym_u8_DQUOTE] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [anon_sym_NULL] = ACTIONS(1210),
    [anon_sym_nullptr] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_identifier] = ACTIONS(1238),
    [aux_sym_preproc_include_token1] = ACTIONS(1238),
    [aux_sym_preproc_def_token1] = ACTIONS(1238),
    [aux_sym_preproc_if_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1238),
    [sym_preproc_directive] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym___extension__] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym___attribute__] = ACTIONS(1238),
    [anon_sym___attribute] = ACTIONS(1238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1240),
    [anon_sym___declspec] = ACTIONS(1238),
    [anon_sym___cdecl] = ACTIONS(1238),
    [anon_sym___clrcall] = ACTIONS(1238),
    [anon_sym___stdcall] = ACTIONS(1238),
    [anon_sym___fastcall] = ACTIONS(1238),
    [anon_sym___thiscall] = ACTIONS(1238),
    [anon_sym___vectorcall] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_signed] = ACTIONS(1238),
    [anon_sym_unsigned] = ACTIONS(1238),
    [anon_sym_long] = ACTIONS(1238),
    [anon_sym_short] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_auto] = ACTIONS(1238),
    [anon_sym_register] = ACTIONS(1238),
    [anon_sym_inline] = ACTIONS(1238),
    [anon_sym___inline] = ACTIONS(1238),
    [anon_sym___inline__] = ACTIONS(1238),
    [anon_sym___forceinline] = ACTIONS(1238),
    [anon_sym_thread_local] = ACTIONS(1238),
    [anon_sym___thread] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_constexpr] = ACTIONS(1238),
    [anon_sym_volatile] = ACTIONS(1238),
    [anon_sym_restrict] = ACTIONS(1238),
    [anon_sym___restrict__] = ACTIONS(1238),
    [anon_sym__Atomic] = ACTIONS(1238),
    [anon_sym__Noreturn] = ACTIONS(1238),
    [anon_sym_noreturn] = ACTIONS(1238),
    [anon_sym__Nonnull] = ACTIONS(1238),
    [anon_sym_alignas] = ACTIONS(1238),
    [anon_sym__Alignas] = ACTIONS(1238),
    [sym_primitive_type] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1238),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_goto] = ACTIONS(1238),
    [anon_sym___try] = ACTIONS(1238),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_sizeof] = ACTIONS(1238),
    [anon_sym___alignof__] = ACTIONS(1238),
    [anon_sym___alignof] = ACTIONS(1238),
    [anon_sym__alignof] = ACTIONS(1238),
    [anon_sym_alignof] = ACTIONS(1238),
    [anon_sym__Alignof] = ACTIONS(1238),
    [anon_sym_offsetof] = ACTIONS(1238),
    [anon_sym__Generic] = ACTIONS(1238),
    [anon_sym_asm] = ACTIONS(1238),
    [anon_sym___asm__] = ACTIONS(1238),
    [anon_sym___asm] = ACTIONS(1238),
    [sym_number_literal] = ACTIONS(1240),
    [anon_sym_L_SQUOTE] = ACTIONS(1240),
    [anon_sym_u_SQUOTE] = ACTIONS(1240),
    [anon_sym_U_SQUOTE] = ACTIONS(1240),
    [anon_sym_u8_SQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_L_DQUOTE] = ACTIONS(1240),
    [anon_sym_u_DQUOTE] = ACTIONS(1240),
    [anon_sym_U_DQUOTE] = ACTIONS(1240),
    [anon_sym_u8_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_true] = ACTIONS(1238),
    [sym_false] = ACTIONS(1238),
    [anon_sym_NULL] = ACTIONS(1238),
    [anon_sym_nullptr] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1158),
    [aux_sym_preproc_include_token1] = ACTIONS(1158),
    [aux_sym_preproc_def_token1] = ACTIONS(1158),
    [aux_sym_preproc_if_token1] = ACTIONS(1158),
    [aux_sym_preproc_if_token2] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1158),
    [sym_preproc_directive] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(1160),
    [anon_sym_AMP] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym___extension__] = ACTIONS(1158),
    [anon_sym_typedef] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(1158),
    [anon_sym___attribute__] = ACTIONS(1158),
    [anon_sym___attribute] = ACTIONS(1158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(1158),
    [anon_sym___cdecl] = ACTIONS(1158),
    [anon_sym___clrcall] = ACTIONS(1158),
    [anon_sym___stdcall] = ACTIONS(1158),
    [anon_sym___fastcall] = ACTIONS(1158),
    [anon_sym___thiscall] = ACTIONS(1158),
    [anon_sym___vectorcall] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_signed] = ACTIONS(1158),
    [anon_sym_unsigned] = ACTIONS(1158),
    [anon_sym_long] = ACTIONS(1158),
    [anon_sym_short] = ACTIONS(1158),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_auto] = ACTIONS(1158),
    [anon_sym_register] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(1158),
    [anon_sym___inline] = ACTIONS(1158),
    [anon_sym___inline__] = ACTIONS(1158),
    [anon_sym___forceinline] = ACTIONS(1158),
    [anon_sym_thread_local] = ACTIONS(1158),
    [anon_sym___thread] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(1158),
    [anon_sym_constexpr] = ACTIONS(1158),
    [anon_sym_volatile] = ACTIONS(1158),
    [anon_sym_restrict] = ACTIONS(1158),
    [anon_sym___restrict__] = ACTIONS(1158),
    [anon_sym__Atomic] = ACTIONS(1158),
    [anon_sym__Noreturn] = ACTIONS(1158),
    [anon_sym_noreturn] = ACTIONS(1158),
    [anon_sym__Nonnull] = ACTIONS(1158),
    [anon_sym_alignas] = ACTIONS(1158),
    [anon_sym__Alignas] = ACTIONS(1158),
    [sym_primitive_type] = ACTIONS(1158),
    [anon_sym_enum] = ACTIONS(1158),
    [anon_sym_struct] = ACTIONS(1158),
    [anon_sym_union] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_else] = ACTIONS(1158),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [anon_sym_do] = ACTIONS(1158),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_break] = ACTIONS(1158),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1158),
    [anon_sym___try] = ACTIONS(1158),
    [anon_sym___leave] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_sizeof] = ACTIONS(1158),
    [anon_sym___alignof__] = ACTIONS(1158),
    [anon_sym___alignof] = ACTIONS(1158),
    [anon_sym__alignof] = ACTIONS(1158),
    [anon_sym_alignof] = ACTIONS(1158),
    [anon_sym__Alignof] = ACTIONS(1158),
    [anon_sym_offsetof] = ACTIONS(1158),
    [anon_sym__Generic] = ACTIONS(1158),
    [anon_sym_asm] = ACTIONS(1158),
    [anon_sym___asm__] = ACTIONS(1158),
    [anon_sym___asm] = ACTIONS(1158),
    [sym_number_literal] = ACTIONS(1160),
    [anon_sym_L_SQUOTE] = ACTIONS(1160),
    [anon_sym_u_SQUOTE] = ACTIONS(1160),
    [anon_sym_U_SQUOTE] = ACTIONS(1160),
    [anon_sym_u8_SQUOTE] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_L_DQUOTE] = ACTIONS(1160),
    [anon_sym_u_DQUOTE] = ACTIONS(1160),
    [anon_sym_U_DQUOTE] = ACTIONS(1160),
    [anon_sym_u8_DQUOTE] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [sym_true] = ACTIONS(1158),
    [sym_false] = ACTIONS(1158),
    [anon_sym_NULL] = ACTIONS(1158),
    [anon_sym_nullptr] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_identifier] = ACTIONS(1226),
    [aux_sym_preproc_include_token1] = ACTIONS(1226),
    [aux_sym_preproc_def_token1] = ACTIONS(1226),
    [aux_sym_preproc_if_token1] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1226),
    [sym_preproc_directive] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym___extension__] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1226),
    [anon_sym_extern] = ACTIONS(1226),
    [anon_sym___attribute__] = ACTIONS(1226),
    [anon_sym___attribute] = ACTIONS(1226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1228),
    [anon_sym___declspec] = ACTIONS(1226),
    [anon_sym___cdecl] = ACTIONS(1226),
    [anon_sym___clrcall] = ACTIONS(1226),
    [anon_sym___stdcall] = ACTIONS(1226),
    [anon_sym___fastcall] = ACTIONS(1226),
    [anon_sym___thiscall] = ACTIONS(1226),
    [anon_sym___vectorcall] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_signed] = ACTIONS(1226),
    [anon_sym_unsigned] = ACTIONS(1226),
    [anon_sym_long] = ACTIONS(1226),
    [anon_sym_short] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_auto] = ACTIONS(1226),
    [anon_sym_register] = ACTIONS(1226),
    [anon_sym_inline] = ACTIONS(1226),
    [anon_sym___inline] = ACTIONS(1226),
    [anon_sym___inline__] = ACTIONS(1226),
    [anon_sym___forceinline] = ACTIONS(1226),
    [anon_sym_thread_local] = ACTIONS(1226),
    [anon_sym___thread] = ACTIONS(1226),
    [anon_sym_const] = ACTIONS(1226),
    [anon_sym_constexpr] = ACTIONS(1226),
    [anon_sym_volatile] = ACTIONS(1226),
    [anon_sym_restrict] = ACTIONS(1226),
    [anon_sym___restrict__] = ACTIONS(1226),
    [anon_sym__Atomic] = ACTIONS(1226),
    [anon_sym__Noreturn] = ACTIONS(1226),
    [anon_sym_noreturn] = ACTIONS(1226),
    [anon_sym__Nonnull] = ACTIONS(1226),
    [anon_sym_alignas] = ACTIONS(1226),
    [anon_sym__Alignas] = ACTIONS(1226),
    [sym_primitive_type] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1226),
    [anon_sym_struct] = ACTIONS(1226),
    [anon_sym_union] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_else] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_case] = ACTIONS(1226),
    [anon_sym_default] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_goto] = ACTIONS(1226),
    [anon_sym___try] = ACTIONS(1226),
    [anon_sym___leave] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_sizeof] = ACTIONS(1226),
    [anon_sym___alignof__] = ACTIONS(1226),
    [anon_sym___alignof] = ACTIONS(1226),
    [anon_sym__alignof] = ACTIONS(1226),
    [anon_sym_alignof] = ACTIONS(1226),
    [anon_sym__Alignof] = ACTIONS(1226),
    [anon_sym_offsetof] = ACTIONS(1226),
    [anon_sym__Generic] = ACTIONS(1226),
    [anon_sym_asm] = ACTIONS(1226),
    [anon_sym___asm__] = ACTIONS(1226),
    [anon_sym___asm] = ACTIONS(1226),
    [sym_number_literal] = ACTIONS(1228),
    [anon_sym_L_SQUOTE] = ACTIONS(1228),
    [anon_sym_u_SQUOTE] = ACTIONS(1228),
    [anon_sym_U_SQUOTE] = ACTIONS(1228),
    [anon_sym_u8_SQUOTE] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_L_DQUOTE] = ACTIONS(1228),
    [anon_sym_u_DQUOTE] = ACTIONS(1228),
    [anon_sym_U_DQUOTE] = ACTIONS(1228),
    [anon_sym_u8_DQUOTE] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [sym_true] = ACTIONS(1226),
    [sym_false] = ACTIONS(1226),
    [anon_sym_NULL] = ACTIONS(1226),
    [anon_sym_nullptr] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1234),
    [aux_sym_preproc_include_token1] = ACTIONS(1234),
    [aux_sym_preproc_def_token1] = ACTIONS(1234),
    [aux_sym_preproc_if_token1] = ACTIONS(1234),
    [aux_sym_preproc_if_token2] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1234),
    [sym_preproc_directive] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym___extension__] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1234),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym___attribute__] = ACTIONS(1234),
    [anon_sym___attribute] = ACTIONS(1234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(1234),
    [anon_sym___cdecl] = ACTIONS(1234),
    [anon_sym___clrcall] = ACTIONS(1234),
    [anon_sym___stdcall] = ACTIONS(1234),
    [anon_sym___fastcall] = ACTIONS(1234),
    [anon_sym___thiscall] = ACTIONS(1234),
    [anon_sym___vectorcall] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1234),
    [anon_sym_unsigned] = ACTIONS(1234),
    [anon_sym_long] = ACTIONS(1234),
    [anon_sym_short] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1234),
    [anon_sym_auto] = ACTIONS(1234),
    [anon_sym_register] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1234),
    [anon_sym___inline] = ACTIONS(1234),
    [anon_sym___inline__] = ACTIONS(1234),
    [anon_sym___forceinline] = ACTIONS(1234),
    [anon_sym_thread_local] = ACTIONS(1234),
    [anon_sym___thread] = ACTIONS(1234),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_constexpr] = ACTIONS(1234),
    [anon_sym_volatile] = ACTIONS(1234),
    [anon_sym_restrict] = ACTIONS(1234),
    [anon_sym___restrict__] = ACTIONS(1234),
    [anon_sym__Atomic] = ACTIONS(1234),
    [anon_sym__Noreturn] = ACTIONS(1234),
    [anon_sym_noreturn] = ACTIONS(1234),
    [anon_sym__Nonnull] = ACTIONS(1234),
    [anon_sym_alignas] = ACTIONS(1234),
    [anon_sym__Alignas] = ACTIONS(1234),
    [sym_primitive_type] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_struct] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_else] = ACTIONS(1234),
    [anon_sym_switch] = ACTIONS(1234),
    [anon_sym_case] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_do] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_break] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_goto] = ACTIONS(1234),
    [anon_sym___try] = ACTIONS(1234),
    [anon_sym___leave] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_sizeof] = ACTIONS(1234),
    [anon_sym___alignof__] = ACTIONS(1234),
    [anon_sym___alignof] = ACTIONS(1234),
    [anon_sym__alignof] = ACTIONS(1234),
    [anon_sym_alignof] = ACTIONS(1234),
    [anon_sym__Alignof] = ACTIONS(1234),
    [anon_sym_offsetof] = ACTIONS(1234),
    [anon_sym__Generic] = ACTIONS(1234),
    [anon_sym_asm] = ACTIONS(1234),
    [anon_sym___asm__] = ACTIONS(1234),
    [anon_sym___asm] = ACTIONS(1234),
    [sym_number_literal] = ACTIONS(1236),
    [anon_sym_L_SQUOTE] = ACTIONS(1236),
    [anon_sym_u_SQUOTE] = ACTIONS(1236),
    [anon_sym_U_SQUOTE] = ACTIONS(1236),
    [anon_sym_u8_SQUOTE] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_L_DQUOTE] = ACTIONS(1236),
    [anon_sym_u_DQUOTE] = ACTIONS(1236),
    [anon_sym_U_DQUOTE] = ACTIONS(1236),
    [anon_sym_u8_DQUOTE] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [sym_true] = ACTIONS(1234),
    [sym_false] = ACTIONS(1234),
    [anon_sym_NULL] = ACTIONS(1234),
    [anon_sym_nullptr] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token2] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym___extension__] = ACTIONS(1190),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym___attribute] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym___inline] = ACTIONS(1190),
    [anon_sym___inline__] = ACTIONS(1190),
    [anon_sym___forceinline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym___thread] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym__Nonnull] = ACTIONS(1190),
    [anon_sym_alignas] = ACTIONS(1190),
    [anon_sym__Alignas] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym___try] = ACTIONS(1190),
    [anon_sym___leave] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym___alignof__] = ACTIONS(1190),
    [anon_sym___alignof] = ACTIONS(1190),
    [anon_sym__alignof] = ACTIONS(1190),
    [anon_sym_alignof] = ACTIONS(1190),
    [anon_sym__Alignof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [anon_sym___asm] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1186),
    [aux_sym_preproc_include_token1] = ACTIONS(1186),
    [aux_sym_preproc_def_token1] = ACTIONS(1186),
    [aux_sym_preproc_if_token1] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1186),
    [sym_preproc_directive] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1188),
    [anon_sym___extension__] = ACTIONS(1186),
    [anon_sym_typedef] = ACTIONS(1186),
    [anon_sym_extern] = ACTIONS(1186),
    [anon_sym___attribute__] = ACTIONS(1186),
    [anon_sym___attribute] = ACTIONS(1186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1188),
    [anon_sym___declspec] = ACTIONS(1186),
    [anon_sym___cdecl] = ACTIONS(1186),
    [anon_sym___clrcall] = ACTIONS(1186),
    [anon_sym___stdcall] = ACTIONS(1186),
    [anon_sym___fastcall] = ACTIONS(1186),
    [anon_sym___thiscall] = ACTIONS(1186),
    [anon_sym___vectorcall] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_signed] = ACTIONS(1186),
    [anon_sym_unsigned] = ACTIONS(1186),
    [anon_sym_long] = ACTIONS(1186),
    [anon_sym_short] = ACTIONS(1186),
    [anon_sym_static] = ACTIONS(1186),
    [anon_sym_auto] = ACTIONS(1186),
    [anon_sym_register] = ACTIONS(1186),
    [anon_sym_inline] = ACTIONS(1186),
    [anon_sym___inline] = ACTIONS(1186),
    [anon_sym___inline__] = ACTIONS(1186),
    [anon_sym___forceinline] = ACTIONS(1186),
    [anon_sym_thread_local] = ACTIONS(1186),
    [anon_sym___thread] = ACTIONS(1186),
    [anon_sym_const] = ACTIONS(1186),
    [anon_sym_constexpr] = ACTIONS(1186),
    [anon_sym_volatile] = ACTIONS(1186),
    [anon_sym_restrict] = ACTIONS(1186),
    [anon_sym___restrict__] = ACTIONS(1186),
    [anon_sym__Atomic] = ACTIONS(1186),
    [anon_sym__Noreturn] = ACTIONS(1186),
    [anon_sym_noreturn] = ACTIONS(1186),
    [anon_sym__Nonnull] = ACTIONS(1186),
    [anon_sym_alignas] = ACTIONS(1186),
    [anon_sym__Alignas] = ACTIONS(1186),
    [sym_primitive_type] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1186),
    [anon_sym_struct] = ACTIONS(1186),
    [anon_sym_union] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_else] = ACTIONS(1186),
    [anon_sym_switch] = ACTIONS(1186),
    [anon_sym_case] = ACTIONS(1186),
    [anon_sym_default] = ACTIONS(1186),
    [anon_sym_while] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1186),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1186),
    [anon_sym_continue] = ACTIONS(1186),
    [anon_sym_goto] = ACTIONS(1186),
    [anon_sym___try] = ACTIONS(1186),
    [anon_sym___leave] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_sizeof] = ACTIONS(1186),
    [anon_sym___alignof__] = ACTIONS(1186),
    [anon_sym___alignof] = ACTIONS(1186),
    [anon_sym__alignof] = ACTIONS(1186),
    [anon_sym_alignof] = ACTIONS(1186),
    [anon_sym__Alignof] = ACTIONS(1186),
    [anon_sym_offsetof] = ACTIONS(1186),
    [anon_sym__Generic] = ACTIONS(1186),
    [anon_sym_asm] = ACTIONS(1186),
    [anon_sym___asm__] = ACTIONS(1186),
    [anon_sym___asm] = ACTIONS(1186),
    [sym_number_literal] = ACTIONS(1188),
    [anon_sym_L_SQUOTE] = ACTIONS(1188),
    [anon_sym_u_SQUOTE] = ACTIONS(1188),
    [anon_sym_U_SQUOTE] = ACTIONS(1188),
    [anon_sym_u8_SQUOTE] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_L_DQUOTE] = ACTIONS(1188),
    [anon_sym_u_DQUOTE] = ACTIONS(1188),
    [anon_sym_U_DQUOTE] = ACTIONS(1188),
    [anon_sym_u8_DQUOTE] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [sym_true] = ACTIONS(1186),
    [sym_false] = ACTIONS(1186),
    [anon_sym_NULL] = ACTIONS(1186),
    [anon_sym_nullptr] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_identifier] = ACTIONS(1182),
    [aux_sym_preproc_include_token1] = ACTIONS(1182),
    [aux_sym_preproc_def_token1] = ACTIONS(1182),
    [aux_sym_preproc_if_token1] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1182),
    [sym_preproc_directive] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym___extension__] = ACTIONS(1182),
    [anon_sym_typedef] = ACTIONS(1182),
    [anon_sym_extern] = ACTIONS(1182),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym___attribute] = ACTIONS(1182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1184),
    [anon_sym___declspec] = ACTIONS(1182),
    [anon_sym___cdecl] = ACTIONS(1182),
    [anon_sym___clrcall] = ACTIONS(1182),
    [anon_sym___stdcall] = ACTIONS(1182),
    [anon_sym___fastcall] = ACTIONS(1182),
    [anon_sym___thiscall] = ACTIONS(1182),
    [anon_sym___vectorcall] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_signed] = ACTIONS(1182),
    [anon_sym_unsigned] = ACTIONS(1182),
    [anon_sym_long] = ACTIONS(1182),
    [anon_sym_short] = ACTIONS(1182),
    [anon_sym_static] = ACTIONS(1182),
    [anon_sym_auto] = ACTIONS(1182),
    [anon_sym_register] = ACTIONS(1182),
    [anon_sym_inline] = ACTIONS(1182),
    [anon_sym___inline] = ACTIONS(1182),
    [anon_sym___inline__] = ACTIONS(1182),
    [anon_sym___forceinline] = ACTIONS(1182),
    [anon_sym_thread_local] = ACTIONS(1182),
    [anon_sym___thread] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_constexpr] = ACTIONS(1182),
    [anon_sym_volatile] = ACTIONS(1182),
    [anon_sym_restrict] = ACTIONS(1182),
    [anon_sym___restrict__] = ACTIONS(1182),
    [anon_sym__Atomic] = ACTIONS(1182),
    [anon_sym__Noreturn] = ACTIONS(1182),
    [anon_sym_noreturn] = ACTIONS(1182),
    [anon_sym__Nonnull] = ACTIONS(1182),
    [anon_sym_alignas] = ACTIONS(1182),
    [anon_sym__Alignas] = ACTIONS(1182),
    [sym_primitive_type] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1182),
    [anon_sym_struct] = ACTIONS(1182),
    [anon_sym_union] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_else] = ACTIONS(1182),
    [anon_sym_switch] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1182),
    [anon_sym_default] = ACTIONS(1182),
    [anon_sym_while] = ACTIONS(1182),
    [anon_sym_do] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym___try] = ACTIONS(1182),
    [anon_sym___leave] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_sizeof] = ACTIONS(1182),
    [anon_sym___alignof__] = ACTIONS(1182),
    [anon_sym___alignof] = ACTIONS(1182),
    [anon_sym__alignof] = ACTIONS(1182),
    [anon_sym_alignof] = ACTIONS(1182),
    [anon_sym__Alignof] = ACTIONS(1182),
    [anon_sym_offsetof] = ACTIONS(1182),
    [anon_sym__Generic] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym___asm__] = ACTIONS(1182),
    [anon_sym___asm] = ACTIONS(1182),
    [sym_number_literal] = ACTIONS(1184),
    [anon_sym_L_SQUOTE] = ACTIONS(1184),
    [anon_sym_u_SQUOTE] = ACTIONS(1184),
    [anon_sym_U_SQUOTE] = ACTIONS(1184),
    [anon_sym_u8_SQUOTE] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_L_DQUOTE] = ACTIONS(1184),
    [anon_sym_u_DQUOTE] = ACTIONS(1184),
    [anon_sym_U_DQUOTE] = ACTIONS(1184),
    [anon_sym_u8_DQUOTE] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_NULL] = ACTIONS(1182),
    [anon_sym_nullptr] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1174),
    [aux_sym_preproc_include_token1] = ACTIONS(1174),
    [aux_sym_preproc_def_token1] = ACTIONS(1174),
    [aux_sym_preproc_if_token1] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1174),
    [sym_preproc_directive] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_AMP] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1176),
    [anon_sym___extension__] = ACTIONS(1174),
    [anon_sym_typedef] = ACTIONS(1174),
    [anon_sym_extern] = ACTIONS(1174),
    [anon_sym___attribute__] = ACTIONS(1174),
    [anon_sym___attribute] = ACTIONS(1174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1176),
    [anon_sym___declspec] = ACTIONS(1174),
    [anon_sym___cdecl] = ACTIONS(1174),
    [anon_sym___clrcall] = ACTIONS(1174),
    [anon_sym___stdcall] = ACTIONS(1174),
    [anon_sym___fastcall] = ACTIONS(1174),
    [anon_sym___thiscall] = ACTIONS(1174),
    [anon_sym___vectorcall] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(1174),
    [anon_sym_unsigned] = ACTIONS(1174),
    [anon_sym_long] = ACTIONS(1174),
    [anon_sym_short] = ACTIONS(1174),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_auto] = ACTIONS(1174),
    [anon_sym_register] = ACTIONS(1174),
    [anon_sym_inline] = ACTIONS(1174),
    [anon_sym___inline] = ACTIONS(1174),
    [anon_sym___inline__] = ACTIONS(1174),
    [anon_sym___forceinline] = ACTIONS(1174),
    [anon_sym_thread_local] = ACTIONS(1174),
    [anon_sym___thread] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(1174),
    [anon_sym_constexpr] = ACTIONS(1174),
    [anon_sym_volatile] = ACTIONS(1174),
    [anon_sym_restrict] = ACTIONS(1174),
    [anon_sym___restrict__] = ACTIONS(1174),
    [anon_sym__Atomic] = ACTIONS(1174),
    [anon_sym__Noreturn] = ACTIONS(1174),
    [anon_sym_noreturn] = ACTIONS(1174),
    [anon_sym__Nonnull] = ACTIONS(1174),
    [anon_sym_alignas] = ACTIONS(1174),
    [anon_sym__Alignas] = ACTIONS(1174),
    [sym_primitive_type] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1174),
    [anon_sym_struct] = ACTIONS(1174),
    [anon_sym_union] = ACTIONS(1174),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_else] = ACTIONS(1174),
    [anon_sym_switch] = ACTIONS(1174),
    [anon_sym_case] = ACTIONS(1174),
    [anon_sym_default] = ACTIONS(1174),
    [anon_sym_while] = ACTIONS(1174),
    [anon_sym_do] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym___try] = ACTIONS(1174),
    [anon_sym___leave] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [anon_sym_sizeof] = ACTIONS(1174),
    [anon_sym___alignof__] = ACTIONS(1174),
    [anon_sym___alignof] = ACTIONS(1174),
    [anon_sym__alignof] = ACTIONS(1174),
    [anon_sym_alignof] = ACTIONS(1174),
    [anon_sym__Alignof] = ACTIONS(1174),
    [anon_sym_offsetof] = ACTIONS(1174),
    [anon_sym__Generic] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym___asm__] = ACTIONS(1174),
    [anon_sym___asm] = ACTIONS(1174),
    [sym_number_literal] = ACTIONS(1176),
    [anon_sym_L_SQUOTE] = ACTIONS(1176),
    [anon_sym_u_SQUOTE] = ACTIONS(1176),
    [anon_sym_U_SQUOTE] = ACTIONS(1176),
    [anon_sym_u8_SQUOTE] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_L_DQUOTE] = ACTIONS(1176),
    [anon_sym_u_DQUOTE] = ACTIONS(1176),
    [anon_sym_U_DQUOTE] = ACTIONS(1176),
    [anon_sym_u8_DQUOTE] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_NULL] = ACTIONS(1174),
    [anon_sym_nullptr] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1230),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token2] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym___extension__] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1230),
    [anon_sym_extern] = ACTIONS(1230),
    [anon_sym___attribute__] = ACTIONS(1230),
    [anon_sym___attribute] = ACTIONS(1230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1232),
    [anon_sym___declspec] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1230),
    [anon_sym_unsigned] = ACTIONS(1230),
    [anon_sym_long] = ACTIONS(1230),
    [anon_sym_short] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_auto] = ACTIONS(1230),
    [anon_sym_register] = ACTIONS(1230),
    [anon_sym_inline] = ACTIONS(1230),
    [anon_sym___inline] = ACTIONS(1230),
    [anon_sym___inline__] = ACTIONS(1230),
    [anon_sym___forceinline] = ACTIONS(1230),
    [anon_sym_thread_local] = ACTIONS(1230),
    [anon_sym___thread] = ACTIONS(1230),
    [anon_sym_const] = ACTIONS(1230),
    [anon_sym_constexpr] = ACTIONS(1230),
    [anon_sym_volatile] = ACTIONS(1230),
    [anon_sym_restrict] = ACTIONS(1230),
    [anon_sym___restrict__] = ACTIONS(1230),
    [anon_sym__Atomic] = ACTIONS(1230),
    [anon_sym__Noreturn] = ACTIONS(1230),
    [anon_sym_noreturn] = ACTIONS(1230),
    [anon_sym__Nonnull] = ACTIONS(1230),
    [anon_sym_alignas] = ACTIONS(1230),
    [anon_sym__Alignas] = ACTIONS(1230),
    [sym_primitive_type] = ACTIONS(1230),
    [anon_sym_enum] = ACTIONS(1230),
    [anon_sym_struct] = ACTIONS(1230),
    [anon_sym_union] = ACTIONS(1230),
    [anon_sym_if] = ACTIONS(1230),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(1230),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(1230),
    [anon_sym_do] = ACTIONS(1230),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_return] = ACTIONS(1230),
    [anon_sym_break] = ACTIONS(1230),
    [anon_sym_continue] = ACTIONS(1230),
    [anon_sym_goto] = ACTIONS(1230),
    [anon_sym___try] = ACTIONS(1230),
    [anon_sym___leave] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_sizeof] = ACTIONS(1230),
    [anon_sym___alignof__] = ACTIONS(1230),
    [anon_sym___alignof] = ACTIONS(1230),
    [anon_sym__alignof] = ACTIONS(1230),
    [anon_sym_alignof] = ACTIONS(1230),
    [anon_sym__Alignof] = ACTIONS(1230),
    [anon_sym_offsetof] = ACTIONS(1230),
    [anon_sym__Generic] = ACTIONS(1230),
    [anon_sym_asm] = ACTIONS(1230),
    [anon_sym___asm__] = ACTIONS(1230),
    [anon_sym___asm] = ACTIONS(1230),
    [sym_number_literal] = ACTIONS(1232),
    [anon_sym_L_SQUOTE] = ACTIONS(1232),
    [anon_sym_u_SQUOTE] = ACTIONS(1232),
    [anon_sym_U_SQUOTE] = ACTIONS(1232),
    [anon_sym_u8_SQUOTE] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_L_DQUOTE] = ACTIONS(1232),
    [anon_sym_u_DQUOTE] = ACTIONS(1232),
    [anon_sym_U_DQUOTE] = ACTIONS(1232),
    [anon_sym_u8_DQUOTE] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [sym_true] = ACTIONS(1230),
    [sym_false] = ACTIONS(1230),
    [anon_sym_NULL] = ACTIONS(1230),
    [anon_sym_nullptr] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1214),
    [aux_sym_preproc_include_token1] = ACTIONS(1214),
    [aux_sym_preproc_def_token1] = ACTIONS(1214),
    [aux_sym_preproc_if_token1] = ACTIONS(1214),
    [aux_sym_preproc_if_token2] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1214),
    [sym_preproc_directive] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1214),
    [anon_sym_extern] = ACTIONS(1214),
    [anon_sym___attribute__] = ACTIONS(1214),
    [anon_sym___attribute] = ACTIONS(1214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1216),
    [anon_sym___declspec] = ACTIONS(1214),
    [anon_sym___cdecl] = ACTIONS(1214),
    [anon_sym___clrcall] = ACTIONS(1214),
    [anon_sym___stdcall] = ACTIONS(1214),
    [anon_sym___fastcall] = ACTIONS(1214),
    [anon_sym___thiscall] = ACTIONS(1214),
    [anon_sym___vectorcall] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1214),
    [anon_sym_unsigned] = ACTIONS(1214),
    [anon_sym_long] = ACTIONS(1214),
    [anon_sym_short] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1214),
    [anon_sym_auto] = ACTIONS(1214),
    [anon_sym_register] = ACTIONS(1214),
    [anon_sym_inline] = ACTIONS(1214),
    [anon_sym___inline] = ACTIONS(1214),
    [anon_sym___inline__] = ACTIONS(1214),
    [anon_sym___forceinline] = ACTIONS(1214),
    [anon_sym_thread_local] = ACTIONS(1214),
    [anon_sym___thread] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_constexpr] = ACTIONS(1214),
    [anon_sym_volatile] = ACTIONS(1214),
    [anon_sym_restrict] = ACTIONS(1214),
    [anon_sym___restrict__] = ACTIONS(1214),
    [anon_sym__Atomic] = ACTIONS(1214),
    [anon_sym__Noreturn] = ACTIONS(1214),
    [anon_sym_noreturn] = ACTIONS(1214),
    [anon_sym__Nonnull] = ACTIONS(1214),
    [anon_sym_alignas] = ACTIONS(1214),
    [anon_sym__Alignas] = ACTIONS(1214),
    [sym_primitive_type] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_else] = ACTIONS(1214),
    [anon_sym_switch] = ACTIONS(1214),
    [anon_sym_case] = ACTIONS(1214),
    [anon_sym_default] = ACTIONS(1214),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_do] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym___try] = ACTIONS(1214),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_sizeof] = ACTIONS(1214),
    [anon_sym___alignof__] = ACTIONS(1214),
    [anon_sym___alignof] = ACTIONS(1214),
    [anon_sym__alignof] = ACTIONS(1214),
    [anon_sym_alignof] = ACTIONS(1214),
    [anon_sym__Alignof] = ACTIONS(1214),
    [anon_sym_offsetof] = ACTIONS(1214),
    [anon_sym__Generic] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym___asm__] = ACTIONS(1214),
    [anon_sym___asm] = ACTIONS(1214),
    [sym_number_literal] = ACTIONS(1216),
    [anon_sym_L_SQUOTE] = ACTIONS(1216),
    [anon_sym_u_SQUOTE] = ACTIONS(1216),
    [anon_sym_U_SQUOTE] = ACTIONS(1216),
    [anon_sym_u8_SQUOTE] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_L_DQUOTE] = ACTIONS(1216),
    [anon_sym_u_DQUOTE] = ACTIONS(1216),
    [anon_sym_U_DQUOTE] = ACTIONS(1216),
    [anon_sym_u8_DQUOTE] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_NULL] = ACTIONS(1214),
    [anon_sym_nullptr] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1198),
    [aux_sym_preproc_include_token1] = ACTIONS(1198),
    [aux_sym_preproc_def_token1] = ACTIONS(1198),
    [aux_sym_preproc_if_token1] = ACTIONS(1198),
    [aux_sym_preproc_if_token2] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1198),
    [sym_preproc_directive] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym___extension__] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1198),
    [anon_sym_extern] = ACTIONS(1198),
    [anon_sym___attribute__] = ACTIONS(1198),
    [anon_sym___attribute] = ACTIONS(1198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1200),
    [anon_sym___declspec] = ACTIONS(1198),
    [anon_sym___cdecl] = ACTIONS(1198),
    [anon_sym___clrcall] = ACTIONS(1198),
    [anon_sym___stdcall] = ACTIONS(1198),
    [anon_sym___fastcall] = ACTIONS(1198),
    [anon_sym___thiscall] = ACTIONS(1198),
    [anon_sym___vectorcall] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1198),
    [anon_sym_unsigned] = ACTIONS(1198),
    [anon_sym_long] = ACTIONS(1198),
    [anon_sym_short] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1198),
    [anon_sym_auto] = ACTIONS(1198),
    [anon_sym_register] = ACTIONS(1198),
    [anon_sym_inline] = ACTIONS(1198),
    [anon_sym___inline] = ACTIONS(1198),
    [anon_sym___inline__] = ACTIONS(1198),
    [anon_sym___forceinline] = ACTIONS(1198),
    [anon_sym_thread_local] = ACTIONS(1198),
    [anon_sym___thread] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_constexpr] = ACTIONS(1198),
    [anon_sym_volatile] = ACTIONS(1198),
    [anon_sym_restrict] = ACTIONS(1198),
    [anon_sym___restrict__] = ACTIONS(1198),
    [anon_sym__Atomic] = ACTIONS(1198),
    [anon_sym__Noreturn] = ACTIONS(1198),
    [anon_sym_noreturn] = ACTIONS(1198),
    [anon_sym__Nonnull] = ACTIONS(1198),
    [anon_sym_alignas] = ACTIONS(1198),
    [anon_sym__Alignas] = ACTIONS(1198),
    [sym_primitive_type] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_else] = ACTIONS(1198),
    [anon_sym_switch] = ACTIONS(1198),
    [anon_sym_case] = ACTIONS(1198),
    [anon_sym_default] = ACTIONS(1198),
    [anon_sym_while] = ACTIONS(1198),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym___try] = ACTIONS(1198),
    [anon_sym___leave] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_sizeof] = ACTIONS(1198),
    [anon_sym___alignof__] = ACTIONS(1198),
    [anon_sym___alignof] = ACTIONS(1198),
    [anon_sym__alignof] = ACTIONS(1198),
    [anon_sym_alignof] = ACTIONS(1198),
    [anon_sym__Alignof] = ACTIONS(1198),
    [anon_sym_offsetof] = ACTIONS(1198),
    [anon_sym__Generic] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym___asm__] = ACTIONS(1198),
    [anon_sym___asm] = ACTIONS(1198),
    [sym_number_literal] = ACTIONS(1200),
    [anon_sym_L_SQUOTE] = ACTIONS(1200),
    [anon_sym_u_SQUOTE] = ACTIONS(1200),
    [anon_sym_U_SQUOTE] = ACTIONS(1200),
    [anon_sym_u8_SQUOTE] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_L_DQUOTE] = ACTIONS(1200),
    [anon_sym_u_DQUOTE] = ACTIONS(1200),
    [anon_sym_U_DQUOTE] = ACTIONS(1200),
    [anon_sym_u8_DQUOTE] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_NULL] = ACTIONS(1198),
    [anon_sym_nullptr] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1194),
    [aux_sym_preproc_include_token1] = ACTIONS(1194),
    [aux_sym_preproc_def_token1] = ACTIONS(1194),
    [aux_sym_preproc_if_token1] = ACTIONS(1194),
    [aux_sym_preproc_if_token2] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1194),
    [sym_preproc_directive] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym___extension__] = ACTIONS(1194),
    [anon_sym_typedef] = ACTIONS(1194),
    [anon_sym_extern] = ACTIONS(1194),
    [anon_sym___attribute__] = ACTIONS(1194),
    [anon_sym___attribute] = ACTIONS(1194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1196),
    [anon_sym___declspec] = ACTIONS(1194),
    [anon_sym___cdecl] = ACTIONS(1194),
    [anon_sym___clrcall] = ACTIONS(1194),
    [anon_sym___stdcall] = ACTIONS(1194),
    [anon_sym___fastcall] = ACTIONS(1194),
    [anon_sym___thiscall] = ACTIONS(1194),
    [anon_sym___vectorcall] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1194),
    [anon_sym_unsigned] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_auto] = ACTIONS(1194),
    [anon_sym_register] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1194),
    [anon_sym___inline] = ACTIONS(1194),
    [anon_sym___inline__] = ACTIONS(1194),
    [anon_sym___forceinline] = ACTIONS(1194),
    [anon_sym_thread_local] = ACTIONS(1194),
    [anon_sym___thread] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_constexpr] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_restrict] = ACTIONS(1194),
    [anon_sym___restrict__] = ACTIONS(1194),
    [anon_sym__Atomic] = ACTIONS(1194),
    [anon_sym__Noreturn] = ACTIONS(1194),
    [anon_sym_noreturn] = ACTIONS(1194),
    [anon_sym__Nonnull] = ACTIONS(1194),
    [anon_sym_alignas] = ACTIONS(1194),
    [anon_sym__Alignas] = ACTIONS(1194),
    [sym_primitive_type] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(1194),
    [anon_sym_default] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym___try] = ACTIONS(1194),
    [anon_sym___leave] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_sizeof] = ACTIONS(1194),
    [anon_sym___alignof__] = ACTIONS(1194),
    [anon_sym___alignof] = ACTIONS(1194),
    [anon_sym__alignof] = ACTIONS(1194),
    [anon_sym_alignof] = ACTIONS(1194),
    [anon_sym__Alignof] = ACTIONS(1194),
    [anon_sym_offsetof] = ACTIONS(1194),
    [anon_sym__Generic] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym___asm__] = ACTIONS(1194),
    [anon_sym___asm] = ACTIONS(1194),
    [sym_number_literal] = ACTIONS(1196),
    [anon_sym_L_SQUOTE] = ACTIONS(1196),
    [anon_sym_u_SQUOTE] = ACTIONS(1196),
    [anon_sym_U_SQUOTE] = ACTIONS(1196),
    [anon_sym_u8_SQUOTE] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_L_DQUOTE] = ACTIONS(1196),
    [anon_sym_u_DQUOTE] = ACTIONS(1196),
    [anon_sym_U_DQUOTE] = ACTIONS(1196),
    [anon_sym_u8_DQUOTE] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_NULL] = ACTIONS(1194),
    [anon_sym_nullptr] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_identifier] = ACTIONS(1134),
    [aux_sym_preproc_include_token1] = ACTIONS(1134),
    [aux_sym_preproc_def_token1] = ACTIONS(1134),
    [aux_sym_preproc_if_token1] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1134),
    [sym_preproc_directive] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1136),
    [anon_sym___extension__] = ACTIONS(1134),
    [anon_sym_typedef] = ACTIONS(1134),
    [anon_sym_extern] = ACTIONS(1134),
    [anon_sym___attribute__] = ACTIONS(1134),
    [anon_sym___attribute] = ACTIONS(1134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1136),
    [anon_sym___declspec] = ACTIONS(1134),
    [anon_sym___cdecl] = ACTIONS(1134),
    [anon_sym___clrcall] = ACTIONS(1134),
    [anon_sym___stdcall] = ACTIONS(1134),
    [anon_sym___fastcall] = ACTIONS(1134),
    [anon_sym___thiscall] = ACTIONS(1134),
    [anon_sym___vectorcall] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(1134),
    [anon_sym_unsigned] = ACTIONS(1134),
    [anon_sym_long] = ACTIONS(1134),
    [anon_sym_short] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(1134),
    [anon_sym_auto] = ACTIONS(1134),
    [anon_sym_register] = ACTIONS(1134),
    [anon_sym_inline] = ACTIONS(1134),
    [anon_sym___inline] = ACTIONS(1134),
    [anon_sym___inline__] = ACTIONS(1134),
    [anon_sym___forceinline] = ACTIONS(1134),
    [anon_sym_thread_local] = ACTIONS(1134),
    [anon_sym___thread] = ACTIONS(1134),
    [anon_sym_const] = ACTIONS(1134),
    [anon_sym_constexpr] = ACTIONS(1134),
    [anon_sym_volatile] = ACTIONS(1134),
    [anon_sym_restrict] = ACTIONS(1134),
    [anon_sym___restrict__] = ACTIONS(1134),
    [anon_sym__Atomic] = ACTIONS(1134),
    [anon_sym__Noreturn] = ACTIONS(1134),
    [anon_sym_noreturn] = ACTIONS(1134),
    [anon_sym__Nonnull] = ACTIONS(1134),
    [anon_sym_alignas] = ACTIONS(1134),
    [anon_sym__Alignas] = ACTIONS(1134),
    [sym_primitive_type] = ACTIONS(1134),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_struct] = ACTIONS(1134),
    [anon_sym_union] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_else] = ACTIONS(1134),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_default] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_break] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_goto] = ACTIONS(1134),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_sizeof] = ACTIONS(1134),
    [anon_sym___alignof__] = ACTIONS(1134),
    [anon_sym___alignof] = ACTIONS(1134),
    [anon_sym__alignof] = ACTIONS(1134),
    [anon_sym_alignof] = ACTIONS(1134),
    [anon_sym__Alignof] = ACTIONS(1134),
    [anon_sym_offsetof] = ACTIONS(1134),
    [anon_sym__Generic] = ACTIONS(1134),
    [anon_sym_asm] = ACTIONS(1134),
    [anon_sym___asm__] = ACTIONS(1134),
    [anon_sym___asm] = ACTIONS(1134),
    [sym_number_literal] = ACTIONS(1136),
    [anon_sym_L_SQUOTE] = ACTIONS(1136),
    [anon_sym_u_SQUOTE] = ACTIONS(1136),
    [anon_sym_U_SQUOTE] = ACTIONS(1136),
    [anon_sym_u8_SQUOTE] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_L_DQUOTE] = ACTIONS(1136),
    [anon_sym_u_DQUOTE] = ACTIONS(1136),
    [anon_sym_U_DQUOTE] = ACTIONS(1136),
    [anon_sym_u8_DQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [sym_true] = ACTIONS(1134),
    [sym_false] = ACTIONS(1134),
    [anon_sym_NULL] = ACTIONS(1134),
    [anon_sym_nullptr] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1154),
    [aux_sym_preproc_include_token1] = ACTIONS(1154),
    [aux_sym_preproc_def_token1] = ACTIONS(1154),
    [aux_sym_preproc_if_token1] = ACTIONS(1154),
    [aux_sym_preproc_if_token2] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1154),
    [sym_preproc_directive] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_STAR] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1156),
    [anon_sym___extension__] = ACTIONS(1154),
    [anon_sym_typedef] = ACTIONS(1154),
    [anon_sym_extern] = ACTIONS(1154),
    [anon_sym___attribute__] = ACTIONS(1154),
    [anon_sym___attribute] = ACTIONS(1154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1156),
    [anon_sym___declspec] = ACTIONS(1154),
    [anon_sym___cdecl] = ACTIONS(1154),
    [anon_sym___clrcall] = ACTIONS(1154),
    [anon_sym___stdcall] = ACTIONS(1154),
    [anon_sym___fastcall] = ACTIONS(1154),
    [anon_sym___thiscall] = ACTIONS(1154),
    [anon_sym___vectorcall] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_signed] = ACTIONS(1154),
    [anon_sym_unsigned] = ACTIONS(1154),
    [anon_sym_long] = ACTIONS(1154),
    [anon_sym_short] = ACTIONS(1154),
    [anon_sym_static] = ACTIONS(1154),
    [anon_sym_auto] = ACTIONS(1154),
    [anon_sym_register] = ACTIONS(1154),
    [anon_sym_inline] = ACTIONS(1154),
    [anon_sym___inline] = ACTIONS(1154),
    [anon_sym___inline__] = ACTIONS(1154),
    [anon_sym___forceinline] = ACTIONS(1154),
    [anon_sym_thread_local] = ACTIONS(1154),
    [anon_sym___thread] = ACTIONS(1154),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_constexpr] = ACTIONS(1154),
    [anon_sym_volatile] = ACTIONS(1154),
    [anon_sym_restrict] = ACTIONS(1154),
    [anon_sym___restrict__] = ACTIONS(1154),
    [anon_sym__Atomic] = ACTIONS(1154),
    [anon_sym__Noreturn] = ACTIONS(1154),
    [anon_sym_noreturn] = ACTIONS(1154),
    [anon_sym__Nonnull] = ACTIONS(1154),
    [anon_sym_alignas] = ACTIONS(1154),
    [anon_sym__Alignas] = ACTIONS(1154),
    [sym_primitive_type] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(1154),
    [anon_sym_union] = ACTIONS(1154),
    [anon_sym_if] = ACTIONS(1154),
    [anon_sym_else] = ACTIONS(1154),
    [anon_sym_switch] = ACTIONS(1154),
    [anon_sym_case] = ACTIONS(1154),
    [anon_sym_default] = ACTIONS(1154),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_do] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1154),
    [anon_sym_continue] = ACTIONS(1154),
    [anon_sym_goto] = ACTIONS(1154),
    [anon_sym___try] = ACTIONS(1154),
    [anon_sym___leave] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [anon_sym_sizeof] = ACTIONS(1154),
    [anon_sym___alignof__] = ACTIONS(1154),
    [anon_sym___alignof] = ACTIONS(1154),
    [anon_sym__alignof] = ACTIONS(1154),
    [anon_sym_alignof] = ACTIONS(1154),
    [anon_sym__Alignof] = ACTIONS(1154),
    [anon_sym_offsetof] = ACTIONS(1154),
    [anon_sym__Generic] = ACTIONS(1154),
    [anon_sym_asm] = ACTIONS(1154),
    [anon_sym___asm__] = ACTIONS(1154),
    [anon_sym___asm] = ACTIONS(1154),
    [sym_number_literal] = ACTIONS(1156),
    [anon_sym_L_SQUOTE] = ACTIONS(1156),
    [anon_sym_u_SQUOTE] = ACTIONS(1156),
    [anon_sym_U_SQUOTE] = ACTIONS(1156),
    [anon_sym_u8_SQUOTE] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_L_DQUOTE] = ACTIONS(1156),
    [anon_sym_u_DQUOTE] = ACTIONS(1156),
    [anon_sym_U_DQUOTE] = ACTIONS(1156),
    [anon_sym_u8_DQUOTE] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [anon_sym_NULL] = ACTIONS(1154),
    [anon_sym_nullptr] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token2] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1178),
    [aux_sym_preproc_include_token1] = ACTIONS(1178),
    [aux_sym_preproc_def_token1] = ACTIONS(1178),
    [aux_sym_preproc_if_token1] = ACTIONS(1178),
    [aux_sym_preproc_if_token2] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1178),
    [sym_preproc_directive] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [anon_sym___extension__] = ACTIONS(1178),
    [anon_sym_typedef] = ACTIONS(1178),
    [anon_sym_extern] = ACTIONS(1178),
    [anon_sym___attribute__] = ACTIONS(1178),
    [anon_sym___attribute] = ACTIONS(1178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1180),
    [anon_sym___declspec] = ACTIONS(1178),
    [anon_sym___cdecl] = ACTIONS(1178),
    [anon_sym___clrcall] = ACTIONS(1178),
    [anon_sym___stdcall] = ACTIONS(1178),
    [anon_sym___fastcall] = ACTIONS(1178),
    [anon_sym___thiscall] = ACTIONS(1178),
    [anon_sym___vectorcall] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_signed] = ACTIONS(1178),
    [anon_sym_unsigned] = ACTIONS(1178),
    [anon_sym_long] = ACTIONS(1178),
    [anon_sym_short] = ACTIONS(1178),
    [anon_sym_static] = ACTIONS(1178),
    [anon_sym_auto] = ACTIONS(1178),
    [anon_sym_register] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1178),
    [anon_sym___inline] = ACTIONS(1178),
    [anon_sym___inline__] = ACTIONS(1178),
    [anon_sym___forceinline] = ACTIONS(1178),
    [anon_sym_thread_local] = ACTIONS(1178),
    [anon_sym___thread] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_constexpr] = ACTIONS(1178),
    [anon_sym_volatile] = ACTIONS(1178),
    [anon_sym_restrict] = ACTIONS(1178),
    [anon_sym___restrict__] = ACTIONS(1178),
    [anon_sym__Atomic] = ACTIONS(1178),
    [anon_sym__Noreturn] = ACTIONS(1178),
    [anon_sym_noreturn] = ACTIONS(1178),
    [anon_sym__Nonnull] = ACTIONS(1178),
    [anon_sym_alignas] = ACTIONS(1178),
    [anon_sym__Alignas] = ACTIONS(1178),
    [sym_primitive_type] = ACTIONS(1178),
    [anon_sym_enum] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_union] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(1178),
    [anon_sym_else] = ACTIONS(1178),
    [anon_sym_switch] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1178),
    [anon_sym_default] = ACTIONS(1178),
    [anon_sym_while] = ACTIONS(1178),
    [anon_sym_do] = ACTIONS(1178),
    [anon_sym_for] = ACTIONS(1178),
    [anon_sym_return] = ACTIONS(1178),
    [anon_sym_break] = ACTIONS(1178),
    [anon_sym_continue] = ACTIONS(1178),
    [anon_sym_goto] = ACTIONS(1178),
    [anon_sym___try] = ACTIONS(1178),
    [anon_sym___leave] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_sizeof] = ACTIONS(1178),
    [anon_sym___alignof__] = ACTIONS(1178),
    [anon_sym___alignof] = ACTIONS(1178),
    [anon_sym__alignof] = ACTIONS(1178),
    [anon_sym_alignof] = ACTIONS(1178),
    [anon_sym__Alignof] = ACTIONS(1178),
    [anon_sym_offsetof] = ACTIONS(1178),
    [anon_sym__Generic] = ACTIONS(1178),
    [anon_sym_asm] = ACTIONS(1178),
    [anon_sym___asm__] = ACTIONS(1178),
    [anon_sym___asm] = ACTIONS(1178),
    [sym_number_literal] = ACTIONS(1180),
    [anon_sym_L_SQUOTE] = ACTIONS(1180),
    [anon_sym_u_SQUOTE] = ACTIONS(1180),
    [anon_sym_U_SQUOTE] = ACTIONS(1180),
    [anon_sym_u8_SQUOTE] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_L_DQUOTE] = ACTIONS(1180),
    [anon_sym_u_DQUOTE] = ACTIONS(1180),
    [anon_sym_U_DQUOTE] = ACTIONS(1180),
    [anon_sym_u8_DQUOTE] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [sym_true] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
    [anon_sym_NULL] = ACTIONS(1178),
    [anon_sym_nullptr] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1166),
    [aux_sym_preproc_include_token1] = ACTIONS(1166),
    [aux_sym_preproc_def_token1] = ACTIONS(1166),
    [aux_sym_preproc_if_token1] = ACTIONS(1166),
    [aux_sym_preproc_if_token2] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1166),
    [sym_preproc_directive] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1168),
    [anon_sym_AMP] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym___extension__] = ACTIONS(1166),
    [anon_sym_typedef] = ACTIONS(1166),
    [anon_sym_extern] = ACTIONS(1166),
    [anon_sym___attribute__] = ACTIONS(1166),
    [anon_sym___attribute] = ACTIONS(1166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1168),
    [anon_sym___declspec] = ACTIONS(1166),
    [anon_sym___cdecl] = ACTIONS(1166),
    [anon_sym___clrcall] = ACTIONS(1166),
    [anon_sym___stdcall] = ACTIONS(1166),
    [anon_sym___fastcall] = ACTIONS(1166),
    [anon_sym___thiscall] = ACTIONS(1166),
    [anon_sym___vectorcall] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(1166),
    [anon_sym_unsigned] = ACTIONS(1166),
    [anon_sym_long] = ACTIONS(1166),
    [anon_sym_short] = ACTIONS(1166),
    [anon_sym_static] = ACTIONS(1166),
    [anon_sym_auto] = ACTIONS(1166),
    [anon_sym_register] = ACTIONS(1166),
    [anon_sym_inline] = ACTIONS(1166),
    [anon_sym___inline] = ACTIONS(1166),
    [anon_sym___inline__] = ACTIONS(1166),
    [anon_sym___forceinline] = ACTIONS(1166),
    [anon_sym_thread_local] = ACTIONS(1166),
    [anon_sym___thread] = ACTIONS(1166),
    [anon_sym_const] = ACTIONS(1166),
    [anon_sym_constexpr] = ACTIONS(1166),
    [anon_sym_volatile] = ACTIONS(1166),
    [anon_sym_restrict] = ACTIONS(1166),
    [anon_sym___restrict__] = ACTIONS(1166),
    [anon_sym__Atomic] = ACTIONS(1166),
    [anon_sym__Noreturn] = ACTIONS(1166),
    [anon_sym_noreturn] = ACTIONS(1166),
    [anon_sym__Nonnull] = ACTIONS(1166),
    [anon_sym_alignas] = ACTIONS(1166),
    [anon_sym__Alignas] = ACTIONS(1166),
    [sym_primitive_type] = ACTIONS(1166),
    [anon_sym_enum] = ACTIONS(1166),
    [anon_sym_struct] = ACTIONS(1166),
    [anon_sym_union] = ACTIONS(1166),
    [anon_sym_if] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1166),
    [anon_sym_switch] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1166),
    [anon_sym_default] = ACTIONS(1166),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1166),
    [anon_sym_for] = ACTIONS(1166),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_break] = ACTIONS(1166),
    [anon_sym_continue] = ACTIONS(1166),
    [anon_sym_goto] = ACTIONS(1166),
    [anon_sym___try] = ACTIONS(1166),
    [anon_sym___leave] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_sizeof] = ACTIONS(1166),
    [anon_sym___alignof__] = ACTIONS(1166),
    [anon_sym___alignof] = ACTIONS(1166),
    [anon_sym__alignof] = ACTIONS(1166),
    [anon_sym_alignof] = ACTIONS(1166),
    [anon_sym__Alignof] = ACTIONS(1166),
    [anon_sym_offsetof] = ACTIONS(1166),
    [anon_sym__Generic] = ACTIONS(1166),
    [anon_sym_asm] = ACTIONS(1166),
    [anon_sym___asm__] = ACTIONS(1166),
    [anon_sym___asm] = ACTIONS(1166),
    [sym_number_literal] = ACTIONS(1168),
    [anon_sym_L_SQUOTE] = ACTIONS(1168),
    [anon_sym_u_SQUOTE] = ACTIONS(1168),
    [anon_sym_U_SQUOTE] = ACTIONS(1168),
    [anon_sym_u8_SQUOTE] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_L_DQUOTE] = ACTIONS(1168),
    [anon_sym_u_DQUOTE] = ACTIONS(1168),
    [anon_sym_U_DQUOTE] = ACTIONS(1168),
    [anon_sym_u8_DQUOTE] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [sym_true] = ACTIONS(1166),
    [sym_false] = ACTIONS(1166),
    [anon_sym_NULL] = ACTIONS(1166),
    [anon_sym_nullptr] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token2] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1162),
    [aux_sym_preproc_include_token1] = ACTIONS(1162),
    [aux_sym_preproc_def_token1] = ACTIONS(1162),
    [aux_sym_preproc_if_token1] = ACTIONS(1162),
    [aux_sym_preproc_if_token2] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1162),
    [sym_preproc_directive] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym___extension__] = ACTIONS(1162),
    [anon_sym_typedef] = ACTIONS(1162),
    [anon_sym_extern] = ACTIONS(1162),
    [anon_sym___attribute__] = ACTIONS(1162),
    [anon_sym___attribute] = ACTIONS(1162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1164),
    [anon_sym___declspec] = ACTIONS(1162),
    [anon_sym___cdecl] = ACTIONS(1162),
    [anon_sym___clrcall] = ACTIONS(1162),
    [anon_sym___stdcall] = ACTIONS(1162),
    [anon_sym___fastcall] = ACTIONS(1162),
    [anon_sym___thiscall] = ACTIONS(1162),
    [anon_sym___vectorcall] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_signed] = ACTIONS(1162),
    [anon_sym_unsigned] = ACTIONS(1162),
    [anon_sym_long] = ACTIONS(1162),
    [anon_sym_short] = ACTIONS(1162),
    [anon_sym_static] = ACTIONS(1162),
    [anon_sym_auto] = ACTIONS(1162),
    [anon_sym_register] = ACTIONS(1162),
    [anon_sym_inline] = ACTIONS(1162),
    [anon_sym___inline] = ACTIONS(1162),
    [anon_sym___inline__] = ACTIONS(1162),
    [anon_sym___forceinline] = ACTIONS(1162),
    [anon_sym_thread_local] = ACTIONS(1162),
    [anon_sym___thread] = ACTIONS(1162),
    [anon_sym_const] = ACTIONS(1162),
    [anon_sym_constexpr] = ACTIONS(1162),
    [anon_sym_volatile] = ACTIONS(1162),
    [anon_sym_restrict] = ACTIONS(1162),
    [anon_sym___restrict__] = ACTIONS(1162),
    [anon_sym__Atomic] = ACTIONS(1162),
    [anon_sym__Noreturn] = ACTIONS(1162),
    [anon_sym_noreturn] = ACTIONS(1162),
    [anon_sym__Nonnull] = ACTIONS(1162),
    [anon_sym_alignas] = ACTIONS(1162),
    [anon_sym__Alignas] = ACTIONS(1162),
    [sym_primitive_type] = ACTIONS(1162),
    [anon_sym_enum] = ACTIONS(1162),
    [anon_sym_struct] = ACTIONS(1162),
    [anon_sym_union] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_case] = ACTIONS(1162),
    [anon_sym_default] = ACTIONS(1162),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_do] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_break] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [anon_sym_goto] = ACTIONS(1162),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_sizeof] = ACTIONS(1162),
    [anon_sym___alignof__] = ACTIONS(1162),
    [anon_sym___alignof] = ACTIONS(1162),
    [anon_sym__alignof] = ACTIONS(1162),
    [anon_sym_alignof] = ACTIONS(1162),
    [anon_sym__Alignof] = ACTIONS(1162),
    [anon_sym_offsetof] = ACTIONS(1162),
    [anon_sym__Generic] = ACTIONS(1162),
    [anon_sym_asm] = ACTIONS(1162),
    [anon_sym___asm__] = ACTIONS(1162),
    [anon_sym___asm] = ACTIONS(1162),
    [sym_number_literal] = ACTIONS(1164),
    [anon_sym_L_SQUOTE] = ACTIONS(1164),
    [anon_sym_u_SQUOTE] = ACTIONS(1164),
    [anon_sym_U_SQUOTE] = ACTIONS(1164),
    [anon_sym_u8_SQUOTE] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_L_DQUOTE] = ACTIONS(1164),
    [anon_sym_u_DQUOTE] = ACTIONS(1164),
    [anon_sym_U_DQUOTE] = ACTIONS(1164),
    [anon_sym_u8_DQUOTE] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [anon_sym_NULL] = ACTIONS(1162),
    [anon_sym_nullptr] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1134),
    [aux_sym_preproc_include_token1] = ACTIONS(1134),
    [aux_sym_preproc_def_token1] = ACTIONS(1134),
    [aux_sym_preproc_if_token1] = ACTIONS(1134),
    [aux_sym_preproc_if_token2] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1134),
    [sym_preproc_directive] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1136),
    [anon_sym___extension__] = ACTIONS(1134),
    [anon_sym_typedef] = ACTIONS(1134),
    [anon_sym_extern] = ACTIONS(1134),
    [anon_sym___attribute__] = ACTIONS(1134),
    [anon_sym___attribute] = ACTIONS(1134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1136),
    [anon_sym___declspec] = ACTIONS(1134),
    [anon_sym___cdecl] = ACTIONS(1134),
    [anon_sym___clrcall] = ACTIONS(1134),
    [anon_sym___stdcall] = ACTIONS(1134),
    [anon_sym___fastcall] = ACTIONS(1134),
    [anon_sym___thiscall] = ACTIONS(1134),
    [anon_sym___vectorcall] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(1134),
    [anon_sym_unsigned] = ACTIONS(1134),
    [anon_sym_long] = ACTIONS(1134),
    [anon_sym_short] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(1134),
    [anon_sym_auto] = ACTIONS(1134),
    [anon_sym_register] = ACTIONS(1134),
    [anon_sym_inline] = ACTIONS(1134),
    [anon_sym___inline] = ACTIONS(1134),
    [anon_sym___inline__] = ACTIONS(1134),
    [anon_sym___forceinline] = ACTIONS(1134),
    [anon_sym_thread_local] = ACTIONS(1134),
    [anon_sym___thread] = ACTIONS(1134),
    [anon_sym_const] = ACTIONS(1134),
    [anon_sym_constexpr] = ACTIONS(1134),
    [anon_sym_volatile] = ACTIONS(1134),
    [anon_sym_restrict] = ACTIONS(1134),
    [anon_sym___restrict__] = ACTIONS(1134),
    [anon_sym__Atomic] = ACTIONS(1134),
    [anon_sym__Noreturn] = ACTIONS(1134),
    [anon_sym_noreturn] = ACTIONS(1134),
    [anon_sym__Nonnull] = ACTIONS(1134),
    [anon_sym_alignas] = ACTIONS(1134),
    [anon_sym__Alignas] = ACTIONS(1134),
    [sym_primitive_type] = ACTIONS(1134),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_struct] = ACTIONS(1134),
    [anon_sym_union] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_else] = ACTIONS(1134),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_default] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_break] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_goto] = ACTIONS(1134),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_sizeof] = ACTIONS(1134),
    [anon_sym___alignof__] = ACTIONS(1134),
    [anon_sym___alignof] = ACTIONS(1134),
    [anon_sym__alignof] = ACTIONS(1134),
    [anon_sym_alignof] = ACTIONS(1134),
    [anon_sym__Alignof] = ACTIONS(1134),
    [anon_sym_offsetof] = ACTIONS(1134),
    [anon_sym__Generic] = ACTIONS(1134),
    [anon_sym_asm] = ACTIONS(1134),
    [anon_sym___asm__] = ACTIONS(1134),
    [anon_sym___asm] = ACTIONS(1134),
    [sym_number_literal] = ACTIONS(1136),
    [anon_sym_L_SQUOTE] = ACTIONS(1136),
    [anon_sym_u_SQUOTE] = ACTIONS(1136),
    [anon_sym_U_SQUOTE] = ACTIONS(1136),
    [anon_sym_u8_SQUOTE] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_L_DQUOTE] = ACTIONS(1136),
    [anon_sym_u_DQUOTE] = ACTIONS(1136),
    [anon_sym_U_DQUOTE] = ACTIONS(1136),
    [anon_sym_u8_DQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [sym_true] = ACTIONS(1134),
    [sym_false] = ACTIONS(1134),
    [anon_sym_NULL] = ACTIONS(1134),
    [anon_sym_nullptr] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1182),
    [aux_sym_preproc_include_token1] = ACTIONS(1182),
    [aux_sym_preproc_def_token1] = ACTIONS(1182),
    [aux_sym_preproc_if_token1] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1182),
    [sym_preproc_directive] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1184),
    [anon_sym___extension__] = ACTIONS(1182),
    [anon_sym_typedef] = ACTIONS(1182),
    [anon_sym_extern] = ACTIONS(1182),
    [anon_sym___attribute__] = ACTIONS(1182),
    [anon_sym___attribute] = ACTIONS(1182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1184),
    [anon_sym___declspec] = ACTIONS(1182),
    [anon_sym___cdecl] = ACTIONS(1182),
    [anon_sym___clrcall] = ACTIONS(1182),
    [anon_sym___stdcall] = ACTIONS(1182),
    [anon_sym___fastcall] = ACTIONS(1182),
    [anon_sym___thiscall] = ACTIONS(1182),
    [anon_sym___vectorcall] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [anon_sym_signed] = ACTIONS(1182),
    [anon_sym_unsigned] = ACTIONS(1182),
    [anon_sym_long] = ACTIONS(1182),
    [anon_sym_short] = ACTIONS(1182),
    [anon_sym_static] = ACTIONS(1182),
    [anon_sym_auto] = ACTIONS(1182),
    [anon_sym_register] = ACTIONS(1182),
    [anon_sym_inline] = ACTIONS(1182),
    [anon_sym___inline] = ACTIONS(1182),
    [anon_sym___inline__] = ACTIONS(1182),
    [anon_sym___forceinline] = ACTIONS(1182),
    [anon_sym_thread_local] = ACTIONS(1182),
    [anon_sym___thread] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_constexpr] = ACTIONS(1182),
    [anon_sym_volatile] = ACTIONS(1182),
    [anon_sym_restrict] = ACTIONS(1182),
    [anon_sym___restrict__] = ACTIONS(1182),
    [anon_sym__Atomic] = ACTIONS(1182),
    [anon_sym__Noreturn] = ACTIONS(1182),
    [anon_sym_noreturn] = ACTIONS(1182),
    [anon_sym__Nonnull] = ACTIONS(1182),
    [anon_sym_alignas] = ACTIONS(1182),
    [anon_sym__Alignas] = ACTIONS(1182),
    [sym_primitive_type] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1182),
    [anon_sym_struct] = ACTIONS(1182),
    [anon_sym_union] = ACTIONS(1182),
    [anon_sym_if] = ACTIONS(1182),
    [anon_sym_else] = ACTIONS(1182),
    [anon_sym_switch] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1182),
    [anon_sym_default] = ACTIONS(1182),
    [anon_sym_while] = ACTIONS(1182),
    [anon_sym_do] = ACTIONS(1182),
    [anon_sym_for] = ACTIONS(1182),
    [anon_sym_return] = ACTIONS(1182),
    [anon_sym_break] = ACTIONS(1182),
    [anon_sym_continue] = ACTIONS(1182),
    [anon_sym_goto] = ACTIONS(1182),
    [anon_sym___try] = ACTIONS(1182),
    [anon_sym___leave] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_sizeof] = ACTIONS(1182),
    [anon_sym___alignof__] = ACTIONS(1182),
    [anon_sym___alignof] = ACTIONS(1182),
    [anon_sym__alignof] = ACTIONS(1182),
    [anon_sym_alignof] = ACTIONS(1182),
    [anon_sym__Alignof] = ACTIONS(1182),
    [anon_sym_offsetof] = ACTIONS(1182),
    [anon_sym__Generic] = ACTIONS(1182),
    [anon_sym_asm] = ACTIONS(1182),
    [anon_sym___asm__] = ACTIONS(1182),
    [anon_sym___asm] = ACTIONS(1182),
    [sym_number_literal] = ACTIONS(1184),
    [anon_sym_L_SQUOTE] = ACTIONS(1184),
    [anon_sym_u_SQUOTE] = ACTIONS(1184),
    [anon_sym_U_SQUOTE] = ACTIONS(1184),
    [anon_sym_u8_SQUOTE] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_L_DQUOTE] = ACTIONS(1184),
    [anon_sym_u_DQUOTE] = ACTIONS(1184),
    [anon_sym_U_DQUOTE] = ACTIONS(1184),
    [anon_sym_u8_DQUOTE] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [sym_true] = ACTIONS(1182),
    [sym_false] = ACTIONS(1182),
    [anon_sym_NULL] = ACTIONS(1182),
    [anon_sym_nullptr] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_identifier] = ACTIONS(1222),
    [aux_sym_preproc_include_token1] = ACTIONS(1222),
    [aux_sym_preproc_def_token1] = ACTIONS(1222),
    [aux_sym_preproc_if_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1222),
    [sym_preproc_directive] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym___extension__] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(1222),
    [anon_sym___attribute__] = ACTIONS(1222),
    [anon_sym___attribute] = ACTIONS(1222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1224),
    [anon_sym___declspec] = ACTIONS(1222),
    [anon_sym___cdecl] = ACTIONS(1222),
    [anon_sym___clrcall] = ACTIONS(1222),
    [anon_sym___stdcall] = ACTIONS(1222),
    [anon_sym___fastcall] = ACTIONS(1222),
    [anon_sym___thiscall] = ACTIONS(1222),
    [anon_sym___vectorcall] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_signed] = ACTIONS(1222),
    [anon_sym_unsigned] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_auto] = ACTIONS(1222),
    [anon_sym_register] = ACTIONS(1222),
    [anon_sym_inline] = ACTIONS(1222),
    [anon_sym___inline] = ACTIONS(1222),
    [anon_sym___inline__] = ACTIONS(1222),
    [anon_sym___forceinline] = ACTIONS(1222),
    [anon_sym_thread_local] = ACTIONS(1222),
    [anon_sym___thread] = ACTIONS(1222),
    [anon_sym_const] = ACTIONS(1222),
    [anon_sym_constexpr] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_restrict] = ACTIONS(1222),
    [anon_sym___restrict__] = ACTIONS(1222),
    [anon_sym__Atomic] = ACTIONS(1222),
    [anon_sym__Noreturn] = ACTIONS(1222),
    [anon_sym_noreturn] = ACTIONS(1222),
    [anon_sym__Nonnull] = ACTIONS(1222),
    [anon_sym_alignas] = ACTIONS(1222),
    [anon_sym__Alignas] = ACTIONS(1222),
    [sym_primitive_type] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_struct] = ACTIONS(1222),
    [anon_sym_union] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_else] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_case] = ACTIONS(1222),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_goto] = ACTIONS(1222),
    [anon_sym___try] = ACTIONS(1222),
    [anon_sym___leave] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_sizeof] = ACTIONS(1222),
    [anon_sym___alignof__] = ACTIONS(1222),
    [anon_sym___alignof] = ACTIONS(1222),
    [anon_sym__alignof] = ACTIONS(1222),
    [anon_sym_alignof] = ACTIONS(1222),
    [anon_sym__Alignof] = ACTIONS(1222),
    [anon_sym_offsetof] = ACTIONS(1222),
    [anon_sym__Generic] = ACTIONS(1222),
    [anon_sym_asm] = ACTIONS(1222),
    [anon_sym___asm__] = ACTIONS(1222),
    [anon_sym___asm] = ACTIONS(1222),
    [sym_number_literal] = ACTIONS(1224),
    [anon_sym_L_SQUOTE] = ACTIONS(1224),
    [anon_sym_u_SQUOTE] = ACTIONS(1224),
    [anon_sym_U_SQUOTE] = ACTIONS(1224),
    [anon_sym_u8_SQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_L_DQUOTE] = ACTIONS(1224),
    [anon_sym_u_DQUOTE] = ACTIONS(1224),
    [anon_sym_U_DQUOTE] = ACTIONS(1224),
    [anon_sym_u8_DQUOTE] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [anon_sym_NULL] = ACTIONS(1222),
    [anon_sym_nullptr] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token2] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_identifier] = ACTIONS(1206),
    [aux_sym_preproc_include_token1] = ACTIONS(1206),
    [aux_sym_preproc_def_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token1] = ACTIONS(1206),
    [aux_sym_preproc_if_token2] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1206),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1206),
    [sym_preproc_directive] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym___extension__] = ACTIONS(1206),
    [anon_sym_typedef] = ACTIONS(1206),
    [anon_sym_extern] = ACTIONS(1206),
    [anon_sym___attribute__] = ACTIONS(1206),
    [anon_sym___attribute] = ACTIONS(1206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1208),
    [anon_sym___declspec] = ACTIONS(1206),
    [anon_sym___cdecl] = ACTIONS(1206),
    [anon_sym___clrcall] = ACTIONS(1206),
    [anon_sym___stdcall] = ACTIONS(1206),
    [anon_sym___fastcall] = ACTIONS(1206),
    [anon_sym___thiscall] = ACTIONS(1206),
    [anon_sym___vectorcall] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_signed] = ACTIONS(1206),
    [anon_sym_unsigned] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_auto] = ACTIONS(1206),
    [anon_sym_register] = ACTIONS(1206),
    [anon_sym_inline] = ACTIONS(1206),
    [anon_sym___inline] = ACTIONS(1206),
    [anon_sym___inline__] = ACTIONS(1206),
    [anon_sym___forceinline] = ACTIONS(1206),
    [anon_sym_thread_local] = ACTIONS(1206),
    [anon_sym___thread] = ACTIONS(1206),
    [anon_sym_const] = ACTIONS(1206),
    [anon_sym_constexpr] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_restrict] = ACTIONS(1206),
    [anon_sym___restrict__] = ACTIONS(1206),
    [anon_sym__Atomic] = ACTIONS(1206),
    [anon_sym__Noreturn] = ACTIONS(1206),
    [anon_sym_noreturn] = ACTIONS(1206),
    [anon_sym__Nonnull] = ACTIONS(1206),
    [anon_sym_alignas] = ACTIONS(1206),
    [anon_sym__Alignas] = ACTIONS(1206),
    [sym_primitive_type] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_struct] = ACTIONS(1206),
    [anon_sym_union] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_else] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_case] = ACTIONS(1206),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_goto] = ACTIONS(1206),
    [anon_sym___try] = ACTIONS(1206),
    [anon_sym___leave] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_sizeof] = ACTIONS(1206),
    [anon_sym___alignof__] = ACTIONS(1206),
    [anon_sym___alignof] = ACTIONS(1206),
    [anon_sym__alignof] = ACTIONS(1206),
    [anon_sym_alignof] = ACTIONS(1206),
    [anon_sym__Alignof] = ACTIONS(1206),
    [anon_sym_offsetof] = ACTIONS(1206),
    [anon_sym__Generic] = ACTIONS(1206),
    [anon_sym_asm] = ACTIONS(1206),
    [anon_sym___asm__] = ACTIONS(1206),
    [anon_sym___asm] = ACTIONS(1206),
    [sym_number_literal] = ACTIONS(1208),
    [anon_sym_L_SQUOTE] = ACTIONS(1208),
    [anon_sym_u_SQUOTE] = ACTIONS(1208),
    [anon_sym_U_SQUOTE] = ACTIONS(1208),
    [anon_sym_u8_SQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_L_DQUOTE] = ACTIONS(1208),
    [anon_sym_u_DQUOTE] = ACTIONS(1208),
    [anon_sym_U_DQUOTE] = ACTIONS(1208),
    [anon_sym_u8_DQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [anon_sym_NULL] = ACTIONS(1206),
    [anon_sym_nullptr] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token2] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1142),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym___extension__] = ACTIONS(1142),
    [anon_sym_typedef] = ACTIONS(1142),
    [anon_sym_extern] = ACTIONS(1142),
    [anon_sym___attribute__] = ACTIONS(1142),
    [anon_sym___attribute] = ACTIONS(1142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1144),
    [anon_sym___declspec] = ACTIONS(1142),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_signed] = ACTIONS(1142),
    [anon_sym_unsigned] = ACTIONS(1142),
    [anon_sym_long] = ACTIONS(1142),
    [anon_sym_short] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1142),
    [anon_sym_auto] = ACTIONS(1142),
    [anon_sym_register] = ACTIONS(1142),
    [anon_sym_inline] = ACTIONS(1142),
    [anon_sym___inline] = ACTIONS(1142),
    [anon_sym___inline__] = ACTIONS(1142),
    [anon_sym___forceinline] = ACTIONS(1142),
    [anon_sym_thread_local] = ACTIONS(1142),
    [anon_sym___thread] = ACTIONS(1142),
    [anon_sym_const] = ACTIONS(1142),
    [anon_sym_constexpr] = ACTIONS(1142),
    [anon_sym_volatile] = ACTIONS(1142),
    [anon_sym_restrict] = ACTIONS(1142),
    [anon_sym___restrict__] = ACTIONS(1142),
    [anon_sym__Atomic] = ACTIONS(1142),
    [anon_sym__Noreturn] = ACTIONS(1142),
    [anon_sym_noreturn] = ACTIONS(1142),
    [anon_sym__Nonnull] = ACTIONS(1142),
    [anon_sym_alignas] = ACTIONS(1142),
    [anon_sym__Alignas] = ACTIONS(1142),
    [sym_primitive_type] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_struct] = ACTIONS(1142),
    [anon_sym_union] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_goto] = ACTIONS(1142),
    [anon_sym___try] = ACTIONS(1142),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_sizeof] = ACTIONS(1142),
    [anon_sym___alignof__] = ACTIONS(1142),
    [anon_sym___alignof] = ACTIONS(1142),
    [anon_sym__alignof] = ACTIONS(1142),
    [anon_sym_alignof] = ACTIONS(1142),
    [anon_sym__Alignof] = ACTIONS(1142),
    [anon_sym_offsetof] = ACTIONS(1142),
    [anon_sym__Generic] = ACTIONS(1142),
    [anon_sym_asm] = ACTIONS(1142),
    [anon_sym___asm__] = ACTIONS(1142),
    [anon_sym___asm] = ACTIONS(1142),
    [sym_number_literal] = ACTIONS(1144),
    [anon_sym_L_SQUOTE] = ACTIONS(1144),
    [anon_sym_u_SQUOTE] = ACTIONS(1144),
    [anon_sym_U_SQUOTE] = ACTIONS(1144),
    [anon_sym_u8_SQUOTE] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_L_DQUOTE] = ACTIONS(1144),
    [anon_sym_u_DQUOTE] = ACTIONS(1144),
    [anon_sym_U_DQUOTE] = ACTIONS(1144),
    [anon_sym_u8_DQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [anon_sym_NULL] = ACTIONS(1142),
    [anon_sym_nullptr] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_identifier] = ACTIONS(1150),
    [aux_sym_preproc_include_token1] = ACTIONS(1150),
    [aux_sym_preproc_def_token1] = ACTIONS(1150),
    [aux_sym_preproc_if_token1] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1150),
    [sym_preproc_directive] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(1152),
    [anon_sym_AMP] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1152),
    [anon_sym___extension__] = ACTIONS(1150),
    [anon_sym_typedef] = ACTIONS(1150),
    [anon_sym_extern] = ACTIONS(1150),
    [anon_sym___attribute__] = ACTIONS(1150),
    [anon_sym___attribute] = ACTIONS(1150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1152),
    [anon_sym___declspec] = ACTIONS(1150),
    [anon_sym___cdecl] = ACTIONS(1150),
    [anon_sym___clrcall] = ACTIONS(1150),
    [anon_sym___stdcall] = ACTIONS(1150),
    [anon_sym___fastcall] = ACTIONS(1150),
    [anon_sym___thiscall] = ACTIONS(1150),
    [anon_sym___vectorcall] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [anon_sym_signed] = ACTIONS(1150),
    [anon_sym_unsigned] = ACTIONS(1150),
    [anon_sym_long] = ACTIONS(1150),
    [anon_sym_short] = ACTIONS(1150),
    [anon_sym_static] = ACTIONS(1150),
    [anon_sym_auto] = ACTIONS(1150),
    [anon_sym_register] = ACTIONS(1150),
    [anon_sym_inline] = ACTIONS(1150),
    [anon_sym___inline] = ACTIONS(1150),
    [anon_sym___inline__] = ACTIONS(1150),
    [anon_sym___forceinline] = ACTIONS(1150),
    [anon_sym_thread_local] = ACTIONS(1150),
    [anon_sym___thread] = ACTIONS(1150),
    [anon_sym_const] = ACTIONS(1150),
    [anon_sym_constexpr] = ACTIONS(1150),
    [anon_sym_volatile] = ACTIONS(1150),
    [anon_sym_restrict] = ACTIONS(1150),
    [anon_sym___restrict__] = ACTIONS(1150),
    [anon_sym__Atomic] = ACTIONS(1150),
    [anon_sym__Noreturn] = ACTIONS(1150),
    [anon_sym_noreturn] = ACTIONS(1150),
    [anon_sym__Nonnull] = ACTIONS(1150),
    [anon_sym_alignas] = ACTIONS(1150),
    [anon_sym__Alignas] = ACTIONS(1150),
    [sym_primitive_type] = ACTIONS(1150),
    [anon_sym_enum] = ACTIONS(1150),
    [anon_sym_struct] = ACTIONS(1150),
    [anon_sym_union] = ACTIONS(1150),
    [anon_sym_if] = ACTIONS(1150),
    [anon_sym_else] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym_default] = ACTIONS(1150),
    [anon_sym_while] = ACTIONS(1150),
    [anon_sym_do] = ACTIONS(1150),
    [anon_sym_for] = ACTIONS(1150),
    [anon_sym_return] = ACTIONS(1150),
    [anon_sym_break] = ACTIONS(1150),
    [anon_sym_continue] = ACTIONS(1150),
    [anon_sym_goto] = ACTIONS(1150),
    [anon_sym___try] = ACTIONS(1150),
    [anon_sym___leave] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [anon_sym_sizeof] = ACTIONS(1150),
    [anon_sym___alignof__] = ACTIONS(1150),
    [anon_sym___alignof] = ACTIONS(1150),
    [anon_sym__alignof] = ACTIONS(1150),
    [anon_sym_alignof] = ACTIONS(1150),
    [anon_sym__Alignof] = ACTIONS(1150),
    [anon_sym_offsetof] = ACTIONS(1150),
    [anon_sym__Generic] = ACTIONS(1150),
    [anon_sym_asm] = ACTIONS(1150),
    [anon_sym___asm__] = ACTIONS(1150),
    [anon_sym___asm] = ACTIONS(1150),
    [sym_number_literal] = ACTIONS(1152),
    [anon_sym_L_SQUOTE] = ACTIONS(1152),
    [anon_sym_u_SQUOTE] = ACTIONS(1152),
    [anon_sym_U_SQUOTE] = ACTIONS(1152),
    [anon_sym_u8_SQUOTE] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_L_DQUOTE] = ACTIONS(1152),
    [anon_sym_u_DQUOTE] = ACTIONS(1152),
    [anon_sym_U_DQUOTE] = ACTIONS(1152),
    [anon_sym_u8_DQUOTE] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [sym_true] = ACTIONS(1150),
    [sym_false] = ACTIONS(1150),
    [anon_sym_NULL] = ACTIONS(1150),
    [anon_sym_nullptr] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_identifier] = ACTIONS(1202),
    [aux_sym_preproc_include_token1] = ACTIONS(1202),
    [aux_sym_preproc_def_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token1] = ACTIONS(1202),
    [aux_sym_preproc_if_token2] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1202),
    [sym_preproc_directive] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym___extension__] = ACTIONS(1202),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(1202),
    [anon_sym___attribute__] = ACTIONS(1202),
    [anon_sym___attribute] = ACTIONS(1202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1204),
    [anon_sym___declspec] = ACTIONS(1202),
    [anon_sym___cdecl] = ACTIONS(1202),
    [anon_sym___clrcall] = ACTIONS(1202),
    [anon_sym___stdcall] = ACTIONS(1202),
    [anon_sym___fastcall] = ACTIONS(1202),
    [anon_sym___thiscall] = ACTIONS(1202),
    [anon_sym___vectorcall] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_signed] = ACTIONS(1202),
    [anon_sym_unsigned] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_auto] = ACTIONS(1202),
    [anon_sym_register] = ACTIONS(1202),
    [anon_sym_inline] = ACTIONS(1202),
    [anon_sym___inline] = ACTIONS(1202),
    [anon_sym___inline__] = ACTIONS(1202),
    [anon_sym___forceinline] = ACTIONS(1202),
    [anon_sym_thread_local] = ACTIONS(1202),
    [anon_sym___thread] = ACTIONS(1202),
    [anon_sym_const] = ACTIONS(1202),
    [anon_sym_constexpr] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_restrict] = ACTIONS(1202),
    [anon_sym___restrict__] = ACTIONS(1202),
    [anon_sym__Atomic] = ACTIONS(1202),
    [anon_sym__Noreturn] = ACTIONS(1202),
    [anon_sym_noreturn] = ACTIONS(1202),
    [anon_sym__Nonnull] = ACTIONS(1202),
    [anon_sym_alignas] = ACTIONS(1202),
    [anon_sym__Alignas] = ACTIONS(1202),
    [sym_primitive_type] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_struct] = ACTIONS(1202),
    [anon_sym_union] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_goto] = ACTIONS(1202),
    [anon_sym___try] = ACTIONS(1202),
    [anon_sym___leave] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_sizeof] = ACTIONS(1202),
    [anon_sym___alignof__] = ACTIONS(1202),
    [anon_sym___alignof] = ACTIONS(1202),
    [anon_sym__alignof] = ACTIONS(1202),
    [anon_sym_alignof] = ACTIONS(1202),
    [anon_sym__Alignof] = ACTIONS(1202),
    [anon_sym_offsetof] = ACTIONS(1202),
    [anon_sym__Generic] = ACTIONS(1202),
    [anon_sym_asm] = ACTIONS(1202),
    [anon_sym___asm__] = ACTIONS(1202),
    [anon_sym___asm] = ACTIONS(1202),
    [sym_number_literal] = ACTIONS(1204),
    [anon_sym_L_SQUOTE] = ACTIONS(1204),
    [anon_sym_u_SQUOTE] = ACTIONS(1204),
    [anon_sym_U_SQUOTE] = ACTIONS(1204),
    [anon_sym_u8_SQUOTE] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_L_DQUOTE] = ACTIONS(1204),
    [anon_sym_u_DQUOTE] = ACTIONS(1204),
    [anon_sym_U_DQUOTE] = ACTIONS(1204),
    [anon_sym_u8_DQUOTE] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_nullptr] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1146),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token2] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1146),
    [anon_sym_typedef] = ACTIONS(1146),
    [anon_sym_extern] = ACTIONS(1146),
    [anon_sym___attribute__] = ACTIONS(1146),
    [anon_sym___attribute] = ACTIONS(1146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1148),
    [anon_sym___declspec] = ACTIONS(1146),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(1146),
    [anon_sym_unsigned] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_auto] = ACTIONS(1146),
    [anon_sym_register] = ACTIONS(1146),
    [anon_sym_inline] = ACTIONS(1146),
    [anon_sym___inline] = ACTIONS(1146),
    [anon_sym___inline__] = ACTIONS(1146),
    [anon_sym___forceinline] = ACTIONS(1146),
    [anon_sym_thread_local] = ACTIONS(1146),
    [anon_sym___thread] = ACTIONS(1146),
    [anon_sym_const] = ACTIONS(1146),
    [anon_sym_constexpr] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_restrict] = ACTIONS(1146),
    [anon_sym___restrict__] = ACTIONS(1146),
    [anon_sym__Atomic] = ACTIONS(1146),
    [anon_sym__Noreturn] = ACTIONS(1146),
    [anon_sym_noreturn] = ACTIONS(1146),
    [anon_sym__Nonnull] = ACTIONS(1146),
    [anon_sym_alignas] = ACTIONS(1146),
    [anon_sym__Alignas] = ACTIONS(1146),
    [sym_primitive_type] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_struct] = ACTIONS(1146),
    [anon_sym_union] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_goto] = ACTIONS(1146),
    [anon_sym___try] = ACTIONS(1146),
    [anon_sym___leave] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_sizeof] = ACTIONS(1146),
    [anon_sym___alignof__] = ACTIONS(1146),
    [anon_sym___alignof] = ACTIONS(1146),
    [anon_sym__alignof] = ACTIONS(1146),
    [anon_sym_alignof] = ACTIONS(1146),
    [anon_sym__Alignof] = ACTIONS(1146),
    [anon_sym_offsetof] = ACTIONS(1146),
    [anon_sym__Generic] = ACTIONS(1146),
    [anon_sym_asm] = ACTIONS(1146),
    [anon_sym___asm__] = ACTIONS(1146),
    [anon_sym___asm] = ACTIONS(1146),
    [sym_number_literal] = ACTIONS(1148),
    [anon_sym_L_SQUOTE] = ACTIONS(1148),
    [anon_sym_u_SQUOTE] = ACTIONS(1148),
    [anon_sym_U_SQUOTE] = ACTIONS(1148),
    [anon_sym_u8_SQUOTE] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_L_DQUOTE] = ACTIONS(1148),
    [anon_sym_u_DQUOTE] = ACTIONS(1148),
    [anon_sym_U_DQUOTE] = ACTIONS(1148),
    [anon_sym_u8_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_nullptr] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_identifier] = ACTIONS(1174),
    [aux_sym_preproc_include_token1] = ACTIONS(1174),
    [aux_sym_preproc_def_token1] = ACTIONS(1174),
    [aux_sym_preproc_if_token1] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1174),
    [sym_preproc_directive] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_AMP] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1176),
    [anon_sym___extension__] = ACTIONS(1174),
    [anon_sym_typedef] = ACTIONS(1174),
    [anon_sym_extern] = ACTIONS(1174),
    [anon_sym___attribute__] = ACTIONS(1174),
    [anon_sym___attribute] = ACTIONS(1174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1176),
    [anon_sym___declspec] = ACTIONS(1174),
    [anon_sym___cdecl] = ACTIONS(1174),
    [anon_sym___clrcall] = ACTIONS(1174),
    [anon_sym___stdcall] = ACTIONS(1174),
    [anon_sym___fastcall] = ACTIONS(1174),
    [anon_sym___thiscall] = ACTIONS(1174),
    [anon_sym___vectorcall] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(1174),
    [anon_sym_unsigned] = ACTIONS(1174),
    [anon_sym_long] = ACTIONS(1174),
    [anon_sym_short] = ACTIONS(1174),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_auto] = ACTIONS(1174),
    [anon_sym_register] = ACTIONS(1174),
    [anon_sym_inline] = ACTIONS(1174),
    [anon_sym___inline] = ACTIONS(1174),
    [anon_sym___inline__] = ACTIONS(1174),
    [anon_sym___forceinline] = ACTIONS(1174),
    [anon_sym_thread_local] = ACTIONS(1174),
    [anon_sym___thread] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(1174),
    [anon_sym_constexpr] = ACTIONS(1174),
    [anon_sym_volatile] = ACTIONS(1174),
    [anon_sym_restrict] = ACTIONS(1174),
    [anon_sym___restrict__] = ACTIONS(1174),
    [anon_sym__Atomic] = ACTIONS(1174),
    [anon_sym__Noreturn] = ACTIONS(1174),
    [anon_sym_noreturn] = ACTIONS(1174),
    [anon_sym__Nonnull] = ACTIONS(1174),
    [anon_sym_alignas] = ACTIONS(1174),
    [anon_sym__Alignas] = ACTIONS(1174),
    [sym_primitive_type] = ACTIONS(1174),
    [anon_sym_enum] = ACTIONS(1174),
    [anon_sym_struct] = ACTIONS(1174),
    [anon_sym_union] = ACTIONS(1174),
    [anon_sym_if] = ACTIONS(1174),
    [anon_sym_else] = ACTIONS(1174),
    [anon_sym_switch] = ACTIONS(1174),
    [anon_sym_case] = ACTIONS(1174),
    [anon_sym_default] = ACTIONS(1174),
    [anon_sym_while] = ACTIONS(1174),
    [anon_sym_do] = ACTIONS(1174),
    [anon_sym_for] = ACTIONS(1174),
    [anon_sym_return] = ACTIONS(1174),
    [anon_sym_break] = ACTIONS(1174),
    [anon_sym_continue] = ACTIONS(1174),
    [anon_sym_goto] = ACTIONS(1174),
    [anon_sym___try] = ACTIONS(1174),
    [anon_sym___leave] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [anon_sym_sizeof] = ACTIONS(1174),
    [anon_sym___alignof__] = ACTIONS(1174),
    [anon_sym___alignof] = ACTIONS(1174),
    [anon_sym__alignof] = ACTIONS(1174),
    [anon_sym_alignof] = ACTIONS(1174),
    [anon_sym__Alignof] = ACTIONS(1174),
    [anon_sym_offsetof] = ACTIONS(1174),
    [anon_sym__Generic] = ACTIONS(1174),
    [anon_sym_asm] = ACTIONS(1174),
    [anon_sym___asm__] = ACTIONS(1174),
    [anon_sym___asm] = ACTIONS(1174),
    [sym_number_literal] = ACTIONS(1176),
    [anon_sym_L_SQUOTE] = ACTIONS(1176),
    [anon_sym_u_SQUOTE] = ACTIONS(1176),
    [anon_sym_U_SQUOTE] = ACTIONS(1176),
    [anon_sym_u8_SQUOTE] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_L_DQUOTE] = ACTIONS(1176),
    [anon_sym_u_DQUOTE] = ACTIONS(1176),
    [anon_sym_U_DQUOTE] = ACTIONS(1176),
    [anon_sym_u8_DQUOTE] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [sym_true] = ACTIONS(1174),
    [sym_false] = ACTIONS(1174),
    [anon_sym_NULL] = ACTIONS(1174),
    [anon_sym_nullptr] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_identifier] = ACTIONS(1154),
    [aux_sym_preproc_include_token1] = ACTIONS(1154),
    [aux_sym_preproc_def_token1] = ACTIONS(1154),
    [aux_sym_preproc_if_token1] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1154),
    [sym_preproc_directive] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_STAR] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1156),
    [anon_sym___extension__] = ACTIONS(1154),
    [anon_sym_typedef] = ACTIONS(1154),
    [anon_sym_extern] = ACTIONS(1154),
    [anon_sym___attribute__] = ACTIONS(1154),
    [anon_sym___attribute] = ACTIONS(1154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1156),
    [anon_sym___declspec] = ACTIONS(1154),
    [anon_sym___cdecl] = ACTIONS(1154),
    [anon_sym___clrcall] = ACTIONS(1154),
    [anon_sym___stdcall] = ACTIONS(1154),
    [anon_sym___fastcall] = ACTIONS(1154),
    [anon_sym___thiscall] = ACTIONS(1154),
    [anon_sym___vectorcall] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_signed] = ACTIONS(1154),
    [anon_sym_unsigned] = ACTIONS(1154),
    [anon_sym_long] = ACTIONS(1154),
    [anon_sym_short] = ACTIONS(1154),
    [anon_sym_static] = ACTIONS(1154),
    [anon_sym_auto] = ACTIONS(1154),
    [anon_sym_register] = ACTIONS(1154),
    [anon_sym_inline] = ACTIONS(1154),
    [anon_sym___inline] = ACTIONS(1154),
    [anon_sym___inline__] = ACTIONS(1154),
    [anon_sym___forceinline] = ACTIONS(1154),
    [anon_sym_thread_local] = ACTIONS(1154),
    [anon_sym___thread] = ACTIONS(1154),
    [anon_sym_const] = ACTIONS(1154),
    [anon_sym_constexpr] = ACTIONS(1154),
    [anon_sym_volatile] = ACTIONS(1154),
    [anon_sym_restrict] = ACTIONS(1154),
    [anon_sym___restrict__] = ACTIONS(1154),
    [anon_sym__Atomic] = ACTIONS(1154),
    [anon_sym__Noreturn] = ACTIONS(1154),
    [anon_sym_noreturn] = ACTIONS(1154),
    [anon_sym__Nonnull] = ACTIONS(1154),
    [anon_sym_alignas] = ACTIONS(1154),
    [anon_sym__Alignas] = ACTIONS(1154),
    [sym_primitive_type] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(1154),
    [anon_sym_union] = ACTIONS(1154),
    [anon_sym_if] = ACTIONS(1154),
    [anon_sym_else] = ACTIONS(1154),
    [anon_sym_switch] = ACTIONS(1154),
    [anon_sym_case] = ACTIONS(1154),
    [anon_sym_default] = ACTIONS(1154),
    [anon_sym_while] = ACTIONS(1154),
    [anon_sym_do] = ACTIONS(1154),
    [anon_sym_for] = ACTIONS(1154),
    [anon_sym_return] = ACTIONS(1154),
    [anon_sym_break] = ACTIONS(1154),
    [anon_sym_continue] = ACTIONS(1154),
    [anon_sym_goto] = ACTIONS(1154),
    [anon_sym___try] = ACTIONS(1154),
    [anon_sym___leave] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [anon_sym_sizeof] = ACTIONS(1154),
    [anon_sym___alignof__] = ACTIONS(1154),
    [anon_sym___alignof] = ACTIONS(1154),
    [anon_sym__alignof] = ACTIONS(1154),
    [anon_sym_alignof] = ACTIONS(1154),
    [anon_sym__Alignof] = ACTIONS(1154),
    [anon_sym_offsetof] = ACTIONS(1154),
    [anon_sym__Generic] = ACTIONS(1154),
    [anon_sym_asm] = ACTIONS(1154),
    [anon_sym___asm__] = ACTIONS(1154),
    [anon_sym___asm] = ACTIONS(1154),
    [sym_number_literal] = ACTIONS(1156),
    [anon_sym_L_SQUOTE] = ACTIONS(1156),
    [anon_sym_u_SQUOTE] = ACTIONS(1156),
    [anon_sym_U_SQUOTE] = ACTIONS(1156),
    [anon_sym_u8_SQUOTE] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_L_DQUOTE] = ACTIONS(1156),
    [anon_sym_u_DQUOTE] = ACTIONS(1156),
    [anon_sym_U_DQUOTE] = ACTIONS(1156),
    [anon_sym_u8_DQUOTE] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [sym_true] = ACTIONS(1154),
    [sym_false] = ACTIONS(1154),
    [anon_sym_NULL] = ACTIONS(1154),
    [anon_sym_nullptr] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1198),
    [aux_sym_preproc_include_token1] = ACTIONS(1198),
    [aux_sym_preproc_def_token1] = ACTIONS(1198),
    [aux_sym_preproc_if_token1] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1198),
    [sym_preproc_directive] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym___extension__] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1198),
    [anon_sym_extern] = ACTIONS(1198),
    [anon_sym___attribute__] = ACTIONS(1198),
    [anon_sym___attribute] = ACTIONS(1198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1200),
    [anon_sym___declspec] = ACTIONS(1198),
    [anon_sym___cdecl] = ACTIONS(1198),
    [anon_sym___clrcall] = ACTIONS(1198),
    [anon_sym___stdcall] = ACTIONS(1198),
    [anon_sym___fastcall] = ACTIONS(1198),
    [anon_sym___thiscall] = ACTIONS(1198),
    [anon_sym___vectorcall] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1198),
    [anon_sym_unsigned] = ACTIONS(1198),
    [anon_sym_long] = ACTIONS(1198),
    [anon_sym_short] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1198),
    [anon_sym_auto] = ACTIONS(1198),
    [anon_sym_register] = ACTIONS(1198),
    [anon_sym_inline] = ACTIONS(1198),
    [anon_sym___inline] = ACTIONS(1198),
    [anon_sym___inline__] = ACTIONS(1198),
    [anon_sym___forceinline] = ACTIONS(1198),
    [anon_sym_thread_local] = ACTIONS(1198),
    [anon_sym___thread] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_constexpr] = ACTIONS(1198),
    [anon_sym_volatile] = ACTIONS(1198),
    [anon_sym_restrict] = ACTIONS(1198),
    [anon_sym___restrict__] = ACTIONS(1198),
    [anon_sym__Atomic] = ACTIONS(1198),
    [anon_sym__Noreturn] = ACTIONS(1198),
    [anon_sym_noreturn] = ACTIONS(1198),
    [anon_sym__Nonnull] = ACTIONS(1198),
    [anon_sym_alignas] = ACTIONS(1198),
    [anon_sym__Alignas] = ACTIONS(1198),
    [sym_primitive_type] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_else] = ACTIONS(1198),
    [anon_sym_switch] = ACTIONS(1198),
    [anon_sym_case] = ACTIONS(1198),
    [anon_sym_default] = ACTIONS(1198),
    [anon_sym_while] = ACTIONS(1198),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym___try] = ACTIONS(1198),
    [anon_sym___leave] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_sizeof] = ACTIONS(1198),
    [anon_sym___alignof__] = ACTIONS(1198),
    [anon_sym___alignof] = ACTIONS(1198),
    [anon_sym__alignof] = ACTIONS(1198),
    [anon_sym_alignof] = ACTIONS(1198),
    [anon_sym__Alignof] = ACTIONS(1198),
    [anon_sym_offsetof] = ACTIONS(1198),
    [anon_sym__Generic] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym___asm__] = ACTIONS(1198),
    [anon_sym___asm] = ACTIONS(1198),
    [sym_number_literal] = ACTIONS(1200),
    [anon_sym_L_SQUOTE] = ACTIONS(1200),
    [anon_sym_u_SQUOTE] = ACTIONS(1200),
    [anon_sym_U_SQUOTE] = ACTIONS(1200),
    [anon_sym_u8_SQUOTE] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_L_DQUOTE] = ACTIONS(1200),
    [anon_sym_u_DQUOTE] = ACTIONS(1200),
    [anon_sym_U_DQUOTE] = ACTIONS(1200),
    [anon_sym_u8_DQUOTE] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_NULL] = ACTIONS(1198),
    [anon_sym_nullptr] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_identifier] = ACTIONS(1162),
    [aux_sym_preproc_include_token1] = ACTIONS(1162),
    [aux_sym_preproc_def_token1] = ACTIONS(1162),
    [aux_sym_preproc_if_token1] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1162),
    [sym_preproc_directive] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym___extension__] = ACTIONS(1162),
    [anon_sym_typedef] = ACTIONS(1162),
    [anon_sym_extern] = ACTIONS(1162),
    [anon_sym___attribute__] = ACTIONS(1162),
    [anon_sym___attribute] = ACTIONS(1162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1164),
    [anon_sym___declspec] = ACTIONS(1162),
    [anon_sym___cdecl] = ACTIONS(1162),
    [anon_sym___clrcall] = ACTIONS(1162),
    [anon_sym___stdcall] = ACTIONS(1162),
    [anon_sym___fastcall] = ACTIONS(1162),
    [anon_sym___thiscall] = ACTIONS(1162),
    [anon_sym___vectorcall] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_signed] = ACTIONS(1162),
    [anon_sym_unsigned] = ACTIONS(1162),
    [anon_sym_long] = ACTIONS(1162),
    [anon_sym_short] = ACTIONS(1162),
    [anon_sym_static] = ACTIONS(1162),
    [anon_sym_auto] = ACTIONS(1162),
    [anon_sym_register] = ACTIONS(1162),
    [anon_sym_inline] = ACTIONS(1162),
    [anon_sym___inline] = ACTIONS(1162),
    [anon_sym___inline__] = ACTIONS(1162),
    [anon_sym___forceinline] = ACTIONS(1162),
    [anon_sym_thread_local] = ACTIONS(1162),
    [anon_sym___thread] = ACTIONS(1162),
    [anon_sym_const] = ACTIONS(1162),
    [anon_sym_constexpr] = ACTIONS(1162),
    [anon_sym_volatile] = ACTIONS(1162),
    [anon_sym_restrict] = ACTIONS(1162),
    [anon_sym___restrict__] = ACTIONS(1162),
    [anon_sym__Atomic] = ACTIONS(1162),
    [anon_sym__Noreturn] = ACTIONS(1162),
    [anon_sym_noreturn] = ACTIONS(1162),
    [anon_sym__Nonnull] = ACTIONS(1162),
    [anon_sym_alignas] = ACTIONS(1162),
    [anon_sym__Alignas] = ACTIONS(1162),
    [sym_primitive_type] = ACTIONS(1162),
    [anon_sym_enum] = ACTIONS(1162),
    [anon_sym_struct] = ACTIONS(1162),
    [anon_sym_union] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_case] = ACTIONS(1162),
    [anon_sym_default] = ACTIONS(1162),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_do] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_break] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [anon_sym_goto] = ACTIONS(1162),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_sizeof] = ACTIONS(1162),
    [anon_sym___alignof__] = ACTIONS(1162),
    [anon_sym___alignof] = ACTIONS(1162),
    [anon_sym__alignof] = ACTIONS(1162),
    [anon_sym_alignof] = ACTIONS(1162),
    [anon_sym__Alignof] = ACTIONS(1162),
    [anon_sym_offsetof] = ACTIONS(1162),
    [anon_sym__Generic] = ACTIONS(1162),
    [anon_sym_asm] = ACTIONS(1162),
    [anon_sym___asm__] = ACTIONS(1162),
    [anon_sym___asm] = ACTIONS(1162),
    [sym_number_literal] = ACTIONS(1164),
    [anon_sym_L_SQUOTE] = ACTIONS(1164),
    [anon_sym_u_SQUOTE] = ACTIONS(1164),
    [anon_sym_U_SQUOTE] = ACTIONS(1164),
    [anon_sym_u8_SQUOTE] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_L_DQUOTE] = ACTIONS(1164),
    [anon_sym_u_DQUOTE] = ACTIONS(1164),
    [anon_sym_U_DQUOTE] = ACTIONS(1164),
    [anon_sym_u8_DQUOTE] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [anon_sym_NULL] = ACTIONS(1162),
    [anon_sym_nullptr] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1166),
    [aux_sym_preproc_include_token1] = ACTIONS(1166),
    [aux_sym_preproc_def_token1] = ACTIONS(1166),
    [aux_sym_preproc_if_token1] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1166),
    [sym_preproc_directive] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1168),
    [anon_sym_AMP] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym___extension__] = ACTIONS(1166),
    [anon_sym_typedef] = ACTIONS(1166),
    [anon_sym_extern] = ACTIONS(1166),
    [anon_sym___attribute__] = ACTIONS(1166),
    [anon_sym___attribute] = ACTIONS(1166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1168),
    [anon_sym___declspec] = ACTIONS(1166),
    [anon_sym___cdecl] = ACTIONS(1166),
    [anon_sym___clrcall] = ACTIONS(1166),
    [anon_sym___stdcall] = ACTIONS(1166),
    [anon_sym___fastcall] = ACTIONS(1166),
    [anon_sym___thiscall] = ACTIONS(1166),
    [anon_sym___vectorcall] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(1166),
    [anon_sym_unsigned] = ACTIONS(1166),
    [anon_sym_long] = ACTIONS(1166),
    [anon_sym_short] = ACTIONS(1166),
    [anon_sym_static] = ACTIONS(1166),
    [anon_sym_auto] = ACTIONS(1166),
    [anon_sym_register] = ACTIONS(1166),
    [anon_sym_inline] = ACTIONS(1166),
    [anon_sym___inline] = ACTIONS(1166),
    [anon_sym___inline__] = ACTIONS(1166),
    [anon_sym___forceinline] = ACTIONS(1166),
    [anon_sym_thread_local] = ACTIONS(1166),
    [anon_sym___thread] = ACTIONS(1166),
    [anon_sym_const] = ACTIONS(1166),
    [anon_sym_constexpr] = ACTIONS(1166),
    [anon_sym_volatile] = ACTIONS(1166),
    [anon_sym_restrict] = ACTIONS(1166),
    [anon_sym___restrict__] = ACTIONS(1166),
    [anon_sym__Atomic] = ACTIONS(1166),
    [anon_sym__Noreturn] = ACTIONS(1166),
    [anon_sym_noreturn] = ACTIONS(1166),
    [anon_sym__Nonnull] = ACTIONS(1166),
    [anon_sym_alignas] = ACTIONS(1166),
    [anon_sym__Alignas] = ACTIONS(1166),
    [sym_primitive_type] = ACTIONS(1166),
    [anon_sym_enum] = ACTIONS(1166),
    [anon_sym_struct] = ACTIONS(1166),
    [anon_sym_union] = ACTIONS(1166),
    [anon_sym_if] = ACTIONS(1166),
    [anon_sym_else] = ACTIONS(1166),
    [anon_sym_switch] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1166),
    [anon_sym_default] = ACTIONS(1166),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1166),
    [anon_sym_for] = ACTIONS(1166),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_break] = ACTIONS(1166),
    [anon_sym_continue] = ACTIONS(1166),
    [anon_sym_goto] = ACTIONS(1166),
    [anon_sym___try] = ACTIONS(1166),
    [anon_sym___leave] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_sizeof] = ACTIONS(1166),
    [anon_sym___alignof__] = ACTIONS(1166),
    [anon_sym___alignof] = ACTIONS(1166),
    [anon_sym__alignof] = ACTIONS(1166),
    [anon_sym_alignof] = ACTIONS(1166),
    [anon_sym__Alignof] = ACTIONS(1166),
    [anon_sym_offsetof] = ACTIONS(1166),
    [anon_sym__Generic] = ACTIONS(1166),
    [anon_sym_asm] = ACTIONS(1166),
    [anon_sym___asm__] = ACTIONS(1166),
    [anon_sym___asm] = ACTIONS(1166),
    [sym_number_literal] = ACTIONS(1168),
    [anon_sym_L_SQUOTE] = ACTIONS(1168),
    [anon_sym_u_SQUOTE] = ACTIONS(1168),
    [anon_sym_U_SQUOTE] = ACTIONS(1168),
    [anon_sym_u8_SQUOTE] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_L_DQUOTE] = ACTIONS(1168),
    [anon_sym_u_DQUOTE] = ACTIONS(1168),
    [anon_sym_U_DQUOTE] = ACTIONS(1168),
    [anon_sym_u8_DQUOTE] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [sym_true] = ACTIONS(1166),
    [sym_false] = ACTIONS(1166),
    [anon_sym_NULL] = ACTIONS(1166),
    [anon_sym_nullptr] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(1178),
    [aux_sym_preproc_include_token1] = ACTIONS(1178),
    [aux_sym_preproc_def_token1] = ACTIONS(1178),
    [aux_sym_preproc_if_token1] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1178),
    [sym_preproc_directive] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [anon_sym___extension__] = ACTIONS(1178),
    [anon_sym_typedef] = ACTIONS(1178),
    [anon_sym_extern] = ACTIONS(1178),
    [anon_sym___attribute__] = ACTIONS(1178),
    [anon_sym___attribute] = ACTIONS(1178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1180),
    [anon_sym___declspec] = ACTIONS(1178),
    [anon_sym___cdecl] = ACTIONS(1178),
    [anon_sym___clrcall] = ACTIONS(1178),
    [anon_sym___stdcall] = ACTIONS(1178),
    [anon_sym___fastcall] = ACTIONS(1178),
    [anon_sym___thiscall] = ACTIONS(1178),
    [anon_sym___vectorcall] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_signed] = ACTIONS(1178),
    [anon_sym_unsigned] = ACTIONS(1178),
    [anon_sym_long] = ACTIONS(1178),
    [anon_sym_short] = ACTIONS(1178),
    [anon_sym_static] = ACTIONS(1178),
    [anon_sym_auto] = ACTIONS(1178),
    [anon_sym_register] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1178),
    [anon_sym___inline] = ACTIONS(1178),
    [anon_sym___inline__] = ACTIONS(1178),
    [anon_sym___forceinline] = ACTIONS(1178),
    [anon_sym_thread_local] = ACTIONS(1178),
    [anon_sym___thread] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_constexpr] = ACTIONS(1178),
    [anon_sym_volatile] = ACTIONS(1178),
    [anon_sym_restrict] = ACTIONS(1178),
    [anon_sym___restrict__] = ACTIONS(1178),
    [anon_sym__Atomic] = ACTIONS(1178),
    [anon_sym__Noreturn] = ACTIONS(1178),
    [anon_sym_noreturn] = ACTIONS(1178),
    [anon_sym__Nonnull] = ACTIONS(1178),
    [anon_sym_alignas] = ACTIONS(1178),
    [anon_sym__Alignas] = ACTIONS(1178),
    [sym_primitive_type] = ACTIONS(1178),
    [anon_sym_enum] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_union] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(1178),
    [anon_sym_else] = ACTIONS(1178),
    [anon_sym_switch] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1178),
    [anon_sym_default] = ACTIONS(1178),
    [anon_sym_while] = ACTIONS(1178),
    [anon_sym_do] = ACTIONS(1178),
    [anon_sym_for] = ACTIONS(1178),
    [anon_sym_return] = ACTIONS(1178),
    [anon_sym_break] = ACTIONS(1178),
    [anon_sym_continue] = ACTIONS(1178),
    [anon_sym_goto] = ACTIONS(1178),
    [anon_sym___try] = ACTIONS(1178),
    [anon_sym___leave] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_sizeof] = ACTIONS(1178),
    [anon_sym___alignof__] = ACTIONS(1178),
    [anon_sym___alignof] = ACTIONS(1178),
    [anon_sym__alignof] = ACTIONS(1178),
    [anon_sym_alignof] = ACTIONS(1178),
    [anon_sym__Alignof] = ACTIONS(1178),
    [anon_sym_offsetof] = ACTIONS(1178),
    [anon_sym__Generic] = ACTIONS(1178),
    [anon_sym_asm] = ACTIONS(1178),
    [anon_sym___asm__] = ACTIONS(1178),
    [anon_sym___asm] = ACTIONS(1178),
    [sym_number_literal] = ACTIONS(1180),
    [anon_sym_L_SQUOTE] = ACTIONS(1180),
    [anon_sym_u_SQUOTE] = ACTIONS(1180),
    [anon_sym_U_SQUOTE] = ACTIONS(1180),
    [anon_sym_u8_SQUOTE] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_L_DQUOTE] = ACTIONS(1180),
    [anon_sym_u_DQUOTE] = ACTIONS(1180),
    [anon_sym_U_DQUOTE] = ACTIONS(1180),
    [anon_sym_u8_DQUOTE] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [sym_true] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
    [anon_sym_NULL] = ACTIONS(1178),
    [anon_sym_nullptr] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1194),
    [aux_sym_preproc_include_token1] = ACTIONS(1194),
    [aux_sym_preproc_def_token1] = ACTIONS(1194),
    [aux_sym_preproc_if_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1194),
    [sym_preproc_directive] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym___extension__] = ACTIONS(1194),
    [anon_sym_typedef] = ACTIONS(1194),
    [anon_sym_extern] = ACTIONS(1194),
    [anon_sym___attribute__] = ACTIONS(1194),
    [anon_sym___attribute] = ACTIONS(1194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1196),
    [anon_sym___declspec] = ACTIONS(1194),
    [anon_sym___cdecl] = ACTIONS(1194),
    [anon_sym___clrcall] = ACTIONS(1194),
    [anon_sym___stdcall] = ACTIONS(1194),
    [anon_sym___fastcall] = ACTIONS(1194),
    [anon_sym___thiscall] = ACTIONS(1194),
    [anon_sym___vectorcall] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_signed] = ACTIONS(1194),
    [anon_sym_unsigned] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_auto] = ACTIONS(1194),
    [anon_sym_register] = ACTIONS(1194),
    [anon_sym_inline] = ACTIONS(1194),
    [anon_sym___inline] = ACTIONS(1194),
    [anon_sym___inline__] = ACTIONS(1194),
    [anon_sym___forceinline] = ACTIONS(1194),
    [anon_sym_thread_local] = ACTIONS(1194),
    [anon_sym___thread] = ACTIONS(1194),
    [anon_sym_const] = ACTIONS(1194),
    [anon_sym_constexpr] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_restrict] = ACTIONS(1194),
    [anon_sym___restrict__] = ACTIONS(1194),
    [anon_sym__Atomic] = ACTIONS(1194),
    [anon_sym__Noreturn] = ACTIONS(1194),
    [anon_sym_noreturn] = ACTIONS(1194),
    [anon_sym__Nonnull] = ACTIONS(1194),
    [anon_sym_alignas] = ACTIONS(1194),
    [anon_sym__Alignas] = ACTIONS(1194),
    [sym_primitive_type] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_struct] = ACTIONS(1194),
    [anon_sym_union] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(1194),
    [anon_sym_default] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_goto] = ACTIONS(1194),
    [anon_sym___try] = ACTIONS(1194),
    [anon_sym___leave] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_sizeof] = ACTIONS(1194),
    [anon_sym___alignof__] = ACTIONS(1194),
    [anon_sym___alignof] = ACTIONS(1194),
    [anon_sym__alignof] = ACTIONS(1194),
    [anon_sym_alignof] = ACTIONS(1194),
    [anon_sym__Alignof] = ACTIONS(1194),
    [anon_sym_offsetof] = ACTIONS(1194),
    [anon_sym__Generic] = ACTIONS(1194),
    [anon_sym_asm] = ACTIONS(1194),
    [anon_sym___asm__] = ACTIONS(1194),
    [anon_sym___asm] = ACTIONS(1194),
    [sym_number_literal] = ACTIONS(1196),
    [anon_sym_L_SQUOTE] = ACTIONS(1196),
    [anon_sym_u_SQUOTE] = ACTIONS(1196),
    [anon_sym_U_SQUOTE] = ACTIONS(1196),
    [anon_sym_u8_SQUOTE] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_L_DQUOTE] = ACTIONS(1196),
    [anon_sym_u_DQUOTE] = ACTIONS(1196),
    [anon_sym_U_DQUOTE] = ACTIONS(1196),
    [anon_sym_u8_DQUOTE] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [anon_sym_NULL] = ACTIONS(1194),
    [anon_sym_nullptr] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_identifier] = ACTIONS(1198),
    [aux_sym_preproc_include_token1] = ACTIONS(1198),
    [aux_sym_preproc_def_token1] = ACTIONS(1198),
    [aux_sym_preproc_if_token1] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1198),
    [sym_preproc_directive] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym___extension__] = ACTIONS(1198),
    [anon_sym_typedef] = ACTIONS(1198),
    [anon_sym_extern] = ACTIONS(1198),
    [anon_sym___attribute__] = ACTIONS(1198),
    [anon_sym___attribute] = ACTIONS(1198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1200),
    [anon_sym___declspec] = ACTIONS(1198),
    [anon_sym___cdecl] = ACTIONS(1198),
    [anon_sym___clrcall] = ACTIONS(1198),
    [anon_sym___stdcall] = ACTIONS(1198),
    [anon_sym___fastcall] = ACTIONS(1198),
    [anon_sym___thiscall] = ACTIONS(1198),
    [anon_sym___vectorcall] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_signed] = ACTIONS(1198),
    [anon_sym_unsigned] = ACTIONS(1198),
    [anon_sym_long] = ACTIONS(1198),
    [anon_sym_short] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1198),
    [anon_sym_auto] = ACTIONS(1198),
    [anon_sym_register] = ACTIONS(1198),
    [anon_sym_inline] = ACTIONS(1198),
    [anon_sym___inline] = ACTIONS(1198),
    [anon_sym___inline__] = ACTIONS(1198),
    [anon_sym___forceinline] = ACTIONS(1198),
    [anon_sym_thread_local] = ACTIONS(1198),
    [anon_sym___thread] = ACTIONS(1198),
    [anon_sym_const] = ACTIONS(1198),
    [anon_sym_constexpr] = ACTIONS(1198),
    [anon_sym_volatile] = ACTIONS(1198),
    [anon_sym_restrict] = ACTIONS(1198),
    [anon_sym___restrict__] = ACTIONS(1198),
    [anon_sym__Atomic] = ACTIONS(1198),
    [anon_sym__Noreturn] = ACTIONS(1198),
    [anon_sym_noreturn] = ACTIONS(1198),
    [anon_sym__Nonnull] = ACTIONS(1198),
    [anon_sym_alignas] = ACTIONS(1198),
    [anon_sym__Alignas] = ACTIONS(1198),
    [sym_primitive_type] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_struct] = ACTIONS(1198),
    [anon_sym_union] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_else] = ACTIONS(1198),
    [anon_sym_switch] = ACTIONS(1198),
    [anon_sym_case] = ACTIONS(1198),
    [anon_sym_default] = ACTIONS(1198),
    [anon_sym_while] = ACTIONS(1198),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_goto] = ACTIONS(1198),
    [anon_sym___try] = ACTIONS(1198),
    [anon_sym___leave] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_sizeof] = ACTIONS(1198),
    [anon_sym___alignof__] = ACTIONS(1198),
    [anon_sym___alignof] = ACTIONS(1198),
    [anon_sym__alignof] = ACTIONS(1198),
    [anon_sym_alignof] = ACTIONS(1198),
    [anon_sym__Alignof] = ACTIONS(1198),
    [anon_sym_offsetof] = ACTIONS(1198),
    [anon_sym__Generic] = ACTIONS(1198),
    [anon_sym_asm] = ACTIONS(1198),
    [anon_sym___asm__] = ACTIONS(1198),
    [anon_sym___asm] = ACTIONS(1198),
    [sym_number_literal] = ACTIONS(1200),
    [anon_sym_L_SQUOTE] = ACTIONS(1200),
    [anon_sym_u_SQUOTE] = ACTIONS(1200),
    [anon_sym_U_SQUOTE] = ACTIONS(1200),
    [anon_sym_u8_SQUOTE] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_L_DQUOTE] = ACTIONS(1200),
    [anon_sym_u_DQUOTE] = ACTIONS(1200),
    [anon_sym_U_DQUOTE] = ACTIONS(1200),
    [anon_sym_u8_DQUOTE] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [anon_sym_NULL] = ACTIONS(1198),
    [anon_sym_nullptr] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1214),
    [aux_sym_preproc_include_token1] = ACTIONS(1214),
    [aux_sym_preproc_def_token1] = ACTIONS(1214),
    [aux_sym_preproc_if_token1] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1214),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1214),
    [sym_preproc_directive] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1216),
    [anon_sym_AMP] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1214),
    [anon_sym_typedef] = ACTIONS(1214),
    [anon_sym_extern] = ACTIONS(1214),
    [anon_sym___attribute__] = ACTIONS(1214),
    [anon_sym___attribute] = ACTIONS(1214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1216),
    [anon_sym___declspec] = ACTIONS(1214),
    [anon_sym___cdecl] = ACTIONS(1214),
    [anon_sym___clrcall] = ACTIONS(1214),
    [anon_sym___stdcall] = ACTIONS(1214),
    [anon_sym___fastcall] = ACTIONS(1214),
    [anon_sym___thiscall] = ACTIONS(1214),
    [anon_sym___vectorcall] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(1214),
    [anon_sym_unsigned] = ACTIONS(1214),
    [anon_sym_long] = ACTIONS(1214),
    [anon_sym_short] = ACTIONS(1214),
    [anon_sym_static] = ACTIONS(1214),
    [anon_sym_auto] = ACTIONS(1214),
    [anon_sym_register] = ACTIONS(1214),
    [anon_sym_inline] = ACTIONS(1214),
    [anon_sym___inline] = ACTIONS(1214),
    [anon_sym___inline__] = ACTIONS(1214),
    [anon_sym___forceinline] = ACTIONS(1214),
    [anon_sym_thread_local] = ACTIONS(1214),
    [anon_sym___thread] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_constexpr] = ACTIONS(1214),
    [anon_sym_volatile] = ACTIONS(1214),
    [anon_sym_restrict] = ACTIONS(1214),
    [anon_sym___restrict__] = ACTIONS(1214),
    [anon_sym__Atomic] = ACTIONS(1214),
    [anon_sym__Noreturn] = ACTIONS(1214),
    [anon_sym_noreturn] = ACTIONS(1214),
    [anon_sym__Nonnull] = ACTIONS(1214),
    [anon_sym_alignas] = ACTIONS(1214),
    [anon_sym__Alignas] = ACTIONS(1214),
    [sym_primitive_type] = ACTIONS(1214),
    [anon_sym_enum] = ACTIONS(1214),
    [anon_sym_struct] = ACTIONS(1214),
    [anon_sym_union] = ACTIONS(1214),
    [anon_sym_if] = ACTIONS(1214),
    [anon_sym_else] = ACTIONS(1214),
    [anon_sym_switch] = ACTIONS(1214),
    [anon_sym_case] = ACTIONS(1214),
    [anon_sym_default] = ACTIONS(1214),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_do] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1214),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_break] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(1214),
    [anon_sym_goto] = ACTIONS(1214),
    [anon_sym___try] = ACTIONS(1214),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_sizeof] = ACTIONS(1214),
    [anon_sym___alignof__] = ACTIONS(1214),
    [anon_sym___alignof] = ACTIONS(1214),
    [anon_sym__alignof] = ACTIONS(1214),
    [anon_sym_alignof] = ACTIONS(1214),
    [anon_sym__Alignof] = ACTIONS(1214),
    [anon_sym_offsetof] = ACTIONS(1214),
    [anon_sym__Generic] = ACTIONS(1214),
    [anon_sym_asm] = ACTIONS(1214),
    [anon_sym___asm__] = ACTIONS(1214),
    [anon_sym___asm] = ACTIONS(1214),
    [sym_number_literal] = ACTIONS(1216),
    [anon_sym_L_SQUOTE] = ACTIONS(1216),
    [anon_sym_u_SQUOTE] = ACTIONS(1216),
    [anon_sym_U_SQUOTE] = ACTIONS(1216),
    [anon_sym_u8_SQUOTE] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_L_DQUOTE] = ACTIONS(1216),
    [anon_sym_u_DQUOTE] = ACTIONS(1216),
    [anon_sym_U_DQUOTE] = ACTIONS(1216),
    [anon_sym_u8_DQUOTE] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [sym_true] = ACTIONS(1214),
    [sym_false] = ACTIONS(1214),
    [anon_sym_NULL] = ACTIONS(1214),
    [anon_sym_nullptr] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1230),
    [aux_sym_preproc_include_token1] = ACTIONS(1230),
    [aux_sym_preproc_def_token1] = ACTIONS(1230),
    [aux_sym_preproc_if_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1230),
    [sym_preproc_directive] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym___extension__] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1230),
    [anon_sym_extern] = ACTIONS(1230),
    [anon_sym___attribute__] = ACTIONS(1230),
    [anon_sym___attribute] = ACTIONS(1230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1232),
    [anon_sym___declspec] = ACTIONS(1230),
    [anon_sym___cdecl] = ACTIONS(1230),
    [anon_sym___clrcall] = ACTIONS(1230),
    [anon_sym___stdcall] = ACTIONS(1230),
    [anon_sym___fastcall] = ACTIONS(1230),
    [anon_sym___thiscall] = ACTIONS(1230),
    [anon_sym___vectorcall] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [anon_sym_signed] = ACTIONS(1230),
    [anon_sym_unsigned] = ACTIONS(1230),
    [anon_sym_long] = ACTIONS(1230),
    [anon_sym_short] = ACTIONS(1230),
    [anon_sym_static] = ACTIONS(1230),
    [anon_sym_auto] = ACTIONS(1230),
    [anon_sym_register] = ACTIONS(1230),
    [anon_sym_inline] = ACTIONS(1230),
    [anon_sym___inline] = ACTIONS(1230),
    [anon_sym___inline__] = ACTIONS(1230),
    [anon_sym___forceinline] = ACTIONS(1230),
    [anon_sym_thread_local] = ACTIONS(1230),
    [anon_sym___thread] = ACTIONS(1230),
    [anon_sym_const] = ACTIONS(1230),
    [anon_sym_constexpr] = ACTIONS(1230),
    [anon_sym_volatile] = ACTIONS(1230),
    [anon_sym_restrict] = ACTIONS(1230),
    [anon_sym___restrict__] = ACTIONS(1230),
    [anon_sym__Atomic] = ACTIONS(1230),
    [anon_sym__Noreturn] = ACTIONS(1230),
    [anon_sym_noreturn] = ACTIONS(1230),
    [anon_sym__Nonnull] = ACTIONS(1230),
    [anon_sym_alignas] = ACTIONS(1230),
    [anon_sym__Alignas] = ACTIONS(1230),
    [sym_primitive_type] = ACTIONS(1230),
    [anon_sym_enum] = ACTIONS(1230),
    [anon_sym_struct] = ACTIONS(1230),
    [anon_sym_union] = ACTIONS(1230),
    [anon_sym_if] = ACTIONS(1230),
    [anon_sym_else] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(1230),
    [anon_sym_case] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(1230),
    [anon_sym_do] = ACTIONS(1230),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_return] = ACTIONS(1230),
    [anon_sym_break] = ACTIONS(1230),
    [anon_sym_continue] = ACTIONS(1230),
    [anon_sym_goto] = ACTIONS(1230),
    [anon_sym___try] = ACTIONS(1230),
    [anon_sym___leave] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_sizeof] = ACTIONS(1230),
    [anon_sym___alignof__] = ACTIONS(1230),
    [anon_sym___alignof] = ACTIONS(1230),
    [anon_sym__alignof] = ACTIONS(1230),
    [anon_sym_alignof] = ACTIONS(1230),
    [anon_sym__Alignof] = ACTIONS(1230),
    [anon_sym_offsetof] = ACTIONS(1230),
    [anon_sym__Generic] = ACTIONS(1230),
    [anon_sym_asm] = ACTIONS(1230),
    [anon_sym___asm__] = ACTIONS(1230),
    [anon_sym___asm] = ACTIONS(1230),
    [sym_number_literal] = ACTIONS(1232),
    [anon_sym_L_SQUOTE] = ACTIONS(1232),
    [anon_sym_u_SQUOTE] = ACTIONS(1232),
    [anon_sym_U_SQUOTE] = ACTIONS(1232),
    [anon_sym_u8_SQUOTE] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_L_DQUOTE] = ACTIONS(1232),
    [anon_sym_u_DQUOTE] = ACTIONS(1232),
    [anon_sym_U_DQUOTE] = ACTIONS(1232),
    [anon_sym_u8_DQUOTE] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [sym_true] = ACTIONS(1230),
    [sym_false] = ACTIONS(1230),
    [anon_sym_NULL] = ACTIONS(1230),
    [anon_sym_nullptr] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym___extension__] = ACTIONS(1190),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym___attribute] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym___inline] = ACTIONS(1190),
    [anon_sym___inline__] = ACTIONS(1190),
    [anon_sym___forceinline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym___thread] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym__Nonnull] = ACTIONS(1190),
    [anon_sym_alignas] = ACTIONS(1190),
    [anon_sym__Alignas] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym___try] = ACTIONS(1190),
    [anon_sym___leave] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym___alignof__] = ACTIONS(1190),
    [anon_sym___alignof] = ACTIONS(1190),
    [anon_sym__alignof] = ACTIONS(1190),
    [anon_sym_alignof] = ACTIONS(1190),
    [anon_sym__Alignof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [anon_sym___asm] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_identifier] = ACTIONS(1234),
    [aux_sym_preproc_include_token1] = ACTIONS(1234),
    [aux_sym_preproc_def_token1] = ACTIONS(1234),
    [aux_sym_preproc_if_token1] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1234),
    [sym_preproc_directive] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym___extension__] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1234),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym___attribute__] = ACTIONS(1234),
    [anon_sym___attribute] = ACTIONS(1234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(1234),
    [anon_sym___cdecl] = ACTIONS(1234),
    [anon_sym___clrcall] = ACTIONS(1234),
    [anon_sym___stdcall] = ACTIONS(1234),
    [anon_sym___fastcall] = ACTIONS(1234),
    [anon_sym___thiscall] = ACTIONS(1234),
    [anon_sym___vectorcall] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1234),
    [anon_sym_unsigned] = ACTIONS(1234),
    [anon_sym_long] = ACTIONS(1234),
    [anon_sym_short] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1234),
    [anon_sym_auto] = ACTIONS(1234),
    [anon_sym_register] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1234),
    [anon_sym___inline] = ACTIONS(1234),
    [anon_sym___inline__] = ACTIONS(1234),
    [anon_sym___forceinline] = ACTIONS(1234),
    [anon_sym_thread_local] = ACTIONS(1234),
    [anon_sym___thread] = ACTIONS(1234),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_constexpr] = ACTIONS(1234),
    [anon_sym_volatile] = ACTIONS(1234),
    [anon_sym_restrict] = ACTIONS(1234),
    [anon_sym___restrict__] = ACTIONS(1234),
    [anon_sym__Atomic] = ACTIONS(1234),
    [anon_sym__Noreturn] = ACTIONS(1234),
    [anon_sym_noreturn] = ACTIONS(1234),
    [anon_sym__Nonnull] = ACTIONS(1234),
    [anon_sym_alignas] = ACTIONS(1234),
    [anon_sym__Alignas] = ACTIONS(1234),
    [sym_primitive_type] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_struct] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_else] = ACTIONS(1234),
    [anon_sym_switch] = ACTIONS(1234),
    [anon_sym_case] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_do] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_break] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_goto] = ACTIONS(1234),
    [anon_sym___try] = ACTIONS(1234),
    [anon_sym___leave] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_sizeof] = ACTIONS(1234),
    [anon_sym___alignof__] = ACTIONS(1234),
    [anon_sym___alignof] = ACTIONS(1234),
    [anon_sym__alignof] = ACTIONS(1234),
    [anon_sym_alignof] = ACTIONS(1234),
    [anon_sym__Alignof] = ACTIONS(1234),
    [anon_sym_offsetof] = ACTIONS(1234),
    [anon_sym__Generic] = ACTIONS(1234),
    [anon_sym_asm] = ACTIONS(1234),
    [anon_sym___asm__] = ACTIONS(1234),
    [anon_sym___asm] = ACTIONS(1234),
    [sym_number_literal] = ACTIONS(1236),
    [anon_sym_L_SQUOTE] = ACTIONS(1236),
    [anon_sym_u_SQUOTE] = ACTIONS(1236),
    [anon_sym_U_SQUOTE] = ACTIONS(1236),
    [anon_sym_u8_SQUOTE] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_L_DQUOTE] = ACTIONS(1236),
    [anon_sym_u_DQUOTE] = ACTIONS(1236),
    [anon_sym_U_DQUOTE] = ACTIONS(1236),
    [anon_sym_u8_DQUOTE] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [sym_true] = ACTIONS(1234),
    [sym_false] = ACTIONS(1234),
    [anon_sym_NULL] = ACTIONS(1234),
    [anon_sym_nullptr] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1178),
    [aux_sym_preproc_include_token1] = ACTIONS(1178),
    [aux_sym_preproc_def_token1] = ACTIONS(1178),
    [aux_sym_preproc_if_token1] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1178),
    [sym_preproc_directive] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [anon_sym___extension__] = ACTIONS(1178),
    [anon_sym_typedef] = ACTIONS(1178),
    [anon_sym_extern] = ACTIONS(1178),
    [anon_sym___attribute__] = ACTIONS(1178),
    [anon_sym___attribute] = ACTIONS(1178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1180),
    [anon_sym___declspec] = ACTIONS(1178),
    [anon_sym___cdecl] = ACTIONS(1178),
    [anon_sym___clrcall] = ACTIONS(1178),
    [anon_sym___stdcall] = ACTIONS(1178),
    [anon_sym___fastcall] = ACTIONS(1178),
    [anon_sym___thiscall] = ACTIONS(1178),
    [anon_sym___vectorcall] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [anon_sym_signed] = ACTIONS(1178),
    [anon_sym_unsigned] = ACTIONS(1178),
    [anon_sym_long] = ACTIONS(1178),
    [anon_sym_short] = ACTIONS(1178),
    [anon_sym_static] = ACTIONS(1178),
    [anon_sym_auto] = ACTIONS(1178),
    [anon_sym_register] = ACTIONS(1178),
    [anon_sym_inline] = ACTIONS(1178),
    [anon_sym___inline] = ACTIONS(1178),
    [anon_sym___inline__] = ACTIONS(1178),
    [anon_sym___forceinline] = ACTIONS(1178),
    [anon_sym_thread_local] = ACTIONS(1178),
    [anon_sym___thread] = ACTIONS(1178),
    [anon_sym_const] = ACTIONS(1178),
    [anon_sym_constexpr] = ACTIONS(1178),
    [anon_sym_volatile] = ACTIONS(1178),
    [anon_sym_restrict] = ACTIONS(1178),
    [anon_sym___restrict__] = ACTIONS(1178),
    [anon_sym__Atomic] = ACTIONS(1178),
    [anon_sym__Noreturn] = ACTIONS(1178),
    [anon_sym_noreturn] = ACTIONS(1178),
    [anon_sym__Nonnull] = ACTIONS(1178),
    [anon_sym_alignas] = ACTIONS(1178),
    [anon_sym__Alignas] = ACTIONS(1178),
    [sym_primitive_type] = ACTIONS(1178),
    [anon_sym_enum] = ACTIONS(1178),
    [anon_sym_struct] = ACTIONS(1178),
    [anon_sym_union] = ACTIONS(1178),
    [anon_sym_if] = ACTIONS(1178),
    [anon_sym_else] = ACTIONS(1178),
    [anon_sym_switch] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1178),
    [anon_sym_default] = ACTIONS(1178),
    [anon_sym_while] = ACTIONS(1178),
    [anon_sym_do] = ACTIONS(1178),
    [anon_sym_for] = ACTIONS(1178),
    [anon_sym_return] = ACTIONS(1178),
    [anon_sym_break] = ACTIONS(1178),
    [anon_sym_continue] = ACTIONS(1178),
    [anon_sym_goto] = ACTIONS(1178),
    [anon_sym___try] = ACTIONS(1178),
    [anon_sym___leave] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_sizeof] = ACTIONS(1178),
    [anon_sym___alignof__] = ACTIONS(1178),
    [anon_sym___alignof] = ACTIONS(1178),
    [anon_sym__alignof] = ACTIONS(1178),
    [anon_sym_alignof] = ACTIONS(1178),
    [anon_sym__Alignof] = ACTIONS(1178),
    [anon_sym_offsetof] = ACTIONS(1178),
    [anon_sym__Generic] = ACTIONS(1178),
    [anon_sym_asm] = ACTIONS(1178),
    [anon_sym___asm__] = ACTIONS(1178),
    [anon_sym___asm] = ACTIONS(1178),
    [sym_number_literal] = ACTIONS(1180),
    [anon_sym_L_SQUOTE] = ACTIONS(1180),
    [anon_sym_u_SQUOTE] = ACTIONS(1180),
    [anon_sym_U_SQUOTE] = ACTIONS(1180),
    [anon_sym_u8_SQUOTE] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_L_DQUOTE] = ACTIONS(1180),
    [anon_sym_u_DQUOTE] = ACTIONS(1180),
    [anon_sym_U_DQUOTE] = ACTIONS(1180),
    [anon_sym_u8_DQUOTE] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [sym_true] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
    [anon_sym_NULL] = ACTIONS(1178),
    [anon_sym_nullptr] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1158),
    [aux_sym_preproc_include_token1] = ACTIONS(1158),
    [aux_sym_preproc_def_token1] = ACTIONS(1158),
    [aux_sym_preproc_if_token1] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1158),
    [sym_preproc_directive] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(1160),
    [anon_sym_AMP] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym___extension__] = ACTIONS(1158),
    [anon_sym_typedef] = ACTIONS(1158),
    [anon_sym_extern] = ACTIONS(1158),
    [anon_sym___attribute__] = ACTIONS(1158),
    [anon_sym___attribute] = ACTIONS(1158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1160),
    [anon_sym___declspec] = ACTIONS(1158),
    [anon_sym___cdecl] = ACTIONS(1158),
    [anon_sym___clrcall] = ACTIONS(1158),
    [anon_sym___stdcall] = ACTIONS(1158),
    [anon_sym___fastcall] = ACTIONS(1158),
    [anon_sym___thiscall] = ACTIONS(1158),
    [anon_sym___vectorcall] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_signed] = ACTIONS(1158),
    [anon_sym_unsigned] = ACTIONS(1158),
    [anon_sym_long] = ACTIONS(1158),
    [anon_sym_short] = ACTIONS(1158),
    [anon_sym_static] = ACTIONS(1158),
    [anon_sym_auto] = ACTIONS(1158),
    [anon_sym_register] = ACTIONS(1158),
    [anon_sym_inline] = ACTIONS(1158),
    [anon_sym___inline] = ACTIONS(1158),
    [anon_sym___inline__] = ACTIONS(1158),
    [anon_sym___forceinline] = ACTIONS(1158),
    [anon_sym_thread_local] = ACTIONS(1158),
    [anon_sym___thread] = ACTIONS(1158),
    [anon_sym_const] = ACTIONS(1158),
    [anon_sym_constexpr] = ACTIONS(1158),
    [anon_sym_volatile] = ACTIONS(1158),
    [anon_sym_restrict] = ACTIONS(1158),
    [anon_sym___restrict__] = ACTIONS(1158),
    [anon_sym__Atomic] = ACTIONS(1158),
    [anon_sym__Noreturn] = ACTIONS(1158),
    [anon_sym_noreturn] = ACTIONS(1158),
    [anon_sym__Nonnull] = ACTIONS(1158),
    [anon_sym_alignas] = ACTIONS(1158),
    [anon_sym__Alignas] = ACTIONS(1158),
    [sym_primitive_type] = ACTIONS(1158),
    [anon_sym_enum] = ACTIONS(1158),
    [anon_sym_struct] = ACTIONS(1158),
    [anon_sym_union] = ACTIONS(1158),
    [anon_sym_if] = ACTIONS(1158),
    [anon_sym_else] = ACTIONS(1158),
    [anon_sym_switch] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_while] = ACTIONS(1158),
    [anon_sym_do] = ACTIONS(1158),
    [anon_sym_for] = ACTIONS(1158),
    [anon_sym_return] = ACTIONS(1158),
    [anon_sym_break] = ACTIONS(1158),
    [anon_sym_continue] = ACTIONS(1158),
    [anon_sym_goto] = ACTIONS(1158),
    [anon_sym___try] = ACTIONS(1158),
    [anon_sym___leave] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_sizeof] = ACTIONS(1158),
    [anon_sym___alignof__] = ACTIONS(1158),
    [anon_sym___alignof] = ACTIONS(1158),
    [anon_sym__alignof] = ACTIONS(1158),
    [anon_sym_alignof] = ACTIONS(1158),
    [anon_sym__Alignof] = ACTIONS(1158),
    [anon_sym_offsetof] = ACTIONS(1158),
    [anon_sym__Generic] = ACTIONS(1158),
    [anon_sym_asm] = ACTIONS(1158),
    [anon_sym___asm__] = ACTIONS(1158),
    [anon_sym___asm] = ACTIONS(1158),
    [sym_number_literal] = ACTIONS(1160),
    [anon_sym_L_SQUOTE] = ACTIONS(1160),
    [anon_sym_u_SQUOTE] = ACTIONS(1160),
    [anon_sym_U_SQUOTE] = ACTIONS(1160),
    [anon_sym_u8_SQUOTE] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_L_DQUOTE] = ACTIONS(1160),
    [anon_sym_u_DQUOTE] = ACTIONS(1160),
    [anon_sym_U_DQUOTE] = ACTIONS(1160),
    [anon_sym_u8_DQUOTE] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [sym_true] = ACTIONS(1158),
    [sym_false] = ACTIONS(1158),
    [anon_sym_NULL] = ACTIONS(1158),
    [anon_sym_nullptr] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1190),
    [aux_sym_preproc_include_token1] = ACTIONS(1190),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1190),
    [sym_preproc_directive] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym___extension__] = ACTIONS(1190),
    [anon_sym_typedef] = ACTIONS(1190),
    [anon_sym_extern] = ACTIONS(1190),
    [anon_sym___attribute__] = ACTIONS(1190),
    [anon_sym___attribute] = ACTIONS(1190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1192),
    [anon_sym___declspec] = ACTIONS(1190),
    [anon_sym___cdecl] = ACTIONS(1190),
    [anon_sym___clrcall] = ACTIONS(1190),
    [anon_sym___stdcall] = ACTIONS(1190),
    [anon_sym___fastcall] = ACTIONS(1190),
    [anon_sym___thiscall] = ACTIONS(1190),
    [anon_sym___vectorcall] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_signed] = ACTIONS(1190),
    [anon_sym_unsigned] = ACTIONS(1190),
    [anon_sym_long] = ACTIONS(1190),
    [anon_sym_short] = ACTIONS(1190),
    [anon_sym_static] = ACTIONS(1190),
    [anon_sym_auto] = ACTIONS(1190),
    [anon_sym_register] = ACTIONS(1190),
    [anon_sym_inline] = ACTIONS(1190),
    [anon_sym___inline] = ACTIONS(1190),
    [anon_sym___inline__] = ACTIONS(1190),
    [anon_sym___forceinline] = ACTIONS(1190),
    [anon_sym_thread_local] = ACTIONS(1190),
    [anon_sym___thread] = ACTIONS(1190),
    [anon_sym_const] = ACTIONS(1190),
    [anon_sym_constexpr] = ACTIONS(1190),
    [anon_sym_volatile] = ACTIONS(1190),
    [anon_sym_restrict] = ACTIONS(1190),
    [anon_sym___restrict__] = ACTIONS(1190),
    [anon_sym__Atomic] = ACTIONS(1190),
    [anon_sym__Noreturn] = ACTIONS(1190),
    [anon_sym_noreturn] = ACTIONS(1190),
    [anon_sym__Nonnull] = ACTIONS(1190),
    [anon_sym_alignas] = ACTIONS(1190),
    [anon_sym__Alignas] = ACTIONS(1190),
    [sym_primitive_type] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1190),
    [anon_sym_struct] = ACTIONS(1190),
    [anon_sym_union] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_switch] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1190),
    [anon_sym_default] = ACTIONS(1190),
    [anon_sym_while] = ACTIONS(1190),
    [anon_sym_do] = ACTIONS(1190),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_return] = ACTIONS(1190),
    [anon_sym_break] = ACTIONS(1190),
    [anon_sym_continue] = ACTIONS(1190),
    [anon_sym_goto] = ACTIONS(1190),
    [anon_sym___try] = ACTIONS(1190),
    [anon_sym___leave] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_sizeof] = ACTIONS(1190),
    [anon_sym___alignof__] = ACTIONS(1190),
    [anon_sym___alignof] = ACTIONS(1190),
    [anon_sym__alignof] = ACTIONS(1190),
    [anon_sym_alignof] = ACTIONS(1190),
    [anon_sym__Alignof] = ACTIONS(1190),
    [anon_sym_offsetof] = ACTIONS(1190),
    [anon_sym__Generic] = ACTIONS(1190),
    [anon_sym_asm] = ACTIONS(1190),
    [anon_sym___asm__] = ACTIONS(1190),
    [anon_sym___asm] = ACTIONS(1190),
    [sym_number_literal] = ACTIONS(1192),
    [anon_sym_L_SQUOTE] = ACTIONS(1192),
    [anon_sym_u_SQUOTE] = ACTIONS(1192),
    [anon_sym_U_SQUOTE] = ACTIONS(1192),
    [anon_sym_u8_SQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_L_DQUOTE] = ACTIONS(1192),
    [anon_sym_u_DQUOTE] = ACTIONS(1192),
    [anon_sym_U_DQUOTE] = ACTIONS(1192),
    [anon_sym_u8_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1190),
    [anon_sym_nullptr] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1234),
    [aux_sym_preproc_include_token1] = ACTIONS(1234),
    [aux_sym_preproc_def_token1] = ACTIONS(1234),
    [aux_sym_preproc_if_token1] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1234),
    [sym_preproc_directive] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym___extension__] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1234),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym___attribute__] = ACTIONS(1234),
    [anon_sym___attribute] = ACTIONS(1234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(1234),
    [anon_sym___cdecl] = ACTIONS(1234),
    [anon_sym___clrcall] = ACTIONS(1234),
    [anon_sym___stdcall] = ACTIONS(1234),
    [anon_sym___fastcall] = ACTIONS(1234),
    [anon_sym___thiscall] = ACTIONS(1234),
    [anon_sym___vectorcall] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [anon_sym_signed] = ACTIONS(1234),
    [anon_sym_unsigned] = ACTIONS(1234),
    [anon_sym_long] = ACTIONS(1234),
    [anon_sym_short] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1234),
    [anon_sym_auto] = ACTIONS(1234),
    [anon_sym_register] = ACTIONS(1234),
    [anon_sym_inline] = ACTIONS(1234),
    [anon_sym___inline] = ACTIONS(1234),
    [anon_sym___inline__] = ACTIONS(1234),
    [anon_sym___forceinline] = ACTIONS(1234),
    [anon_sym_thread_local] = ACTIONS(1234),
    [anon_sym___thread] = ACTIONS(1234),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_constexpr] = ACTIONS(1234),
    [anon_sym_volatile] = ACTIONS(1234),
    [anon_sym_restrict] = ACTIONS(1234),
    [anon_sym___restrict__] = ACTIONS(1234),
    [anon_sym__Atomic] = ACTIONS(1234),
    [anon_sym__Noreturn] = ACTIONS(1234),
    [anon_sym_noreturn] = ACTIONS(1234),
    [anon_sym__Nonnull] = ACTIONS(1234),
    [anon_sym_alignas] = ACTIONS(1234),
    [anon_sym__Alignas] = ACTIONS(1234),
    [sym_primitive_type] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_struct] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_else] = ACTIONS(1234),
    [anon_sym_switch] = ACTIONS(1234),
    [anon_sym_case] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_do] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_break] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_goto] = ACTIONS(1234),
    [anon_sym___try] = ACTIONS(1234),
    [anon_sym___leave] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_sizeof] = ACTIONS(1234),
    [anon_sym___alignof__] = ACTIONS(1234),
    [anon_sym___alignof] = ACTIONS(1234),
    [anon_sym__alignof] = ACTIONS(1234),
    [anon_sym_alignof] = ACTIONS(1234),
    [anon_sym__Alignof] = ACTIONS(1234),
    [anon_sym_offsetof] = ACTIONS(1234),
    [anon_sym__Generic] = ACTIONS(1234),
    [anon_sym_asm] = ACTIONS(1234),
    [anon_sym___asm__] = ACTIONS(1234),
    [anon_sym___asm] = ACTIONS(1234),
    [sym_number_literal] = ACTIONS(1236),
    [anon_sym_L_SQUOTE] = ACTIONS(1236),
    [anon_sym_u_SQUOTE] = ACTIONS(1236),
    [anon_sym_U_SQUOTE] = ACTIONS(1236),
    [anon_sym_u8_SQUOTE] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_L_DQUOTE] = ACTIONS(1236),
    [anon_sym_u_DQUOTE] = ACTIONS(1236),
    [anon_sym_U_DQUOTE] = ACTIONS(1236),
    [anon_sym_u8_DQUOTE] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [sym_true] = ACTIONS(1234),
    [sym_false] = ACTIONS(1234),
    [anon_sym_NULL] = ACTIONS(1234),
    [anon_sym_nullptr] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1170),
    [aux_sym_preproc_include_token1] = ACTIONS(1170),
    [aux_sym_preproc_def_token1] = ACTIONS(1170),
    [aux_sym_preproc_if_token1] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1170),
    [sym_preproc_directive] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_STAR] = ACTIONS(1172),
    [anon_sym_AMP] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym___extension__] = ACTIONS(1170),
    [anon_sym_typedef] = ACTIONS(1170),
    [anon_sym_extern] = ACTIONS(1170),
    [anon_sym___attribute__] = ACTIONS(1170),
    [anon_sym___attribute] = ACTIONS(1170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1172),
    [anon_sym___declspec] = ACTIONS(1170),
    [anon_sym___cdecl] = ACTIONS(1170),
    [anon_sym___clrcall] = ACTIONS(1170),
    [anon_sym___stdcall] = ACTIONS(1170),
    [anon_sym___fastcall] = ACTIONS(1170),
    [anon_sym___thiscall] = ACTIONS(1170),
    [anon_sym___vectorcall] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_signed] = ACTIONS(1170),
    [anon_sym_unsigned] = ACTIONS(1170),
    [anon_sym_long] = ACTIONS(1170),
    [anon_sym_short] = ACTIONS(1170),
    [anon_sym_static] = ACTIONS(1170),
    [anon_sym_auto] = ACTIONS(1170),
    [anon_sym_register] = ACTIONS(1170),
    [anon_sym_inline] = ACTIONS(1170),
    [anon_sym___inline] = ACTIONS(1170),
    [anon_sym___inline__] = ACTIONS(1170),
    [anon_sym___forceinline] = ACTIONS(1170),
    [anon_sym_thread_local] = ACTIONS(1170),
    [anon_sym___thread] = ACTIONS(1170),
    [anon_sym_const] = ACTIONS(1170),
    [anon_sym_constexpr] = ACTIONS(1170),
    [anon_sym_volatile] = ACTIONS(1170),
    [anon_sym_restrict] = ACTIONS(1170),
    [anon_sym___restrict__] = ACTIONS(1170),
    [anon_sym__Atomic] = ACTIONS(1170),
    [anon_sym__Noreturn] = ACTIONS(1170),
    [anon_sym_noreturn] = ACTIONS(1170),
    [anon_sym__Nonnull] = ACTIONS(1170),
    [anon_sym_alignas] = ACTIONS(1170),
    [anon_sym__Alignas] = ACTIONS(1170),
    [sym_primitive_type] = ACTIONS(1170),
    [anon_sym_enum] = ACTIONS(1170),
    [anon_sym_struct] = ACTIONS(1170),
    [anon_sym_union] = ACTIONS(1170),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_else] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_case] = ACTIONS(1170),
    [anon_sym_default] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_break] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [anon_sym_goto] = ACTIONS(1170),
    [anon_sym___try] = ACTIONS(1170),
    [anon_sym___leave] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_sizeof] = ACTIONS(1170),
    [anon_sym___alignof__] = ACTIONS(1170),
    [anon_sym___alignof] = ACTIONS(1170),
    [anon_sym__alignof] = ACTIONS(1170),
    [anon_sym_alignof] = ACTIONS(1170),
    [anon_sym__Alignof] = ACTIONS(1170),
    [anon_sym_offsetof] = ACTIONS(1170),
    [anon_sym__Generic] = ACTIONS(1170),
    [anon_sym_asm] = ACTIONS(1170),
    [anon_sym___asm__] = ACTIONS(1170),
    [anon_sym___asm] = ACTIONS(1170),
    [sym_number_literal] = ACTIONS(1172),
    [anon_sym_L_SQUOTE] = ACTIONS(1172),
    [anon_sym_u_SQUOTE] = ACTIONS(1172),
    [anon_sym_U_SQUOTE] = ACTIONS(1172),
    [anon_sym_u8_SQUOTE] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_L_DQUOTE] = ACTIONS(1172),
    [anon_sym_u_DQUOTE] = ACTIONS(1172),
    [anon_sym_U_DQUOTE] = ACTIONS(1172),
    [anon_sym_u8_DQUOTE] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [sym_true] = ACTIONS(1170),
    [sym_false] = ACTIONS(1170),
    [anon_sym_NULL] = ACTIONS(1170),
    [anon_sym_nullptr] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1138),
    [aux_sym_preproc_def_token1] = ACTIONS(1138),
    [aux_sym_preproc_if_token1] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1138),
    [sym_preproc_directive] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1140),
    [anon_sym___extension__] = ACTIONS(1138),
    [anon_sym_typedef] = ACTIONS(1138),
    [anon_sym_extern] = ACTIONS(1138),
    [anon_sym___attribute__] = ACTIONS(1138),
    [anon_sym___attribute] = ACTIONS(1138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1140),
    [anon_sym___declspec] = ACTIONS(1138),
    [anon_sym___cdecl] = ACTIONS(1138),
    [anon_sym___clrcall] = ACTIONS(1138),
    [anon_sym___stdcall] = ACTIONS(1138),
    [anon_sym___fastcall] = ACTIONS(1138),
    [anon_sym___thiscall] = ACTIONS(1138),
    [anon_sym___vectorcall] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_signed] = ACTIONS(1138),
    [anon_sym_unsigned] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_auto] = ACTIONS(1138),
    [anon_sym_register] = ACTIONS(1138),
    [anon_sym_inline] = ACTIONS(1138),
    [anon_sym___inline] = ACTIONS(1138),
    [anon_sym___inline__] = ACTIONS(1138),
    [anon_sym___forceinline] = ACTIONS(1138),
    [anon_sym_thread_local] = ACTIONS(1138),
    [anon_sym___thread] = ACTIONS(1138),
    [anon_sym_const] = ACTIONS(1138),
    [anon_sym_constexpr] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_restrict] = ACTIONS(1138),
    [anon_sym___restrict__] = ACTIONS(1138),
    [anon_sym__Atomic] = ACTIONS(1138),
    [anon_sym__Noreturn] = ACTIONS(1138),
    [anon_sym_noreturn] = ACTIONS(1138),
    [anon_sym__Nonnull] = ACTIONS(1138),
    [anon_sym_alignas] = ACTIONS(1138),
    [anon_sym__Alignas] = ACTIONS(1138),
    [sym_primitive_type] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_struct] = ACTIONS(1138),
    [anon_sym_union] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_else] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1138),
    [anon_sym_default] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_goto] = ACTIONS(1138),
    [anon_sym___try] = ACTIONS(1138),
    [anon_sym___leave] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_sizeof] = ACTIONS(1138),
    [anon_sym___alignof__] = ACTIONS(1138),
    [anon_sym___alignof] = ACTIONS(1138),
    [anon_sym__alignof] = ACTIONS(1138),
    [anon_sym_alignof] = ACTIONS(1138),
    [anon_sym__Alignof] = ACTIONS(1138),
    [anon_sym_offsetof] = ACTIONS(1138),
    [anon_sym__Generic] = ACTIONS(1138),
    [anon_sym_asm] = ACTIONS(1138),
    [anon_sym___asm__] = ACTIONS(1138),
    [anon_sym___asm] = ACTIONS(1138),
    [sym_number_literal] = ACTIONS(1140),
    [anon_sym_L_SQUOTE] = ACTIONS(1140),
    [anon_sym_u_SQUOTE] = ACTIONS(1140),
    [anon_sym_U_SQUOTE] = ACTIONS(1140),
    [anon_sym_u8_SQUOTE] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_L_DQUOTE] = ACTIONS(1140),
    [anon_sym_u_DQUOTE] = ACTIONS(1140),
    [anon_sym_U_DQUOTE] = ACTIONS(1140),
    [anon_sym_u8_DQUOTE] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [anon_sym_NULL] = ACTIONS(1138),
    [anon_sym_nullptr] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1162),
    [aux_sym_preproc_include_token1] = ACTIONS(1162),
    [aux_sym_preproc_def_token1] = ACTIONS(1162),
    [aux_sym_preproc_if_token1] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1162),
    [sym_preproc_directive] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym___extension__] = ACTIONS(1162),
    [anon_sym_typedef] = ACTIONS(1162),
    [anon_sym_extern] = ACTIONS(1162),
    [anon_sym___attribute__] = ACTIONS(1162),
    [anon_sym___attribute] = ACTIONS(1162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1164),
    [anon_sym___declspec] = ACTIONS(1162),
    [anon_sym___cdecl] = ACTIONS(1162),
    [anon_sym___clrcall] = ACTIONS(1162),
    [anon_sym___stdcall] = ACTIONS(1162),
    [anon_sym___fastcall] = ACTIONS(1162),
    [anon_sym___thiscall] = ACTIONS(1162),
    [anon_sym___vectorcall] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_signed] = ACTIONS(1162),
    [anon_sym_unsigned] = ACTIONS(1162),
    [anon_sym_long] = ACTIONS(1162),
    [anon_sym_short] = ACTIONS(1162),
    [anon_sym_static] = ACTIONS(1162),
    [anon_sym_auto] = ACTIONS(1162),
    [anon_sym_register] = ACTIONS(1162),
    [anon_sym_inline] = ACTIONS(1162),
    [anon_sym___inline] = ACTIONS(1162),
    [anon_sym___inline__] = ACTIONS(1162),
    [anon_sym___forceinline] = ACTIONS(1162),
    [anon_sym_thread_local] = ACTIONS(1162),
    [anon_sym___thread] = ACTIONS(1162),
    [anon_sym_const] = ACTIONS(1162),
    [anon_sym_constexpr] = ACTIONS(1162),
    [anon_sym_volatile] = ACTIONS(1162),
    [anon_sym_restrict] = ACTIONS(1162),
    [anon_sym___restrict__] = ACTIONS(1162),
    [anon_sym__Atomic] = ACTIONS(1162),
    [anon_sym__Noreturn] = ACTIONS(1162),
    [anon_sym_noreturn] = ACTIONS(1162),
    [anon_sym__Nonnull] = ACTIONS(1162),
    [anon_sym_alignas] = ACTIONS(1162),
    [anon_sym__Alignas] = ACTIONS(1162),
    [sym_primitive_type] = ACTIONS(1162),
    [anon_sym_enum] = ACTIONS(1162),
    [anon_sym_struct] = ACTIONS(1162),
    [anon_sym_union] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_else] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_case] = ACTIONS(1162),
    [anon_sym_default] = ACTIONS(1162),
    [anon_sym_while] = ACTIONS(1162),
    [anon_sym_do] = ACTIONS(1162),
    [anon_sym_for] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_break] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [anon_sym_goto] = ACTIONS(1162),
    [anon_sym___try] = ACTIONS(1162),
    [anon_sym___leave] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_sizeof] = ACTIONS(1162),
    [anon_sym___alignof__] = ACTIONS(1162),
    [anon_sym___alignof] = ACTIONS(1162),
    [anon_sym__alignof] = ACTIONS(1162),
    [anon_sym_alignof] = ACTIONS(1162),
    [anon_sym__Alignof] = ACTIONS(1162),
    [anon_sym_offsetof] = ACTIONS(1162),
    [anon_sym__Generic] = ACTIONS(1162),
    [anon_sym_asm] = ACTIONS(1162),
    [anon_sym___asm__] = ACTIONS(1162),
    [anon_sym___asm] = ACTIONS(1162),
    [sym_number_literal] = ACTIONS(1164),
    [anon_sym_L_SQUOTE] = ACTIONS(1164),
    [anon_sym_u_SQUOTE] = ACTIONS(1164),
    [anon_sym_U_SQUOTE] = ACTIONS(1164),
    [anon_sym_u8_SQUOTE] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_L_DQUOTE] = ACTIONS(1164),
    [anon_sym_u_DQUOTE] = ACTIONS(1164),
    [anon_sym_U_DQUOTE] = ACTIONS(1164),
    [anon_sym_u8_DQUOTE] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [sym_true] = ACTIONS(1162),
    [sym_false] = ACTIONS(1162),
    [anon_sym_NULL] = ACTIONS(1162),
    [anon_sym_nullptr] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1242),
    [aux_sym_preproc_include_token1] = ACTIONS(1242),
    [aux_sym_preproc_def_token1] = ACTIONS(1242),
    [aux_sym_preproc_if_token1] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1242),
    [sym_preproc_directive] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym___extension__] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1242),
    [anon_sym_extern] = ACTIONS(1242),
    [anon_sym___attribute__] = ACTIONS(1242),
    [anon_sym___attribute] = ACTIONS(1242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1244),
    [anon_sym___declspec] = ACTIONS(1242),
    [anon_sym___cdecl] = ACTIONS(1242),
    [anon_sym___clrcall] = ACTIONS(1242),
    [anon_sym___stdcall] = ACTIONS(1242),
    [anon_sym___fastcall] = ACTIONS(1242),
    [anon_sym___thiscall] = ACTIONS(1242),
    [anon_sym___vectorcall] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_signed] = ACTIONS(1242),
    [anon_sym_unsigned] = ACTIONS(1242),
    [anon_sym_long] = ACTIONS(1242),
    [anon_sym_short] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1242),
    [anon_sym_auto] = ACTIONS(1242),
    [anon_sym_register] = ACTIONS(1242),
    [anon_sym_inline] = ACTIONS(1242),
    [anon_sym___inline] = ACTIONS(1242),
    [anon_sym___inline__] = ACTIONS(1242),
    [anon_sym___forceinline] = ACTIONS(1242),
    [anon_sym_thread_local] = ACTIONS(1242),
    [anon_sym___thread] = ACTIONS(1242),
    [anon_sym_const] = ACTIONS(1242),
    [anon_sym_constexpr] = ACTIONS(1242),
    [anon_sym_volatile] = ACTIONS(1242),
    [anon_sym_restrict] = ACTIONS(1242),
    [anon_sym___restrict__] = ACTIONS(1242),
    [anon_sym__Atomic] = ACTIONS(1242),
    [anon_sym__Noreturn] = ACTIONS(1242),
    [anon_sym_noreturn] = ACTIONS(1242),
    [anon_sym__Nonnull] = ACTIONS(1242),
    [anon_sym_alignas] = ACTIONS(1242),
    [anon_sym__Alignas] = ACTIONS(1242),
    [sym_primitive_type] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_case] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_goto] = ACTIONS(1242),
    [anon_sym___try] = ACTIONS(1242),
    [anon_sym___leave] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_sizeof] = ACTIONS(1242),
    [anon_sym___alignof__] = ACTIONS(1242),
    [anon_sym___alignof] = ACTIONS(1242),
    [anon_sym__alignof] = ACTIONS(1242),
    [anon_sym_alignof] = ACTIONS(1242),
    [anon_sym__Alignof] = ACTIONS(1242),
    [anon_sym_offsetof] = ACTIONS(1242),
    [anon_sym__Generic] = ACTIONS(1242),
    [anon_sym_asm] = ACTIONS(1242),
    [anon_sym___asm__] = ACTIONS(1242),
    [anon_sym___asm] = ACTIONS(1242),
    [sym_number_literal] = ACTIONS(1244),
    [anon_sym_L_SQUOTE] = ACTIONS(1244),
    [anon_sym_u_SQUOTE] = ACTIONS(1244),
    [anon_sym_U_SQUOTE] = ACTIONS(1244),
    [anon_sym_u8_SQUOTE] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_L_DQUOTE] = ACTIONS(1244),
    [anon_sym_u_DQUOTE] = ACTIONS(1244),
    [anon_sym_U_DQUOTE] = ACTIONS(1244),
    [anon_sym_u8_DQUOTE] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [sym_true] = ACTIONS(1242),
    [sym_false] = ACTIONS(1242),
    [anon_sym_NULL] = ACTIONS(1242),
    [anon_sym_nullptr] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1274),
    [aux_sym_preproc_include_token1] = ACTIONS(1274),
    [aux_sym_preproc_def_token1] = ACTIONS(1274),
    [aux_sym_preproc_if_token1] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1274),
    [sym_preproc_directive] = ACTIONS(1274),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1274),
    [anon_sym_extern] = ACTIONS(1274),
    [anon_sym___attribute__] = ACTIONS(1274),
    [anon_sym___attribute] = ACTIONS(1274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1276),
    [anon_sym___declspec] = ACTIONS(1274),
    [anon_sym___cdecl] = ACTIONS(1274),
    [anon_sym___clrcall] = ACTIONS(1274),
    [anon_sym___stdcall] = ACTIONS(1274),
    [anon_sym___fastcall] = ACTIONS(1274),
    [anon_sym___thiscall] = ACTIONS(1274),
    [anon_sym___vectorcall] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1274),
    [anon_sym_unsigned] = ACTIONS(1274),
    [anon_sym_long] = ACTIONS(1274),
    [anon_sym_short] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1274),
    [anon_sym_auto] = ACTIONS(1274),
    [anon_sym_register] = ACTIONS(1274),
    [anon_sym_inline] = ACTIONS(1274),
    [anon_sym___inline] = ACTIONS(1274),
    [anon_sym___inline__] = ACTIONS(1274),
    [anon_sym___forceinline] = ACTIONS(1274),
    [anon_sym_thread_local] = ACTIONS(1274),
    [anon_sym___thread] = ACTIONS(1274),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1274),
    [anon_sym__Alignas] = ACTIONS(1274),
    [sym_primitive_type] = ACTIONS(1274),
    [anon_sym_enum] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1274),
    [anon_sym_union] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_switch] = ACTIONS(1274),
    [anon_sym_case] = ACTIONS(1274),
    [anon_sym_default] = ACTIONS(1274),
    [anon_sym_while] = ACTIONS(1274),
    [anon_sym_do] = ACTIONS(1274),
    [anon_sym_for] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_break] = ACTIONS(1274),
    [anon_sym_continue] = ACTIONS(1274),
    [anon_sym_goto] = ACTIONS(1274),
    [anon_sym___try] = ACTIONS(1274),
    [anon_sym___leave] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_sizeof] = ACTIONS(1274),
    [anon_sym___alignof__] = ACTIONS(1274),
    [anon_sym___alignof] = ACTIONS(1274),
    [anon_sym__alignof] = ACTIONS(1274),
    [anon_sym_alignof] = ACTIONS(1274),
    [anon_sym__Alignof] = ACTIONS(1274),
    [anon_sym_offsetof] = ACTIONS(1274),
    [anon_sym__Generic] = ACTIONS(1274),
    [anon_sym_asm] = ACTIONS(1274),
    [anon_sym___asm__] = ACTIONS(1274),
    [anon_sym___asm] = ACTIONS(1274),
    [sym_number_literal] = ACTIONS(1276),
    [anon_sym_L_SQUOTE] = ACTIONS(1276),
    [anon_sym_u_SQUOTE] = ACTIONS(1276),
    [anon_sym_U_SQUOTE] = ACTIONS(1276),
    [anon_sym_u8_SQUOTE] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_L_DQUOTE] = ACTIONS(1276),
    [anon_sym_u_DQUOTE] = ACTIONS(1276),
    [anon_sym_U_DQUOTE] = ACTIONS(1276),
    [anon_sym_u8_DQUOTE] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [sym_true] = ACTIONS(1274),
    [sym_false] = ACTIONS(1274),
    [anon_sym_NULL] = ACTIONS(1274),
    [anon_sym_nullptr] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1278),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1278),
    [anon_sym___attribute] = ACTIONS(1278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1280),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1278),
    [anon_sym_unsigned] = ACTIONS(1278),
    [anon_sym_long] = ACTIONS(1278),
    [anon_sym_short] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_auto] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1278),
    [anon_sym_constexpr] = ACTIONS(1278),
    [anon_sym_volatile] = ACTIONS(1278),
    [anon_sym_restrict] = ACTIONS(1278),
    [anon_sym___restrict__] = ACTIONS(1278),
    [anon_sym__Atomic] = ACTIONS(1278),
    [anon_sym__Noreturn] = ACTIONS(1278),
    [anon_sym_noreturn] = ACTIONS(1278),
    [anon_sym__Nonnull] = ACTIONS(1278),
    [anon_sym_alignas] = ACTIONS(1278),
    [anon_sym__Alignas] = ACTIONS(1278),
    [sym_primitive_type] = ACTIONS(1278),
    [anon_sym_enum] = ACTIONS(1278),
    [anon_sym_struct] = ACTIONS(1278),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1278),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1278),
    [anon_sym_do] = ACTIONS(1278),
    [anon_sym_for] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1278),
    [anon_sym_break] = ACTIONS(1278),
    [anon_sym_continue] = ACTIONS(1278),
    [anon_sym_goto] = ACTIONS(1278),
    [anon_sym___try] = ACTIONS(1278),
    [anon_sym___leave] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_sizeof] = ACTIONS(1278),
    [anon_sym___alignof__] = ACTIONS(1278),
    [anon_sym___alignof] = ACTIONS(1278),
    [anon_sym__alignof] = ACTIONS(1278),
    [anon_sym_alignof] = ACTIONS(1278),
    [anon_sym__Alignof] = ACTIONS(1278),
    [anon_sym_offsetof] = ACTIONS(1278),
    [anon_sym__Generic] = ACTIONS(1278),
    [anon_sym_asm] = ACTIONS(1278),
    [anon_sym___asm__] = ACTIONS(1278),
    [anon_sym___asm] = ACTIONS(1278),
    [sym_number_literal] = ACTIONS(1280),
    [anon_sym_L_SQUOTE] = ACTIONS(1280),
    [anon_sym_u_SQUOTE] = ACTIONS(1280),
    [anon_sym_U_SQUOTE] = ACTIONS(1280),
    [anon_sym_u8_SQUOTE] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_L_DQUOTE] = ACTIONS(1280),
    [anon_sym_u_DQUOTE] = ACTIONS(1280),
    [anon_sym_U_DQUOTE] = ACTIONS(1280),
    [anon_sym_u8_DQUOTE] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [sym_true] = ACTIONS(1278),
    [sym_false] = ACTIONS(1278),
    [anon_sym_NULL] = ACTIONS(1278),
    [anon_sym_nullptr] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1286),
    [aux_sym_preproc_include_token1] = ACTIONS(1286),
    [aux_sym_preproc_def_token1] = ACTIONS(1286),
    [aux_sym_preproc_if_token1] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1286),
    [sym_preproc_directive] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1286),
    [anon_sym_extern] = ACTIONS(1286),
    [anon_sym___attribute__] = ACTIONS(1286),
    [anon_sym___attribute] = ACTIONS(1286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1286),
    [anon_sym___cdecl] = ACTIONS(1286),
    [anon_sym___clrcall] = ACTIONS(1286),
    [anon_sym___stdcall] = ACTIONS(1286),
    [anon_sym___fastcall] = ACTIONS(1286),
    [anon_sym___thiscall] = ACTIONS(1286),
    [anon_sym___vectorcall] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1286),
    [anon_sym_unsigned] = ACTIONS(1286),
    [anon_sym_long] = ACTIONS(1286),
    [anon_sym_short] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_auto] = ACTIONS(1286),
    [anon_sym_register] = ACTIONS(1286),
    [anon_sym_inline] = ACTIONS(1286),
    [anon_sym___inline] = ACTIONS(1286),
    [anon_sym___inline__] = ACTIONS(1286),
    [anon_sym___forceinline] = ACTIONS(1286),
    [anon_sym_thread_local] = ACTIONS(1286),
    [anon_sym___thread] = ACTIONS(1286),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_constexpr] = ACTIONS(1286),
    [anon_sym_volatile] = ACTIONS(1286),
    [anon_sym_restrict] = ACTIONS(1286),
    [anon_sym___restrict__] = ACTIONS(1286),
    [anon_sym__Atomic] = ACTIONS(1286),
    [anon_sym__Noreturn] = ACTIONS(1286),
    [anon_sym_noreturn] = ACTIONS(1286),
    [anon_sym__Nonnull] = ACTIONS(1286),
    [anon_sym_alignas] = ACTIONS(1286),
    [anon_sym__Alignas] = ACTIONS(1286),
    [sym_primitive_type] = ACTIONS(1286),
    [anon_sym_enum] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1286),
    [anon_sym_union] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_switch] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1286),
    [anon_sym_while] = ACTIONS(1286),
    [anon_sym_do] = ACTIONS(1286),
    [anon_sym_for] = ACTIONS(1286),
    [anon_sym_return] = ACTIONS(1286),
    [anon_sym_break] = ACTIONS(1286),
    [anon_sym_continue] = ACTIONS(1286),
    [anon_sym_goto] = ACTIONS(1286),
    [anon_sym___try] = ACTIONS(1286),
    [anon_sym___leave] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_sizeof] = ACTIONS(1286),
    [anon_sym___alignof__] = ACTIONS(1286),
    [anon_sym___alignof] = ACTIONS(1286),
    [anon_sym__alignof] = ACTIONS(1286),
    [anon_sym_alignof] = ACTIONS(1286),
    [anon_sym__Alignof] = ACTIONS(1286),
    [anon_sym_offsetof] = ACTIONS(1286),
    [anon_sym__Generic] = ACTIONS(1286),
    [anon_sym_asm] = ACTIONS(1286),
    [anon_sym___asm__] = ACTIONS(1286),
    [anon_sym___asm] = ACTIONS(1286),
    [sym_number_literal] = ACTIONS(1288),
    [anon_sym_L_SQUOTE] = ACTIONS(1288),
    [anon_sym_u_SQUOTE] = ACTIONS(1288),
    [anon_sym_U_SQUOTE] = ACTIONS(1288),
    [anon_sym_u8_SQUOTE] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_L_DQUOTE] = ACTIONS(1288),
    [anon_sym_u_DQUOTE] = ACTIONS(1288),
    [anon_sym_U_DQUOTE] = ACTIONS(1288),
    [anon_sym_u8_DQUOTE] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [sym_true] = ACTIONS(1286),
    [sym_false] = ACTIONS(1286),
    [anon_sym_NULL] = ACTIONS(1286),
    [anon_sym_nullptr] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1262),
    [aux_sym_preproc_include_token1] = ACTIONS(1262),
    [aux_sym_preproc_def_token1] = ACTIONS(1262),
    [aux_sym_preproc_if_token1] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1262),
    [sym_preproc_directive] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1262),
    [anon_sym_extern] = ACTIONS(1262),
    [anon_sym___attribute__] = ACTIONS(1262),
    [anon_sym___attribute] = ACTIONS(1262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___cdecl] = ACTIONS(1262),
    [anon_sym___clrcall] = ACTIONS(1262),
    [anon_sym___stdcall] = ACTIONS(1262),
    [anon_sym___fastcall] = ACTIONS(1262),
    [anon_sym___thiscall] = ACTIONS(1262),
    [anon_sym___vectorcall] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1262),
    [anon_sym_unsigned] = ACTIONS(1262),
    [anon_sym_long] = ACTIONS(1262),
    [anon_sym_short] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1262),
    [anon_sym_auto] = ACTIONS(1262),
    [anon_sym_register] = ACTIONS(1262),
    [anon_sym_inline] = ACTIONS(1262),
    [anon_sym___inline] = ACTIONS(1262),
    [anon_sym___inline__] = ACTIONS(1262),
    [anon_sym___forceinline] = ACTIONS(1262),
    [anon_sym_thread_local] = ACTIONS(1262),
    [anon_sym___thread] = ACTIONS(1262),
    [anon_sym_const] = ACTIONS(1262),
    [anon_sym_constexpr] = ACTIONS(1262),
    [anon_sym_volatile] = ACTIONS(1262),
    [anon_sym_restrict] = ACTIONS(1262),
    [anon_sym___restrict__] = ACTIONS(1262),
    [anon_sym__Atomic] = ACTIONS(1262),
    [anon_sym__Noreturn] = ACTIONS(1262),
    [anon_sym_noreturn] = ACTIONS(1262),
    [anon_sym__Nonnull] = ACTIONS(1262),
    [anon_sym_alignas] = ACTIONS(1262),
    [anon_sym__Alignas] = ACTIONS(1262),
    [sym_primitive_type] = ACTIONS(1262),
    [anon_sym_enum] = ACTIONS(1262),
    [anon_sym_struct] = ACTIONS(1262),
    [anon_sym_union] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_switch] = ACTIONS(1262),
    [anon_sym_case] = ACTIONS(1262),
    [anon_sym_default] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_do] = ACTIONS(1262),
    [anon_sym_for] = ACTIONS(1262),
    [anon_sym_return] = ACTIONS(1262),
    [anon_sym_break] = ACTIONS(1262),
    [anon_sym_continue] = ACTIONS(1262),
    [anon_sym_goto] = ACTIONS(1262),
    [anon_sym___try] = ACTIONS(1262),
    [anon_sym___leave] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_sizeof] = ACTIONS(1262),
    [anon_sym___alignof__] = ACTIONS(1262),
    [anon_sym___alignof] = ACTIONS(1262),
    [anon_sym__alignof] = ACTIONS(1262),
    [anon_sym_alignof] = ACTIONS(1262),
    [anon_sym__Alignof] = ACTIONS(1262),
    [anon_sym_offsetof] = ACTIONS(1262),
    [anon_sym__Generic] = ACTIONS(1262),
    [anon_sym_asm] = ACTIONS(1262),
    [anon_sym___asm__] = ACTIONS(1262),
    [anon_sym___asm] = ACTIONS(1262),
    [sym_number_literal] = ACTIONS(1264),
    [anon_sym_L_SQUOTE] = ACTIONS(1264),
    [anon_sym_u_SQUOTE] = ACTIONS(1264),
    [anon_sym_U_SQUOTE] = ACTIONS(1264),
    [anon_sym_u8_SQUOTE] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_L_DQUOTE] = ACTIONS(1264),
    [anon_sym_u_DQUOTE] = ACTIONS(1264),
    [anon_sym_U_DQUOTE] = ACTIONS(1264),
    [anon_sym_u8_DQUOTE] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [sym_true] = ACTIONS(1262),
    [sym_false] = ACTIONS(1262),
    [anon_sym_NULL] = ACTIONS(1262),
    [anon_sym_nullptr] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1294),
    [aux_sym_preproc_include_token1] = ACTIONS(1294),
    [aux_sym_preproc_def_token1] = ACTIONS(1294),
    [aux_sym_preproc_if_token1] = ACTIONS(1294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1294),
    [sym_preproc_directive] = ACTIONS(1294),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1294),
    [anon_sym_extern] = ACTIONS(1294),
    [anon_sym___attribute__] = ACTIONS(1294),
    [anon_sym___attribute] = ACTIONS(1294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___cdecl] = ACTIONS(1294),
    [anon_sym___clrcall] = ACTIONS(1294),
    [anon_sym___stdcall] = ACTIONS(1294),
    [anon_sym___fastcall] = ACTIONS(1294),
    [anon_sym___thiscall] = ACTIONS(1294),
    [anon_sym___vectorcall] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1294),
    [anon_sym_unsigned] = ACTIONS(1294),
    [anon_sym_long] = ACTIONS(1294),
    [anon_sym_short] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1294),
    [anon_sym_auto] = ACTIONS(1294),
    [anon_sym_register] = ACTIONS(1294),
    [anon_sym_inline] = ACTIONS(1294),
    [anon_sym___inline] = ACTIONS(1294),
    [anon_sym___inline__] = ACTIONS(1294),
    [anon_sym___forceinline] = ACTIONS(1294),
    [anon_sym_thread_local] = ACTIONS(1294),
    [anon_sym___thread] = ACTIONS(1294),
    [anon_sym_const] = ACTIONS(1294),
    [anon_sym_constexpr] = ACTIONS(1294),
    [anon_sym_volatile] = ACTIONS(1294),
    [anon_sym_restrict] = ACTIONS(1294),
    [anon_sym___restrict__] = ACTIONS(1294),
    [anon_sym__Atomic] = ACTIONS(1294),
    [anon_sym__Noreturn] = ACTIONS(1294),
    [anon_sym_noreturn] = ACTIONS(1294),
    [anon_sym__Nonnull] = ACTIONS(1294),
    [anon_sym_alignas] = ACTIONS(1294),
    [anon_sym__Alignas] = ACTIONS(1294),
    [sym_primitive_type] = ACTIONS(1294),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1294),
    [anon_sym_switch] = ACTIONS(1294),
    [anon_sym_case] = ACTIONS(1294),
    [anon_sym_default] = ACTIONS(1294),
    [anon_sym_while] = ACTIONS(1294),
    [anon_sym_do] = ACTIONS(1294),
    [anon_sym_for] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_continue] = ACTIONS(1294),
    [anon_sym_goto] = ACTIONS(1294),
    [anon_sym___try] = ACTIONS(1294),
    [anon_sym___leave] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1294),
    [anon_sym___alignof__] = ACTIONS(1294),
    [anon_sym___alignof] = ACTIONS(1294),
    [anon_sym__alignof] = ACTIONS(1294),
    [anon_sym_alignof] = ACTIONS(1294),
    [anon_sym__Alignof] = ACTIONS(1294),
    [anon_sym_offsetof] = ACTIONS(1294),
    [anon_sym__Generic] = ACTIONS(1294),
    [anon_sym_asm] = ACTIONS(1294),
    [anon_sym___asm__] = ACTIONS(1294),
    [anon_sym___asm] = ACTIONS(1294),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1294),
    [sym_false] = ACTIONS(1294),
    [anon_sym_NULL] = ACTIONS(1294),
    [anon_sym_nullptr] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym___try] = ACTIONS(1356),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym___try] = ACTIONS(1376),
    [anon_sym___leave] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token2] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym___try] = ACTIONS(1372),
    [anon_sym___leave] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [anon_sym_COMMA] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym___try] = ACTIONS(1368),
    [anon_sym___leave] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym___try] = ACTIONS(1360),
    [anon_sym___leave] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token2] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym___try] = ACTIONS(1320),
    [anon_sym___leave] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1286),
    [aux_sym_preproc_include_token1] = ACTIONS(1286),
    [aux_sym_preproc_def_token1] = ACTIONS(1286),
    [aux_sym_preproc_if_token1] = ACTIONS(1286),
    [aux_sym_preproc_if_token2] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1286),
    [sym_preproc_directive] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1286),
    [anon_sym_extern] = ACTIONS(1286),
    [anon_sym___attribute__] = ACTIONS(1286),
    [anon_sym___attribute] = ACTIONS(1286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1286),
    [anon_sym___cdecl] = ACTIONS(1286),
    [anon_sym___clrcall] = ACTIONS(1286),
    [anon_sym___stdcall] = ACTIONS(1286),
    [anon_sym___fastcall] = ACTIONS(1286),
    [anon_sym___thiscall] = ACTIONS(1286),
    [anon_sym___vectorcall] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1286),
    [anon_sym_unsigned] = ACTIONS(1286),
    [anon_sym_long] = ACTIONS(1286),
    [anon_sym_short] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_auto] = ACTIONS(1286),
    [anon_sym_register] = ACTIONS(1286),
    [anon_sym_inline] = ACTIONS(1286),
    [anon_sym___inline] = ACTIONS(1286),
    [anon_sym___inline__] = ACTIONS(1286),
    [anon_sym___forceinline] = ACTIONS(1286),
    [anon_sym_thread_local] = ACTIONS(1286),
    [anon_sym___thread] = ACTIONS(1286),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_constexpr] = ACTIONS(1286),
    [anon_sym_volatile] = ACTIONS(1286),
    [anon_sym_restrict] = ACTIONS(1286),
    [anon_sym___restrict__] = ACTIONS(1286),
    [anon_sym__Atomic] = ACTIONS(1286),
    [anon_sym__Noreturn] = ACTIONS(1286),
    [anon_sym_noreturn] = ACTIONS(1286),
    [anon_sym__Nonnull] = ACTIONS(1286),
    [anon_sym_alignas] = ACTIONS(1286),
    [anon_sym__Alignas] = ACTIONS(1286),
    [sym_primitive_type] = ACTIONS(1286),
    [anon_sym_enum] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1286),
    [anon_sym_union] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_switch] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1286),
    [anon_sym_while] = ACTIONS(1286),
    [anon_sym_do] = ACTIONS(1286),
    [anon_sym_for] = ACTIONS(1286),
    [anon_sym_return] = ACTIONS(1286),
    [anon_sym_break] = ACTIONS(1286),
    [anon_sym_continue] = ACTIONS(1286),
    [anon_sym_goto] = ACTIONS(1286),
    [anon_sym___try] = ACTIONS(1286),
    [anon_sym___leave] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_sizeof] = ACTIONS(1286),
    [anon_sym___alignof__] = ACTIONS(1286),
    [anon_sym___alignof] = ACTIONS(1286),
    [anon_sym__alignof] = ACTIONS(1286),
    [anon_sym_alignof] = ACTIONS(1286),
    [anon_sym__Alignof] = ACTIONS(1286),
    [anon_sym_offsetof] = ACTIONS(1286),
    [anon_sym__Generic] = ACTIONS(1286),
    [anon_sym_asm] = ACTIONS(1286),
    [anon_sym___asm__] = ACTIONS(1286),
    [anon_sym___asm] = ACTIONS(1286),
    [sym_number_literal] = ACTIONS(1288),
    [anon_sym_L_SQUOTE] = ACTIONS(1288),
    [anon_sym_u_SQUOTE] = ACTIONS(1288),
    [anon_sym_U_SQUOTE] = ACTIONS(1288),
    [anon_sym_u8_SQUOTE] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_L_DQUOTE] = ACTIONS(1288),
    [anon_sym_u_DQUOTE] = ACTIONS(1288),
    [anon_sym_U_DQUOTE] = ACTIONS(1288),
    [anon_sym_u8_DQUOTE] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [sym_true] = ACTIONS(1286),
    [sym_false] = ACTIONS(1286),
    [anon_sym_NULL] = ACTIONS(1286),
    [anon_sym_nullptr] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_expression] = STATE(705),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(679),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(679),
    [sym_call_expression] = STATE(679),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(679),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(679),
    [sym_initializer_list] = STATE(693),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1388),
    [anon_sym_RPAREN] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1396),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym___attribute] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1394),
    [anon_sym_COLON] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1388),
    [anon_sym_STAR_EQ] = ACTIONS(1388),
    [anon_sym_SLASH_EQ] = ACTIONS(1388),
    [anon_sym_PERCENT_EQ] = ACTIONS(1388),
    [anon_sym_PLUS_EQ] = ACTIONS(1388),
    [anon_sym_DASH_EQ] = ACTIONS(1388),
    [anon_sym_LT_LT_EQ] = ACTIONS(1388),
    [anon_sym_GT_GT_EQ] = ACTIONS(1388),
    [anon_sym_AMP_EQ] = ACTIONS(1388),
    [anon_sym_CARET_EQ] = ACTIONS(1388),
    [anon_sym_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1400),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(1394),
    [anon_sym_DASH_GT] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1266),
    [aux_sym_preproc_include_token1] = ACTIONS(1266),
    [aux_sym_preproc_def_token1] = ACTIONS(1266),
    [aux_sym_preproc_if_token1] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1266),
    [sym_preproc_directive] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1266),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1266),
    [anon_sym___attribute] = ACTIONS(1266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1268),
    [anon_sym___declspec] = ACTIONS(1266),
    [anon_sym___cdecl] = ACTIONS(1266),
    [anon_sym___clrcall] = ACTIONS(1266),
    [anon_sym___stdcall] = ACTIONS(1266),
    [anon_sym___fastcall] = ACTIONS(1266),
    [anon_sym___thiscall] = ACTIONS(1266),
    [anon_sym___vectorcall] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1266),
    [anon_sym_unsigned] = ACTIONS(1266),
    [anon_sym_long] = ACTIONS(1266),
    [anon_sym_short] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_auto] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1266),
    [anon_sym_constexpr] = ACTIONS(1266),
    [anon_sym_volatile] = ACTIONS(1266),
    [anon_sym_restrict] = ACTIONS(1266),
    [anon_sym___restrict__] = ACTIONS(1266),
    [anon_sym__Atomic] = ACTIONS(1266),
    [anon_sym__Noreturn] = ACTIONS(1266),
    [anon_sym_noreturn] = ACTIONS(1266),
    [anon_sym__Nonnull] = ACTIONS(1266),
    [anon_sym_alignas] = ACTIONS(1266),
    [anon_sym__Alignas] = ACTIONS(1266),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1266),
    [anon_sym_struct] = ACTIONS(1266),
    [anon_sym_union] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_switch] = ACTIONS(1266),
    [anon_sym_case] = ACTIONS(1266),
    [anon_sym_default] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_do] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_break] = ACTIONS(1266),
    [anon_sym_continue] = ACTIONS(1266),
    [anon_sym_goto] = ACTIONS(1266),
    [anon_sym___try] = ACTIONS(1266),
    [anon_sym___leave] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_sizeof] = ACTIONS(1266),
    [anon_sym___alignof__] = ACTIONS(1266),
    [anon_sym___alignof] = ACTIONS(1266),
    [anon_sym__alignof] = ACTIONS(1266),
    [anon_sym_alignof] = ACTIONS(1266),
    [anon_sym__Alignof] = ACTIONS(1266),
    [anon_sym_offsetof] = ACTIONS(1266),
    [anon_sym__Generic] = ACTIONS(1266),
    [anon_sym_asm] = ACTIONS(1266),
    [anon_sym___asm__] = ACTIONS(1266),
    [anon_sym___asm] = ACTIONS(1266),
    [sym_number_literal] = ACTIONS(1268),
    [anon_sym_L_SQUOTE] = ACTIONS(1268),
    [anon_sym_u_SQUOTE] = ACTIONS(1268),
    [anon_sym_U_SQUOTE] = ACTIONS(1268),
    [anon_sym_u8_SQUOTE] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_L_DQUOTE] = ACTIONS(1268),
    [anon_sym_u_DQUOTE] = ACTIONS(1268),
    [anon_sym_U_DQUOTE] = ACTIONS(1268),
    [anon_sym_u8_DQUOTE] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [anon_sym_NULL] = ACTIONS(1266),
    [anon_sym_nullptr] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1262),
    [aux_sym_preproc_include_token1] = ACTIONS(1262),
    [aux_sym_preproc_def_token1] = ACTIONS(1262),
    [aux_sym_preproc_if_token1] = ACTIONS(1262),
    [aux_sym_preproc_if_token2] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1262),
    [sym_preproc_directive] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1262),
    [anon_sym_extern] = ACTIONS(1262),
    [anon_sym___attribute__] = ACTIONS(1262),
    [anon_sym___attribute] = ACTIONS(1262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___cdecl] = ACTIONS(1262),
    [anon_sym___clrcall] = ACTIONS(1262),
    [anon_sym___stdcall] = ACTIONS(1262),
    [anon_sym___fastcall] = ACTIONS(1262),
    [anon_sym___thiscall] = ACTIONS(1262),
    [anon_sym___vectorcall] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1262),
    [anon_sym_unsigned] = ACTIONS(1262),
    [anon_sym_long] = ACTIONS(1262),
    [anon_sym_short] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1262),
    [anon_sym_auto] = ACTIONS(1262),
    [anon_sym_register] = ACTIONS(1262),
    [anon_sym_inline] = ACTIONS(1262),
    [anon_sym___inline] = ACTIONS(1262),
    [anon_sym___inline__] = ACTIONS(1262),
    [anon_sym___forceinline] = ACTIONS(1262),
    [anon_sym_thread_local] = ACTIONS(1262),
    [anon_sym___thread] = ACTIONS(1262),
    [anon_sym_const] = ACTIONS(1262),
    [anon_sym_constexpr] = ACTIONS(1262),
    [anon_sym_volatile] = ACTIONS(1262),
    [anon_sym_restrict] = ACTIONS(1262),
    [anon_sym___restrict__] = ACTIONS(1262),
    [anon_sym__Atomic] = ACTIONS(1262),
    [anon_sym__Noreturn] = ACTIONS(1262),
    [anon_sym_noreturn] = ACTIONS(1262),
    [anon_sym__Nonnull] = ACTIONS(1262),
    [anon_sym_alignas] = ACTIONS(1262),
    [anon_sym__Alignas] = ACTIONS(1262),
    [sym_primitive_type] = ACTIONS(1262),
    [anon_sym_enum] = ACTIONS(1262),
    [anon_sym_struct] = ACTIONS(1262),
    [anon_sym_union] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_switch] = ACTIONS(1262),
    [anon_sym_case] = ACTIONS(1262),
    [anon_sym_default] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_do] = ACTIONS(1262),
    [anon_sym_for] = ACTIONS(1262),
    [anon_sym_return] = ACTIONS(1262),
    [anon_sym_break] = ACTIONS(1262),
    [anon_sym_continue] = ACTIONS(1262),
    [anon_sym_goto] = ACTIONS(1262),
    [anon_sym___try] = ACTIONS(1262),
    [anon_sym___leave] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_sizeof] = ACTIONS(1262),
    [anon_sym___alignof__] = ACTIONS(1262),
    [anon_sym___alignof] = ACTIONS(1262),
    [anon_sym__alignof] = ACTIONS(1262),
    [anon_sym_alignof] = ACTIONS(1262),
    [anon_sym__Alignof] = ACTIONS(1262),
    [anon_sym_offsetof] = ACTIONS(1262),
    [anon_sym__Generic] = ACTIONS(1262),
    [anon_sym_asm] = ACTIONS(1262),
    [anon_sym___asm__] = ACTIONS(1262),
    [anon_sym___asm] = ACTIONS(1262),
    [sym_number_literal] = ACTIONS(1264),
    [anon_sym_L_SQUOTE] = ACTIONS(1264),
    [anon_sym_u_SQUOTE] = ACTIONS(1264),
    [anon_sym_U_SQUOTE] = ACTIONS(1264),
    [anon_sym_u8_SQUOTE] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_L_DQUOTE] = ACTIONS(1264),
    [anon_sym_u_DQUOTE] = ACTIONS(1264),
    [anon_sym_U_DQUOTE] = ACTIONS(1264),
    [anon_sym_u8_DQUOTE] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [sym_true] = ACTIONS(1262),
    [sym_false] = ACTIONS(1262),
    [anon_sym_NULL] = ACTIONS(1262),
    [anon_sym_nullptr] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [anon_sym_COMMA] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token2] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym___try] = ACTIONS(1360),
    [anon_sym___leave] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token2] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym___try] = ACTIONS(1376),
    [anon_sym___leave] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token2] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym___try] = ACTIONS(1372),
    [anon_sym___leave] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token2] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym___try] = ACTIONS(1344),
    [anon_sym___leave] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym___try] = ACTIONS(1328),
    [anon_sym___leave] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1290),
    [aux_sym_preproc_include_token1] = ACTIONS(1290),
    [aux_sym_preproc_def_token1] = ACTIONS(1290),
    [aux_sym_preproc_if_token1] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1290),
    [sym_preproc_directive] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1290),
    [anon_sym_extern] = ACTIONS(1290),
    [anon_sym___attribute__] = ACTIONS(1290),
    [anon_sym___attribute] = ACTIONS(1290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1292),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___cdecl] = ACTIONS(1290),
    [anon_sym___clrcall] = ACTIONS(1290),
    [anon_sym___stdcall] = ACTIONS(1290),
    [anon_sym___fastcall] = ACTIONS(1290),
    [anon_sym___thiscall] = ACTIONS(1290),
    [anon_sym___vectorcall] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1290),
    [anon_sym_unsigned] = ACTIONS(1290),
    [anon_sym_long] = ACTIONS(1290),
    [anon_sym_short] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1290),
    [anon_sym_auto] = ACTIONS(1290),
    [anon_sym_register] = ACTIONS(1290),
    [anon_sym_inline] = ACTIONS(1290),
    [anon_sym___inline] = ACTIONS(1290),
    [anon_sym___inline__] = ACTIONS(1290),
    [anon_sym___forceinline] = ACTIONS(1290),
    [anon_sym_thread_local] = ACTIONS(1290),
    [anon_sym___thread] = ACTIONS(1290),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1290),
    [anon_sym__Alignas] = ACTIONS(1290),
    [sym_primitive_type] = ACTIONS(1290),
    [anon_sym_enum] = ACTIONS(1290),
    [anon_sym_struct] = ACTIONS(1290),
    [anon_sym_union] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1290),
    [anon_sym_switch] = ACTIONS(1290),
    [anon_sym_case] = ACTIONS(1290),
    [anon_sym_default] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1290),
    [anon_sym_do] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_return] = ACTIONS(1290),
    [anon_sym_break] = ACTIONS(1290),
    [anon_sym_continue] = ACTIONS(1290),
    [anon_sym_goto] = ACTIONS(1290),
    [anon_sym___try] = ACTIONS(1290),
    [anon_sym___leave] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_sizeof] = ACTIONS(1290),
    [anon_sym___alignof__] = ACTIONS(1290),
    [anon_sym___alignof] = ACTIONS(1290),
    [anon_sym__alignof] = ACTIONS(1290),
    [anon_sym_alignof] = ACTIONS(1290),
    [anon_sym__Alignof] = ACTIONS(1290),
    [anon_sym_offsetof] = ACTIONS(1290),
    [anon_sym__Generic] = ACTIONS(1290),
    [anon_sym_asm] = ACTIONS(1290),
    [anon_sym___asm__] = ACTIONS(1290),
    [anon_sym___asm] = ACTIONS(1290),
    [sym_number_literal] = ACTIONS(1292),
    [anon_sym_L_SQUOTE] = ACTIONS(1292),
    [anon_sym_u_SQUOTE] = ACTIONS(1292),
    [anon_sym_U_SQUOTE] = ACTIONS(1292),
    [anon_sym_u8_SQUOTE] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_L_DQUOTE] = ACTIONS(1292),
    [anon_sym_u_DQUOTE] = ACTIONS(1292),
    [anon_sym_U_DQUOTE] = ACTIONS(1292),
    [anon_sym_u8_DQUOTE] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [sym_true] = ACTIONS(1290),
    [sym_false] = ACTIONS(1290),
    [anon_sym_NULL] = ACTIONS(1290),
    [anon_sym_nullptr] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_identifier] = ACTIONS(1282),
    [aux_sym_preproc_include_token1] = ACTIONS(1282),
    [aux_sym_preproc_def_token1] = ACTIONS(1282),
    [aux_sym_preproc_if_token1] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1282),
    [sym_preproc_directive] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1282),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1284),
    [anon_sym___declspec] = ACTIONS(1282),
    [anon_sym___cdecl] = ACTIONS(1282),
    [anon_sym___clrcall] = ACTIONS(1282),
    [anon_sym___stdcall] = ACTIONS(1282),
    [anon_sym___fastcall] = ACTIONS(1282),
    [anon_sym___thiscall] = ACTIONS(1282),
    [anon_sym___vectorcall] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1282),
    [anon_sym_unsigned] = ACTIONS(1282),
    [anon_sym_long] = ACTIONS(1282),
    [anon_sym_short] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_auto] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1282),
    [anon_sym_constexpr] = ACTIONS(1282),
    [anon_sym_volatile] = ACTIONS(1282),
    [anon_sym_restrict] = ACTIONS(1282),
    [anon_sym___restrict__] = ACTIONS(1282),
    [anon_sym__Atomic] = ACTIONS(1282),
    [anon_sym__Noreturn] = ACTIONS(1282),
    [anon_sym_noreturn] = ACTIONS(1282),
    [anon_sym__Nonnull] = ACTIONS(1282),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [sym_primitive_type] = ACTIONS(1282),
    [anon_sym_enum] = ACTIONS(1282),
    [anon_sym_struct] = ACTIONS(1282),
    [anon_sym_union] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1282),
    [anon_sym_switch] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(1282),
    [anon_sym_default] = ACTIONS(1282),
    [anon_sym_while] = ACTIONS(1282),
    [anon_sym_do] = ACTIONS(1282),
    [anon_sym_for] = ACTIONS(1282),
    [anon_sym_return] = ACTIONS(1282),
    [anon_sym_break] = ACTIONS(1282),
    [anon_sym_continue] = ACTIONS(1282),
    [anon_sym_goto] = ACTIONS(1282),
    [anon_sym___try] = ACTIONS(1282),
    [anon_sym___leave] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_sizeof] = ACTIONS(1282),
    [anon_sym___alignof__] = ACTIONS(1282),
    [anon_sym___alignof] = ACTIONS(1282),
    [anon_sym__alignof] = ACTIONS(1282),
    [anon_sym_alignof] = ACTIONS(1282),
    [anon_sym__Alignof] = ACTIONS(1282),
    [anon_sym_offsetof] = ACTIONS(1282),
    [anon_sym__Generic] = ACTIONS(1282),
    [anon_sym_asm] = ACTIONS(1282),
    [anon_sym___asm__] = ACTIONS(1282),
    [anon_sym___asm] = ACTIONS(1282),
    [sym_number_literal] = ACTIONS(1284),
    [anon_sym_L_SQUOTE] = ACTIONS(1284),
    [anon_sym_u_SQUOTE] = ACTIONS(1284),
    [anon_sym_U_SQUOTE] = ACTIONS(1284),
    [anon_sym_u8_SQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_L_DQUOTE] = ACTIONS(1284),
    [anon_sym_u_DQUOTE] = ACTIONS(1284),
    [anon_sym_U_DQUOTE] = ACTIONS(1284),
    [anon_sym_u8_DQUOTE] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [sym_true] = ACTIONS(1282),
    [sym_false] = ACTIONS(1282),
    [anon_sym_NULL] = ACTIONS(1282),
    [anon_sym_nullptr] = ACTIONS(1282),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token2] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym___try] = ACTIONS(1340),
    [anon_sym___leave] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token2] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym___try] = ACTIONS(1336),
    [anon_sym___leave] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1266),
    [aux_sym_preproc_include_token1] = ACTIONS(1266),
    [aux_sym_preproc_def_token1] = ACTIONS(1266),
    [aux_sym_preproc_if_token1] = ACTIONS(1266),
    [aux_sym_preproc_if_token2] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1266),
    [sym_preproc_directive] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1266),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1266),
    [anon_sym___attribute] = ACTIONS(1266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1268),
    [anon_sym___declspec] = ACTIONS(1266),
    [anon_sym___cdecl] = ACTIONS(1266),
    [anon_sym___clrcall] = ACTIONS(1266),
    [anon_sym___stdcall] = ACTIONS(1266),
    [anon_sym___fastcall] = ACTIONS(1266),
    [anon_sym___thiscall] = ACTIONS(1266),
    [anon_sym___vectorcall] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1266),
    [anon_sym_unsigned] = ACTIONS(1266),
    [anon_sym_long] = ACTIONS(1266),
    [anon_sym_short] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_auto] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1266),
    [anon_sym_constexpr] = ACTIONS(1266),
    [anon_sym_volatile] = ACTIONS(1266),
    [anon_sym_restrict] = ACTIONS(1266),
    [anon_sym___restrict__] = ACTIONS(1266),
    [anon_sym__Atomic] = ACTIONS(1266),
    [anon_sym__Noreturn] = ACTIONS(1266),
    [anon_sym_noreturn] = ACTIONS(1266),
    [anon_sym__Nonnull] = ACTIONS(1266),
    [anon_sym_alignas] = ACTIONS(1266),
    [anon_sym__Alignas] = ACTIONS(1266),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1266),
    [anon_sym_struct] = ACTIONS(1266),
    [anon_sym_union] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_switch] = ACTIONS(1266),
    [anon_sym_case] = ACTIONS(1266),
    [anon_sym_default] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_do] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_break] = ACTIONS(1266),
    [anon_sym_continue] = ACTIONS(1266),
    [anon_sym_goto] = ACTIONS(1266),
    [anon_sym___try] = ACTIONS(1266),
    [anon_sym___leave] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_sizeof] = ACTIONS(1266),
    [anon_sym___alignof__] = ACTIONS(1266),
    [anon_sym___alignof] = ACTIONS(1266),
    [anon_sym__alignof] = ACTIONS(1266),
    [anon_sym_alignof] = ACTIONS(1266),
    [anon_sym__Alignof] = ACTIONS(1266),
    [anon_sym_offsetof] = ACTIONS(1266),
    [anon_sym__Generic] = ACTIONS(1266),
    [anon_sym_asm] = ACTIONS(1266),
    [anon_sym___asm__] = ACTIONS(1266),
    [anon_sym___asm] = ACTIONS(1266),
    [sym_number_literal] = ACTIONS(1268),
    [anon_sym_L_SQUOTE] = ACTIONS(1268),
    [anon_sym_u_SQUOTE] = ACTIONS(1268),
    [anon_sym_U_SQUOTE] = ACTIONS(1268),
    [anon_sym_u8_SQUOTE] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_L_DQUOTE] = ACTIONS(1268),
    [anon_sym_u_DQUOTE] = ACTIONS(1268),
    [anon_sym_U_DQUOTE] = ACTIONS(1268),
    [anon_sym_u8_DQUOTE] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [anon_sym_NULL] = ACTIONS(1266),
    [anon_sym_nullptr] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token2] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym___try] = ACTIONS(1332),
    [anon_sym___leave] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token2] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym___try] = ACTIONS(1324),
    [anon_sym___leave] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_identifier] = ACTIONS(1294),
    [aux_sym_preproc_include_token1] = ACTIONS(1294),
    [aux_sym_preproc_def_token1] = ACTIONS(1294),
    [aux_sym_preproc_if_token1] = ACTIONS(1294),
    [aux_sym_preproc_if_token2] = ACTIONS(1294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1294),
    [sym_preproc_directive] = ACTIONS(1294),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1294),
    [anon_sym_typedef] = ACTIONS(1294),
    [anon_sym_extern] = ACTIONS(1294),
    [anon_sym___attribute__] = ACTIONS(1294),
    [anon_sym___attribute] = ACTIONS(1294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1294),
    [anon_sym___cdecl] = ACTIONS(1294),
    [anon_sym___clrcall] = ACTIONS(1294),
    [anon_sym___stdcall] = ACTIONS(1294),
    [anon_sym___fastcall] = ACTIONS(1294),
    [anon_sym___thiscall] = ACTIONS(1294),
    [anon_sym___vectorcall] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1294),
    [anon_sym_unsigned] = ACTIONS(1294),
    [anon_sym_long] = ACTIONS(1294),
    [anon_sym_short] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1294),
    [anon_sym_auto] = ACTIONS(1294),
    [anon_sym_register] = ACTIONS(1294),
    [anon_sym_inline] = ACTIONS(1294),
    [anon_sym___inline] = ACTIONS(1294),
    [anon_sym___inline__] = ACTIONS(1294),
    [anon_sym___forceinline] = ACTIONS(1294),
    [anon_sym_thread_local] = ACTIONS(1294),
    [anon_sym___thread] = ACTIONS(1294),
    [anon_sym_const] = ACTIONS(1294),
    [anon_sym_constexpr] = ACTIONS(1294),
    [anon_sym_volatile] = ACTIONS(1294),
    [anon_sym_restrict] = ACTIONS(1294),
    [anon_sym___restrict__] = ACTIONS(1294),
    [anon_sym__Atomic] = ACTIONS(1294),
    [anon_sym__Noreturn] = ACTIONS(1294),
    [anon_sym_noreturn] = ACTIONS(1294),
    [anon_sym__Nonnull] = ACTIONS(1294),
    [anon_sym_alignas] = ACTIONS(1294),
    [anon_sym__Alignas] = ACTIONS(1294),
    [sym_primitive_type] = ACTIONS(1294),
    [anon_sym_enum] = ACTIONS(1294),
    [anon_sym_struct] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1294),
    [anon_sym_switch] = ACTIONS(1294),
    [anon_sym_case] = ACTIONS(1294),
    [anon_sym_default] = ACTIONS(1294),
    [anon_sym_while] = ACTIONS(1294),
    [anon_sym_do] = ACTIONS(1294),
    [anon_sym_for] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [anon_sym_continue] = ACTIONS(1294),
    [anon_sym_goto] = ACTIONS(1294),
    [anon_sym___try] = ACTIONS(1294),
    [anon_sym___leave] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1294),
    [anon_sym___alignof__] = ACTIONS(1294),
    [anon_sym___alignof] = ACTIONS(1294),
    [anon_sym__alignof] = ACTIONS(1294),
    [anon_sym_alignof] = ACTIONS(1294),
    [anon_sym__Alignof] = ACTIONS(1294),
    [anon_sym_offsetof] = ACTIONS(1294),
    [anon_sym__Generic] = ACTIONS(1294),
    [anon_sym_asm] = ACTIONS(1294),
    [anon_sym___asm__] = ACTIONS(1294),
    [anon_sym___asm] = ACTIONS(1294),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1294),
    [sym_false] = ACTIONS(1294),
    [anon_sym_NULL] = ACTIONS(1294),
    [anon_sym_nullptr] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1318),
    [anon_sym_AMP] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym___attribute] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1318),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [anon_sym__Nonnull] = ACTIONS(1316),
    [anon_sym_alignas] = ACTIONS(1316),
    [anon_sym__Alignas] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [anon_sym___asm] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1318),
    [anon_sym_L_SQUOTE] = ACTIONS(1318),
    [anon_sym_u_SQUOTE] = ACTIONS(1318),
    [anon_sym_U_SQUOTE] = ACTIONS(1318),
    [anon_sym_u8_SQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_L_DQUOTE] = ACTIONS(1318),
    [anon_sym_u_DQUOTE] = ACTIONS(1318),
    [anon_sym_U_DQUOTE] = ACTIONS(1318),
    [anon_sym_u8_DQUOTE] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token2] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym___try] = ACTIONS(1308),
    [anon_sym___leave] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1290),
    [aux_sym_preproc_include_token1] = ACTIONS(1290),
    [aux_sym_preproc_def_token1] = ACTIONS(1290),
    [aux_sym_preproc_if_token1] = ACTIONS(1290),
    [aux_sym_preproc_if_token2] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1290),
    [sym_preproc_directive] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1290),
    [anon_sym_extern] = ACTIONS(1290),
    [anon_sym___attribute__] = ACTIONS(1290),
    [anon_sym___attribute] = ACTIONS(1290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1292),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___cdecl] = ACTIONS(1290),
    [anon_sym___clrcall] = ACTIONS(1290),
    [anon_sym___stdcall] = ACTIONS(1290),
    [anon_sym___fastcall] = ACTIONS(1290),
    [anon_sym___thiscall] = ACTIONS(1290),
    [anon_sym___vectorcall] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1290),
    [anon_sym_unsigned] = ACTIONS(1290),
    [anon_sym_long] = ACTIONS(1290),
    [anon_sym_short] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1290),
    [anon_sym_auto] = ACTIONS(1290),
    [anon_sym_register] = ACTIONS(1290),
    [anon_sym_inline] = ACTIONS(1290),
    [anon_sym___inline] = ACTIONS(1290),
    [anon_sym___inline__] = ACTIONS(1290),
    [anon_sym___forceinline] = ACTIONS(1290),
    [anon_sym_thread_local] = ACTIONS(1290),
    [anon_sym___thread] = ACTIONS(1290),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1290),
    [anon_sym__Alignas] = ACTIONS(1290),
    [sym_primitive_type] = ACTIONS(1290),
    [anon_sym_enum] = ACTIONS(1290),
    [anon_sym_struct] = ACTIONS(1290),
    [anon_sym_union] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1290),
    [anon_sym_switch] = ACTIONS(1290),
    [anon_sym_case] = ACTIONS(1290),
    [anon_sym_default] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1290),
    [anon_sym_do] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_return] = ACTIONS(1290),
    [anon_sym_break] = ACTIONS(1290),
    [anon_sym_continue] = ACTIONS(1290),
    [anon_sym_goto] = ACTIONS(1290),
    [anon_sym___try] = ACTIONS(1290),
    [anon_sym___leave] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_sizeof] = ACTIONS(1290),
    [anon_sym___alignof__] = ACTIONS(1290),
    [anon_sym___alignof] = ACTIONS(1290),
    [anon_sym__alignof] = ACTIONS(1290),
    [anon_sym_alignof] = ACTIONS(1290),
    [anon_sym__Alignof] = ACTIONS(1290),
    [anon_sym_offsetof] = ACTIONS(1290),
    [anon_sym__Generic] = ACTIONS(1290),
    [anon_sym_asm] = ACTIONS(1290),
    [anon_sym___asm__] = ACTIONS(1290),
    [anon_sym___asm] = ACTIONS(1290),
    [sym_number_literal] = ACTIONS(1292),
    [anon_sym_L_SQUOTE] = ACTIONS(1292),
    [anon_sym_u_SQUOTE] = ACTIONS(1292),
    [anon_sym_U_SQUOTE] = ACTIONS(1292),
    [anon_sym_u8_SQUOTE] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_L_DQUOTE] = ACTIONS(1292),
    [anon_sym_u_DQUOTE] = ACTIONS(1292),
    [anon_sym_U_DQUOTE] = ACTIONS(1292),
    [anon_sym_u8_DQUOTE] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [sym_true] = ACTIONS(1290),
    [sym_false] = ACTIONS(1290),
    [anon_sym_NULL] = ACTIONS(1290),
    [anon_sym_nullptr] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1282),
    [aux_sym_preproc_include_token1] = ACTIONS(1282),
    [aux_sym_preproc_def_token1] = ACTIONS(1282),
    [aux_sym_preproc_if_token1] = ACTIONS(1282),
    [aux_sym_preproc_if_token2] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1282),
    [sym_preproc_directive] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1282),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1284),
    [anon_sym___declspec] = ACTIONS(1282),
    [anon_sym___cdecl] = ACTIONS(1282),
    [anon_sym___clrcall] = ACTIONS(1282),
    [anon_sym___stdcall] = ACTIONS(1282),
    [anon_sym___fastcall] = ACTIONS(1282),
    [anon_sym___thiscall] = ACTIONS(1282),
    [anon_sym___vectorcall] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1282),
    [anon_sym_unsigned] = ACTIONS(1282),
    [anon_sym_long] = ACTIONS(1282),
    [anon_sym_short] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_auto] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1282),
    [anon_sym_constexpr] = ACTIONS(1282),
    [anon_sym_volatile] = ACTIONS(1282),
    [anon_sym_restrict] = ACTIONS(1282),
    [anon_sym___restrict__] = ACTIONS(1282),
    [anon_sym__Atomic] = ACTIONS(1282),
    [anon_sym__Noreturn] = ACTIONS(1282),
    [anon_sym_noreturn] = ACTIONS(1282),
    [anon_sym__Nonnull] = ACTIONS(1282),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [sym_primitive_type] = ACTIONS(1282),
    [anon_sym_enum] = ACTIONS(1282),
    [anon_sym_struct] = ACTIONS(1282),
    [anon_sym_union] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1282),
    [anon_sym_switch] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(1282),
    [anon_sym_default] = ACTIONS(1282),
    [anon_sym_while] = ACTIONS(1282),
    [anon_sym_do] = ACTIONS(1282),
    [anon_sym_for] = ACTIONS(1282),
    [anon_sym_return] = ACTIONS(1282),
    [anon_sym_break] = ACTIONS(1282),
    [anon_sym_continue] = ACTIONS(1282),
    [anon_sym_goto] = ACTIONS(1282),
    [anon_sym___try] = ACTIONS(1282),
    [anon_sym___leave] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_sizeof] = ACTIONS(1282),
    [anon_sym___alignof__] = ACTIONS(1282),
    [anon_sym___alignof] = ACTIONS(1282),
    [anon_sym__alignof] = ACTIONS(1282),
    [anon_sym_alignof] = ACTIONS(1282),
    [anon_sym__Alignof] = ACTIONS(1282),
    [anon_sym_offsetof] = ACTIONS(1282),
    [anon_sym__Generic] = ACTIONS(1282),
    [anon_sym_asm] = ACTIONS(1282),
    [anon_sym___asm__] = ACTIONS(1282),
    [anon_sym___asm] = ACTIONS(1282),
    [sym_number_literal] = ACTIONS(1284),
    [anon_sym_L_SQUOTE] = ACTIONS(1284),
    [anon_sym_u_SQUOTE] = ACTIONS(1284),
    [anon_sym_U_SQUOTE] = ACTIONS(1284),
    [anon_sym_u8_SQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_L_DQUOTE] = ACTIONS(1284),
    [anon_sym_u_DQUOTE] = ACTIONS(1284),
    [anon_sym_U_DQUOTE] = ACTIONS(1284),
    [anon_sym_u8_DQUOTE] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [sym_true] = ACTIONS(1282),
    [sym_false] = ACTIONS(1282),
    [anon_sym_NULL] = ACTIONS(1282),
    [anon_sym_nullptr] = ACTIONS(1282),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1274),
    [aux_sym_preproc_include_token1] = ACTIONS(1274),
    [aux_sym_preproc_def_token1] = ACTIONS(1274),
    [aux_sym_preproc_if_token1] = ACTIONS(1274),
    [aux_sym_preproc_if_token2] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1274),
    [sym_preproc_directive] = ACTIONS(1274),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1274),
    [anon_sym_extern] = ACTIONS(1274),
    [anon_sym___attribute__] = ACTIONS(1274),
    [anon_sym___attribute] = ACTIONS(1274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1276),
    [anon_sym___declspec] = ACTIONS(1274),
    [anon_sym___cdecl] = ACTIONS(1274),
    [anon_sym___clrcall] = ACTIONS(1274),
    [anon_sym___stdcall] = ACTIONS(1274),
    [anon_sym___fastcall] = ACTIONS(1274),
    [anon_sym___thiscall] = ACTIONS(1274),
    [anon_sym___vectorcall] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1274),
    [anon_sym_unsigned] = ACTIONS(1274),
    [anon_sym_long] = ACTIONS(1274),
    [anon_sym_short] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1274),
    [anon_sym_auto] = ACTIONS(1274),
    [anon_sym_register] = ACTIONS(1274),
    [anon_sym_inline] = ACTIONS(1274),
    [anon_sym___inline] = ACTIONS(1274),
    [anon_sym___inline__] = ACTIONS(1274),
    [anon_sym___forceinline] = ACTIONS(1274),
    [anon_sym_thread_local] = ACTIONS(1274),
    [anon_sym___thread] = ACTIONS(1274),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1274),
    [anon_sym__Alignas] = ACTIONS(1274),
    [sym_primitive_type] = ACTIONS(1274),
    [anon_sym_enum] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1274),
    [anon_sym_union] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_switch] = ACTIONS(1274),
    [anon_sym_case] = ACTIONS(1274),
    [anon_sym_default] = ACTIONS(1274),
    [anon_sym_while] = ACTIONS(1274),
    [anon_sym_do] = ACTIONS(1274),
    [anon_sym_for] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_break] = ACTIONS(1274),
    [anon_sym_continue] = ACTIONS(1274),
    [anon_sym_goto] = ACTIONS(1274),
    [anon_sym___try] = ACTIONS(1274),
    [anon_sym___leave] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_sizeof] = ACTIONS(1274),
    [anon_sym___alignof__] = ACTIONS(1274),
    [anon_sym___alignof] = ACTIONS(1274),
    [anon_sym__alignof] = ACTIONS(1274),
    [anon_sym_alignof] = ACTIONS(1274),
    [anon_sym__Alignof] = ACTIONS(1274),
    [anon_sym_offsetof] = ACTIONS(1274),
    [anon_sym__Generic] = ACTIONS(1274),
    [anon_sym_asm] = ACTIONS(1274),
    [anon_sym___asm__] = ACTIONS(1274),
    [anon_sym___asm] = ACTIONS(1274),
    [sym_number_literal] = ACTIONS(1276),
    [anon_sym_L_SQUOTE] = ACTIONS(1276),
    [anon_sym_u_SQUOTE] = ACTIONS(1276),
    [anon_sym_U_SQUOTE] = ACTIONS(1276),
    [anon_sym_u8_SQUOTE] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_L_DQUOTE] = ACTIONS(1276),
    [anon_sym_u_DQUOTE] = ACTIONS(1276),
    [anon_sym_U_DQUOTE] = ACTIONS(1276),
    [anon_sym_u8_DQUOTE] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [sym_true] = ACTIONS(1274),
    [sym_false] = ACTIONS(1274),
    [anon_sym_NULL] = ACTIONS(1274),
    [anon_sym_nullptr] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym___try] = ACTIONS(1364),
    [anon_sym___leave] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_identifier] = ACTIONS(1270),
    [aux_sym_preproc_include_token1] = ACTIONS(1270),
    [aux_sym_preproc_def_token1] = ACTIONS(1270),
    [aux_sym_preproc_if_token1] = ACTIONS(1270),
    [aux_sym_preproc_if_token2] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1270),
    [sym_preproc_directive] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1270),
    [anon_sym_extern] = ACTIONS(1270),
    [anon_sym___attribute__] = ACTIONS(1270),
    [anon_sym___attribute] = ACTIONS(1270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1272),
    [anon_sym___declspec] = ACTIONS(1270),
    [anon_sym___cdecl] = ACTIONS(1270),
    [anon_sym___clrcall] = ACTIONS(1270),
    [anon_sym___stdcall] = ACTIONS(1270),
    [anon_sym___fastcall] = ACTIONS(1270),
    [anon_sym___thiscall] = ACTIONS(1270),
    [anon_sym___vectorcall] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1270),
    [anon_sym_unsigned] = ACTIONS(1270),
    [anon_sym_long] = ACTIONS(1270),
    [anon_sym_short] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_auto] = ACTIONS(1270),
    [anon_sym_register] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(1270),
    [anon_sym___inline] = ACTIONS(1270),
    [anon_sym___inline__] = ACTIONS(1270),
    [anon_sym___forceinline] = ACTIONS(1270),
    [anon_sym_thread_local] = ACTIONS(1270),
    [anon_sym___thread] = ACTIONS(1270),
    [anon_sym_const] = ACTIONS(1270),
    [anon_sym_constexpr] = ACTIONS(1270),
    [anon_sym_volatile] = ACTIONS(1270),
    [anon_sym_restrict] = ACTIONS(1270),
    [anon_sym___restrict__] = ACTIONS(1270),
    [anon_sym__Atomic] = ACTIONS(1270),
    [anon_sym__Noreturn] = ACTIONS(1270),
    [anon_sym_noreturn] = ACTIONS(1270),
    [anon_sym__Nonnull] = ACTIONS(1270),
    [anon_sym_alignas] = ACTIONS(1270),
    [anon_sym__Alignas] = ACTIONS(1270),
    [sym_primitive_type] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(1270),
    [anon_sym_struct] = ACTIONS(1270),
    [anon_sym_union] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1270),
    [anon_sym_switch] = ACTIONS(1270),
    [anon_sym_case] = ACTIONS(1270),
    [anon_sym_default] = ACTIONS(1270),
    [anon_sym_while] = ACTIONS(1270),
    [anon_sym_do] = ACTIONS(1270),
    [anon_sym_for] = ACTIONS(1270),
    [anon_sym_return] = ACTIONS(1270),
    [anon_sym_break] = ACTIONS(1270),
    [anon_sym_continue] = ACTIONS(1270),
    [anon_sym_goto] = ACTIONS(1270),
    [anon_sym___try] = ACTIONS(1270),
    [anon_sym___leave] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_sizeof] = ACTIONS(1270),
    [anon_sym___alignof__] = ACTIONS(1270),
    [anon_sym___alignof] = ACTIONS(1270),
    [anon_sym__alignof] = ACTIONS(1270),
    [anon_sym_alignof] = ACTIONS(1270),
    [anon_sym__Alignof] = ACTIONS(1270),
    [anon_sym_offsetof] = ACTIONS(1270),
    [anon_sym__Generic] = ACTIONS(1270),
    [anon_sym_asm] = ACTIONS(1270),
    [anon_sym___asm__] = ACTIONS(1270),
    [anon_sym___asm] = ACTIONS(1270),
    [sym_number_literal] = ACTIONS(1272),
    [anon_sym_L_SQUOTE] = ACTIONS(1272),
    [anon_sym_u_SQUOTE] = ACTIONS(1272),
    [anon_sym_U_SQUOTE] = ACTIONS(1272),
    [anon_sym_u8_SQUOTE] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_L_DQUOTE] = ACTIONS(1272),
    [anon_sym_u_DQUOTE] = ACTIONS(1272),
    [anon_sym_U_DQUOTE] = ACTIONS(1272),
    [anon_sym_u8_DQUOTE] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [sym_true] = ACTIONS(1270),
    [sym_false] = ACTIONS(1270),
    [anon_sym_NULL] = ACTIONS(1270),
    [anon_sym_nullptr] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token2] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym___try] = ACTIONS(1300),
    [anon_sym___leave] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token2] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym___try] = ACTIONS(1348),
    [anon_sym___leave] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token2] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym___try] = ACTIONS(1364),
    [anon_sym___leave] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_identifier] = ACTIONS(1356),
    [aux_sym_preproc_include_token1] = ACTIONS(1356),
    [aux_sym_preproc_def_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token1] = ACTIONS(1356),
    [aux_sym_preproc_if_token2] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1356),
    [sym_preproc_directive] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym___extension__] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym___attribute__] = ACTIONS(1356),
    [anon_sym___attribute] = ACTIONS(1356),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1356),
    [anon_sym___cdecl] = ACTIONS(1356),
    [anon_sym___clrcall] = ACTIONS(1356),
    [anon_sym___stdcall] = ACTIONS(1356),
    [anon_sym___fastcall] = ACTIONS(1356),
    [anon_sym___thiscall] = ACTIONS(1356),
    [anon_sym___vectorcall] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1356),
    [anon_sym_unsigned] = ACTIONS(1356),
    [anon_sym_long] = ACTIONS(1356),
    [anon_sym_short] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_auto] = ACTIONS(1356),
    [anon_sym_register] = ACTIONS(1356),
    [anon_sym_inline] = ACTIONS(1356),
    [anon_sym___inline] = ACTIONS(1356),
    [anon_sym___inline__] = ACTIONS(1356),
    [anon_sym___forceinline] = ACTIONS(1356),
    [anon_sym_thread_local] = ACTIONS(1356),
    [anon_sym___thread] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_constexpr] = ACTIONS(1356),
    [anon_sym_volatile] = ACTIONS(1356),
    [anon_sym_restrict] = ACTIONS(1356),
    [anon_sym___restrict__] = ACTIONS(1356),
    [anon_sym__Atomic] = ACTIONS(1356),
    [anon_sym__Noreturn] = ACTIONS(1356),
    [anon_sym_noreturn] = ACTIONS(1356),
    [anon_sym__Nonnull] = ACTIONS(1356),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym__Alignas] = ACTIONS(1356),
    [sym_primitive_type] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_case] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_goto] = ACTIONS(1356),
    [anon_sym___try] = ACTIONS(1356),
    [anon_sym___leave] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1356),
    [anon_sym___alignof__] = ACTIONS(1356),
    [anon_sym___alignof] = ACTIONS(1356),
    [anon_sym__alignof] = ACTIONS(1356),
    [anon_sym_alignof] = ACTIONS(1356),
    [anon_sym__Alignof] = ACTIONS(1356),
    [anon_sym_offsetof] = ACTIONS(1356),
    [anon_sym__Generic] = ACTIONS(1356),
    [anon_sym_asm] = ACTIONS(1356),
    [anon_sym___asm__] = ACTIONS(1356),
    [anon_sym___asm] = ACTIONS(1356),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1356),
    [sym_false] = ACTIONS(1356),
    [anon_sym_NULL] = ACTIONS(1356),
    [anon_sym_nullptr] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_identifier] = ACTIONS(1278),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token2] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1278),
    [anon_sym___attribute] = ACTIONS(1278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1280),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1278),
    [anon_sym_unsigned] = ACTIONS(1278),
    [anon_sym_long] = ACTIONS(1278),
    [anon_sym_short] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_auto] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1278),
    [anon_sym_constexpr] = ACTIONS(1278),
    [anon_sym_volatile] = ACTIONS(1278),
    [anon_sym_restrict] = ACTIONS(1278),
    [anon_sym___restrict__] = ACTIONS(1278),
    [anon_sym__Atomic] = ACTIONS(1278),
    [anon_sym__Noreturn] = ACTIONS(1278),
    [anon_sym_noreturn] = ACTIONS(1278),
    [anon_sym__Nonnull] = ACTIONS(1278),
    [anon_sym_alignas] = ACTIONS(1278),
    [anon_sym__Alignas] = ACTIONS(1278),
    [sym_primitive_type] = ACTIONS(1278),
    [anon_sym_enum] = ACTIONS(1278),
    [anon_sym_struct] = ACTIONS(1278),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1278),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1278),
    [anon_sym_do] = ACTIONS(1278),
    [anon_sym_for] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1278),
    [anon_sym_break] = ACTIONS(1278),
    [anon_sym_continue] = ACTIONS(1278),
    [anon_sym_goto] = ACTIONS(1278),
    [anon_sym___try] = ACTIONS(1278),
    [anon_sym___leave] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_sizeof] = ACTIONS(1278),
    [anon_sym___alignof__] = ACTIONS(1278),
    [anon_sym___alignof] = ACTIONS(1278),
    [anon_sym__alignof] = ACTIONS(1278),
    [anon_sym_alignof] = ACTIONS(1278),
    [anon_sym__Alignof] = ACTIONS(1278),
    [anon_sym_offsetof] = ACTIONS(1278),
    [anon_sym__Generic] = ACTIONS(1278),
    [anon_sym_asm] = ACTIONS(1278),
    [anon_sym___asm__] = ACTIONS(1278),
    [anon_sym___asm] = ACTIONS(1278),
    [sym_number_literal] = ACTIONS(1280),
    [anon_sym_L_SQUOTE] = ACTIONS(1280),
    [anon_sym_u_SQUOTE] = ACTIONS(1280),
    [anon_sym_U_SQUOTE] = ACTIONS(1280),
    [anon_sym_u8_SQUOTE] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_L_DQUOTE] = ACTIONS(1280),
    [anon_sym_u_DQUOTE] = ACTIONS(1280),
    [anon_sym_U_DQUOTE] = ACTIONS(1280),
    [anon_sym_u8_DQUOTE] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [sym_true] = ACTIONS(1278),
    [sym_false] = ACTIONS(1278),
    [anon_sym_NULL] = ACTIONS(1278),
    [anon_sym_nullptr] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_identifier] = ACTIONS(1304),
    [aux_sym_preproc_include_token1] = ACTIONS(1304),
    [aux_sym_preproc_def_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token1] = ACTIONS(1304),
    [aux_sym_preproc_if_token2] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1304),
    [sym_preproc_directive] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_STAR] = ACTIONS(1306),
    [anon_sym_AMP] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym___extension__] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_extern] = ACTIONS(1304),
    [anon_sym___attribute__] = ACTIONS(1304),
    [anon_sym___attribute] = ACTIONS(1304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1306),
    [anon_sym___declspec] = ACTIONS(1304),
    [anon_sym___cdecl] = ACTIONS(1304),
    [anon_sym___clrcall] = ACTIONS(1304),
    [anon_sym___stdcall] = ACTIONS(1304),
    [anon_sym___fastcall] = ACTIONS(1304),
    [anon_sym___thiscall] = ACTIONS(1304),
    [anon_sym___vectorcall] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_signed] = ACTIONS(1304),
    [anon_sym_unsigned] = ACTIONS(1304),
    [anon_sym_long] = ACTIONS(1304),
    [anon_sym_short] = ACTIONS(1304),
    [anon_sym_static] = ACTIONS(1304),
    [anon_sym_auto] = ACTIONS(1304),
    [anon_sym_register] = ACTIONS(1304),
    [anon_sym_inline] = ACTIONS(1304),
    [anon_sym___inline] = ACTIONS(1304),
    [anon_sym___inline__] = ACTIONS(1304),
    [anon_sym___forceinline] = ACTIONS(1304),
    [anon_sym_thread_local] = ACTIONS(1304),
    [anon_sym___thread] = ACTIONS(1304),
    [anon_sym_const] = ACTIONS(1304),
    [anon_sym_constexpr] = ACTIONS(1304),
    [anon_sym_volatile] = ACTIONS(1304),
    [anon_sym_restrict] = ACTIONS(1304),
    [anon_sym___restrict__] = ACTIONS(1304),
    [anon_sym__Atomic] = ACTIONS(1304),
    [anon_sym__Noreturn] = ACTIONS(1304),
    [anon_sym_noreturn] = ACTIONS(1304),
    [anon_sym__Nonnull] = ACTIONS(1304),
    [anon_sym_alignas] = ACTIONS(1304),
    [anon_sym__Alignas] = ACTIONS(1304),
    [sym_primitive_type] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_struct] = ACTIONS(1304),
    [anon_sym_union] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_case] = ACTIONS(1304),
    [anon_sym_default] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_goto] = ACTIONS(1304),
    [anon_sym___try] = ACTIONS(1304),
    [anon_sym___leave] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_sizeof] = ACTIONS(1304),
    [anon_sym___alignof__] = ACTIONS(1304),
    [anon_sym___alignof] = ACTIONS(1304),
    [anon_sym__alignof] = ACTIONS(1304),
    [anon_sym_alignof] = ACTIONS(1304),
    [anon_sym__Alignof] = ACTIONS(1304),
    [anon_sym_offsetof] = ACTIONS(1304),
    [anon_sym__Generic] = ACTIONS(1304),
    [anon_sym_asm] = ACTIONS(1304),
    [anon_sym___asm__] = ACTIONS(1304),
    [anon_sym___asm] = ACTIONS(1304),
    [sym_number_literal] = ACTIONS(1306),
    [anon_sym_L_SQUOTE] = ACTIONS(1306),
    [anon_sym_u_SQUOTE] = ACTIONS(1306),
    [anon_sym_U_SQUOTE] = ACTIONS(1306),
    [anon_sym_u8_SQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_L_DQUOTE] = ACTIONS(1306),
    [anon_sym_u_DQUOTE] = ACTIONS(1306),
    [anon_sym_U_DQUOTE] = ACTIONS(1306),
    [anon_sym_u8_DQUOTE] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [sym_true] = ACTIONS(1304),
    [sym_false] = ACTIONS(1304),
    [anon_sym_NULL] = ACTIONS(1304),
    [anon_sym_nullptr] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1270),
    [aux_sym_preproc_include_token1] = ACTIONS(1270),
    [aux_sym_preproc_def_token1] = ACTIONS(1270),
    [aux_sym_preproc_if_token1] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1270),
    [sym_preproc_directive] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1270),
    [anon_sym_extern] = ACTIONS(1270),
    [anon_sym___attribute__] = ACTIONS(1270),
    [anon_sym___attribute] = ACTIONS(1270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1272),
    [anon_sym___declspec] = ACTIONS(1270),
    [anon_sym___cdecl] = ACTIONS(1270),
    [anon_sym___clrcall] = ACTIONS(1270),
    [anon_sym___stdcall] = ACTIONS(1270),
    [anon_sym___fastcall] = ACTIONS(1270),
    [anon_sym___thiscall] = ACTIONS(1270),
    [anon_sym___vectorcall] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1270),
    [anon_sym_unsigned] = ACTIONS(1270),
    [anon_sym_long] = ACTIONS(1270),
    [anon_sym_short] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_auto] = ACTIONS(1270),
    [anon_sym_register] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(1270),
    [anon_sym___inline] = ACTIONS(1270),
    [anon_sym___inline__] = ACTIONS(1270),
    [anon_sym___forceinline] = ACTIONS(1270),
    [anon_sym_thread_local] = ACTIONS(1270),
    [anon_sym___thread] = ACTIONS(1270),
    [anon_sym_const] = ACTIONS(1270),
    [anon_sym_constexpr] = ACTIONS(1270),
    [anon_sym_volatile] = ACTIONS(1270),
    [anon_sym_restrict] = ACTIONS(1270),
    [anon_sym___restrict__] = ACTIONS(1270),
    [anon_sym__Atomic] = ACTIONS(1270),
    [anon_sym__Noreturn] = ACTIONS(1270),
    [anon_sym_noreturn] = ACTIONS(1270),
    [anon_sym__Nonnull] = ACTIONS(1270),
    [anon_sym_alignas] = ACTIONS(1270),
    [anon_sym__Alignas] = ACTIONS(1270),
    [sym_primitive_type] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(1270),
    [anon_sym_struct] = ACTIONS(1270),
    [anon_sym_union] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1270),
    [anon_sym_switch] = ACTIONS(1270),
    [anon_sym_case] = ACTIONS(1270),
    [anon_sym_default] = ACTIONS(1270),
    [anon_sym_while] = ACTIONS(1270),
    [anon_sym_do] = ACTIONS(1270),
    [anon_sym_for] = ACTIONS(1270),
    [anon_sym_return] = ACTIONS(1270),
    [anon_sym_break] = ACTIONS(1270),
    [anon_sym_continue] = ACTIONS(1270),
    [anon_sym_goto] = ACTIONS(1270),
    [anon_sym___try] = ACTIONS(1270),
    [anon_sym___leave] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_sizeof] = ACTIONS(1270),
    [anon_sym___alignof__] = ACTIONS(1270),
    [anon_sym___alignof] = ACTIONS(1270),
    [anon_sym__alignof] = ACTIONS(1270),
    [anon_sym_alignof] = ACTIONS(1270),
    [anon_sym__Alignof] = ACTIONS(1270),
    [anon_sym_offsetof] = ACTIONS(1270),
    [anon_sym__Generic] = ACTIONS(1270),
    [anon_sym_asm] = ACTIONS(1270),
    [anon_sym___asm__] = ACTIONS(1270),
    [anon_sym___asm] = ACTIONS(1270),
    [sym_number_literal] = ACTIONS(1272),
    [anon_sym_L_SQUOTE] = ACTIONS(1272),
    [anon_sym_u_SQUOTE] = ACTIONS(1272),
    [anon_sym_U_SQUOTE] = ACTIONS(1272),
    [anon_sym_u8_SQUOTE] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_L_DQUOTE] = ACTIONS(1272),
    [anon_sym_u_DQUOTE] = ACTIONS(1272),
    [anon_sym_U_DQUOTE] = ACTIONS(1272),
    [anon_sym_u8_DQUOTE] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [sym_true] = ACTIONS(1270),
    [sym_false] = ACTIONS(1270),
    [anon_sym_NULL] = ACTIONS(1270),
    [anon_sym_nullptr] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token2] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym___try] = ACTIONS(1368),
    [anon_sym___leave] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_expression] = STATE(705),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(679),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(679),
    [sym_call_expression] = STATE(679),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(679),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(679),
    [sym_initializer_list] = STATE(693),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(715),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_else_token1] = ACTIONS(1388),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1394),
    [anon_sym_QMARK] = ACTIONS(1388),
    [anon_sym_STAR_EQ] = ACTIONS(1388),
    [anon_sym_SLASH_EQ] = ACTIONS(1388),
    [anon_sym_PERCENT_EQ] = ACTIONS(1388),
    [anon_sym_PLUS_EQ] = ACTIONS(1388),
    [anon_sym_DASH_EQ] = ACTIONS(1388),
    [anon_sym_LT_LT_EQ] = ACTIONS(1388),
    [anon_sym_GT_GT_EQ] = ACTIONS(1388),
    [anon_sym_AMP_EQ] = ACTIONS(1388),
    [anon_sym_CARET_EQ] = ACTIONS(1388),
    [anon_sym_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1408),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(1394),
    [anon_sym_DASH_GT] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_attribute_declaration] = STATE(350),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(179),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [sym_identifier] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1418),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym___attribute] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym___inline] = ACTIONS(1418),
    [anon_sym___inline__] = ACTIONS(1418),
    [anon_sym___forceinline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym___thread] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [anon_sym__Nonnull] = ACTIONS(1418),
    [anon_sym_alignas] = ACTIONS(1418),
    [anon_sym__Alignas] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym___alignof__] = ACTIONS(1418),
    [anon_sym___alignof] = ACTIONS(1418),
    [anon_sym__alignof] = ACTIONS(1418),
    [anon_sym_alignof] = ACTIONS(1418),
    [anon_sym__Alignof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [anon_sym___asm] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_attribute_declaration] = STATE(350),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(207),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [sym_identifier] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_identifier] = ACTIONS(1266),
    [aux_sym_preproc_include_token1] = ACTIONS(1266),
    [aux_sym_preproc_def_token1] = ACTIONS(1266),
    [aux_sym_preproc_if_token1] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1266),
    [sym_preproc_directive] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [anon_sym___extension__] = ACTIONS(1266),
    [anon_sym_typedef] = ACTIONS(1266),
    [anon_sym_extern] = ACTIONS(1266),
    [anon_sym___attribute__] = ACTIONS(1266),
    [anon_sym___attribute] = ACTIONS(1266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1268),
    [anon_sym___declspec] = ACTIONS(1266),
    [anon_sym___cdecl] = ACTIONS(1266),
    [anon_sym___clrcall] = ACTIONS(1266),
    [anon_sym___stdcall] = ACTIONS(1266),
    [anon_sym___fastcall] = ACTIONS(1266),
    [anon_sym___thiscall] = ACTIONS(1266),
    [anon_sym___vectorcall] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_signed] = ACTIONS(1266),
    [anon_sym_unsigned] = ACTIONS(1266),
    [anon_sym_long] = ACTIONS(1266),
    [anon_sym_short] = ACTIONS(1266),
    [anon_sym_static] = ACTIONS(1266),
    [anon_sym_auto] = ACTIONS(1266),
    [anon_sym_register] = ACTIONS(1266),
    [anon_sym_inline] = ACTIONS(1266),
    [anon_sym___inline] = ACTIONS(1266),
    [anon_sym___inline__] = ACTIONS(1266),
    [anon_sym___forceinline] = ACTIONS(1266),
    [anon_sym_thread_local] = ACTIONS(1266),
    [anon_sym___thread] = ACTIONS(1266),
    [anon_sym_const] = ACTIONS(1266),
    [anon_sym_constexpr] = ACTIONS(1266),
    [anon_sym_volatile] = ACTIONS(1266),
    [anon_sym_restrict] = ACTIONS(1266),
    [anon_sym___restrict__] = ACTIONS(1266),
    [anon_sym__Atomic] = ACTIONS(1266),
    [anon_sym__Noreturn] = ACTIONS(1266),
    [anon_sym_noreturn] = ACTIONS(1266),
    [anon_sym__Nonnull] = ACTIONS(1266),
    [anon_sym_alignas] = ACTIONS(1266),
    [anon_sym__Alignas] = ACTIONS(1266),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1266),
    [anon_sym_struct] = ACTIONS(1266),
    [anon_sym_union] = ACTIONS(1266),
    [anon_sym_if] = ACTIONS(1266),
    [anon_sym_switch] = ACTIONS(1266),
    [anon_sym_case] = ACTIONS(1266),
    [anon_sym_default] = ACTIONS(1266),
    [anon_sym_while] = ACTIONS(1266),
    [anon_sym_do] = ACTIONS(1266),
    [anon_sym_for] = ACTIONS(1266),
    [anon_sym_return] = ACTIONS(1266),
    [anon_sym_break] = ACTIONS(1266),
    [anon_sym_continue] = ACTIONS(1266),
    [anon_sym_goto] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_sizeof] = ACTIONS(1266),
    [anon_sym___alignof__] = ACTIONS(1266),
    [anon_sym___alignof] = ACTIONS(1266),
    [anon_sym__alignof] = ACTIONS(1266),
    [anon_sym_alignof] = ACTIONS(1266),
    [anon_sym__Alignof] = ACTIONS(1266),
    [anon_sym_offsetof] = ACTIONS(1266),
    [anon_sym__Generic] = ACTIONS(1266),
    [anon_sym_asm] = ACTIONS(1266),
    [anon_sym___asm__] = ACTIONS(1266),
    [anon_sym___asm] = ACTIONS(1266),
    [sym_number_literal] = ACTIONS(1268),
    [anon_sym_L_SQUOTE] = ACTIONS(1268),
    [anon_sym_u_SQUOTE] = ACTIONS(1268),
    [anon_sym_U_SQUOTE] = ACTIONS(1268),
    [anon_sym_u8_SQUOTE] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_L_DQUOTE] = ACTIONS(1268),
    [anon_sym_u_DQUOTE] = ACTIONS(1268),
    [anon_sym_U_DQUOTE] = ACTIONS(1268),
    [anon_sym_u8_DQUOTE] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [sym_true] = ACTIONS(1266),
    [sym_false] = ACTIONS(1266),
    [anon_sym_NULL] = ACTIONS(1266),
    [anon_sym_nullptr] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1422),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym___attribute] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym___inline] = ACTIONS(1422),
    [anon_sym___inline__] = ACTIONS(1422),
    [anon_sym___forceinline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym___thread] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [anon_sym__Nonnull] = ACTIONS(1422),
    [anon_sym_alignas] = ACTIONS(1422),
    [anon_sym__Alignas] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym___alignof__] = ACTIONS(1422),
    [anon_sym___alignof] = ACTIONS(1422),
    [anon_sym__alignof] = ACTIONS(1422),
    [anon_sym_alignof] = ACTIONS(1422),
    [anon_sym__Alignof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [anon_sym___asm] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1332),
    [aux_sym_preproc_include_token1] = ACTIONS(1332),
    [aux_sym_preproc_def_token1] = ACTIONS(1332),
    [aux_sym_preproc_if_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1332),
    [sym_preproc_directive] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym___extension__] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_extern] = ACTIONS(1332),
    [anon_sym___attribute__] = ACTIONS(1332),
    [anon_sym___attribute] = ACTIONS(1332),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1334),
    [anon_sym___declspec] = ACTIONS(1332),
    [anon_sym___cdecl] = ACTIONS(1332),
    [anon_sym___clrcall] = ACTIONS(1332),
    [anon_sym___stdcall] = ACTIONS(1332),
    [anon_sym___fastcall] = ACTIONS(1332),
    [anon_sym___thiscall] = ACTIONS(1332),
    [anon_sym___vectorcall] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_signed] = ACTIONS(1332),
    [anon_sym_unsigned] = ACTIONS(1332),
    [anon_sym_long] = ACTIONS(1332),
    [anon_sym_short] = ACTIONS(1332),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_auto] = ACTIONS(1332),
    [anon_sym_register] = ACTIONS(1332),
    [anon_sym_inline] = ACTIONS(1332),
    [anon_sym___inline] = ACTIONS(1332),
    [anon_sym___inline__] = ACTIONS(1332),
    [anon_sym___forceinline] = ACTIONS(1332),
    [anon_sym_thread_local] = ACTIONS(1332),
    [anon_sym___thread] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(1332),
    [anon_sym_constexpr] = ACTIONS(1332),
    [anon_sym_volatile] = ACTIONS(1332),
    [anon_sym_restrict] = ACTIONS(1332),
    [anon_sym___restrict__] = ACTIONS(1332),
    [anon_sym__Atomic] = ACTIONS(1332),
    [anon_sym__Noreturn] = ACTIONS(1332),
    [anon_sym_noreturn] = ACTIONS(1332),
    [anon_sym__Nonnull] = ACTIONS(1332),
    [anon_sym_alignas] = ACTIONS(1332),
    [anon_sym__Alignas] = ACTIONS(1332),
    [sym_primitive_type] = ACTIONS(1332),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_struct] = ACTIONS(1332),
    [anon_sym_union] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_case] = ACTIONS(1332),
    [anon_sym_default] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_break] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_goto] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_sizeof] = ACTIONS(1332),
    [anon_sym___alignof__] = ACTIONS(1332),
    [anon_sym___alignof] = ACTIONS(1332),
    [anon_sym__alignof] = ACTIONS(1332),
    [anon_sym_alignof] = ACTIONS(1332),
    [anon_sym__Alignof] = ACTIONS(1332),
    [anon_sym_offsetof] = ACTIONS(1332),
    [anon_sym__Generic] = ACTIONS(1332),
    [anon_sym_asm] = ACTIONS(1332),
    [anon_sym___asm__] = ACTIONS(1332),
    [anon_sym___asm] = ACTIONS(1332),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1334),
    [anon_sym_u_SQUOTE] = ACTIONS(1334),
    [anon_sym_U_SQUOTE] = ACTIONS(1334),
    [anon_sym_u8_SQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_L_DQUOTE] = ACTIONS(1334),
    [anon_sym_u_DQUOTE] = ACTIONS(1334),
    [anon_sym_U_DQUOTE] = ACTIONS(1334),
    [anon_sym_u8_DQUOTE] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [sym_true] = ACTIONS(1332),
    [sym_false] = ACTIONS(1332),
    [anon_sym_NULL] = ACTIONS(1332),
    [anon_sym_nullptr] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(2004),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_attribute_declaration] = STATE(326),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(190),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(326),
    [sym_identifier] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1441),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1459),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1471),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1483),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1489),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_sizeof] = ACTIONS(1495),
    [anon_sym___alignof__] = ACTIONS(1498),
    [anon_sym___alignof] = ACTIONS(1498),
    [anon_sym__alignof] = ACTIONS(1498),
    [anon_sym_alignof] = ACTIONS(1498),
    [anon_sym__Alignof] = ACTIONS(1498),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1507),
    [anon_sym___asm__] = ACTIONS(1507),
    [anon_sym___asm] = ACTIONS(1507),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1513),
    [anon_sym_u_SQUOTE] = ACTIONS(1513),
    [anon_sym_U_SQUOTE] = ACTIONS(1513),
    [anon_sym_u8_SQUOTE] = ACTIONS(1513),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_L_DQUOTE] = ACTIONS(1516),
    [anon_sym_u_DQUOTE] = ACTIONS(1516),
    [anon_sym_U_DQUOTE] = ACTIONS(1516),
    [anon_sym_u8_DQUOTE] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [anon_sym_NULL] = ACTIONS(1522),
    [anon_sym_nullptr] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_attribute_declaration] = STATE(350),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(203),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [sym_identifier] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1320),
    [aux_sym_preproc_include_token1] = ACTIONS(1320),
    [aux_sym_preproc_def_token1] = ACTIONS(1320),
    [aux_sym_preproc_if_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1320),
    [sym_preproc_directive] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [anon_sym___extension__] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_extern] = ACTIONS(1320),
    [anon_sym___attribute__] = ACTIONS(1320),
    [anon_sym___attribute] = ACTIONS(1320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1322),
    [anon_sym___declspec] = ACTIONS(1320),
    [anon_sym___cdecl] = ACTIONS(1320),
    [anon_sym___clrcall] = ACTIONS(1320),
    [anon_sym___stdcall] = ACTIONS(1320),
    [anon_sym___fastcall] = ACTIONS(1320),
    [anon_sym___thiscall] = ACTIONS(1320),
    [anon_sym___vectorcall] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_signed] = ACTIONS(1320),
    [anon_sym_unsigned] = ACTIONS(1320),
    [anon_sym_long] = ACTIONS(1320),
    [anon_sym_short] = ACTIONS(1320),
    [anon_sym_static] = ACTIONS(1320),
    [anon_sym_auto] = ACTIONS(1320),
    [anon_sym_register] = ACTIONS(1320),
    [anon_sym_inline] = ACTIONS(1320),
    [anon_sym___inline] = ACTIONS(1320),
    [anon_sym___inline__] = ACTIONS(1320),
    [anon_sym___forceinline] = ACTIONS(1320),
    [anon_sym_thread_local] = ACTIONS(1320),
    [anon_sym___thread] = ACTIONS(1320),
    [anon_sym_const] = ACTIONS(1320),
    [anon_sym_constexpr] = ACTIONS(1320),
    [anon_sym_volatile] = ACTIONS(1320),
    [anon_sym_restrict] = ACTIONS(1320),
    [anon_sym___restrict__] = ACTIONS(1320),
    [anon_sym__Atomic] = ACTIONS(1320),
    [anon_sym__Noreturn] = ACTIONS(1320),
    [anon_sym_noreturn] = ACTIONS(1320),
    [anon_sym__Nonnull] = ACTIONS(1320),
    [anon_sym_alignas] = ACTIONS(1320),
    [anon_sym__Alignas] = ACTIONS(1320),
    [sym_primitive_type] = ACTIONS(1320),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_struct] = ACTIONS(1320),
    [anon_sym_union] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_case] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_break] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_goto] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_sizeof] = ACTIONS(1320),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1320),
    [anon_sym__Generic] = ACTIONS(1320),
    [anon_sym_asm] = ACTIONS(1320),
    [anon_sym___asm__] = ACTIONS(1320),
    [anon_sym___asm] = ACTIONS(1320),
    [sym_number_literal] = ACTIONS(1322),
    [anon_sym_L_SQUOTE] = ACTIONS(1322),
    [anon_sym_u_SQUOTE] = ACTIONS(1322),
    [anon_sym_U_SQUOTE] = ACTIONS(1322),
    [anon_sym_u8_SQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_L_DQUOTE] = ACTIONS(1322),
    [anon_sym_u_DQUOTE] = ACTIONS(1322),
    [anon_sym_U_DQUOTE] = ACTIONS(1322),
    [anon_sym_u8_DQUOTE] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [sym_true] = ACTIONS(1320),
    [sym_false] = ACTIONS(1320),
    [anon_sym_NULL] = ACTIONS(1320),
    [anon_sym_nullptr] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_attribute_declaration] = STATE(329),
    [sym_compound_statement] = STATE(93),
    [sym_attributed_statement] = STATE(93),
    [sym_statement] = STATE(110),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1525),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1528),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(1534),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1540),
    [anon_sym_default] = ACTIONS(1543),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1552),
    [anon_sym_return] = ACTIONS(1555),
    [anon_sym_break] = ACTIONS(1558),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_goto] = ACTIONS(1564),
    [anon_sym___try] = ACTIONS(1567),
    [anon_sym___leave] = ACTIONS(1570),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_sizeof] = ACTIONS(1495),
    [anon_sym___alignof__] = ACTIONS(1498),
    [anon_sym___alignof] = ACTIONS(1498),
    [anon_sym__alignof] = ACTIONS(1498),
    [anon_sym_alignof] = ACTIONS(1498),
    [anon_sym__Alignof] = ACTIONS(1498),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1507),
    [anon_sym___asm__] = ACTIONS(1507),
    [anon_sym___asm] = ACTIONS(1507),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1513),
    [anon_sym_u_SQUOTE] = ACTIONS(1513),
    [anon_sym_U_SQUOTE] = ACTIONS(1513),
    [anon_sym_u8_SQUOTE] = ACTIONS(1513),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_L_DQUOTE] = ACTIONS(1516),
    [anon_sym_u_DQUOTE] = ACTIONS(1516),
    [anon_sym_U_DQUOTE] = ACTIONS(1516),
    [anon_sym_u8_DQUOTE] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [anon_sym_NULL] = ACTIONS(1522),
    [anon_sym_nullptr] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_attribute_declaration] = STATE(329),
    [sym_compound_statement] = STATE(93),
    [sym_attributed_statement] = STATE(93),
    [sym_statement] = STATE(110),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(329),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1324),
    [aux_sym_preproc_include_token1] = ACTIONS(1324),
    [aux_sym_preproc_def_token1] = ACTIONS(1324),
    [aux_sym_preproc_if_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1324),
    [sym_preproc_directive] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_STAR] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym___extension__] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_extern] = ACTIONS(1324),
    [anon_sym___attribute__] = ACTIONS(1324),
    [anon_sym___attribute] = ACTIONS(1324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1326),
    [anon_sym___declspec] = ACTIONS(1324),
    [anon_sym___cdecl] = ACTIONS(1324),
    [anon_sym___clrcall] = ACTIONS(1324),
    [anon_sym___stdcall] = ACTIONS(1324),
    [anon_sym___fastcall] = ACTIONS(1324),
    [anon_sym___thiscall] = ACTIONS(1324),
    [anon_sym___vectorcall] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_signed] = ACTIONS(1324),
    [anon_sym_unsigned] = ACTIONS(1324),
    [anon_sym_long] = ACTIONS(1324),
    [anon_sym_short] = ACTIONS(1324),
    [anon_sym_static] = ACTIONS(1324),
    [anon_sym_auto] = ACTIONS(1324),
    [anon_sym_register] = ACTIONS(1324),
    [anon_sym_inline] = ACTIONS(1324),
    [anon_sym___inline] = ACTIONS(1324),
    [anon_sym___inline__] = ACTIONS(1324),
    [anon_sym___forceinline] = ACTIONS(1324),
    [anon_sym_thread_local] = ACTIONS(1324),
    [anon_sym___thread] = ACTIONS(1324),
    [anon_sym_const] = ACTIONS(1324),
    [anon_sym_constexpr] = ACTIONS(1324),
    [anon_sym_volatile] = ACTIONS(1324),
    [anon_sym_restrict] = ACTIONS(1324),
    [anon_sym___restrict__] = ACTIONS(1324),
    [anon_sym__Atomic] = ACTIONS(1324),
    [anon_sym__Noreturn] = ACTIONS(1324),
    [anon_sym_noreturn] = ACTIONS(1324),
    [anon_sym__Nonnull] = ACTIONS(1324),
    [anon_sym_alignas] = ACTIONS(1324),
    [anon_sym__Alignas] = ACTIONS(1324),
    [sym_primitive_type] = ACTIONS(1324),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1324),
    [anon_sym_union] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_case] = ACTIONS(1324),
    [anon_sym_default] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_break] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_goto] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_sizeof] = ACTIONS(1324),
    [anon_sym___alignof__] = ACTIONS(1324),
    [anon_sym___alignof] = ACTIONS(1324),
    [anon_sym__alignof] = ACTIONS(1324),
    [anon_sym_alignof] = ACTIONS(1324),
    [anon_sym__Alignof] = ACTIONS(1324),
    [anon_sym_offsetof] = ACTIONS(1324),
    [anon_sym__Generic] = ACTIONS(1324),
    [anon_sym_asm] = ACTIONS(1324),
    [anon_sym___asm__] = ACTIONS(1324),
    [anon_sym___asm] = ACTIONS(1324),
    [sym_number_literal] = ACTIONS(1326),
    [anon_sym_L_SQUOTE] = ACTIONS(1326),
    [anon_sym_u_SQUOTE] = ACTIONS(1326),
    [anon_sym_U_SQUOTE] = ACTIONS(1326),
    [anon_sym_u8_SQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_L_DQUOTE] = ACTIONS(1326),
    [anon_sym_u_DQUOTE] = ACTIONS(1326),
    [anon_sym_U_DQUOTE] = ACTIONS(1326),
    [anon_sym_u8_DQUOTE] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [sym_true] = ACTIONS(1324),
    [sym_false] = ACTIONS(1324),
    [anon_sym_NULL] = ACTIONS(1324),
    [anon_sym_nullptr] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_attribute_declaration] = STATE(351),
    [sym_compound_statement] = STATE(221),
    [sym_attributed_statement] = STATE(221),
    [sym_statement] = STATE(213),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1575),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1308),
    [aux_sym_preproc_include_token1] = ACTIONS(1308),
    [aux_sym_preproc_def_token1] = ACTIONS(1308),
    [aux_sym_preproc_if_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1308),
    [sym_preproc_directive] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_extern] = ACTIONS(1308),
    [anon_sym___attribute__] = ACTIONS(1308),
    [anon_sym___attribute] = ACTIONS(1308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1308),
    [anon_sym___cdecl] = ACTIONS(1308),
    [anon_sym___clrcall] = ACTIONS(1308),
    [anon_sym___stdcall] = ACTIONS(1308),
    [anon_sym___fastcall] = ACTIONS(1308),
    [anon_sym___thiscall] = ACTIONS(1308),
    [anon_sym___vectorcall] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1308),
    [anon_sym_unsigned] = ACTIONS(1308),
    [anon_sym_long] = ACTIONS(1308),
    [anon_sym_short] = ACTIONS(1308),
    [anon_sym_static] = ACTIONS(1308),
    [anon_sym_auto] = ACTIONS(1308),
    [anon_sym_register] = ACTIONS(1308),
    [anon_sym_inline] = ACTIONS(1308),
    [anon_sym___inline] = ACTIONS(1308),
    [anon_sym___inline__] = ACTIONS(1308),
    [anon_sym___forceinline] = ACTIONS(1308),
    [anon_sym_thread_local] = ACTIONS(1308),
    [anon_sym___thread] = ACTIONS(1308),
    [anon_sym_const] = ACTIONS(1308),
    [anon_sym_constexpr] = ACTIONS(1308),
    [anon_sym_volatile] = ACTIONS(1308),
    [anon_sym_restrict] = ACTIONS(1308),
    [anon_sym___restrict__] = ACTIONS(1308),
    [anon_sym__Atomic] = ACTIONS(1308),
    [anon_sym__Noreturn] = ACTIONS(1308),
    [anon_sym_noreturn] = ACTIONS(1308),
    [anon_sym__Nonnull] = ACTIONS(1308),
    [anon_sym_alignas] = ACTIONS(1308),
    [anon_sym__Alignas] = ACTIONS(1308),
    [sym_primitive_type] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_struct] = ACTIONS(1308),
    [anon_sym_union] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_case] = ACTIONS(1308),
    [anon_sym_default] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_break] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1308),
    [anon_sym___alignof__] = ACTIONS(1308),
    [anon_sym___alignof] = ACTIONS(1308),
    [anon_sym__alignof] = ACTIONS(1308),
    [anon_sym_alignof] = ACTIONS(1308),
    [anon_sym__Alignof] = ACTIONS(1308),
    [anon_sym_offsetof] = ACTIONS(1308),
    [anon_sym__Generic] = ACTIONS(1308),
    [anon_sym_asm] = ACTIONS(1308),
    [anon_sym___asm__] = ACTIONS(1308),
    [anon_sym___asm] = ACTIONS(1308),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1308),
    [sym_false] = ACTIONS(1308),
    [anon_sym_NULL] = ACTIONS(1308),
    [anon_sym_nullptr] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1328),
    [aux_sym_preproc_def_token1] = ACTIONS(1328),
    [aux_sym_preproc_if_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1328),
    [sym_preproc_directive] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_STAR] = ACTIONS(1330),
    [anon_sym_AMP] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [anon_sym___extension__] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_extern] = ACTIONS(1328),
    [anon_sym___attribute__] = ACTIONS(1328),
    [anon_sym___attribute] = ACTIONS(1328),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1330),
    [anon_sym___declspec] = ACTIONS(1328),
    [anon_sym___cdecl] = ACTIONS(1328),
    [anon_sym___clrcall] = ACTIONS(1328),
    [anon_sym___stdcall] = ACTIONS(1328),
    [anon_sym___fastcall] = ACTIONS(1328),
    [anon_sym___thiscall] = ACTIONS(1328),
    [anon_sym___vectorcall] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(1328),
    [anon_sym_unsigned] = ACTIONS(1328),
    [anon_sym_long] = ACTIONS(1328),
    [anon_sym_short] = ACTIONS(1328),
    [anon_sym_static] = ACTIONS(1328),
    [anon_sym_auto] = ACTIONS(1328),
    [anon_sym_register] = ACTIONS(1328),
    [anon_sym_inline] = ACTIONS(1328),
    [anon_sym___inline] = ACTIONS(1328),
    [anon_sym___inline__] = ACTIONS(1328),
    [anon_sym___forceinline] = ACTIONS(1328),
    [anon_sym_thread_local] = ACTIONS(1328),
    [anon_sym___thread] = ACTIONS(1328),
    [anon_sym_const] = ACTIONS(1328),
    [anon_sym_constexpr] = ACTIONS(1328),
    [anon_sym_volatile] = ACTIONS(1328),
    [anon_sym_restrict] = ACTIONS(1328),
    [anon_sym___restrict__] = ACTIONS(1328),
    [anon_sym__Atomic] = ACTIONS(1328),
    [anon_sym__Noreturn] = ACTIONS(1328),
    [anon_sym_noreturn] = ACTIONS(1328),
    [anon_sym__Nonnull] = ACTIONS(1328),
    [anon_sym_alignas] = ACTIONS(1328),
    [anon_sym__Alignas] = ACTIONS(1328),
    [sym_primitive_type] = ACTIONS(1328),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_struct] = ACTIONS(1328),
    [anon_sym_union] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_case] = ACTIONS(1328),
    [anon_sym_default] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_break] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_goto] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_sizeof] = ACTIONS(1328),
    [anon_sym___alignof__] = ACTIONS(1328),
    [anon_sym___alignof] = ACTIONS(1328),
    [anon_sym__alignof] = ACTIONS(1328),
    [anon_sym_alignof] = ACTIONS(1328),
    [anon_sym__Alignof] = ACTIONS(1328),
    [anon_sym_offsetof] = ACTIONS(1328),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1328),
    [anon_sym___asm__] = ACTIONS(1328),
    [anon_sym___asm] = ACTIONS(1328),
    [sym_number_literal] = ACTIONS(1330),
    [anon_sym_L_SQUOTE] = ACTIONS(1330),
    [anon_sym_u_SQUOTE] = ACTIONS(1330),
    [anon_sym_U_SQUOTE] = ACTIONS(1330),
    [anon_sym_u8_SQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_L_DQUOTE] = ACTIONS(1330),
    [anon_sym_u_DQUOTE] = ACTIONS(1330),
    [anon_sym_U_DQUOTE] = ACTIONS(1330),
    [anon_sym_u8_DQUOTE] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [sym_true] = ACTIONS(1328),
    [sym_false] = ACTIONS(1328),
    [anon_sym_NULL] = ACTIONS(1328),
    [anon_sym_nullptr] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_identifier] = ACTIONS(1290),
    [aux_sym_preproc_include_token1] = ACTIONS(1290),
    [aux_sym_preproc_def_token1] = ACTIONS(1290),
    [aux_sym_preproc_if_token1] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1290),
    [sym_preproc_directive] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1292),
    [anon_sym___extension__] = ACTIONS(1290),
    [anon_sym_typedef] = ACTIONS(1290),
    [anon_sym_extern] = ACTIONS(1290),
    [anon_sym___attribute__] = ACTIONS(1290),
    [anon_sym___attribute] = ACTIONS(1290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1292),
    [anon_sym___declspec] = ACTIONS(1290),
    [anon_sym___cdecl] = ACTIONS(1290),
    [anon_sym___clrcall] = ACTIONS(1290),
    [anon_sym___stdcall] = ACTIONS(1290),
    [anon_sym___fastcall] = ACTIONS(1290),
    [anon_sym___thiscall] = ACTIONS(1290),
    [anon_sym___vectorcall] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1290),
    [anon_sym_unsigned] = ACTIONS(1290),
    [anon_sym_long] = ACTIONS(1290),
    [anon_sym_short] = ACTIONS(1290),
    [anon_sym_static] = ACTIONS(1290),
    [anon_sym_auto] = ACTIONS(1290),
    [anon_sym_register] = ACTIONS(1290),
    [anon_sym_inline] = ACTIONS(1290),
    [anon_sym___inline] = ACTIONS(1290),
    [anon_sym___inline__] = ACTIONS(1290),
    [anon_sym___forceinline] = ACTIONS(1290),
    [anon_sym_thread_local] = ACTIONS(1290),
    [anon_sym___thread] = ACTIONS(1290),
    [anon_sym_const] = ACTIONS(1290),
    [anon_sym_constexpr] = ACTIONS(1290),
    [anon_sym_volatile] = ACTIONS(1290),
    [anon_sym_restrict] = ACTIONS(1290),
    [anon_sym___restrict__] = ACTIONS(1290),
    [anon_sym__Atomic] = ACTIONS(1290),
    [anon_sym__Noreturn] = ACTIONS(1290),
    [anon_sym_noreturn] = ACTIONS(1290),
    [anon_sym__Nonnull] = ACTIONS(1290),
    [anon_sym_alignas] = ACTIONS(1290),
    [anon_sym__Alignas] = ACTIONS(1290),
    [sym_primitive_type] = ACTIONS(1290),
    [anon_sym_enum] = ACTIONS(1290),
    [anon_sym_struct] = ACTIONS(1290),
    [anon_sym_union] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1290),
    [anon_sym_switch] = ACTIONS(1290),
    [anon_sym_case] = ACTIONS(1290),
    [anon_sym_default] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1290),
    [anon_sym_do] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1290),
    [anon_sym_return] = ACTIONS(1290),
    [anon_sym_break] = ACTIONS(1290),
    [anon_sym_continue] = ACTIONS(1290),
    [anon_sym_goto] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_sizeof] = ACTIONS(1290),
    [anon_sym___alignof__] = ACTIONS(1290),
    [anon_sym___alignof] = ACTIONS(1290),
    [anon_sym__alignof] = ACTIONS(1290),
    [anon_sym_alignof] = ACTIONS(1290),
    [anon_sym__Alignof] = ACTIONS(1290),
    [anon_sym_offsetof] = ACTIONS(1290),
    [anon_sym__Generic] = ACTIONS(1290),
    [anon_sym_asm] = ACTIONS(1290),
    [anon_sym___asm__] = ACTIONS(1290),
    [anon_sym___asm] = ACTIONS(1290),
    [sym_number_literal] = ACTIONS(1292),
    [anon_sym_L_SQUOTE] = ACTIONS(1292),
    [anon_sym_u_SQUOTE] = ACTIONS(1292),
    [anon_sym_U_SQUOTE] = ACTIONS(1292),
    [anon_sym_u8_SQUOTE] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_L_DQUOTE] = ACTIONS(1292),
    [anon_sym_u_DQUOTE] = ACTIONS(1292),
    [anon_sym_U_DQUOTE] = ACTIONS(1292),
    [anon_sym_u8_DQUOTE] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [sym_true] = ACTIONS(1290),
    [sym_false] = ACTIONS(1290),
    [anon_sym_NULL] = ACTIONS(1290),
    [anon_sym_nullptr] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_identifier] = ACTIONS(1282),
    [aux_sym_preproc_include_token1] = ACTIONS(1282),
    [aux_sym_preproc_def_token1] = ACTIONS(1282),
    [aux_sym_preproc_if_token1] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1282),
    [sym_preproc_directive] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [anon_sym___extension__] = ACTIONS(1282),
    [anon_sym_typedef] = ACTIONS(1282),
    [anon_sym_extern] = ACTIONS(1282),
    [anon_sym___attribute__] = ACTIONS(1282),
    [anon_sym___attribute] = ACTIONS(1282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1284),
    [anon_sym___declspec] = ACTIONS(1282),
    [anon_sym___cdecl] = ACTIONS(1282),
    [anon_sym___clrcall] = ACTIONS(1282),
    [anon_sym___stdcall] = ACTIONS(1282),
    [anon_sym___fastcall] = ACTIONS(1282),
    [anon_sym___thiscall] = ACTIONS(1282),
    [anon_sym___vectorcall] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_signed] = ACTIONS(1282),
    [anon_sym_unsigned] = ACTIONS(1282),
    [anon_sym_long] = ACTIONS(1282),
    [anon_sym_short] = ACTIONS(1282),
    [anon_sym_static] = ACTIONS(1282),
    [anon_sym_auto] = ACTIONS(1282),
    [anon_sym_register] = ACTIONS(1282),
    [anon_sym_inline] = ACTIONS(1282),
    [anon_sym___inline] = ACTIONS(1282),
    [anon_sym___inline__] = ACTIONS(1282),
    [anon_sym___forceinline] = ACTIONS(1282),
    [anon_sym_thread_local] = ACTIONS(1282),
    [anon_sym___thread] = ACTIONS(1282),
    [anon_sym_const] = ACTIONS(1282),
    [anon_sym_constexpr] = ACTIONS(1282),
    [anon_sym_volatile] = ACTIONS(1282),
    [anon_sym_restrict] = ACTIONS(1282),
    [anon_sym___restrict__] = ACTIONS(1282),
    [anon_sym__Atomic] = ACTIONS(1282),
    [anon_sym__Noreturn] = ACTIONS(1282),
    [anon_sym_noreturn] = ACTIONS(1282),
    [anon_sym__Nonnull] = ACTIONS(1282),
    [anon_sym_alignas] = ACTIONS(1282),
    [anon_sym__Alignas] = ACTIONS(1282),
    [sym_primitive_type] = ACTIONS(1282),
    [anon_sym_enum] = ACTIONS(1282),
    [anon_sym_struct] = ACTIONS(1282),
    [anon_sym_union] = ACTIONS(1282),
    [anon_sym_if] = ACTIONS(1282),
    [anon_sym_switch] = ACTIONS(1282),
    [anon_sym_case] = ACTIONS(1282),
    [anon_sym_default] = ACTIONS(1282),
    [anon_sym_while] = ACTIONS(1282),
    [anon_sym_do] = ACTIONS(1282),
    [anon_sym_for] = ACTIONS(1282),
    [anon_sym_return] = ACTIONS(1282),
    [anon_sym_break] = ACTIONS(1282),
    [anon_sym_continue] = ACTIONS(1282),
    [anon_sym_goto] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_sizeof] = ACTIONS(1282),
    [anon_sym___alignof__] = ACTIONS(1282),
    [anon_sym___alignof] = ACTIONS(1282),
    [anon_sym__alignof] = ACTIONS(1282),
    [anon_sym_alignof] = ACTIONS(1282),
    [anon_sym__Alignof] = ACTIONS(1282),
    [anon_sym_offsetof] = ACTIONS(1282),
    [anon_sym__Generic] = ACTIONS(1282),
    [anon_sym_asm] = ACTIONS(1282),
    [anon_sym___asm__] = ACTIONS(1282),
    [anon_sym___asm] = ACTIONS(1282),
    [sym_number_literal] = ACTIONS(1284),
    [anon_sym_L_SQUOTE] = ACTIONS(1284),
    [anon_sym_u_SQUOTE] = ACTIONS(1284),
    [anon_sym_U_SQUOTE] = ACTIONS(1284),
    [anon_sym_u8_SQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_L_DQUOTE] = ACTIONS(1284),
    [anon_sym_u_DQUOTE] = ACTIONS(1284),
    [anon_sym_U_DQUOTE] = ACTIONS(1284),
    [anon_sym_u8_DQUOTE] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [sym_true] = ACTIONS(1282),
    [sym_false] = ACTIONS(1282),
    [anon_sym_NULL] = ACTIONS(1282),
    [anon_sym_nullptr] = ACTIONS(1282),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_identifier] = ACTIONS(1340),
    [aux_sym_preproc_include_token1] = ACTIONS(1340),
    [aux_sym_preproc_def_token1] = ACTIONS(1340),
    [aux_sym_preproc_if_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1340),
    [sym_preproc_directive] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_STAR] = ACTIONS(1342),
    [anon_sym_AMP] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym___extension__] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_extern] = ACTIONS(1340),
    [anon_sym___attribute__] = ACTIONS(1340),
    [anon_sym___attribute] = ACTIONS(1340),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1342),
    [anon_sym___declspec] = ACTIONS(1340),
    [anon_sym___cdecl] = ACTIONS(1340),
    [anon_sym___clrcall] = ACTIONS(1340),
    [anon_sym___stdcall] = ACTIONS(1340),
    [anon_sym___fastcall] = ACTIONS(1340),
    [anon_sym___thiscall] = ACTIONS(1340),
    [anon_sym___vectorcall] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_signed] = ACTIONS(1340),
    [anon_sym_unsigned] = ACTIONS(1340),
    [anon_sym_long] = ACTIONS(1340),
    [anon_sym_short] = ACTIONS(1340),
    [anon_sym_static] = ACTIONS(1340),
    [anon_sym_auto] = ACTIONS(1340),
    [anon_sym_register] = ACTIONS(1340),
    [anon_sym_inline] = ACTIONS(1340),
    [anon_sym___inline] = ACTIONS(1340),
    [anon_sym___inline__] = ACTIONS(1340),
    [anon_sym___forceinline] = ACTIONS(1340),
    [anon_sym_thread_local] = ACTIONS(1340),
    [anon_sym___thread] = ACTIONS(1340),
    [anon_sym_const] = ACTIONS(1340),
    [anon_sym_constexpr] = ACTIONS(1340),
    [anon_sym_volatile] = ACTIONS(1340),
    [anon_sym_restrict] = ACTIONS(1340),
    [anon_sym___restrict__] = ACTIONS(1340),
    [anon_sym__Atomic] = ACTIONS(1340),
    [anon_sym__Noreturn] = ACTIONS(1340),
    [anon_sym_noreturn] = ACTIONS(1340),
    [anon_sym__Nonnull] = ACTIONS(1340),
    [anon_sym_alignas] = ACTIONS(1340),
    [anon_sym__Alignas] = ACTIONS(1340),
    [sym_primitive_type] = ACTIONS(1340),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_struct] = ACTIONS(1340),
    [anon_sym_union] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_case] = ACTIONS(1340),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_break] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_goto] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_sizeof] = ACTIONS(1340),
    [anon_sym___alignof__] = ACTIONS(1340),
    [anon_sym___alignof] = ACTIONS(1340),
    [anon_sym__alignof] = ACTIONS(1340),
    [anon_sym_alignof] = ACTIONS(1340),
    [anon_sym__Alignof] = ACTIONS(1340),
    [anon_sym_offsetof] = ACTIONS(1340),
    [anon_sym__Generic] = ACTIONS(1340),
    [anon_sym_asm] = ACTIONS(1340),
    [anon_sym___asm__] = ACTIONS(1340),
    [anon_sym___asm] = ACTIONS(1340),
    [sym_number_literal] = ACTIONS(1342),
    [anon_sym_L_SQUOTE] = ACTIONS(1342),
    [anon_sym_u_SQUOTE] = ACTIONS(1342),
    [anon_sym_U_SQUOTE] = ACTIONS(1342),
    [anon_sym_u8_SQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_L_DQUOTE] = ACTIONS(1342),
    [anon_sym_u_DQUOTE] = ACTIONS(1342),
    [anon_sym_U_DQUOTE] = ACTIONS(1342),
    [anon_sym_u8_DQUOTE] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [sym_true] = ACTIONS(1340),
    [sym_false] = ACTIONS(1340),
    [anon_sym_NULL] = ACTIONS(1340),
    [anon_sym_nullptr] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_identifier] = ACTIONS(1376),
    [aux_sym_preproc_include_token1] = ACTIONS(1376),
    [aux_sym_preproc_def_token1] = ACTIONS(1376),
    [aux_sym_preproc_if_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1376),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1376),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1378),
    [anon_sym_AMP] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym___extension__] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym___attribute__] = ACTIONS(1376),
    [anon_sym___attribute] = ACTIONS(1376),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1378),
    [anon_sym___declspec] = ACTIONS(1376),
    [anon_sym___cdecl] = ACTIONS(1376),
    [anon_sym___clrcall] = ACTIONS(1376),
    [anon_sym___stdcall] = ACTIONS(1376),
    [anon_sym___fastcall] = ACTIONS(1376),
    [anon_sym___thiscall] = ACTIONS(1376),
    [anon_sym___vectorcall] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_signed] = ACTIONS(1376),
    [anon_sym_unsigned] = ACTIONS(1376),
    [anon_sym_long] = ACTIONS(1376),
    [anon_sym_short] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_auto] = ACTIONS(1376),
    [anon_sym_register] = ACTIONS(1376),
    [anon_sym_inline] = ACTIONS(1376),
    [anon_sym___inline] = ACTIONS(1376),
    [anon_sym___inline__] = ACTIONS(1376),
    [anon_sym___forceinline] = ACTIONS(1376),
    [anon_sym_thread_local] = ACTIONS(1376),
    [anon_sym___thread] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_constexpr] = ACTIONS(1376),
    [anon_sym_volatile] = ACTIONS(1376),
    [anon_sym_restrict] = ACTIONS(1376),
    [anon_sym___restrict__] = ACTIONS(1376),
    [anon_sym__Atomic] = ACTIONS(1376),
    [anon_sym__Noreturn] = ACTIONS(1376),
    [anon_sym_noreturn] = ACTIONS(1376),
    [anon_sym__Nonnull] = ACTIONS(1376),
    [anon_sym_alignas] = ACTIONS(1376),
    [anon_sym__Alignas] = ACTIONS(1376),
    [sym_primitive_type] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_case] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_sizeof] = ACTIONS(1376),
    [anon_sym___alignof__] = ACTIONS(1376),
    [anon_sym___alignof] = ACTIONS(1376),
    [anon_sym__alignof] = ACTIONS(1376),
    [anon_sym_alignof] = ACTIONS(1376),
    [anon_sym__Alignof] = ACTIONS(1376),
    [anon_sym_offsetof] = ACTIONS(1376),
    [anon_sym__Generic] = ACTIONS(1376),
    [anon_sym_asm] = ACTIONS(1376),
    [anon_sym___asm__] = ACTIONS(1376),
    [anon_sym___asm] = ACTIONS(1376),
    [sym_number_literal] = ACTIONS(1378),
    [anon_sym_L_SQUOTE] = ACTIONS(1378),
    [anon_sym_u_SQUOTE] = ACTIONS(1378),
    [anon_sym_U_SQUOTE] = ACTIONS(1378),
    [anon_sym_u8_SQUOTE] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_L_DQUOTE] = ACTIONS(1378),
    [anon_sym_u_DQUOTE] = ACTIONS(1378),
    [anon_sym_U_DQUOTE] = ACTIONS(1378),
    [anon_sym_u8_DQUOTE] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [sym_true] = ACTIONS(1376),
    [sym_false] = ACTIONS(1376),
    [anon_sym_NULL] = ACTIONS(1376),
    [anon_sym_nullptr] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(1893),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(1989),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_identifier] = ACTIONS(1274),
    [aux_sym_preproc_include_token1] = ACTIONS(1274),
    [aux_sym_preproc_def_token1] = ACTIONS(1274),
    [aux_sym_preproc_if_token1] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1274),
    [sym_preproc_directive] = ACTIONS(1274),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym___extension__] = ACTIONS(1274),
    [anon_sym_typedef] = ACTIONS(1274),
    [anon_sym_extern] = ACTIONS(1274),
    [anon_sym___attribute__] = ACTIONS(1274),
    [anon_sym___attribute] = ACTIONS(1274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1276),
    [anon_sym___declspec] = ACTIONS(1274),
    [anon_sym___cdecl] = ACTIONS(1274),
    [anon_sym___clrcall] = ACTIONS(1274),
    [anon_sym___stdcall] = ACTIONS(1274),
    [anon_sym___fastcall] = ACTIONS(1274),
    [anon_sym___thiscall] = ACTIONS(1274),
    [anon_sym___vectorcall] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_signed] = ACTIONS(1274),
    [anon_sym_unsigned] = ACTIONS(1274),
    [anon_sym_long] = ACTIONS(1274),
    [anon_sym_short] = ACTIONS(1274),
    [anon_sym_static] = ACTIONS(1274),
    [anon_sym_auto] = ACTIONS(1274),
    [anon_sym_register] = ACTIONS(1274),
    [anon_sym_inline] = ACTIONS(1274),
    [anon_sym___inline] = ACTIONS(1274),
    [anon_sym___inline__] = ACTIONS(1274),
    [anon_sym___forceinline] = ACTIONS(1274),
    [anon_sym_thread_local] = ACTIONS(1274),
    [anon_sym___thread] = ACTIONS(1274),
    [anon_sym_const] = ACTIONS(1274),
    [anon_sym_constexpr] = ACTIONS(1274),
    [anon_sym_volatile] = ACTIONS(1274),
    [anon_sym_restrict] = ACTIONS(1274),
    [anon_sym___restrict__] = ACTIONS(1274),
    [anon_sym__Atomic] = ACTIONS(1274),
    [anon_sym__Noreturn] = ACTIONS(1274),
    [anon_sym_noreturn] = ACTIONS(1274),
    [anon_sym__Nonnull] = ACTIONS(1274),
    [anon_sym_alignas] = ACTIONS(1274),
    [anon_sym__Alignas] = ACTIONS(1274),
    [sym_primitive_type] = ACTIONS(1274),
    [anon_sym_enum] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1274),
    [anon_sym_union] = ACTIONS(1274),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_switch] = ACTIONS(1274),
    [anon_sym_case] = ACTIONS(1274),
    [anon_sym_default] = ACTIONS(1274),
    [anon_sym_while] = ACTIONS(1274),
    [anon_sym_do] = ACTIONS(1274),
    [anon_sym_for] = ACTIONS(1274),
    [anon_sym_return] = ACTIONS(1274),
    [anon_sym_break] = ACTIONS(1274),
    [anon_sym_continue] = ACTIONS(1274),
    [anon_sym_goto] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_sizeof] = ACTIONS(1274),
    [anon_sym___alignof__] = ACTIONS(1274),
    [anon_sym___alignof] = ACTIONS(1274),
    [anon_sym__alignof] = ACTIONS(1274),
    [anon_sym_alignof] = ACTIONS(1274),
    [anon_sym__Alignof] = ACTIONS(1274),
    [anon_sym_offsetof] = ACTIONS(1274),
    [anon_sym__Generic] = ACTIONS(1274),
    [anon_sym_asm] = ACTIONS(1274),
    [anon_sym___asm__] = ACTIONS(1274),
    [anon_sym___asm] = ACTIONS(1274),
    [sym_number_literal] = ACTIONS(1276),
    [anon_sym_L_SQUOTE] = ACTIONS(1276),
    [anon_sym_u_SQUOTE] = ACTIONS(1276),
    [anon_sym_U_SQUOTE] = ACTIONS(1276),
    [anon_sym_u8_SQUOTE] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_L_DQUOTE] = ACTIONS(1276),
    [anon_sym_u_DQUOTE] = ACTIONS(1276),
    [anon_sym_U_DQUOTE] = ACTIONS(1276),
    [anon_sym_u8_DQUOTE] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [sym_true] = ACTIONS(1274),
    [sym_false] = ACTIONS(1274),
    [anon_sym_NULL] = ACTIONS(1274),
    [anon_sym_nullptr] = ACTIONS(1274),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_identifier] = ACTIONS(1278),
    [aux_sym_preproc_include_token1] = ACTIONS(1278),
    [aux_sym_preproc_def_token1] = ACTIONS(1278),
    [aux_sym_preproc_if_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1278),
    [sym_preproc_directive] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [anon_sym___extension__] = ACTIONS(1278),
    [anon_sym_typedef] = ACTIONS(1278),
    [anon_sym_extern] = ACTIONS(1278),
    [anon_sym___attribute__] = ACTIONS(1278),
    [anon_sym___attribute] = ACTIONS(1278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1280),
    [anon_sym___declspec] = ACTIONS(1278),
    [anon_sym___cdecl] = ACTIONS(1278),
    [anon_sym___clrcall] = ACTIONS(1278),
    [anon_sym___stdcall] = ACTIONS(1278),
    [anon_sym___fastcall] = ACTIONS(1278),
    [anon_sym___thiscall] = ACTIONS(1278),
    [anon_sym___vectorcall] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_signed] = ACTIONS(1278),
    [anon_sym_unsigned] = ACTIONS(1278),
    [anon_sym_long] = ACTIONS(1278),
    [anon_sym_short] = ACTIONS(1278),
    [anon_sym_static] = ACTIONS(1278),
    [anon_sym_auto] = ACTIONS(1278),
    [anon_sym_register] = ACTIONS(1278),
    [anon_sym_inline] = ACTIONS(1278),
    [anon_sym___inline] = ACTIONS(1278),
    [anon_sym___inline__] = ACTIONS(1278),
    [anon_sym___forceinline] = ACTIONS(1278),
    [anon_sym_thread_local] = ACTIONS(1278),
    [anon_sym___thread] = ACTIONS(1278),
    [anon_sym_const] = ACTIONS(1278),
    [anon_sym_constexpr] = ACTIONS(1278),
    [anon_sym_volatile] = ACTIONS(1278),
    [anon_sym_restrict] = ACTIONS(1278),
    [anon_sym___restrict__] = ACTIONS(1278),
    [anon_sym__Atomic] = ACTIONS(1278),
    [anon_sym__Noreturn] = ACTIONS(1278),
    [anon_sym_noreturn] = ACTIONS(1278),
    [anon_sym__Nonnull] = ACTIONS(1278),
    [anon_sym_alignas] = ACTIONS(1278),
    [anon_sym__Alignas] = ACTIONS(1278),
    [sym_primitive_type] = ACTIONS(1278),
    [anon_sym_enum] = ACTIONS(1278),
    [anon_sym_struct] = ACTIONS(1278),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1278),
    [anon_sym_switch] = ACTIONS(1278),
    [anon_sym_case] = ACTIONS(1278),
    [anon_sym_default] = ACTIONS(1278),
    [anon_sym_while] = ACTIONS(1278),
    [anon_sym_do] = ACTIONS(1278),
    [anon_sym_for] = ACTIONS(1278),
    [anon_sym_return] = ACTIONS(1278),
    [anon_sym_break] = ACTIONS(1278),
    [anon_sym_continue] = ACTIONS(1278),
    [anon_sym_goto] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_sizeof] = ACTIONS(1278),
    [anon_sym___alignof__] = ACTIONS(1278),
    [anon_sym___alignof] = ACTIONS(1278),
    [anon_sym__alignof] = ACTIONS(1278),
    [anon_sym_alignof] = ACTIONS(1278),
    [anon_sym__Alignof] = ACTIONS(1278),
    [anon_sym_offsetof] = ACTIONS(1278),
    [anon_sym__Generic] = ACTIONS(1278),
    [anon_sym_asm] = ACTIONS(1278),
    [anon_sym___asm__] = ACTIONS(1278),
    [anon_sym___asm] = ACTIONS(1278),
    [sym_number_literal] = ACTIONS(1280),
    [anon_sym_L_SQUOTE] = ACTIONS(1280),
    [anon_sym_u_SQUOTE] = ACTIONS(1280),
    [anon_sym_U_SQUOTE] = ACTIONS(1280),
    [anon_sym_u8_SQUOTE] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_L_DQUOTE] = ACTIONS(1280),
    [anon_sym_u_DQUOTE] = ACTIONS(1280),
    [anon_sym_U_DQUOTE] = ACTIONS(1280),
    [anon_sym_u8_DQUOTE] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [sym_true] = ACTIONS(1278),
    [sym_false] = ACTIONS(1278),
    [anon_sym_NULL] = ACTIONS(1278),
    [anon_sym_nullptr] = ACTIONS(1278),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(1270),
    [aux_sym_preproc_include_token1] = ACTIONS(1270),
    [aux_sym_preproc_def_token1] = ACTIONS(1270),
    [aux_sym_preproc_if_token1] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1270),
    [sym_preproc_directive] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [anon_sym___extension__] = ACTIONS(1270),
    [anon_sym_typedef] = ACTIONS(1270),
    [anon_sym_extern] = ACTIONS(1270),
    [anon_sym___attribute__] = ACTIONS(1270),
    [anon_sym___attribute] = ACTIONS(1270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1272),
    [anon_sym___declspec] = ACTIONS(1270),
    [anon_sym___cdecl] = ACTIONS(1270),
    [anon_sym___clrcall] = ACTIONS(1270),
    [anon_sym___stdcall] = ACTIONS(1270),
    [anon_sym___fastcall] = ACTIONS(1270),
    [anon_sym___thiscall] = ACTIONS(1270),
    [anon_sym___vectorcall] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_signed] = ACTIONS(1270),
    [anon_sym_unsigned] = ACTIONS(1270),
    [anon_sym_long] = ACTIONS(1270),
    [anon_sym_short] = ACTIONS(1270),
    [anon_sym_static] = ACTIONS(1270),
    [anon_sym_auto] = ACTIONS(1270),
    [anon_sym_register] = ACTIONS(1270),
    [anon_sym_inline] = ACTIONS(1270),
    [anon_sym___inline] = ACTIONS(1270),
    [anon_sym___inline__] = ACTIONS(1270),
    [anon_sym___forceinline] = ACTIONS(1270),
    [anon_sym_thread_local] = ACTIONS(1270),
    [anon_sym___thread] = ACTIONS(1270),
    [anon_sym_const] = ACTIONS(1270),
    [anon_sym_constexpr] = ACTIONS(1270),
    [anon_sym_volatile] = ACTIONS(1270),
    [anon_sym_restrict] = ACTIONS(1270),
    [anon_sym___restrict__] = ACTIONS(1270),
    [anon_sym__Atomic] = ACTIONS(1270),
    [anon_sym__Noreturn] = ACTIONS(1270),
    [anon_sym_noreturn] = ACTIONS(1270),
    [anon_sym__Nonnull] = ACTIONS(1270),
    [anon_sym_alignas] = ACTIONS(1270),
    [anon_sym__Alignas] = ACTIONS(1270),
    [sym_primitive_type] = ACTIONS(1270),
    [anon_sym_enum] = ACTIONS(1270),
    [anon_sym_struct] = ACTIONS(1270),
    [anon_sym_union] = ACTIONS(1270),
    [anon_sym_if] = ACTIONS(1270),
    [anon_sym_switch] = ACTIONS(1270),
    [anon_sym_case] = ACTIONS(1270),
    [anon_sym_default] = ACTIONS(1270),
    [anon_sym_while] = ACTIONS(1270),
    [anon_sym_do] = ACTIONS(1270),
    [anon_sym_for] = ACTIONS(1270),
    [anon_sym_return] = ACTIONS(1270),
    [anon_sym_break] = ACTIONS(1270),
    [anon_sym_continue] = ACTIONS(1270),
    [anon_sym_goto] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_sizeof] = ACTIONS(1270),
    [anon_sym___alignof__] = ACTIONS(1270),
    [anon_sym___alignof] = ACTIONS(1270),
    [anon_sym__alignof] = ACTIONS(1270),
    [anon_sym_alignof] = ACTIONS(1270),
    [anon_sym__Alignof] = ACTIONS(1270),
    [anon_sym_offsetof] = ACTIONS(1270),
    [anon_sym__Generic] = ACTIONS(1270),
    [anon_sym_asm] = ACTIONS(1270),
    [anon_sym___asm__] = ACTIONS(1270),
    [anon_sym___asm] = ACTIONS(1270),
    [sym_number_literal] = ACTIONS(1272),
    [anon_sym_L_SQUOTE] = ACTIONS(1272),
    [anon_sym_u_SQUOTE] = ACTIONS(1272),
    [anon_sym_U_SQUOTE] = ACTIONS(1272),
    [anon_sym_u8_SQUOTE] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_L_DQUOTE] = ACTIONS(1272),
    [anon_sym_u_DQUOTE] = ACTIONS(1272),
    [anon_sym_U_DQUOTE] = ACTIONS(1272),
    [anon_sym_u8_DQUOTE] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [sym_true] = ACTIONS(1270),
    [sym_false] = ACTIONS(1270),
    [anon_sym_NULL] = ACTIONS(1270),
    [anon_sym_nullptr] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_attribute_declaration] = STATE(372),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(246),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_attribute_declaration] = STATE(332),
    [sym_compound_statement] = STATE(221),
    [sym_attributed_statement] = STATE(221),
    [sym_statement] = STATE(165),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(1575),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_identifier] = ACTIONS(1372),
    [aux_sym_preproc_include_token1] = ACTIONS(1372),
    [aux_sym_preproc_def_token1] = ACTIONS(1372),
    [aux_sym_preproc_if_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1372),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1372),
    [sym_preproc_directive] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_AMP] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym___extension__] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym___attribute__] = ACTIONS(1372),
    [anon_sym___attribute] = ACTIONS(1372),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1374),
    [anon_sym___declspec] = ACTIONS(1372),
    [anon_sym___cdecl] = ACTIONS(1372),
    [anon_sym___clrcall] = ACTIONS(1372),
    [anon_sym___stdcall] = ACTIONS(1372),
    [anon_sym___fastcall] = ACTIONS(1372),
    [anon_sym___thiscall] = ACTIONS(1372),
    [anon_sym___vectorcall] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_signed] = ACTIONS(1372),
    [anon_sym_unsigned] = ACTIONS(1372),
    [anon_sym_long] = ACTIONS(1372),
    [anon_sym_short] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_auto] = ACTIONS(1372),
    [anon_sym_register] = ACTIONS(1372),
    [anon_sym_inline] = ACTIONS(1372),
    [anon_sym___inline] = ACTIONS(1372),
    [anon_sym___inline__] = ACTIONS(1372),
    [anon_sym___forceinline] = ACTIONS(1372),
    [anon_sym_thread_local] = ACTIONS(1372),
    [anon_sym___thread] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_constexpr] = ACTIONS(1372),
    [anon_sym_volatile] = ACTIONS(1372),
    [anon_sym_restrict] = ACTIONS(1372),
    [anon_sym___restrict__] = ACTIONS(1372),
    [anon_sym__Atomic] = ACTIONS(1372),
    [anon_sym__Noreturn] = ACTIONS(1372),
    [anon_sym_noreturn] = ACTIONS(1372),
    [anon_sym__Nonnull] = ACTIONS(1372),
    [anon_sym_alignas] = ACTIONS(1372),
    [anon_sym__Alignas] = ACTIONS(1372),
    [sym_primitive_type] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_case] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_goto] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_sizeof] = ACTIONS(1372),
    [anon_sym___alignof__] = ACTIONS(1372),
    [anon_sym___alignof] = ACTIONS(1372),
    [anon_sym__alignof] = ACTIONS(1372),
    [anon_sym_alignof] = ACTIONS(1372),
    [anon_sym__Alignof] = ACTIONS(1372),
    [anon_sym_offsetof] = ACTIONS(1372),
    [anon_sym__Generic] = ACTIONS(1372),
    [anon_sym_asm] = ACTIONS(1372),
    [anon_sym___asm__] = ACTIONS(1372),
    [anon_sym___asm] = ACTIONS(1372),
    [sym_number_literal] = ACTIONS(1374),
    [anon_sym_L_SQUOTE] = ACTIONS(1374),
    [anon_sym_u_SQUOTE] = ACTIONS(1374),
    [anon_sym_U_SQUOTE] = ACTIONS(1374),
    [anon_sym_u8_SQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_L_DQUOTE] = ACTIONS(1374),
    [anon_sym_u_DQUOTE] = ACTIONS(1374),
    [anon_sym_U_DQUOTE] = ACTIONS(1374),
    [anon_sym_u8_DQUOTE] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [sym_true] = ACTIONS(1372),
    [sym_false] = ACTIONS(1372),
    [anon_sym_NULL] = ACTIONS(1372),
    [anon_sym_nullptr] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1579),
    [sym_identifier] = ACTIONS(1582),
    [aux_sym_preproc_include_token1] = ACTIONS(1582),
    [aux_sym_preproc_def_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1582),
    [sym_preproc_directive] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(1582),
    [anon_sym_PLUS] = ACTIONS(1582),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1579),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym___extension__] = ACTIONS(1582),
    [anon_sym_typedef] = ACTIONS(1582),
    [anon_sym_extern] = ACTIONS(1582),
    [anon_sym___attribute__] = ACTIONS(1582),
    [anon_sym___attribute] = ACTIONS(1582),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1579),
    [anon_sym___declspec] = ACTIONS(1582),
    [anon_sym___cdecl] = ACTIONS(1582),
    [anon_sym___clrcall] = ACTIONS(1582),
    [anon_sym___stdcall] = ACTIONS(1582),
    [anon_sym___fastcall] = ACTIONS(1582),
    [anon_sym___thiscall] = ACTIONS(1582),
    [anon_sym___vectorcall] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_signed] = ACTIONS(1582),
    [anon_sym_unsigned] = ACTIONS(1582),
    [anon_sym_long] = ACTIONS(1582),
    [anon_sym_short] = ACTIONS(1582),
    [anon_sym_static] = ACTIONS(1582),
    [anon_sym_auto] = ACTIONS(1582),
    [anon_sym_register] = ACTIONS(1582),
    [anon_sym_inline] = ACTIONS(1582),
    [anon_sym___inline] = ACTIONS(1582),
    [anon_sym___inline__] = ACTIONS(1582),
    [anon_sym___forceinline] = ACTIONS(1582),
    [anon_sym_thread_local] = ACTIONS(1582),
    [anon_sym___thread] = ACTIONS(1582),
    [anon_sym_const] = ACTIONS(1582),
    [anon_sym_constexpr] = ACTIONS(1582),
    [anon_sym_volatile] = ACTIONS(1582),
    [anon_sym_restrict] = ACTIONS(1582),
    [anon_sym___restrict__] = ACTIONS(1582),
    [anon_sym__Atomic] = ACTIONS(1582),
    [anon_sym__Noreturn] = ACTIONS(1582),
    [anon_sym_noreturn] = ACTIONS(1582),
    [anon_sym__Nonnull] = ACTIONS(1582),
    [anon_sym_alignas] = ACTIONS(1582),
    [anon_sym__Alignas] = ACTIONS(1582),
    [sym_primitive_type] = ACTIONS(1582),
    [anon_sym_enum] = ACTIONS(1582),
    [anon_sym_struct] = ACTIONS(1582),
    [anon_sym_union] = ACTIONS(1582),
    [anon_sym_if] = ACTIONS(1582),
    [anon_sym_switch] = ACTIONS(1582),
    [anon_sym_case] = ACTIONS(1582),
    [anon_sym_default] = ACTIONS(1582),
    [anon_sym_while] = ACTIONS(1582),
    [anon_sym_do] = ACTIONS(1582),
    [anon_sym_for] = ACTIONS(1582),
    [anon_sym_return] = ACTIONS(1582),
    [anon_sym_break] = ACTIONS(1582),
    [anon_sym_continue] = ACTIONS(1582),
    [anon_sym_goto] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_sizeof] = ACTIONS(1582),
    [anon_sym___alignof__] = ACTIONS(1582),
    [anon_sym___alignof] = ACTIONS(1582),
    [anon_sym__alignof] = ACTIONS(1582),
    [anon_sym_alignof] = ACTIONS(1582),
    [anon_sym__Alignof] = ACTIONS(1582),
    [anon_sym_offsetof] = ACTIONS(1582),
    [anon_sym__Generic] = ACTIONS(1582),
    [anon_sym_asm] = ACTIONS(1582),
    [anon_sym___asm__] = ACTIONS(1582),
    [anon_sym___asm] = ACTIONS(1582),
    [sym_number_literal] = ACTIONS(1579),
    [anon_sym_L_SQUOTE] = ACTIONS(1579),
    [anon_sym_u_SQUOTE] = ACTIONS(1579),
    [anon_sym_U_SQUOTE] = ACTIONS(1579),
    [anon_sym_u8_SQUOTE] = ACTIONS(1579),
    [anon_sym_SQUOTE] = ACTIONS(1579),
    [anon_sym_L_DQUOTE] = ACTIONS(1579),
    [anon_sym_u_DQUOTE] = ACTIONS(1579),
    [anon_sym_U_DQUOTE] = ACTIONS(1579),
    [anon_sym_u8_DQUOTE] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1579),
    [sym_true] = ACTIONS(1582),
    [sym_false] = ACTIONS(1582),
    [anon_sym_NULL] = ACTIONS(1582),
    [anon_sym_nullptr] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_attribute_declaration] = STATE(332),
    [sym_compound_statement] = STATE(221),
    [sym_attributed_statement] = STATE(221),
    [sym_statement] = STATE(167),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(1575),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_identifier] = ACTIONS(1286),
    [aux_sym_preproc_include_token1] = ACTIONS(1286),
    [aux_sym_preproc_def_token1] = ACTIONS(1286),
    [aux_sym_preproc_if_token1] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1286),
    [sym_preproc_directive] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1286),
    [anon_sym_extern] = ACTIONS(1286),
    [anon_sym___attribute__] = ACTIONS(1286),
    [anon_sym___attribute] = ACTIONS(1286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1288),
    [anon_sym___declspec] = ACTIONS(1286),
    [anon_sym___cdecl] = ACTIONS(1286),
    [anon_sym___clrcall] = ACTIONS(1286),
    [anon_sym___stdcall] = ACTIONS(1286),
    [anon_sym___fastcall] = ACTIONS(1286),
    [anon_sym___thiscall] = ACTIONS(1286),
    [anon_sym___vectorcall] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_signed] = ACTIONS(1286),
    [anon_sym_unsigned] = ACTIONS(1286),
    [anon_sym_long] = ACTIONS(1286),
    [anon_sym_short] = ACTIONS(1286),
    [anon_sym_static] = ACTIONS(1286),
    [anon_sym_auto] = ACTIONS(1286),
    [anon_sym_register] = ACTIONS(1286),
    [anon_sym_inline] = ACTIONS(1286),
    [anon_sym___inline] = ACTIONS(1286),
    [anon_sym___inline__] = ACTIONS(1286),
    [anon_sym___forceinline] = ACTIONS(1286),
    [anon_sym_thread_local] = ACTIONS(1286),
    [anon_sym___thread] = ACTIONS(1286),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_constexpr] = ACTIONS(1286),
    [anon_sym_volatile] = ACTIONS(1286),
    [anon_sym_restrict] = ACTIONS(1286),
    [anon_sym___restrict__] = ACTIONS(1286),
    [anon_sym__Atomic] = ACTIONS(1286),
    [anon_sym__Noreturn] = ACTIONS(1286),
    [anon_sym_noreturn] = ACTIONS(1286),
    [anon_sym__Nonnull] = ACTIONS(1286),
    [anon_sym_alignas] = ACTIONS(1286),
    [anon_sym__Alignas] = ACTIONS(1286),
    [sym_primitive_type] = ACTIONS(1286),
    [anon_sym_enum] = ACTIONS(1286),
    [anon_sym_struct] = ACTIONS(1286),
    [anon_sym_union] = ACTIONS(1286),
    [anon_sym_if] = ACTIONS(1286),
    [anon_sym_switch] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1286),
    [anon_sym_while] = ACTIONS(1286),
    [anon_sym_do] = ACTIONS(1286),
    [anon_sym_for] = ACTIONS(1286),
    [anon_sym_return] = ACTIONS(1286),
    [anon_sym_break] = ACTIONS(1286),
    [anon_sym_continue] = ACTIONS(1286),
    [anon_sym_goto] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_sizeof] = ACTIONS(1286),
    [anon_sym___alignof__] = ACTIONS(1286),
    [anon_sym___alignof] = ACTIONS(1286),
    [anon_sym__alignof] = ACTIONS(1286),
    [anon_sym_alignof] = ACTIONS(1286),
    [anon_sym__Alignof] = ACTIONS(1286),
    [anon_sym_offsetof] = ACTIONS(1286),
    [anon_sym__Generic] = ACTIONS(1286),
    [anon_sym_asm] = ACTIONS(1286),
    [anon_sym___asm__] = ACTIONS(1286),
    [anon_sym___asm] = ACTIONS(1286),
    [sym_number_literal] = ACTIONS(1288),
    [anon_sym_L_SQUOTE] = ACTIONS(1288),
    [anon_sym_u_SQUOTE] = ACTIONS(1288),
    [anon_sym_U_SQUOTE] = ACTIONS(1288),
    [anon_sym_u8_SQUOTE] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_L_DQUOTE] = ACTIONS(1288),
    [anon_sym_u_DQUOTE] = ACTIONS(1288),
    [anon_sym_U_DQUOTE] = ACTIONS(1288),
    [anon_sym_u8_DQUOTE] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [sym_true] = ACTIONS(1286),
    [sym_false] = ACTIONS(1286),
    [anon_sym_NULL] = ACTIONS(1286),
    [anon_sym_nullptr] = ACTIONS(1286),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_attribute_declaration] = STATE(326),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(190),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(326),
    [sym_identifier] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_attribute_declaration] = STATE(351),
    [sym_compound_statement] = STATE(221),
    [sym_attributed_statement] = STATE(221),
    [sym_statement] = STATE(213),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(351),
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1588),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_if] = ACTIONS(1594),
    [anon_sym_switch] = ACTIONS(1597),
    [anon_sym_case] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1606),
    [anon_sym_do] = ACTIONS(1609),
    [anon_sym_for] = ACTIONS(1612),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1618),
    [anon_sym_continue] = ACTIONS(1621),
    [anon_sym_goto] = ACTIONS(1624),
    [anon_sym___try] = ACTIONS(1627),
    [anon_sym___leave] = ACTIONS(1630),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_sizeof] = ACTIONS(1495),
    [anon_sym___alignof__] = ACTIONS(1498),
    [anon_sym___alignof] = ACTIONS(1498),
    [anon_sym__alignof] = ACTIONS(1498),
    [anon_sym_alignof] = ACTIONS(1498),
    [anon_sym__Alignof] = ACTIONS(1498),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1507),
    [anon_sym___asm__] = ACTIONS(1507),
    [anon_sym___asm] = ACTIONS(1507),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1513),
    [anon_sym_u_SQUOTE] = ACTIONS(1513),
    [anon_sym_U_SQUOTE] = ACTIONS(1513),
    [anon_sym_u8_SQUOTE] = ACTIONS(1513),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_L_DQUOTE] = ACTIONS(1516),
    [anon_sym_u_DQUOTE] = ACTIONS(1516),
    [anon_sym_U_DQUOTE] = ACTIONS(1516),
    [anon_sym_u8_DQUOTE] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [anon_sym_NULL] = ACTIONS(1522),
    [anon_sym_nullptr] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1354),
    [anon_sym_AMP] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym___attribute] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1354),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [anon_sym__Nonnull] = ACTIONS(1352),
    [anon_sym_alignas] = ACTIONS(1352),
    [anon_sym__Alignas] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [anon_sym___asm] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1354),
    [anon_sym_L_SQUOTE] = ACTIONS(1354),
    [anon_sym_u_SQUOTE] = ACTIONS(1354),
    [anon_sym_U_SQUOTE] = ACTIONS(1354),
    [anon_sym_u8_SQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_L_DQUOTE] = ACTIONS(1354),
    [anon_sym_u_DQUOTE] = ACTIONS(1354),
    [anon_sym_U_DQUOTE] = ACTIONS(1354),
    [anon_sym_u8_DQUOTE] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_attribute_declaration] = STATE(332),
    [sym_compound_statement] = STATE(221),
    [sym_attributed_statement] = STATE(221),
    [sym_statement] = STATE(201),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(1575),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_attribute_declaration] = STATE(332),
    [sym_compound_statement] = STATE(221),
    [sym_attributed_statement] = STATE(221),
    [sym_statement] = STATE(149),
    [sym_labeled_statement] = STATE(221),
    [sym_expression_statement] = STATE(221),
    [sym_if_statement] = STATE(221),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(221),
    [sym_while_statement] = STATE(221),
    [sym_do_statement] = STATE(221),
    [sym_for_statement] = STATE(221),
    [sym_return_statement] = STATE(221),
    [sym_break_statement] = STATE(221),
    [sym_continue_statement] = STATE(221),
    [sym_goto_statement] = STATE(221),
    [sym_seh_try_statement] = STATE(221),
    [sym_seh_leave_statement] = STATE(221),
    [sym_expression] = STATE(1076),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1811),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(1575),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(446),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(450),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(454),
    [anon_sym_goto] = ACTIONS(456),
    [anon_sym___try] = ACTIONS(458),
    [anon_sym___leave] = ACTIONS(460),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1300),
    [aux_sym_preproc_include_token1] = ACTIONS(1300),
    [aux_sym_preproc_def_token1] = ACTIONS(1300),
    [aux_sym_preproc_if_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1300),
    [sym_preproc_directive] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [anon_sym___extension__] = ACTIONS(1300),
    [anon_sym_typedef] = ACTIONS(1300),
    [anon_sym_extern] = ACTIONS(1300),
    [anon_sym___attribute__] = ACTIONS(1300),
    [anon_sym___attribute] = ACTIONS(1300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1302),
    [anon_sym___declspec] = ACTIONS(1300),
    [anon_sym___cdecl] = ACTIONS(1300),
    [anon_sym___clrcall] = ACTIONS(1300),
    [anon_sym___stdcall] = ACTIONS(1300),
    [anon_sym___fastcall] = ACTIONS(1300),
    [anon_sym___thiscall] = ACTIONS(1300),
    [anon_sym___vectorcall] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_signed] = ACTIONS(1300),
    [anon_sym_unsigned] = ACTIONS(1300),
    [anon_sym_long] = ACTIONS(1300),
    [anon_sym_short] = ACTIONS(1300),
    [anon_sym_static] = ACTIONS(1300),
    [anon_sym_auto] = ACTIONS(1300),
    [anon_sym_register] = ACTIONS(1300),
    [anon_sym_inline] = ACTIONS(1300),
    [anon_sym___inline] = ACTIONS(1300),
    [anon_sym___inline__] = ACTIONS(1300),
    [anon_sym___forceinline] = ACTIONS(1300),
    [anon_sym_thread_local] = ACTIONS(1300),
    [anon_sym___thread] = ACTIONS(1300),
    [anon_sym_const] = ACTIONS(1300),
    [anon_sym_constexpr] = ACTIONS(1300),
    [anon_sym_volatile] = ACTIONS(1300),
    [anon_sym_restrict] = ACTIONS(1300),
    [anon_sym___restrict__] = ACTIONS(1300),
    [anon_sym__Atomic] = ACTIONS(1300),
    [anon_sym__Noreturn] = ACTIONS(1300),
    [anon_sym_noreturn] = ACTIONS(1300),
    [anon_sym__Nonnull] = ACTIONS(1300),
    [anon_sym_alignas] = ACTIONS(1300),
    [anon_sym__Alignas] = ACTIONS(1300),
    [sym_primitive_type] = ACTIONS(1300),
    [anon_sym_enum] = ACTIONS(1300),
    [anon_sym_struct] = ACTIONS(1300),
    [anon_sym_union] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_switch] = ACTIONS(1300),
    [anon_sym_case] = ACTIONS(1300),
    [anon_sym_default] = ACTIONS(1300),
    [anon_sym_while] = ACTIONS(1300),
    [anon_sym_do] = ACTIONS(1300),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_return] = ACTIONS(1300),
    [anon_sym_break] = ACTIONS(1300),
    [anon_sym_continue] = ACTIONS(1300),
    [anon_sym_goto] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_sizeof] = ACTIONS(1300),
    [anon_sym___alignof__] = ACTIONS(1300),
    [anon_sym___alignof] = ACTIONS(1300),
    [anon_sym__alignof] = ACTIONS(1300),
    [anon_sym_alignof] = ACTIONS(1300),
    [anon_sym__Alignof] = ACTIONS(1300),
    [anon_sym_offsetof] = ACTIONS(1300),
    [anon_sym__Generic] = ACTIONS(1300),
    [anon_sym_asm] = ACTIONS(1300),
    [anon_sym___asm__] = ACTIONS(1300),
    [anon_sym___asm] = ACTIONS(1300),
    [sym_number_literal] = ACTIONS(1302),
    [anon_sym_L_SQUOTE] = ACTIONS(1302),
    [anon_sym_u_SQUOTE] = ACTIONS(1302),
    [anon_sym_U_SQUOTE] = ACTIONS(1302),
    [anon_sym_u8_SQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_L_DQUOTE] = ACTIONS(1302),
    [anon_sym_u_DQUOTE] = ACTIONS(1302),
    [anon_sym_U_DQUOTE] = ACTIONS(1302),
    [anon_sym_u8_DQUOTE] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [sym_true] = ACTIONS(1300),
    [sym_false] = ACTIONS(1300),
    [anon_sym_NULL] = ACTIONS(1300),
    [anon_sym_nullptr] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1348),
    [aux_sym_preproc_include_token1] = ACTIONS(1348),
    [aux_sym_preproc_def_token1] = ACTIONS(1348),
    [aux_sym_preproc_if_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1348),
    [sym_preproc_directive] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_extern] = ACTIONS(1348),
    [anon_sym___attribute__] = ACTIONS(1348),
    [anon_sym___attribute] = ACTIONS(1348),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1348),
    [anon_sym___cdecl] = ACTIONS(1348),
    [anon_sym___clrcall] = ACTIONS(1348),
    [anon_sym___stdcall] = ACTIONS(1348),
    [anon_sym___fastcall] = ACTIONS(1348),
    [anon_sym___thiscall] = ACTIONS(1348),
    [anon_sym___vectorcall] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1348),
    [anon_sym_unsigned] = ACTIONS(1348),
    [anon_sym_long] = ACTIONS(1348),
    [anon_sym_short] = ACTIONS(1348),
    [anon_sym_static] = ACTIONS(1348),
    [anon_sym_auto] = ACTIONS(1348),
    [anon_sym_register] = ACTIONS(1348),
    [anon_sym_inline] = ACTIONS(1348),
    [anon_sym___inline] = ACTIONS(1348),
    [anon_sym___inline__] = ACTIONS(1348),
    [anon_sym___forceinline] = ACTIONS(1348),
    [anon_sym_thread_local] = ACTIONS(1348),
    [anon_sym___thread] = ACTIONS(1348),
    [anon_sym_const] = ACTIONS(1348),
    [anon_sym_constexpr] = ACTIONS(1348),
    [anon_sym_volatile] = ACTIONS(1348),
    [anon_sym_restrict] = ACTIONS(1348),
    [anon_sym___restrict__] = ACTIONS(1348),
    [anon_sym__Atomic] = ACTIONS(1348),
    [anon_sym__Noreturn] = ACTIONS(1348),
    [anon_sym_noreturn] = ACTIONS(1348),
    [anon_sym__Nonnull] = ACTIONS(1348),
    [anon_sym_alignas] = ACTIONS(1348),
    [anon_sym__Alignas] = ACTIONS(1348),
    [sym_primitive_type] = ACTIONS(1348),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_struct] = ACTIONS(1348),
    [anon_sym_union] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_case] = ACTIONS(1348),
    [anon_sym_default] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_break] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_goto] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1348),
    [anon_sym___alignof__] = ACTIONS(1348),
    [anon_sym___alignof] = ACTIONS(1348),
    [anon_sym__alignof] = ACTIONS(1348),
    [anon_sym_alignof] = ACTIONS(1348),
    [anon_sym__Alignof] = ACTIONS(1348),
    [anon_sym_offsetof] = ACTIONS(1348),
    [anon_sym__Generic] = ACTIONS(1348),
    [anon_sym_asm] = ACTIONS(1348),
    [anon_sym___asm__] = ACTIONS(1348),
    [anon_sym___asm] = ACTIONS(1348),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1348),
    [sym_false] = ACTIONS(1348),
    [anon_sym_NULL] = ACTIONS(1348),
    [anon_sym_nullptr] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_identifier] = ACTIONS(1364),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1364),
    [aux_sym_preproc_if_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1364),
    [sym_preproc_directive] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1366),
    [anon_sym_AMP] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym___extension__] = ACTIONS(1364),
    [anon_sym_typedef] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym___attribute__] = ACTIONS(1364),
    [anon_sym___attribute] = ACTIONS(1364),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1366),
    [anon_sym___declspec] = ACTIONS(1364),
    [anon_sym___cdecl] = ACTIONS(1364),
    [anon_sym___clrcall] = ACTIONS(1364),
    [anon_sym___stdcall] = ACTIONS(1364),
    [anon_sym___fastcall] = ACTIONS(1364),
    [anon_sym___thiscall] = ACTIONS(1364),
    [anon_sym___vectorcall] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_signed] = ACTIONS(1364),
    [anon_sym_unsigned] = ACTIONS(1364),
    [anon_sym_long] = ACTIONS(1364),
    [anon_sym_short] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_auto] = ACTIONS(1364),
    [anon_sym_register] = ACTIONS(1364),
    [anon_sym_inline] = ACTIONS(1364),
    [anon_sym___inline] = ACTIONS(1364),
    [anon_sym___inline__] = ACTIONS(1364),
    [anon_sym___forceinline] = ACTIONS(1364),
    [anon_sym_thread_local] = ACTIONS(1364),
    [anon_sym___thread] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_constexpr] = ACTIONS(1364),
    [anon_sym_volatile] = ACTIONS(1364),
    [anon_sym_restrict] = ACTIONS(1364),
    [anon_sym___restrict__] = ACTIONS(1364),
    [anon_sym__Atomic] = ACTIONS(1364),
    [anon_sym__Noreturn] = ACTIONS(1364),
    [anon_sym_noreturn] = ACTIONS(1364),
    [anon_sym__Nonnull] = ACTIONS(1364),
    [anon_sym_alignas] = ACTIONS(1364),
    [anon_sym__Alignas] = ACTIONS(1364),
    [sym_primitive_type] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_switch] = ACTIONS(1364),
    [anon_sym_case] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_goto] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_sizeof] = ACTIONS(1364),
    [anon_sym___alignof__] = ACTIONS(1364),
    [anon_sym___alignof] = ACTIONS(1364),
    [anon_sym__alignof] = ACTIONS(1364),
    [anon_sym_alignof] = ACTIONS(1364),
    [anon_sym__Alignof] = ACTIONS(1364),
    [anon_sym_offsetof] = ACTIONS(1364),
    [anon_sym__Generic] = ACTIONS(1364),
    [anon_sym_asm] = ACTIONS(1364),
    [anon_sym___asm__] = ACTIONS(1364),
    [anon_sym___asm] = ACTIONS(1364),
    [sym_number_literal] = ACTIONS(1366),
    [anon_sym_L_SQUOTE] = ACTIONS(1366),
    [anon_sym_u_SQUOTE] = ACTIONS(1366),
    [anon_sym_U_SQUOTE] = ACTIONS(1366),
    [anon_sym_u8_SQUOTE] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_L_DQUOTE] = ACTIONS(1366),
    [anon_sym_u_DQUOTE] = ACTIONS(1366),
    [anon_sym_U_DQUOTE] = ACTIONS(1366),
    [anon_sym_u8_DQUOTE] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [sym_true] = ACTIONS(1364),
    [sym_false] = ACTIONS(1364),
    [anon_sym_NULL] = ACTIONS(1364),
    [anon_sym_nullptr] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_attribute_declaration] = STATE(344),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(159),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_attribute_declaration] = STATE(330),
    [sym_compound_statement] = STATE(93),
    [sym_attributed_statement] = STATE(93),
    [sym_statement] = STATE(115),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_identifier] = ACTIONS(1336),
    [aux_sym_preproc_include_token1] = ACTIONS(1336),
    [aux_sym_preproc_def_token1] = ACTIONS(1336),
    [aux_sym_preproc_if_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1336),
    [sym_preproc_directive] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_STAR] = ACTIONS(1338),
    [anon_sym_AMP] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [anon_sym___extension__] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_extern] = ACTIONS(1336),
    [anon_sym___attribute__] = ACTIONS(1336),
    [anon_sym___attribute] = ACTIONS(1336),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1338),
    [anon_sym___declspec] = ACTIONS(1336),
    [anon_sym___cdecl] = ACTIONS(1336),
    [anon_sym___clrcall] = ACTIONS(1336),
    [anon_sym___stdcall] = ACTIONS(1336),
    [anon_sym___fastcall] = ACTIONS(1336),
    [anon_sym___thiscall] = ACTIONS(1336),
    [anon_sym___vectorcall] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_signed] = ACTIONS(1336),
    [anon_sym_unsigned] = ACTIONS(1336),
    [anon_sym_long] = ACTIONS(1336),
    [anon_sym_short] = ACTIONS(1336),
    [anon_sym_static] = ACTIONS(1336),
    [anon_sym_auto] = ACTIONS(1336),
    [anon_sym_register] = ACTIONS(1336),
    [anon_sym_inline] = ACTIONS(1336),
    [anon_sym___inline] = ACTIONS(1336),
    [anon_sym___inline__] = ACTIONS(1336),
    [anon_sym___forceinline] = ACTIONS(1336),
    [anon_sym_thread_local] = ACTIONS(1336),
    [anon_sym___thread] = ACTIONS(1336),
    [anon_sym_const] = ACTIONS(1336),
    [anon_sym_constexpr] = ACTIONS(1336),
    [anon_sym_volatile] = ACTIONS(1336),
    [anon_sym_restrict] = ACTIONS(1336),
    [anon_sym___restrict__] = ACTIONS(1336),
    [anon_sym__Atomic] = ACTIONS(1336),
    [anon_sym__Noreturn] = ACTIONS(1336),
    [anon_sym_noreturn] = ACTIONS(1336),
    [anon_sym__Nonnull] = ACTIONS(1336),
    [anon_sym_alignas] = ACTIONS(1336),
    [anon_sym__Alignas] = ACTIONS(1336),
    [sym_primitive_type] = ACTIONS(1336),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_struct] = ACTIONS(1336),
    [anon_sym_union] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_case] = ACTIONS(1336),
    [anon_sym_default] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_break] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_goto] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_sizeof] = ACTIONS(1336),
    [anon_sym___alignof__] = ACTIONS(1336),
    [anon_sym___alignof] = ACTIONS(1336),
    [anon_sym__alignof] = ACTIONS(1336),
    [anon_sym_alignof] = ACTIONS(1336),
    [anon_sym__Alignof] = ACTIONS(1336),
    [anon_sym_offsetof] = ACTIONS(1336),
    [anon_sym__Generic] = ACTIONS(1336),
    [anon_sym_asm] = ACTIONS(1336),
    [anon_sym___asm__] = ACTIONS(1336),
    [anon_sym___asm] = ACTIONS(1336),
    [sym_number_literal] = ACTIONS(1338),
    [anon_sym_L_SQUOTE] = ACTIONS(1338),
    [anon_sym_u_SQUOTE] = ACTIONS(1338),
    [anon_sym_U_SQUOTE] = ACTIONS(1338),
    [anon_sym_u8_SQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1336),
    [sym_false] = ACTIONS(1336),
    [anon_sym_NULL] = ACTIONS(1336),
    [anon_sym_nullptr] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_attribute_declaration] = STATE(370),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(190),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(370),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_attribute_declaration] = STATE(344),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(157),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_attribute_declaration] = STATE(350),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_statement] = STATE(150),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1896),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(350),
    [sym_identifier] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(61),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(933),
    [anon_sym___leave] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_attribute_declaration] = STATE(330),
    [sym_compound_statement] = STATE(93),
    [sym_attributed_statement] = STATE(93),
    [sym_statement] = STATE(80),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_attribute_declaration] = STATE(330),
    [sym_compound_statement] = STATE(93),
    [sym_attributed_statement] = STATE(93),
    [sym_statement] = STATE(82),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym_identifier] = ACTIONS(1635),
    [aux_sym_preproc_include_token1] = ACTIONS(1635),
    [aux_sym_preproc_def_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1635),
    [sym_preproc_directive] = ACTIONS(1635),
    [anon_sym_LPAREN2] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_typedef] = ACTIONS(1635),
    [anon_sym_extern] = ACTIONS(1635),
    [anon_sym___attribute__] = ACTIONS(1635),
    [anon_sym___attribute] = ACTIONS(1635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1633),
    [anon_sym___declspec] = ACTIONS(1635),
    [anon_sym___cdecl] = ACTIONS(1635),
    [anon_sym___clrcall] = ACTIONS(1635),
    [anon_sym___stdcall] = ACTIONS(1635),
    [anon_sym___fastcall] = ACTIONS(1635),
    [anon_sym___thiscall] = ACTIONS(1635),
    [anon_sym___vectorcall] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_signed] = ACTIONS(1635),
    [anon_sym_unsigned] = ACTIONS(1635),
    [anon_sym_long] = ACTIONS(1635),
    [anon_sym_short] = ACTIONS(1635),
    [anon_sym_static] = ACTIONS(1635),
    [anon_sym_auto] = ACTIONS(1635),
    [anon_sym_register] = ACTIONS(1635),
    [anon_sym_inline] = ACTIONS(1635),
    [anon_sym___inline] = ACTIONS(1635),
    [anon_sym___inline__] = ACTIONS(1635),
    [anon_sym___forceinline] = ACTIONS(1635),
    [anon_sym_thread_local] = ACTIONS(1635),
    [anon_sym___thread] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_constexpr] = ACTIONS(1635),
    [anon_sym_volatile] = ACTIONS(1635),
    [anon_sym_restrict] = ACTIONS(1635),
    [anon_sym___restrict__] = ACTIONS(1635),
    [anon_sym__Atomic] = ACTIONS(1635),
    [anon_sym__Noreturn] = ACTIONS(1635),
    [anon_sym_noreturn] = ACTIONS(1635),
    [anon_sym__Nonnull] = ACTIONS(1635),
    [anon_sym_alignas] = ACTIONS(1635),
    [anon_sym__Alignas] = ACTIONS(1635),
    [sym_primitive_type] = ACTIONS(1635),
    [anon_sym_enum] = ACTIONS(1635),
    [anon_sym_struct] = ACTIONS(1635),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1635),
    [anon_sym_goto] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_sizeof] = ACTIONS(1635),
    [anon_sym___alignof__] = ACTIONS(1635),
    [anon_sym___alignof] = ACTIONS(1635),
    [anon_sym__alignof] = ACTIONS(1635),
    [anon_sym_alignof] = ACTIONS(1635),
    [anon_sym__Alignof] = ACTIONS(1635),
    [anon_sym_offsetof] = ACTIONS(1635),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1635),
    [anon_sym___asm__] = ACTIONS(1635),
    [anon_sym___asm] = ACTIONS(1635),
    [sym_number_literal] = ACTIONS(1633),
    [anon_sym_L_SQUOTE] = ACTIONS(1633),
    [anon_sym_u_SQUOTE] = ACTIONS(1633),
    [anon_sym_U_SQUOTE] = ACTIONS(1633),
    [anon_sym_u8_SQUOTE] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1633),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(207),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(203),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_attribute_declaration] = STATE(344),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(148),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_attribute_declaration] = STATE(370),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(190),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(370),
    [sym_identifier] = ACTIONS(1637),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1640),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1646),
    [anon_sym_default] = ACTIONS(1649),
    [anon_sym_while] = ACTIONS(1652),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1483),
    [anon_sym___try] = ACTIONS(1658),
    [anon_sym___leave] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_sizeof] = ACTIONS(1495),
    [anon_sym___alignof__] = ACTIONS(1498),
    [anon_sym___alignof] = ACTIONS(1498),
    [anon_sym__alignof] = ACTIONS(1498),
    [anon_sym_alignof] = ACTIONS(1498),
    [anon_sym__Alignof] = ACTIONS(1498),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1507),
    [anon_sym___asm__] = ACTIONS(1507),
    [anon_sym___asm] = ACTIONS(1507),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1513),
    [anon_sym_u_SQUOTE] = ACTIONS(1513),
    [anon_sym_U_SQUOTE] = ACTIONS(1513),
    [anon_sym_u8_SQUOTE] = ACTIONS(1513),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_L_DQUOTE] = ACTIONS(1516),
    [anon_sym_u_DQUOTE] = ACTIONS(1516),
    [anon_sym_U_DQUOTE] = ACTIONS(1516),
    [anon_sym_u8_DQUOTE] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [anon_sym_NULL] = ACTIONS(1522),
    [anon_sym_nullptr] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(179),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_attribute_declaration] = STATE(372),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(246),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(372),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_LPAREN2] = ACTIONS(1429),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1640),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1670),
    [anon_sym_switch] = ACTIONS(1673),
    [anon_sym_case] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1682),
    [anon_sym_do] = ACTIONS(1685),
    [anon_sym_for] = ACTIONS(1688),
    [anon_sym_return] = ACTIONS(1691),
    [anon_sym_break] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(1697),
    [anon_sym_goto] = ACTIONS(1700),
    [anon_sym___try] = ACTIONS(1703),
    [anon_sym___leave] = ACTIONS(1661),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_sizeof] = ACTIONS(1495),
    [anon_sym___alignof__] = ACTIONS(1498),
    [anon_sym___alignof] = ACTIONS(1498),
    [anon_sym__alignof] = ACTIONS(1498),
    [anon_sym_alignof] = ACTIONS(1498),
    [anon_sym__Alignof] = ACTIONS(1498),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1507),
    [anon_sym___asm__] = ACTIONS(1507),
    [anon_sym___asm] = ACTIONS(1507),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1513),
    [anon_sym_u_SQUOTE] = ACTIONS(1513),
    [anon_sym_U_SQUOTE] = ACTIONS(1513),
    [anon_sym_u8_SQUOTE] = ACTIONS(1513),
    [anon_sym_SQUOTE] = ACTIONS(1513),
    [anon_sym_L_DQUOTE] = ACTIONS(1516),
    [anon_sym_u_DQUOTE] = ACTIONS(1516),
    [anon_sym_U_DQUOTE] = ACTIONS(1516),
    [anon_sym_u8_DQUOTE] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [anon_sym_NULL] = ACTIONS(1522),
    [anon_sym_nullptr] = ACTIONS(1522),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(406),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_attribute_declaration] = STATE(344),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(254),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(344),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_case] = ACTIONS(386),
    [anon_sym_default] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(390),
    [anon_sym_do] = ACTIONS(392),
    [anon_sym_for] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(396),
    [anon_sym_break] = ACTIONS(398),
    [anon_sym_continue] = ACTIONS(400),
    [anon_sym_goto] = ACTIONS(402),
    [anon_sym___try] = ACTIONS(404),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_identifier] = ACTIONS(1262),
    [aux_sym_preproc_include_token1] = ACTIONS(1262),
    [aux_sym_preproc_def_token1] = ACTIONS(1262),
    [aux_sym_preproc_if_token1] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1262),
    [sym_preproc_directive] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym___extension__] = ACTIONS(1262),
    [anon_sym_typedef] = ACTIONS(1262),
    [anon_sym_extern] = ACTIONS(1262),
    [anon_sym___attribute__] = ACTIONS(1262),
    [anon_sym___attribute] = ACTIONS(1262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1264),
    [anon_sym___declspec] = ACTIONS(1262),
    [anon_sym___cdecl] = ACTIONS(1262),
    [anon_sym___clrcall] = ACTIONS(1262),
    [anon_sym___stdcall] = ACTIONS(1262),
    [anon_sym___fastcall] = ACTIONS(1262),
    [anon_sym___thiscall] = ACTIONS(1262),
    [anon_sym___vectorcall] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_signed] = ACTIONS(1262),
    [anon_sym_unsigned] = ACTIONS(1262),
    [anon_sym_long] = ACTIONS(1262),
    [anon_sym_short] = ACTIONS(1262),
    [anon_sym_static] = ACTIONS(1262),
    [anon_sym_auto] = ACTIONS(1262),
    [anon_sym_register] = ACTIONS(1262),
    [anon_sym_inline] = ACTIONS(1262),
    [anon_sym___inline] = ACTIONS(1262),
    [anon_sym___inline__] = ACTIONS(1262),
    [anon_sym___forceinline] = ACTIONS(1262),
    [anon_sym_thread_local] = ACTIONS(1262),
    [anon_sym___thread] = ACTIONS(1262),
    [anon_sym_const] = ACTIONS(1262),
    [anon_sym_constexpr] = ACTIONS(1262),
    [anon_sym_volatile] = ACTIONS(1262),
    [anon_sym_restrict] = ACTIONS(1262),
    [anon_sym___restrict__] = ACTIONS(1262),
    [anon_sym__Atomic] = ACTIONS(1262),
    [anon_sym__Noreturn] = ACTIONS(1262),
    [anon_sym_noreturn] = ACTIONS(1262),
    [anon_sym__Nonnull] = ACTIONS(1262),
    [anon_sym_alignas] = ACTIONS(1262),
    [anon_sym__Alignas] = ACTIONS(1262),
    [sym_primitive_type] = ACTIONS(1262),
    [anon_sym_enum] = ACTIONS(1262),
    [anon_sym_struct] = ACTIONS(1262),
    [anon_sym_union] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_switch] = ACTIONS(1262),
    [anon_sym_case] = ACTIONS(1262),
    [anon_sym_default] = ACTIONS(1262),
    [anon_sym_while] = ACTIONS(1262),
    [anon_sym_do] = ACTIONS(1262),
    [anon_sym_for] = ACTIONS(1262),
    [anon_sym_return] = ACTIONS(1262),
    [anon_sym_break] = ACTIONS(1262),
    [anon_sym_continue] = ACTIONS(1262),
    [anon_sym_goto] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_sizeof] = ACTIONS(1262),
    [anon_sym___alignof__] = ACTIONS(1262),
    [anon_sym___alignof] = ACTIONS(1262),
    [anon_sym__alignof] = ACTIONS(1262),
    [anon_sym_alignof] = ACTIONS(1262),
    [anon_sym__Alignof] = ACTIONS(1262),
    [anon_sym_offsetof] = ACTIONS(1262),
    [anon_sym__Generic] = ACTIONS(1262),
    [anon_sym_asm] = ACTIONS(1262),
    [anon_sym___asm__] = ACTIONS(1262),
    [anon_sym___asm] = ACTIONS(1262),
    [sym_number_literal] = ACTIONS(1264),
    [anon_sym_L_SQUOTE] = ACTIONS(1264),
    [anon_sym_u_SQUOTE] = ACTIONS(1264),
    [anon_sym_U_SQUOTE] = ACTIONS(1264),
    [anon_sym_u8_SQUOTE] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_L_DQUOTE] = ACTIONS(1264),
    [anon_sym_u_DQUOTE] = ACTIONS(1264),
    [anon_sym_U_DQUOTE] = ACTIONS(1264),
    [anon_sym_u8_DQUOTE] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [sym_true] = ACTIONS(1262),
    [sym_false] = ACTIONS(1262),
    [anon_sym_NULL] = ACTIONS(1262),
    [anon_sym_nullptr] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym___attribute] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [anon_sym__Nonnull] = ACTIONS(1312),
    [anon_sym_alignas] = ACTIONS(1312),
    [anon_sym__Alignas] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [anon_sym___asm] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_identifier] = ACTIONS(1360),
    [aux_sym_preproc_include_token1] = ACTIONS(1360),
    [aux_sym_preproc_def_token1] = ACTIONS(1360),
    [aux_sym_preproc_if_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1360),
    [sym_preproc_directive] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_STAR] = ACTIONS(1362),
    [anon_sym_AMP] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym___extension__] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_extern] = ACTIONS(1360),
    [anon_sym___attribute__] = ACTIONS(1360),
    [anon_sym___attribute] = ACTIONS(1360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1362),
    [anon_sym___declspec] = ACTIONS(1360),
    [anon_sym___cdecl] = ACTIONS(1360),
    [anon_sym___clrcall] = ACTIONS(1360),
    [anon_sym___stdcall] = ACTIONS(1360),
    [anon_sym___fastcall] = ACTIONS(1360),
    [anon_sym___thiscall] = ACTIONS(1360),
    [anon_sym___vectorcall] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_signed] = ACTIONS(1360),
    [anon_sym_unsigned] = ACTIONS(1360),
    [anon_sym_long] = ACTIONS(1360),
    [anon_sym_short] = ACTIONS(1360),
    [anon_sym_static] = ACTIONS(1360),
    [anon_sym_auto] = ACTIONS(1360),
    [anon_sym_register] = ACTIONS(1360),
    [anon_sym_inline] = ACTIONS(1360),
    [anon_sym___inline] = ACTIONS(1360),
    [anon_sym___inline__] = ACTIONS(1360),
    [anon_sym___forceinline] = ACTIONS(1360),
    [anon_sym_thread_local] = ACTIONS(1360),
    [anon_sym___thread] = ACTIONS(1360),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_constexpr] = ACTIONS(1360),
    [anon_sym_volatile] = ACTIONS(1360),
    [anon_sym_restrict] = ACTIONS(1360),
    [anon_sym___restrict__] = ACTIONS(1360),
    [anon_sym__Atomic] = ACTIONS(1360),
    [anon_sym__Noreturn] = ACTIONS(1360),
    [anon_sym_noreturn] = ACTIONS(1360),
    [anon_sym__Nonnull] = ACTIONS(1360),
    [anon_sym_alignas] = ACTIONS(1360),
    [anon_sym__Alignas] = ACTIONS(1360),
    [sym_primitive_type] = ACTIONS(1360),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_struct] = ACTIONS(1360),
    [anon_sym_union] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_case] = ACTIONS(1360),
    [anon_sym_default] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_break] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_goto] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_sizeof] = ACTIONS(1360),
    [anon_sym___alignof__] = ACTIONS(1360),
    [anon_sym___alignof] = ACTIONS(1360),
    [anon_sym__alignof] = ACTIONS(1360),
    [anon_sym_alignof] = ACTIONS(1360),
    [anon_sym__Alignof] = ACTIONS(1360),
    [anon_sym_offsetof] = ACTIONS(1360),
    [anon_sym__Generic] = ACTIONS(1360),
    [anon_sym_asm] = ACTIONS(1360),
    [anon_sym___asm__] = ACTIONS(1360),
    [anon_sym___asm] = ACTIONS(1360),
    [sym_number_literal] = ACTIONS(1362),
    [anon_sym_L_SQUOTE] = ACTIONS(1362),
    [anon_sym_u_SQUOTE] = ACTIONS(1362),
    [anon_sym_U_SQUOTE] = ACTIONS(1362),
    [anon_sym_u8_SQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_L_DQUOTE] = ACTIONS(1362),
    [anon_sym_u_DQUOTE] = ACTIONS(1362),
    [anon_sym_U_DQUOTE] = ACTIONS(1362),
    [anon_sym_u8_DQUOTE] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [sym_true] = ACTIONS(1360),
    [sym_false] = ACTIONS(1360),
    [anon_sym_NULL] = ACTIONS(1360),
    [anon_sym_nullptr] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_attribute_declaration] = STATE(330),
    [sym_compound_statement] = STATE(93),
    [sym_attributed_statement] = STATE(93),
    [sym_statement] = STATE(109),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym_expression] = STATE(1065),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1973),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(125),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(133),
    [anon_sym_if] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(137),
    [anon_sym_case] = ACTIONS(139),
    [anon_sym_default] = ACTIONS(141),
    [anon_sym_while] = ACTIONS(143),
    [anon_sym_do] = ACTIONS(145),
    [anon_sym_for] = ACTIONS(147),
    [anon_sym_return] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(151),
    [anon_sym_continue] = ACTIONS(153),
    [anon_sym_goto] = ACTIONS(155),
    [anon_sym___try] = ACTIONS(157),
    [anon_sym___leave] = ACTIONS(159),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1344),
    [aux_sym_preproc_include_token1] = ACTIONS(1344),
    [aux_sym_preproc_def_token1] = ACTIONS(1344),
    [aux_sym_preproc_if_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1344),
    [sym_preproc_directive] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_STAR] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [anon_sym___extension__] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_extern] = ACTIONS(1344),
    [anon_sym___attribute__] = ACTIONS(1344),
    [anon_sym___attribute] = ACTIONS(1344),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1346),
    [anon_sym___declspec] = ACTIONS(1344),
    [anon_sym___cdecl] = ACTIONS(1344),
    [anon_sym___clrcall] = ACTIONS(1344),
    [anon_sym___stdcall] = ACTIONS(1344),
    [anon_sym___fastcall] = ACTIONS(1344),
    [anon_sym___thiscall] = ACTIONS(1344),
    [anon_sym___vectorcall] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_signed] = ACTIONS(1344),
    [anon_sym_unsigned] = ACTIONS(1344),
    [anon_sym_long] = ACTIONS(1344),
    [anon_sym_short] = ACTIONS(1344),
    [anon_sym_static] = ACTIONS(1344),
    [anon_sym_auto] = ACTIONS(1344),
    [anon_sym_register] = ACTIONS(1344),
    [anon_sym_inline] = ACTIONS(1344),
    [anon_sym___inline] = ACTIONS(1344),
    [anon_sym___inline__] = ACTIONS(1344),
    [anon_sym___forceinline] = ACTIONS(1344),
    [anon_sym_thread_local] = ACTIONS(1344),
    [anon_sym___thread] = ACTIONS(1344),
    [anon_sym_const] = ACTIONS(1344),
    [anon_sym_constexpr] = ACTIONS(1344),
    [anon_sym_volatile] = ACTIONS(1344),
    [anon_sym_restrict] = ACTIONS(1344),
    [anon_sym___restrict__] = ACTIONS(1344),
    [anon_sym__Atomic] = ACTIONS(1344),
    [anon_sym__Noreturn] = ACTIONS(1344),
    [anon_sym_noreturn] = ACTIONS(1344),
    [anon_sym__Nonnull] = ACTIONS(1344),
    [anon_sym_alignas] = ACTIONS(1344),
    [anon_sym__Alignas] = ACTIONS(1344),
    [sym_primitive_type] = ACTIONS(1344),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_struct] = ACTIONS(1344),
    [anon_sym_union] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_case] = ACTIONS(1344),
    [anon_sym_default] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_break] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_goto] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_sizeof] = ACTIONS(1344),
    [anon_sym___alignof__] = ACTIONS(1344),
    [anon_sym___alignof] = ACTIONS(1344),
    [anon_sym__alignof] = ACTIONS(1344),
    [anon_sym_alignof] = ACTIONS(1344),
    [anon_sym__Alignof] = ACTIONS(1344),
    [anon_sym_offsetof] = ACTIONS(1344),
    [anon_sym__Generic] = ACTIONS(1344),
    [anon_sym_asm] = ACTIONS(1344),
    [anon_sym___asm__] = ACTIONS(1344),
    [anon_sym___asm] = ACTIONS(1344),
    [sym_number_literal] = ACTIONS(1346),
    [anon_sym_L_SQUOTE] = ACTIONS(1346),
    [anon_sym_u_SQUOTE] = ACTIONS(1346),
    [anon_sym_U_SQUOTE] = ACTIONS(1346),
    [anon_sym_u8_SQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_L_DQUOTE] = ACTIONS(1346),
    [anon_sym_u_DQUOTE] = ACTIONS(1346),
    [anon_sym_U_DQUOTE] = ACTIONS(1346),
    [anon_sym_u8_DQUOTE] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [sym_true] = ACTIONS(1344),
    [sym_false] = ACTIONS(1344),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_attribute_declaration] = STATE(361),
    [sym_compound_statement] = STATE(249),
    [sym_attributed_statement] = STATE(249),
    [sym_statement] = STATE(2012),
    [sym_labeled_statement] = STATE(249),
    [sym_expression_statement] = STATE(249),
    [sym_if_statement] = STATE(249),
    [sym_switch_statement] = STATE(249),
    [sym_case_statement] = STATE(249),
    [sym_while_statement] = STATE(249),
    [sym_do_statement] = STATE(249),
    [sym_for_statement] = STATE(249),
    [sym_return_statement] = STATE(249),
    [sym_break_statement] = STATE(249),
    [sym_continue_statement] = STATE(249),
    [sym_goto_statement] = STATE(249),
    [sym_seh_try_statement] = STATE(249),
    [sym_seh_leave_statement] = STATE(249),
    [sym_expression] = STATE(1050),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1867),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_attributed_declarator_repeat1] = STATE(361),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(370),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(63),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1095),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_break] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym___try] = ACTIONS(1099),
    [anon_sym___leave] = ACTIONS(406),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_identifier] = ACTIONS(1368),
    [aux_sym_preproc_include_token1] = ACTIONS(1368),
    [aux_sym_preproc_def_token1] = ACTIONS(1368),
    [aux_sym_preproc_if_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1368),
    [sym_preproc_directive] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1370),
    [anon_sym_AMP] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym___extension__] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym___attribute__] = ACTIONS(1368),
    [anon_sym___attribute] = ACTIONS(1368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1370),
    [anon_sym___declspec] = ACTIONS(1368),
    [anon_sym___cdecl] = ACTIONS(1368),
    [anon_sym___clrcall] = ACTIONS(1368),
    [anon_sym___stdcall] = ACTIONS(1368),
    [anon_sym___fastcall] = ACTIONS(1368),
    [anon_sym___thiscall] = ACTIONS(1368),
    [anon_sym___vectorcall] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_signed] = ACTIONS(1368),
    [anon_sym_unsigned] = ACTIONS(1368),
    [anon_sym_long] = ACTIONS(1368),
    [anon_sym_short] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_auto] = ACTIONS(1368),
    [anon_sym_register] = ACTIONS(1368),
    [anon_sym_inline] = ACTIONS(1368),
    [anon_sym___inline] = ACTIONS(1368),
    [anon_sym___inline__] = ACTIONS(1368),
    [anon_sym___forceinline] = ACTIONS(1368),
    [anon_sym_thread_local] = ACTIONS(1368),
    [anon_sym___thread] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_constexpr] = ACTIONS(1368),
    [anon_sym_volatile] = ACTIONS(1368),
    [anon_sym_restrict] = ACTIONS(1368),
    [anon_sym___restrict__] = ACTIONS(1368),
    [anon_sym__Atomic] = ACTIONS(1368),
    [anon_sym__Noreturn] = ACTIONS(1368),
    [anon_sym_noreturn] = ACTIONS(1368),
    [anon_sym__Nonnull] = ACTIONS(1368),
    [anon_sym_alignas] = ACTIONS(1368),
    [anon_sym__Alignas] = ACTIONS(1368),
    [sym_primitive_type] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_case] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_goto] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_sizeof] = ACTIONS(1368),
    [anon_sym___alignof__] = ACTIONS(1368),
    [anon_sym___alignof] = ACTIONS(1368),
    [anon_sym__alignof] = ACTIONS(1368),
    [anon_sym_alignof] = ACTIONS(1368),
    [anon_sym__Alignof] = ACTIONS(1368),
    [anon_sym_offsetof] = ACTIONS(1368),
    [anon_sym__Generic] = ACTIONS(1368),
    [anon_sym_asm] = ACTIONS(1368),
    [anon_sym___asm__] = ACTIONS(1368),
    [anon_sym___asm] = ACTIONS(1368),
    [sym_number_literal] = ACTIONS(1370),
    [anon_sym_L_SQUOTE] = ACTIONS(1370),
    [anon_sym_u_SQUOTE] = ACTIONS(1370),
    [anon_sym_U_SQUOTE] = ACTIONS(1370),
    [anon_sym_u8_SQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_L_DQUOTE] = ACTIONS(1370),
    [anon_sym_u_DQUOTE] = ACTIONS(1370),
    [anon_sym_U_DQUOTE] = ACTIONS(1370),
    [anon_sym_u8_DQUOTE] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [sym_true] = ACTIONS(1368),
    [sym_false] = ACTIONS(1368),
    [anon_sym_NULL] = ACTIONS(1368),
    [anon_sym_nullptr] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_expression] = STATE(967),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1709),
    [anon_sym_typedef] = ACTIONS(1712),
    [anon_sym_extern] = ACTIONS(1714),
    [anon_sym___attribute__] = ACTIONS(1714),
    [anon_sym___attribute] = ACTIONS(1714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1716),
    [anon_sym___declspec] = ACTIONS(1714),
    [anon_sym_signed] = ACTIONS(1714),
    [anon_sym_unsigned] = ACTIONS(1714),
    [anon_sym_long] = ACTIONS(1714),
    [anon_sym_short] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1714),
    [anon_sym_auto] = ACTIONS(1714),
    [anon_sym_register] = ACTIONS(1714),
    [anon_sym_inline] = ACTIONS(1714),
    [anon_sym___inline] = ACTIONS(1714),
    [anon_sym___inline__] = ACTIONS(1714),
    [anon_sym___forceinline] = ACTIONS(1714),
    [anon_sym_thread_local] = ACTIONS(1714),
    [anon_sym___thread] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1714),
    [anon_sym_constexpr] = ACTIONS(1714),
    [anon_sym_volatile] = ACTIONS(1714),
    [anon_sym_restrict] = ACTIONS(1714),
    [anon_sym___restrict__] = ACTIONS(1714),
    [anon_sym__Atomic] = ACTIONS(1714),
    [anon_sym__Noreturn] = ACTIONS(1714),
    [anon_sym_noreturn] = ACTIONS(1714),
    [anon_sym__Nonnull] = ACTIONS(1714),
    [anon_sym_alignas] = ACTIONS(1714),
    [anon_sym__Alignas] = ACTIONS(1714),
    [sym_primitive_type] = ACTIONS(1714),
    [anon_sym_enum] = ACTIONS(1714),
    [anon_sym_struct] = ACTIONS(1714),
    [anon_sym_union] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_expression] = STATE(967),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1709),
    [anon_sym_typedef] = ACTIONS(1718),
    [anon_sym_extern] = ACTIONS(1714),
    [anon_sym___attribute__] = ACTIONS(1714),
    [anon_sym___attribute] = ACTIONS(1714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1716),
    [anon_sym___declspec] = ACTIONS(1714),
    [anon_sym_signed] = ACTIONS(1714),
    [anon_sym_unsigned] = ACTIONS(1714),
    [anon_sym_long] = ACTIONS(1714),
    [anon_sym_short] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1714),
    [anon_sym_auto] = ACTIONS(1714),
    [anon_sym_register] = ACTIONS(1714),
    [anon_sym_inline] = ACTIONS(1714),
    [anon_sym___inline] = ACTIONS(1714),
    [anon_sym___inline__] = ACTIONS(1714),
    [anon_sym___forceinline] = ACTIONS(1714),
    [anon_sym_thread_local] = ACTIONS(1714),
    [anon_sym___thread] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1714),
    [anon_sym_constexpr] = ACTIONS(1714),
    [anon_sym_volatile] = ACTIONS(1714),
    [anon_sym_restrict] = ACTIONS(1714),
    [anon_sym___restrict__] = ACTIONS(1714),
    [anon_sym__Atomic] = ACTIONS(1714),
    [anon_sym__Noreturn] = ACTIONS(1714),
    [anon_sym_noreturn] = ACTIONS(1714),
    [anon_sym__Nonnull] = ACTIONS(1714),
    [anon_sym_alignas] = ACTIONS(1714),
    [anon_sym__Alignas] = ACTIONS(1714),
    [sym_primitive_type] = ACTIONS(1714),
    [anon_sym_enum] = ACTIONS(1714),
    [anon_sym_struct] = ACTIONS(1714),
    [anon_sym_union] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_expression] = STATE(967),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1709),
    [anon_sym_typedef] = ACTIONS(1720),
    [anon_sym_extern] = ACTIONS(1714),
    [anon_sym___attribute__] = ACTIONS(1714),
    [anon_sym___attribute] = ACTIONS(1714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1716),
    [anon_sym___declspec] = ACTIONS(1714),
    [anon_sym_signed] = ACTIONS(1714),
    [anon_sym_unsigned] = ACTIONS(1714),
    [anon_sym_long] = ACTIONS(1714),
    [anon_sym_short] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1714),
    [anon_sym_auto] = ACTIONS(1714),
    [anon_sym_register] = ACTIONS(1714),
    [anon_sym_inline] = ACTIONS(1714),
    [anon_sym___inline] = ACTIONS(1714),
    [anon_sym___inline__] = ACTIONS(1714),
    [anon_sym___forceinline] = ACTIONS(1714),
    [anon_sym_thread_local] = ACTIONS(1714),
    [anon_sym___thread] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1714),
    [anon_sym_constexpr] = ACTIONS(1714),
    [anon_sym_volatile] = ACTIONS(1714),
    [anon_sym_restrict] = ACTIONS(1714),
    [anon_sym___restrict__] = ACTIONS(1714),
    [anon_sym__Atomic] = ACTIONS(1714),
    [anon_sym__Noreturn] = ACTIONS(1714),
    [anon_sym_noreturn] = ACTIONS(1714),
    [anon_sym__Nonnull] = ACTIONS(1714),
    [anon_sym_alignas] = ACTIONS(1714),
    [anon_sym__Alignas] = ACTIONS(1714),
    [sym_primitive_type] = ACTIONS(1714),
    [anon_sym_enum] = ACTIONS(1714),
    [anon_sym_struct] = ACTIONS(1714),
    [anon_sym_union] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_expression] = STATE(967),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1709),
    [anon_sym_typedef] = ACTIONS(1722),
    [anon_sym_extern] = ACTIONS(1714),
    [anon_sym___attribute__] = ACTIONS(1714),
    [anon_sym___attribute] = ACTIONS(1714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1716),
    [anon_sym___declspec] = ACTIONS(1714),
    [anon_sym_signed] = ACTIONS(1714),
    [anon_sym_unsigned] = ACTIONS(1714),
    [anon_sym_long] = ACTIONS(1714),
    [anon_sym_short] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1714),
    [anon_sym_auto] = ACTIONS(1714),
    [anon_sym_register] = ACTIONS(1714),
    [anon_sym_inline] = ACTIONS(1714),
    [anon_sym___inline] = ACTIONS(1714),
    [anon_sym___inline__] = ACTIONS(1714),
    [anon_sym___forceinline] = ACTIONS(1714),
    [anon_sym_thread_local] = ACTIONS(1714),
    [anon_sym___thread] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1714),
    [anon_sym_constexpr] = ACTIONS(1714),
    [anon_sym_volatile] = ACTIONS(1714),
    [anon_sym_restrict] = ACTIONS(1714),
    [anon_sym___restrict__] = ACTIONS(1714),
    [anon_sym__Atomic] = ACTIONS(1714),
    [anon_sym__Noreturn] = ACTIONS(1714),
    [anon_sym_noreturn] = ACTIONS(1714),
    [anon_sym__Nonnull] = ACTIONS(1714),
    [anon_sym_alignas] = ACTIONS(1714),
    [anon_sym__Alignas] = ACTIONS(1714),
    [sym_primitive_type] = ACTIONS(1714),
    [anon_sym_enum] = ACTIONS(1714),
    [anon_sym_struct] = ACTIONS(1714),
    [anon_sym_union] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_expression] = STATE(897),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(679),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(679),
    [sym_call_expression] = STATE(679),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(679),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(679),
    [sym_initializer_list] = STATE(693),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1724),
    [anon_sym_TILDE] = ACTIONS(1726),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1394),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1394),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1394),
    [anon_sym_GT_GT] = ACTIONS(1394),
    [anon_sym___extension__] = ACTIONS(1728),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_RBRACK] = ACTIONS(1388),
    [anon_sym_EQ] = ACTIONS(1394),
    [anon_sym_QMARK] = ACTIONS(1388),
    [anon_sym_STAR_EQ] = ACTIONS(1388),
    [anon_sym_SLASH_EQ] = ACTIONS(1388),
    [anon_sym_PERCENT_EQ] = ACTIONS(1388),
    [anon_sym_PLUS_EQ] = ACTIONS(1388),
    [anon_sym_DASH_EQ] = ACTIONS(1388),
    [anon_sym_LT_LT_EQ] = ACTIONS(1388),
    [anon_sym_GT_GT_EQ] = ACTIONS(1388),
    [anon_sym_AMP_EQ] = ACTIONS(1388),
    [anon_sym_CARET_EQ] = ACTIONS(1388),
    [anon_sym_PIPE_EQ] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1730),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(1394),
    [anon_sym_DASH_GT] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1901),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(2015),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1840),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_expression] = STATE(967),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1709),
    [anon_sym_extern] = ACTIONS(1714),
    [anon_sym___attribute__] = ACTIONS(1714),
    [anon_sym___attribute] = ACTIONS(1714),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1716),
    [anon_sym___declspec] = ACTIONS(1714),
    [anon_sym_signed] = ACTIONS(1714),
    [anon_sym_unsigned] = ACTIONS(1714),
    [anon_sym_long] = ACTIONS(1714),
    [anon_sym_short] = ACTIONS(1714),
    [anon_sym_static] = ACTIONS(1714),
    [anon_sym_auto] = ACTIONS(1714),
    [anon_sym_register] = ACTIONS(1714),
    [anon_sym_inline] = ACTIONS(1714),
    [anon_sym___inline] = ACTIONS(1714),
    [anon_sym___inline__] = ACTIONS(1714),
    [anon_sym___forceinline] = ACTIONS(1714),
    [anon_sym_thread_local] = ACTIONS(1714),
    [anon_sym___thread] = ACTIONS(1714),
    [anon_sym_const] = ACTIONS(1714),
    [anon_sym_constexpr] = ACTIONS(1714),
    [anon_sym_volatile] = ACTIONS(1714),
    [anon_sym_restrict] = ACTIONS(1714),
    [anon_sym___restrict__] = ACTIONS(1714),
    [anon_sym__Atomic] = ACTIONS(1714),
    [anon_sym__Noreturn] = ACTIONS(1714),
    [anon_sym_noreturn] = ACTIONS(1714),
    [anon_sym__Nonnull] = ACTIONS(1714),
    [anon_sym_alignas] = ACTIONS(1714),
    [anon_sym__Alignas] = ACTIONS(1714),
    [sym_primitive_type] = ACTIONS(1714),
    [anon_sym_enum] = ACTIONS(1714),
    [anon_sym_struct] = ACTIONS(1714),
    [anon_sym_union] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1797),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1790),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1876),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1988),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1914),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1933),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1818),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1799),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_compound_statement] = STATE(2002),
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1984),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1103),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1962),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_type_qualifier] = STATE(1014),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(1101),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_expression] = STATE(1079),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_type_descriptor] = STATE(1777),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__type_definition_type_repeat1] = STATE(1014),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1042),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_signed] = ACTIONS(1734),
    [anon_sym_unsigned] = ACTIONS(1734),
    [anon_sym_long] = ACTIONS(1734),
    [anon_sym_short] = ACTIONS(1734),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1740),
    [anon_sym_RPAREN] = ACTIONS(1740),
    [anon_sym_LPAREN2] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_PLUS] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_AMP] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym___extension__] = ACTIONS(1738),
    [anon_sym_extern] = ACTIONS(1738),
    [anon_sym___attribute__] = ACTIONS(1738),
    [anon_sym___attribute] = ACTIONS(1738),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1740),
    [anon_sym___declspec] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_signed] = ACTIONS(1738),
    [anon_sym_unsigned] = ACTIONS(1738),
    [anon_sym_long] = ACTIONS(1738),
    [anon_sym_short] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_static] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1740),
    [anon_sym_auto] = ACTIONS(1738),
    [anon_sym_register] = ACTIONS(1738),
    [anon_sym_inline] = ACTIONS(1738),
    [anon_sym___inline] = ACTIONS(1738),
    [anon_sym___inline__] = ACTIONS(1738),
    [anon_sym___forceinline] = ACTIONS(1738),
    [anon_sym_thread_local] = ACTIONS(1738),
    [anon_sym___thread] = ACTIONS(1738),
    [anon_sym_const] = ACTIONS(1738),
    [anon_sym_constexpr] = ACTIONS(1738),
    [anon_sym_volatile] = ACTIONS(1738),
    [anon_sym_restrict] = ACTIONS(1738),
    [anon_sym___restrict__] = ACTIONS(1738),
    [anon_sym__Atomic] = ACTIONS(1738),
    [anon_sym__Noreturn] = ACTIONS(1738),
    [anon_sym_noreturn] = ACTIONS(1738),
    [anon_sym__Nonnull] = ACTIONS(1738),
    [anon_sym_alignas] = ACTIONS(1738),
    [anon_sym__Alignas] = ACTIONS(1738),
    [sym_primitive_type] = ACTIONS(1738),
    [anon_sym_enum] = ACTIONS(1738),
    [anon_sym_COLON] = ACTIONS(1740),
    [anon_sym_struct] = ACTIONS(1738),
    [anon_sym_union] = ACTIONS(1738),
    [anon_sym_if] = ACTIONS(1738),
    [anon_sym_switch] = ACTIONS(1738),
    [anon_sym_case] = ACTIONS(1738),
    [anon_sym_default] = ACTIONS(1738),
    [anon_sym_while] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1738),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_return] = ACTIONS(1738),
    [anon_sym_break] = ACTIONS(1738),
    [anon_sym_continue] = ACTIONS(1738),
    [anon_sym_goto] = ACTIONS(1738),
    [anon_sym___try] = ACTIONS(1738),
    [anon_sym___leave] = ACTIONS(1738),
    [anon_sym_DASH_DASH] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1740),
    [anon_sym_sizeof] = ACTIONS(1738),
    [anon_sym___alignof__] = ACTIONS(1738),
    [anon_sym___alignof] = ACTIONS(1738),
    [anon_sym__alignof] = ACTIONS(1738),
    [anon_sym_alignof] = ACTIONS(1738),
    [anon_sym__Alignof] = ACTIONS(1738),
    [anon_sym_offsetof] = ACTIONS(1738),
    [anon_sym__Generic] = ACTIONS(1738),
    [anon_sym_asm] = ACTIONS(1738),
    [anon_sym___asm__] = ACTIONS(1738),
    [anon_sym___asm] = ACTIONS(1738),
    [sym_number_literal] = ACTIONS(1740),
    [anon_sym_L_SQUOTE] = ACTIONS(1740),
    [anon_sym_u_SQUOTE] = ACTIONS(1740),
    [anon_sym_U_SQUOTE] = ACTIONS(1740),
    [anon_sym_u8_SQUOTE] = ACTIONS(1740),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [anon_sym_L_DQUOTE] = ACTIONS(1740),
    [anon_sym_u_DQUOTE] = ACTIONS(1740),
    [anon_sym_U_DQUOTE] = ACTIONS(1740),
    [anon_sym_u8_DQUOTE] = ACTIONS(1740),
    [anon_sym_DQUOTE] = ACTIONS(1740),
    [sym_true] = ACTIONS(1738),
    [sym_false] = ACTIONS(1738),
    [anon_sym_NULL] = ACTIONS(1738),
    [anon_sym_nullptr] = ACTIONS(1738),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1744),
    [anon_sym_LPAREN2] = ACTIONS(1744),
    [anon_sym_BANG] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym___extension__] = ACTIONS(1742),
    [anon_sym_extern] = ACTIONS(1742),
    [anon_sym___attribute__] = ACTIONS(1742),
    [anon_sym___attribute] = ACTIONS(1742),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1744),
    [anon_sym___declspec] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1744),
    [anon_sym_signed] = ACTIONS(1742),
    [anon_sym_unsigned] = ACTIONS(1742),
    [anon_sym_long] = ACTIONS(1742),
    [anon_sym_short] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1742),
    [anon_sym_static] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_auto] = ACTIONS(1742),
    [anon_sym_register] = ACTIONS(1742),
    [anon_sym_inline] = ACTIONS(1742),
    [anon_sym___inline] = ACTIONS(1742),
    [anon_sym___inline__] = ACTIONS(1742),
    [anon_sym___forceinline] = ACTIONS(1742),
    [anon_sym_thread_local] = ACTIONS(1742),
    [anon_sym___thread] = ACTIONS(1742),
    [anon_sym_const] = ACTIONS(1742),
    [anon_sym_constexpr] = ACTIONS(1742),
    [anon_sym_volatile] = ACTIONS(1742),
    [anon_sym_restrict] = ACTIONS(1742),
    [anon_sym___restrict__] = ACTIONS(1742),
    [anon_sym__Atomic] = ACTIONS(1742),
    [anon_sym__Noreturn] = ACTIONS(1742),
    [anon_sym_noreturn] = ACTIONS(1742),
    [anon_sym__Nonnull] = ACTIONS(1742),
    [anon_sym_alignas] = ACTIONS(1742),
    [anon_sym__Alignas] = ACTIONS(1742),
    [sym_primitive_type] = ACTIONS(1742),
    [anon_sym_enum] = ACTIONS(1742),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_struct] = ACTIONS(1742),
    [anon_sym_union] = ACTIONS(1742),
    [anon_sym_if] = ACTIONS(1742),
    [anon_sym_switch] = ACTIONS(1742),
    [anon_sym_case] = ACTIONS(1742),
    [anon_sym_default] = ACTIONS(1742),
    [anon_sym_while] = ACTIONS(1742),
    [anon_sym_do] = ACTIONS(1742),
    [anon_sym_for] = ACTIONS(1742),
    [anon_sym_return] = ACTIONS(1742),
    [anon_sym_break] = ACTIONS(1742),
    [anon_sym_continue] = ACTIONS(1742),
    [anon_sym_goto] = ACTIONS(1742),
    [anon_sym___try] = ACTIONS(1742),
    [anon_sym___leave] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1744),
    [anon_sym_PLUS_PLUS] = ACTIONS(1744),
    [anon_sym_sizeof] = ACTIONS(1742),
    [anon_sym___alignof__] = ACTIONS(1742),
    [anon_sym___alignof] = ACTIONS(1742),
    [anon_sym__alignof] = ACTIONS(1742),
    [anon_sym_alignof] = ACTIONS(1742),
    [anon_sym__Alignof] = ACTIONS(1742),
    [anon_sym_offsetof] = ACTIONS(1742),
    [anon_sym__Generic] = ACTIONS(1742),
    [anon_sym_asm] = ACTIONS(1742),
    [anon_sym___asm__] = ACTIONS(1742),
    [anon_sym___asm] = ACTIONS(1742),
    [sym_number_literal] = ACTIONS(1744),
    [anon_sym_L_SQUOTE] = ACTIONS(1744),
    [anon_sym_u_SQUOTE] = ACTIONS(1744),
    [anon_sym_U_SQUOTE] = ACTIONS(1744),
    [anon_sym_u8_SQUOTE] = ACTIONS(1744),
    [anon_sym_SQUOTE] = ACTIONS(1744),
    [anon_sym_L_DQUOTE] = ACTIONS(1744),
    [anon_sym_u_DQUOTE] = ACTIONS(1744),
    [anon_sym_U_DQUOTE] = ACTIONS(1744),
    [anon_sym_u8_DQUOTE] = ACTIONS(1744),
    [anon_sym_DQUOTE] = ACTIONS(1744),
    [sym_true] = ACTIONS(1742),
    [sym_false] = ACTIONS(1742),
    [anon_sym_NULL] = ACTIONS(1742),
    [anon_sym_nullptr] = ACTIONS(1742),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_expression] = STATE(705),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_initializer_list] = STATE(693),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1388),
    [anon_sym_RPAREN] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym___attribute] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_COLON] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(1394),
    [anon_sym_DASH_GT] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_expression] = STATE(705),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(843),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(843),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(843),
    [sym_initializer_list] = STATE(693),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(715),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1388),
    [aux_sym_preproc_if_token2] = ACTIONS(1388),
    [aux_sym_preproc_else_token1] = ACTIONS(1388),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1388),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1752),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1754),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(1394),
    [anon_sym_DASH_GT] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_else_clause] = STATE(183),
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym___extension__] = ACTIONS(1128),
    [anon_sym_typedef] = ACTIONS(1128),
    [anon_sym_extern] = ACTIONS(1128),
    [anon_sym___attribute__] = ACTIONS(1128),
    [anon_sym___attribute] = ACTIONS(1128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1130),
    [anon_sym___declspec] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_signed] = ACTIONS(1128),
    [anon_sym_unsigned] = ACTIONS(1128),
    [anon_sym_long] = ACTIONS(1128),
    [anon_sym_short] = ACTIONS(1128),
    [anon_sym_static] = ACTIONS(1128),
    [anon_sym_auto] = ACTIONS(1128),
    [anon_sym_register] = ACTIONS(1128),
    [anon_sym_inline] = ACTIONS(1128),
    [anon_sym___inline] = ACTIONS(1128),
    [anon_sym___inline__] = ACTIONS(1128),
    [anon_sym___forceinline] = ACTIONS(1128),
    [anon_sym_thread_local] = ACTIONS(1128),
    [anon_sym___thread] = ACTIONS(1128),
    [anon_sym_const] = ACTIONS(1128),
    [anon_sym_constexpr] = ACTIONS(1128),
    [anon_sym_volatile] = ACTIONS(1128),
    [anon_sym_restrict] = ACTIONS(1128),
    [anon_sym___restrict__] = ACTIONS(1128),
    [anon_sym__Atomic] = ACTIONS(1128),
    [anon_sym__Noreturn] = ACTIONS(1128),
    [anon_sym_noreturn] = ACTIONS(1128),
    [anon_sym__Nonnull] = ACTIONS(1128),
    [anon_sym_alignas] = ACTIONS(1128),
    [anon_sym__Alignas] = ACTIONS(1128),
    [sym_primitive_type] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_struct] = ACTIONS(1128),
    [anon_sym_union] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(1756),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_do] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_goto] = ACTIONS(1128),
    [anon_sym___try] = ACTIONS(1128),
    [anon_sym___leave] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_sizeof] = ACTIONS(1128),
    [anon_sym___alignof__] = ACTIONS(1128),
    [anon_sym___alignof] = ACTIONS(1128),
    [anon_sym__alignof] = ACTIONS(1128),
    [anon_sym_alignof] = ACTIONS(1128),
    [anon_sym__Alignof] = ACTIONS(1128),
    [anon_sym_offsetof] = ACTIONS(1128),
    [anon_sym__Generic] = ACTIONS(1128),
    [anon_sym_asm] = ACTIONS(1128),
    [anon_sym___asm__] = ACTIONS(1128),
    [anon_sym___asm] = ACTIONS(1128),
    [sym_number_literal] = ACTIONS(1130),
    [anon_sym_L_SQUOTE] = ACTIONS(1130),
    [anon_sym_u_SQUOTE] = ACTIONS(1130),
    [anon_sym_U_SQUOTE] = ACTIONS(1130),
    [anon_sym_u8_SQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_L_DQUOTE] = ACTIONS(1130),
    [anon_sym_u_DQUOTE] = ACTIONS(1130),
    [anon_sym_U_DQUOTE] = ACTIONS(1130),
    [anon_sym_u8_DQUOTE] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [anon_sym_NULL] = ACTIONS(1128),
    [anon_sym_nullptr] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_identifier] = ACTIONS(1758),
    [anon_sym_LPAREN2] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1763),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym___extension__] = ACTIONS(1758),
    [anon_sym_extern] = ACTIONS(1765),
    [anon_sym___attribute__] = ACTIONS(1765),
    [anon_sym___attribute] = ACTIONS(1765),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1767),
    [anon_sym___declspec] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_signed] = ACTIONS(1765),
    [anon_sym_unsigned] = ACTIONS(1765),
    [anon_sym_long] = ACTIONS(1765),
    [anon_sym_short] = ACTIONS(1765),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_auto] = ACTIONS(1765),
    [anon_sym_register] = ACTIONS(1765),
    [anon_sym_inline] = ACTIONS(1765),
    [anon_sym___inline] = ACTIONS(1765),
    [anon_sym___inline__] = ACTIONS(1765),
    [anon_sym___forceinline] = ACTIONS(1765),
    [anon_sym_thread_local] = ACTIONS(1765),
    [anon_sym___thread] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1765),
    [anon_sym_constexpr] = ACTIONS(1765),
    [anon_sym_volatile] = ACTIONS(1765),
    [anon_sym_restrict] = ACTIONS(1765),
    [anon_sym___restrict__] = ACTIONS(1765),
    [anon_sym__Atomic] = ACTIONS(1765),
    [anon_sym__Noreturn] = ACTIONS(1765),
    [anon_sym_noreturn] = ACTIONS(1765),
    [anon_sym__Nonnull] = ACTIONS(1765),
    [anon_sym_alignas] = ACTIONS(1765),
    [anon_sym__Alignas] = ACTIONS(1765),
    [sym_primitive_type] = ACTIONS(1765),
    [anon_sym_enum] = ACTIONS(1765),
    [anon_sym_struct] = ACTIONS(1765),
    [anon_sym_union] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1763),
    [anon_sym_switch] = ACTIONS(1763),
    [anon_sym_case] = ACTIONS(1763),
    [anon_sym_default] = ACTIONS(1763),
    [anon_sym_while] = ACTIONS(1763),
    [anon_sym_do] = ACTIONS(1763),
    [anon_sym_for] = ACTIONS(1763),
    [anon_sym_return] = ACTIONS(1763),
    [anon_sym_break] = ACTIONS(1763),
    [anon_sym_continue] = ACTIONS(1763),
    [anon_sym_goto] = ACTIONS(1763),
    [anon_sym___try] = ACTIONS(1763),
    [anon_sym___leave] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_sizeof] = ACTIONS(1763),
    [anon_sym___alignof__] = ACTIONS(1763),
    [anon_sym___alignof] = ACTIONS(1763),
    [anon_sym__alignof] = ACTIONS(1763),
    [anon_sym_alignof] = ACTIONS(1763),
    [anon_sym__Alignof] = ACTIONS(1763),
    [anon_sym_offsetof] = ACTIONS(1763),
    [anon_sym__Generic] = ACTIONS(1763),
    [anon_sym_asm] = ACTIONS(1763),
    [anon_sym___asm__] = ACTIONS(1763),
    [anon_sym___asm] = ACTIONS(1763),
    [sym_number_literal] = ACTIONS(1761),
    [anon_sym_L_SQUOTE] = ACTIONS(1761),
    [anon_sym_u_SQUOTE] = ACTIONS(1761),
    [anon_sym_U_SQUOTE] = ACTIONS(1761),
    [anon_sym_u8_SQUOTE] = ACTIONS(1761),
    [anon_sym_SQUOTE] = ACTIONS(1761),
    [anon_sym_L_DQUOTE] = ACTIONS(1761),
    [anon_sym_u_DQUOTE] = ACTIONS(1761),
    [anon_sym_U_DQUOTE] = ACTIONS(1761),
    [anon_sym_u8_DQUOTE] = ACTIONS(1761),
    [anon_sym_DQUOTE] = ACTIONS(1761),
    [sym_true] = ACTIONS(1763),
    [sym_false] = ACTIONS(1763),
    [anon_sym_NULL] = ACTIONS(1763),
    [anon_sym_nullptr] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1793),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1793),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1798),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1800),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1802),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1793),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1798),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_expression] = STATE(897),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_initializer_list] = STATE(693),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_SLASH] = ACTIONS(1394),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1394),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1394),
    [anon_sym_EQ_EQ] = ACTIONS(1388),
    [anon_sym_BANG_EQ] = ACTIONS(1388),
    [anon_sym_GT] = ACTIONS(1394),
    [anon_sym_GT_EQ] = ACTIONS(1388),
    [anon_sym_LT_EQ] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1810),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_RBRACK] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(1394),
    [anon_sym_DASH_GT] = ACTIONS(1388),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_string_literal] = STATE(628),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1770),
    [anon_sym_LPAREN2] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym_PERCENT] = ACTIONS(1778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1772),
    [anon_sym_AMP_AMP] = ACTIONS(1772),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_CARET] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_EQ_EQ] = ACTIONS(1772),
    [anon_sym_BANG_EQ] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_GT_GT] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_extern] = ACTIONS(1770),
    [anon_sym___attribute__] = ACTIONS(1770),
    [anon_sym___attribute] = ACTIONS(1770),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1783),
    [anon_sym___declspec] = ACTIONS(1770),
    [anon_sym___based] = ACTIONS(1770),
    [anon_sym___cdecl] = ACTIONS(1770),
    [anon_sym___clrcall] = ACTIONS(1770),
    [anon_sym___stdcall] = ACTIONS(1770),
    [anon_sym___fastcall] = ACTIONS(1770),
    [anon_sym___thiscall] = ACTIONS(1770),
    [anon_sym___vectorcall] = ACTIONS(1770),
    [anon_sym_signed] = ACTIONS(1785),
    [anon_sym_unsigned] = ACTIONS(1785),
    [anon_sym_long] = ACTIONS(1785),
    [anon_sym_short] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_static] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_auto] = ACTIONS(1770),
    [anon_sym_register] = ACTIONS(1770),
    [anon_sym_inline] = ACTIONS(1770),
    [anon_sym___inline] = ACTIONS(1770),
    [anon_sym___inline__] = ACTIONS(1770),
    [anon_sym___forceinline] = ACTIONS(1770),
    [anon_sym_thread_local] = ACTIONS(1770),
    [anon_sym___thread] = ACTIONS(1770),
    [anon_sym_const] = ACTIONS(1770),
    [anon_sym_constexpr] = ACTIONS(1770),
    [anon_sym_volatile] = ACTIONS(1770),
    [anon_sym_restrict] = ACTIONS(1770),
    [anon_sym___restrict__] = ACTIONS(1770),
    [anon_sym__Atomic] = ACTIONS(1770),
    [anon_sym__Noreturn] = ACTIONS(1770),
    [anon_sym_noreturn] = ACTIONS(1770),
    [anon_sym__Nonnull] = ACTIONS(1770),
    [anon_sym_alignas] = ACTIONS(1770),
    [anon_sym__Alignas] = ACTIONS(1770),
    [anon_sym_COLON] = ACTIONS(1802),
    [anon_sym_QMARK] = ACTIONS(1772),
    [anon_sym_STAR_EQ] = ACTIONS(1791),
    [anon_sym_SLASH_EQ] = ACTIONS(1791),
    [anon_sym_PERCENT_EQ] = ACTIONS(1791),
    [anon_sym_PLUS_EQ] = ACTIONS(1791),
    [anon_sym_DASH_EQ] = ACTIONS(1791),
    [anon_sym_LT_LT_EQ] = ACTIONS(1791),
    [anon_sym_GT_GT_EQ] = ACTIONS(1791),
    [anon_sym_AMP_EQ] = ACTIONS(1791),
    [anon_sym_CARET_EQ] = ACTIONS(1791),
    [anon_sym_PIPE_EQ] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1772),
    [anon_sym_PLUS_PLUS] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_DASH_GT] = ACTIONS(1772),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1126),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_based_modifier] = STATE(2021),
    [sym_ms_call_modifier] = STATE(1269),
    [sym__declarator] = STATE(1468),
    [sym__abstract_declarator] = STATE(1567),
    [sym_parenthesized_declarator] = STATE(1321),
    [sym_abstract_parenthesized_declarator] = STATE(1437),
    [sym_attributed_declarator] = STATE(1321),
    [sym_pointer_declarator] = STATE(1321),
    [sym_abstract_pointer_declarator] = STATE(1437),
    [sym_function_declarator] = STATE(1321),
    [sym_abstract_function_declarator] = STATE(1437),
    [sym_array_declarator] = STATE(1321),
    [sym_abstract_array_declarator] = STATE(1437),
    [sym_compound_statement] = STATE(1798),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_variadic_parameter] = STATE(1607),
    [sym_parameter_list] = STATE(1444),
    [sym_parameter_declaration] = STATE(1607),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1819),
    [anon_sym_RPAREN] = ACTIONS(1821),
    [anon_sym_LPAREN2] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___based] = ACTIONS(1827),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_type_qualifier] = STATE(668),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1086),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1833),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1841),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_type_qualifier] = STATE(429),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1082),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(429),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1851),
    [anon_sym_RBRACK] = ACTIONS(1853),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_type_qualifier] = STATE(668),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1106),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1857),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_type_qualifier] = STATE(427),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1107),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(427),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_RBRACK] = ACTIONS(1863),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_type_qualifier] = STATE(422),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1094),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(422),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1869),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_type_qualifier] = STATE(426),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1105),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1873),
    [anon_sym_RBRACK] = ACTIONS(1875),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_type_qualifier] = STATE(668),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1084),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_type_qualifier] = STATE(668),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1087),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1883),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_type_qualifier] = STATE(420),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1088),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(420),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1885),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1887),
    [anon_sym_RBRACK] = ACTIONS(1889),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_type_qualifier] = STATE(668),
    [sym_alignas_qualifier] = STATE(703),
    [sym_expression] = STATE(1104),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_array_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_LPAREN2] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1808),
    [anon_sym_TILDE] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1891),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym___extension__] = ACTIONS(1837),
    [anon_sym_static] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1893),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_constexpr] = ACTIONS(1843),
    [anon_sym_volatile] = ACTIONS(1843),
    [anon_sym_restrict] = ACTIONS(1843),
    [anon_sym___restrict__] = ACTIONS(1843),
    [anon_sym__Atomic] = ACTIONS(1843),
    [anon_sym__Noreturn] = ACTIONS(1843),
    [anon_sym_noreturn] = ACTIONS(1843),
    [anon_sym__Nonnull] = ACTIONS(1843),
    [anon_sym_alignas] = ACTIONS(1845),
    [anon_sym__Alignas] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_sizeof] = ACTIONS(1812),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_expression] = STATE(1057),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(921),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(921),
    [sym_call_expression] = STATE(921),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(921),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(921),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1895),
    [anon_sym_LPAREN2] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1907),
    [anon_sym___extension__] = ACTIONS(1910),
    [anon_sym_static] = ACTIONS(1714),
    [anon_sym_RBRACK] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1714),
    [anon_sym_constexpr] = ACTIONS(1714),
    [anon_sym_volatile] = ACTIONS(1714),
    [anon_sym_restrict] = ACTIONS(1714),
    [anon_sym___restrict__] = ACTIONS(1714),
    [anon_sym__Atomic] = ACTIONS(1714),
    [anon_sym__Noreturn] = ACTIONS(1714),
    [anon_sym_noreturn] = ACTIONS(1714),
    [anon_sym__Nonnull] = ACTIONS(1714),
    [anon_sym_alignas] = ACTIONS(1714),
    [anon_sym__Alignas] = ACTIONS(1714),
    [anon_sym_DASH_DASH] = ACTIONS(1913),
    [anon_sym_PLUS_PLUS] = ACTIONS(1913),
    [anon_sym_sizeof] = ACTIONS(1916),
    [anon_sym___alignof__] = ACTIONS(1919),
    [anon_sym___alignof] = ACTIONS(1919),
    [anon_sym__alignof] = ACTIONS(1919),
    [anon_sym_alignof] = ACTIONS(1919),
    [anon_sym__Alignof] = ACTIONS(1919),
    [anon_sym_offsetof] = ACTIONS(1922),
    [anon_sym__Generic] = ACTIONS(1925),
    [anon_sym_asm] = ACTIONS(1928),
    [anon_sym___asm__] = ACTIONS(1928),
    [anon_sym___asm] = ACTIONS(1928),
    [sym_number_literal] = ACTIONS(1931),
    [anon_sym_L_SQUOTE] = ACTIONS(1934),
    [anon_sym_u_SQUOTE] = ACTIONS(1934),
    [anon_sym_U_SQUOTE] = ACTIONS(1934),
    [anon_sym_u8_SQUOTE] = ACTIONS(1934),
    [anon_sym_SQUOTE] = ACTIONS(1934),
    [anon_sym_L_DQUOTE] = ACTIONS(1937),
    [anon_sym_u_DQUOTE] = ACTIONS(1937),
    [anon_sym_U_DQUOTE] = ACTIONS(1937),
    [anon_sym_u8_DQUOTE] = ACTIONS(1937),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_true] = ACTIONS(1940),
    [sym_false] = ACTIONS(1940),
    [anon_sym_NULL] = ACTIONS(1943),
    [anon_sym_nullptr] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1126),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_ms_call_modifier] = STATE(1377),
    [sym__abstract_declarator] = STATE(1567),
    [sym_abstract_parenthesized_declarator] = STATE(1437),
    [sym_abstract_pointer_declarator] = STATE(1437),
    [sym_abstract_function_declarator] = STATE(1437),
    [sym_abstract_array_declarator] = STATE(1437),
    [sym_compound_statement] = STATE(1798),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym_variadic_parameter] = STATE(1607),
    [sym_parameter_list] = STATE(1444),
    [sym_parameter_declaration] = STATE(1607),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1819),
    [anon_sym_RPAREN] = ACTIONS(1821),
    [anon_sym_LPAREN2] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym___cdecl] = ACTIONS(41),
    [anon_sym___clrcall] = ACTIONS(41),
    [anon_sym___stdcall] = ACTIONS(41),
    [anon_sym___fastcall] = ACTIONS(41),
    [anon_sym___thiscall] = ACTIONS(41),
    [anon_sym___vectorcall] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(1942),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1942),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1942),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1956),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(1865),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1865),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1865),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(1931),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1931),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1931),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_preproc_def] = STATE(432),
    [sym_preproc_function_def] = STATE(432),
    [sym_preproc_call] = STATE(432),
    [sym_preproc_if_in_field_declaration_list] = STATE(432),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(432),
    [sym_preproc_else_in_field_declaration_list] = STATE(1930),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1930),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1930),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(432),
    [sym_field_declaration] = STATE(432),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(432),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(1862),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1862),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1862),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_preproc_def] = STATE(446),
    [sym_preproc_function_def] = STATE(446),
    [sym_preproc_call] = STATE(446),
    [sym_preproc_if_in_field_declaration_list] = STATE(446),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(446),
    [sym_preproc_else_in_field_declaration_list] = STATE(2018),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2018),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2018),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(446),
    [sym_field_declaration] = STATE(446),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(446),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1976),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_preproc_def] = STATE(434),
    [sym_preproc_function_def] = STATE(434),
    [sym_preproc_call] = STATE(434),
    [sym_preproc_if_in_field_declaration_list] = STATE(434),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(434),
    [sym_preproc_else_in_field_declaration_list] = STATE(1899),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1899),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1899),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(434),
    [sym_field_declaration] = STATE(434),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(434),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1978),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(2016),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2016),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2016),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(1861),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1861),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1861),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1982),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_preproc_def] = STATE(447),
    [sym_preproc_function_def] = STATE(447),
    [sym_preproc_call] = STATE(447),
    [sym_preproc_if_in_field_declaration_list] = STATE(447),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(447),
    [sym_preproc_else_in_field_declaration_list] = STATE(1954),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1954),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1954),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(447),
    [sym_field_declaration] = STATE(447),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(447),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1984),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_preproc_def] = STATE(440),
    [sym_preproc_function_def] = STATE(440),
    [sym_preproc_call] = STATE(440),
    [sym_preproc_if_in_field_declaration_list] = STATE(440),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(440),
    [sym_preproc_else_in_field_declaration_list] = STATE(1864),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1864),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1864),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(440),
    [sym_field_declaration] = STATE(440),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(440),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1986),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_preproc_def] = STATE(436),
    [sym_preproc_function_def] = STATE(436),
    [sym_preproc_call] = STATE(436),
    [sym_preproc_if_in_field_declaration_list] = STATE(436),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(436),
    [sym_preproc_else_in_field_declaration_list] = STATE(1775),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1775),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1775),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(436),
    [sym_field_declaration] = STATE(436),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(436),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1988),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_preproc_def] = STATE(433),
    [sym_preproc_function_def] = STATE(433),
    [sym_preproc_call] = STATE(433),
    [sym_preproc_if_in_field_declaration_list] = STATE(433),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(433),
    [sym_preproc_else_in_field_declaration_list] = STATE(1902),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1902),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1902),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(433),
    [sym_field_declaration] = STATE(433),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(433),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1990),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_preproc_def] = STATE(439),
    [sym_preproc_function_def] = STATE(439),
    [sym_preproc_call] = STATE(439),
    [sym_preproc_if_in_field_declaration_list] = STATE(439),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(439),
    [sym_preproc_else_in_field_declaration_list] = STATE(1860),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1860),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1860),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(439),
    [sym_field_declaration] = STATE(439),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(439),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1992),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(1953),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1953),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1953),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1994),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym_preproc_else_in_field_declaration_list] = STATE(1850),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1850),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1850),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(1952),
    [aux_sym_preproc_if_token1] = ACTIONS(1954),
    [aux_sym_preproc_if_token2] = ACTIONS(1996),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1958),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1964),
    [sym_preproc_directive] = ACTIONS(1966),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_expression] = STATE(1025),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_initializer_list] = STATE(1611),
    [sym_initializer_pair] = STATE(1611),
    [sym_subscript_designator] = STATE(1462),
    [sym_subscript_range_designator] = STATE(1462),
    [sym_field_designator] = STATE(1462),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_initializer_pair_repeat1] = STATE(1462),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_COMMA] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(2006),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_expression] = STATE(1073),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_initializer_list] = STATE(1737),
    [sym_initializer_pair] = STATE(1737),
    [sym_subscript_designator] = STATE(1462),
    [sym_subscript_range_designator] = STATE(1462),
    [sym_field_designator] = STATE(1462),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_initializer_pair_repeat1] = STATE(1462),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(2006),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_expression] = STATE(1073),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_initializer_list] = STATE(1737),
    [sym_initializer_pair] = STATE(1737),
    [sym_subscript_designator] = STATE(1462),
    [sym_subscript_range_designator] = STATE(1462),
    [sym_field_designator] = STATE(1462),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_initializer_pair_repeat1] = STATE(1462),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(2006),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_expression] = STATE(1073),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_initializer_list] = STATE(1737),
    [sym_initializer_pair] = STATE(1737),
    [sym_subscript_designator] = STATE(1462),
    [sym_subscript_range_designator] = STATE(1462),
    [sym_field_designator] = STATE(1462),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [aux_sym_initializer_pair_repeat1] = STATE(1462),
    [sym_identifier] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [anon_sym_DOT] = ACTIONS(2006),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_preproc_def] = STATE(452),
    [sym_preproc_function_def] = STATE(452),
    [sym_preproc_call] = STATE(452),
    [sym_preproc_if_in_field_declaration_list] = STATE(452),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(452),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1285),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(452),
    [sym_field_declaration] = STATE(452),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(452),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(2012),
    [aux_sym_preproc_def_token1] = ACTIONS(2015),
    [aux_sym_preproc_if_token1] = ACTIONS(2018),
    [aux_sym_preproc_if_token2] = ACTIONS(2021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2023),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2023),
    [aux_sym_preproc_else_token1] = ACTIONS(2021),
    [aux_sym_preproc_elif_token1] = ACTIONS(2021),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2021),
    [sym_preproc_directive] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(2029),
    [anon_sym_extern] = ACTIONS(2032),
    [anon_sym___attribute__] = ACTIONS(2035),
    [anon_sym___attribute] = ACTIONS(2035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2038),
    [anon_sym___declspec] = ACTIONS(2041),
    [anon_sym_signed] = ACTIONS(2044),
    [anon_sym_unsigned] = ACTIONS(2044),
    [anon_sym_long] = ACTIONS(2044),
    [anon_sym_short] = ACTIONS(2044),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_auto] = ACTIONS(2032),
    [anon_sym_register] = ACTIONS(2032),
    [anon_sym_inline] = ACTIONS(2032),
    [anon_sym___inline] = ACTIONS(2032),
    [anon_sym___inline__] = ACTIONS(2032),
    [anon_sym___forceinline] = ACTIONS(2032),
    [anon_sym_thread_local] = ACTIONS(2032),
    [anon_sym___thread] = ACTIONS(2032),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_constexpr] = ACTIONS(2029),
    [anon_sym_volatile] = ACTIONS(2029),
    [anon_sym_restrict] = ACTIONS(2029),
    [anon_sym___restrict__] = ACTIONS(2029),
    [anon_sym__Atomic] = ACTIONS(2029),
    [anon_sym__Noreturn] = ACTIONS(2029),
    [anon_sym_noreturn] = ACTIONS(2029),
    [anon_sym__Nonnull] = ACTIONS(2029),
    [anon_sym_alignas] = ACTIONS(2047),
    [anon_sym__Alignas] = ACTIONS(2047),
    [sym_primitive_type] = ACTIONS(2050),
    [anon_sym_enum] = ACTIONS(2053),
    [anon_sym_struct] = ACTIONS(2056),
    [anon_sym_union] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_preproc_def] = STATE(455),
    [sym_preproc_function_def] = STATE(455),
    [sym_preproc_call] = STATE(455),
    [sym_preproc_if_in_field_declaration_list] = STATE(455),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(455),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1284),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(455),
    [sym_field_declaration] = STATE(455),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(455),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(2062),
    [aux_sym_preproc_if_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2066),
    [sym_preproc_directive] = ACTIONS(2068),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(2070),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_preproc_def] = STATE(454),
    [sym_preproc_function_def] = STATE(454),
    [sym_preproc_call] = STATE(454),
    [sym_preproc_if_in_field_declaration_list] = STATE(454),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(454),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1287),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(454),
    [sym_field_declaration] = STATE(454),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(454),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(2012),
    [aux_sym_preproc_def_token1] = ACTIONS(2072),
    [aux_sym_preproc_if_token1] = ACTIONS(2075),
    [aux_sym_preproc_if_token2] = ACTIONS(2021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2078),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2078),
    [sym_preproc_directive] = ACTIONS(2081),
    [anon_sym___extension__] = ACTIONS(2029),
    [anon_sym_extern] = ACTIONS(2032),
    [anon_sym___attribute__] = ACTIONS(2035),
    [anon_sym___attribute] = ACTIONS(2035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2038),
    [anon_sym___declspec] = ACTIONS(2041),
    [anon_sym_signed] = ACTIONS(2044),
    [anon_sym_unsigned] = ACTIONS(2044),
    [anon_sym_long] = ACTIONS(2044),
    [anon_sym_short] = ACTIONS(2044),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_auto] = ACTIONS(2032),
    [anon_sym_register] = ACTIONS(2032),
    [anon_sym_inline] = ACTIONS(2032),
    [anon_sym___inline] = ACTIONS(2032),
    [anon_sym___inline__] = ACTIONS(2032),
    [anon_sym___forceinline] = ACTIONS(2032),
    [anon_sym_thread_local] = ACTIONS(2032),
    [anon_sym___thread] = ACTIONS(2032),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_constexpr] = ACTIONS(2029),
    [anon_sym_volatile] = ACTIONS(2029),
    [anon_sym_restrict] = ACTIONS(2029),
    [anon_sym___restrict__] = ACTIONS(2029),
    [anon_sym__Atomic] = ACTIONS(2029),
    [anon_sym__Noreturn] = ACTIONS(2029),
    [anon_sym_noreturn] = ACTIONS(2029),
    [anon_sym__Nonnull] = ACTIONS(2029),
    [anon_sym_alignas] = ACTIONS(2047),
    [anon_sym__Alignas] = ACTIONS(2047),
    [sym_primitive_type] = ACTIONS(2050),
    [anon_sym_enum] = ACTIONS(2053),
    [anon_sym_struct] = ACTIONS(2056),
    [anon_sym_union] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_preproc_def] = STATE(457),
    [sym_preproc_function_def] = STATE(457),
    [sym_preproc_call] = STATE(457),
    [sym_preproc_if_in_field_declaration_list] = STATE(457),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(457),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1284),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(457),
    [sym_field_declaration] = STATE(457),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(457),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(2062),
    [aux_sym_preproc_if_token1] = ACTIONS(2064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2066),
    [sym_preproc_directive] = ACTIONS(2068),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_preproc_def] = STATE(454),
    [sym_preproc_function_def] = STATE(454),
    [sym_preproc_call] = STATE(454),
    [sym_preproc_if_in_field_declaration_list] = STATE(454),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(454),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1287),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(454),
    [sym_field_declaration] = STATE(454),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(454),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(2086),
    [aux_sym_preproc_if_token1] = ACTIONS(2088),
    [aux_sym_preproc_if_token2] = ACTIONS(2090),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2092),
    [sym_preproc_directive] = ACTIONS(2094),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_preproc_def] = STATE(457),
    [sym_preproc_function_def] = STATE(457),
    [sym_preproc_call] = STATE(457),
    [sym_preproc_if_in_field_declaration_list] = STATE(457),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(457),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1284),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(457),
    [sym_field_declaration] = STATE(457),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(457),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(2012),
    [aux_sym_preproc_def_token1] = ACTIONS(2096),
    [aux_sym_preproc_if_token1] = ACTIONS(2099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2102),
    [sym_preproc_directive] = ACTIONS(2105),
    [anon_sym___extension__] = ACTIONS(2029),
    [anon_sym_extern] = ACTIONS(2032),
    [anon_sym___attribute__] = ACTIONS(2035),
    [anon_sym___attribute] = ACTIONS(2035),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2038),
    [anon_sym___declspec] = ACTIONS(2041),
    [anon_sym_RBRACE] = ACTIONS(2108),
    [anon_sym_signed] = ACTIONS(2044),
    [anon_sym_unsigned] = ACTIONS(2044),
    [anon_sym_long] = ACTIONS(2044),
    [anon_sym_short] = ACTIONS(2044),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_auto] = ACTIONS(2032),
    [anon_sym_register] = ACTIONS(2032),
    [anon_sym_inline] = ACTIONS(2032),
    [anon_sym___inline] = ACTIONS(2032),
    [anon_sym___inline__] = ACTIONS(2032),
    [anon_sym___forceinline] = ACTIONS(2032),
    [anon_sym_thread_local] = ACTIONS(2032),
    [anon_sym___thread] = ACTIONS(2032),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_constexpr] = ACTIONS(2029),
    [anon_sym_volatile] = ACTIONS(2029),
    [anon_sym_restrict] = ACTIONS(2029),
    [anon_sym___restrict__] = ACTIONS(2029),
    [anon_sym__Atomic] = ACTIONS(2029),
    [anon_sym__Noreturn] = ACTIONS(2029),
    [anon_sym_noreturn] = ACTIONS(2029),
    [anon_sym__Nonnull] = ACTIONS(2029),
    [anon_sym_alignas] = ACTIONS(2047),
    [anon_sym__Alignas] = ACTIONS(2047),
    [sym_primitive_type] = ACTIONS(2050),
    [anon_sym_enum] = ACTIONS(2053),
    [anon_sym_struct] = ACTIONS(2056),
    [anon_sym_union] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_preproc_def] = STATE(456),
    [sym_preproc_function_def] = STATE(456),
    [sym_preproc_call] = STATE(456),
    [sym_preproc_if_in_field_declaration_list] = STATE(456),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(456),
    [sym__declaration_modifiers] = STATE(701),
    [sym__declaration_specifiers] = STATE(1287),
    [sym_attribute_specifier] = STATE(701),
    [sym_attribute_declaration] = STATE(701),
    [sym_ms_declspec_modifier] = STATE(701),
    [sym_storage_class_specifier] = STATE(701),
    [sym_type_qualifier] = STATE(701),
    [sym_alignas_qualifier] = STATE(711),
    [sym_type_specifier] = STATE(728),
    [sym_sized_type_specifier] = STATE(781),
    [sym_enum_specifier] = STATE(781),
    [sym_struct_specifier] = STATE(781),
    [sym_union_specifier] = STATE(781),
    [sym__field_declaration_list_item] = STATE(456),
    [sym_field_declaration] = STATE(456),
    [sym_macro_type_specifier] = STATE(781),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(456),
    [aux_sym__declaration_specifiers_repeat1] = STATE(701),
    [aux_sym_sized_type_specifier_repeat1] = STATE(719),
    [sym_identifier] = ACTIONS(1946),
    [aux_sym_preproc_def_token1] = ACTIONS(2086),
    [aux_sym_preproc_if_token1] = ACTIONS(2088),
    [aux_sym_preproc_if_token2] = ACTIONS(2110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2092),
    [sym_preproc_directive] = ACTIONS(2094),
    [anon_sym___extension__] = ACTIONS(49),
    [anon_sym_extern] = ACTIONS(47),
    [anon_sym___attribute__] = ACTIONS(35),
    [anon_sym___attribute] = ACTIONS(35),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1126),
    [anon_sym___declspec] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(45),
    [anon_sym_unsigned] = ACTIONS(45),
    [anon_sym_long] = ACTIONS(45),
    [anon_sym_short] = ACTIONS(45),
    [anon_sym_static] = ACTIONS(47),
    [anon_sym_auto] = ACTIONS(47),
    [anon_sym_register] = ACTIONS(47),
    [anon_sym_inline] = ACTIONS(47),
    [anon_sym___inline] = ACTIONS(47),
    [anon_sym___inline__] = ACTIONS(47),
    [anon_sym___forceinline] = ACTIONS(47),
    [anon_sym_thread_local] = ACTIONS(47),
    [anon_sym___thread] = ACTIONS(47),
    [anon_sym_const] = ACTIONS(49),
    [anon_sym_constexpr] = ACTIONS(49),
    [anon_sym_volatile] = ACTIONS(49),
    [anon_sym_restrict] = ACTIONS(49),
    [anon_sym___restrict__] = ACTIONS(49),
    [anon_sym__Atomic] = ACTIONS(49),
    [anon_sym__Noreturn] = ACTIONS(49),
    [anon_sym_noreturn] = ACTIONS(49),
    [anon_sym__Nonnull] = ACTIONS(49),
    [anon_sym_alignas] = ACTIONS(51),
    [anon_sym__Alignas] = ACTIONS(51),
    [sym_primitive_type] = ACTIONS(53),
    [anon_sym_enum] = ACTIONS(55),
    [anon_sym_struct] = ACTIONS(57),
    [anon_sym_union] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_compound_statement] = STATE(1605),
    [sym_expression] = STATE(1026),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_RPAREN] = ACTIONS(2112),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_compound_statement] = STATE(1657),
    [sym_expression] = STATE(1024),
    [sym__string] = STATE(692),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_RPAREN] = ACTIONS(2114),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_compound_statement] = STATE(2002),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(2002),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_compound_statement] = STATE(1907),
    [sym_expression] = STATE(1074),
    [sym__string] = STATE(692),
    [sym_comma_expression] = STATE(1907),
    [sym_conditional_expression] = STATE(692),
    [sym_assignment_expression] = STATE(692),
    [sym_pointer_expression] = STATE(844),
    [sym_unary_expression] = STATE(692),
    [sym_binary_expression] = STATE(692),
    [sym_update_expression] = STATE(692),
    [sym_cast_expression] = STATE(692),
    [sym_sizeof_expression] = STATE(692),
    [sym_alignof_expression] = STATE(692),
    [sym_offsetof_expression] = STATE(692),
    [sym_generic_expression] = STATE(692),
    [sym_subscript_expression] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_gnu_asm_expression] = STATE(692),
    [sym_extension_expression] = STATE(692),
    [sym_field_expression] = STATE(844),
    [sym_compound_literal_expression] = STATE(692),
    [sym_parenthesized_expression] = STATE(844),
    [sym_char_literal] = STATE(692),
    [sym_concatenated_string] = STATE(692),
    [sym_string_literal] = STATE(672),
    [sym_null] = STATE(692),
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_DASH_DASH] = ACTIONS(83),
    [anon_sym_PLUS_PLUS] = ACTIONS(83),
    [anon_sym_sizeof] = ACTIONS(85),
    [anon_sym___alignof__] = ACTIONS(87),
    [anon_sym___alignof] = ACTIONS(87),
    [anon_sym__alignof] = ACTIONS(87),
    [anon_sym_alignof] = ACTIONS(87),
    [anon_sym__Alignof] = ACTIONS(87),
    [anon_sym_offsetof] = ACTIONS(89),
    [anon_sym__Generic] = ACTIONS(91),
    [anon_sym_asm] = ACTIONS(93),
    [anon_sym___asm__] = ACTIONS(93),
    [anon_sym___asm] = ACTIONS(93),
    [sym_number_literal] = ACTIONS(161),
    [anon_sym_L_SQUOTE] = ACTIONS(97),
    [anon_sym_u_SQUOTE] = ACTIONS(97),
    [anon_sym_U_SQUOTE] = ACTIONS(97),
    [anon_sym_u8_SQUOTE] = ACTIONS(97),
    [anon_sym_SQUOTE] = ACTIONS(97),
    [anon_sym_L_DQUOTE] = ACTIONS(99),
    [anon_sym_u_DQUOTE] = ACTIONS(99),
    [anon_sym_U_DQUOTE] = ACTIONS(99),
    [anon_sym_u8_DQUOTE] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [anon_sym_NULL] = ACTIONS(103),
    [anon_sym_nullptr] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2116), 1,
      anon_sym_COLON,
    STATE(672), 1,
      sym_string_literal,
    STATE(1048), 1,
      sym_expression,
    STATE(1815), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [113] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2118), 1,
      anon_sym_RPAREN,
    STATE(672), 1,
      sym_string_literal,
    STATE(1043), 1,
      sym_expression,
    STATE(1888), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2120), 1,
      anon_sym_COLON,
    STATE(672), 1,
      sym_string_literal,
    STATE(1035), 1,
      sym_expression,
    STATE(1922), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2122), 1,
      anon_sym_RPAREN,
    STATE(672), 1,
      sym_string_literal,
    STATE(1031), 1,
      sym_expression,
    STATE(1849), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [452] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2124), 1,
      anon_sym_RPAREN,
    STATE(672), 1,
      sym_string_literal,
    STATE(1030), 1,
      sym_expression,
    STATE(1877), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [565] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_COLON,
    STATE(672), 1,
      sym_string_literal,
    STATE(1034), 1,
      sym_expression,
    STATE(1912), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [678] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2128), 1,
      anon_sym_SEMI,
    STATE(672), 1,
      sym_string_literal,
    STATE(1027), 1,
      sym_expression,
    STATE(1881), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [791] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2130), 1,
      anon_sym_RPAREN,
    STATE(672), 1,
      sym_string_literal,
    STATE(1041), 1,
      sym_expression,
    STATE(1892), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [904] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1058), 1,
      sym_expression,
    STATE(1729), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2132), 1,
      anon_sym_SEMI,
    STATE(672), 1,
      sym_string_literal,
    STATE(1045), 1,
      sym_expression,
    STATE(1885), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1130] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1070), 1,
      sym_expression,
    STATE(1748), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1243] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2134), 1,
      anon_sym_RPAREN,
    STATE(672), 1,
      sym_string_literal,
    STATE(1032), 1,
      sym_expression,
    STATE(1894), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1356] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym_SEMI,
    STATE(672), 1,
      sym_string_literal,
    STATE(1044), 1,
      sym_expression,
    STATE(2011), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1469] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(693), 1,
      sym_initializer_list,
    STATE(897), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1582] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      anon_sym_COLON,
    STATE(672), 1,
      sym_string_literal,
    STATE(1046), 1,
      sym_expression,
    STATE(1884), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1695] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(693), 1,
      sym_initializer_list,
    STATE(705), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1808] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_RPAREN,
    STATE(672), 1,
      sym_string_literal,
    STATE(1039), 1,
      sym_expression,
    STATE(1890), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1921] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    STATE(672), 1,
      sym_string_literal,
    STATE(1067), 1,
      sym_expression,
    STATE(1839), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2034] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(693), 1,
      sym_initializer_list,
    STATE(897), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2147] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(693), 1,
      sym_initializer_list,
    STATE(705), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2260] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      anon_sym_COLON,
    STATE(672), 1,
      sym_string_literal,
    STATE(1072), 1,
      sym_expression,
    STATE(1998), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2373] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2162), 1,
      anon_sym_SEMI,
    STATE(672), 1,
      sym_string_literal,
    STATE(1069), 1,
      sym_expression,
    STATE(2007), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1060), 1,
      sym_expression,
    STATE(1766), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(693), 1,
      sym_initializer_list,
    STATE(705), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2712] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1398), 1,
      anon_sym_LBRACE,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(693), 1,
      sym_initializer_list,
    STATE(705), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2825] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1055), 1,
      sym_expression,
    STATE(1695), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2938] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2168), 1,
      anon_sym_SEMI,
    STATE(672), 1,
      sym_string_literal,
    STATE(1071), 1,
      sym_expression,
    STATE(1964), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3051] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2170), 1,
      anon_sym_SEMI,
    STATE(672), 1,
      sym_string_literal,
    STATE(1064), 1,
      sym_expression,
    STATE(1895), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3164] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2172), 1,
      anon_sym_SEMI,
    STATE(672), 1,
      sym_string_literal,
    STATE(1075), 1,
      sym_expression,
    STATE(1809), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3277] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2174), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3387] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    ACTIONS(2176), 1,
      anon_sym_LBRACE,
    STATE(684), 1,
      sym_ms_call_modifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1152), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(282), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [3497] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    ACTIONS(2178), 1,
      anon_sym_LBRACE,
    STATE(697), 1,
      sym_ms_call_modifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1166), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(119), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [3607] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    ACTIONS(2180), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_ms_call_modifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1149), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(375), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [3717] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2182), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3827] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2184), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3937] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    ACTIONS(2186), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym_ms_call_modifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1161), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(262), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [4047] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2188), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4157] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2190), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4267] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2192), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4377] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2194), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4487] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym_expression,
    STATE(1610), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4597] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2196), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4707] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2198), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4817] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    ACTIONS(2200), 1,
      anon_sym_RBRACK,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4927] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(829), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5034] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1066), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5141] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1038), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5248] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(916), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5355] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(905), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5462] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(700), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5569] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(704), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5676] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(826), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5783] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(831), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(903), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5997] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1036), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6104] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1091), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6211] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1033), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6318] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(706), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6425] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1080), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6532] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1037), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6639] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1040), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6746] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(980), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6853] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(830), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6960] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(706), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7067] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(704), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7174] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(967), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7281] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1083), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7388] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(700), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7495] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(816), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7602] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1056), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7709] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(700), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7816] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(900), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7923] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(981), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8030] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(972), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8137] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(710), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8244] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(984), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8351] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(986), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8458] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(987), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8565] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(988), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8672] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(706), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8779] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(989), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8886] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1053), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8993] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(990), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9100] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(993), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9207] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(991), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9314] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2202), 1,
      anon_sym_LPAREN2,
    STATE(707), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9421] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(896), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9528] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1095), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9635] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(977), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9742] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2204), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(707), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9849] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(710), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9956] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1770), 1,
      anon_sym_const,
    ACTIONS(1774), 1,
      anon_sym_LPAREN2,
    ACTIONS(1780), 1,
      anon_sym_STAR,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    STATE(628), 1,
      sym_string_literal,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1793), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1783), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1772), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [10047] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(969), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10154] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(838), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10261] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(814), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10368] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(840), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10475] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(985), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10582] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1051), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10689] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1099), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10796] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(970), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10903] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1052), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11010] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1081), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11117] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(815), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11224] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(827), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11331] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1057), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11438] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(978), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11545] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(823), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11652] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(2208), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(908), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11759] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1068), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11866] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(820), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11973] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(973), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12080] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(707), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12187] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(914), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12294] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(821), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12401] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(971), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12508] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(817), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12615] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(839), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12722] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2212), 1,
      anon_sym_LPAREN2,
    STATE(707), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12829] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1097), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12936] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(898), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13043] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(894), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13150] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(893), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13257] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(893), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13364] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(706), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13471] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(974), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13578] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1028), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13685] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(975), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13792] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1090), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13899] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(916), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14006] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1102), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14113] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(913), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14220] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(976), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14327] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1054), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14434] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(911), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14541] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(979), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14648] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1023), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14755] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(910), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14862] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(841), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14969] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(909), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15076] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(907), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15183] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1077), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15290] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1022), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15397] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(825), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15504] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1804), 1,
      sym_identifier,
    ACTIONS(1810), 1,
      anon_sym___extension__,
    ACTIONS(1812), 1,
      anon_sym_sizeof,
    ACTIONS(1831), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1806), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1808), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1847), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(921), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15611] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(906), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15718] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(983), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15825] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1085), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15932] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(813), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16039] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(992), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16146] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(710), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16253] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(836), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16360] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1092), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16467] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(914), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16574] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(828), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16681] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2214), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(908), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16788] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(968), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16895] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(835), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17002] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1728), 1,
      anon_sym___extension__,
    ACTIONS(1730), 1,
      anon_sym_sizeof,
    ACTIONS(2138), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(899), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1724), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1726), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1835), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2140), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17109] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(832), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17216] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1752), 1,
      anon_sym___extension__,
    ACTIONS(1754), 1,
      anon_sym_sizeof,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2156), 1,
      anon_sym_LPAREN2,
    STATE(715), 1,
      sym_string_literal,
    STATE(982), 1,
      sym_expression,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1748), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1750), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2158), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17323] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(85), 1,
      anon_sym_sizeof,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1412), 1,
      anon_sym___extension__,
    ACTIONS(1746), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1096), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(83), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(844), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17430] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(834), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17537] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      anon_sym___extension__,
    ACTIONS(1400), 1,
      anon_sym_sizeof,
    ACTIONS(2164), 1,
      anon_sym_LPAREN2,
    STATE(672), 1,
      sym_string_literal,
    STATE(818), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1390), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1392), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2166), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17644] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(710), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17751] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(89), 1,
      anon_sym_offsetof,
    ACTIONS(91), 1,
      anon_sym__Generic,
    ACTIONS(161), 1,
      sym_number_literal,
    ACTIONS(1386), 1,
      sym_identifier,
    ACTIONS(1406), 1,
      anon_sym___extension__,
    ACTIONS(1408), 1,
      anon_sym_sizeof,
    ACTIONS(2144), 1,
      anon_sym_LPAREN2,
    STATE(700), 1,
      sym_expression,
    STATE(715), 1,
      sym_string_literal,
    ACTIONS(103), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(163), 2,
      sym_true,
      sym_false,
    ACTIONS(1402), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1404), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2146), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2148), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(87), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(97), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(679), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(692), 17,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_extension_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      sym_identifier,
    STATE(629), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2220), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2218), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 1,
      sym_identifier,
    STATE(630), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2226), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2224), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      sym_identifier,
    STATE(630), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2235), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2233), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2231), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18074] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_RPAREN,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1126), 1,
      sym__declaration_specifiers,
    STATE(1527), 1,
      sym_variadic_parameter,
    STATE(1607), 1,
      sym_parameter_declaration,
    STATE(1798), 1,
      sym_compound_statement,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18183] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1126), 1,
      sym__declaration_specifiers,
    STATE(1798), 1,
      sym_compound_statement,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1607), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [18290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1778), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2244), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2248), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2252), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18551] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2270), 1,
      anon_sym___declspec,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(2264), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2273), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2256), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(637), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2258), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2261), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2254), 17,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [18631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2282), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2286), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2290), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2294), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2298), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2302), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [19079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2306), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [19143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2310), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [19207] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(298), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [19308] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(307), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [19409] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(346), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(652), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [19510] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(302), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(654), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [19611] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(356), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [19712] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(324), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [19813] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(146), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(655), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [19914] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(311), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20015] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(136), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20116] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(287), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20217] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(140), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20318] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(269), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(656), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20419] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(130), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(657), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20520] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(286), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(647), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20621] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(333), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20722] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(290), 1,
      sym_compound_statement,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(648), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2312), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
  [20885] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2316), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1126), 1,
      sym__declaration_specifiers,
    STATE(1709), 1,
      sym_parameter_declaration,
    STATE(1772), 1,
      sym_variadic_parameter,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [20985] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      sym_identifier,
    ACTIONS(2330), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2333), 1,
      anon_sym___declspec,
    ACTIONS(2336), 1,
      anon_sym_LBRACE,
    ACTIONS(2344), 1,
      sym_primitive_type,
    ACTIONS(2347), 1,
      anon_sym_enum,
    ACTIONS(2350), 1,
      anon_sym_struct,
    ACTIONS(2353), 1,
      anon_sym_union,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1148), 1,
      sym__declaration_specifiers,
    ACTIONS(2327), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2341), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(665), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(2338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2321), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2324), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21083] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1126), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1709), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [21181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2358), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2356), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21242] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_static,
    STATE(703), 1,
      sym_alignas_qualifier,
    ACTIONS(2370), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(668), 2,
      sym_type_qualifier,
      aux_sym_array_declarator_repeat1,
    ACTIONS(2364), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2360), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2362), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [21313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1738), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1742), 32,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(2380), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2375), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2377), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2373), 30,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2383), 1,
      sym_identifier,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2387), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2385), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2389), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2391), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21688] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1223), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [21779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2393), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2395), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2399), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2403), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22015] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1226), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2407), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2411), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22224] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1254), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22315] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1262), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2413), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2415), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2419), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2423), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2427), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2431), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22701] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1261), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [22792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2435), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1778), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2437), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2439), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2441), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2443), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23028] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1267), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23119] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1256), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23210] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(728), 1,
      sym_type_specifier,
    STATE(1268), 1,
      sym__declaration_specifiers,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(701), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2445), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2447), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2449), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2451), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2453), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2455), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [23484] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_enum,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(719), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(725), 1,
      sym_type_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(45), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(637), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [23572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2465), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1714), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2467), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2469), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2473), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2475), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2477), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2479), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2481), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2483), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2487), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2485), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [24018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2491), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2495), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1714), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2487), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2485), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    STATE(740), 1,
      sym_field_declaration_list,
    STATE(747), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2499), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2497), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24323] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 1,
      sym_identifier,
    ACTIONS(2518), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2515), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2513), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2506), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2508), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2511), 21,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2387), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2385), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24457] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    STATE(741), 1,
      sym_field_declaration_list,
    STATE(751), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2522), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2520), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24522] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
    ACTIONS(1772), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    STATE(735), 1,
      sym_field_declaration_list,
    STATE(765), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2526), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2524), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24652] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      sym_identifier,
    ACTIONS(2543), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(776), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2540), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(714), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2531), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2533), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
    ACTIONS(2536), 21,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24725] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_EQ,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2547), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1772), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [24790] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym_field_declaration_list,
    STATE(745), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2551), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2549), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2553), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym_field_declaration_list,
    STATE(767), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2559), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2557), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2561), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25033] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2567), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(726), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2565), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25105] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2571), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(637), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2569), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1738), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25233] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2575), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(729), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2573), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25305] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2579), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(637), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2577), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [25377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1742), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(761), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2583), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2581), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2587), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2585), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(750), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2594), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2592), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(772), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2598), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2596), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(777), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2602), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2600), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(754), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2606), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2604), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(764), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2610), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2608), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(762), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2614), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2612), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(758), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2618), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2616), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(768), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2622), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2620), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(759), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2626), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2624), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2630), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2628), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2634), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2638), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2642), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2646), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2650), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2656), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2654), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2658), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2662), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2666), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2672), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2670), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2674), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2678), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(756), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2686), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2684), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2682), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2690), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2688), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(752), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2696), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2694), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2692), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2698), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2702), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2708), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2706), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2710), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2716), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2714), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2718), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2722), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2726), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2732), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2730), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2734), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2738), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(760), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2746), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2744), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2742), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(748), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2752), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2750), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2748), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2754), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2758), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2762), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2766), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2770), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      sym_primitive_type,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2777), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2774), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2780), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2784), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_LPAREN2,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1783), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1770), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(766), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2795), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2793), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2791), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2791), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2632), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2799), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2797), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28356] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1373), 1,
      sym__declarator,
    STATE(1419), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2803), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2807), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(935), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [28447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2815), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1328), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2819), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28606] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2823), 1,
      anon_sym_SEMI,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2575), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(729), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2573), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [28677] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1789), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1798), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28803] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2825), 1,
      anon_sym_SEMI,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2575), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(729), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2573), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [28874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1800), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2827), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2831), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29043] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1796), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2835), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2839), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1802), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29275] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1364), 1,
      sym__declarator,
    STATE(1409), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2843), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2845), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(783), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(936), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [29366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2847), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29419] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2851), 1,
      anon_sym_SEMI,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2575), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(729), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2573), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [29490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1304), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1278), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1356), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1368), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2853), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29755] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(1126), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2857), 1,
      anon_sym_SEMI,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2575), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(729), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2573), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [29826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1360), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29879] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(2859), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2861), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2865), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2869), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2873), 44,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30154] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2495), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30222] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30298] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2495), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30366] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    ACTIONS(2901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2903), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2905), 1,
      anon_sym_PIPE,
    ACTIONS(2907), 1,
      anon_sym_CARET,
    ACTIONS(2909), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2899), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2897), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30452] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2913), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2917), 1,
      anon_sym_PIPE,
    ACTIONS(2919), 1,
      anon_sym_CARET,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2929), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2911), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30536] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2919), 1,
      anon_sym_CARET,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2493), 3,
      anon_sym_PIPE,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30614] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(2940), 1,
      anon_sym_COLON,
    STATE(763), 1,
      sym_attribute_specifier,
    STATE(869), 1,
      sym_enumerator_list,
    ACTIONS(2935), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2933), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2931), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [30676] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    ACTIONS(2905), 1,
      anon_sym_PIPE,
    ACTIONS(2907), 1,
      anon_sym_CARET,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30756] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    ACTIONS(2903), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2905), 1,
      anon_sym_PIPE,
    ACTIONS(2907), 1,
      anon_sym_CARET,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30838] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2913), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2917), 1,
      anon_sym_PIPE,
    ACTIONS(2919), 1,
      anon_sym_CARET,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    ACTIONS(2946), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2944), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2942), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30924] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2495), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2948), 3,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_identifier,
    ACTIONS(2951), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2958), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(2953), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31054] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2913), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2917), 1,
      anon_sym_PIPE,
    ACTIONS(2919), 1,
      anon_sym_CARET,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    ACTIONS(2946), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2899), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2897), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31140] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31214] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2913), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2917), 1,
      anon_sym_PIPE,
    ACTIONS(2919), 1,
      anon_sym_CARET,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    ACTIONS(2946), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2962), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2960), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31300] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2495), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31364] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2915), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2917), 1,
      anon_sym_PIPE,
    ACTIONS(2919), 1,
      anon_sym_CARET,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31446] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2917), 1,
      anon_sym_PIPE,
    ACTIONS(2919), 1,
      anon_sym_CARET,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31526] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    ACTIONS(2901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2903), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2905), 1,
      anon_sym_PIPE,
    ACTIONS(2907), 1,
      anon_sym_CARET,
    ACTIONS(2909), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2962), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2960), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31612] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2495), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2964), 3,
      anon_sym___attribute__,
      anon_sym___attribute,
      sym_identifier,
    ACTIONS(2967), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2974), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(2969), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31734] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31810] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2923), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31884] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2881), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2925), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2927), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2495), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31956] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    ACTIONS(2901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2903), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2905), 1,
      anon_sym_PIPE,
    ACTIONS(2907), 1,
      anon_sym_CARET,
    ACTIONS(2909), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2944), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2942), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32042] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2495), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32108] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    ACTIONS(2901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2903), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2905), 1,
      anon_sym_PIPE,
    ACTIONS(2907), 1,
      anon_sym_CARET,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2929), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2911), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32192] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2887), 1,
      anon_sym_AMP,
    ACTIONS(2907), 1,
      anon_sym_CARET,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2883), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2891), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2893), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2895), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2885), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32270] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2879), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(2495), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_EQ,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2978), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1772), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_EQ,
    ACTIONS(2547), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [32451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
    ACTIONS(1772), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [32506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_attribute_specifier,
    STATE(858), 1,
      sym_enumerator_list,
    ACTIONS(2984), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2982), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2980), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [32565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2304), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32615] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1825), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2803), 1,
      anon_sym_RPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1299), 1,
      sym__declarator,
    STATE(1419), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(956), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [32701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2308), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32751] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1825), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_RPAREN,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1301), 1,
      sym__declarator,
    STATE(1409), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(847), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(955), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [32837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1368), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1328), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2869), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(498), 1,
      sym_string_literal,
    ACTIONS(2987), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2561), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2861), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2819), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2865), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(494), 1,
      sym_string_literal,
    ACTIONS(2987), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2561), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(743), 1,
      sym_attribute_specifier,
    ACTIONS(2993), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2991), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2989), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [33290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2869), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1360), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2861), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2819), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2853), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1304), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1278), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2827), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1356), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2827), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(778), 1,
      sym_attribute_specifier,
    ACTIONS(3000), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2998), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2996), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [33833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(493), 1,
      sym_string_literal,
    ACTIONS(2987), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2561), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2873), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2847), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1360), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1370), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1368), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1328), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(495), 1,
      sym_string_literal,
    ACTIONS(2987), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2561), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2831), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2835), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1304), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1278), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2839), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2835), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2847), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2815), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1356), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2831), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2839), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2865), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2815), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(744), 1,
      sym_attribute_specifier,
    ACTIONS(3007), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3005), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3003), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [34874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2873), 39,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2853), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34972] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2453), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2455), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [35029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2467), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2469), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35088] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_LPAREN2,
    ACTIONS(3014), 1,
      anon_sym_COMMA,
    ACTIONS(3017), 1,
      anon_sym_RPAREN,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1679), 1,
      aux_sym__old_style_parameter_list_repeat1,
    ACTIONS(1783), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1770), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [35147] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2962), 1,
      anon_sym_EQ,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3026), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3028), 1,
      anon_sym_PIPE,
    ACTIONS(3030), 1,
      anon_sym_CARET,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2960), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2473), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2475), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2899), 1,
      anon_sym_EQ,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3026), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3028), 1,
      anon_sym_PIPE,
    ACTIONS(3030), 1,
      anon_sym_CARET,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2897), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35372] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2929), 1,
      anon_sym_EQ,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3026), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3028), 1,
      anon_sym_PIPE,
    ACTIONS(3030), 1,
      anon_sym_CARET,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2911), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35453] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3044), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35563] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1346), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1017), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [35640] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35705] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1347), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(912), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1015), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [35782] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2495), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35851] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2495), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35922] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35995] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2481), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2483), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36054] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3030), 1,
      anon_sym_CARET,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36129] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2493), 1,
      anon_sym_EQ,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3028), 1,
      anon_sym_PIPE,
    ACTIONS(3030), 1,
      anon_sym_CARET,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36206] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2493), 1,
      anon_sym_EQ,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3026), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3028), 1,
      anon_sym_PIPE,
    ACTIONS(3030), 1,
      anon_sym_CARET,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2495), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36285] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1335), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1018), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36362] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2477), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2479), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36482] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2944), 1,
      anon_sym_EQ,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3024), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3026), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3028), 1,
      anon_sym_PIPE,
    ACTIONS(3030), 1,
      anon_sym_CARET,
    ACTIONS(3032), 1,
      anon_sym_AMP,
    ACTIONS(3042), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3020), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3034), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3036), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3038), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3040), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3022), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2942), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36565] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2495), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36624] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1335), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(902), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1018), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [36701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1204), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1224), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1204), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_EQ,
    ACTIONS(2978), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1772), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [36889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2491), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [36935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1148), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1148), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [37027] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_LPAREN2,
    ACTIONS(3065), 1,
      anon_sym_LBRACK,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1783), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3058), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1770), 27,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [37083] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_LPAREN2,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1783), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3068), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1785), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1770), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [37137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1208), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [37183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1136), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [37229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1156), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [37275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1224), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [37321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2449), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2451), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [37367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2465), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [37413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1208), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [37459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_EQ,
    ACTIONS(3071), 1,
      anon_sym_SEMI,
    ACTIONS(1791), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1772), 13,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [37510] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1374), 1,
      sym__declarator,
    STATE(1433), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3073), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3075), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [37585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1373), 1,
      sym__declarator,
    STATE(1419), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2803), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2807), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [37660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1154), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1222), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1206), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1146), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1222), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1136), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1134), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2953), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(3079), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1146), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1202), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1202), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3085), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(3083), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1206), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2809), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1419), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    ACTIONS(3089), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3091), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1098), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2803), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38305] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2809), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1409), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    ACTIONS(3089), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3091), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(950), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1100), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2843), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38378] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3102), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3099), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3097), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3095), 21,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [38429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3107), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1364), 1,
      sym__declarator,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1111), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1327), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38565] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1825), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2803), 1,
      anon_sym_RPAREN,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1299), 1,
      sym__declarator,
    STATE(1419), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38635] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1825), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(3073), 1,
      anon_sym_RPAREN,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1302), 1,
      sym__declarator,
    STATE(1433), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38705] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1325), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(964), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1115), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38773] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1330), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(954), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3107), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1374), 1,
      sym__declarator,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1114), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38909] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1302), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1110), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [38977] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3107), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1373), 1,
      sym__declarator,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(959), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1113), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3107), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1373), 1,
      sym__declarator,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1113), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1301), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(965), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1116), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1330), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1117), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1299), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39317] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1006), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1299), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2811), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(960), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1112), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2809), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [39385] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2929), 1,
      anon_sym___attribute,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2911), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39460] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2495), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [39515] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2929), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3151), 1,
      anon_sym_PIPE,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2911), 7,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      sym_identifier,
  [39590] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2899), 1,
      anon_sym___attribute,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2897), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [39667] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2962), 1,
      anon_sym___attribute,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2960), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [39744] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2493), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2495), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [39801] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2495), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [39860] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2495), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [39923] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2495), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [39988] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [40055] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2944), 1,
      anon_sym___attribute,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2942), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [40132] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2899), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3151), 1,
      anon_sym_PIPE,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    ACTIONS(3167), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2897), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [40209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [40278] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2962), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3151), 1,
      anon_sym_PIPE,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    ACTIONS(3167), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2960), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [40355] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(2495), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [40410] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2944), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3151), 1,
      anon_sym_PIPE,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    ACTIONS(3167), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2942), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [40487] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3151), 1,
      anon_sym_PIPE,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [40558] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym___attribute,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [40631] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(2495), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [40688] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym___attribute,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [40759] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [40828] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [40895] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(2495), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [40960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(2495), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [41023] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(2495), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [41082] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3151), 1,
      anon_sym_PIPE,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [41155] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3151), 1,
      anon_sym_PIPE,
    ACTIONS(3153), 1,
      anon_sym_CARET,
    ACTIONS(3155), 1,
      anon_sym_AMP,
    ACTIONS(3167), 1,
      anon_sym_QMARK,
    ACTIONS(3171), 1,
      aux_sym_preproc_elif_token1,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3141), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3145), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3157), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3159), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3161), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3169), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [41232] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1271), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41296] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1946), 1,
      sym_identifier,
    ACTIONS(3179), 1,
      anon_sym_enum,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1042), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1101), 1,
      sym_type_specifier,
    STATE(1882), 1,
      sym_type_descriptor,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1013), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41360] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1042), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1101), 1,
      sym_type_specifier,
    STATE(1909), 1,
      sym_type_descriptor,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3183), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [41464] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1279), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41528] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1042), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1101), 1,
      sym_type_specifier,
    STATE(1887), 1,
      sym_type_descriptor,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41592] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1281), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41656] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1946), 1,
      sym_identifier,
    ACTIONS(3179), 1,
      anon_sym_enum,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1042), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1101), 1,
      sym_type_specifier,
    STATE(1844), 1,
      sym_type_descriptor,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1013), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41720] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1270), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41784] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1280), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41848] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1273), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [41912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3185), 26,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [41952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3189), 26,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [41992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3195), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [42032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3199), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [42072] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1042), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1101), 1,
      sym_type_specifier,
    STATE(1906), 1,
      sym_type_descriptor,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1014), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42136] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1277), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42200] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1127), 1,
      sym_type_specifier,
    STATE(1274), 1,
      sym__type_definition_type,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1016), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 13,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3203), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [42304] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1946), 1,
      sym_identifier,
    ACTIONS(3179), 1,
      anon_sym_enum,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1042), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1093), 1,
      sym_type_specifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(1946), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1042), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1093), 1,
      sym_type_specifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1734), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42426] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1335), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42487] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_struct,
    ACTIONS(59), 1,
      anon_sym_union,
    ACTIONS(1736), 1,
      anon_sym_enum,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(3177), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1124), 1,
      sym_type_specifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(781), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42548] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1343), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42609] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1346), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [42670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_attribute_specifier,
    STATE(1029), 1,
      sym_enumerator_list,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2982), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2980), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [42716] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3207), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [42790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(3209), 1,
      anon_sym_COLON,
    STATE(763), 1,
      sym_attribute_specifier,
    STATE(1049), 1,
      sym_enumerator_list,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2933), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(2931), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [42838] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3213), 1,
      anon_sym___attribute,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3211), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [42912] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3215), 1,
      anon_sym_COMMA,
    ACTIONS(3217), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    STATE(1636), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42987] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3219), 1,
      anon_sym_COMMA,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    STATE(1591), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43062] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3223), 1,
      anon_sym_COMMA,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(681), 1,
      sym_argument_list,
    STATE(1586), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43137] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3219), 1,
      anon_sym_COMMA,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    STATE(1671), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43212] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3229), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2495), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(743), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2991), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2989), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [43376] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43592] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2495), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43652] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3249), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43724] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3251), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43796] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2495), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43858] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43928] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2495), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3259), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44064] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2495), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44130] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3263), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44202] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2543), 1,
      sym_primitive_type,
    ACTIONS(3265), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1122), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2540), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1059), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3267), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2531), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2533), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [44252] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44324] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3271), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44396] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3273), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44468] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3275), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44540] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2495), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44606] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3279), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(778), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(2998), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2996), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [44718] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3281), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44790] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2960), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [44862] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3169), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44932] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2495), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44986] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2495), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45054] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3289), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45124] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2495), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45180] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2911), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [45250] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45320] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      sym_primitive_type,
    ACTIONS(3293), 1,
      sym_identifier,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2515), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2513), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2506), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2508), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [45370] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3295), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3297), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45512] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3299), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(744), 1,
      sym_attribute_specifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3005), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3003), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [45624] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3301), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45768] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2897), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3305), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45912] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2942), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [45984] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3307), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46056] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3309), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46126] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3311), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46198] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3313), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46270] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46340] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3317), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46412] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3319), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46484] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3321), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46556] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3012), 1,
      anon_sym_DOT,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    ACTIONS(3323), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3325), 1,
      anon_sym_RBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [46630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3327), 1,
      anon_sym_SEMI,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46702] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3329), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46771] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3331), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46840] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    ACTIONS(3333), 1,
      anon_sym_RBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [46909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [46978] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3335), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47047] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47116] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3337), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47185] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47254] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2188), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47323] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47392] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1491), 1,
      sym__abstract_declarator,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3339), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3341), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3343), 1,
      anon_sym_COMMA,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47585] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3345), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47654] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1485), 1,
      sym__abstract_declarator,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1108), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3347), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [47709] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47778] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3349), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47847] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3351), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47916] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3353), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47985] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1433), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3073), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    ACTIONS(3355), 1,
      anon_sym_RBRACK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48109] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1419), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2803), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48164] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1492), 1,
      sym__abstract_declarator,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1089), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3357), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48219] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3359), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48288] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    ACTIONS(3361), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48357] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48426] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48495] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2194), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2198), 1,
      anon_sym_RBRACK,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 1,
      anon_sym_AMP,
    ACTIONS(3261), 1,
      anon_sym_CARET,
    ACTIONS(3277), 1,
      anon_sym_PIPE,
    ACTIONS(3283), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3285), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3287), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3241), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3243), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3247), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48633] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_const,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1490), 1,
      sym__abstract_declarator,
    ACTIONS(3093), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3363), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3087), 9,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1328), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48740] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1300), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48792] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3107), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1373), 1,
      sym__declarator,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48844] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1302), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48896] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3107), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1374), 1,
      sym__declarator,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [48948] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3107), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1369), 1,
      sym__declarator,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49000] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1330), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1299), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49104] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1327), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_SEMI,
    ACTIONS(1778), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1772), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [49192] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(2459), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_SLASH,
    ACTIONS(3123), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3125), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3127), 1,
      anon_sym_PIPE,
    ACTIONS(3129), 1,
      anon_sym_CARET,
    ACTIONS(3131), 1,
      anon_sym_AMP,
    ACTIONS(3165), 1,
      anon_sym_QMARK,
    STATE(681), 1,
      sym_argument_list,
    ACTIONS(2461), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2471), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3117), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3133), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3135), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3137), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3139), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49258] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym___based,
    ACTIONS(3365), 1,
      sym_identifier,
    ACTIONS(3371), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1144), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2506), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(2515), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3368), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2508), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49307] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      anon_sym___based,
    ACTIONS(3374), 1,
      sym_identifier,
    ACTIONS(3380), 1,
      sym_primitive_type,
    STATE(711), 1,
      sym_alignas_qualifier,
    STATE(1132), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2531), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(2540), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1120), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3377), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2533), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2585), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(2589), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2777), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2774), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
  [49395] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3385), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3383), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3389), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1123), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3387), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49475] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3393), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3391), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49515] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2805), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(1326), 1,
      sym__declarator,
    STATE(1398), 1,
      sym__abstract_declarator,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1993), 1,
      sym_ms_based_modifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3395), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1487), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [49571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(711), 1,
      sym_alignas_qualifier,
    ACTIONS(51), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3399), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1125), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3397), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(49), 10,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
  [49611] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1286), 1,
      sym_ms_call_modifier,
    STATE(1454), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [49660] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(649), 1,
      sym__old_style_function_declarator,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1323), 1,
      sym_ms_call_modifier,
    STATE(1371), 1,
      sym__declarator,
    STATE(1473), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1660), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [49714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2656), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3403), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2654), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [49748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1136), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2793), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3406), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2791), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [49782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2777), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3409), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2774), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [49816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_LPAREN2,
    STATE(1012), 1,
      sym_preproc_argument_list,
    ACTIONS(3417), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3413), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2690), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2688), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [49884] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(658), 1,
      sym__old_style_function_declarator,
    STATE(1314), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1367), 1,
      sym__declarator,
    STATE(1456), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1670), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [49938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2732), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2730), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [49972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2708), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3425), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2706), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2799), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3428), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2797), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_STAR,
    ACTIONS(2788), 1,
      anon_sym_LPAREN2,
    STATE(1138), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3431), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1770), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1146), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2694), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3434), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2692), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1134), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2684), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3437), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2682), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1137), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2744), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3440), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2742), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1130), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2750), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3443), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2748), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2630), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2628), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50246] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(660), 1,
      sym__old_style_function_declarator,
    STATE(1311), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1370), 1,
      sym__declarator,
    STATE(1439), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1620), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(732), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2672), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3449), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2670), 15,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [50334] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(653), 1,
      sym__old_style_function_declarator,
    STATE(1303), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1363), 1,
      sym__declarator,
    STATE(1461), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1617), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50388] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1313), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1442), 1,
      sym__declaration_declarator,
    STATE(1450), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1574), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50439] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1323), 1,
      sym_ms_call_modifier,
    STATE(1378), 1,
      sym__declarator,
    STATE(1473), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1660), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50490] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1315), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1450), 1,
      sym__declarator,
    STATE(1461), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1617), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50541] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3454), 1,
      anon_sym_RPAREN,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3464), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1157), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50584] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1311), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1390), 1,
      sym__declarator,
    STATE(1439), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1620), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50635] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1305), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1439), 1,
      sym__declaration_declarator,
    STATE(1450), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1620), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50686] = 5,
    ACTIONS(3413), 1,
      anon_sym_LF,
    ACTIONS(3468), 1,
      anon_sym_LPAREN2,
    ACTIONS(3470), 1,
      sym_comment,
    STATE(1258), 1,
      sym_preproc_argument_list,
    ACTIONS(3417), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(2931), 1,
      anon_sym_const,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(3474), 1,
      anon_sym_COLON,
    STATE(763), 1,
      sym_attribute_specifier,
    STATE(1049), 1,
      sym_enumerator_list,
    ACTIONS(2933), 14,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym__Nonnull,
      anon_sym_alignas,
      anon_sym__Alignas,
  [50760] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(3479), 1,
      anon_sym_RPAREN,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    STATE(1678), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3505), 1,
      anon_sym_RPAREN,
    STATE(1594), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50870] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3507), 1,
      anon_sym_RPAREN,
    ACTIONS(3509), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1162), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50913] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1324), 1,
      sym_ms_call_modifier,
    STATE(1450), 1,
      sym__declarator,
    STATE(1467), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1613), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [50964] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3511), 1,
      anon_sym_RPAREN,
    ACTIONS(3513), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1156), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51007] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1314), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1400), 1,
      sym__declarator,
    STATE(1456), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1670), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51058] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3515), 1,
      anon_sym_RPAREN,
    STATE(1669), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51113] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1307), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1450), 1,
      sym__declarator,
    STATE(1456), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1670), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51164] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1306), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1450), 1,
      sym__declarator,
    STATE(1473), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1660), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51215] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1308), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1450), 1,
      sym__declarator,
    STATE(1496), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1761), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51266] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1303), 1,
      sym_ms_call_modifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1384), 1,
      sym__declarator,
    STATE(1461), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(1617), 1,
      sym_init_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [51317] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3517), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1212), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3529), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1243), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3535), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3533), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [51439] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3533), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [51483] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3533), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [51529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3537), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1252), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3539), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1249), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51609] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3541), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1257), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51649] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3543), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1260), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51689] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3533), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [51735] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3533), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [51783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3533), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3535), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3533), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3545), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3549), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3553), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1246), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51939] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3555), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1232), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51979] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3557), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1197), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52019] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3559), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1244), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3561), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1247), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3563), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1206), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52139] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3565), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1248), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3567), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1228), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3569), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1229), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3571), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1242), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52299] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3573), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1230), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3575), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1233), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3577), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1234), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52419] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3579), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1235), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3581), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1236), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52499] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3583), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52549] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3585), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1237), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3587), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1259), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3589), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1255), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2421), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2423), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52697] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3591), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1239), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3535), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3533), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52771] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3535), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3533), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [52807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3595), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3593), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3597), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3601), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1179), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3603), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1178), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3605), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1240), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [52983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3607), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1177), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3609), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1176), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3535), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3533), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53103] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3611), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1171), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3613), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1169), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3615), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1170), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53223] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3617), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1225), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3619), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1203), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
    ACTIONS(3456), 1,
      anon_sym_LPAREN2,
    ACTIONS(3458), 1,
      anon_sym_defined,
    ACTIONS(3621), 1,
      sym_number_literal,
    ACTIONS(3460), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1204), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53343] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3623), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1241), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53383] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3625), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1231), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3521), 1,
      anon_sym_LPAREN2,
    ACTIONS(3523), 1,
      anon_sym_defined,
    ACTIONS(3627), 1,
      sym_number_literal,
    ACTIONS(3525), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3527), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3531), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1250), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53463] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3545), 1,
      anon_sym_LF,
    ACTIONS(3547), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53490] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(650), 1,
      sym__old_style_function_declarator,
    STATE(1332), 1,
      sym_ms_call_modifier,
    STATE(1395), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53533] = 3,
    ACTIONS(3183), 1,
      anon_sym_LF,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3181), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53560] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3629), 1,
      anon_sym_LF,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [53605] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(661), 1,
      sym__old_style_function_declarator,
    STATE(1350), 1,
      sym_ms_call_modifier,
    STATE(1383), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53648] = 3,
    ACTIONS(3199), 1,
      anon_sym_LF,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3197), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53675] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3535), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53704] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3535), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53731] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [53776] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3651), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [53821] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3653), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [53866] = 11,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3535), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [53909] = 10,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3535), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [53950] = 9,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3535), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [53989] = 8,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3535), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [54026] = 7,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3535), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54061] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_LF,
    ACTIONS(3551), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54088] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3655), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54133] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3657), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54178] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3659), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54223] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3661), 1,
      anon_sym_RPAREN,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54272] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3663), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54317] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3485), 1,
      anon_sym_SLASH,
    ACTIONS(3487), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3491), 1,
      anon_sym_PIPE,
    ACTIONS(3493), 1,
      anon_sym_CARET,
    ACTIONS(3495), 1,
      anon_sym_AMP,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(3481), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3497), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3499), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3501), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3503), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54366] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_LF,
    ACTIONS(3595), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54393] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3667), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54438] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_LF,
    ACTIONS(3599), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54465] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3669), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54510] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3671), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54555] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3673), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54600] = 3,
    ACTIONS(3195), 1,
      anon_sym_LF,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3193), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54627] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3675), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54672] = 3,
    ACTIONS(2423), 1,
      anon_sym_LF,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(2421), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54699] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(662), 1,
      sym__old_style_function_declarator,
    STATE(1348), 1,
      sym_ms_call_modifier,
    STATE(1397), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54742] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3535), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54773] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(659), 1,
      sym__old_style_function_declarator,
    STATE(1357), 1,
      sym_ms_call_modifier,
    STATE(1389), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54816] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3677), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54861] = 3,
    ACTIONS(3203), 1,
      anon_sym_LF,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3201), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54888] = 6,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3535), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54921] = 12,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3637), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3639), 1,
      anon_sym_PIPE,
    ACTIONS(3641), 1,
      anon_sym_CARET,
    ACTIONS(3643), 1,
      anon_sym_AMP,
    ACTIONS(3679), 1,
      anon_sym_LF,
    ACTIONS(3631), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3649), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3633), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3647), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [54966] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1350), 1,
      sym_ms_call_modifier,
    STATE(1411), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [55006] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1332), 1,
      sym_ms_call_modifier,
    STATE(1431), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [55046] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(3685), 1,
      anon_sym_LBRACK,
    STATE(1282), 1,
      sym_gnu_asm_expression,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    STATE(1275), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3683), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(3685), 1,
      anon_sym_LBRACK,
    STATE(1272), 1,
      sym_gnu_asm_expression,
    STATE(1312), 1,
      sym_attribute_specifier,
    STATE(1379), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3687), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1275), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3683), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55124] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(1358), 1,
      sym_ms_call_modifier,
    STATE(1470), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [55164] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1344), 1,
      sym_ms_call_modifier,
    STATE(1468), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [55204] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1348), 1,
      sym_ms_call_modifier,
    STATE(1430), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [55244] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1357), 1,
      sym_ms_call_modifier,
    STATE(1412), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(41), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [55284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_LPAREN2,
    ACTIONS(1825), 1,
      anon_sym_STAR,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1460), 1,
      sym__declarator,
    STATE(1569), 1,
      sym__abstract_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [55328] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1503), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55369] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1506), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    STATE(1312), 1,
      sym_attribute_specifier,
    STATE(1391), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3689), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1278), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3695), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3691), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55449] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1523), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55490] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1524), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1276), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3693), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3691), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 1,
      sym_identifier,
    ACTIONS(3702), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1276), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3705), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3700), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55593] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1510), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1276), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3709), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3707), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55665] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1522), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1518), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1355), 1,
      sym__type_declarator,
    STATE(1511), 1,
      sym__type_definition_declarators,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1278), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3693), 4,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3691), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [55819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3713), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3711), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [55847] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    ACTIONS(3718), 1,
      anon_sym_SEMI,
    STATE(1318), 1,
      sym__field_declarator,
    STATE(1564), 1,
      sym__field_declaration_declarator,
    STATE(1935), 1,
      sym_attribute_specifier,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [55889] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    ACTIONS(3720), 1,
      anon_sym_SEMI,
    STATE(1318), 1,
      sym__field_declarator,
    STATE(1534), 1,
      sym__field_declaration_declarator,
    STATE(1853), 1,
      sym_attribute_specifier,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [55931] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1466), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [55969] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    ACTIONS(3722), 1,
      anon_sym_SEMI,
    STATE(1318), 1,
      sym__field_declarator,
    STATE(1562), 1,
      sym__field_declaration_declarator,
    STATE(1889), 1,
      sym_attribute_specifier,
    STATE(2013), 1,
      sym_ms_based_modifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [56011] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3048), 1,
      sym_identifier,
    ACTIONS(3050), 1,
      anon_sym_LPAREN2,
    ACTIONS(3052), 1,
      anon_sym_STAR,
    ACTIONS(3056), 1,
      sym_primitive_type,
    STATE(1366), 1,
      sym__type_declarator,
    STATE(1974), 1,
      sym_ms_based_modifier,
    ACTIONS(3054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1429), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [56049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(3726), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [56072] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3730), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3732), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3734), 1,
      aux_sym_preproc_elif_token1,
    STATE(1345), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1455), 1,
      sym_enumerator,
    ACTIONS(3736), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1957), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(1961), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [56111] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(3685), 1,
      anon_sym_LBRACK,
    STATE(1338), 1,
      sym_gnu_asm_expression,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(93), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    STATE(1349), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3683), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [56144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3740), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3738), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(2951), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [56194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_LPAREN2,
    STATE(1012), 1,
      sym_preproc_argument_list,
    ACTIONS(3744), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3742), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
  [56221] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3732), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3734), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3746), 1,
      aux_sym_preproc_if_token2,
    STATE(1333), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1337), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1455), 1,
      sym_enumerator,
    ACTIONS(3736), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1911), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(1913), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [56260] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3732), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3734), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3748), 1,
      aux_sym_preproc_if_token2,
    STATE(1341), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1342), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1455), 1,
      sym_enumerator,
    ACTIONS(3736), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1816), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1817), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [56299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 7,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      sym_identifier,
    ACTIONS(2967), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [56322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3732), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3734), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3750), 1,
      aux_sym_preproc_if_token2,
    STATE(1352), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1361), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1455), 1,
      sym_enumerator,
    ACTIONS(3736), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1992), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(2003), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [56361] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3758), 1,
      anon_sym___asm,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3752), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56393] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3762), 1,
      anon_sym___asm,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3760), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56425] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym___asm,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3764), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3770), 1,
      anon_sym___asm,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3768), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56489] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1434), 1,
      sym__declarator,
    STATE(1446), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56526] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3774), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3776), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1696), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1891), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1339), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [56559] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1436), 1,
      sym__declaration_declarator,
    STATE(1478), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56596] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1453), 1,
      sym__declaration_declarator,
    STATE(1478), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1457), 1,
      sym__declaration_declarator,
    STATE(1478), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56670] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1478), 1,
      sym__declarator,
    STATE(1495), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3780), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3784), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56749] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1416), 1,
      sym__declarator,
    STATE(1436), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3742), 2,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(3788), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3790), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(3793), 3,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
    ACTIONS(3744), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [56813] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1441), 1,
      sym__declaration_declarator,
    STATE(1478), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56850] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1418), 1,
      sym__declarator,
    STATE(1457), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56887] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1446), 1,
      sym__declaration_declarator,
    STATE(1478), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [56924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3795), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3799), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [56966] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3803), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym___attribute,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_COLON,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1520), 1,
      sym_bitfield_clause,
    STATE(1521), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3805), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3813), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [57026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3819), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3817), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [57047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 3,
      anon_sym___attribute,
      anon_sym_LBRACK,
      anon_sym___asm,
    ACTIONS(3821), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [57068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3774), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3825), 1,
      anon_sym_RBRACE,
    ACTIONS(3776), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1739), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1951), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1304), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [57101] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1424), 1,
      sym__declarator,
    STATE(1453), 1,
      sym__declaration_declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [57138] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    ACTIONS(3401), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_function_declarator,
    STATE(1459), 1,
      sym__declaration_declarator,
    STATE(1478), 1,
      sym__declarator,
    STATE(1501), 1,
      sym__function_declaration_declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1375), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [57175] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3829), 1,
      anon_sym___attribute,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3827), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [57205] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(1291), 1,
      sym_parameter_list,
    ACTIONS(3831), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(1474), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [57239] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3835), 1,
      anon_sym___attribute,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3833), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [57269] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 1,
      anon_sym___attribute,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3837), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [57299] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 1,
      anon_sym_COLON,
    ACTIONS(3843), 1,
      anon_sym___attribute,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1565), 1,
      sym_bitfield_clause,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3841), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(3847), 1,
      anon_sym___attribute,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3845), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [57363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3849), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    STATE(1342), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1816), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1426), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3857), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3859), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3863), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1407), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1856), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [57452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    ACTIONS(3867), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1555), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [57477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3871), 1,
      anon_sym___attribute,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3869), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3750), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    STATE(1352), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1992), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3875), 1,
      aux_sym_preproc_if_token2,
    STATE(1408), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1847), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1354), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3691), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [57593] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 1,
      sym_identifier,
    ACTIONS(3880), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3886), 1,
      sym_preproc_directive,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
    ACTIONS(3883), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1904), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1339), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [57622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3891), 1,
      aux_sym_preproc_if_token2,
    STATE(1337), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1913), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57653] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3859), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3893), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3863), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1407), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1986), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [57682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3895), 1,
      aux_sym_preproc_if_token2,
    STATE(1408), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1977), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    ACTIONS(3899), 1,
      anon_sym___attribute,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3897), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1460), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57771] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3859), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3901), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3863), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1407), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1857), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [57800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    ACTIONS(3905), 1,
      anon_sym___attribute,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3903), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    ACTIONS(3909), 1,
      anon_sym___attribute,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3907), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [57858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1427), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57887] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(3693), 3,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1276), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3691), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [57910] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1415), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [57939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3913), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3911), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [57962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3915), 1,
      aux_sym_preproc_if_token2,
    STATE(1408), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1956), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [57993] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3859), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3917), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3863), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1361), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2003), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [58022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3681), 1,
      sym_identifier,
    ACTIONS(3709), 3,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1276), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3707), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [58045] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    ACTIONS(3919), 1,
      anon_sym_COMMA,
    ACTIONS(3923), 1,
      anon_sym___attribute,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1505), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3921), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1961), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [58109] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(3105), 1,
      anon_sym_LPAREN2,
    ACTIONS(3115), 1,
      anon_sym_STAR,
    STATE(1423), 1,
      sym__declarator,
    STATE(2021), 1,
      sym_ms_based_modifier,
    STATE(1321), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [58138] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(1469), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [58167] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3859), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3925), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3863), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1345), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1957), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [58196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(3851), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3853), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3927), 1,
      aux_sym_preproc_if_token2,
    STATE(1408), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(3855), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1859), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [58227] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(3859), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3861), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3929), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3863), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1407), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1955), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [58256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym___based,
    ACTIONS(3109), 1,
      sym_identifier,
    ACTIONS(3111), 1,
      anon_sym_LPAREN2,
    ACTIONS(3113), 1,
      anon_sym_STAR,
    STATE(1329), 1,
      sym__field_declarator,
    STATE(2013), 1,
      sym_ms_based_modifier,
    STATE(1387), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [58285] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(147), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58317] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3766), 1,
      anon_sym___attribute,
    STATE(1291), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3764), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3937), 1,
      anon_sym___attribute__,
    ACTIONS(3940), 1,
      anon_sym___attribute,
    ACTIONS(3943), 1,
      anon_sym___asm,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3935), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [58369] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    ACTIONS(3947), 1,
      anon_sym___attribute,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3945), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58397] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(267), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      anon_sym_LBRACK,
    STATE(1546), 1,
      sym_gnu_asm_input_operand,
    STATE(1927), 1,
      sym_string_literal,
    ACTIONS(3949), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [58453] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3762), 1,
      anon_sym___attribute,
    STATE(1291), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3760), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58481] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(285), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(338), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3955), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    STATE(1283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3953), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58567] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3758), 1,
      anon_sym___attribute,
    STATE(1291), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3752), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58595] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3770), 1,
      anon_sym___attribute,
    STATE(1291), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
  [58623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_LBRACK,
    ACTIONS(3959), 1,
      anon_sym___asm,
    ACTIONS(3821), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3957), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [58645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(1542), 1,
      sym_gnu_asm_output_operand,
    STATE(1878), 1,
      sym_string_literal,
    ACTIONS(3961), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [58669] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_LPAREN2,
    ACTIONS(1950), 1,
      anon_sym_STAR,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    STATE(1444), 1,
      sym_parameter_list,
    STATE(1569), 1,
      sym__abstract_declarator,
    STATE(1437), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
  [58694] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(338), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(3695), 1,
      anon_sym___asm,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3689), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [58746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3967), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3965), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [58763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3971), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3969), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [58780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3973), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [58797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    STATE(331), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(147), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1658), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [58876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1642), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [58897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3979), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3977), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [58914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3981), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [58931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    STATE(134), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(285), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [58989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(3987), 1,
      anon_sym___asm,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3985), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [59012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3989), 1,
      sym_identifier,
    ACTIONS(3993), 1,
      sym_system_lib_string,
    STATE(1926), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3991), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3995), 1,
      sym_identifier,
    ACTIONS(3997), 1,
      sym_system_lib_string,
    STATE(1829), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3991), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(3999), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    STATE(299), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4003), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3931), 1,
      anon_sym_LPAREN2,
    STATE(289), 1,
      sym_compound_statement,
    STATE(944), 1,
      sym__old_style_parameter_list,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(3831), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1479), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [59173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4009), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(267), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4013), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [59236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      sym_identifier,
    STATE(672), 1,
      sym_string_literal,
    STATE(1577), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 1,
      sym_identifier,
    ACTIONS(4019), 1,
      sym_system_lib_string,
    STATE(1944), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3991), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4021), 1,
      sym_identifier,
    ACTIONS(4023), 1,
      sym_system_lib_string,
    STATE(2000), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3991), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4025), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(4029), 1,
      sym_identifier,
    STATE(733), 1,
      sym_field_declaration_list,
    STATE(1526), 1,
      sym_attribute_specifier,
    STATE(1575), 1,
      sym_ms_declspec_modifier,
    ACTIONS(35), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [59341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 1,
      sym_identifier,
    ACTIONS(4036), 1,
      aux_sym_preproc_elif_token1,
    STATE(1407), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4034), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [59361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym_identifier,
    ACTIONS(4043), 1,
      aux_sym_preproc_elif_token1,
    STATE(1408), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
    ACTIONS(4041), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [59383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    ACTIONS(4047), 1,
      anon_sym___attribute,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(4045), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_COLON,
  [59405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4051), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4049), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59421] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(331), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59447] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(134), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4053), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4057), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59505] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(355), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59531] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(297), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4063), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4065), 1,
      anon_sym_EQ,
    ACTIONS(4061), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [59575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(281), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    ACTIONS(4069), 1,
      anon_sym___attribute,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(4067), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_COLON,
  [59623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4071), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4075), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4079), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59671] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(128), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59697] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(322), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3951), 1,
      anon_sym_LBRACK,
    STATE(1661), 1,
      sym_gnu_asm_input_operand,
    STATE(1927), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(310), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59769] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(308), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4083), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4087), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59827] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(289), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59853] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(299), 1,
      sym_compound_statement,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 2,
      anon_sym___attribute,
      anon_sym_LBRACK,
    ACTIONS(4091), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [59895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    ACTIONS(4097), 1,
      anon_sym___attribute,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(4095), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym___attribute__,
      anon_sym_COLON,
  [59917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(120), 1,
      sym_compound_statement,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [59943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_LBRACK,
    STATE(1573), 1,
      sym_gnu_asm_output_operand,
    STATE(1878), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [59963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4101), 1,
      anon_sym_SEMI,
    STATE(1632), 1,
      sym_gnu_asm_expression,
    STATE(1633), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [59986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym___attribute,
    ACTIONS(4105), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym___attribute,
    ACTIONS(4109), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4113), 1,
      anon_sym_SEMI,
    STATE(1626), 1,
      sym_gnu_asm_expression,
    STATE(1627), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym___attribute,
    ACTIONS(4115), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4119), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_gnu_asm_expression,
    STATE(1604), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4121), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
    STATE(1672), 1,
      sym_gnu_asm_expression,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym___attribute,
    ACTIONS(4123), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym___attribute,
    ACTIONS(4127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym___attribute,
    ACTIONS(4131), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4135), 1,
      anon_sym_SEMI,
    STATE(1572), 1,
      sym_gnu_asm_expression,
    STATE(1673), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym___attribute,
    ACTIONS(4137), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym___attribute,
    ACTIONS(4141), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym___attribute,
    ACTIONS(4145), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(3933), 1,
      anon_sym_EQ,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym___attribute,
    ACTIONS(4149), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 1,
      anon_sym_LPAREN2,
    STATE(1471), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4155), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [60268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4157), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      sym_gnu_asm_expression,
    STATE(1579), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60291] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    ACTIONS(4159), 1,
      anon_sym_RPAREN,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym_COMMA,
    ACTIONS(4165), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4161), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [60331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4167), 1,
      anon_sym_SEMI,
    STATE(1593), 1,
      sym_gnu_asm_expression,
    STATE(1640), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    STATE(1571), 1,
      sym_gnu_asm_expression,
    STATE(1677), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_LBRACK,
    ACTIONS(4174), 1,
      anon_sym_EQ,
    ACTIONS(4176), 1,
      anon_sym_DOT,
    STATE(1458), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [60396] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4179), 1,
      anon_sym_SEMI,
    STATE(1584), 1,
      aux_sym_declaration_repeat1,
    STATE(1585), 1,
      sym_gnu_asm_expression,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(4181), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60442] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4183), 1,
      anon_sym_SEMI,
    STATE(1638), 1,
      sym_gnu_asm_expression,
    STATE(1639), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_LBRACK,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(4187), 1,
      anon_sym_DOT,
    STATE(1458), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [60484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym___attribute,
    ACTIONS(4189), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym___attribute,
    ACTIONS(4193), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym___attribute,
    ACTIONS(4197), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [60529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3873), 1,
      anon_sym_LBRACK,
    ACTIONS(4201), 1,
      anon_sym_RPAREN,
    STATE(1410), 1,
      sym_parameter_list,
    STATE(1372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4203), 1,
      anon_sym_SEMI,
    STATE(1596), 1,
      aux_sym_declaration_repeat1,
    STATE(1601), 1,
      sym_gnu_asm_expression,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    ACTIONS(4205), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60598] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4207), 1,
      anon_sym_RPAREN,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3809), 1,
      anon_sym_LBRACK,
    ACTIONS(4209), 1,
      anon_sym_RPAREN,
    STATE(1401), 1,
      sym_parameter_list,
    STATE(1351), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_LPAREN2,
    STATE(1471), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4213), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [60661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_LPAREN2,
    STATE(1452), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4155), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [60678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4218), 1,
      anon_sym_SEMI,
    STATE(1666), 1,
      aux_sym_declaration_repeat1,
    STATE(1668), 1,
      sym_gnu_asm_expression,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [60701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [60719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4224), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4043), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4041), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [60747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4226), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4228), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(3756), 1,
      anon_sym_LBRACK,
    STATE(1264), 1,
      sym_parameter_list,
    STATE(1292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [60781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [60799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(628), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [60813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4230), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4232), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4234), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4236), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3889), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4238), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4242), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(4244), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4246), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4248), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4250), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [60919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4254), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4256), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4258), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [60947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(4260), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(4262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    STATE(1465), 1,
      sym_parameter_list,
    ACTIONS(4264), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [61015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4230), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4232), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [61029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    STATE(1725), 1,
      sym_gnu_asm_expression,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4266), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym___asm,
    STATE(1692), 1,
      sym_gnu_asm_expression,
    ACTIONS(4103), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4268), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4242), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [61079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1838), 1,
      sym_string_literal,
    ACTIONS(99), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [61093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4270), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    ACTIONS(4274), 1,
      anon_sym_COLON_COLON,
    STATE(1752), 1,
      sym_argument_list,
    ACTIONS(4272), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [61127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4278), 1,
      anon_sym___asm,
    ACTIONS(4276), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [61140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4280), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4282), 1,
      anon_sym_SEMI,
    STATE(1504), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4284), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3919), 1,
      anon_sym_COMMA,
    ACTIONS(4288), 1,
      anon_sym___attribute,
    STATE(1515), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4286), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [61208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4290), 1,
      anon_sym_SEMI,
    STATE(1514), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4292), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym___attribute,
    STATE(1509), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4294), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [61259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    ACTIONS(4303), 1,
      anon_sym___attribute,
    STATE(1509), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4301), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [61276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4305), 1,
      anon_sym_SEMI,
    STATE(1513), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4307), 1,
      anon_sym_SEMI,
    STATE(1499), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4309), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [61321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4311), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4313), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym___attribute,
    STATE(1515), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4318), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [61372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4322), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(4324), 1,
      aux_sym_preproc_if_token2,
    STATE(1455), 1,
      sym_enumerator,
    STATE(1531), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1535), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [61408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4326), 1,
      anon_sym_SEMI,
    STATE(1502), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(4328), 1,
      sym_identifier,
    STATE(736), 1,
      sym_field_declaration_list,
    STATE(1653), 1,
      sym_ms_declspec_modifier,
  [61444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 1,
      anon_sym_COMMA,
    ACTIONS(4332), 1,
      anon_sym___attribute,
    STATE(1508), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4330), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [61461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 1,
      anon_sym_COMMA,
    ACTIONS(4336), 1,
      anon_sym___attribute,
    STATE(1509), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4334), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [61478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4338), 1,
      anon_sym_SEMI,
    STATE(1525), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4340), 1,
      anon_sym_SEMI,
    STATE(1516), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4342), 1,
      anon_sym_SEMI,
    STATE(1507), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61529] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4344), 1,
      anon_sym_SEMI,
    STATE(1365), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [61546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___declspec,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(4346), 1,
      sym_identifier,
    STATE(738), 1,
      sym_field_declaration_list,
    STATE(1599), 1,
      sym_ms_declspec_modifier,
  [61565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4350), 1,
      anon_sym_RPAREN,
    STATE(1600), 1,
      aux_sym_parameter_list_repeat1,
    STATE(1679), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [61581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_COMMA,
    STATE(1553), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4354), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym___except,
    ACTIONS(4358), 1,
      anon_sym___finally,
    STATE(211), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [61609] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4360), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4364), 1,
      sym_preproc_arg,
    STATE(1774), 1,
      sym_preproc_params,
  [61625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(4366), 1,
      aux_sym_preproc_if_token2,
    STATE(1408), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
  [61641] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4368), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4370), 1,
      sym_preproc_arg,
    STATE(1743), 1,
      sym_preproc_params,
  [61657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym___except,
    ACTIONS(4374), 1,
      anon_sym___finally,
    STATE(94), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [61671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4376), 1,
      anon_sym_SEMI,
    STATE(1923), 1,
      sym_attribute_specifier,
  [61687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(4378), 1,
      aux_sym_preproc_if_token2,
    STATE(1407), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [61701] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4380), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4382), 1,
      sym_preproc_arg,
    STATE(1762), 1,
      sym_preproc_params,
  [61717] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4384), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4386), 1,
      sym_preproc_arg,
    STATE(1736), 1,
      sym_preproc_params,
  [61733] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4388), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4390), 1,
      sym_preproc_arg,
    STATE(1719), 1,
      sym_preproc_params,
  [61749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym___except,
    ACTIONS(4394), 1,
      anon_sym___finally,
    STATE(228), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [61763] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_DQUOTE,
    ACTIONS(4398), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4400), 1,
      sym_escape_sequence,
    STATE(1543), 1,
      aux_sym_string_literal_repeat1,
  [61779] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_SQUOTE,
    STATE(1545), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4404), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [61793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_COMMA,
    STATE(1548), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4408), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61807] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_DQUOTE,
    ACTIONS(4412), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4415), 1,
      sym_escape_sequence,
    STATE(1543), 1,
      aux_sym_string_literal_repeat1,
  [61823] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4398), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4400), 1,
      sym_escape_sequence,
    ACTIONS(4418), 1,
      anon_sym_DQUOTE,
    STATE(1543), 1,
      aux_sym_string_literal_repeat1,
  [61839] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_SQUOTE,
    STATE(1545), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4422), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [61853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_COMMA,
    STATE(1556), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4427), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61867] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_SQUOTE,
    STATE(1545), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4404), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [61881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_COMMA,
    STATE(1559), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4431), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      sym_identifier,
    ACTIONS(4433), 1,
      aux_sym_preproc_if_token2,
    STATE(1535), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [61909] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4435), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4437), 1,
      sym_preproc_arg,
    STATE(1721), 1,
      sym_preproc_params,
  [61925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_COMMA,
    STATE(1551), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4442), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61939] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_DQUOTE,
    ACTIONS(4446), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4448), 1,
      sym_escape_sequence,
    STATE(1540), 1,
      aux_sym_string_literal_repeat1,
  [61955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_COMMA,
    STATE(1553), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4453), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61969] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
    ACTIONS(4455), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4457), 1,
      sym_preproc_arg,
    STATE(1735), 1,
      sym_preproc_params,
  [61985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_COMMA,
    STATE(1528), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4459), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [61999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_COMMA,
    STATE(1551), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4461), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    STATE(1722), 1,
      sym_argument_list,
    ACTIONS(4463), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [62027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      sym_identifier,
    ACTIONS(4324), 1,
      aux_sym_preproc_if_token2,
    STATE(1531), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1793), 1,
      sym_enumerator,
  [62043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COMMA,
    STATE(1559), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4468), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62057] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4470), 1,
      anon_sym_DQUOTE,
    ACTIONS(4472), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4474), 1,
      sym_escape_sequence,
    STATE(1544), 1,
      aux_sym_string_literal_repeat1,
  [62073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym___except,
    ACTIONS(4478), 1,
      anon_sym___finally,
    STATE(228), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [62087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4480), 1,
      anon_sym_SEMI,
    STATE(1866), 1,
      sym_attribute_specifier,
  [62103] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_SQUOTE,
    STATE(1545), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4404), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [62117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym___attribute,
    ACTIONS(3472), 1,
      anon_sym___attribute__,
    ACTIONS(4484), 1,
      anon_sym_SEMI,
    STATE(1789), 1,
      sym_attribute_specifier,
  [62133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym___attribute,
    ACTIONS(4486), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [62145] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4398), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4400), 1,
      sym_escape_sequence,
    ACTIONS(4490), 1,
      anon_sym_DQUOTE,
    STATE(1543), 1,
      aux_sym_string_literal_repeat1,
  [62161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    ACTIONS(4492), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_parameter_list,
  [62177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym___except,
    ACTIONS(4496), 1,
      anon_sym___finally,
    STATE(185), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [62191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_LPAREN2,
    ACTIONS(4007), 1,
      anon_sym_LBRACK,
    ACTIONS(4498), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_parameter_list,
  [62207] = 5,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_DQUOTE,
    ACTIONS(4502), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4504), 1,
      sym_escape_sequence,
    STATE(1566), 1,
      aux_sym_string_literal_repeat1,
  [62223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4506), 1,
      anon_sym_SEMI,
    STATE(1650), 1,
      aux_sym_declaration_repeat1,
  [62236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4508), 1,
      anon_sym_SEMI,
    STATE(1682), 1,
      aux_sym_declaration_repeat1,
  [62249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4512), 1,
      anon_sym_SEMI,
    STATE(1592), 1,
      aux_sym_declaration_repeat1,
  [62271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(4514), 1,
      sym_identifier,
    STATE(738), 1,
      sym_field_declaration_list,
  [62284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_RPAREN,
    ACTIONS(4518), 1,
      anon_sym_COLON,
    STATE(1684), 1,
      sym_gnu_asm_input_operand_list,
  [62297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_RPAREN,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    STATE(1685), 1,
      sym_gnu_asm_output_operand_list,
  [62310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4524), 1,
      anon_sym_SEMI,
    STATE(1686), 1,
      aux_sym_declaration_repeat1,
  [62323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4526), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    ACTIONS(4530), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1662), 1,
      aux_sym_attribute_declaration_repeat1,
  [62349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(4532), 1,
      sym_identifier,
    STATE(1063), 1,
      sym_enumerator_list,
  [62362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4536), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4538), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4540), 1,
      anon_sym_SEMI,
    STATE(1582), 1,
      aux_sym_declaration_repeat1,
  [62414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_RBRACE,
    ACTIONS(4542), 1,
      anon_sym_COMMA,
    STATE(1616), 1,
      aux_sym_initializer_list_repeat1,
  [62427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4544), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4546), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_COMMA,
    ACTIONS(4551), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62466] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4553), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4555), 1,
      anon_sym_LPAREN2,
    STATE(2014), 1,
      sym_preproc_argument_list,
  [62479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_COMMA,
    ACTIONS(4557), 1,
      anon_sym_RPAREN,
    STATE(1665), 1,
      aux_sym_argument_list_repeat1,
  [62492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4559), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4561), 1,
      anon_sym_SEMI,
    STATE(1676), 1,
      aux_sym_declaration_repeat1,
  [62518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(4563), 1,
      anon_sym_RPAREN,
    STATE(1664), 1,
      aux_sym_preproc_argument_list_repeat1,
  [62531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4565), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4567), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_COMMA,
    ACTIONS(4571), 1,
      anon_sym_RPAREN,
    STATE(1663), 1,
      aux_sym_preproc_params_repeat1,
  [62570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    ACTIONS(4573), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1629), 1,
      aux_sym_attribute_declaration_repeat1,
  [62583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(4575), 1,
      sym_identifier,
    STATE(731), 1,
      sym_field_declaration_list,
  [62596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4577), 1,
      anon_sym_COMMA,
    ACTIONS(4579), 1,
      anon_sym_RPAREN,
    STATE(1655), 1,
      aux_sym_parameter_list_repeat1,
  [62609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4581), 1,
      anon_sym_SEMI,
    STATE(1583), 1,
      aux_sym_declaration_repeat1,
  [62622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4583), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4585), 1,
      anon_sym_SEMI,
    STATE(1612), 1,
      aux_sym_declaration_repeat1,
  [62648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4587), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_COMMA,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    STATE(1671), 1,
      aux_sym_argument_list_repeat1,
  [62674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4589), 1,
      anon_sym_RPAREN,
    ACTIONS(4591), 1,
      anon_sym_COLON,
    STATE(1870), 1,
      sym_gnu_asm_goto_list,
  [62687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4577), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
    STATE(1600), 1,
      aux_sym_parameter_list_repeat1,
  [62700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4595), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    ACTIONS(4597), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1662), 1,
      aux_sym_attribute_declaration_repeat1,
  [62726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_COMMA,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(1586), 1,
      aux_sym_initializer_list_repeat1,
  [62748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4599), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4601), 1,
      anon_sym_SEMI,
    STATE(1595), 1,
      aux_sym_declaration_repeat1,
  [62774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      anon_sym_EQ,
    ACTIONS(4061), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [62794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
    ACTIONS(4607), 1,
      anon_sym_COMMA,
    STATE(1616), 1,
      aux_sym_initializer_list_repeat1,
  [62807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4610), 1,
      anon_sym_SEMI,
    STATE(1641), 1,
      aux_sym_declaration_repeat1,
  [62820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [62838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4616), 1,
      anon_sym_SEMI,
    STATE(1631), 1,
      aux_sym_declaration_repeat1,
  [62851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(4618), 1,
      sym_identifier,
    STATE(1063), 1,
      sym_enumerator_list,
  [62864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_COMMA,
    ACTIONS(4623), 1,
      anon_sym_RPAREN,
    STATE(1622), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [62877] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4555), 1,
      anon_sym_LPAREN2,
    ACTIONS(4625), 1,
      aux_sym_preproc_include_token2,
    STATE(2014), 1,
      sym_preproc_argument_list,
  [62890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 1,
      anon_sym_COMMA,
    ACTIONS(4629), 1,
      anon_sym_RPAREN,
    STATE(1622), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [62903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_COMMA,
    ACTIONS(4631), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      aux_sym_preproc_params_repeat1,
  [62916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4633), 1,
      anon_sym_SEMI,
    STATE(1635), 1,
      aux_sym_declaration_repeat1,
  [62929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4635), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4637), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [62951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    ACTIONS(4639), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1662), 1,
      aux_sym_attribute_declaration_repeat1,
  [62964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    ACTIONS(4641), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1609), 1,
      aux_sym_attribute_declaration_repeat1,
  [62977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4643), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [62990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4645), 1,
      anon_sym_SEMI,
    STATE(1637), 1,
      aux_sym_declaration_repeat1,
  [63003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4647), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(4649), 1,
      sym_identifier,
    STATE(890), 1,
      sym_enumerator_list,
  [63029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4651), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3215), 1,
      anon_sym_COMMA,
    ACTIONS(4653), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      aux_sym_generic_expression_repeat1,
  [63055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4655), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4657), 1,
      anon_sym_SEMI,
    STATE(1674), 1,
      aux_sym_declaration_repeat1,
  [63081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4659), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4661), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4663), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4665), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_COMMA,
    ACTIONS(4670), 1,
      anon_sym_RPAREN,
    STATE(1643), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [63142] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4555), 1,
      anon_sym_LPAREN2,
    ACTIONS(4672), 1,
      aux_sym_preproc_include_token2,
    STATE(2014), 1,
      sym_preproc_argument_list,
  [63155] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    STATE(1563), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4674), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [63166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_RPAREN,
    ACTIONS(4678), 1,
      anon_sym_COLON,
    STATE(1606), 1,
      sym_gnu_asm_clobber_list,
  [63179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4591), 1,
      anon_sym_COLON,
    ACTIONS(4680), 1,
      anon_sym_RPAREN,
    STATE(1966), 1,
      sym_gnu_asm_goto_list,
  [63192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63201] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4684), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [63212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4686), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63234] = 4,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4555), 1,
      anon_sym_LPAREN2,
    ACTIONS(4690), 1,
      aux_sym_preproc_include_token2,
    STATE(2014), 1,
      sym_preproc_argument_list,
  [63247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      anon_sym_LBRACE,
    ACTIONS(4692), 1,
      sym_identifier,
    STATE(737), 1,
      sym_field_declaration_list,
  [63260] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    STATE(1541), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4694), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [63271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_RPAREN,
    STATE(1655), 1,
      aux_sym_parameter_list_repeat1,
  [63284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 1,
      anon_sym_COMMA,
    ACTIONS(4704), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      aux_sym_generic_expression_repeat1,
  [63297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_COMMA,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    STATE(1591), 1,
      aux_sym_argument_list_repeat1,
  [63310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_COLON,
    ACTIONS(4706), 1,
      anon_sym_RPAREN,
    STATE(1576), 1,
      sym_gnu_asm_output_operand_list,
  [63323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    ACTIONS(4708), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1580), 1,
      aux_sym_attribute_declaration_repeat1,
  [63336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4710), 1,
      anon_sym_SEMI,
    STATE(1667), 1,
      aux_sym_declaration_repeat1,
  [63349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [63358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_COMMA,
    ACTIONS(4717), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1662), 1,
      aux_sym_attribute_declaration_repeat1,
  [63371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_COMMA,
    ACTIONS(4722), 1,
      anon_sym_RPAREN,
    STATE(1663), 1,
      aux_sym_preproc_params_repeat1,
  [63384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_RPAREN,
    ACTIONS(4724), 1,
      anon_sym_COMMA,
    STATE(1664), 1,
      aux_sym_preproc_argument_list_repeat1,
  [63397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_RPAREN,
    ACTIONS(4727), 1,
      anon_sym_COMMA,
    STATE(1665), 1,
      aux_sym_argument_list_repeat1,
  [63410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4730), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4732), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4734), 1,
      anon_sym_SEMI,
    STATE(1588), 1,
      aux_sym_declaration_repeat1,
  [63449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(4736), 1,
      anon_sym_RPAREN,
    STATE(1664), 1,
      aux_sym_preproc_argument_list_repeat1,
  [63462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4738), 1,
      anon_sym_SEMI,
    STATE(1602), 1,
      aux_sym_declaration_repeat1,
  [63475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_COMMA,
    ACTIONS(4740), 1,
      anon_sym_RPAREN,
    STATE(1665), 1,
      aux_sym_argument_list_repeat1,
  [63488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4742), 1,
      anon_sym_SEMI,
    STATE(1608), 1,
      aux_sym_declaration_repeat1,
  [63501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4744), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4746), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 1,
      anon_sym_COMMA,
    ACTIONS(4748), 1,
      anon_sym_RPAREN,
    STATE(1624), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [63540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4750), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4752), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(4754), 1,
      anon_sym_RPAREN,
    STATE(1664), 1,
      aux_sym_preproc_argument_list_repeat1,
  [63579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_COMMA,
    ACTIONS(4758), 1,
      anon_sym_RPAREN,
    STATE(1643), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [63592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [63603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4764), 1,
      sym_identifier,
    STATE(1720), 1,
      sym_variadic_parameter,
  [63616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4766), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [63638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_COLON,
    ACTIONS(4770), 1,
      anon_sym_RPAREN,
    STATE(1647), 1,
      sym_gnu_asm_clobber_list,
  [63651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_COLON,
    ACTIONS(4772), 1,
      anon_sym_RPAREN,
    STATE(1646), 1,
      sym_gnu_asm_input_operand_list,
  [63664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4774), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [63677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(174), 1,
      sym_compound_statement,
  [63687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1689), 1,
      sym_parenthesized_expression,
  [63697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(186), 1,
      sym_compound_statement,
  [63707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1863), 1,
      sym_parenthesized_expression,
  [63717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1701), 1,
      sym_parenthesized_expression,
  [63727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4266), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [63735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    STATE(202), 1,
      sym_compound_statement,
  [63745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1718), 1,
      sym_parenthesized_expression,
  [63755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_COMMA,
    ACTIONS(4780), 1,
      anon_sym_RBRACE,
  [63773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(156), 1,
      sym_compound_statement,
  [63783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63791] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4782), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4784), 1,
      sym_preproc_arg,
  [63801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(319), 1,
      sym_parenthesized_expression,
  [63811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_compound_statement,
  [63821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(1529), 1,
      sym_compound_statement,
  [63831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_compound_statement,
  [63841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [63849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4788), 1,
      sym_identifier,
    ACTIONS(4790), 1,
      anon_sym_LPAREN2,
  [63859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(202), 1,
      sym_compound_statement,
  [63869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_identifier,
    STATE(1598), 1,
      sym_attribute,
  [63879] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4796), 1,
      sym_preproc_arg,
  [63889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(354), 1,
      sym_parenthesized_expression,
  [63907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1751), 1,
      sym_parenthesized_expression,
  [63917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(365), 1,
      sym_parenthesized_expression,
  [63927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(1561), 1,
      sym_compound_statement,
  [63937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1703), 1,
      sym_parenthesized_expression,
  [63947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(353), 1,
      sym_parenthesized_expression,
  [63957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(364), 1,
      sym_parenthesized_expression,
  [63967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_identifier,
    STATE(1659), 1,
      sym_attribute,
  [63977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(378), 1,
      anon_sym_LBRACE,
    STATE(234), 1,
      sym_compound_statement,
  [63987] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4798), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4800), 1,
      sym_preproc_arg,
  [63997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64005] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4802), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4804), 1,
      sym_preproc_arg,
  [64015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [64023] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4810), 1,
      sym_preproc_arg,
  [64033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(1533), 1,
      sym_compound_statement,
  [64043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4812), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [64051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1999), 1,
      sym_parenthesized_expression,
  [64061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1874), 1,
      sym_parenthesized_expression,
  [64071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1687), 1,
      sym_parenthesized_expression,
  [64081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    STATE(1969), 1,
      sym_argument_list,
  [64099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(374), 1,
      sym_parenthesized_expression,
  [64109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_compound_statement,
  [64119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(369), 1,
      sym_parenthesized_expression,
  [64129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64137] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4816), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4818), 1,
      sym_preproc_arg,
  [64147] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4820), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4822), 1,
      sym_preproc_arg,
  [64157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1732), 1,
      sym_parenthesized_expression,
  [64175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(4778), 1,
      anon_sym_COMMA,
  [64185] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4824), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4826), 1,
      sym_preproc_arg,
  [64195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 1,
      sym_identifier,
    ACTIONS(4830), 1,
      anon_sym_LPAREN2,
  [64205] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4832), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4834), 1,
      sym_preproc_arg,
  [64215] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4836), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4838), 1,
      sym_preproc_arg,
  [64225] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4840), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4842), 1,
      sym_preproc_arg,
  [64235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(1568), 1,
      sym_compound_statement,
  [64245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    STATE(160), 1,
      sym_compound_statement,
  [64255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1780), 1,
      sym_parenthesized_expression,
  [64265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3309), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [64273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1767), 1,
      sym_parenthesized_expression,
  [64283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_identifier,
    STATE(1704), 1,
      sym_attribute,
  [64293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym_compound_statement,
  [64303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4844), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [64311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym_identifier,
    ACTIONS(4848), 1,
      anon_sym_RPAREN,
  [64321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
    STATE(1746), 1,
      sym_parenthesized_expression,
  [64331] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4850), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4852), 1,
      sym_preproc_arg,
  [64341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [64357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACE,
    STATE(1539), 1,
      sym_compound_statement,
  [64367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(434), 1,
      anon_sym_LBRACE,
    STATE(168), 1,
      sym_compound_statement,
  [64377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_identifier,
    STATE(1630), 1,
      sym_attribute,
  [64387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [64395] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4858), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4860), 1,
      sym_preproc_arg,
  [64405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    STATE(116), 1,
      sym_compound_statement,
  [64415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN2,
    STATE(1872), 1,
      sym_argument_list,
  [64425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(371), 1,
      sym_parenthesized_expression,
  [64435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3295), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [64443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(133), 1,
      anon_sym_LBRACE,
    STATE(85), 1,
      sym_compound_statement,
  [64453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(373), 1,
      sym_parenthesized_expression,
  [64463] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4862), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4864), 1,
      sym_preproc_arg,
  [64473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
    STATE(363), 1,
      sym_parenthesized_expression,
  [64483] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4866), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4868), 1,
      sym_preproc_arg,
  [64493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4870), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64501] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4873), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4875), 1,
      sym_preproc_arg,
  [64511] = 3,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4877), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4879), 1,
      sym_preproc_arg,
  [64521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4881), 1,
      aux_sym_preproc_if_token2,
  [64528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4883), 1,
      anon_sym_SEMI,
  [64535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3329), 1,
      anon_sym_RPAREN,
  [64542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4885), 1,
      anon_sym_SEMI,
  [64549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4887), 1,
      aux_sym_preproc_if_token2,
  [64556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_SEMI,
  [64563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON,
  [64570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_RPAREN,
  [64577] = 2,
    ACTIONS(2306), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3470), 1,
      sym_comment,
  [64584] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_preproc_include_token2,
  [64591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_RPAREN,
  [64598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      sym_identifier,
  [64605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      aux_sym_preproc_if_token2,
  [64612] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4903), 1,
      aux_sym_preproc_include_token2,
  [64619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_SEMI,
  [64626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4907), 1,
      anon_sym_RPAREN,
  [64633] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4909), 1,
      aux_sym_preproc_include_token2,
  [64640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4911), 1,
      aux_sym_preproc_if_token2,
  [64647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym_COMMA,
  [64654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      aux_sym_preproc_if_token2,
  [64661] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4915), 1,
      aux_sym_preproc_include_token2,
  [64668] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4917), 1,
      aux_sym_preproc_include_token2,
  [64675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_RPAREN,
  [64682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
  [64689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_RPAREN,
  [64696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4923), 1,
      aux_sym_preproc_if_token2,
  [64703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_LPAREN2,
  [64710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 1,
      aux_sym_preproc_if_token2,
  [64717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 1,
      aux_sym_preproc_if_token2,
  [64724] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4931), 1,
      aux_sym_preproc_include_token2,
  [64731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_LPAREN2,
  [64738] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4935), 1,
      aux_sym_preproc_include_token2,
  [64745] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4937), 1,
      aux_sym_preproc_include_token2,
  [64752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 1,
      anon_sym_SEMI,
  [64759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_SEMI,
  [64766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_LPAREN2,
  [64773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3321), 1,
      anon_sym_SEMI,
  [64780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4943), 1,
      sym_identifier,
  [64787] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4945), 1,
      aux_sym_preproc_include_token2,
  [64794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_SEMI,
  [64801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_COLON,
  [64808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4949), 1,
      aux_sym_preproc_if_token2,
  [64815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      aux_sym_preproc_if_token2,
  [64822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_RPAREN,
  [64829] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4955), 1,
      aux_sym_preproc_include_token2,
  [64836] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4957), 1,
      aux_sym_preproc_include_token2,
  [64843] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4959), 1,
      aux_sym_preproc_include_token2,
  [64850] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4961), 1,
      aux_sym_preproc_include_token2,
  [64857] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4963), 1,
      aux_sym_preproc_include_token2,
  [64864] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4965), 1,
      aux_sym_preproc_include_token2,
  [64871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4967), 1,
      sym_identifier,
  [64878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4969), 1,
      sym_identifier,
  [64885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_SEMI,
  [64892] = 2,
    ACTIONS(2310), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3470), 1,
      sym_comment,
  [64899] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4672), 1,
      aux_sym_preproc_include_token2,
  [64906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4973), 1,
      anon_sym_RPAREN,
  [64913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4975), 1,
      aux_sym_preproc_if_token2,
  [64920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4977), 1,
      anon_sym_SEMI,
  [64927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4979), 1,
      anon_sym_SEMI,
  [64934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4981), 1,
      sym_identifier,
  [64941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4983), 1,
      aux_sym_preproc_if_token2,
  [64948] = 2,
    ACTIONS(3199), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3470), 1,
      sym_comment,
  [64955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym_COLON,
  [64962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LPAREN2,
  [64969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_COLON,
  [64976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4989), 1,
      anon_sym_RPAREN,
  [64983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_RBRACE,
  [64990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_RPAREN,
  [64997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 1,
      aux_sym_preproc_if_token2,
  [65004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_COLON,
  [65011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 1,
      aux_sym_preproc_if_token2,
  [65018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 1,
      sym_identifier,
  [65025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 1,
      aux_sym_preproc_if_token2,
  [65032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_LPAREN2,
  [65039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
  [65046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 1,
      aux_sym_preproc_if_token2,
  [65053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_RBRACE,
  [65060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_COLON,
  [65067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_SEMI,
  [65074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 1,
      sym_identifier,
  [65081] = 2,
    ACTIONS(3195), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3470), 1,
      sym_comment,
  [65088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 1,
      aux_sym_preproc_if_token2,
  [65095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 1,
      aux_sym_preproc_if_token2,
  [65102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 1,
      ts_builtin_sym_end,
  [65109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      aux_sym_preproc_if_token2,
  [65116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5025), 1,
      aux_sym_preproc_if_token2,
  [65123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 1,
      aux_sym_preproc_if_token2,
  [65130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5029), 1,
      aux_sym_preproc_if_token2,
  [65137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 1,
      anon_sym_SEMI,
  [65144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5033), 1,
      aux_sym_preproc_if_token2,
  [65151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 1,
      aux_sym_preproc_if_token2,
  [65158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5037), 1,
      anon_sym_SEMI,
  [65165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_SEMI,
  [65172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 1,
      sym_identifier,
  [65179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_RBRACK,
  [65186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 1,
      anon_sym_RPAREN,
  [65193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5045), 1,
      aux_sym_preproc_if_token2,
  [65200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 1,
      anon_sym_STAR,
  [65207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 1,
      sym_identifier,
  [65214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym_SEMI,
  [65221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5053), 1,
      anon_sym_RPAREN,
  [65228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 1,
      anon_sym_RPAREN,
  [65235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
  [65242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_LPAREN2,
  [65249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      anon_sym_SEMI,
  [65256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5061), 1,
      sym_identifier,
  [65263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_SEMI,
  [65270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_COLON,
  [65277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5065), 1,
      anon_sym_RPAREN,
  [65284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_COLON,
  [65291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3273), 1,
      anon_sym_SEMI,
  [65298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      aux_sym_preproc_if_token2,
  [65305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_RPAREN,
  [65312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
  [65319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_SEMI,
  [65326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_RPAREN,
  [65333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_RBRACE,
  [65340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      anon_sym_RPAREN,
  [65347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 1,
      anon_sym_while,
  [65354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
  [65361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_SEMI,
  [65368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_SEMI,
  [65375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 1,
      anon_sym_SEMI,
  [65382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 1,
      sym_primitive_type,
  [65389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 1,
      aux_sym_preproc_if_token2,
  [65396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      aux_sym_preproc_if_token2,
  [65403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_RPAREN,
  [65410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      aux_sym_preproc_if_token2,
  [65417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      sym_identifier,
  [65424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_COMMA,
  [65431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5089), 1,
      sym_identifier,
  [65438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 1,
      anon_sym_COMMA,
  [65445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_RPAREN,
  [65452] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(5093), 1,
      aux_sym_preproc_include_token2,
  [65459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 1,
      anon_sym_RPAREN,
  [65466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 1,
      sym_identifier,
  [65473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 1,
      aux_sym_preproc_if_token2,
  [65480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_COLON,
  [65487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 1,
      aux_sym_preproc_if_token2,
  [65494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 1,
      anon_sym_RPAREN,
  [65501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      sym_identifier,
  [65508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 1,
      sym_identifier,
  [65515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_SEMI,
  [65522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5111), 1,
      sym_identifier,
  [65529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 1,
      aux_sym_preproc_if_token2,
  [65536] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(5115), 1,
      aux_sym_preproc_include_token2,
  [65543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 1,
      anon_sym_RBRACK,
  [65550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_COLON,
  [65557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_SEMI,
  [65564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      sym_identifier,
  [65571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5123), 1,
      sym_identifier,
  [65578] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4690), 1,
      aux_sym_preproc_include_token2,
  [65585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_LPAREN2,
  [65592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_LPAREN2,
  [65599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3299), 1,
      anon_sym_SEMI,
  [65606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 1,
      aux_sym_preproc_if_token2,
  [65613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 1,
      aux_sym_preproc_if_token2,
  [65620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_RPAREN,
  [65627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 1,
      anon_sym_RPAREN,
  [65634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 1,
      anon_sym_SEMI,
  [65641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 1,
      anon_sym_SEMI,
  [65648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 1,
      sym_identifier,
  [65655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
  [65662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_RPAREN,
  [65669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym_SEMI,
  [65676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      sym_identifier,
  [65683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 1,
      aux_sym_preproc_if_token2,
  [65690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      aux_sym_preproc_if_token2,
  [65697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 1,
      anon_sym_COLON,
  [65704] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4625), 1,
      aux_sym_preproc_include_token2,
  [65711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      aux_sym_preproc_if_token2,
  [65718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      sym_identifier,
  [65725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      sym_identifier,
  [65732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_LPAREN2,
  [65739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      sym_primitive_type,
  [65746] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(5167), 1,
      aux_sym_preproc_include_token2,
  [65753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
  [65760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      sym_identifier,
  [65767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      aux_sym_preproc_if_token2,
  [65774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      aux_sym_preproc_if_token2,
  [65781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      aux_sym_preproc_if_token2,
  [65788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      aux_sym_preproc_if_token2,
  [65795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      aux_sym_preproc_if_token2,
  [65802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 1,
      sym_identifier,
  [65809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
  [65816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 1,
      sym_identifier,
  [65823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 1,
      aux_sym_preproc_if_token2,
  [65830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_RPAREN,
  [65837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_SEMI,
  [65844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_SEMI,
  [65851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 1,
      anon_sym_RBRACE,
  [65858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 1,
      anon_sym_RPAREN,
  [65865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 1,
      sym_identifier,
  [65872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 1,
      sym_identifier,
  [65879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_RPAREN,
  [65886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_RBRACE,
  [65893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      sym_identifier,
  [65900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      sym_identifier,
  [65907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_SEMI,
  [65914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_STAR,
  [65921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      aux_sym_preproc_if_token2,
  [65928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5209), 1,
      sym_identifier,
  [65935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 1,
      aux_sym_preproc_if_token2,
  [65942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 1,
      anon_sym_LPAREN2,
  [65949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LPAREN2,
  [65956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 1,
      aux_sym_preproc_if_token2,
  [65963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      aux_sym_preproc_if_token2,
  [65970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 1,
      anon_sym_SEMI,
  [65977] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(5223), 1,
      aux_sym_preproc_include_token2,
  [65984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_RPAREN,
  [65991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_RBRACE,
  [65998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 1,
      aux_sym_preproc_if_token2,
  [66005] = 2,
    ACTIONS(3183), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3470), 1,
      sym_comment,
  [66012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      anon_sym_RPAREN,
  [66019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_while,
  [66026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_LPAREN2,
  [66033] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(5237), 1,
      aux_sym_preproc_include_token2,
  [66040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5239), 1,
      aux_sym_preproc_if_token2,
  [66047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5241), 1,
      anon_sym_STAR,
  [66054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5243), 1,
      anon_sym_LPAREN2,
  [66061] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(5245), 1,
      aux_sym_preproc_include_token2,
  [66068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      sym_identifier,
  [66075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      sym_identifier,
  [66082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_COLON,
  [66089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      anon_sym_SEMI,
  [66096] = 2,
    ACTIONS(3470), 1,
      sym_comment,
    ACTIONS(4553), 1,
      aux_sym_preproc_include_token2,
  [66103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_LPAREN2,
  [66110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_RPAREN,
  [66117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      aux_sym_preproc_if_token2,
  [66124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5257), 1,
      anon_sym_while,
  [66131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5259), 1,
      anon_sym_SEMI,
  [66138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      anon_sym_SEMI,
  [66145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_SEMI,
  [66152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5263), 1,
      sym_identifier,
  [66159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_COLON,
  [66166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_RBRACE,
  [66173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_SEMI,
  [66180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 1,
      anon_sym_while,
  [66187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5271), 1,
      anon_sym_STAR,
  [66194] = 2,
    ACTIONS(3203), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3470), 1,
      sym_comment,
  [66201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_RPAREN,
  [66208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 1,
      aux_sym_preproc_if_token2,
  [66215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN2,
  [66222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      aux_sym_preproc_if_token2,
  [66229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 1,
      sym_identifier,
  [66236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_LPAREN2,
  [66243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_STAR,
  [66250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(463)] = 0,
  [SMALL_STATE(464)] = 113,
  [SMALL_STATE(465)] = 226,
  [SMALL_STATE(466)] = 339,
  [SMALL_STATE(467)] = 452,
  [SMALL_STATE(468)] = 565,
  [SMALL_STATE(469)] = 678,
  [SMALL_STATE(470)] = 791,
  [SMALL_STATE(471)] = 904,
  [SMALL_STATE(472)] = 1017,
  [SMALL_STATE(473)] = 1130,
  [SMALL_STATE(474)] = 1243,
  [SMALL_STATE(475)] = 1356,
  [SMALL_STATE(476)] = 1469,
  [SMALL_STATE(477)] = 1582,
  [SMALL_STATE(478)] = 1695,
  [SMALL_STATE(479)] = 1808,
  [SMALL_STATE(480)] = 1921,
  [SMALL_STATE(481)] = 2034,
  [SMALL_STATE(482)] = 2147,
  [SMALL_STATE(483)] = 2260,
  [SMALL_STATE(484)] = 2373,
  [SMALL_STATE(485)] = 2486,
  [SMALL_STATE(486)] = 2599,
  [SMALL_STATE(487)] = 2712,
  [SMALL_STATE(488)] = 2825,
  [SMALL_STATE(489)] = 2938,
  [SMALL_STATE(490)] = 3051,
  [SMALL_STATE(491)] = 3164,
  [SMALL_STATE(492)] = 3277,
  [SMALL_STATE(493)] = 3387,
  [SMALL_STATE(494)] = 3497,
  [SMALL_STATE(495)] = 3607,
  [SMALL_STATE(496)] = 3717,
  [SMALL_STATE(497)] = 3827,
  [SMALL_STATE(498)] = 3937,
  [SMALL_STATE(499)] = 4047,
  [SMALL_STATE(500)] = 4157,
  [SMALL_STATE(501)] = 4267,
  [SMALL_STATE(502)] = 4377,
  [SMALL_STATE(503)] = 4487,
  [SMALL_STATE(504)] = 4597,
  [SMALL_STATE(505)] = 4707,
  [SMALL_STATE(506)] = 4817,
  [SMALL_STATE(507)] = 4927,
  [SMALL_STATE(508)] = 5034,
  [SMALL_STATE(509)] = 5141,
  [SMALL_STATE(510)] = 5248,
  [SMALL_STATE(511)] = 5355,
  [SMALL_STATE(512)] = 5462,
  [SMALL_STATE(513)] = 5569,
  [SMALL_STATE(514)] = 5676,
  [SMALL_STATE(515)] = 5783,
  [SMALL_STATE(516)] = 5890,
  [SMALL_STATE(517)] = 5997,
  [SMALL_STATE(518)] = 6104,
  [SMALL_STATE(519)] = 6211,
  [SMALL_STATE(520)] = 6318,
  [SMALL_STATE(521)] = 6425,
  [SMALL_STATE(522)] = 6532,
  [SMALL_STATE(523)] = 6639,
  [SMALL_STATE(524)] = 6746,
  [SMALL_STATE(525)] = 6853,
  [SMALL_STATE(526)] = 6960,
  [SMALL_STATE(527)] = 7067,
  [SMALL_STATE(528)] = 7174,
  [SMALL_STATE(529)] = 7281,
  [SMALL_STATE(530)] = 7388,
  [SMALL_STATE(531)] = 7495,
  [SMALL_STATE(532)] = 7602,
  [SMALL_STATE(533)] = 7709,
  [SMALL_STATE(534)] = 7816,
  [SMALL_STATE(535)] = 7923,
  [SMALL_STATE(536)] = 8030,
  [SMALL_STATE(537)] = 8137,
  [SMALL_STATE(538)] = 8244,
  [SMALL_STATE(539)] = 8351,
  [SMALL_STATE(540)] = 8458,
  [SMALL_STATE(541)] = 8565,
  [SMALL_STATE(542)] = 8672,
  [SMALL_STATE(543)] = 8779,
  [SMALL_STATE(544)] = 8886,
  [SMALL_STATE(545)] = 8993,
  [SMALL_STATE(546)] = 9100,
  [SMALL_STATE(547)] = 9207,
  [SMALL_STATE(548)] = 9314,
  [SMALL_STATE(549)] = 9421,
  [SMALL_STATE(550)] = 9528,
  [SMALL_STATE(551)] = 9635,
  [SMALL_STATE(552)] = 9742,
  [SMALL_STATE(553)] = 9849,
  [SMALL_STATE(554)] = 9956,
  [SMALL_STATE(555)] = 10047,
  [SMALL_STATE(556)] = 10154,
  [SMALL_STATE(557)] = 10261,
  [SMALL_STATE(558)] = 10368,
  [SMALL_STATE(559)] = 10475,
  [SMALL_STATE(560)] = 10582,
  [SMALL_STATE(561)] = 10689,
  [SMALL_STATE(562)] = 10796,
  [SMALL_STATE(563)] = 10903,
  [SMALL_STATE(564)] = 11010,
  [SMALL_STATE(565)] = 11117,
  [SMALL_STATE(566)] = 11224,
  [SMALL_STATE(567)] = 11331,
  [SMALL_STATE(568)] = 11438,
  [SMALL_STATE(569)] = 11545,
  [SMALL_STATE(570)] = 11652,
  [SMALL_STATE(571)] = 11759,
  [SMALL_STATE(572)] = 11866,
  [SMALL_STATE(573)] = 11973,
  [SMALL_STATE(574)] = 12080,
  [SMALL_STATE(575)] = 12187,
  [SMALL_STATE(576)] = 12294,
  [SMALL_STATE(577)] = 12401,
  [SMALL_STATE(578)] = 12508,
  [SMALL_STATE(579)] = 12615,
  [SMALL_STATE(580)] = 12722,
  [SMALL_STATE(581)] = 12829,
  [SMALL_STATE(582)] = 12936,
  [SMALL_STATE(583)] = 13043,
  [SMALL_STATE(584)] = 13150,
  [SMALL_STATE(585)] = 13257,
  [SMALL_STATE(586)] = 13364,
  [SMALL_STATE(587)] = 13471,
  [SMALL_STATE(588)] = 13578,
  [SMALL_STATE(589)] = 13685,
  [SMALL_STATE(590)] = 13792,
  [SMALL_STATE(591)] = 13899,
  [SMALL_STATE(592)] = 14006,
  [SMALL_STATE(593)] = 14113,
  [SMALL_STATE(594)] = 14220,
  [SMALL_STATE(595)] = 14327,
  [SMALL_STATE(596)] = 14434,
  [SMALL_STATE(597)] = 14541,
  [SMALL_STATE(598)] = 14648,
  [SMALL_STATE(599)] = 14755,
  [SMALL_STATE(600)] = 14862,
  [SMALL_STATE(601)] = 14969,
  [SMALL_STATE(602)] = 15076,
  [SMALL_STATE(603)] = 15183,
  [SMALL_STATE(604)] = 15290,
  [SMALL_STATE(605)] = 15397,
  [SMALL_STATE(606)] = 15504,
  [SMALL_STATE(607)] = 15611,
  [SMALL_STATE(608)] = 15718,
  [SMALL_STATE(609)] = 15825,
  [SMALL_STATE(610)] = 15932,
  [SMALL_STATE(611)] = 16039,
  [SMALL_STATE(612)] = 16146,
  [SMALL_STATE(613)] = 16253,
  [SMALL_STATE(614)] = 16360,
  [SMALL_STATE(615)] = 16467,
  [SMALL_STATE(616)] = 16574,
  [SMALL_STATE(617)] = 16681,
  [SMALL_STATE(618)] = 16788,
  [SMALL_STATE(619)] = 16895,
  [SMALL_STATE(620)] = 17002,
  [SMALL_STATE(621)] = 17109,
  [SMALL_STATE(622)] = 17216,
  [SMALL_STATE(623)] = 17323,
  [SMALL_STATE(624)] = 17430,
  [SMALL_STATE(625)] = 17537,
  [SMALL_STATE(626)] = 17644,
  [SMALL_STATE(627)] = 17751,
  [SMALL_STATE(628)] = 17858,
  [SMALL_STATE(629)] = 17930,
  [SMALL_STATE(630)] = 18002,
  [SMALL_STATE(631)] = 18074,
  [SMALL_STATE(632)] = 18183,
  [SMALL_STATE(633)] = 18290,
  [SMALL_STATE(634)] = 18359,
  [SMALL_STATE(635)] = 18423,
  [SMALL_STATE(636)] = 18487,
  [SMALL_STATE(637)] = 18551,
  [SMALL_STATE(638)] = 18631,
  [SMALL_STATE(639)] = 18695,
  [SMALL_STATE(640)] = 18759,
  [SMALL_STATE(641)] = 18823,
  [SMALL_STATE(642)] = 18887,
  [SMALL_STATE(643)] = 18951,
  [SMALL_STATE(644)] = 19015,
  [SMALL_STATE(645)] = 19079,
  [SMALL_STATE(646)] = 19143,
  [SMALL_STATE(647)] = 19207,
  [SMALL_STATE(648)] = 19308,
  [SMALL_STATE(649)] = 19409,
  [SMALL_STATE(650)] = 19510,
  [SMALL_STATE(651)] = 19611,
  [SMALL_STATE(652)] = 19712,
  [SMALL_STATE(653)] = 19813,
  [SMALL_STATE(654)] = 19914,
  [SMALL_STATE(655)] = 20015,
  [SMALL_STATE(656)] = 20116,
  [SMALL_STATE(657)] = 20217,
  [SMALL_STATE(658)] = 20318,
  [SMALL_STATE(659)] = 20419,
  [SMALL_STATE(660)] = 20520,
  [SMALL_STATE(661)] = 20621,
  [SMALL_STATE(662)] = 20722,
  [SMALL_STATE(663)] = 20823,
  [SMALL_STATE(664)] = 20885,
  [SMALL_STATE(665)] = 20985,
  [SMALL_STATE(666)] = 21083,
  [SMALL_STATE(667)] = 21181,
  [SMALL_STATE(668)] = 21242,
  [SMALL_STATE(669)] = 21313,
  [SMALL_STATE(670)] = 21374,
  [SMALL_STATE(671)] = 21435,
  [SMALL_STATE(672)] = 21503,
  [SMALL_STATE(673)] = 21569,
  [SMALL_STATE(674)] = 21629,
  [SMALL_STATE(675)] = 21688,
  [SMALL_STATE(676)] = 21779,
  [SMALL_STATE(677)] = 21838,
  [SMALL_STATE(678)] = 21897,
  [SMALL_STATE(679)] = 21956,
  [SMALL_STATE(680)] = 22015,
  [SMALL_STATE(681)] = 22106,
  [SMALL_STATE(682)] = 22165,
  [SMALL_STATE(683)] = 22224,
  [SMALL_STATE(684)] = 22315,
  [SMALL_STATE(685)] = 22406,
  [SMALL_STATE(686)] = 22465,
  [SMALL_STATE(687)] = 22524,
  [SMALL_STATE(688)] = 22583,
  [SMALL_STATE(689)] = 22642,
  [SMALL_STATE(690)] = 22701,
  [SMALL_STATE(691)] = 22792,
  [SMALL_STATE(692)] = 22851,
  [SMALL_STATE(693)] = 22910,
  [SMALL_STATE(694)] = 22969,
  [SMALL_STATE(695)] = 23028,
  [SMALL_STATE(696)] = 23119,
  [SMALL_STATE(697)] = 23210,
  [SMALL_STATE(698)] = 23301,
  [SMALL_STATE(699)] = 23360,
  [SMALL_STATE(700)] = 23418,
  [SMALL_STATE(701)] = 23484,
  [SMALL_STATE(702)] = 23572,
  [SMALL_STATE(703)] = 23630,
  [SMALL_STATE(704)] = 23688,
  [SMALL_STATE(705)] = 23756,
  [SMALL_STATE(706)] = 23824,
  [SMALL_STATE(707)] = 23892,
  [SMALL_STATE(708)] = 23960,
  [SMALL_STATE(709)] = 24018,
  [SMALL_STATE(710)] = 24076,
  [SMALL_STATE(711)] = 24144,
  [SMALL_STATE(712)] = 24201,
  [SMALL_STATE(713)] = 24258,
  [SMALL_STATE(714)] = 24323,
  [SMALL_STATE(715)] = 24396,
  [SMALL_STATE(716)] = 24457,
  [SMALL_STATE(717)] = 24522,
  [SMALL_STATE(718)] = 24587,
  [SMALL_STATE(719)] = 24652,
  [SMALL_STATE(720)] = 24725,
  [SMALL_STATE(721)] = 24790,
  [SMALL_STATE(722)] = 24855,
  [SMALL_STATE(723)] = 24912,
  [SMALL_STATE(724)] = 24977,
  [SMALL_STATE(725)] = 25033,
  [SMALL_STATE(726)] = 25105,
  [SMALL_STATE(727)] = 25177,
  [SMALL_STATE(728)] = 25233,
  [SMALL_STATE(729)] = 25305,
  [SMALL_STATE(730)] = 25377,
  [SMALL_STATE(731)] = 25433,
  [SMALL_STATE(732)] = 25492,
  [SMALL_STATE(733)] = 25551,
  [SMALL_STATE(734)] = 25610,
  [SMALL_STATE(735)] = 25669,
  [SMALL_STATE(736)] = 25728,
  [SMALL_STATE(737)] = 25787,
  [SMALL_STATE(738)] = 25846,
  [SMALL_STATE(739)] = 25905,
  [SMALL_STATE(740)] = 25964,
  [SMALL_STATE(741)] = 26023,
  [SMALL_STATE(742)] = 26082,
  [SMALL_STATE(743)] = 26140,
  [SMALL_STATE(744)] = 26194,
  [SMALL_STATE(745)] = 26248,
  [SMALL_STATE(746)] = 26302,
  [SMALL_STATE(747)] = 26356,
  [SMALL_STATE(748)] = 26410,
  [SMALL_STATE(749)] = 26468,
  [SMALL_STATE(750)] = 26522,
  [SMALL_STATE(751)] = 26576,
  [SMALL_STATE(752)] = 26630,
  [SMALL_STATE(753)] = 26688,
  [SMALL_STATE(754)] = 26742,
  [SMALL_STATE(755)] = 26796,
  [SMALL_STATE(756)] = 26854,
  [SMALL_STATE(757)] = 26912,
  [SMALL_STATE(758)] = 26970,
  [SMALL_STATE(759)] = 27024,
  [SMALL_STATE(760)] = 27078,
  [SMALL_STATE(761)] = 27136,
  [SMALL_STATE(762)] = 27190,
  [SMALL_STATE(763)] = 27244,
  [SMALL_STATE(764)] = 27298,
  [SMALL_STATE(765)] = 27352,
  [SMALL_STATE(766)] = 27406,
  [SMALL_STATE(767)] = 27464,
  [SMALL_STATE(768)] = 27518,
  [SMALL_STATE(769)] = 27572,
  [SMALL_STATE(770)] = 27630,
  [SMALL_STATE(771)] = 27688,
  [SMALL_STATE(772)] = 27742,
  [SMALL_STATE(773)] = 27796,
  [SMALL_STATE(774)] = 27850,
  [SMALL_STATE(775)] = 27904,
  [SMALL_STATE(776)] = 27958,
  [SMALL_STATE(777)] = 28018,
  [SMALL_STATE(778)] = 28072,
  [SMALL_STATE(779)] = 28126,
  [SMALL_STATE(780)] = 28186,
  [SMALL_STATE(781)] = 28244,
  [SMALL_STATE(782)] = 28298,
  [SMALL_STATE(783)] = 28356,
  [SMALL_STATE(784)] = 28447,
  [SMALL_STATE(785)] = 28500,
  [SMALL_STATE(786)] = 28553,
  [SMALL_STATE(787)] = 28606,
  [SMALL_STATE(788)] = 28677,
  [SMALL_STATE(789)] = 28740,
  [SMALL_STATE(790)] = 28803,
  [SMALL_STATE(791)] = 28874,
  [SMALL_STATE(792)] = 28937,
  [SMALL_STATE(793)] = 28990,
  [SMALL_STATE(794)] = 29043,
  [SMALL_STATE(795)] = 29106,
  [SMALL_STATE(796)] = 29159,
  [SMALL_STATE(797)] = 29212,
  [SMALL_STATE(798)] = 29275,
  [SMALL_STATE(799)] = 29366,
  [SMALL_STATE(800)] = 29419,
  [SMALL_STATE(801)] = 29490,
  [SMALL_STATE(802)] = 29543,
  [SMALL_STATE(803)] = 29596,
  [SMALL_STATE(804)] = 29649,
  [SMALL_STATE(805)] = 29702,
  [SMALL_STATE(806)] = 29755,
  [SMALL_STATE(807)] = 29826,
  [SMALL_STATE(808)] = 29879,
  [SMALL_STATE(809)] = 29942,
  [SMALL_STATE(810)] = 29995,
  [SMALL_STATE(811)] = 30048,
  [SMALL_STATE(812)] = 30101,
  [SMALL_STATE(813)] = 30154,
  [SMALL_STATE(814)] = 30222,
  [SMALL_STATE(815)] = 30298,
  [SMALL_STATE(816)] = 30366,
  [SMALL_STATE(817)] = 30452,
  [SMALL_STATE(818)] = 30536,
  [SMALL_STATE(819)] = 30614,
  [SMALL_STATE(820)] = 30676,
  [SMALL_STATE(821)] = 30756,
  [SMALL_STATE(822)] = 30838,
  [SMALL_STATE(823)] = 30924,
  [SMALL_STATE(824)] = 30996,
  [SMALL_STATE(825)] = 31054,
  [SMALL_STATE(826)] = 31140,
  [SMALL_STATE(827)] = 31214,
  [SMALL_STATE(828)] = 31300,
  [SMALL_STATE(829)] = 31364,
  [SMALL_STATE(830)] = 31446,
  [SMALL_STATE(831)] = 31526,
  [SMALL_STATE(832)] = 31612,
  [SMALL_STATE(833)] = 31676,
  [SMALL_STATE(834)] = 31734,
  [SMALL_STATE(835)] = 31810,
  [SMALL_STATE(836)] = 31884,
  [SMALL_STATE(837)] = 31956,
  [SMALL_STATE(838)] = 32042,
  [SMALL_STATE(839)] = 32108,
  [SMALL_STATE(840)] = 32192,
  [SMALL_STATE(841)] = 32270,
  [SMALL_STATE(842)] = 32336,
  [SMALL_STATE(843)] = 32396,
  [SMALL_STATE(844)] = 32451,
  [SMALL_STATE(845)] = 32506,
  [SMALL_STATE(846)] = 32565,
  [SMALL_STATE(847)] = 32615,
  [SMALL_STATE(848)] = 32701,
  [SMALL_STATE(849)] = 32751,
  [SMALL_STATE(850)] = 32837,
  [SMALL_STATE(851)] = 32886,
  [SMALL_STATE(852)] = 32935,
  [SMALL_STATE(853)] = 32984,
  [SMALL_STATE(854)] = 33037,
  [SMALL_STATE(855)] = 33086,
  [SMALL_STATE(856)] = 33135,
  [SMALL_STATE(857)] = 33184,
  [SMALL_STATE(858)] = 33237,
  [SMALL_STATE(859)] = 33290,
  [SMALL_STATE(860)] = 33339,
  [SMALL_STATE(861)] = 33388,
  [SMALL_STATE(862)] = 33437,
  [SMALL_STATE(863)] = 33486,
  [SMALL_STATE(864)] = 33535,
  [SMALL_STATE(865)] = 33584,
  [SMALL_STATE(866)] = 33633,
  [SMALL_STATE(867)] = 33682,
  [SMALL_STATE(868)] = 33731,
  [SMALL_STATE(869)] = 33780,
  [SMALL_STATE(870)] = 33833,
  [SMALL_STATE(871)] = 33886,
  [SMALL_STATE(872)] = 33935,
  [SMALL_STATE(873)] = 33984,
  [SMALL_STATE(874)] = 34033,
  [SMALL_STATE(875)] = 34082,
  [SMALL_STATE(876)] = 34131,
  [SMALL_STATE(877)] = 34184,
  [SMALL_STATE(878)] = 34233,
  [SMALL_STATE(879)] = 34282,
  [SMALL_STATE(880)] = 34331,
  [SMALL_STATE(881)] = 34380,
  [SMALL_STATE(882)] = 34429,
  [SMALL_STATE(883)] = 34478,
  [SMALL_STATE(884)] = 34527,
  [SMALL_STATE(885)] = 34576,
  [SMALL_STATE(886)] = 34625,
  [SMALL_STATE(887)] = 34674,
  [SMALL_STATE(888)] = 34723,
  [SMALL_STATE(889)] = 34772,
  [SMALL_STATE(890)] = 34821,
  [SMALL_STATE(891)] = 34874,
  [SMALL_STATE(892)] = 34923,
  [SMALL_STATE(893)] = 34972,
  [SMALL_STATE(894)] = 35029,
  [SMALL_STATE(895)] = 35088,
  [SMALL_STATE(896)] = 35147,
  [SMALL_STATE(897)] = 35230,
  [SMALL_STATE(898)] = 35289,
  [SMALL_STATE(899)] = 35372,
  [SMALL_STATE(900)] = 35453,
  [SMALL_STATE(901)] = 35516,
  [SMALL_STATE(902)] = 35563,
  [SMALL_STATE(903)] = 35640,
  [SMALL_STATE(904)] = 35705,
  [SMALL_STATE(905)] = 35782,
  [SMALL_STATE(906)] = 35851,
  [SMALL_STATE(907)] = 35922,
  [SMALL_STATE(908)] = 35995,
  [SMALL_STATE(909)] = 36054,
  [SMALL_STATE(910)] = 36129,
  [SMALL_STATE(911)] = 36206,
  [SMALL_STATE(912)] = 36285,
  [SMALL_STATE(913)] = 36362,
  [SMALL_STATE(914)] = 36423,
  [SMALL_STATE(915)] = 36482,
  [SMALL_STATE(916)] = 36565,
  [SMALL_STATE(917)] = 36624,
  [SMALL_STATE(918)] = 36701,
  [SMALL_STATE(919)] = 36747,
  [SMALL_STATE(920)] = 36793,
  [SMALL_STATE(921)] = 36839,
  [SMALL_STATE(922)] = 36889,
  [SMALL_STATE(923)] = 36935,
  [SMALL_STATE(924)] = 36981,
  [SMALL_STATE(925)] = 37027,
  [SMALL_STATE(926)] = 37083,
  [SMALL_STATE(927)] = 37137,
  [SMALL_STATE(928)] = 37183,
  [SMALL_STATE(929)] = 37229,
  [SMALL_STATE(930)] = 37275,
  [SMALL_STATE(931)] = 37321,
  [SMALL_STATE(932)] = 37367,
  [SMALL_STATE(933)] = 37413,
  [SMALL_STATE(934)] = 37459,
  [SMALL_STATE(935)] = 37510,
  [SMALL_STATE(936)] = 37585,
  [SMALL_STATE(937)] = 37660,
  [SMALL_STATE(938)] = 37704,
  [SMALL_STATE(939)] = 37748,
  [SMALL_STATE(940)] = 37792,
  [SMALL_STATE(941)] = 37836,
  [SMALL_STATE(942)] = 37880,
  [SMALL_STATE(943)] = 37924,
  [SMALL_STATE(944)] = 37968,
  [SMALL_STATE(945)] = 38012,
  [SMALL_STATE(946)] = 38056,
  [SMALL_STATE(947)] = 38100,
  [SMALL_STATE(948)] = 38144,
  [SMALL_STATE(949)] = 38188,
  [SMALL_STATE(950)] = 38232,
  [SMALL_STATE(951)] = 38305,
  [SMALL_STATE(952)] = 38378,
  [SMALL_STATE(953)] = 38429,
  [SMALL_STATE(954)] = 38497,
  [SMALL_STATE(955)] = 38565,
  [SMALL_STATE(956)] = 38635,
  [SMALL_STATE(957)] = 38705,
  [SMALL_STATE(958)] = 38773,
  [SMALL_STATE(959)] = 38841,
  [SMALL_STATE(960)] = 38909,
  [SMALL_STATE(961)] = 38977,
  [SMALL_STATE(962)] = 39045,
  [SMALL_STATE(963)] = 39113,
  [SMALL_STATE(964)] = 39181,
  [SMALL_STATE(965)] = 39249,
  [SMALL_STATE(966)] = 39317,
  [SMALL_STATE(967)] = 39385,
  [SMALL_STATE(968)] = 39460,
  [SMALL_STATE(969)] = 39515,
  [SMALL_STATE(970)] = 39590,
  [SMALL_STATE(971)] = 39667,
  [SMALL_STATE(972)] = 39744,
  [SMALL_STATE(973)] = 39801,
  [SMALL_STATE(974)] = 39860,
  [SMALL_STATE(975)] = 39923,
  [SMALL_STATE(976)] = 39988,
  [SMALL_STATE(977)] = 40055,
  [SMALL_STATE(978)] = 40132,
  [SMALL_STATE(979)] = 40209,
  [SMALL_STATE(980)] = 40278,
  [SMALL_STATE(981)] = 40355,
  [SMALL_STATE(982)] = 40410,
  [SMALL_STATE(983)] = 40487,
  [SMALL_STATE(984)] = 40558,
  [SMALL_STATE(985)] = 40631,
  [SMALL_STATE(986)] = 40688,
  [SMALL_STATE(987)] = 40759,
  [SMALL_STATE(988)] = 40828,
  [SMALL_STATE(989)] = 40895,
  [SMALL_STATE(990)] = 40960,
  [SMALL_STATE(991)] = 41023,
  [SMALL_STATE(992)] = 41082,
  [SMALL_STATE(993)] = 41155,
  [SMALL_STATE(994)] = 41232,
  [SMALL_STATE(995)] = 41296,
  [SMALL_STATE(996)] = 41360,
  [SMALL_STATE(997)] = 41424,
  [SMALL_STATE(998)] = 41464,
  [SMALL_STATE(999)] = 41528,
  [SMALL_STATE(1000)] = 41592,
  [SMALL_STATE(1001)] = 41656,
  [SMALL_STATE(1002)] = 41720,
  [SMALL_STATE(1003)] = 41784,
  [SMALL_STATE(1004)] = 41848,
  [SMALL_STATE(1005)] = 41912,
  [SMALL_STATE(1006)] = 41952,
  [SMALL_STATE(1007)] = 41992,
  [SMALL_STATE(1008)] = 42032,
  [SMALL_STATE(1009)] = 42072,
  [SMALL_STATE(1010)] = 42136,
  [SMALL_STATE(1011)] = 42200,
  [SMALL_STATE(1012)] = 42264,
  [SMALL_STATE(1013)] = 42304,
  [SMALL_STATE(1014)] = 42365,
  [SMALL_STATE(1015)] = 42426,
  [SMALL_STATE(1016)] = 42487,
  [SMALL_STATE(1017)] = 42548,
  [SMALL_STATE(1018)] = 42609,
  [SMALL_STATE(1019)] = 42670,
  [SMALL_STATE(1020)] = 42716,
  [SMALL_STATE(1021)] = 42790,
  [SMALL_STATE(1022)] = 42838,
  [SMALL_STATE(1023)] = 42912,
  [SMALL_STATE(1024)] = 42987,
  [SMALL_STATE(1025)] = 43062,
  [SMALL_STATE(1026)] = 43137,
  [SMALL_STATE(1027)] = 43212,
  [SMALL_STATE(1028)] = 43284,
  [SMALL_STATE(1029)] = 43336,
  [SMALL_STATE(1030)] = 43376,
  [SMALL_STATE(1031)] = 43448,
  [SMALL_STATE(1032)] = 43520,
  [SMALL_STATE(1033)] = 43592,
  [SMALL_STATE(1034)] = 43652,
  [SMALL_STATE(1035)] = 43724,
  [SMALL_STATE(1036)] = 43796,
  [SMALL_STATE(1037)] = 43858,
  [SMALL_STATE(1038)] = 43928,
  [SMALL_STATE(1039)] = 43992,
  [SMALL_STATE(1040)] = 44064,
  [SMALL_STATE(1041)] = 44130,
  [SMALL_STATE(1042)] = 44202,
  [SMALL_STATE(1043)] = 44252,
  [SMALL_STATE(1044)] = 44324,
  [SMALL_STATE(1045)] = 44396,
  [SMALL_STATE(1046)] = 44468,
  [SMALL_STATE(1047)] = 44540,
  [SMALL_STATE(1048)] = 44606,
  [SMALL_STATE(1049)] = 44678,
  [SMALL_STATE(1050)] = 44718,
  [SMALL_STATE(1051)] = 44790,
  [SMALL_STATE(1052)] = 44862,
  [SMALL_STATE(1053)] = 44932,
  [SMALL_STATE(1054)] = 44986,
  [SMALL_STATE(1055)] = 45054,
  [SMALL_STATE(1056)] = 45124,
  [SMALL_STATE(1057)] = 45180,
  [SMALL_STATE(1058)] = 45250,
  [SMALL_STATE(1059)] = 45320,
  [SMALL_STATE(1060)] = 45370,
  [SMALL_STATE(1061)] = 45440,
  [SMALL_STATE(1062)] = 45512,
  [SMALL_STATE(1063)] = 45584,
  [SMALL_STATE(1064)] = 45624,
  [SMALL_STATE(1065)] = 45696,
  [SMALL_STATE(1066)] = 45768,
  [SMALL_STATE(1067)] = 45840,
  [SMALL_STATE(1068)] = 45912,
  [SMALL_STATE(1069)] = 45984,
  [SMALL_STATE(1070)] = 46056,
  [SMALL_STATE(1071)] = 46126,
  [SMALL_STATE(1072)] = 46198,
  [SMALL_STATE(1073)] = 46270,
  [SMALL_STATE(1074)] = 46340,
  [SMALL_STATE(1075)] = 46412,
  [SMALL_STATE(1076)] = 46484,
  [SMALL_STATE(1077)] = 46556,
  [SMALL_STATE(1078)] = 46630,
  [SMALL_STATE(1079)] = 46702,
  [SMALL_STATE(1080)] = 46771,
  [SMALL_STATE(1081)] = 46840,
  [SMALL_STATE(1082)] = 46909,
  [SMALL_STATE(1083)] = 46978,
  [SMALL_STATE(1084)] = 47047,
  [SMALL_STATE(1085)] = 47116,
  [SMALL_STATE(1086)] = 47185,
  [SMALL_STATE(1087)] = 47254,
  [SMALL_STATE(1088)] = 47323,
  [SMALL_STATE(1089)] = 47392,
  [SMALL_STATE(1090)] = 47447,
  [SMALL_STATE(1091)] = 47516,
  [SMALL_STATE(1092)] = 47585,
  [SMALL_STATE(1093)] = 47654,
  [SMALL_STATE(1094)] = 47709,
  [SMALL_STATE(1095)] = 47778,
  [SMALL_STATE(1096)] = 47847,
  [SMALL_STATE(1097)] = 47916,
  [SMALL_STATE(1098)] = 47985,
  [SMALL_STATE(1099)] = 48040,
  [SMALL_STATE(1100)] = 48109,
  [SMALL_STATE(1101)] = 48164,
  [SMALL_STATE(1102)] = 48219,
  [SMALL_STATE(1103)] = 48288,
  [SMALL_STATE(1104)] = 48357,
  [SMALL_STATE(1105)] = 48426,
  [SMALL_STATE(1106)] = 48495,
  [SMALL_STATE(1107)] = 48564,
  [SMALL_STATE(1108)] = 48633,
  [SMALL_STATE(1109)] = 48688,
  [SMALL_STATE(1110)] = 48740,
  [SMALL_STATE(1111)] = 48792,
  [SMALL_STATE(1112)] = 48844,
  [SMALL_STATE(1113)] = 48896,
  [SMALL_STATE(1114)] = 48948,
  [SMALL_STATE(1115)] = 49000,
  [SMALL_STATE(1116)] = 49052,
  [SMALL_STATE(1117)] = 49104,
  [SMALL_STATE(1118)] = 49156,
  [SMALL_STATE(1119)] = 49192,
  [SMALL_STATE(1120)] = 49258,
  [SMALL_STATE(1121)] = 49307,
  [SMALL_STATE(1122)] = 49356,
  [SMALL_STATE(1123)] = 49395,
  [SMALL_STATE(1124)] = 49435,
  [SMALL_STATE(1125)] = 49475,
  [SMALL_STATE(1126)] = 49515,
  [SMALL_STATE(1127)] = 49571,
  [SMALL_STATE(1128)] = 49611,
  [SMALL_STATE(1129)] = 49660,
  [SMALL_STATE(1130)] = 49714,
  [SMALL_STATE(1131)] = 49748,
  [SMALL_STATE(1132)] = 49782,
  [SMALL_STATE(1133)] = 49816,
  [SMALL_STATE(1134)] = 49850,
  [SMALL_STATE(1135)] = 49884,
  [SMALL_STATE(1136)] = 49938,
  [SMALL_STATE(1137)] = 49972,
  [SMALL_STATE(1138)] = 50006,
  [SMALL_STATE(1139)] = 50040,
  [SMALL_STATE(1140)] = 50076,
  [SMALL_STATE(1141)] = 50110,
  [SMALL_STATE(1142)] = 50144,
  [SMALL_STATE(1143)] = 50178,
  [SMALL_STATE(1144)] = 50212,
  [SMALL_STATE(1145)] = 50246,
  [SMALL_STATE(1146)] = 50300,
  [SMALL_STATE(1147)] = 50334,
  [SMALL_STATE(1148)] = 50388,
  [SMALL_STATE(1149)] = 50439,
  [SMALL_STATE(1150)] = 50490,
  [SMALL_STATE(1151)] = 50541,
  [SMALL_STATE(1152)] = 50584,
  [SMALL_STATE(1153)] = 50635,
  [SMALL_STATE(1154)] = 50686,
  [SMALL_STATE(1155)] = 50719,
  [SMALL_STATE(1156)] = 50760,
  [SMALL_STATE(1157)] = 50815,
  [SMALL_STATE(1158)] = 50870,
  [SMALL_STATE(1159)] = 50913,
  [SMALL_STATE(1160)] = 50964,
  [SMALL_STATE(1161)] = 51007,
  [SMALL_STATE(1162)] = 51058,
  [SMALL_STATE(1163)] = 51113,
  [SMALL_STATE(1164)] = 51164,
  [SMALL_STATE(1165)] = 51215,
  [SMALL_STATE(1166)] = 51266,
  [SMALL_STATE(1167)] = 51317,
  [SMALL_STATE(1168)] = 51357,
  [SMALL_STATE(1169)] = 51397,
  [SMALL_STATE(1170)] = 51439,
  [SMALL_STATE(1171)] = 51483,
  [SMALL_STATE(1172)] = 51529,
  [SMALL_STATE(1173)] = 51569,
  [SMALL_STATE(1174)] = 51609,
  [SMALL_STATE(1175)] = 51649,
  [SMALL_STATE(1176)] = 51689,
  [SMALL_STATE(1177)] = 51735,
  [SMALL_STATE(1178)] = 51783,
  [SMALL_STATE(1179)] = 51811,
  [SMALL_STATE(1180)] = 51843,
  [SMALL_STATE(1181)] = 51871,
  [SMALL_STATE(1182)] = 51899,
  [SMALL_STATE(1183)] = 51939,
  [SMALL_STATE(1184)] = 51979,
  [SMALL_STATE(1185)] = 52019,
  [SMALL_STATE(1186)] = 52059,
  [SMALL_STATE(1187)] = 52099,
  [SMALL_STATE(1188)] = 52139,
  [SMALL_STATE(1189)] = 52179,
  [SMALL_STATE(1190)] = 52219,
  [SMALL_STATE(1191)] = 52259,
  [SMALL_STATE(1192)] = 52299,
  [SMALL_STATE(1193)] = 52339,
  [SMALL_STATE(1194)] = 52379,
  [SMALL_STATE(1195)] = 52419,
  [SMALL_STATE(1196)] = 52459,
  [SMALL_STATE(1197)] = 52499,
  [SMALL_STATE(1198)] = 52549,
  [SMALL_STATE(1199)] = 52589,
  [SMALL_STATE(1200)] = 52629,
  [SMALL_STATE(1201)] = 52669,
  [SMALL_STATE(1202)] = 52697,
  [SMALL_STATE(1203)] = 52737,
  [SMALL_STATE(1204)] = 52771,
  [SMALL_STATE(1205)] = 52807,
  [SMALL_STATE(1206)] = 52835,
  [SMALL_STATE(1207)] = 52863,
  [SMALL_STATE(1208)] = 52903,
  [SMALL_STATE(1209)] = 52943,
  [SMALL_STATE(1210)] = 52983,
  [SMALL_STATE(1211)] = 53023,
  [SMALL_STATE(1212)] = 53063,
  [SMALL_STATE(1213)] = 53103,
  [SMALL_STATE(1214)] = 53143,
  [SMALL_STATE(1215)] = 53183,
  [SMALL_STATE(1216)] = 53223,
  [SMALL_STATE(1217)] = 53263,
  [SMALL_STATE(1218)] = 53303,
  [SMALL_STATE(1219)] = 53343,
  [SMALL_STATE(1220)] = 53383,
  [SMALL_STATE(1221)] = 53423,
  [SMALL_STATE(1222)] = 53463,
  [SMALL_STATE(1223)] = 53490,
  [SMALL_STATE(1224)] = 53533,
  [SMALL_STATE(1225)] = 53560,
  [SMALL_STATE(1226)] = 53605,
  [SMALL_STATE(1227)] = 53648,
  [SMALL_STATE(1228)] = 53675,
  [SMALL_STATE(1229)] = 53704,
  [SMALL_STATE(1230)] = 53731,
  [SMALL_STATE(1231)] = 53776,
  [SMALL_STATE(1232)] = 53821,
  [SMALL_STATE(1233)] = 53866,
  [SMALL_STATE(1234)] = 53909,
  [SMALL_STATE(1235)] = 53950,
  [SMALL_STATE(1236)] = 53989,
  [SMALL_STATE(1237)] = 54026,
  [SMALL_STATE(1238)] = 54061,
  [SMALL_STATE(1239)] = 54088,
  [SMALL_STATE(1240)] = 54133,
  [SMALL_STATE(1241)] = 54178,
  [SMALL_STATE(1242)] = 54223,
  [SMALL_STATE(1243)] = 54272,
  [SMALL_STATE(1244)] = 54317,
  [SMALL_STATE(1245)] = 54366,
  [SMALL_STATE(1246)] = 54393,
  [SMALL_STATE(1247)] = 54438,
  [SMALL_STATE(1248)] = 54465,
  [SMALL_STATE(1249)] = 54510,
  [SMALL_STATE(1250)] = 54555,
  [SMALL_STATE(1251)] = 54600,
  [SMALL_STATE(1252)] = 54627,
  [SMALL_STATE(1253)] = 54672,
  [SMALL_STATE(1254)] = 54699,
  [SMALL_STATE(1255)] = 54742,
  [SMALL_STATE(1256)] = 54773,
  [SMALL_STATE(1257)] = 54816,
  [SMALL_STATE(1258)] = 54861,
  [SMALL_STATE(1259)] = 54888,
  [SMALL_STATE(1260)] = 54921,
  [SMALL_STATE(1261)] = 54966,
  [SMALL_STATE(1262)] = 55006,
  [SMALL_STATE(1263)] = 55046,
  [SMALL_STATE(1264)] = 55082,
  [SMALL_STATE(1265)] = 55124,
  [SMALL_STATE(1266)] = 55164,
  [SMALL_STATE(1267)] = 55204,
  [SMALL_STATE(1268)] = 55244,
  [SMALL_STATE(1269)] = 55284,
  [SMALL_STATE(1270)] = 55328,
  [SMALL_STATE(1271)] = 55369,
  [SMALL_STATE(1272)] = 55410,
  [SMALL_STATE(1273)] = 55449,
  [SMALL_STATE(1274)] = 55490,
  [SMALL_STATE(1275)] = 55531,
  [SMALL_STATE(1276)] = 55562,
  [SMALL_STATE(1277)] = 55593,
  [SMALL_STATE(1278)] = 55634,
  [SMALL_STATE(1279)] = 55665,
  [SMALL_STATE(1280)] = 55706,
  [SMALL_STATE(1281)] = 55747,
  [SMALL_STATE(1282)] = 55788,
  [SMALL_STATE(1283)] = 55819,
  [SMALL_STATE(1284)] = 55847,
  [SMALL_STATE(1285)] = 55889,
  [SMALL_STATE(1286)] = 55931,
  [SMALL_STATE(1287)] = 55969,
  [SMALL_STATE(1288)] = 56011,
  [SMALL_STATE(1289)] = 56049,
  [SMALL_STATE(1290)] = 56072,
  [SMALL_STATE(1291)] = 56111,
  [SMALL_STATE(1292)] = 56144,
  [SMALL_STATE(1293)] = 56171,
  [SMALL_STATE(1294)] = 56194,
  [SMALL_STATE(1295)] = 56221,
  [SMALL_STATE(1296)] = 56260,
  [SMALL_STATE(1297)] = 56299,
  [SMALL_STATE(1298)] = 56322,
  [SMALL_STATE(1299)] = 56361,
  [SMALL_STATE(1300)] = 56393,
  [SMALL_STATE(1301)] = 56425,
  [SMALL_STATE(1302)] = 56457,
  [SMALL_STATE(1303)] = 56489,
  [SMALL_STATE(1304)] = 56526,
  [SMALL_STATE(1305)] = 56559,
  [SMALL_STATE(1306)] = 56596,
  [SMALL_STATE(1307)] = 56633,
  [SMALL_STATE(1308)] = 56670,
  [SMALL_STATE(1309)] = 56707,
  [SMALL_STATE(1310)] = 56728,
  [SMALL_STATE(1311)] = 56749,
  [SMALL_STATE(1312)] = 56786,
  [SMALL_STATE(1313)] = 56813,
  [SMALL_STATE(1314)] = 56850,
  [SMALL_STATE(1315)] = 56887,
  [SMALL_STATE(1316)] = 56924,
  [SMALL_STATE(1317)] = 56945,
  [SMALL_STATE(1318)] = 56966,
  [SMALL_STATE(1319)] = 57005,
  [SMALL_STATE(1320)] = 57026,
  [SMALL_STATE(1321)] = 57047,
  [SMALL_STATE(1322)] = 57068,
  [SMALL_STATE(1323)] = 57101,
  [SMALL_STATE(1324)] = 57138,
  [SMALL_STATE(1325)] = 57175,
  [SMALL_STATE(1326)] = 57205,
  [SMALL_STATE(1327)] = 57239,
  [SMALL_STATE(1328)] = 57269,
  [SMALL_STATE(1329)] = 57299,
  [SMALL_STATE(1330)] = 57333,
  [SMALL_STATE(1331)] = 57363,
  [SMALL_STATE(1332)] = 57394,
  [SMALL_STATE(1333)] = 57423,
  [SMALL_STATE(1334)] = 57452,
  [SMALL_STATE(1335)] = 57477,
  [SMALL_STATE(1336)] = 57506,
  [SMALL_STATE(1337)] = 57537,
  [SMALL_STATE(1338)] = 57568,
  [SMALL_STATE(1339)] = 57593,
  [SMALL_STATE(1340)] = 57622,
  [SMALL_STATE(1341)] = 57653,
  [SMALL_STATE(1342)] = 57682,
  [SMALL_STATE(1343)] = 57713,
  [SMALL_STATE(1344)] = 57742,
  [SMALL_STATE(1345)] = 57771,
  [SMALL_STATE(1346)] = 57800,
  [SMALL_STATE(1347)] = 57829,
  [SMALL_STATE(1348)] = 57858,
  [SMALL_STATE(1349)] = 57887,
  [SMALL_STATE(1350)] = 57910,
  [SMALL_STATE(1351)] = 57939,
  [SMALL_STATE(1352)] = 57962,
  [SMALL_STATE(1353)] = 57993,
  [SMALL_STATE(1354)] = 58022,
  [SMALL_STATE(1355)] = 58045,
  [SMALL_STATE(1356)] = 58078,
  [SMALL_STATE(1357)] = 58109,
  [SMALL_STATE(1358)] = 58138,
  [SMALL_STATE(1359)] = 58167,
  [SMALL_STATE(1360)] = 58196,
  [SMALL_STATE(1361)] = 58227,
  [SMALL_STATE(1362)] = 58256,
  [SMALL_STATE(1363)] = 58285,
  [SMALL_STATE(1364)] = 58317,
  [SMALL_STATE(1365)] = 58345,
  [SMALL_STATE(1366)] = 58369,
  [SMALL_STATE(1367)] = 58397,
  [SMALL_STATE(1368)] = 58429,
  [SMALL_STATE(1369)] = 58453,
  [SMALL_STATE(1370)] = 58481,
  [SMALL_STATE(1371)] = 58513,
  [SMALL_STATE(1372)] = 58545,
  [SMALL_STATE(1373)] = 58567,
  [SMALL_STATE(1374)] = 58595,
  [SMALL_STATE(1375)] = 58623,
  [SMALL_STATE(1376)] = 58645,
  [SMALL_STATE(1377)] = 58669,
  [SMALL_STATE(1378)] = 58694,
  [SMALL_STATE(1379)] = 58723,
  [SMALL_STATE(1380)] = 58746,
  [SMALL_STATE(1381)] = 58763,
  [SMALL_STATE(1382)] = 58780,
  [SMALL_STATE(1383)] = 58797,
  [SMALL_STATE(1384)] = 58826,
  [SMALL_STATE(1385)] = 58855,
  [SMALL_STATE(1386)] = 58876,
  [SMALL_STATE(1387)] = 58897,
  [SMALL_STATE(1388)] = 58914,
  [SMALL_STATE(1389)] = 58931,
  [SMALL_STATE(1390)] = 58960,
  [SMALL_STATE(1391)] = 58989,
  [SMALL_STATE(1392)] = 59012,
  [SMALL_STATE(1393)] = 59033,
  [SMALL_STATE(1394)] = 59054,
  [SMALL_STATE(1395)] = 59071,
  [SMALL_STATE(1396)] = 59100,
  [SMALL_STATE(1397)] = 59117,
  [SMALL_STATE(1398)] = 59146,
  [SMALL_STATE(1399)] = 59173,
  [SMALL_STATE(1400)] = 59190,
  [SMALL_STATE(1401)] = 59219,
  [SMALL_STATE(1402)] = 59236,
  [SMALL_STATE(1403)] = 59257,
  [SMALL_STATE(1404)] = 59278,
  [SMALL_STATE(1405)] = 59299,
  [SMALL_STATE(1406)] = 59315,
  [SMALL_STATE(1407)] = 59341,
  [SMALL_STATE(1408)] = 59361,
  [SMALL_STATE(1409)] = 59383,
  [SMALL_STATE(1410)] = 59405,
  [SMALL_STATE(1411)] = 59421,
  [SMALL_STATE(1412)] = 59447,
  [SMALL_STATE(1413)] = 59473,
  [SMALL_STATE(1414)] = 59489,
  [SMALL_STATE(1415)] = 59505,
  [SMALL_STATE(1416)] = 59531,
  [SMALL_STATE(1417)] = 59557,
  [SMALL_STATE(1418)] = 59575,
  [SMALL_STATE(1419)] = 59601,
  [SMALL_STATE(1420)] = 59623,
  [SMALL_STATE(1421)] = 59639,
  [SMALL_STATE(1422)] = 59655,
  [SMALL_STATE(1423)] = 59671,
  [SMALL_STATE(1424)] = 59697,
  [SMALL_STATE(1425)] = 59723,
  [SMALL_STATE(1426)] = 59743,
  [SMALL_STATE(1427)] = 59769,
  [SMALL_STATE(1428)] = 59795,
  [SMALL_STATE(1429)] = 59811,
  [SMALL_STATE(1430)] = 59827,
  [SMALL_STATE(1431)] = 59853,
  [SMALL_STATE(1432)] = 59879,
  [SMALL_STATE(1433)] = 59895,
  [SMALL_STATE(1434)] = 59917,
  [SMALL_STATE(1435)] = 59943,
  [SMALL_STATE(1436)] = 59963,
  [SMALL_STATE(1437)] = 59986,
  [SMALL_STATE(1438)] = 60001,
  [SMALL_STATE(1439)] = 60016,
  [SMALL_STATE(1440)] = 60039,
  [SMALL_STATE(1441)] = 60054,
  [SMALL_STATE(1442)] = 60077,
  [SMALL_STATE(1443)] = 60100,
  [SMALL_STATE(1444)] = 60115,
  [SMALL_STATE(1445)] = 60130,
  [SMALL_STATE(1446)] = 60145,
  [SMALL_STATE(1447)] = 60168,
  [SMALL_STATE(1448)] = 60183,
  [SMALL_STATE(1449)] = 60198,
  [SMALL_STATE(1450)] = 60213,
  [SMALL_STATE(1451)] = 60236,
  [SMALL_STATE(1452)] = 60251,
  [SMALL_STATE(1453)] = 60268,
  [SMALL_STATE(1454)] = 60291,
  [SMALL_STATE(1455)] = 60314,
  [SMALL_STATE(1456)] = 60331,
  [SMALL_STATE(1457)] = 60354,
  [SMALL_STATE(1458)] = 60377,
  [SMALL_STATE(1459)] = 60396,
  [SMALL_STATE(1460)] = 60419,
  [SMALL_STATE(1461)] = 60442,
  [SMALL_STATE(1462)] = 60465,
  [SMALL_STATE(1463)] = 60484,
  [SMALL_STATE(1464)] = 60499,
  [SMALL_STATE(1465)] = 60514,
  [SMALL_STATE(1466)] = 60529,
  [SMALL_STATE(1467)] = 60552,
  [SMALL_STATE(1468)] = 60575,
  [SMALL_STATE(1469)] = 60598,
  [SMALL_STATE(1470)] = 60621,
  [SMALL_STATE(1471)] = 60644,
  [SMALL_STATE(1472)] = 60661,
  [SMALL_STATE(1473)] = 60678,
  [SMALL_STATE(1474)] = 60701,
  [SMALL_STATE(1475)] = 60719,
  [SMALL_STATE(1476)] = 60733,
  [SMALL_STATE(1477)] = 60747,
  [SMALL_STATE(1478)] = 60761,
  [SMALL_STATE(1479)] = 60781,
  [SMALL_STATE(1480)] = 60799,
  [SMALL_STATE(1481)] = 60813,
  [SMALL_STATE(1482)] = 60827,
  [SMALL_STATE(1483)] = 60841,
  [SMALL_STATE(1484)] = 60855,
  [SMALL_STATE(1485)] = 60869,
  [SMALL_STATE(1486)] = 60887,
  [SMALL_STATE(1487)] = 60901,
  [SMALL_STATE(1488)] = 60919,
  [SMALL_STATE(1489)] = 60933,
  [SMALL_STATE(1490)] = 60947,
  [SMALL_STATE(1491)] = 60965,
  [SMALL_STATE(1492)] = 60983,
  [SMALL_STATE(1493)] = 61001,
  [SMALL_STATE(1494)] = 61015,
  [SMALL_STATE(1495)] = 61029,
  [SMALL_STATE(1496)] = 61047,
  [SMALL_STATE(1497)] = 61065,
  [SMALL_STATE(1498)] = 61079,
  [SMALL_STATE(1499)] = 61093,
  [SMALL_STATE(1500)] = 61110,
  [SMALL_STATE(1501)] = 61127,
  [SMALL_STATE(1502)] = 61140,
  [SMALL_STATE(1503)] = 61157,
  [SMALL_STATE(1504)] = 61174,
  [SMALL_STATE(1505)] = 61191,
  [SMALL_STATE(1506)] = 61208,
  [SMALL_STATE(1507)] = 61225,
  [SMALL_STATE(1508)] = 61242,
  [SMALL_STATE(1509)] = 61259,
  [SMALL_STATE(1510)] = 61276,
  [SMALL_STATE(1511)] = 61293,
  [SMALL_STATE(1512)] = 61310,
  [SMALL_STATE(1513)] = 61321,
  [SMALL_STATE(1514)] = 61338,
  [SMALL_STATE(1515)] = 61355,
  [SMALL_STATE(1516)] = 61372,
  [SMALL_STATE(1517)] = 61389,
  [SMALL_STATE(1518)] = 61408,
  [SMALL_STATE(1519)] = 61425,
  [SMALL_STATE(1520)] = 61444,
  [SMALL_STATE(1521)] = 61461,
  [SMALL_STATE(1522)] = 61478,
  [SMALL_STATE(1523)] = 61495,
  [SMALL_STATE(1524)] = 61512,
  [SMALL_STATE(1525)] = 61529,
  [SMALL_STATE(1526)] = 61546,
  [SMALL_STATE(1527)] = 61565,
  [SMALL_STATE(1528)] = 61581,
  [SMALL_STATE(1529)] = 61595,
  [SMALL_STATE(1530)] = 61609,
  [SMALL_STATE(1531)] = 61625,
  [SMALL_STATE(1532)] = 61641,
  [SMALL_STATE(1533)] = 61657,
  [SMALL_STATE(1534)] = 61671,
  [SMALL_STATE(1535)] = 61687,
  [SMALL_STATE(1536)] = 61701,
  [SMALL_STATE(1537)] = 61717,
  [SMALL_STATE(1538)] = 61733,
  [SMALL_STATE(1539)] = 61749,
  [SMALL_STATE(1540)] = 61763,
  [SMALL_STATE(1541)] = 61779,
  [SMALL_STATE(1542)] = 61793,
  [SMALL_STATE(1543)] = 61807,
  [SMALL_STATE(1544)] = 61823,
  [SMALL_STATE(1545)] = 61839,
  [SMALL_STATE(1546)] = 61853,
  [SMALL_STATE(1547)] = 61867,
  [SMALL_STATE(1548)] = 61881,
  [SMALL_STATE(1549)] = 61895,
  [SMALL_STATE(1550)] = 61909,
  [SMALL_STATE(1551)] = 61925,
  [SMALL_STATE(1552)] = 61939,
  [SMALL_STATE(1553)] = 61955,
  [SMALL_STATE(1554)] = 61969,
  [SMALL_STATE(1555)] = 61985,
  [SMALL_STATE(1556)] = 61999,
  [SMALL_STATE(1557)] = 62013,
  [SMALL_STATE(1558)] = 62027,
  [SMALL_STATE(1559)] = 62043,
  [SMALL_STATE(1560)] = 62057,
  [SMALL_STATE(1561)] = 62073,
  [SMALL_STATE(1562)] = 62087,
  [SMALL_STATE(1563)] = 62103,
  [SMALL_STATE(1564)] = 62117,
  [SMALL_STATE(1565)] = 62133,
  [SMALL_STATE(1566)] = 62145,
  [SMALL_STATE(1567)] = 62161,
  [SMALL_STATE(1568)] = 62177,
  [SMALL_STATE(1569)] = 62191,
  [SMALL_STATE(1570)] = 62207,
  [SMALL_STATE(1571)] = 62223,
  [SMALL_STATE(1572)] = 62236,
  [SMALL_STATE(1573)] = 62249,
  [SMALL_STATE(1574)] = 62258,
  [SMALL_STATE(1575)] = 62271,
  [SMALL_STATE(1576)] = 62284,
  [SMALL_STATE(1577)] = 62297,
  [SMALL_STATE(1578)] = 62310,
  [SMALL_STATE(1579)] = 62323,
  [SMALL_STATE(1580)] = 62336,
  [SMALL_STATE(1581)] = 62349,
  [SMALL_STATE(1582)] = 62362,
  [SMALL_STATE(1583)] = 62375,
  [SMALL_STATE(1584)] = 62388,
  [SMALL_STATE(1585)] = 62401,
  [SMALL_STATE(1586)] = 62414,
  [SMALL_STATE(1587)] = 62427,
  [SMALL_STATE(1588)] = 62440,
  [SMALL_STATE(1589)] = 62453,
  [SMALL_STATE(1590)] = 62466,
  [SMALL_STATE(1591)] = 62479,
  [SMALL_STATE(1592)] = 62492,
  [SMALL_STATE(1593)] = 62505,
  [SMALL_STATE(1594)] = 62518,
  [SMALL_STATE(1595)] = 62531,
  [SMALL_STATE(1596)] = 62544,
  [SMALL_STATE(1597)] = 62557,
  [SMALL_STATE(1598)] = 62570,
  [SMALL_STATE(1599)] = 62583,
  [SMALL_STATE(1600)] = 62596,
  [SMALL_STATE(1601)] = 62609,
  [SMALL_STATE(1602)] = 62622,
  [SMALL_STATE(1603)] = 62635,
  [SMALL_STATE(1604)] = 62648,
  [SMALL_STATE(1605)] = 62661,
  [SMALL_STATE(1606)] = 62674,
  [SMALL_STATE(1607)] = 62687,
  [SMALL_STATE(1608)] = 62700,
  [SMALL_STATE(1609)] = 62713,
  [SMALL_STATE(1610)] = 62726,
  [SMALL_STATE(1611)] = 62735,
  [SMALL_STATE(1612)] = 62748,
  [SMALL_STATE(1613)] = 62761,
  [SMALL_STATE(1614)] = 62774,
  [SMALL_STATE(1615)] = 62785,
  [SMALL_STATE(1616)] = 62794,
  [SMALL_STATE(1617)] = 62807,
  [SMALL_STATE(1618)] = 62820,
  [SMALL_STATE(1619)] = 62829,
  [SMALL_STATE(1620)] = 62838,
  [SMALL_STATE(1621)] = 62851,
  [SMALL_STATE(1622)] = 62864,
  [SMALL_STATE(1623)] = 62877,
  [SMALL_STATE(1624)] = 62890,
  [SMALL_STATE(1625)] = 62903,
  [SMALL_STATE(1626)] = 62916,
  [SMALL_STATE(1627)] = 62929,
  [SMALL_STATE(1628)] = 62942,
  [SMALL_STATE(1629)] = 62951,
  [SMALL_STATE(1630)] = 62964,
  [SMALL_STATE(1631)] = 62977,
  [SMALL_STATE(1632)] = 62990,
  [SMALL_STATE(1633)] = 63003,
  [SMALL_STATE(1634)] = 63016,
  [SMALL_STATE(1635)] = 63029,
  [SMALL_STATE(1636)] = 63042,
  [SMALL_STATE(1637)] = 63055,
  [SMALL_STATE(1638)] = 63068,
  [SMALL_STATE(1639)] = 63081,
  [SMALL_STATE(1640)] = 63094,
  [SMALL_STATE(1641)] = 63107,
  [SMALL_STATE(1642)] = 63120,
  [SMALL_STATE(1643)] = 63129,
  [SMALL_STATE(1644)] = 63142,
  [SMALL_STATE(1645)] = 63155,
  [SMALL_STATE(1646)] = 63166,
  [SMALL_STATE(1647)] = 63179,
  [SMALL_STATE(1648)] = 63192,
  [SMALL_STATE(1649)] = 63201,
  [SMALL_STATE(1650)] = 63212,
  [SMALL_STATE(1651)] = 63225,
  [SMALL_STATE(1652)] = 63234,
  [SMALL_STATE(1653)] = 63247,
  [SMALL_STATE(1654)] = 63260,
  [SMALL_STATE(1655)] = 63271,
  [SMALL_STATE(1656)] = 63284,
  [SMALL_STATE(1657)] = 63297,
  [SMALL_STATE(1658)] = 63310,
  [SMALL_STATE(1659)] = 63323,
  [SMALL_STATE(1660)] = 63336,
  [SMALL_STATE(1661)] = 63349,
  [SMALL_STATE(1662)] = 63358,
  [SMALL_STATE(1663)] = 63371,
  [SMALL_STATE(1664)] = 63384,
  [SMALL_STATE(1665)] = 63397,
  [SMALL_STATE(1666)] = 63410,
  [SMALL_STATE(1667)] = 63423,
  [SMALL_STATE(1668)] = 63436,
  [SMALL_STATE(1669)] = 63449,
  [SMALL_STATE(1670)] = 63462,
  [SMALL_STATE(1671)] = 63475,
  [SMALL_STATE(1672)] = 63488,
  [SMALL_STATE(1673)] = 63501,
  [SMALL_STATE(1674)] = 63514,
  [SMALL_STATE(1675)] = 63527,
  [SMALL_STATE(1676)] = 63540,
  [SMALL_STATE(1677)] = 63553,
  [SMALL_STATE(1678)] = 63566,
  [SMALL_STATE(1679)] = 63579,
  [SMALL_STATE(1680)] = 63592,
  [SMALL_STATE(1681)] = 63603,
  [SMALL_STATE(1682)] = 63616,
  [SMALL_STATE(1683)] = 63629,
  [SMALL_STATE(1684)] = 63638,
  [SMALL_STATE(1685)] = 63651,
  [SMALL_STATE(1686)] = 63664,
  [SMALL_STATE(1687)] = 63677,
  [SMALL_STATE(1688)] = 63687,
  [SMALL_STATE(1689)] = 63697,
  [SMALL_STATE(1690)] = 63707,
  [SMALL_STATE(1691)] = 63717,
  [SMALL_STATE(1692)] = 63727,
  [SMALL_STATE(1693)] = 63735,
  [SMALL_STATE(1694)] = 63745,
  [SMALL_STATE(1695)] = 63755,
  [SMALL_STATE(1696)] = 63763,
  [SMALL_STATE(1697)] = 63773,
  [SMALL_STATE(1698)] = 63783,
  [SMALL_STATE(1699)] = 63791,
  [SMALL_STATE(1700)] = 63801,
  [SMALL_STATE(1701)] = 63811,
  [SMALL_STATE(1702)] = 63821,
  [SMALL_STATE(1703)] = 63831,
  [SMALL_STATE(1704)] = 63841,
  [SMALL_STATE(1705)] = 63849,
  [SMALL_STATE(1706)] = 63859,
  [SMALL_STATE(1707)] = 63869,
  [SMALL_STATE(1708)] = 63879,
  [SMALL_STATE(1709)] = 63889,
  [SMALL_STATE(1710)] = 63897,
  [SMALL_STATE(1711)] = 63907,
  [SMALL_STATE(1712)] = 63917,
  [SMALL_STATE(1713)] = 63927,
  [SMALL_STATE(1714)] = 63937,
  [SMALL_STATE(1715)] = 63947,
  [SMALL_STATE(1716)] = 63957,
  [SMALL_STATE(1717)] = 63967,
  [SMALL_STATE(1718)] = 63977,
  [SMALL_STATE(1719)] = 63987,
  [SMALL_STATE(1720)] = 63997,
  [SMALL_STATE(1721)] = 64005,
  [SMALL_STATE(1722)] = 64015,
  [SMALL_STATE(1723)] = 64023,
  [SMALL_STATE(1724)] = 64033,
  [SMALL_STATE(1725)] = 64043,
  [SMALL_STATE(1726)] = 64051,
  [SMALL_STATE(1727)] = 64061,
  [SMALL_STATE(1728)] = 64071,
  [SMALL_STATE(1729)] = 64081,
  [SMALL_STATE(1730)] = 64089,
  [SMALL_STATE(1731)] = 64099,
  [SMALL_STATE(1732)] = 64109,
  [SMALL_STATE(1733)] = 64119,
  [SMALL_STATE(1734)] = 64129,
  [SMALL_STATE(1735)] = 64137,
  [SMALL_STATE(1736)] = 64147,
  [SMALL_STATE(1737)] = 64157,
  [SMALL_STATE(1738)] = 64165,
  [SMALL_STATE(1739)] = 64175,
  [SMALL_STATE(1740)] = 64185,
  [SMALL_STATE(1741)] = 64195,
  [SMALL_STATE(1742)] = 64205,
  [SMALL_STATE(1743)] = 64215,
  [SMALL_STATE(1744)] = 64225,
  [SMALL_STATE(1745)] = 64235,
  [SMALL_STATE(1746)] = 64245,
  [SMALL_STATE(1747)] = 64255,
  [SMALL_STATE(1748)] = 64265,
  [SMALL_STATE(1749)] = 64273,
  [SMALL_STATE(1750)] = 64283,
  [SMALL_STATE(1751)] = 64293,
  [SMALL_STATE(1752)] = 64303,
  [SMALL_STATE(1753)] = 64311,
  [SMALL_STATE(1754)] = 64321,
  [SMALL_STATE(1755)] = 64331,
  [SMALL_STATE(1756)] = 64341,
  [SMALL_STATE(1757)] = 64349,
  [SMALL_STATE(1758)] = 64357,
  [SMALL_STATE(1759)] = 64367,
  [SMALL_STATE(1760)] = 64377,
  [SMALL_STATE(1761)] = 64387,
  [SMALL_STATE(1762)] = 64395,
  [SMALL_STATE(1763)] = 64405,
  [SMALL_STATE(1764)] = 64415,
  [SMALL_STATE(1765)] = 64425,
  [SMALL_STATE(1766)] = 64435,
  [SMALL_STATE(1767)] = 64443,
  [SMALL_STATE(1768)] = 64453,
  [SMALL_STATE(1769)] = 64463,
  [SMALL_STATE(1770)] = 64473,
  [SMALL_STATE(1771)] = 64483,
  [SMALL_STATE(1772)] = 64493,
  [SMALL_STATE(1773)] = 64501,
  [SMALL_STATE(1774)] = 64511,
  [SMALL_STATE(1775)] = 64521,
  [SMALL_STATE(1776)] = 64528,
  [SMALL_STATE(1777)] = 64535,
  [SMALL_STATE(1778)] = 64542,
  [SMALL_STATE(1779)] = 64549,
  [SMALL_STATE(1780)] = 64556,
  [SMALL_STATE(1781)] = 64563,
  [SMALL_STATE(1782)] = 64570,
  [SMALL_STATE(1783)] = 64577,
  [SMALL_STATE(1784)] = 64584,
  [SMALL_STATE(1785)] = 64591,
  [SMALL_STATE(1786)] = 64598,
  [SMALL_STATE(1787)] = 64605,
  [SMALL_STATE(1788)] = 64612,
  [SMALL_STATE(1789)] = 64619,
  [SMALL_STATE(1790)] = 64626,
  [SMALL_STATE(1791)] = 64633,
  [SMALL_STATE(1792)] = 64640,
  [SMALL_STATE(1793)] = 64647,
  [SMALL_STATE(1794)] = 64654,
  [SMALL_STATE(1795)] = 64661,
  [SMALL_STATE(1796)] = 64668,
  [SMALL_STATE(1797)] = 64675,
  [SMALL_STATE(1798)] = 64682,
  [SMALL_STATE(1799)] = 64689,
  [SMALL_STATE(1800)] = 64696,
  [SMALL_STATE(1801)] = 64703,
  [SMALL_STATE(1802)] = 64710,
  [SMALL_STATE(1803)] = 64717,
  [SMALL_STATE(1804)] = 64724,
  [SMALL_STATE(1805)] = 64731,
  [SMALL_STATE(1806)] = 64738,
  [SMALL_STATE(1807)] = 64745,
  [SMALL_STATE(1808)] = 64752,
  [SMALL_STATE(1809)] = 64759,
  [SMALL_STATE(1810)] = 64766,
  [SMALL_STATE(1811)] = 64773,
  [SMALL_STATE(1812)] = 64780,
  [SMALL_STATE(1813)] = 64787,
  [SMALL_STATE(1814)] = 64794,
  [SMALL_STATE(1815)] = 64801,
  [SMALL_STATE(1816)] = 64808,
  [SMALL_STATE(1817)] = 64815,
  [SMALL_STATE(1818)] = 64822,
  [SMALL_STATE(1819)] = 64829,
  [SMALL_STATE(1820)] = 64836,
  [SMALL_STATE(1821)] = 64843,
  [SMALL_STATE(1822)] = 64850,
  [SMALL_STATE(1823)] = 64857,
  [SMALL_STATE(1824)] = 64864,
  [SMALL_STATE(1825)] = 64871,
  [SMALL_STATE(1826)] = 64878,
  [SMALL_STATE(1827)] = 64885,
  [SMALL_STATE(1828)] = 64892,
  [SMALL_STATE(1829)] = 64899,
  [SMALL_STATE(1830)] = 64906,
  [SMALL_STATE(1831)] = 64913,
  [SMALL_STATE(1832)] = 64920,
  [SMALL_STATE(1833)] = 64927,
  [SMALL_STATE(1834)] = 64934,
  [SMALL_STATE(1835)] = 64941,
  [SMALL_STATE(1836)] = 64948,
  [SMALL_STATE(1837)] = 64955,
  [SMALL_STATE(1838)] = 64962,
  [SMALL_STATE(1839)] = 64969,
  [SMALL_STATE(1840)] = 64976,
  [SMALL_STATE(1841)] = 64983,
  [SMALL_STATE(1842)] = 64990,
  [SMALL_STATE(1843)] = 64997,
  [SMALL_STATE(1844)] = 65004,
  [SMALL_STATE(1845)] = 65011,
  [SMALL_STATE(1846)] = 65018,
  [SMALL_STATE(1847)] = 65025,
  [SMALL_STATE(1848)] = 65032,
  [SMALL_STATE(1849)] = 65039,
  [SMALL_STATE(1850)] = 65046,
  [SMALL_STATE(1851)] = 65053,
  [SMALL_STATE(1852)] = 65060,
  [SMALL_STATE(1853)] = 65067,
  [SMALL_STATE(1854)] = 65074,
  [SMALL_STATE(1855)] = 65081,
  [SMALL_STATE(1856)] = 65088,
  [SMALL_STATE(1857)] = 65095,
  [SMALL_STATE(1858)] = 65102,
  [SMALL_STATE(1859)] = 65109,
  [SMALL_STATE(1860)] = 65116,
  [SMALL_STATE(1861)] = 65123,
  [SMALL_STATE(1862)] = 65130,
  [SMALL_STATE(1863)] = 65137,
  [SMALL_STATE(1864)] = 65144,
  [SMALL_STATE(1865)] = 65151,
  [SMALL_STATE(1866)] = 65158,
  [SMALL_STATE(1867)] = 65165,
  [SMALL_STATE(1868)] = 65172,
  [SMALL_STATE(1869)] = 65179,
  [SMALL_STATE(1870)] = 65186,
  [SMALL_STATE(1871)] = 65193,
  [SMALL_STATE(1872)] = 65200,
  [SMALL_STATE(1873)] = 65207,
  [SMALL_STATE(1874)] = 65214,
  [SMALL_STATE(1875)] = 65221,
  [SMALL_STATE(1876)] = 65228,
  [SMALL_STATE(1877)] = 65235,
  [SMALL_STATE(1878)] = 65242,
  [SMALL_STATE(1879)] = 65249,
  [SMALL_STATE(1880)] = 65256,
  [SMALL_STATE(1881)] = 65263,
  [SMALL_STATE(1882)] = 65270,
  [SMALL_STATE(1883)] = 65277,
  [SMALL_STATE(1884)] = 65284,
  [SMALL_STATE(1885)] = 65291,
  [SMALL_STATE(1886)] = 65298,
  [SMALL_STATE(1887)] = 65305,
  [SMALL_STATE(1888)] = 65312,
  [SMALL_STATE(1889)] = 65319,
  [SMALL_STATE(1890)] = 65326,
  [SMALL_STATE(1891)] = 65333,
  [SMALL_STATE(1892)] = 65340,
  [SMALL_STATE(1893)] = 65347,
  [SMALL_STATE(1894)] = 65354,
  [SMALL_STATE(1895)] = 65361,
  [SMALL_STATE(1896)] = 65368,
  [SMALL_STATE(1897)] = 65375,
  [SMALL_STATE(1898)] = 65382,
  [SMALL_STATE(1899)] = 65389,
  [SMALL_STATE(1900)] = 65396,
  [SMALL_STATE(1901)] = 65403,
  [SMALL_STATE(1902)] = 65410,
  [SMALL_STATE(1903)] = 65417,
  [SMALL_STATE(1904)] = 65424,
  [SMALL_STATE(1905)] = 65431,
  [SMALL_STATE(1906)] = 65438,
  [SMALL_STATE(1907)] = 65445,
  [SMALL_STATE(1908)] = 65452,
  [SMALL_STATE(1909)] = 65459,
  [SMALL_STATE(1910)] = 65466,
  [SMALL_STATE(1911)] = 65473,
  [SMALL_STATE(1912)] = 65480,
  [SMALL_STATE(1913)] = 65487,
  [SMALL_STATE(1914)] = 65494,
  [SMALL_STATE(1915)] = 65501,
  [SMALL_STATE(1916)] = 65508,
  [SMALL_STATE(1917)] = 65515,
  [SMALL_STATE(1918)] = 65522,
  [SMALL_STATE(1919)] = 65529,
  [SMALL_STATE(1920)] = 65536,
  [SMALL_STATE(1921)] = 65543,
  [SMALL_STATE(1922)] = 65550,
  [SMALL_STATE(1923)] = 65557,
  [SMALL_STATE(1924)] = 65564,
  [SMALL_STATE(1925)] = 65571,
  [SMALL_STATE(1926)] = 65578,
  [SMALL_STATE(1927)] = 65585,
  [SMALL_STATE(1928)] = 65592,
  [SMALL_STATE(1929)] = 65599,
  [SMALL_STATE(1930)] = 65606,
  [SMALL_STATE(1931)] = 65613,
  [SMALL_STATE(1932)] = 65620,
  [SMALL_STATE(1933)] = 65627,
  [SMALL_STATE(1934)] = 65634,
  [SMALL_STATE(1935)] = 65641,
  [SMALL_STATE(1936)] = 65648,
  [SMALL_STATE(1937)] = 65655,
  [SMALL_STATE(1938)] = 65662,
  [SMALL_STATE(1939)] = 65669,
  [SMALL_STATE(1940)] = 65676,
  [SMALL_STATE(1941)] = 65683,
  [SMALL_STATE(1942)] = 65690,
  [SMALL_STATE(1943)] = 65697,
  [SMALL_STATE(1944)] = 65704,
  [SMALL_STATE(1945)] = 65711,
  [SMALL_STATE(1946)] = 65718,
  [SMALL_STATE(1947)] = 65725,
  [SMALL_STATE(1948)] = 65732,
  [SMALL_STATE(1949)] = 65739,
  [SMALL_STATE(1950)] = 65746,
  [SMALL_STATE(1951)] = 65753,
  [SMALL_STATE(1952)] = 65760,
  [SMALL_STATE(1953)] = 65767,
  [SMALL_STATE(1954)] = 65774,
  [SMALL_STATE(1955)] = 65781,
  [SMALL_STATE(1956)] = 65788,
  [SMALL_STATE(1957)] = 65795,
  [SMALL_STATE(1958)] = 65802,
  [SMALL_STATE(1959)] = 65809,
  [SMALL_STATE(1960)] = 65816,
  [SMALL_STATE(1961)] = 65823,
  [SMALL_STATE(1962)] = 65830,
  [SMALL_STATE(1963)] = 65837,
  [SMALL_STATE(1964)] = 65844,
  [SMALL_STATE(1965)] = 65851,
  [SMALL_STATE(1966)] = 65858,
  [SMALL_STATE(1967)] = 65865,
  [SMALL_STATE(1968)] = 65872,
  [SMALL_STATE(1969)] = 65879,
  [SMALL_STATE(1970)] = 65886,
  [SMALL_STATE(1971)] = 65893,
  [SMALL_STATE(1972)] = 65900,
  [SMALL_STATE(1973)] = 65907,
  [SMALL_STATE(1974)] = 65914,
  [SMALL_STATE(1975)] = 65921,
  [SMALL_STATE(1976)] = 65928,
  [SMALL_STATE(1977)] = 65935,
  [SMALL_STATE(1978)] = 65942,
  [SMALL_STATE(1979)] = 65949,
  [SMALL_STATE(1980)] = 65956,
  [SMALL_STATE(1981)] = 65963,
  [SMALL_STATE(1982)] = 65970,
  [SMALL_STATE(1983)] = 65977,
  [SMALL_STATE(1984)] = 65984,
  [SMALL_STATE(1985)] = 65991,
  [SMALL_STATE(1986)] = 65998,
  [SMALL_STATE(1987)] = 66005,
  [SMALL_STATE(1988)] = 66012,
  [SMALL_STATE(1989)] = 66019,
  [SMALL_STATE(1990)] = 66026,
  [SMALL_STATE(1991)] = 66033,
  [SMALL_STATE(1992)] = 66040,
  [SMALL_STATE(1993)] = 66047,
  [SMALL_STATE(1994)] = 66054,
  [SMALL_STATE(1995)] = 66061,
  [SMALL_STATE(1996)] = 66068,
  [SMALL_STATE(1997)] = 66075,
  [SMALL_STATE(1998)] = 66082,
  [SMALL_STATE(1999)] = 66089,
  [SMALL_STATE(2000)] = 66096,
  [SMALL_STATE(2001)] = 66103,
  [SMALL_STATE(2002)] = 66110,
  [SMALL_STATE(2003)] = 66117,
  [SMALL_STATE(2004)] = 66124,
  [SMALL_STATE(2005)] = 66131,
  [SMALL_STATE(2006)] = 66138,
  [SMALL_STATE(2007)] = 66145,
  [SMALL_STATE(2008)] = 66152,
  [SMALL_STATE(2009)] = 66159,
  [SMALL_STATE(2010)] = 66166,
  [SMALL_STATE(2011)] = 66173,
  [SMALL_STATE(2012)] = 66180,
  [SMALL_STATE(2013)] = 66187,
  [SMALL_STATE(2014)] = 66194,
  [SMALL_STATE(2015)] = 66201,
  [SMALL_STATE(2016)] = 66208,
  [SMALL_STATE(2017)] = 66215,
  [SMALL_STATE(2018)] = 66222,
  [SMALL_STATE(2019)] = 66229,
  [SMALL_STATE(2020)] = 66236,
  [SMALL_STATE(2021)] = 66243,
  [SMALL_STATE(2022)] = 66250,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 42),
  [169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 17),
  [171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 42),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 17),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1404),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1915),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1182),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1916),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1771),
  [223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1004),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(901),
  [259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(39),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1519),
  [286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1716),
  [289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1711),
  [292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1837),
  [298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2017),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(489),
  [310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2006),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1982),
  [325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(574),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1801),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1805),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1810),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1472),
  [343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(692),
  [346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1570),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(692),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(691),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1393),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1967),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1174),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1769),
  [484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(998),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(590),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(380),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(491),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1833),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1832),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1952),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1814),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1392),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1825),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1188),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1826),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1740),
  [560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1011),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(581),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1943),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1731),
  [592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(340),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1934),
  [607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1834),
  [610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1778),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2022),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(382),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1002),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(876),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(901),
  [692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1519),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1770),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(550),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1852),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1827),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1917),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(574),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1801),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1805),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1810),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1472),
  [770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1570),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(691),
  [785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1004),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(39),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1519),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1716),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1711),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2017),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(489),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2006),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1982),
  [882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(574),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1801),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1805),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1810),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1472),
  [900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(692),
  [903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1570),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(692),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(691),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 9),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 9),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(408),
  [942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1011),
  [951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1733),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1731),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(340),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(469),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1934),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1834),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1778),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 9),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(998),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(380),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(491),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1833),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1832),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1952),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1814),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 9),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [1046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(382),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1002),
  [1055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1770),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(490),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1827),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1917),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1702),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1776),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1768),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1765),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 91),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 91),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 77),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 77),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 35),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 35),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 101),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 101),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 112),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 112),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 49),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 49),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 57),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 57),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 63),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 63),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 65),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 65),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 92),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 92),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 86),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 86),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 82),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 82),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 49),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 49),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 77),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 77),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 62),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 62),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 74),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 74),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 42),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 42),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 73),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 73),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 95),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 95),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 69),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 69),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 2),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 2),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 68),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 68),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 72),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 72),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 67),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 67),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 43),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 43),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, 0, 96),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, 0, 96),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 42),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 42),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 41),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 41),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 98),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 98),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 40),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 40),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 38),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 38),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 2),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 2),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(797),
  [1429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(388),
  [1432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(512),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(512),
  [1438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(513),
  [1441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(240),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(528),
  [1447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1717),
  [1450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(27),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1770),
  [1456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1688),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(550),
  [1462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1852),
  [1465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1700),
  [1468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(339),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1848),
  [1474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(490),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1827),
  [1480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1917),
  [1483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1786),
  [1486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1702),
  [1489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1776),
  [1492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(526),
  [1495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(574),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1801),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1805),
  [1504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1810),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1472),
  [1510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(692),
  [1513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1645),
  [1516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1570),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(692),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(691),
  [1525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(789),
  [1528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(89),
  [1531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(39),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1716),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1711),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(609),
  [1543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1837),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1712),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(325),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2017),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(489),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2006),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2005),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1924),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1724),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1982),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(794),
  [1588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(225),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(36),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1710),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1738),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(590),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1781),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1715),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(380),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2020),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(491),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1833),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1832),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1952),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1745),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1814),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(791),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(255),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1768),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(623),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2009),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1765),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2001),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1758),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1778),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(788),
  [1667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(41),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1733),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1714),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(581),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1943),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1731),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(340),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1979),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(469),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1939),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1934),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1834),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1713),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(717),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(528),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [1767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1774] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0), SHIFT(999),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [1814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(320),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(842),
  [1898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(399),
  [1901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(584),
  [1904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(584),
  [1907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(583),
  [1910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(567),
  [1913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(575),
  [1916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(570),
  [1919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1801),
  [1922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1805),
  [1925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1810),
  [1928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1472),
  [1931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(692),
  [1934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1645),
  [1937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(1570),
  [1940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(692),
  [1943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0), SHIFT(691),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 17),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 42),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 17),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 42),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(779),
  [2015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [2018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1183),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [2023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1744),
  [2029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [2038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [2041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1519),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1175),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1936),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1723),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [2096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1209),
  [2102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1940),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 58),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 85),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 42),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 106),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 58),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(630),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1570),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 121),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 121),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [2261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [2264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [2267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [2270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [2273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 110),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 110),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 126),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 126),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 89),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 89),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 130),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 130),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 59),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 59),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(779),
  [2321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [2324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [2327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [2333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1990),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1519),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [2367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(668),
  [2370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [2385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 107),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 107),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 70),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 70),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 47),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 47),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 38),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 38),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [2463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 47),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 47),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(755),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(711),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1948),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 55),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 55),
  [2528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(770),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(711),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1948),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 56),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 56),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 81),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 81),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 54),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 54),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 79),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 79),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, -1, 60),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, -1, 60),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 38),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, 0, 38),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 39),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 39),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 39),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, -1, 39),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 38),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 38),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 54),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 54),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 56),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 56),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 55),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 55),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 52),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 52),
  [2774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, 0, 81),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, 0, 81),
  [2784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(999),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 80),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 80),
  [2819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 42),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 42),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 98),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 98),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 74),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 74),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 42),
  [2837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 42),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 73),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 73),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 44),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 44),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 43),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 43),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 80),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 80),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 44),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 44),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 97),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 97),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1994),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 71),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 71),
  [2964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 52),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 52),
  [2984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 52), SHIFT(1994),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 79),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 79),
  [2993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 79), SHIFT(1994),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [3000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24), SHIFT(1994),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [3007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(1994),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [3014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1681),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(943),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [3058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [3061] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(999),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [3068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [3075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [3079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1006),
  [3102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1005),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 78),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 78),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 46),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 103),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 104),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 105),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 83),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 0, 117),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 84),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 115),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 64),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 116),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 3),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 14),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 3),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 14),
  [3365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1141),
  [3368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1144),
  [3371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(1140),
  [3374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1143),
  [3377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1132),
  [3380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1142),
  [3383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 44),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15), SHIFT(732),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1136),
  [3409] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(732),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 39), SHIFT(732),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3), SHIFT(732),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14), SHIFT(732),
  [3428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10), SHIFT(732),
  [3431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1138),
  [3434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 38), SHIFT(1146),
  [3437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 39), SHIFT(1134),
  [3440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14), SHIFT(1137),
  [3443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15), SHIFT(1130),
  [3446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(732),
  [3449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 38), SHIFT(732),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1898),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 2, 0, 34),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [3705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1760),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 42),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 17),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 61),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [3758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 61),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 111),
  [3762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 111),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 32),
  [3766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 32),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 90),
  [3770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 90),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 93),
  [3782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 93),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0), REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, 0, 22),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 1, 0, 22),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 113),
  [3819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 113),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 32),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 2, 1, 32),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 35),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 90),
  [3835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 4, 1, 90),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 111),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 5, 1, 111),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 32),
  [3843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 32),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 61),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 3, 1, 61),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 61),
  [3871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 61),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [3880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1219),
  [3883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1905),
  [3886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 111),
  [3899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 111),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 42),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 90),
  [3905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 90),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 32),
  [3909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 32),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 17),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 17),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 22),
  [3923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 1, 0, 22),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 42),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 42),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 17),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [3937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [3940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [3943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 32),
  [3947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 32),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_declarator, 1, 0, 0),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 93),
  [3967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 93),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 113),
  [3975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 113),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 4, 0, 34),
  [3987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 4, 0, 34),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [4001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 53),
  [4005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 53),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [4011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [4015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 113),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 113),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [4031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(1417),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [4038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [4043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [4045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 32),
  [4047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 32),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [4055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [4057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [4059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 61),
  [4069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 61),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [4073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [4077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [4081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [4083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 93),
  [4085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 93),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [4089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [4093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 90),
  [4097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 90),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 75),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 75),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 113),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 113),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 22),
  [4125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 22),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 20),
  [4129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 20),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [4133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 99),
  [4139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 99),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 22),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 22),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 93),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 93),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(603),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [4176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1958),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [4191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [4195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 34),
  [4199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 34),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [4213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1512),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 35),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 43),
  [4224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 43),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [4228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 42),
  [4232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 42),
  [4234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 98),
  [4236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 98),
  [4238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [4242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 48),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 73),
  [4248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 73),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 44),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 42),
  [4254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 42),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 74),
  [4258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 74),
  [4260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 76),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 45),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 19),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 94),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 32),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 11),
  [4278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_declarator, 1, 0, 11),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 50),
  [4288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_declarators, 2, 0, 50),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, 0, 102),
  [4296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 3, 0, 102),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 66), SHIFT_REPEAT(1362),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 66),
  [4303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 66),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 66), SHIFT_REPEAT(1288),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 66),
  [4320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 66),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [4330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 22),
  [4332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 2, 0, 22),
  [4334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 50),
  [4336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_declarator, 2, 0, 50),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 123),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [4402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 87),
  [4410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [4412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1543),
  [4415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1543),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [4420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [4422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1545),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 87),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 108),
  [4433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 118), SHIFT_REPEAT(1425),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 118),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [4450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 128), SHIFT_REPEAT(1386),
  [4453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 128),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [4459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 119),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 108),
  [4463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 51),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 118), SHIFT_REPEAT(1435),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 118),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, 0, 32),
  [4488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, 0, 32),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 87),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 66), SHIFT_REPEAT(1165),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 66),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 100),
  [4607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 132),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 132),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 131), SHIFT_REPEAT(1812),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 131),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 129),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 119),
  [4667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [4682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 122),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 122),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(666),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [4701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1001),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 87),
  [4714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1750),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [4719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [4724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(488),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 124),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 127),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 51),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [4812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 4, 0, 114),
  [4814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 124),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1, 0, 0),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [4870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 43),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 74),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 73),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 98),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 17),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 98),
  [5021] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 98),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [5047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [5151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 98),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [5171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 74),
  [5173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 73),
  [5175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 74),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 74),
  [5179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 73),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 73),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 98),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 73),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 43),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [5227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 42),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 43),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 43),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 74),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 43),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
